#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 484
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 146
#define ALIAS_COUNT 2
#define TOKEN_COUNT 84
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 4
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 24

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_alias = 2,
  anon_sym_COLON_EQ = 3,
  anon_sym_export = 4,
  anon_sym_unexport = 5,
  anon_sym_import = 6,
  anon_sym_QMARK = 7,
  anon_sym_mod = 8,
  anon_sym_AT = 9,
  anon_sym_COLON = 10,
  anon_sym_AMP_AMP = 11,
  anon_sym_LBRACK = 12,
  anon_sym_COMMA = 13,
  anon_sym_RBRACK = 14,
  anon_sym_LPAREN = 15,
  anon_sym_RPAREN = 16,
  anon_sym_DOLLAR = 17,
  anon_sym_EQ = 18,
  anon_sym_PLUS = 19,
  anon_sym_STAR = 20,
  aux_sym_shebang_line_token1 = 21,
  anon_sym_AT_DASH = 22,
  anon_sym_DASH_AT = 23,
  anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv = 24,
  aux_sym_shebang_line_token2 = 25,
  sym_shebang_shell = 26,
  anon_sym_DASH = 27,
  anon_sym_LBRACE_LBRACE_LBRACE_LBRACE = 28,
  aux_sym__recipe_line_choice_token1 = 29,
  anon_sym_LBRACE_LBRACE = 30,
  anon_sym_RBRACE_RBRACE = 31,
  anon_sym_set = 32,
  anon_sym_shell = 33,
  anon_sym_true = 34,
  anon_sym_false = 35,
  anon_sym_if = 36,
  anon_sym_LBRACE = 37,
  anon_sym_RBRACE = 38,
  anon_sym_else = 39,
  anon_sym_assert = 40,
  anon_sym_SLASH = 41,
  anon_sym_PIPE_PIPE = 42,
  anon_sym_EQ_EQ = 43,
  anon_sym_BANG_EQ = 44,
  anon_sym_EQ_TILDE = 45,
  anon_sym_BANG_TILDE = 46,
  anon_sym_BQUOTE = 47,
  aux_sym__backtick_token1 = 48,
  anon_sym_BQUOTE_BQUOTE_BQUOTE = 49,
  aux_sym__indented_backtick_token1 = 50,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 51,
  aux_sym__indented_normal_string_token1 = 52,
  anon_sym_DQUOTE = 53,
  aux_sym__normal_string_token1 = 54,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 55,
  aux_sym__indented_raw_string_token1 = 56,
  anon_sym_SQUOTE = 57,
  aux_sym__raw_string_token1 = 58,
  anon_sym_BSLASHn = 59,
  anon_sym_BSLASHr = 60,
  anon_sym_BSLASHt = 61,
  anon_sym_BSLASH_DQUOTE = 62,
  anon_sym_BSLASH_BSLASH = 63,
  aux_sym_escape_sequence_token1 = 64,
  anon_sym_x_DQUOTE_DQUOTE_DQUOTE = 65,
  aux_sym__shell_expanded_indented_normal_string_token1 = 66,
  aux_sym__shell_expanded_indented_normal_string_token2 = 67,
  anon_sym_x_DQUOTE = 68,
  aux_sym__shell_expanded_normal_string_token1 = 69,
  aux_sym__shell_expanded_normal_string_token2 = 70,
  anon_sym_x_SQUOTE_SQUOTE_SQUOTE = 71,
  aux_sym__shell_expanded_indented_raw_string_token1 = 72,
  anon_sym_x_SQUOTE = 73,
  aux_sym__shell_expanded_raw_string_token1 = 74,
  aux_sym__shell_expanded_raw_string_token2 = 75,
  sym_shell_variable_name = 76,
  sym_escape_variable_end = 77,
  sym_expansion_long_start = 78,
  sym_expansion_long_middle = 79,
  sym_expansion_long_end = 80,
  aux_sym_comment_token1 = 81,
  sym__eol = 82,
  sym_numeric_error = 83,
  sym_file = 84,
  sym_alias = 85,
  sym_assignment = 86,
  sym_unexport = 87,
  sym_import = 88,
  sym_mod = 89,
  sym_recipe = 90,
  sym_recipe_parameters = 91,
  sym__attribute_list = 92,
  sym_attribute = 93,
  sym_recipe_parameter = 94,
  sym_variadic_parameter = 95,
  sym_recipe_dependency = 96,
  sym__recipe_dependency = 97,
  sym_recipe_body = 98,
  sym_shebang_line = 99,
  sym_recipe_line = 100,
  sym__recipe_line_choice = 101,
  sym_interpolation = 102,
  sym_setting = 103,
  sym__setting_boolean = 104,
  sym__setting_string = 105,
  sym__setting_list = 106,
  sym_boolean = 107,
  sym_expression = 108,
  sym_condition = 109,
  sym_assert_parameters = 110,
  sym_value = 111,
  sym_function_call = 112,
  sym_function_parameters = 113,
  sym_external_command = 114,
  sym__backtick = 115,
  sym__indented_backtick = 116,
  sym_string = 117,
  sym_shell_expanded_string = 118,
  sym_escape_sequence = 119,
  sym_expansion_short_start = 120,
  sym_comment = 121,
  sym__ceol = 122,
  aux_sym_file_repeat1 = 123,
  aux_sym_alias_repeat1 = 124,
  aux_sym_recipe_repeat1 = 125,
  aux_sym_recipe_parameters_repeat1 = 126,
  aux_sym__attribute_list_repeat1 = 127,
  aux_sym_recipe_dependency_repeat1 = 128,
  aux_sym_recipe_body_repeat1 = 129,
  aux_sym_shebang_line_repeat1 = 130,
  aux_sym_shebang_line_repeat2 = 131,
  aux_sym__setting_list_repeat1 = 132,
  aux_sym_function_parameters_repeat1 = 133,
  aux_sym__indented_backtick_repeat1 = 134,
  aux_sym__indented_normal_string_repeat1 = 135,
  aux_sym__normal_string_repeat1 = 136,
  aux_sym__indented_raw_string_repeat1 = 137,
  aux_sym__shell_expanded_indented_normal_string_repeat1 = 138,
  aux_sym__shell_expanded_indented_normal_string_repeat2 = 139,
  aux_sym__shell_expanded_normal_string_repeat1 = 140,
  aux_sym__shell_expanded_normal_string_repeat2 = 141,
  aux_sym__shell_expanded_indented_raw_string_repeat1 = 142,
  aux_sym__shell_expanded_indented_raw_string_repeat2 = 143,
  aux_sym__shell_expanded_raw_string_repeat1 = 144,
  aux_sym__shell_expanded_raw_string_repeat2 = 145,
  alias_sym_path = 146,
  alias_sym_regex = 147,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_alias] = "alias",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_export] = "export",
  [anon_sym_unexport] = "unexport",
  [anon_sym_import] = "import",
  [anon_sym_QMARK] = "\?",
  [anon_sym_mod] = "mod",
  [anon_sym_AT] = "@",
  [anon_sym_COLON] = ":",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_LBRACK] = "[",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [aux_sym_shebang_line_token1] = "shebang_line_token1",
  [anon_sym_AT_DASH] = "@-",
  [anon_sym_DASH_AT] = "-@",
  [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = "#!/usr/bin/env",
  [aux_sym_shebang_line_token2] = "shebang_line_token2",
  [sym_shebang_shell] = "shebang_shell",
  [anon_sym_DASH] = "-",
  [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = "{{{{",
  [aux_sym__recipe_line_choice_token1] = "_recipe_line_choice_token1",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [anon_sym_set] = "set",
  [anon_sym_shell] = "shell",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_if] = "if",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_else] = "else",
  [anon_sym_assert] = "assert",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_BANG_TILDE] = "!~",
  [anon_sym_BQUOTE] = "`",
  [aux_sym__backtick_token1] = "content",
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = "```",
  [aux_sym__indented_backtick_token1] = "_indented_backtick_token1",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [aux_sym__indented_normal_string_token1] = "_indented_normal_string_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym__normal_string_token1] = "_normal_string_token1",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [aux_sym__indented_raw_string_token1] = "_indented_raw_string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym__raw_string_token1] = "_raw_string_token1",
  [anon_sym_BSLASHn] = "\\n",
  [anon_sym_BSLASHr] = "\\r",
  [anon_sym_BSLASHt] = "\\t",
  [anon_sym_BSLASH_DQUOTE] = "\\\"",
  [anon_sym_BSLASH_BSLASH] = "\\\\",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = "x\"\"\"",
  [aux_sym__shell_expanded_indented_normal_string_token1] = "_shell_expanded_indented_normal_string_token1",
  [aux_sym__shell_expanded_indented_normal_string_token2] = "_shell_expanded_indented_normal_string_token2",
  [anon_sym_x_DQUOTE] = "x\"",
  [aux_sym__shell_expanded_normal_string_token1] = "_shell_expanded_normal_string_token1",
  [aux_sym__shell_expanded_normal_string_token2] = "_shell_expanded_normal_string_token2",
  [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = "x'''",
  [aux_sym__shell_expanded_indented_raw_string_token1] = "_shell_expanded_indented_raw_string_token1",
  [anon_sym_x_SQUOTE] = "x'",
  [aux_sym__shell_expanded_raw_string_token1] = "_shell_expanded_raw_string_token1",
  [aux_sym__shell_expanded_raw_string_token2] = "_shell_expanded_raw_string_token2",
  [sym_shell_variable_name] = "shell_variable_name",
  [sym_escape_variable_end] = "escape_variable_end",
  [sym_expansion_long_start] = "expansion_long_start",
  [sym_expansion_long_middle] = "expansion_long_middle",
  [sym_expansion_long_end] = "expansion_long_end",
  [aux_sym_comment_token1] = "comment_token1",
  [sym__eol] = "_eol",
  [sym_numeric_error] = "numeric_error",
  [sym_file] = "file",
  [sym_alias] = "alias",
  [sym_assignment] = "assignment",
  [sym_unexport] = "unexport",
  [sym_import] = "import",
  [sym_mod] = "mod",
  [sym_recipe] = "recipe",
  [sym_recipe_parameters] = "recipe_parameters",
  [sym__attribute_list] = "_attribute_list",
  [sym_attribute] = "attribute",
  [sym_recipe_parameter] = "recipe_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_recipe_dependency] = "recipe_dependency",
  [sym__recipe_dependency] = "_recipe_dependency",
  [sym_recipe_body] = "recipe_body",
  [sym_shebang_line] = "shebang_line",
  [sym_recipe_line] = "recipe_line",
  [sym__recipe_line_choice] = "_recipe_line_choice",
  [sym_interpolation] = "interpolation",
  [sym_setting] = "setting",
  [sym__setting_boolean] = "_setting_boolean",
  [sym__setting_string] = "_setting_string",
  [sym__setting_list] = "_setting_list",
  [sym_boolean] = "boolean",
  [sym_expression] = "expression",
  [sym_condition] = "condition",
  [sym_assert_parameters] = "assert_parameters",
  [sym_value] = "value",
  [sym_function_call] = "function_call",
  [sym_function_parameters] = "function_parameters",
  [sym_external_command] = "external_command",
  [sym__backtick] = "_backtick",
  [sym__indented_backtick] = "_indented_backtick",
  [sym_string] = "string",
  [sym_shell_expanded_string] = "shell_expanded_string",
  [sym_escape_sequence] = "escape_sequence",
  [sym_expansion_short_start] = "expansion_short_start",
  [sym_comment] = "comment",
  [sym__ceol] = "_ceol",
  [aux_sym_file_repeat1] = "file_repeat1",
  [aux_sym_alias_repeat1] = "alias_repeat1",
  [aux_sym_recipe_repeat1] = "recipe_repeat1",
  [aux_sym_recipe_parameters_repeat1] = "recipe_parameters_repeat1",
  [aux_sym__attribute_list_repeat1] = "_attribute_list_repeat1",
  [aux_sym_recipe_dependency_repeat1] = "recipe_dependency_repeat1",
  [aux_sym_recipe_body_repeat1] = "recipe_body_repeat1",
  [aux_sym_shebang_line_repeat1] = "shebang_line_repeat1",
  [aux_sym_shebang_line_repeat2] = "shebang_line_repeat2",
  [aux_sym__setting_list_repeat1] = "_setting_list_repeat1",
  [aux_sym_function_parameters_repeat1] = "function_parameters_repeat1",
  [aux_sym__indented_backtick_repeat1] = "_indented_backtick_repeat1",
  [aux_sym__indented_normal_string_repeat1] = "_indented_normal_string_repeat1",
  [aux_sym__normal_string_repeat1] = "_normal_string_repeat1",
  [aux_sym__indented_raw_string_repeat1] = "_indented_raw_string_repeat1",
  [aux_sym__shell_expanded_indented_normal_string_repeat1] = "_shell_expanded_indented_normal_string_repeat1",
  [aux_sym__shell_expanded_indented_normal_string_repeat2] = "_shell_expanded_indented_normal_string_repeat2",
  [aux_sym__shell_expanded_normal_string_repeat1] = "_shell_expanded_normal_string_repeat1",
  [aux_sym__shell_expanded_normal_string_repeat2] = "_shell_expanded_normal_string_repeat2",
  [aux_sym__shell_expanded_indented_raw_string_repeat1] = "_shell_expanded_indented_raw_string_repeat1",
  [aux_sym__shell_expanded_indented_raw_string_repeat2] = "_shell_expanded_indented_raw_string_repeat2",
  [aux_sym__shell_expanded_raw_string_repeat1] = "_shell_expanded_raw_string_repeat1",
  [aux_sym__shell_expanded_raw_string_repeat2] = "_shell_expanded_raw_string_repeat2",
  [alias_sym_path] = "path",
  [alias_sym_regex] = "regex",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_alias] = anon_sym_alias,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_unexport] = anon_sym_unexport,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_mod] = anon_sym_mod,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [aux_sym_shebang_line_token1] = aux_sym_shebang_line_token1,
  [anon_sym_AT_DASH] = anon_sym_AT_DASH,
  [anon_sym_DASH_AT] = anon_sym_DASH_AT,
  [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv,
  [aux_sym_shebang_line_token2] = aux_sym_shebang_line_token2,
  [sym_shebang_shell] = sym_shebang_shell,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
  [aux_sym__recipe_line_choice_token1] = aux_sym__recipe_line_choice_token1,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [anon_sym_set] = anon_sym_set,
  [anon_sym_shell] = anon_sym_shell,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_BANG_TILDE] = anon_sym_BANG_TILDE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym__backtick_token1] = aux_sym__backtick_token1,
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = anon_sym_BQUOTE_BQUOTE_BQUOTE,
  [aux_sym__indented_backtick_token1] = aux_sym__indented_backtick_token1,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [aux_sym__indented_normal_string_token1] = aux_sym__indented_normal_string_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym__normal_string_token1] = aux_sym__normal_string_token1,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [aux_sym__indented_raw_string_token1] = aux_sym__indented_raw_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym__raw_string_token1] = aux_sym__raw_string_token1,
  [anon_sym_BSLASHn] = anon_sym_BSLASHn,
  [anon_sym_BSLASHr] = anon_sym_BSLASHr,
  [anon_sym_BSLASHt] = anon_sym_BSLASHt,
  [anon_sym_BSLASH_DQUOTE] = anon_sym_BSLASH_DQUOTE,
  [anon_sym_BSLASH_BSLASH] = anon_sym_BSLASH_BSLASH,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
  [aux_sym__shell_expanded_indented_normal_string_token1] = aux_sym__shell_expanded_indented_normal_string_token1,
  [aux_sym__shell_expanded_indented_normal_string_token2] = aux_sym__shell_expanded_indented_normal_string_token2,
  [anon_sym_x_DQUOTE] = anon_sym_x_DQUOTE,
  [aux_sym__shell_expanded_normal_string_token1] = aux_sym__shell_expanded_normal_string_token1,
  [aux_sym__shell_expanded_normal_string_token2] = aux_sym__shell_expanded_normal_string_token2,
  [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
  [aux_sym__shell_expanded_indented_raw_string_token1] = aux_sym__shell_expanded_indented_raw_string_token1,
  [anon_sym_x_SQUOTE] = anon_sym_x_SQUOTE,
  [aux_sym__shell_expanded_raw_string_token1] = aux_sym__shell_expanded_raw_string_token1,
  [aux_sym__shell_expanded_raw_string_token2] = aux_sym__shell_expanded_raw_string_token2,
  [sym_shell_variable_name] = sym_shell_variable_name,
  [sym_escape_variable_end] = sym_escape_variable_end,
  [sym_expansion_long_start] = sym_expansion_long_start,
  [sym_expansion_long_middle] = sym_expansion_long_middle,
  [sym_expansion_long_end] = sym_expansion_long_end,
  [aux_sym_comment_token1] = aux_sym_comment_token1,
  [sym__eol] = sym__eol,
  [sym_numeric_error] = sym_numeric_error,
  [sym_file] = sym_file,
  [sym_alias] = sym_alias,
  [sym_assignment] = sym_assignment,
  [sym_unexport] = sym_unexport,
  [sym_import] = sym_import,
  [sym_mod] = sym_mod,
  [sym_recipe] = sym_recipe,
  [sym_recipe_parameters] = sym_recipe_parameters,
  [sym__attribute_list] = sym__attribute_list,
  [sym_attribute] = sym_attribute,
  [sym_recipe_parameter] = sym_recipe_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_recipe_dependency] = sym_recipe_dependency,
  [sym__recipe_dependency] = sym__recipe_dependency,
  [sym_recipe_body] = sym_recipe_body,
  [sym_shebang_line] = sym_shebang_line,
  [sym_recipe_line] = sym_recipe_line,
  [sym__recipe_line_choice] = sym__recipe_line_choice,
  [sym_interpolation] = sym_interpolation,
  [sym_setting] = sym_setting,
  [sym__setting_boolean] = sym__setting_boolean,
  [sym__setting_string] = sym__setting_string,
  [sym__setting_list] = sym__setting_list,
  [sym_boolean] = sym_boolean,
  [sym_expression] = sym_expression,
  [sym_condition] = sym_condition,
  [sym_assert_parameters] = sym_assert_parameters,
  [sym_value] = sym_value,
  [sym_function_call] = sym_function_call,
  [sym_function_parameters] = sym_function_parameters,
  [sym_external_command] = sym_external_command,
  [sym__backtick] = sym__backtick,
  [sym__indented_backtick] = sym__indented_backtick,
  [sym_string] = sym_string,
  [sym_shell_expanded_string] = sym_shell_expanded_string,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_expansion_short_start] = sym_expansion_short_start,
  [sym_comment] = sym_comment,
  [sym__ceol] = sym__ceol,
  [aux_sym_file_repeat1] = aux_sym_file_repeat1,
  [aux_sym_alias_repeat1] = aux_sym_alias_repeat1,
  [aux_sym_recipe_repeat1] = aux_sym_recipe_repeat1,
  [aux_sym_recipe_parameters_repeat1] = aux_sym_recipe_parameters_repeat1,
  [aux_sym__attribute_list_repeat1] = aux_sym__attribute_list_repeat1,
  [aux_sym_recipe_dependency_repeat1] = aux_sym_recipe_dependency_repeat1,
  [aux_sym_recipe_body_repeat1] = aux_sym_recipe_body_repeat1,
  [aux_sym_shebang_line_repeat1] = aux_sym_shebang_line_repeat1,
  [aux_sym_shebang_line_repeat2] = aux_sym_shebang_line_repeat2,
  [aux_sym__setting_list_repeat1] = aux_sym__setting_list_repeat1,
  [aux_sym_function_parameters_repeat1] = aux_sym_function_parameters_repeat1,
  [aux_sym__indented_backtick_repeat1] = aux_sym__indented_backtick_repeat1,
  [aux_sym__indented_normal_string_repeat1] = aux_sym__indented_normal_string_repeat1,
  [aux_sym__normal_string_repeat1] = aux_sym__normal_string_repeat1,
  [aux_sym__indented_raw_string_repeat1] = aux_sym__indented_raw_string_repeat1,
  [aux_sym__shell_expanded_indented_normal_string_repeat1] = aux_sym__shell_expanded_indented_normal_string_repeat1,
  [aux_sym__shell_expanded_indented_normal_string_repeat2] = aux_sym__shell_expanded_indented_normal_string_repeat2,
  [aux_sym__shell_expanded_normal_string_repeat1] = aux_sym__shell_expanded_normal_string_repeat1,
  [aux_sym__shell_expanded_normal_string_repeat2] = aux_sym__shell_expanded_normal_string_repeat2,
  [aux_sym__shell_expanded_indented_raw_string_repeat1] = aux_sym__shell_expanded_indented_raw_string_repeat1,
  [aux_sym__shell_expanded_indented_raw_string_repeat2] = aux_sym__shell_expanded_indented_raw_string_repeat2,
  [aux_sym__shell_expanded_raw_string_repeat1] = aux_sym__shell_expanded_raw_string_repeat1,
  [aux_sym__shell_expanded_raw_string_repeat2] = aux_sym__shell_expanded_raw_string_repeat2,
  [alias_sym_path] = alias_sym_path,
  [alias_sym_regex] = alias_sym_regex,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unexport] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shebang_line_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_AT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_shebang_line_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_shebang_shell] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__recipe_line_choice_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shell] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__backtick_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE_BQUOTE_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__indented_backtick_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__indented_normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__indented_raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASHn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASHt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_x_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_shell_variable_name] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_variable_end] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_long_start] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_long_middle] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_long_end] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__eol] = {
    .visible = false,
    .named = true,
  },
  [sym_numeric_error] = {
    .visible = true,
    .named = true,
  },
  [sym_file] = {
    .visible = true,
    .named = true,
  },
  [sym_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_unexport] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_mod] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_list] = {
    .visible = false,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_dependency] = {
    .visible = true,
    .named = true,
  },
  [sym__recipe_dependency] = {
    .visible = false,
    .named = true,
  },
  [sym_recipe_body] = {
    .visible = true,
    .named = true,
  },
  [sym_shebang_line] = {
    .visible = true,
    .named = true,
  },
  [sym_recipe_line] = {
    .visible = true,
    .named = true,
  },
  [sym__recipe_line_choice] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_setting] = {
    .visible = true,
    .named = true,
  },
  [sym__setting_boolean] = {
    .visible = false,
    .named = true,
  },
  [sym__setting_string] = {
    .visible = false,
    .named = true,
  },
  [sym__setting_list] = {
    .visible = false,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_value] = {
    .visible = true,
    .named = true,
  },
  [sym_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym_function_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_external_command] = {
    .visible = true,
    .named = true,
  },
  [sym__backtick] = {
    .visible = false,
    .named = true,
  },
  [sym__indented_backtick] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_shell_expanded_string] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_expansion_short_start] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__ceol] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alias_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_dependency_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_recipe_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shebang_line_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_shebang_line_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__setting_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_backtick_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__indented_raw_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_normal_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_normal_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_raw_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_indented_raw_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__shell_expanded_raw_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_path] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_regex] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_interpolation_marker = 1,
  field_name = 2,
  field_recipe_content = 3,
  field_shebang = 4,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_interpolation_marker] = "interpolation_marker",
  [field_name] = "name",
  [field_recipe_content] = "recipe_content",
  [field_shebang] = "shebang",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 1, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 3, .length = 1},
  [11] = {.index = 5, .length = 1},
  [12] = {.index = 6, .length = 1},
  [13] = {.index = 7, .length = 1},
  [14] = {.index = 8, .length = 1},
  [16] = {.index = 9, .length = 1},
  [17] = {.index = 10, .length = 2},
  [18] = {.index = 8, .length = 1},
  [19] = {.index = 12, .length = 1},
  [20] = {.index = 13, .length = 2},
  [21] = {.index = 15, .length = 1},
  [22] = {.index = 16, .length = 1},
  [23] = {.index = 17, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_name, 1},
  [2] =
    {field_name, 0, .inherited = true},
  [3] =
    {field_name, 2},
  [4] =
    {field_shebang, 0},
  [5] =
    {field_name, 1, .inherited = true},
  [6] =
    {field_recipe_content, 0},
  [7] =
    {field_recipe_content, 0, .inherited = true},
  [8] =
    {field_name, 3},
  [9] =
    {field_recipe_content, 1, .inherited = true},
  [10] =
    {field_recipe_content, 0, .inherited = true},
    {field_recipe_content, 1, .inherited = true},
  [12] =
    {field_recipe_content, 2, .inherited = true},
  [13] =
    {field_interpolation_marker, 0},
    {field_interpolation_marker, 2},
  [15] =
    {field_recipe_content, 3, .inherited = true},
  [16] =
    {field_recipe_content, 4, .inherited = true},
  [17] =
    {field_recipe_content, 5, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [3] = {
    [1] = alias_sym_path,
  },
  [5] = {
    [2] = alias_sym_path,
  },
  [7] = {
    [2] = alias_sym_path,
  },
  [9] = {
    [3] = alias_sym_path,
  },
  [10] = {
    [1] = aux_sym__backtick_token1,
  },
  [15] = {
    [2] = alias_sym_regex,
  },
  [18] = {
    [4] = alias_sym_path,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_expression, 2,
    sym_expression,
    alias_sym_regex,
  sym_string, 2,
    sym_string,
    alias_sym_path,
  aux_sym__indented_backtick_repeat1, 2,
    aux_sym__indented_backtick_repeat1,
    aux_sym__backtick_token1,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 2,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 13,
  [15] = 15,
  [16] = 13,
  [17] = 11,
  [18] = 11,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 23,
  [27] = 25,
  [28] = 28,
  [29] = 29,
  [30] = 23,
  [31] = 23,
  [32] = 25,
  [33] = 33,
  [34] = 25,
  [35] = 33,
  [36] = 29,
  [37] = 21,
  [38] = 33,
  [39] = 29,
  [40] = 21,
  [41] = 41,
  [42] = 42,
  [43] = 24,
  [44] = 24,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 51,
  [69] = 49,
  [70] = 50,
  [71] = 48,
  [72] = 52,
  [73] = 73,
  [74] = 55,
  [75] = 60,
  [76] = 59,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 61,
  [88] = 88,
  [89] = 53,
  [90] = 54,
  [91] = 91,
  [92] = 92,
  [93] = 56,
  [94] = 94,
  [95] = 57,
  [96] = 58,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 101,
  [105] = 101,
  [106] = 99,
  [107] = 107,
  [108] = 108,
  [109] = 99,
  [110] = 110,
  [111] = 110,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 110,
  [118] = 115,
  [119] = 115,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 62,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 131,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 65,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 66,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 161,
  [196] = 192,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 182,
  [201] = 197,
  [202] = 192,
  [203] = 197,
  [204] = 199,
  [205] = 182,
  [206] = 206,
  [207] = 207,
  [208] = 199,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 161,
  [220] = 161,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 161,
  [239] = 239,
  [240] = 240,
  [241] = 161,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 52,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 259,
  [263] = 260,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 260,
  [268] = 261,
  [269] = 269,
  [270] = 269,
  [271] = 259,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 261,
  [276] = 276,
  [277] = 277,
  [278] = 269,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 131,
  [283] = 283,
  [284] = 284,
  [285] = 61,
  [286] = 48,
  [287] = 287,
  [288] = 288,
  [289] = 56,
  [290] = 290,
  [291] = 291,
  [292] = 53,
  [293] = 293,
  [294] = 62,
  [295] = 54,
  [296] = 57,
  [297] = 58,
  [298] = 59,
  [299] = 60,
  [300] = 300,
  [301] = 62,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 50,
  [307] = 55,
  [308] = 49,
  [309] = 51,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 73,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 6,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 66,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 9,
  [354] = 65,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 7,
  [359] = 6,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 336,
  [365] = 9,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 338,
  [372] = 345,
  [373] = 340,
  [374] = 65,
  [375] = 362,
  [376] = 337,
  [377] = 368,
  [378] = 66,
  [379] = 336,
  [380] = 380,
  [381] = 7,
  [382] = 382,
  [383] = 368,
  [384] = 384,
  [385] = 338,
  [386] = 345,
  [387] = 340,
  [388] = 362,
  [389] = 337,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 382,
  [395] = 382,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 399,
  [408] = 408,
  [409] = 399,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 415,
  [421] = 421,
  [422] = 422,
  [423] = 419,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 427,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 415,
  [448] = 448,
  [449] = 449,
  [450] = 419,
  [451] = 451,
  [452] = 452,
  [453] = 422,
  [454] = 454,
  [455] = 432,
  [456] = 456,
  [457] = 457,
  [458] = 422,
  [459] = 459,
  [460] = 432,
  [461] = 461,
  [462] = 462,
  [463] = 442,
  [464] = 433,
  [465] = 442,
  [466] = 433,
  [467] = 467,
  [468] = 448,
  [469] = 469,
  [470] = 448,
  [471] = 471,
  [472] = 427,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 475,
  [477] = 477,
  [478] = 475,
  [479] = 479,
  [480] = 480,
  [481] = 480,
  [482] = 180,
  [483] = 480,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '\n', 208,
        '\r', 1,
        '!', 40,
        '"', 139,
        '#', 29,
        '$', 84,
        '&', 33,
        '\'', 151,
        '(', 81,
        ')', 82,
        '*', 88,
        '+', 87,
        ',', 79,
        '-', 95,
        '/', 113,
        ':', 75,
        '=', 86,
        '?', 70,
        '@', 72,
        '[', 78,
        '\\', 30,
        ']', 80,
        '`', 120,
        'x', 205,
        '{', 111,
        '|', 54,
        '}', 204,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 208,
        '\r', 1,
        '!', 40,
        '"', 139,
        '#', 207,
        '&', 33,
        '\'', 151,
        '(', 81,
        ')', 82,
        ',', 79,
        '/', 113,
        '=', 41,
        '`', 120,
        'x', 205,
        '{', 110,
        '|', 54,
        '}', 112,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 208,
        '\r', 1,
        '"', 139,
        '&', 33,
        '\'', 151,
        '(', 81,
        ')', 82,
        '+', 87,
        '/', 113,
        '`', 120,
        'x', 205,
        '|', 54,
        '}', 61,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '$') ADVANCE(83);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '+') ADVANCE(87);
      if (lookahead == ':') ADVANCE(74);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == ':') ADVANCE(36);
      if (lookahead == '}') ADVANCE(204);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(6);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(7);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\n', 208,
        '\r', 99,
        '#', 104,
        '-', 96,
        '@', 73,
        '{', 106,
        '\t', 100,
        ' ', 100,
      );
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 10:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(101);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 11:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '-') ADVANCE(96);
      if (lookahead == '@') ADVANCE(73);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(102);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 12:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(103);
      if (lookahead != 0) ADVANCE(107);
      END_STATE();
    case 13:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(133);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(132);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 14:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(146);
      if (lookahead != 0) ADVANCE(149);
      END_STATE();
    case 15:
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead == '`') ADVANCE(128);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(126);
      if (lookahead != 0) ADVANCE(129);
      END_STATE();
    case 16:
      if (lookahead == '\n') ADVANCE(174);
      if (lookahead == '\r') ADVANCE(170);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(169);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(199);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 17:
      if (lookahead == '\n') ADVANCE(174);
      if (lookahead == '\r') ADVANCE(170);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0) ADVANCE(174);
      END_STATE();
    case 18:
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead == '\r') ADVANCE(181);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 19:
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead == '\r') ADVANCE(181);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(182);
      if (lookahead != 0) ADVANCE(180);
      END_STATE();
    case 20:
      if (lookahead == '\n') ADVANCE(176);
      if (lookahead == '\r') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '}') ADVANCE(204);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(176);
      END_STATE();
    case 21:
      if (lookahead == '\n') ADVANCE(162);
      if (lookahead == '\r') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(166);
      if (lookahead == '}') ADVANCE(204);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(164);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 22:
      if (lookahead == '\n') ADVANCE(162);
      if (lookahead == '\r') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == '}') ADVANCE(204);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(165);
      if (lookahead != 0) ADVANCE(162);
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '\r') ADVANCE(141);
      if (lookahead == '"') ADVANCE(138);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0) ADVANCE(140);
      END_STATE();
    case 24:
      if (lookahead == '\n') ADVANCE(189);
      if (lookahead == '\r') ADVANCE(187);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(186);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(200);
      if (lookahead != 0) ADVANCE(189);
      END_STATE();
    case 25:
      if (lookahead == '\n') ADVANCE(189);
      if (lookahead == '\r') ADVANCE(187);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(186);
      if (lookahead != 0) ADVANCE(189);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(195);
      if (lookahead == '\r') ADVANCE(196);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      if (lookahead != 0) ADVANCE(195);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(195);
      if (lookahead == '\r') ADVANCE(196);
      if (lookahead == '$') ADVANCE(84);
      if (lookahead == '\'') ADVANCE(150);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(197);
      if (lookahead != 0) ADVANCE(195);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(192);
      if (lookahead == '\\') ADVANCE(194);
      if (lookahead == '}') ADVANCE(204);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(191);
      END_STATE();
    case 29:
      if (lookahead == '!') ADVANCE(37);
      END_STATE();
    case 30:
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == '}') ADVANCE(201);
      END_STATE();
    case 31:
      if (lookahead == '"') ADVANCE(130);
      END_STATE();
    case 32:
      if (lookahead == '"') ADVANCE(161);
      END_STATE();
    case 33:
      if (lookahead == '&') ADVANCE(77);
      END_STATE();
    case 34:
      if (lookahead == '\'') ADVANCE(144);
      END_STATE();
    case 35:
      if (lookahead == '\'') ADVANCE(184);
      END_STATE();
    case 36:
      if (lookahead == '-') ADVANCE(203);
      END_STATE();
    case 37:
      if (lookahead == '/') ADVANCE(50);
      END_STATE();
    case 38:
      if (lookahead == '/') ADVANCE(43);
      END_STATE();
    case 39:
      if (lookahead == '/') ADVANCE(44);
      END_STATE();
    case 40:
      if (lookahead == '=') ADVANCE(116);
      if (lookahead == '~') ADVANCE(118);
      END_STATE();
    case 41:
      if (lookahead == '=') ADVANCE(115);
      if (lookahead == '~') ADVANCE(117);
      END_STATE();
    case 42:
      if (lookahead == '`') ADVANCE(124);
      END_STATE();
    case 43:
      if (lookahead == 'b') ADVANCE(45);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(47);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 47:
      if (lookahead == 'n') ADVANCE(39);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 49:
      if (lookahead == 's') ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead == 'u') ADVANCE(49);
      END_STATE();
    case 51:
      if (lookahead == 'v') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 53:
      if (lookahead == '{') ADVANCE(97);
      END_STATE();
    case 54:
      if (lookahead == '|') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == '}') ADVANCE(160);
      END_STATE();
    case 56:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 57:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 58:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 59:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 60:
      if (lookahead == '}') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 61:
      if (lookahead == '}') ADVANCE(109);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 64:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '\n', 208,
        '\r', 1,
        '!', 40,
        '"', 139,
        '#', 29,
        '$', 84,
        '&', 33,
        '\'', 151,
        '(', 81,
        ')', 82,
        '*', 88,
        '+', 87,
        ',', 79,
        '-', 95,
        '/', 113,
        ':', 76,
        '=', 86,
        '@', 72,
        '[', 78,
        '\\', 30,
        ']', 80,
        '`', 120,
        'x', 205,
        '{', 111,
        '|', 54,
        '}', 112,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 65:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '\n', 208,
        '\r', 1,
        '!', 40,
        '#', 207,
        '$', 83,
        '&', 33,
        '\'', 150,
        '(', 81,
        ')', 82,
        '*', 88,
        '+', 87,
        ',', 79,
        '/', 113,
        ':', 76,
        '=', 41,
        '?', 70,
        '@', 71,
        '[', 78,
        ']', 80,
        '`', 119,
        '{', 110,
        '|', 54,
        '}', 112,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(66);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 66:
      if (eof) ADVANCE(68);
      ADVANCE_MAP(
        '\n', 208,
        '\r', 1,
        '!', 40,
        '#', 207,
        '$', 83,
        '&', 33,
        '\'', 150,
        '(', 81,
        ')', 82,
        '*', 88,
        '+', 87,
        ',', 79,
        '/', 113,
        ':', 76,
        '=', 41,
        '@', 71,
        '[', 78,
        ']', 80,
        '`', 119,
        '{', 110,
        '|', 54,
        '}', 112,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(66);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 67:
      if (eof) ADVANCE(68);
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead == '\r') ADVANCE(1);
      if (lookahead == '#') ADVANCE(207);
      if (lookahead == '@') ADVANCE(71);
      if (lookahead == '[') ADVANCE(78);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(89);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '-') ADVANCE(90);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '-') ADVANCE(90);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(98);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '-') ADVANCE(203);
      if (lookahead == '=') ADVANCE(69);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(69);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '{') ADVANCE(202);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(115);
      if (lookahead == '~') ADVANCE(117);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym_shebang_line_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_AT_DASH);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DASH_AT);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym_shebang_line_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_shebang_shell);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '@') ADVANCE(91);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '@') ADVANCE(91);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(98);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE_LBRACE_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\n') ADVANCE(208);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(98);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '-') ADVANCE(96);
      if (lookahead == '@') ADVANCE(73);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(100);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(101);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '-') ADVANCE(96);
      if (lookahead == '@') ADVANCE(73);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '\r') ADVANCE(99);
      if (lookahead == '{') ADVANCE(106);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n') ADVANCE(107);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '!') ADVANCE(105);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(98);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '/') ADVANCE(50);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead == '{') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(98);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(aux_sym__recipe_line_choice_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != '{') ADVANCE(98);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      if (lookahead == '{') ADVANCE(53);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(108);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_BANG_TILDE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      if (lookahead == '`') ADVANCE(42);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__backtick_token1);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead == '\r') ADVANCE(122);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(123);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym__backtick_token1);
      if (lookahead == '\n') ADVANCE(123);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(123);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym__backtick_token1);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(123);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_BQUOTE_BQUOTE_BQUOTE);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead == '\r') ADVANCE(127);
      if (lookahead == '`') ADVANCE(128);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(126);
      if (lookahead != 0) ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead == '\n') ADVANCE(125);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(125);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead == '`') ADVANCE(42);
      if (lookahead != 0) ADVANCE(125);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym__indented_backtick_token1);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(125);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead == '\r') ADVANCE(133);
      if (lookahead == '"') ADVANCE(134);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(132);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(131);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(131);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '"') ADVANCE(31);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(136);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(aux_sym__indented_normal_string_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(131);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(31);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '\r') ADVANCE(141);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(142);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(140);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(aux_sym__normal_string_token1);
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead == '\r') ADVANCE(147);
      if (lookahead == '\'') ADVANCE(148);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(146);
      if (lookahead != 0) ADVANCE(149);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(145);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(145);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead == '\'') ADVANCE(34);
      if (lookahead != 0) ADVANCE(145);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(aux_sym__indented_raw_string_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(145);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(34);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(aux_sym__raw_string_token1);
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '\r') ADVANCE(153);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(152);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(154);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym__raw_string_token1);
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(154);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(aux_sym__raw_string_token1);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_BSLASHn);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_BSLASHr);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_BSLASHt);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_BSLASH_DQUOTE);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_BSLASH_BSLASH);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_x_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(162);
      if (lookahead == '\r') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(166);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(164);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(162);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '\n') ADVANCE(162);
      if (lookahead == '\r') ADVANCE(163);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(165);
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(162);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == '}') ADVANCE(201);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token1);
      if (lookahead == '}') ADVANCE(201);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '\n') ADVANCE(174);
      if (lookahead == '\r') ADVANCE(170);
      if (lookahead == '"') ADVANCE(171);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(174);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '\n') ADVANCE(168);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(168);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '"') ADVANCE(31);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(168);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(173);
      if (lookahead == '}') ADVANCE(201);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(168);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead == '{') ADVANCE(62);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_normal_string_token2);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(168);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_x_DQUOTE);
      if (lookahead == '"') ADVANCE(32);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      if (lookahead == '\n') ADVANCE(176);
      if (lookahead == '\r') ADVANCE(177);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '}') ADVANCE(176);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token1);
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == '}') ADVANCE(201);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      if (lookahead == '\n') ADVANCE(180);
      if (lookahead == '\r') ADVANCE(181);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(180);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(aux_sym__shell_expanded_normal_string_token2);
      if (lookahead == '"') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == 'n') ADVANCE(155);
      if (lookahead == 'r') ADVANCE(156);
      if (lookahead == 't') ADVANCE(157);
      if (lookahead == 'u') ADVANCE(52);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_x_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(189);
      if (lookahead == '\r') ADVANCE(187);
      if (lookahead == '\'') ADVANCE(188);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(186);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(189);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead == '\n') ADVANCE(185);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead == '\'') ADVANCE(34);
      if (lookahead != 0 &&
          lookahead != '$') ADVANCE(185);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(aux_sym__shell_expanded_indented_raw_string_token1);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_x_SQUOTE);
      if (lookahead == '\'') ADVANCE(35);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      if (lookahead == '\n') ADVANCE(191);
      if (lookahead == '\r') ADVANCE(192);
      if (lookahead == '\\') ADVANCE(194);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '}') ADVANCE(191);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token1);
      if (lookahead == '}') ADVANCE(201);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token2);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token2);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(aux_sym__shell_expanded_raw_string_token2);
      if (lookahead == '\n') ADVANCE(195);
      if (lookahead == '\r') ADVANCE(196);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(197);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(195);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_shell_variable_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_shell_variable_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '$') ADVANCE(168);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_shell_variable_name);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '$' &&
          lookahead != '\'') ADVANCE(185);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_escape_variable_end);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_expansion_long_start);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_expansion_long_middle);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_expansion_long_end);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(175);
      if (lookahead == '\'') ADVANCE(190);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(206);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(aux_sym_comment_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(207);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym__eol);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_numeric_error);
      if (lookahead == '.') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(209);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_numeric_error);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(210);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'e', 2,
        'f', 3,
        'i', 4,
        'm', 5,
        's', 6,
        't', 7,
        'u', 8,
      );
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 's') ADVANCE(10);
      END_STATE();
    case 2:
      if (lookahead == 'l') ADVANCE(11);
      if (lookahead == 'x') ADVANCE(12);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(13);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      END_STATE();
    case 5:
      if (lookahead == 'o') ADVANCE(16);
      END_STATE();
    case 6:
      if (lookahead == 'e') ADVANCE(17);
      if (lookahead == 'h') ADVANCE(18);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 8:
      if (lookahead == 'n') ADVANCE(20);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(21);
      END_STATE();
    case 10:
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 11:
      if (lookahead == 's') ADVANCE(23);
      END_STATE();
    case 12:
      if (lookahead == 'p') ADVANCE(24);
      END_STATE();
    case 13:
      if (lookahead == 'l') ADVANCE(25);
      END_STATE();
    case 14:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 15:
      if (lookahead == 'p') ADVANCE(26);
      END_STATE();
    case 16:
      if (lookahead == 'd') ADVANCE(27);
      END_STATE();
    case 17:
      if (lookahead == 't') ADVANCE(28);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(29);
      END_STATE();
    case 19:
      if (lookahead == 'u') ADVANCE(30);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 22:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 24:
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 25:
      if (lookahead == 's') ADVANCE(36);
      END_STATE();
    case 26:
      if (lookahead == 'o') ADVANCE(37);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_mod);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(38);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 31:
      if (lookahead == 'x') ADVANCE(40);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(41);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 34:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 35:
      if (lookahead == 'r') ADVANCE(43);
      END_STATE();
    case 36:
      if (lookahead == 'e') ADVANCE(44);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(45);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(46);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(48);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(49);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(50);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_shell);
      END_STATE();
    case 47:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 51:
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_unexport);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 65},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 2},
  [7] = {.lex_state = 2},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 2},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 65},
  [47] = {.lex_state = 65},
  [48] = {.lex_state = 3},
  [49] = {.lex_state = 3},
  [50] = {.lex_state = 3},
  [51] = {.lex_state = 3},
  [52] = {.lex_state = 3},
  [53] = {.lex_state = 3},
  [54] = {.lex_state = 3},
  [55] = {.lex_state = 3},
  [56] = {.lex_state = 3},
  [57] = {.lex_state = 3},
  [58] = {.lex_state = 3},
  [59] = {.lex_state = 3},
  [60] = {.lex_state = 3},
  [61] = {.lex_state = 3},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 65},
  [69] = {.lex_state = 65},
  [70] = {.lex_state = 65},
  [71] = {.lex_state = 65},
  [72] = {.lex_state = 65},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 65},
  [75] = {.lex_state = 65},
  [76] = {.lex_state = 65},
  [77] = {.lex_state = 67},
  [78] = {.lex_state = 67},
  [79] = {.lex_state = 67},
  [80] = {.lex_state = 67},
  [81] = {.lex_state = 67},
  [82] = {.lex_state = 67},
  [83] = {.lex_state = 67},
  [84] = {.lex_state = 67},
  [85] = {.lex_state = 67},
  [86] = {.lex_state = 67},
  [87] = {.lex_state = 65},
  [88] = {.lex_state = 67},
  [89] = {.lex_state = 65},
  [90] = {.lex_state = 65},
  [91] = {.lex_state = 67},
  [92] = {.lex_state = 67},
  [93] = {.lex_state = 65},
  [94] = {.lex_state = 67},
  [95] = {.lex_state = 65},
  [96] = {.lex_state = 65},
  [97] = {.lex_state = 67},
  [98] = {.lex_state = 17},
  [99] = {.lex_state = 17},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 17},
  [102] = {.lex_state = 67},
  [103] = {.lex_state = 67},
  [104] = {.lex_state = 17},
  [105] = {.lex_state = 17},
  [106] = {.lex_state = 17},
  [107] = {.lex_state = 67},
  [108] = {.lex_state = 67},
  [109] = {.lex_state = 17},
  [110] = {.lex_state = 19},
  [111] = {.lex_state = 19},
  [112] = {.lex_state = 2},
  [113] = {.lex_state = 2},
  [114] = {.lex_state = 19},
  [115] = {.lex_state = 19},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 19},
  [118] = {.lex_state = 19},
  [119] = {.lex_state = 19},
  [120] = {.lex_state = 67},
  [121] = {.lex_state = 16},
  [122] = {.lex_state = 67},
  [123] = {.lex_state = 67},
  [124] = {.lex_state = 67},
  [125] = {.lex_state = 67},
  [126] = {.lex_state = 67},
  [127] = {.lex_state = 67},
  [128] = {.lex_state = 65},
  [129] = {.lex_state = 67},
  [130] = {.lex_state = 67},
  [131] = {.lex_state = 67},
  [132] = {.lex_state = 20},
  [133] = {.lex_state = 0},
  [134] = {.lex_state = 21},
  [135] = {.lex_state = 20},
  [136] = {.lex_state = 65},
  [137] = {.lex_state = 65},
  [138] = {.lex_state = 65},
  [139] = {.lex_state = 65},
  [140] = {.lex_state = 65},
  [141] = {.lex_state = 0},
  [142] = {.lex_state = 65},
  [143] = {.lex_state = 65},
  [144] = {.lex_state = 65},
  [145] = {.lex_state = 65},
  [146] = {.lex_state = 65},
  [147] = {.lex_state = 65},
  [148] = {.lex_state = 65},
  [149] = {.lex_state = 65},
  [150] = {.lex_state = 65},
  [151] = {.lex_state = 65},
  [152] = {.lex_state = 65},
  [153] = {.lex_state = 65},
  [154] = {.lex_state = 17},
  [155] = {.lex_state = 65},
  [156] = {.lex_state = 65},
  [157] = {.lex_state = 0},
  [158] = {.lex_state = 65},
  [159] = {.lex_state = 65},
  [160] = {.lex_state = 65},
  [161] = {.lex_state = 17},
  [162] = {.lex_state = 65},
  [163] = {.lex_state = 9},
  [164] = {.lex_state = 65},
  [165] = {.lex_state = 65},
  [166] = {.lex_state = 17},
  [167] = {.lex_state = 65},
  [168] = {.lex_state = 21},
  [169] = {.lex_state = 65},
  [170] = {.lex_state = 65},
  [171] = {.lex_state = 21},
  [172] = {.lex_state = 17},
  [173] = {.lex_state = 20},
  [174] = {.lex_state = 65},
  [175] = {.lex_state = 65},
  [176] = {.lex_state = 65},
  [177] = {.lex_state = 17},
  [178] = {.lex_state = 65},
  [179] = {.lex_state = 18},
  [180] = {.lex_state = 65},
  [181] = {.lex_state = 65},
  [182] = {.lex_state = 23},
  [183] = {.lex_state = 11},
  [184] = {.lex_state = 19},
  [185] = {.lex_state = 13},
  [186] = {.lex_state = 23},
  [187] = {.lex_state = 19},
  [188] = {.lex_state = 19},
  [189] = {.lex_state = 65},
  [190] = {.lex_state = 0},
  [191] = {.lex_state = 65},
  [192] = {.lex_state = 13},
  [193] = {.lex_state = 0},
  [194] = {.lex_state = 65},
  [195] = {.lex_state = 19},
  [196] = {.lex_state = 13},
  [197] = {.lex_state = 23},
  [198] = {.lex_state = 0},
  [199] = {.lex_state = 13},
  [200] = {.lex_state = 23},
  [201] = {.lex_state = 23},
  [202] = {.lex_state = 13},
  [203] = {.lex_state = 23},
  [204] = {.lex_state = 13},
  [205] = {.lex_state = 23},
  [206] = {.lex_state = 19},
  [207] = {.lex_state = 0},
  [208] = {.lex_state = 13},
  [209] = {.lex_state = 0},
  [210] = {.lex_state = 65},
  [211] = {.lex_state = 65},
  [212] = {.lex_state = 65},
  [213] = {.lex_state = 65},
  [214] = {.lex_state = 65},
  [215] = {.lex_state = 65},
  [216] = {.lex_state = 65},
  [217] = {.lex_state = 65},
  [218] = {.lex_state = 65},
  [219] = {.lex_state = 21},
  [220] = {.lex_state = 20},
  [221] = {.lex_state = 65},
  [222] = {.lex_state = 65},
  [223] = {.lex_state = 65},
  [224] = {.lex_state = 65},
  [225] = {.lex_state = 65},
  [226] = {.lex_state = 65},
  [227] = {.lex_state = 65},
  [228] = {.lex_state = 65},
  [229] = {.lex_state = 65},
  [230] = {.lex_state = 65},
  [231] = {.lex_state = 65},
  [232] = {.lex_state = 65},
  [233] = {.lex_state = 65},
  [234] = {.lex_state = 65},
  [235] = {.lex_state = 65},
  [236] = {.lex_state = 65},
  [237] = {.lex_state = 65},
  [238] = {.lex_state = 13},
  [239] = {.lex_state = 65},
  [240] = {.lex_state = 65},
  [241] = {.lex_state = 23},
  [242] = {.lex_state = 65},
  [243] = {.lex_state = 65},
  [244] = {.lex_state = 65},
  [245] = {.lex_state = 65},
  [246] = {.lex_state = 65},
  [247] = {.lex_state = 65},
  [248] = {.lex_state = 65},
  [249] = {.lex_state = 65},
  [250] = {.lex_state = 10},
  [251] = {.lex_state = 65},
  [252] = {.lex_state = 65},
  [253] = {.lex_state = 25},
  [254] = {.lex_state = 65},
  [255] = {.lex_state = 12},
  [256] = {.lex_state = 12},
  [257] = {.lex_state = 27},
  [258] = {.lex_state = 12},
  [259] = {.lex_state = 25},
  [260] = {.lex_state = 27},
  [261] = {.lex_state = 25},
  [262] = {.lex_state = 25},
  [263] = {.lex_state = 27},
  [264] = {.lex_state = 65},
  [265] = {.lex_state = 4},
  [266] = {.lex_state = 12},
  [267] = {.lex_state = 27},
  [268] = {.lex_state = 25},
  [269] = {.lex_state = 27},
  [270] = {.lex_state = 27},
  [271] = {.lex_state = 25},
  [272] = {.lex_state = 12},
  [273] = {.lex_state = 12},
  [274] = {.lex_state = 65},
  [275] = {.lex_state = 25},
  [276] = {.lex_state = 12},
  [277] = {.lex_state = 65},
  [278] = {.lex_state = 27},
  [279] = {.lex_state = 4},
  [280] = {.lex_state = 12},
  [281] = {.lex_state = 12},
  [282] = {.lex_state = 65},
  [283] = {.lex_state = 12},
  [284] = {.lex_state = 12},
  [285] = {.lex_state = 65},
  [286] = {.lex_state = 65},
  [287] = {.lex_state = 26},
  [288] = {.lex_state = 24},
  [289] = {.lex_state = 65},
  [290] = {.lex_state = 65},
  [291] = {.lex_state = 65},
  [292] = {.lex_state = 65},
  [293] = {.lex_state = 65},
  [294] = {.lex_state = 65},
  [295] = {.lex_state = 65},
  [296] = {.lex_state = 65},
  [297] = {.lex_state = 65},
  [298] = {.lex_state = 65},
  [299] = {.lex_state = 65},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 3},
  [302] = {.lex_state = 65},
  [303] = {.lex_state = 65},
  [304] = {.lex_state = 65},
  [305] = {.lex_state = 65},
  [306] = {.lex_state = 65},
  [307] = {.lex_state = 65},
  [308] = {.lex_state = 65},
  [309] = {.lex_state = 65},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 65},
  [312] = {.lex_state = 22},
  [313] = {.lex_state = 25},
  [314] = {.lex_state = 28},
  [315] = {.lex_state = 27},
  [316] = {.lex_state = 25},
  [317] = {.lex_state = 22},
  [318] = {.lex_state = 27},
  [319] = {.lex_state = 28},
  [320] = {.lex_state = 65},
  [321] = {.lex_state = 65},
  [322] = {.lex_state = 65},
  [323] = {.lex_state = 25},
  [324] = {.lex_state = 22},
  [325] = {.lex_state = 27},
  [326] = {.lex_state = 28},
  [327] = {.lex_state = 65},
  [328] = {.lex_state = 65},
  [329] = {.lex_state = 25},
  [330] = {.lex_state = 65},
  [331] = {.lex_state = 27},
  [332] = {.lex_state = 65},
  [333] = {.lex_state = 65},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 65},
  [336] = {.lex_state = 14},
  [337] = {.lex_state = 65},
  [338] = {.lex_state = 15},
  [339] = {.lex_state = 65},
  [340] = {.lex_state = 15},
  [341] = {.lex_state = 5},
  [342] = {.lex_state = 12},
  [343] = {.lex_state = 0},
  [344] = {.lex_state = 65},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 0},
  [347] = {.lex_state = 15},
  [348] = {.lex_state = 65},
  [349] = {.lex_state = 65},
  [350] = {.lex_state = 0},
  [351] = {.lex_state = 5},
  [352] = {.lex_state = 12},
  [353] = {.lex_state = 3},
  [354] = {.lex_state = 3},
  [355] = {.lex_state = 12},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 65},
  [358] = {.lex_state = 3},
  [359] = {.lex_state = 3},
  [360] = {.lex_state = 65},
  [361] = {.lex_state = 65},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 65},
  [364] = {.lex_state = 14},
  [365] = {.lex_state = 65},
  [366] = {.lex_state = 65},
  [367] = {.lex_state = 14},
  [368] = {.lex_state = 14},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 65},
  [371] = {.lex_state = 15},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 15},
  [374] = {.lex_state = 65},
  [375] = {.lex_state = 0},
  [376] = {.lex_state = 65},
  [377] = {.lex_state = 14},
  [378] = {.lex_state = 3},
  [379] = {.lex_state = 14},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 65},
  [382] = {.lex_state = 65},
  [383] = {.lex_state = 14},
  [384] = {.lex_state = 0},
  [385] = {.lex_state = 15},
  [386] = {.lex_state = 0},
  [387] = {.lex_state = 15},
  [388] = {.lex_state = 0},
  [389] = {.lex_state = 65},
  [390] = {.lex_state = 5},
  [391] = {.lex_state = 65},
  [392] = {.lex_state = 5},
  [393] = {.lex_state = 3},
  [394] = {.lex_state = 65},
  [395] = {.lex_state = 65},
  [396] = {.lex_state = 5},
  [397] = {.lex_state = 65},
  [398] = {.lex_state = 5},
  [399] = {.lex_state = 0},
  [400] = {.lex_state = 5},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 15},
  [403] = {.lex_state = 65},
  [404] = {.lex_state = 5},
  [405] = {.lex_state = 65},
  [406] = {.lex_state = 5},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 65},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 65},
  [411] = {.lex_state = 65},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 0},
  [414] = {.lex_state = 0},
  [415] = {.lex_state = 65},
  [416] = {.lex_state = 65},
  [417] = {.lex_state = 65},
  [418] = {.lex_state = 65},
  [419] = {.lex_state = 0},
  [420] = {.lex_state = 65},
  [421] = {.lex_state = 65},
  [422] = {.lex_state = 152},
  [423] = {.lex_state = 0},
  [424] = {.lex_state = 65},
  [425] = {.lex_state = 65},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 65},
  [428] = {.lex_state = 65},
  [429] = {.lex_state = 65},
  [430] = {.lex_state = 65},
  [431] = {.lex_state = 65},
  [432] = {.lex_state = 121},
  [433] = {.lex_state = 65},
  [434] = {.lex_state = 65},
  [435] = {.lex_state = 8},
  [436] = {.lex_state = 65},
  [437] = {.lex_state = 65},
  [438] = {.lex_state = 65},
  [439] = {.lex_state = 65},
  [440] = {.lex_state = 65},
  [441] = {.lex_state = 65},
  [442] = {.lex_state = 0},
  [443] = {.lex_state = 65},
  [444] = {.lex_state = 65},
  [445] = {.lex_state = 65},
  [446] = {.lex_state = 8},
  [447] = {.lex_state = 65},
  [448] = {.lex_state = 65},
  [449] = {.lex_state = 8},
  [450] = {.lex_state = 0},
  [451] = {.lex_state = 0},
  [452] = {.lex_state = 0},
  [453] = {.lex_state = 152},
  [454] = {.lex_state = 65},
  [455] = {.lex_state = 121},
  [456] = {.lex_state = 8},
  [457] = {.lex_state = 0},
  [458] = {.lex_state = 152},
  [459] = {.lex_state = 8},
  [460] = {.lex_state = 121},
  [461] = {.lex_state = 65},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 0},
  [464] = {.lex_state = 65},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 65},
  [467] = {.lex_state = 8},
  [468] = {.lex_state = 65},
  [469] = {.lex_state = 8},
  [470] = {.lex_state = 65},
  [471] = {.lex_state = 8},
  [472] = {.lex_state = 65},
  [473] = {.lex_state = 65},
  [474] = {.lex_state = 65},
  [475] = {.lex_state = 65},
  [476] = {.lex_state = 65},
  [477] = {.lex_state = 0},
  [478] = {.lex_state = 65},
  [479] = {.lex_state = 65},
  [480] = {.lex_state = 0},
  [481] = {.lex_state = 0},
  [482] = {.lex_state = 0},
  [483] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_unexport] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_mod] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_AT_DASH] = ACTIONS(1),
    [anon_sym_DASH_AT] = ACTIONS(1),
    [anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [anon_sym_shell] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_BANG_TILDE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE_BQUOTE_BQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_BSLASHn] = ACTIONS(1),
    [anon_sym_BSLASHr] = ACTIONS(1),
    [anon_sym_BSLASHt] = ACTIONS(1),
    [anon_sym_BSLASH_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_BSLASH] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [anon_sym_x_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_x_DQUOTE] = ACTIONS(1),
    [anon_sym_x_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_x_SQUOTE] = ACTIONS(1),
    [sym_escape_variable_end] = ACTIONS(1),
    [sym_expansion_long_start] = ACTIONS(1),
    [sym_expansion_long_middle] = ACTIONS(1),
    [sym_expansion_long_end] = ACTIONS(1),
    [sym__eol] = ACTIONS(3),
    [sym_numeric_error] = ACTIONS(1),
  },
  [1] = {
    [sym_file] = STATE(457),
    [sym_alias] = STATE(46),
    [sym_assignment] = STATE(46),
    [sym_unexport] = STATE(46),
    [sym_import] = STATE(46),
    [sym_mod] = STATE(46),
    [sym_recipe] = STATE(46),
    [sym__attribute_list] = STATE(229),
    [sym_setting] = STATE(46),
    [sym_comment] = STATE(46),
    [aux_sym_file_repeat1] = STATE(46),
    [aux_sym_alias_repeat1] = STATE(229),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_alias] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_unexport] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_mod] = ACTIONS(17),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(21),
    [anon_sym_set] = ACTIONS(23),
    [aux_sym_comment_token1] = ACTIONS(25),
    [sym__eol] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(31), 1,
      anon_sym_RPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(300), 1,
      sym_expression,
    STATE(419), 1,
      sym_function_parameters,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [76] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(65), 1,
      anon_sym_RPAREN,
    ACTIONS(67), 1,
      anon_sym_SLASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    STATE(4), 1,
      aux_sym_recipe_dependency_repeat1,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(62), 1,
      sym_value,
    STATE(67), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [152] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(91), 1,
      sym_identifier,
    ACTIONS(94), 1,
      anon_sym_LPAREN,
    ACTIONS(97), 1,
      anon_sym_RPAREN,
    ACTIONS(99), 1,
      anon_sym_if,
    ACTIONS(102), 1,
      anon_sym_assert,
    ACTIONS(105), 1,
      anon_sym_SLASH,
    ACTIONS(108), 1,
      anon_sym_BQUOTE,
    ACTIONS(111), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(114), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(117), 1,
      anon_sym_DQUOTE,
    ACTIONS(120), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(123), 1,
      anon_sym_SQUOTE,
    ACTIONS(126), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(129), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(132), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(135), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(138), 1,
      sym_numeric_error,
    STATE(4), 1,
      aux_sym_recipe_dependency_repeat1,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(62), 1,
      sym_value,
    STATE(67), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [228] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_SLASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    ACTIONS(141), 1,
      anon_sym_RPAREN,
    STATE(3), 1,
      aux_sym_recipe_dependency_repeat1,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(62), 1,
      sym_value,
    STATE(67), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [304] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(143), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(145), 18,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [338] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(147), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(149), 18,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [372] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    ACTIONS(151), 1,
      anon_sym_RPAREN,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(300), 1,
      sym_expression,
    STATE(423), 1,
      sym_function_parameters,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [448] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(153), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(155), 18,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [482] = 24,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    ACTIONS(157), 1,
      anon_sym_RPAREN,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(300), 1,
      sym_expression,
    STATE(450), 1,
      sym_function_parameters,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [558] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(274), 1,
      sym_expression,
    STATE(442), 1,
      sym_condition,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [631] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    ACTIONS(159), 1,
      anon_sym_RPAREN,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(310), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [704] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(274), 1,
      sym_expression,
    STATE(478), 1,
      sym_condition,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [777] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(274), 1,
      sym_expression,
    STATE(475), 1,
      sym_condition,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [850] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    ACTIONS(161), 1,
      anon_sym_RPAREN,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(310), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [923] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(274), 1,
      sym_expression,
    STATE(476), 1,
      sym_condition,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [996] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(274), 1,
      sym_expression,
    STATE(463), 1,
      sym_condition,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1069] = 23,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(274), 1,
      sym_expression,
    STATE(465), 1,
      sym_condition,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1142] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(310), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1212] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      sym_identifier,
    ACTIONS(165), 1,
      anon_sym_LPAREN,
    ACTIONS(167), 1,
      anon_sym_if,
    ACTIONS(169), 1,
      anon_sym_assert,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(173), 1,
      anon_sym_BQUOTE,
    ACTIONS(175), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(193), 1,
      sym_numeric_error,
    STATE(294), 1,
      sym_value,
    STATE(305), 1,
      sym_expression,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(295), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(292), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1282] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(337), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1352] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(328), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1422] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(189), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1492] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(382), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1562] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      sym_identifier,
    ACTIONS(165), 1,
      anon_sym_LPAREN,
    ACTIONS(167), 1,
      anon_sym_if,
    ACTIONS(169), 1,
      anon_sym_assert,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(173), 1,
      anon_sym_BQUOTE,
    ACTIONS(175), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(193), 1,
      sym_numeric_error,
    STATE(294), 1,
      sym_value,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(374), 1,
      sym_expression,
    STATE(295), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(292), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1632] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_SLASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(62), 1,
      sym_value,
    STATE(66), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1702] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(181), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1772] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    ACTIONS(195), 1,
      anon_sym_if,
    ACTIONS(197), 1,
      anon_sym_assert,
    ACTIONS(199), 1,
      anon_sym_SLASH,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(301), 1,
      sym_value,
    STATE(393), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1842] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(362), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1912] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    ACTIONS(195), 1,
      anon_sym_if,
    ACTIONS(197), 1,
      anon_sym_assert,
    ACTIONS(199), 1,
      anon_sym_SLASH,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(301), 1,
      sym_value,
    STATE(378), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [1982] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      sym_identifier,
    ACTIONS(165), 1,
      anon_sym_LPAREN,
    ACTIONS(167), 1,
      anon_sym_if,
    ACTIONS(169), 1,
      anon_sym_assert,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(173), 1,
      anon_sym_BQUOTE,
    ACTIONS(175), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(193), 1,
      sym_numeric_error,
    STATE(294), 1,
      sym_value,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(348), 1,
      sym_expression,
    STATE(295), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(292), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2052] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(67), 1,
      anon_sym_SLASH,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(62), 1,
      sym_value,
    STATE(65), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2122] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(345), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2192] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(61), 1,
      sym_identifier,
    ACTIONS(63), 1,
      anon_sym_LPAREN,
    ACTIONS(69), 1,
      anon_sym_BQUOTE,
    ACTIONS(71), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(75), 1,
      anon_sym_DQUOTE,
    ACTIONS(77), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(79), 1,
      anon_sym_SQUOTE,
    ACTIONS(81), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(83), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(85), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(89), 1,
      sym_numeric_error,
    ACTIONS(195), 1,
      anon_sym_if,
    ACTIONS(197), 1,
      anon_sym_assert,
    ACTIONS(199), 1,
      anon_sym_SLASH,
    STATE(49), 1,
      sym_shell_expanded_string,
    STATE(301), 1,
      sym_value,
    STATE(354), 1,
      sym_expression,
    STATE(54), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(53), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2262] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(372), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2332] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(375), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2402] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(376), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2472] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(386), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2542] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(388), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2612] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(389), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2682] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      sym_identifier,
    ACTIONS(165), 1,
      anon_sym_LPAREN,
    ACTIONS(167), 1,
      anon_sym_if,
    ACTIONS(169), 1,
      anon_sym_assert,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(173), 1,
      anon_sym_BQUOTE,
    ACTIONS(175), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(193), 1,
      sym_numeric_error,
    STATE(294), 1,
      sym_value,
    STATE(304), 1,
      sym_expression,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(295), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(292), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2752] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(327), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2822] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(394), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2892] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(33), 1,
      anon_sym_if,
    ACTIONS(35), 1,
      anon_sym_assert,
    ACTIONS(37), 1,
      anon_sym_SLASH,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(128), 1,
      sym_value,
    STATE(395), 1,
      sym_expression,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [2962] = 22,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(163), 1,
      sym_identifier,
    ACTIONS(165), 1,
      anon_sym_LPAREN,
    ACTIONS(167), 1,
      anon_sym_if,
    ACTIONS(169), 1,
      anon_sym_assert,
    ACTIONS(171), 1,
      anon_sym_SLASH,
    ACTIONS(173), 1,
      anon_sym_BQUOTE,
    ACTIONS(175), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(193), 1,
      sym_numeric_error,
    STATE(293), 1,
      sym_expression,
    STATE(294), 1,
      sym_value,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(295), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(292), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [3032] = 14,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(9), 1,
      anon_sym_alias,
    ACTIONS(11), 1,
      anon_sym_export,
    ACTIONS(13), 1,
      anon_sym_unexport,
    ACTIONS(15), 1,
      anon_sym_import,
    ACTIONS(17), 1,
      anon_sym_mod,
    ACTIONS(19), 1,
      anon_sym_AT,
    ACTIONS(21), 1,
      anon_sym_LBRACK,
    ACTIONS(23), 1,
      anon_sym_set,
    ACTIONS(25), 1,
      aux_sym_comment_token1,
    ACTIONS(201), 1,
      ts_builtin_sym_end,
    STATE(229), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
    STATE(47), 9,
      sym_alias,
      sym_assignment,
      sym_unexport,
      sym_import,
      sym_mod,
      sym_recipe,
      sym_setting,
      sym_comment,
      aux_sym_file_repeat1,
  [3084] = 14,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(203), 1,
      ts_builtin_sym_end,
    ACTIONS(205), 1,
      sym_identifier,
    ACTIONS(208), 1,
      anon_sym_alias,
    ACTIONS(211), 1,
      anon_sym_export,
    ACTIONS(214), 1,
      anon_sym_unexport,
    ACTIONS(217), 1,
      anon_sym_import,
    ACTIONS(220), 1,
      anon_sym_mod,
    ACTIONS(223), 1,
      anon_sym_AT,
    ACTIONS(226), 1,
      anon_sym_LBRACK,
    ACTIONS(229), 1,
      anon_sym_set,
    ACTIONS(232), 1,
      aux_sym_comment_token1,
    STATE(229), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
    STATE(47), 9,
      sym_alias,
      sym_assignment,
      sym_unexport,
      sym_import,
      sym_mod,
      sym_recipe,
      sym_setting,
      sym_comment,
      aux_sym_file_repeat1,
  [3136] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(235), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(237), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3165] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(239), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(241), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3194] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(243), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(245), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3223] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(247), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(249), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3252] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(255), 1,
      anon_sym_LPAREN,
    ACTIONS(251), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(253), 12,
      anon_sym_AMP_AMP,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3283] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(251), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(253), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3312] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(257), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(259), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3341] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(261), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(263), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3370] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(265), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(267), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3399] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(269), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(271), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3428] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(273), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(275), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3457] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(277), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(279), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3486] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(281), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(283), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3515] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(285), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(287), 13,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_RBRACE_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3544] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(293), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
    ACTIONS(289), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(291), 10,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3574] = 18,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(303), 1,
      sym_value,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [3632] = 18,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(27), 1,
      sym_identifier,
    ACTIONS(29), 1,
      anon_sym_LPAREN,
    ACTIONS(39), 1,
      anon_sym_BQUOTE,
    ACTIONS(41), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(59), 1,
      sym_numeric_error,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(290), 1,
      sym_value,
    STATE(90), 2,
      sym__backtick,
      sym__indented_backtick,
    STATE(89), 3,
      sym_function_call,
      sym_external_command,
      sym_string,
  [3690] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(293), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(153), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(155), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3719] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(293), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(295), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(297), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3748] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(293), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(299), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(301), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3777] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(249), 17,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3800] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(241), 17,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3823] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(245), 17,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3846] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(237), 17,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3869] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(253), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3894] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(305), 8,
      anon_sym_if,
      anon_sym_assert,
      anon_sym_BQUOTE,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_x_DQUOTE,
      anon_sym_x_SQUOTE,
      sym_identifier,
    ACTIONS(307), 9,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SLASH,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
      sym_numeric_error,
  [3919] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(263), 17,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3942] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(283), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3964] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(279), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [3986] = 7,
    ACTIONS(309), 1,
      ts_builtin_sym_end,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    STATE(102), 1,
      sym_shebang_line,
    STATE(176), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(311), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4018] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(317), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(137), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(319), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4050] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(321), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(138), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(323), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4082] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(325), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(139), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(327), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4114] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(329), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(136), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(331), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4146] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(333), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(142), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(335), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4178] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(337), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(178), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(339), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4210] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(341), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(143), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(343), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4242] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(345), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(144), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(347), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4274] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(349), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(148), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(351), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4306] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(287), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [4328] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(353), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(165), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(355), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4360] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(253), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [4382] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(259), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [4404] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(357), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(174), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(359), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4436] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(361), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(164), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(363), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4468] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(267), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [4490] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(365), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(145), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(367), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4522] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(271), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [4544] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(275), 16,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
      sym_identifier,
  [4566] = 7,
    ACTIONS(313), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(369), 1,
      ts_builtin_sym_end,
    STATE(102), 1,
      sym_shebang_line,
    STATE(150), 1,
      sym_recipe_body,
    STATE(103), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(371), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4598] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(373), 1,
      anon_sym_DOLLAR,
    ACTIONS(376), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(384), 1,
      sym_expansion_long_start,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(381), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(98), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(378), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4630] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(389), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(395), 1,
      sym_expansion_long_start,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(393), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(98), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(391), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4662] = 14,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(397), 1,
      anon_sym_LBRACK,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(438), 1,
      sym_string,
    STATE(441), 1,
      sym_boolean,
    ACTIONS(399), 2,
      anon_sym_true,
      anon_sym_false,
  [4706] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym_expansion_long_start,
    ACTIONS(401), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(403), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(99), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(391), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4738] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(405), 1,
      ts_builtin_sym_end,
    ACTIONS(409), 1,
      aux_sym_shebang_line_token1,
    STATE(107), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(407), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4764] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(409), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(411), 1,
      ts_builtin_sym_end,
    STATE(108), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(413), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4790] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym_expansion_long_start,
    ACTIONS(415), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(417), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(106), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(391), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4822] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym_expansion_long_start,
    ACTIONS(419), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(421), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(109), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(391), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4854] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym_expansion_long_start,
    ACTIONS(423), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(393), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(98), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(391), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4886] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(409), 1,
      aux_sym_shebang_line_token1,
    ACTIONS(425), 1,
      ts_builtin_sym_end,
    STATE(108), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(427), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4912] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(429), 1,
      ts_builtin_sym_end,
    ACTIONS(433), 1,
      aux_sym_shebang_line_token1,
    STATE(108), 2,
      sym_recipe_line,
      aux_sym_recipe_body_repeat1,
    ACTIONS(431), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [4938] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(387), 1,
      anon_sym_DOLLAR,
    ACTIONS(395), 1,
      sym_expansion_long_start,
    ACTIONS(436), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(456), 1,
      sym_expansion_short_start,
    ACTIONS(393), 2,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
    STATE(98), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat2,
    ACTIONS(391), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [4970] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(415), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(442), 1,
      aux_sym__shell_expanded_normal_string_token2,
    ACTIONS(444), 1,
      sym_expansion_long_start,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(119), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(440), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5001] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(419), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(444), 1,
      sym_expansion_long_start,
    ACTIONS(446), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(118), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(440), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5032] = 14,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(450), 1,
      sym__eol,
    STATE(158), 1,
      sym__ceol,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(391), 1,
      sym_string,
    STATE(483), 1,
      sym_comment,
  [5075] = 14,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(452), 1,
      sym__eol,
    STATE(140), 1,
      sym__ceol,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(349), 1,
      sym_string,
    STATE(483), 1,
      sym_comment,
  [5118] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(454), 1,
      anon_sym_DOLLAR,
    ACTIONS(457), 1,
      anon_sym_DQUOTE,
    ACTIONS(462), 1,
      aux_sym__shell_expanded_normal_string_token2,
    ACTIONS(465), 1,
      sym_expansion_long_start,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(114), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(459), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5149] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(389), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(444), 1,
      sym_expansion_long_start,
    ACTIONS(468), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(114), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(440), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5180] = 14,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(470), 1,
      sym__eol,
    STATE(146), 1,
      sym__ceol,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(361), 1,
      sym_string,
    STATE(483), 1,
      sym_comment,
  [5223] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(401), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(444), 1,
      sym_expansion_long_start,
    ACTIONS(472), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(115), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(440), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5254] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(436), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(444), 1,
      sym_expansion_long_start,
    ACTIONS(468), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(114), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(440), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5285] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(423), 1,
      anon_sym_DQUOTE,
    ACTIONS(438), 1,
      anon_sym_DOLLAR,
    ACTIONS(444), 1,
      sym_expansion_long_start,
    ACTIONS(468), 1,
      aux_sym__shell_expanded_normal_string_token2,
    STATE(469), 1,
      sym_expansion_short_start,
    STATE(114), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat2,
    ACTIONS(440), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5316] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(474), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(476), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5336] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(480), 1,
      sym_shell_variable_name,
    ACTIONS(478), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [5356] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(484), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5376] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(482), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(484), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5396] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(486), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(488), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5416] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(490), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(492), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5436] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(494), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(496), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5456] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(498), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(500), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5476] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
    ACTIONS(291), 10,
      anon_sym_AMP_AMP,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [5496] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(504), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(506), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5516] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(508), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(510), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5536] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(512), 2,
      ts_builtin_sym_end,
      aux_sym_shebang_line_token1,
    ACTIONS(514), 10,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_set,
      sym_identifier,
      aux_sym_comment_token1,
  [5556] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(520), 1,
      sym_expansion_long_end,
    ACTIONS(518), 2,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
    STATE(135), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat1,
    ACTIONS(516), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5579] = 12,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(522), 1,
      anon_sym_RBRACK,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(401), 1,
      sym_string,
  [5616] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(528), 1,
      sym_expansion_long_end,
    ACTIONS(526), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
    STATE(168), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat1,
    ACTIONS(524), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5639] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(532), 1,
      sym_expansion_long_end,
    ACTIONS(530), 2,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
    STATE(173), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat1,
    ACTIONS(516), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [5662] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(357), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(359), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5681] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(333), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(335), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5700] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(341), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(343), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5719] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(345), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(347), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5738] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(534), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(536), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5757] = 12,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(538), 1,
      anon_sym_RBRACK,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(401), 1,
      sym_string,
  [5794] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(540), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(542), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5813] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(349), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(351), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5832] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(544), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(546), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5851] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(317), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(319), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5870] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(548), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(550), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5889] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(552), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(554), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5908] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(369), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(371), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5927] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(556), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(558), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5946] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(560), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(562), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5965] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(512), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(514), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [5984] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(564), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(566), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6003] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(568), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(570), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6022] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(376), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [6039] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(572), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(574), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6058] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(576), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(578), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6077] = 12,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    ACTIONS(580), 1,
      anon_sym_QMARK,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(366), 1,
      sym_string,
  [6114] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(582), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(584), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6133] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(586), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(588), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6152] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(590), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(592), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6171] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(594), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [6188] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(596), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(598), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6207] = 8,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(604), 1,
      anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(284), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(600), 2,
      anon_sym_AT,
      anon_sym_DASH,
    ACTIONS(602), 2,
      anon_sym_AT_DASH,
      anon_sym_DASH_AT,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [6236] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(337), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(339), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6255] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(321), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(323), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6274] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(610), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [6291] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(612), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(614), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6310] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(622), 1,
      sym_expansion_long_end,
    ACTIONS(619), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
    STATE(168), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat1,
    ACTIONS(616), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6333] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(624), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(626), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6352] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(628), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(630), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6371] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(634), 1,
      sym_expansion_long_end,
    ACTIONS(632), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
    STATE(134), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_indented_normal_string_repeat1,
    ACTIONS(524), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6394] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(636), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [6411] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(644), 1,
      sym_expansion_long_end,
    ACTIONS(641), 2,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
    STATE(173), 2,
      sym_escape_sequence,
      aux_sym__shell_expanded_normal_string_repeat1,
    ACTIONS(638), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6434] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(325), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(327), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6453] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(646), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(648), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6472] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(329), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(331), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6491] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(650), 11,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token2,
      sym_escape_variable_end,
      sym_expansion_long_start,
  [6508] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(365), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(367), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6527] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(654), 1,
      sym_shell_variable_name,
    ACTIONS(652), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6546] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(656), 4,
      ts_builtin_sym_end,
      anon_sym_AT,
      anon_sym_LBRACK,
      aux_sym_comment_token1,
    ACTIONS(658), 7,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_unexport,
      anon_sym_import,
      anon_sym_mod,
      anon_sym_set,
      sym_identifier,
  [6565] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(155), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6583] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(660), 1,
      anon_sym_DQUOTE,
    ACTIONS(662), 1,
      aux_sym__normal_string_token1,
    STATE(186), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(664), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6605] = 6,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(284), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
    ACTIONS(600), 4,
      anon_sym_AT,
      anon_sym_AT_DASH,
      anon_sym_DASH_AT,
      anon_sym_DASH,
  [6629] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(666), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6645] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(668), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(670), 1,
      aux_sym__indented_normal_string_token1,
    STATE(185), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(673), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6667] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(676), 1,
      anon_sym_DQUOTE,
    ACTIONS(678), 1,
      aux_sym__normal_string_token1,
    STATE(186), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(681), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6689] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(684), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6705] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(457), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6721] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(297), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [6739] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(343), 1,
      sym_string,
  [6773] = 10,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(688), 1,
      anon_sym_COLON_EQ,
    ACTIONS(690), 1,
      anon_sym_COLON,
    ACTIONS(692), 1,
      anon_sym_DOLLAR,
    STATE(249), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(291), 1,
      sym_recipe_parameter,
    STATE(443), 1,
      sym_recipe_parameters,
    STATE(461), 1,
      sym_variadic_parameter,
    ACTIONS(694), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [6805] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(696), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(698), 1,
      aux_sym__indented_normal_string_token1,
    STATE(208), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(700), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6827] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(477), 1,
      sym_string,
  [6861] = 10,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(692), 1,
      anon_sym_DOLLAR,
    ACTIONS(702), 1,
      anon_sym_COLON_EQ,
    ACTIONS(704), 1,
      anon_sym_COLON,
    STATE(249), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(291), 1,
      sym_recipe_parameter,
    STATE(417), 1,
      sym_recipe_parameters,
    STATE(461), 1,
      sym_variadic_parameter,
    ACTIONS(694), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [6893] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(594), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [6909] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(706), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(708), 1,
      aux_sym__indented_normal_string_token1,
    STATE(199), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(700), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6931] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(706), 1,
      anon_sym_DQUOTE,
    ACTIONS(710), 1,
      aux_sym__normal_string_token1,
    STATE(200), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(664), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [6953] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(177), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(179), 1,
      anon_sym_DQUOTE,
    ACTIONS(181), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(183), 1,
      anon_sym_SQUOTE,
    ACTIONS(185), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(187), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(189), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(191), 1,
      anon_sym_x_SQUOTE,
    STATE(308), 1,
      sym_shell_expanded_string,
    STATE(363), 1,
      sym_string,
  [6987] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(712), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(714), 1,
      aux_sym__indented_normal_string_token1,
    STATE(185), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(700), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7009] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(662), 1,
      aux_sym__normal_string_token1,
    ACTIONS(712), 1,
      anon_sym_DQUOTE,
    STATE(186), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(664), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7031] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(696), 1,
      anon_sym_DQUOTE,
    ACTIONS(716), 1,
      aux_sym__normal_string_token1,
    STATE(182), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(664), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7053] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(718), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(720), 1,
      aux_sym__indented_normal_string_token1,
    STATE(204), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(700), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7075] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(718), 1,
      anon_sym_DQUOTE,
    ACTIONS(722), 1,
      aux_sym__normal_string_token1,
    STATE(205), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(664), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7097] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(714), 1,
      aux_sym__indented_normal_string_token1,
    ACTIONS(724), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    STATE(185), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(700), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7119] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(662), 1,
      aux_sym__normal_string_token1,
    ACTIONS(724), 1,
      anon_sym_DQUOTE,
    STATE(186), 2,
      sym_escape_sequence,
      aux_sym__normal_string_repeat1,
    ACTIONS(664), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7141] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(726), 10,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token2,
      sym_expansion_long_start,
  [7157] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(401), 1,
      sym_string,
  [7191] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(660), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(714), 1,
      aux_sym__indented_normal_string_token1,
    STATE(185), 2,
      sym_escape_sequence,
      aux_sym__indented_normal_string_repeat1,
    ACTIONS(700), 6,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [7213] = 11,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(43), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(45), 1,
      anon_sym_DQUOTE,
    ACTIONS(47), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(49), 1,
      anon_sym_SQUOTE,
    ACTIONS(51), 1,
      anon_sym_x_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_x_DQUOTE,
    ACTIONS(55), 1,
      anon_sym_x_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(57), 1,
      anon_sym_x_SQUOTE,
    STATE(69), 1,
      sym_shell_expanded_string,
    STATE(413), 1,
      sym_string,
  [7247] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(730), 1,
      anon_sym_AMP_AMP,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      sym__eol,
    STATE(79), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7276] = 9,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(692), 1,
      anon_sym_DOLLAR,
    ACTIONS(736), 1,
      anon_sym_COLON,
    STATE(249), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(291), 1,
      sym_recipe_parameter,
    STATE(421), 1,
      sym_recipe_parameters,
    STATE(461), 1,
      sym_variadic_parameter,
    ACTIONS(694), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [7305] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(738), 1,
      anon_sym_AMP_AMP,
    ACTIONS(740), 1,
      sym__eol,
    STATE(92), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(222), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7334] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(742), 1,
      anon_sym_AMP_AMP,
    ACTIONS(744), 1,
      sym__eol,
    STATE(94), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7363] = 9,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(692), 1,
      anon_sym_DOLLAR,
    ACTIONS(746), 1,
      anon_sym_COLON,
    STATE(249), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(291), 1,
      sym_recipe_parameter,
    STATE(417), 1,
      sym_recipe_parameters,
    STATE(461), 1,
      sym_variadic_parameter,
    ACTIONS(694), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [7392] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(748), 1,
      anon_sym_AMP_AMP,
    ACTIONS(750), 1,
      sym__eol,
    STATE(88), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(210), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7421] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(752), 1,
      anon_sym_AMP_AMP,
    ACTIONS(754), 1,
      sym__eol,
    STATE(84), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7450] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(730), 1,
      anon_sym_AMP_AMP,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      sym__eol,
    STATE(79), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(216), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7479] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_AMP_AMP,
    ACTIONS(758), 1,
      sym__eol,
    STATE(81), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7508] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(760), 1,
      sym_expansion_long_end,
    ACTIONS(594), 8,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [7525] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(760), 1,
      sym_expansion_long_end,
    ACTIONS(594), 8,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
      aux_sym__shell_expanded_normal_string_token1,
      sym_escape_variable_end,
  [7542] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(756), 1,
      anon_sym_AMP_AMP,
    ACTIONS(758), 1,
      sym__eol,
    STATE(81), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(223), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7571] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(764), 1,
      sym__eol,
    STATE(83), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7600] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(766), 1,
      anon_sym_AMP_AMP,
    ACTIONS(768), 1,
      sym__eol,
    STATE(91), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7629] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_AMP_AMP,
    ACTIONS(764), 1,
      sym__eol,
    STATE(83), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(213), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7658] = 9,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(770), 1,
      anon_sym_AMP_AMP,
    ACTIONS(772), 1,
      sym__eol,
    STATE(77), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(218), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7687] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(744), 1,
      sym__eol,
    STATE(94), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7713] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(774), 1,
      sym__eol,
    STATE(82), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7739] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      sym__eol,
    STATE(84), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7765] = 8,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(21), 1,
      anon_sym_LBRACK,
    ACTIONS(776), 1,
      sym_identifier,
    ACTIONS(778), 1,
      anon_sym_alias,
    ACTIONS(780), 1,
      anon_sym_export,
    ACTIONS(782), 1,
      anon_sym_mod,
    ACTIONS(784), 1,
      anon_sym_AT,
    STATE(231), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
  [7791] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      sym__eol,
    STATE(78), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(227), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7817] = 5,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(790), 1,
      anon_sym_AT,
    ACTIONS(792), 1,
      anon_sym_LBRACK,
    STATE(231), 2,
      sym__attribute_list,
      aux_sym_alias_repeat1,
    ACTIONS(788), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [7837] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(744), 1,
      sym__eol,
    STATE(94), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(246), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7863] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(795), 1,
      sym__eol,
    STATE(80), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7889] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(795), 1,
      sym__eol,
    STATE(80), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(236), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7915] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(734), 1,
      sym__eol,
    STATE(79), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(228), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7941] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(797), 1,
      sym__eol,
    STATE(85), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7967] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(758), 1,
      sym__eol,
    STATE(81), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(245), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [7993] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(594), 8,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__indented_normal_string_token1,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [8007] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(764), 1,
      sym__eol,
    STATE(83), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(226), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8033] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(799), 1,
      sym__eol,
    STATE(97), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8059] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(594), 8,
      anon_sym_DQUOTE,
      aux_sym__normal_string_token1,
      anon_sym_BSLASHn,
      anon_sym_BSLASHr,
      anon_sym_BSLASHt,
      anon_sym_BSLASH_DQUOTE,
      anon_sym_BSLASH_BSLASH,
      aux_sym_escape_sequence_token1,
  [8073] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__eol,
    STATE(86), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8099] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(801), 1,
      sym__eol,
    STATE(86), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(240), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8125] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(754), 1,
      sym__eol,
    STATE(84), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(242), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8151] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(768), 1,
      sym__eol,
    STATE(91), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8177] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(786), 1,
      sym__eol,
    STATE(78), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8203] = 8,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(728), 1,
      sym_identifier,
    ACTIONS(732), 1,
      anon_sym_LPAREN,
    ACTIONS(768), 1,
      sym__eol,
    STATE(91), 1,
      sym__ceol,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(481), 1,
      sym_comment,
    STATE(233), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
  [8229] = 5,
    ACTIONS(803), 1,
      sym_identifier,
    ACTIONS(808), 1,
      anon_sym_LPAREN,
    STATE(321), 1,
      sym__recipe_dependency,
    STATE(248), 2,
      sym_recipe_dependency,
      aux_sym_recipe_repeat1,
    ACTIONS(806), 3,
      anon_sym_AMP_AMP,
      aux_sym_comment_token1,
      sym__eol,
  [8248] = 7,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(692), 1,
      anon_sym_DOLLAR,
    STATE(252), 1,
      aux_sym_recipe_parameters_repeat1,
    STATE(302), 1,
      sym_recipe_parameter,
    STATE(440), 1,
      sym_variadic_parameter,
    ACTIONS(694), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
  [8271] = 6,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(811), 1,
      anon_sym_POUND_BANG_SLASHusr_SLASHbin_SLASHenv,
    STATE(266), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8292] = 6,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(813), 1,
      anon_sym_COLON_EQ,
    ACTIONS(815), 1,
      sym__eol,
    STATE(147), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
    STATE(335), 3,
      sym__setting_boolean,
      sym__setting_string,
      sym__setting_list,
  [8313] = 5,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(817), 1,
      sym_identifier,
    ACTIONS(820), 1,
      anon_sym_DOLLAR,
    ACTIONS(823), 2,
      anon_sym_PLUS,
      anon_sym_STAR,
    STATE(252), 2,
      sym_recipe_parameter,
      aux_sym_recipe_parameters_repeat1,
  [8331] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(825), 1,
      anon_sym_DOLLAR,
    ACTIONS(828), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(830), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    ACTIONS(833), 1,
      sym_expansion_long_start,
    STATE(253), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8353] = 2,
    ACTIONS(836), 1,
      anon_sym_LPAREN,
    ACTIONS(253), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [8365] = 5,
    ACTIONS(841), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(844), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(838), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8383] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(846), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8401] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(848), 1,
      anon_sym_DOLLAR,
    ACTIONS(851), 1,
      anon_sym_SQUOTE,
    ACTIONS(853), 1,
      aux_sym__shell_expanded_raw_string_token2,
    ACTIONS(856), 1,
      sym_expansion_long_start,
    STATE(257), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8423] = 5,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    STATE(256), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8441] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(401), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(861), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    ACTIONS(863), 1,
      sym_expansion_long_start,
    STATE(275), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8463] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(401), 1,
      anon_sym_SQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR,
    ACTIONS(867), 1,
      aux_sym__shell_expanded_raw_string_token2,
    ACTIONS(869), 1,
      sym_expansion_long_start,
    STATE(278), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8485] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(436), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(863), 1,
      sym_expansion_long_start,
    ACTIONS(871), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(253), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8507] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(415), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(863), 1,
      sym_expansion_long_start,
    ACTIONS(873), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(268), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8529] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(415), 1,
      anon_sym_SQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR,
    ACTIONS(869), 1,
      sym_expansion_long_start,
    ACTIONS(875), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(269), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8551] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(879), 2,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(877), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [8565] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(883), 1,
      anon_sym_EQ,
    ACTIONS(881), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8579] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(885), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8597] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(419), 1,
      anon_sym_SQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR,
    ACTIONS(869), 1,
      sym_expansion_long_start,
    ACTIONS(887), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(270), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8619] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(423), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(863), 1,
      sym_expansion_long_start,
    ACTIONS(871), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(253), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8641] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(423), 1,
      anon_sym_SQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR,
    ACTIONS(869), 1,
      sym_expansion_long_start,
    ACTIONS(889), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(257), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8663] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(436), 1,
      anon_sym_SQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR,
    ACTIONS(869), 1,
      sym_expansion_long_start,
    ACTIONS(889), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(257), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8685] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(419), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(863), 1,
      sym_expansion_long_start,
    ACTIONS(891), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(261), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8707] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(893), 1,
      sym__eol,
    STATE(281), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8725] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(895), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8743] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(897), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(899), 2,
      anon_sym_EQ_TILDE,
      anon_sym_BANG_TILDE,
  [8759] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(389), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(859), 1,
      anon_sym_DOLLAR,
    ACTIONS(863), 1,
      sym_expansion_long_start,
    ACTIONS(871), 1,
      aux_sym__shell_expanded_indented_raw_string_token1,
    STATE(253), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat2,
    STATE(446), 1,
      sym_expansion_short_start,
  [8781] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(901), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8799] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(905), 2,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(903), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [8813] = 7,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(389), 1,
      anon_sym_SQUOTE,
    ACTIONS(865), 1,
      anon_sym_DOLLAR,
    ACTIONS(869), 1,
      sym_expansion_long_start,
    ACTIONS(889), 1,
      aux_sym__shell_expanded_raw_string_token2,
    STATE(257), 1,
      aux_sym__shell_expanded_raw_string_repeat2,
    STATE(471), 1,
      sym_expansion_short_start,
  [8835] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(909), 1,
      anon_sym_EQ,
    ACTIONS(907), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8849] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(911), 1,
      sym__eol,
    STATE(273), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8867] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(913), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8885] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(512), 2,
      anon_sym_AT,
      anon_sym_LBRACK,
    ACTIONS(514), 4,
      anon_sym_alias,
      anon_sym_export,
      anon_sym_mod,
      sym_identifier,
  [8899] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(915), 1,
      sym__eol,
    STATE(276), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8917] = 5,
    ACTIONS(608), 1,
      anon_sym_LBRACE_LBRACE,
    ACTIONS(917), 1,
      sym__eol,
    STATE(255), 1,
      aux_sym_shebang_line_repeat2,
    ACTIONS(606), 2,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
    STATE(355), 2,
      sym__recipe_line_choice,
      sym_interpolation,
  [8935] = 1,
    ACTIONS(287), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [8944] = 1,
    ACTIONS(237), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [8953] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(654), 1,
      sym_shell_variable_name,
    ACTIONS(919), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [8966] = 3,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(480), 1,
      sym_shell_variable_name,
    ACTIONS(921), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [8979] = 1,
    ACTIONS(267), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [8988] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(923), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [8999] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(927), 1,
      anon_sym_COLON,
    ACTIONS(925), 4,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [9012] = 1,
    ACTIONS(253), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9021] = 5,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(931), 1,
      sym__eol,
    STATE(162), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
    ACTIONS(929), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9038] = 2,
    ACTIONS(929), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
    ACTIONS(291), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9049] = 1,
    ACTIONS(259), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9058] = 1,
    ACTIONS(271), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9067] = 1,
    ACTIONS(275), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9076] = 1,
    ACTIONS(279), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9085] = 1,
    ACTIONS(283), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9094] = 5,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(933), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_RPAREN,
    STATE(384), 1,
      aux_sym_function_parameters_repeat1,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9111] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(937), 2,
      anon_sym_PLUS,
      anon_sym_SLASH,
    ACTIONS(291), 3,
      anon_sym_AMP_AMP,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE_PIPE,
  [9124] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(939), 1,
      anon_sym_COLON,
    ACTIONS(925), 4,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [9137] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(941), 5,
      anon_sym_COLON,
      anon_sym_DOLLAR,
      anon_sym_PLUS,
      anon_sym_STAR,
      sym_identifier,
  [9148] = 5,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(943), 1,
      sym__eol,
    STATE(153), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
    ACTIONS(929), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9165] = 5,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(945), 1,
      sym__eol,
    STATE(170), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
    ACTIONS(929), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9182] = 1,
    ACTIONS(245), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9191] = 1,
    ACTIONS(263), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9200] = 1,
    ACTIONS(241), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9209] = 1,
    ACTIONS(249), 6,
      anon_sym_AMP_AMP,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9218] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(947), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [9230] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(949), 1,
      anon_sym_COLON,
    ACTIONS(953), 1,
      anon_sym_LPAREN,
    ACTIONS(951), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [9244] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(957), 1,
      sym_expansion_long_end,
    STATE(324), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat1,
    ACTIONS(955), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [9258] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(959), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [9268] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(963), 1,
      sym_expansion_long_end,
    STATE(326), 1,
      aux_sym__shell_expanded_raw_string_repeat1,
    ACTIONS(961), 2,
      aux_sym__shell_expanded_raw_string_token1,
      sym_escape_variable_end,
  [9282] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(965), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [9292] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(967), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [9302] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(972), 1,
      sym_expansion_long_end,
    STATE(317), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat1,
    ACTIONS(969), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [9316] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(974), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [9326] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(979), 1,
      sym_expansion_long_end,
    STATE(319), 1,
      aux_sym__shell_expanded_raw_string_repeat1,
    ACTIONS(976), 2,
      aux_sym__shell_expanded_raw_string_token1,
      sym_escape_variable_end,
  [9340] = 1,
    ACTIONS(307), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [9348] = 1,
    ACTIONS(981), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [9356] = 1,
    ACTIONS(983), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [9364] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(985), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [9374] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(989), 1,
      sym_expansion_long_end,
    STATE(317), 1,
      aux_sym__shell_expanded_indented_raw_string_repeat1,
    ACTIONS(987), 2,
      aux_sym__shell_expanded_indented_normal_string_token1,
      sym_escape_variable_end,
  [9388] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(991), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [9398] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(995), 1,
      sym_expansion_long_end,
    STATE(319), 1,
      aux_sym__shell_expanded_raw_string_repeat1,
    ACTIONS(993), 2,
      aux_sym__shell_expanded_raw_string_token1,
      sym_escape_variable_end,
  [9412] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(997), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [9424] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(999), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [9436] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(828), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      aux_sym__shell_expanded_indented_raw_string_token1,
      sym_expansion_long_start,
  [9446] = 1,
    ACTIONS(1001), 5,
      anon_sym_AMP_AMP,
      anon_sym_LPAREN,
      sym_identifier,
      aux_sym_comment_token1,
      sym__eol,
  [9454] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(851), 4,
      anon_sym_DOLLAR,
      anon_sym_SQUOTE,
      aux_sym__shell_expanded_raw_string_token2,
      sym_expansion_long_start,
  [9464] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1003), 1,
      sym__eol,
    STATE(277), 1,
      sym__ceol,
    STATE(480), 1,
      sym_comment,
  [9477] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1005), 1,
      sym__eol,
    STATE(264), 1,
      sym__ceol,
    STATE(480), 1,
      sym_comment,
  [9490] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1007), 1,
      anon_sym_COMMA,
    ACTIONS(1009), 1,
      anon_sym_RBRACK,
    STATE(350), 1,
      aux_sym__attribute_list_repeat1,
  [9503] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1011), 1,
      sym__eol,
    STATE(160), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9516] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(696), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1013), 1,
      aux_sym__indented_raw_string_token1,
    STATE(377), 1,
      aux_sym__indented_raw_string_repeat1,
  [9529] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1015), 1,
      anon_sym_RBRACE,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9540] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1017), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1019), 1,
      aux_sym__indented_backtick_token1,
    STATE(340), 1,
      aux_sym__indented_backtick_repeat1,
  [9553] = 1,
    ACTIONS(145), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9560] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1019), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1021), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(347), 1,
      aux_sym__indented_backtick_repeat1,
  [9573] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1023), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(1026), 1,
      sym_shebang_shell,
    STATE(341), 1,
      aux_sym_shebang_line_repeat1,
  [9586] = 1,
    ACTIONS(1028), 4,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
      anon_sym_LBRACE_LBRACE,
      sym__eol,
  [9593] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1030), 1,
      anon_sym_COMMA,
    ACTIONS(1032), 1,
      anon_sym_RBRACK,
    STATE(380), 1,
      aux_sym__setting_list_repeat1,
  [9606] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1034), 1,
      sym__eol,
    STATE(167), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9619] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1036), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9630] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1007), 1,
      anon_sym_COMMA,
    ACTIONS(1038), 1,
      anon_sym_RBRACK,
    STATE(334), 1,
      aux_sym__attribute_list_repeat1,
  [9643] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1040), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    ACTIONS(1042), 1,
      aux_sym__indented_backtick_token1,
    STATE(347), 1,
      aux_sym__indented_backtick_repeat1,
  [9656] = 2,
    ACTIONS(297), 2,
      aux_sym_comment_token1,
      sym__eol,
    ACTIONS(929), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9665] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1045), 1,
      sym__eol,
    STATE(159), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9678] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1047), 1,
      anon_sym_COMMA,
    ACTIONS(1050), 1,
      anon_sym_RBRACK,
    STATE(350), 1,
      aux_sym__attribute_list_repeat1,
  [9691] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1052), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(1054), 1,
      sym_shebang_shell,
    STATE(392), 1,
      aux_sym_shebang_line_repeat1,
  [9704] = 1,
    ACTIONS(1056), 4,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
      anon_sym_LBRACE_LBRACE,
      sym__eol,
  [9711] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(155), 3,
      anon_sym_AMP_AMP,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE_PIPE,
  [9720] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(155), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(937), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9731] = 1,
    ACTIONS(1058), 4,
      anon_sym_LBRACE_LBRACE_LBRACE_LBRACE,
      aux_sym__recipe_line_choice_token1,
      anon_sym_LBRACE_LBRACE,
      sym__eol,
  [9738] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1060), 1,
      anon_sym_COMMA,
    ACTIONS(1063), 1,
      anon_sym_RBRACK,
    STATE(356), 1,
      aux_sym__setting_list_repeat1,
  [9751] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1065), 1,
      sym__eol,
    STATE(169), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9764] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(149), 3,
      anon_sym_AMP_AMP,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE_PIPE,
  [9773] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(145), 3,
      anon_sym_AMP_AMP,
      anon_sym_RBRACE_RBRACE,
      anon_sym_PIPE_PIPE,
  [9782] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1067), 1,
      sym__eol,
    STATE(149), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9795] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1069), 1,
      sym__eol,
    STATE(155), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9808] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1071), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9819] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1073), 1,
      sym__eol,
    STATE(152), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9832] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(706), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1075), 1,
      aux_sym__indented_raw_string_token1,
    STATE(368), 1,
      aux_sym__indented_raw_string_repeat1,
  [9845] = 1,
    ACTIONS(155), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [9852] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1077), 1,
      sym__eol,
    STATE(156), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [9865] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1079), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1081), 1,
      aux_sym__indented_raw_string_token1,
    STATE(367), 1,
      aux_sym__indented_raw_string_repeat1,
  [9878] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(712), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1084), 1,
      aux_sym__indented_raw_string_token1,
    STATE(367), 1,
      aux_sym__indented_raw_string_repeat1,
  [9891] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(947), 1,
      anon_sym_RPAREN,
    ACTIONS(1086), 1,
      anon_sym_COMMA,
    STATE(369), 1,
      aux_sym_function_parameters_repeat1,
  [9904] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(692), 1,
      anon_sym_DOLLAR,
    STATE(425), 1,
      sym_recipe_parameter,
  [9917] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1019), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1089), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(373), 1,
      aux_sym__indented_backtick_repeat1,
  [9930] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1091), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9941] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1019), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1093), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(347), 1,
      aux_sym__indented_backtick_repeat1,
  [9954] = 2,
    ACTIONS(155), 2,
      aux_sym_comment_token1,
      sym__eol,
    ACTIONS(929), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9963] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9974] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1097), 1,
      anon_sym_RBRACE,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9985] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(660), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1084), 1,
      aux_sym__indented_raw_string_token1,
    STATE(367), 1,
      aux_sym__indented_raw_string_repeat1,
  [9998] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(297), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(937), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10009] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(718), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1099), 1,
      aux_sym__indented_raw_string_token1,
    STATE(383), 1,
      aux_sym__indented_raw_string_repeat1,
  [10022] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(538), 1,
      anon_sym_RBRACK,
    ACTIONS(1101), 1,
      anon_sym_COMMA,
    STATE(356), 1,
      aux_sym__setting_list_repeat1,
  [10035] = 1,
    ACTIONS(149), 4,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      aux_sym_comment_token1,
      sym__eol,
  [10042] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1103), 1,
      anon_sym_RBRACE,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10053] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(724), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1084), 1,
      aux_sym__indented_raw_string_token1,
    STATE(367), 1,
      aux_sym__indented_raw_string_repeat1,
  [10066] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(159), 1,
      anon_sym_RPAREN,
    ACTIONS(1105), 1,
      anon_sym_COMMA,
    STATE(369), 1,
      aux_sym_function_parameters_repeat1,
  [10079] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1019), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1107), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(387), 1,
      aux_sym__indented_backtick_repeat1,
  [10092] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1109), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10103] = 4,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1019), 1,
      aux_sym__indented_backtick_token1,
    ACTIONS(1111), 1,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
    STATE(347), 1,
      aux_sym__indented_backtick_repeat1,
  [10116] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1113), 1,
      anon_sym_RPAREN,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10127] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1115), 1,
      anon_sym_RBRACE,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10138] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1117), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(1119), 1,
      sym_shebang_shell,
    STATE(396), 1,
      aux_sym_shebang_line_repeat1,
  [10151] = 4,
    ACTIONS(448), 1,
      aux_sym_comment_token1,
    ACTIONS(1121), 1,
      sym__eol,
    STATE(175), 1,
      sym__ceol,
    STATE(483), 1,
      sym_comment,
  [10164] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1119), 1,
      sym_shebang_shell,
    ACTIONS(1123), 1,
      aux_sym_shebang_line_token2,
    STATE(341), 1,
      aux_sym_shebang_line_repeat1,
  [10177] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1125), 1,
      anon_sym_RBRACE_RBRACE,
    ACTIONS(937), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10188] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1127), 1,
      anon_sym_RBRACE,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10199] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1129), 1,
      anon_sym_RBRACE,
    ACTIONS(502), 2,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10210] = 4,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1123), 1,
      aux_sym_shebang_line_token2,
    ACTIONS(1131), 1,
      sym_shebang_shell,
    STATE(341), 1,
      aux_sym_shebang_line_repeat1,
  [10223] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1133), 1,
      sym_identifier,
    STATE(5), 1,
      sym__recipe_dependency,
  [10233] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1135), 1,
      sym_expansion_long_middle,
    ACTIONS(1137), 1,
      sym_expansion_long_end,
  [10243] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1139), 1,
      anon_sym_LPAREN,
    STATE(9), 1,
      sym_assert_parameters,
  [10253] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1141), 1,
      sym_expansion_long_middle,
    ACTIONS(1143), 1,
      sym_expansion_long_end,
  [10263] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1063), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [10271] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1145), 2,
      anon_sym_BQUOTE_BQUOTE_BQUOTE,
      aux_sym__indented_backtick_token1,
  [10279] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1147), 2,
      anon_sym_shell,
      sym_identifier,
  [10287] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1149), 1,
      sym_expansion_long_middle,
    ACTIONS(1151), 1,
      sym_expansion_long_end,
  [10297] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1153), 1,
      sym_identifier,
    STATE(346), 1,
      sym_attribute,
  [10307] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1155), 1,
      sym_expansion_long_middle,
    ACTIONS(1157), 1,
      sym_expansion_long_end,
  [10317] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1159), 1,
      anon_sym_LPAREN,
    STATE(353), 1,
      sym_assert_parameters,
  [10327] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1153), 1,
      sym_identifier,
    STATE(414), 1,
      sym_attribute,
  [10337] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    STATE(365), 1,
      sym_assert_parameters,
  [10347] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1163), 1,
      sym_identifier,
    ACTIONS(1165), 1,
      anon_sym_QMARK,
  [10357] = 3,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1167), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_QMARK,
  [10367] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1171), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [10375] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1173), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [10383] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1050), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [10391] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1175), 1,
      anon_sym_BQUOTE,
  [10398] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1177), 1,
      sym_identifier,
  [10405] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1179), 1,
      anon_sym_COLON,
  [10412] = 1,
    ACTIONS(1181), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10417] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
  [10424] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1185), 1,
      anon_sym_BQUOTE,
  [10431] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1187), 1,
      anon_sym_COLON,
  [10438] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1189), 1,
      aux_sym__raw_string_token1,
  [10445] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
  [10452] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1193), 1,
      sym_identifier,
  [10459] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1195), 1,
      anon_sym_COLON,
  [10466] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(702), 1,
      anon_sym_COLON_EQ,
  [10473] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1197), 1,
      anon_sym_SQUOTE,
  [10480] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1199), 1,
      sym_identifier,
  [10487] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1167), 1,
      sym_identifier,
  [10494] = 1,
    ACTIONS(1201), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10499] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1203), 1,
      sym_identifier,
  [10506] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1205), 1,
      aux_sym__backtick_token1,
  [10513] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1207), 1,
      anon_sym_LBRACE,
  [10520] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1209), 1,
      sym_identifier,
  [10527] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1211), 1,
      sym_shell_variable_name,
  [10534] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1213), 1,
      sym_identifier,
  [10541] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1215), 1,
      sym_identifier,
  [10548] = 1,
    ACTIONS(1217), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10553] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1219), 1,
      anon_sym_SQUOTE,
  [10560] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(939), 1,
      anon_sym_COLON,
  [10567] = 1,
    ACTIONS(1221), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10572] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1223), 1,
      anon_sym_COMMA,
  [10579] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1225), 1,
      anon_sym_COLON,
  [10586] = 1,
    ACTIONS(1227), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10591] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1229), 1,
      sym_identifier,
  [10598] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1231), 1,
      sym_shell_variable_name,
  [10605] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1233), 1,
      anon_sym_BQUOTE,
  [10612] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1235), 1,
      anon_sym_else,
  [10619] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1237), 1,
      sym_shell_variable_name,
  [10626] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
  [10633] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1241), 1,
      anon_sym_COLON_EQ,
  [10640] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1243), 1,
      anon_sym_COLON_EQ,
  [10647] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1245), 1,
      aux_sym__raw_string_token1,
  [10654] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1247), 1,
      sym_identifier,
  [10661] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1249), 1,
      aux_sym__backtick_token1,
  [10668] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1251), 1,
      sym_shell_variable_name,
  [10675] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1253), 1,
      ts_builtin_sym_end,
  [10682] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1255), 1,
      aux_sym__raw_string_token1,
  [10689] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1257), 1,
      sym_shell_variable_name,
  [10696] = 2,
    ACTIONS(315), 1,
      sym__eol,
    ACTIONS(1259), 1,
      aux_sym__backtick_token1,
  [10703] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(927), 1,
      anon_sym_COLON,
  [10710] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1261), 1,
      anon_sym_COLON_EQ,
  [10717] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1263), 1,
      anon_sym_COMMA,
  [10724] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1265), 1,
      anon_sym_LBRACE,
  [10731] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1267), 1,
      anon_sym_COMMA,
  [10738] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1269), 1,
      anon_sym_LBRACE,
  [10745] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1271), 1,
      sym_shell_variable_name,
  [10752] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1273), 1,
      anon_sym_else,
  [10759] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1275), 1,
      sym_shell_variable_name,
  [10766] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1277), 1,
      anon_sym_else,
  [10773] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1279), 1,
      sym_shell_variable_name,
  [10780] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1281), 1,
      anon_sym_SQUOTE,
  [10787] = 1,
    ACTIONS(1283), 2,
      aux_sym_comment_token1,
      sym__eol,
  [10792] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1285), 1,
      sym_identifier,
  [10799] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1287), 1,
      anon_sym_LBRACE,
  [10806] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1289), 1,
      anon_sym_LBRACE,
  [10813] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
  [10820] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1293), 1,
      anon_sym_LBRACE,
  [10827] = 2,
    ACTIONS(3), 1,
      sym__eol,
    ACTIONS(1295), 1,
      sym_identifier,
  [10834] = 1,
    ACTIONS(1297), 1,
      sym__eol,
  [10838] = 1,
    ACTIONS(1299), 1,
      sym__eol,
  [10842] = 1,
    ACTIONS(656), 1,
      sym__eol,
  [10846] = 1,
    ACTIONS(1301), 1,
      sym__eol,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 76,
  [SMALL_STATE(4)] = 152,
  [SMALL_STATE(5)] = 228,
  [SMALL_STATE(6)] = 304,
  [SMALL_STATE(7)] = 338,
  [SMALL_STATE(8)] = 372,
  [SMALL_STATE(9)] = 448,
  [SMALL_STATE(10)] = 482,
  [SMALL_STATE(11)] = 558,
  [SMALL_STATE(12)] = 631,
  [SMALL_STATE(13)] = 704,
  [SMALL_STATE(14)] = 777,
  [SMALL_STATE(15)] = 850,
  [SMALL_STATE(16)] = 923,
  [SMALL_STATE(17)] = 996,
  [SMALL_STATE(18)] = 1069,
  [SMALL_STATE(19)] = 1142,
  [SMALL_STATE(20)] = 1212,
  [SMALL_STATE(21)] = 1282,
  [SMALL_STATE(22)] = 1352,
  [SMALL_STATE(23)] = 1422,
  [SMALL_STATE(24)] = 1492,
  [SMALL_STATE(25)] = 1562,
  [SMALL_STATE(26)] = 1632,
  [SMALL_STATE(27)] = 1702,
  [SMALL_STATE(28)] = 1772,
  [SMALL_STATE(29)] = 1842,
  [SMALL_STATE(30)] = 1912,
  [SMALL_STATE(31)] = 1982,
  [SMALL_STATE(32)] = 2052,
  [SMALL_STATE(33)] = 2122,
  [SMALL_STATE(34)] = 2192,
  [SMALL_STATE(35)] = 2262,
  [SMALL_STATE(36)] = 2332,
  [SMALL_STATE(37)] = 2402,
  [SMALL_STATE(38)] = 2472,
  [SMALL_STATE(39)] = 2542,
  [SMALL_STATE(40)] = 2612,
  [SMALL_STATE(41)] = 2682,
  [SMALL_STATE(42)] = 2752,
  [SMALL_STATE(43)] = 2822,
  [SMALL_STATE(44)] = 2892,
  [SMALL_STATE(45)] = 2962,
  [SMALL_STATE(46)] = 3032,
  [SMALL_STATE(47)] = 3084,
  [SMALL_STATE(48)] = 3136,
  [SMALL_STATE(49)] = 3165,
  [SMALL_STATE(50)] = 3194,
  [SMALL_STATE(51)] = 3223,
  [SMALL_STATE(52)] = 3252,
  [SMALL_STATE(53)] = 3283,
  [SMALL_STATE(54)] = 3312,
  [SMALL_STATE(55)] = 3341,
  [SMALL_STATE(56)] = 3370,
  [SMALL_STATE(57)] = 3399,
  [SMALL_STATE(58)] = 3428,
  [SMALL_STATE(59)] = 3457,
  [SMALL_STATE(60)] = 3486,
  [SMALL_STATE(61)] = 3515,
  [SMALL_STATE(62)] = 3544,
  [SMALL_STATE(63)] = 3574,
  [SMALL_STATE(64)] = 3632,
  [SMALL_STATE(65)] = 3690,
  [SMALL_STATE(66)] = 3719,
  [SMALL_STATE(67)] = 3748,
  [SMALL_STATE(68)] = 3777,
  [SMALL_STATE(69)] = 3800,
  [SMALL_STATE(70)] = 3823,
  [SMALL_STATE(71)] = 3846,
  [SMALL_STATE(72)] = 3869,
  [SMALL_STATE(73)] = 3894,
  [SMALL_STATE(74)] = 3919,
  [SMALL_STATE(75)] = 3942,
  [SMALL_STATE(76)] = 3964,
  [SMALL_STATE(77)] = 3986,
  [SMALL_STATE(78)] = 4018,
  [SMALL_STATE(79)] = 4050,
  [SMALL_STATE(80)] = 4082,
  [SMALL_STATE(81)] = 4114,
  [SMALL_STATE(82)] = 4146,
  [SMALL_STATE(83)] = 4178,
  [SMALL_STATE(84)] = 4210,
  [SMALL_STATE(85)] = 4242,
  [SMALL_STATE(86)] = 4274,
  [SMALL_STATE(87)] = 4306,
  [SMALL_STATE(88)] = 4328,
  [SMALL_STATE(89)] = 4360,
  [SMALL_STATE(90)] = 4382,
  [SMALL_STATE(91)] = 4404,
  [SMALL_STATE(92)] = 4436,
  [SMALL_STATE(93)] = 4468,
  [SMALL_STATE(94)] = 4490,
  [SMALL_STATE(95)] = 4522,
  [SMALL_STATE(96)] = 4544,
  [SMALL_STATE(97)] = 4566,
  [SMALL_STATE(98)] = 4598,
  [SMALL_STATE(99)] = 4630,
  [SMALL_STATE(100)] = 4662,
  [SMALL_STATE(101)] = 4706,
  [SMALL_STATE(102)] = 4738,
  [SMALL_STATE(103)] = 4764,
  [SMALL_STATE(104)] = 4790,
  [SMALL_STATE(105)] = 4822,
  [SMALL_STATE(106)] = 4854,
  [SMALL_STATE(107)] = 4886,
  [SMALL_STATE(108)] = 4912,
  [SMALL_STATE(109)] = 4938,
  [SMALL_STATE(110)] = 4970,
  [SMALL_STATE(111)] = 5001,
  [SMALL_STATE(112)] = 5032,
  [SMALL_STATE(113)] = 5075,
  [SMALL_STATE(114)] = 5118,
  [SMALL_STATE(115)] = 5149,
  [SMALL_STATE(116)] = 5180,
  [SMALL_STATE(117)] = 5223,
  [SMALL_STATE(118)] = 5254,
  [SMALL_STATE(119)] = 5285,
  [SMALL_STATE(120)] = 5316,
  [SMALL_STATE(121)] = 5336,
  [SMALL_STATE(122)] = 5356,
  [SMALL_STATE(123)] = 5376,
  [SMALL_STATE(124)] = 5396,
  [SMALL_STATE(125)] = 5416,
  [SMALL_STATE(126)] = 5436,
  [SMALL_STATE(127)] = 5456,
  [SMALL_STATE(128)] = 5476,
  [SMALL_STATE(129)] = 5496,
  [SMALL_STATE(130)] = 5516,
  [SMALL_STATE(131)] = 5536,
  [SMALL_STATE(132)] = 5556,
  [SMALL_STATE(133)] = 5579,
  [SMALL_STATE(134)] = 5616,
  [SMALL_STATE(135)] = 5639,
  [SMALL_STATE(136)] = 5662,
  [SMALL_STATE(137)] = 5681,
  [SMALL_STATE(138)] = 5700,
  [SMALL_STATE(139)] = 5719,
  [SMALL_STATE(140)] = 5738,
  [SMALL_STATE(141)] = 5757,
  [SMALL_STATE(142)] = 5794,
  [SMALL_STATE(143)] = 5813,
  [SMALL_STATE(144)] = 5832,
  [SMALL_STATE(145)] = 5851,
  [SMALL_STATE(146)] = 5870,
  [SMALL_STATE(147)] = 5889,
  [SMALL_STATE(148)] = 5908,
  [SMALL_STATE(149)] = 5927,
  [SMALL_STATE(150)] = 5946,
  [SMALL_STATE(151)] = 5965,
  [SMALL_STATE(152)] = 5984,
  [SMALL_STATE(153)] = 6003,
  [SMALL_STATE(154)] = 6022,
  [SMALL_STATE(155)] = 6039,
  [SMALL_STATE(156)] = 6058,
  [SMALL_STATE(157)] = 6077,
  [SMALL_STATE(158)] = 6114,
  [SMALL_STATE(159)] = 6133,
  [SMALL_STATE(160)] = 6152,
  [SMALL_STATE(161)] = 6171,
  [SMALL_STATE(162)] = 6188,
  [SMALL_STATE(163)] = 6207,
  [SMALL_STATE(164)] = 6236,
  [SMALL_STATE(165)] = 6255,
  [SMALL_STATE(166)] = 6274,
  [SMALL_STATE(167)] = 6291,
  [SMALL_STATE(168)] = 6310,
  [SMALL_STATE(169)] = 6333,
  [SMALL_STATE(170)] = 6352,
  [SMALL_STATE(171)] = 6371,
  [SMALL_STATE(172)] = 6394,
  [SMALL_STATE(173)] = 6411,
  [SMALL_STATE(174)] = 6434,
  [SMALL_STATE(175)] = 6453,
  [SMALL_STATE(176)] = 6472,
  [SMALL_STATE(177)] = 6491,
  [SMALL_STATE(178)] = 6508,
  [SMALL_STATE(179)] = 6527,
  [SMALL_STATE(180)] = 6546,
  [SMALL_STATE(181)] = 6565,
  [SMALL_STATE(182)] = 6583,
  [SMALL_STATE(183)] = 6605,
  [SMALL_STATE(184)] = 6629,
  [SMALL_STATE(185)] = 6645,
  [SMALL_STATE(186)] = 6667,
  [SMALL_STATE(187)] = 6689,
  [SMALL_STATE(188)] = 6705,
  [SMALL_STATE(189)] = 6721,
  [SMALL_STATE(190)] = 6739,
  [SMALL_STATE(191)] = 6773,
  [SMALL_STATE(192)] = 6805,
  [SMALL_STATE(193)] = 6827,
  [SMALL_STATE(194)] = 6861,
  [SMALL_STATE(195)] = 6893,
  [SMALL_STATE(196)] = 6909,
  [SMALL_STATE(197)] = 6931,
  [SMALL_STATE(198)] = 6953,
  [SMALL_STATE(199)] = 6987,
  [SMALL_STATE(200)] = 7009,
  [SMALL_STATE(201)] = 7031,
  [SMALL_STATE(202)] = 7053,
  [SMALL_STATE(203)] = 7075,
  [SMALL_STATE(204)] = 7097,
  [SMALL_STATE(205)] = 7119,
  [SMALL_STATE(206)] = 7141,
  [SMALL_STATE(207)] = 7157,
  [SMALL_STATE(208)] = 7191,
  [SMALL_STATE(209)] = 7213,
  [SMALL_STATE(210)] = 7247,
  [SMALL_STATE(211)] = 7276,
  [SMALL_STATE(212)] = 7305,
  [SMALL_STATE(213)] = 7334,
  [SMALL_STATE(214)] = 7363,
  [SMALL_STATE(215)] = 7392,
  [SMALL_STATE(216)] = 7421,
  [SMALL_STATE(217)] = 7450,
  [SMALL_STATE(218)] = 7479,
  [SMALL_STATE(219)] = 7508,
  [SMALL_STATE(220)] = 7525,
  [SMALL_STATE(221)] = 7542,
  [SMALL_STATE(222)] = 7571,
  [SMALL_STATE(223)] = 7600,
  [SMALL_STATE(224)] = 7629,
  [SMALL_STATE(225)] = 7658,
  [SMALL_STATE(226)] = 7687,
  [SMALL_STATE(227)] = 7713,
  [SMALL_STATE(228)] = 7739,
  [SMALL_STATE(229)] = 7765,
  [SMALL_STATE(230)] = 7791,
  [SMALL_STATE(231)] = 7817,
  [SMALL_STATE(232)] = 7837,
  [SMALL_STATE(233)] = 7863,
  [SMALL_STATE(234)] = 7889,
  [SMALL_STATE(235)] = 7915,
  [SMALL_STATE(236)] = 7941,
  [SMALL_STATE(237)] = 7967,
  [SMALL_STATE(238)] = 7993,
  [SMALL_STATE(239)] = 8007,
  [SMALL_STATE(240)] = 8033,
  [SMALL_STATE(241)] = 8059,
  [SMALL_STATE(242)] = 8073,
  [SMALL_STATE(243)] = 8099,
  [SMALL_STATE(244)] = 8125,
  [SMALL_STATE(245)] = 8151,
  [SMALL_STATE(246)] = 8177,
  [SMALL_STATE(247)] = 8203,
  [SMALL_STATE(248)] = 8229,
  [SMALL_STATE(249)] = 8248,
  [SMALL_STATE(250)] = 8271,
  [SMALL_STATE(251)] = 8292,
  [SMALL_STATE(252)] = 8313,
  [SMALL_STATE(253)] = 8331,
  [SMALL_STATE(254)] = 8353,
  [SMALL_STATE(255)] = 8365,
  [SMALL_STATE(256)] = 8383,
  [SMALL_STATE(257)] = 8401,
  [SMALL_STATE(258)] = 8423,
  [SMALL_STATE(259)] = 8441,
  [SMALL_STATE(260)] = 8463,
  [SMALL_STATE(261)] = 8485,
  [SMALL_STATE(262)] = 8507,
  [SMALL_STATE(263)] = 8529,
  [SMALL_STATE(264)] = 8551,
  [SMALL_STATE(265)] = 8565,
  [SMALL_STATE(266)] = 8579,
  [SMALL_STATE(267)] = 8597,
  [SMALL_STATE(268)] = 8619,
  [SMALL_STATE(269)] = 8641,
  [SMALL_STATE(270)] = 8663,
  [SMALL_STATE(271)] = 8685,
  [SMALL_STATE(272)] = 8707,
  [SMALL_STATE(273)] = 8725,
  [SMALL_STATE(274)] = 8743,
  [SMALL_STATE(275)] = 8759,
  [SMALL_STATE(276)] = 8781,
  [SMALL_STATE(277)] = 8799,
  [SMALL_STATE(278)] = 8813,
  [SMALL_STATE(279)] = 8835,
  [SMALL_STATE(280)] = 8849,
  [SMALL_STATE(281)] = 8867,
  [SMALL_STATE(282)] = 8885,
  [SMALL_STATE(283)] = 8899,
  [SMALL_STATE(284)] = 8917,
  [SMALL_STATE(285)] = 8935,
  [SMALL_STATE(286)] = 8944,
  [SMALL_STATE(287)] = 8953,
  [SMALL_STATE(288)] = 8966,
  [SMALL_STATE(289)] = 8979,
  [SMALL_STATE(290)] = 8988,
  [SMALL_STATE(291)] = 8999,
  [SMALL_STATE(292)] = 9012,
  [SMALL_STATE(293)] = 9021,
  [SMALL_STATE(294)] = 9038,
  [SMALL_STATE(295)] = 9049,
  [SMALL_STATE(296)] = 9058,
  [SMALL_STATE(297)] = 9067,
  [SMALL_STATE(298)] = 9076,
  [SMALL_STATE(299)] = 9085,
  [SMALL_STATE(300)] = 9094,
  [SMALL_STATE(301)] = 9111,
  [SMALL_STATE(302)] = 9124,
  [SMALL_STATE(303)] = 9137,
  [SMALL_STATE(304)] = 9148,
  [SMALL_STATE(305)] = 9165,
  [SMALL_STATE(306)] = 9182,
  [SMALL_STATE(307)] = 9191,
  [SMALL_STATE(308)] = 9200,
  [SMALL_STATE(309)] = 9209,
  [SMALL_STATE(310)] = 9218,
  [SMALL_STATE(311)] = 9230,
  [SMALL_STATE(312)] = 9244,
  [SMALL_STATE(313)] = 9258,
  [SMALL_STATE(314)] = 9268,
  [SMALL_STATE(315)] = 9282,
  [SMALL_STATE(316)] = 9292,
  [SMALL_STATE(317)] = 9302,
  [SMALL_STATE(318)] = 9316,
  [SMALL_STATE(319)] = 9326,
  [SMALL_STATE(320)] = 9340,
  [SMALL_STATE(321)] = 9348,
  [SMALL_STATE(322)] = 9356,
  [SMALL_STATE(323)] = 9364,
  [SMALL_STATE(324)] = 9374,
  [SMALL_STATE(325)] = 9388,
  [SMALL_STATE(326)] = 9398,
  [SMALL_STATE(327)] = 9412,
  [SMALL_STATE(328)] = 9424,
  [SMALL_STATE(329)] = 9436,
  [SMALL_STATE(330)] = 9446,
  [SMALL_STATE(331)] = 9454,
  [SMALL_STATE(332)] = 9464,
  [SMALL_STATE(333)] = 9477,
  [SMALL_STATE(334)] = 9490,
  [SMALL_STATE(335)] = 9503,
  [SMALL_STATE(336)] = 9516,
  [SMALL_STATE(337)] = 9529,
  [SMALL_STATE(338)] = 9540,
  [SMALL_STATE(339)] = 9553,
  [SMALL_STATE(340)] = 9560,
  [SMALL_STATE(341)] = 9573,
  [SMALL_STATE(342)] = 9586,
  [SMALL_STATE(343)] = 9593,
  [SMALL_STATE(344)] = 9606,
  [SMALL_STATE(345)] = 9619,
  [SMALL_STATE(346)] = 9630,
  [SMALL_STATE(347)] = 9643,
  [SMALL_STATE(348)] = 9656,
  [SMALL_STATE(349)] = 9665,
  [SMALL_STATE(350)] = 9678,
  [SMALL_STATE(351)] = 9691,
  [SMALL_STATE(352)] = 9704,
  [SMALL_STATE(353)] = 9711,
  [SMALL_STATE(354)] = 9720,
  [SMALL_STATE(355)] = 9731,
  [SMALL_STATE(356)] = 9738,
  [SMALL_STATE(357)] = 9751,
  [SMALL_STATE(358)] = 9764,
  [SMALL_STATE(359)] = 9773,
  [SMALL_STATE(360)] = 9782,
  [SMALL_STATE(361)] = 9795,
  [SMALL_STATE(362)] = 9808,
  [SMALL_STATE(363)] = 9819,
  [SMALL_STATE(364)] = 9832,
  [SMALL_STATE(365)] = 9845,
  [SMALL_STATE(366)] = 9852,
  [SMALL_STATE(367)] = 9865,
  [SMALL_STATE(368)] = 9878,
  [SMALL_STATE(369)] = 9891,
  [SMALL_STATE(370)] = 9904,
  [SMALL_STATE(371)] = 9917,
  [SMALL_STATE(372)] = 9930,
  [SMALL_STATE(373)] = 9941,
  [SMALL_STATE(374)] = 9954,
  [SMALL_STATE(375)] = 9963,
  [SMALL_STATE(376)] = 9974,
  [SMALL_STATE(377)] = 9985,
  [SMALL_STATE(378)] = 9998,
  [SMALL_STATE(379)] = 10009,
  [SMALL_STATE(380)] = 10022,
  [SMALL_STATE(381)] = 10035,
  [SMALL_STATE(382)] = 10042,
  [SMALL_STATE(383)] = 10053,
  [SMALL_STATE(384)] = 10066,
  [SMALL_STATE(385)] = 10079,
  [SMALL_STATE(386)] = 10092,
  [SMALL_STATE(387)] = 10103,
  [SMALL_STATE(388)] = 10116,
  [SMALL_STATE(389)] = 10127,
  [SMALL_STATE(390)] = 10138,
  [SMALL_STATE(391)] = 10151,
  [SMALL_STATE(392)] = 10164,
  [SMALL_STATE(393)] = 10177,
  [SMALL_STATE(394)] = 10188,
  [SMALL_STATE(395)] = 10199,
  [SMALL_STATE(396)] = 10210,
  [SMALL_STATE(397)] = 10223,
  [SMALL_STATE(398)] = 10233,
  [SMALL_STATE(399)] = 10243,
  [SMALL_STATE(400)] = 10253,
  [SMALL_STATE(401)] = 10263,
  [SMALL_STATE(402)] = 10271,
  [SMALL_STATE(403)] = 10279,
  [SMALL_STATE(404)] = 10287,
  [SMALL_STATE(405)] = 10297,
  [SMALL_STATE(406)] = 10307,
  [SMALL_STATE(407)] = 10317,
  [SMALL_STATE(408)] = 10327,
  [SMALL_STATE(409)] = 10337,
  [SMALL_STATE(410)] = 10347,
  [SMALL_STATE(411)] = 10357,
  [SMALL_STATE(412)] = 10367,
  [SMALL_STATE(413)] = 10375,
  [SMALL_STATE(414)] = 10383,
  [SMALL_STATE(415)] = 10391,
  [SMALL_STATE(416)] = 10398,
  [SMALL_STATE(417)] = 10405,
  [SMALL_STATE(418)] = 10412,
  [SMALL_STATE(419)] = 10417,
  [SMALL_STATE(420)] = 10424,
  [SMALL_STATE(421)] = 10431,
  [SMALL_STATE(422)] = 10438,
  [SMALL_STATE(423)] = 10445,
  [SMALL_STATE(424)] = 10452,
  [SMALL_STATE(425)] = 10459,
  [SMALL_STATE(426)] = 10466,
  [SMALL_STATE(427)] = 10473,
  [SMALL_STATE(428)] = 10480,
  [SMALL_STATE(429)] = 10487,
  [SMALL_STATE(430)] = 10494,
  [SMALL_STATE(431)] = 10499,
  [SMALL_STATE(432)] = 10506,
  [SMALL_STATE(433)] = 10513,
  [SMALL_STATE(434)] = 10520,
  [SMALL_STATE(435)] = 10527,
  [SMALL_STATE(436)] = 10534,
  [SMALL_STATE(437)] = 10541,
  [SMALL_STATE(438)] = 10548,
  [SMALL_STATE(439)] = 10553,
  [SMALL_STATE(440)] = 10560,
  [SMALL_STATE(441)] = 10567,
  [SMALL_STATE(442)] = 10572,
  [SMALL_STATE(443)] = 10579,
  [SMALL_STATE(444)] = 10586,
  [SMALL_STATE(445)] = 10591,
  [SMALL_STATE(446)] = 10598,
  [SMALL_STATE(447)] = 10605,
  [SMALL_STATE(448)] = 10612,
  [SMALL_STATE(449)] = 10619,
  [SMALL_STATE(450)] = 10626,
  [SMALL_STATE(451)] = 10633,
  [SMALL_STATE(452)] = 10640,
  [SMALL_STATE(453)] = 10647,
  [SMALL_STATE(454)] = 10654,
  [SMALL_STATE(455)] = 10661,
  [SMALL_STATE(456)] = 10668,
  [SMALL_STATE(457)] = 10675,
  [SMALL_STATE(458)] = 10682,
  [SMALL_STATE(459)] = 10689,
  [SMALL_STATE(460)] = 10696,
  [SMALL_STATE(461)] = 10703,
  [SMALL_STATE(462)] = 10710,
  [SMALL_STATE(463)] = 10717,
  [SMALL_STATE(464)] = 10724,
  [SMALL_STATE(465)] = 10731,
  [SMALL_STATE(466)] = 10738,
  [SMALL_STATE(467)] = 10745,
  [SMALL_STATE(468)] = 10752,
  [SMALL_STATE(469)] = 10759,
  [SMALL_STATE(470)] = 10766,
  [SMALL_STATE(471)] = 10773,
  [SMALL_STATE(472)] = 10780,
  [SMALL_STATE(473)] = 10787,
  [SMALL_STATE(474)] = 10792,
  [SMALL_STATE(475)] = 10799,
  [SMALL_STATE(476)] = 10806,
  [SMALL_STATE(477)] = 10813,
  [SMALL_STATE(478)] = 10820,
  [SMALL_STATE(479)] = 10827,
  [SMALL_STATE(480)] = 10834,
  [SMALL_STATE(481)] = 10838,
  [SMALL_STATE(482)] = 10842,
  [SMALL_STATE(483)] = 10846,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [91] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(52),
  [94] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(14),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(32),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(460),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(385),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(379),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(458),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(104),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(110),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(262),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(263),
  [138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 2, 0, 0), SHIFT_REPEAT(53),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 9, 0, 0),
  [145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 9, 0, 0),
  [147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_parameters, 5, 0, 0),
  [149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_parameters, 5, 0, 0),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 2, 0, 0),
  [155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 2, 0, 0),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 2, 0, 0),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 3, 0, 0),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file, 1, 0, 0),
  [203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(437),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(424),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(431),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(410),
  [223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(434),
  [226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_file_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_expanded_string, 2, 0, 0),
  [237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_expanded_string, 2, 0, 0),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shell_expanded_string, 3, 0, 0),
  [249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shell_expanded_string, 3, 0, 0),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value, 1, 0, 0),
  [253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 1, 0, 0),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external_command, 1, 0, 0),
  [259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_command, 1, 0, 0),
  [261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_backtick, 2, 0, 0),
  [267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_backtick, 2, 0, 0),
  [269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value, 3, 0, 0),
  [271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value, 3, 0, 0),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__backtick, 3, 0, 0),
  [275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__backtick, 3, 0, 0),
  [277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__indented_backtick, 3, 0, 10),
  [279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__indented_backtick, 3, 0, 10),
  [281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 3, 0, 1),
  [283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 3, 0, 1),
  [285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_call, 4, 0, 1),
  [287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_call, 4, 0, 1),
  [289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 3, 0, 0),
  [297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 3, 0, 0),
  [299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_recipe_dependency_repeat1, 1, 0, 0),
  [301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_dependency_repeat1, 1, 0, 0),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__recipe_dependency, 1, 0, 1),
  [307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__recipe_dependency, 1, 0, 1),
  [309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 4, 0, 2),
  [311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 4, 0, 2),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 6, 0, 1),
  [319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 6, 0, 1),
  [321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 6, 0, 6),
  [323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 6, 0, 6),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 7, 0, 2),
  [327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 7, 0, 2),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 5, 0, 2),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 5, 0, 2),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 7, 0, 1),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 7, 0, 1),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 4, 0, 1),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 4, 0, 1),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 7, 0, 6),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 7, 0, 6),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 8, 0, 2),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 8, 0, 2),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 8, 0, 6),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 8, 0, 6),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 5, 0, 6),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 5, 0, 6),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 6, 0, 2),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 6, 0, 2),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 3, 0, 1),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 3, 0, 1),
  [365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 5, 0, 1),
  [367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 5, 0, 1),
  [369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 9, 0, 6),
  [371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 9, 0, 6),
  [373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(121),
  [376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(161),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(98),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(449),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_body, 1, 0, 8),
  [407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_body, 1, 0, 8),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_body, 1, 0, 0),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_body, 1, 0, 0),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_body, 2, 0, 8),
  [427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_body, 2, 0, 8),
  [429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_body_repeat1, 2, 0, 0),
  [431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_recipe_body_repeat1, 2, 0, 0),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_body_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(179),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(195),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(114),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 2, 0, 0), SHIFT_REPEAT(467),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_line, 3, 0, 16),
  [476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_line, 3, 0, 16),
  [478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 1, 0, 0),
  [480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expansion_short_start, 1, 0, 0),
  [482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_line, 4, 0, 19),
  [484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe_line, 4, 0, 19),
  [486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 4, 0, 0),
  [488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 4, 0, 0),
  [490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 5, 0, 0),
  [492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 5, 0, 0),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 5, 0, 21),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 5, 0, 21),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 6, 0, 22),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 6, 0, 22),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 7, 0, 23),
  [506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 7, 0, 23),
  [508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shebang_line, 6, 0, 0),
  [510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shebang_line, 6, 0, 0),
  [512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ceol, 2, 0, 0),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__ceol, 2, 0, 0),
  [516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 3, 0, 2),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 3, 0, 2),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 8, 0, 1),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 8, 0, 1),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 9, 0, 2),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 9, 0, 2),
  [548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 5, 0, 14),
  [550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 5, 0, 14),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setting, 3, 0, 2),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setting, 3, 0, 2),
  [556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias, 6, 0, 6),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias, 6, 0, 6),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe, 10, 0, 6),
  [562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_recipe, 10, 0, 6),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 4, 0, 5),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 4, 0, 5),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 6, 0, 6),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 6, 0, 6),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 6, 0, 18),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 6, 0, 18),
  [576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 3, 0, 3),
  [578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 3, 0, 3),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 4, 0, 6),
  [584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 4, 0, 6),
  [586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 4, 0, 7),
  [588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 4, 0, 7),
  [590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_setting, 4, 0, 2),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_setting, 4, 0, 2),
  [594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 4, 0, 1),
  [598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 4, 0, 1),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 5, 0, 0),
  [612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unexport, 3, 0, 2),
  [614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unexport, 3, 0, 2),
  [616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(219),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat1, 2, 0, 0),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias, 5, 0, 2),
  [626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias, 5, 0, 2),
  [628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 2),
  [630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 5, 0, 2),
  [632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 3, 0, 0),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat1, 2, 0, 0),
  [646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod, 5, 0, 9),
  [648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod, 5, 0, 9),
  [650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_normal_string_repeat2, 4, 0, 0),
  [652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 1, 0, 0),
  [654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expansion_short_start, 1, 0, 0),
  [656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment, 1, 0, 0),
  [658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comment, 1, 0, 0),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 4, 0, 0),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_normal_string_repeat1, 2, 0, 0),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__normal_string_repeat1, 2, 0, 0),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__normal_string_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 5, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_normal_string_repeat2, 3, 0, 0),
  [728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alias_repeat1, 2, 0, 0),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alias_repeat1, 2, 0, 0),
  [792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alias_repeat1, 2, 0, 0), SHIFT_REPEAT(405),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(320),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0),
  [808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_repeat1, 2, 0, 0), SHIFT_REPEAT(397),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(279),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 2, 0, 0),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(288),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0),
  [830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(253),
  [833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(435),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 2, 0, 17), SHIFT_REPEAT(352),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 2, 0, 17), SHIFT_REPEAT(28),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 2, 0, 17),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(287),
  [851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(257),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 2, 0, 0), SHIFT_REPEAT(459),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_list, 4, 0, 0),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_list, 4, 0, 0),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 2, 0, 2),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(125),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_list, 5, 0, 0),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_list, 5, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 1, 0, 1),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 1, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 1, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 3, 0, 1),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_recipe_parameters_repeat1, 1, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameters, 1, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_parameters, 1, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameters, 2, 0, 0),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_parameter, 4, 0, 2),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_parameters_repeat1, 2, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 1),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 3, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 3, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 5, 0, 0),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat1, 2, 0, 0), SHIFT_REPEAT(317),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat1, 2, 0, 0),
  [974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 5, 0, 0),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat1, 2, 0, 0), SHIFT_REPEAT(319),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat1, 2, 0, 0),
  [981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_dependency, 1, 0, 4),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_dependency, 3, 0, 11),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_indented_raw_string_repeat2, 4, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__shell_expanded_raw_string_repeat2, 4, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3, 0, 15),
  [1001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_recipe_dependency, 4, 0, 11),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_shebang_line_repeat1, 2, 0, 0), SHIFT_REPEAT(341),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_shebang_line_repeat1, 2, 0, 0),
  [1028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 20),
  [1030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_backtick_repeat1, 2, 0, 0),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_backtick_repeat1, 2, 0, 0), SHIFT_REPEAT(402),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_list_repeat1, 2, 0, 0), SHIFT_REPEAT(408),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_list_repeat1, 2, 0, 0),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__recipe_line_choice, 1, 0, 12),
  [1058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_shebang_line_repeat2, 1, 0, 13),
  [1060] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__setting_list_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__setting_list_repeat1, 2, 0, 0),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_raw_string_repeat1, 2, 0, 0),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__indented_raw_string_repeat1, 2, 0, 0), SHIFT_REPEAT(367),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [1086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(19),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__indented_backtick_repeat1, 1, 0, 0),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 1),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 1),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_list, 5, 0, 0),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 0),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_list, 4, 0, 0),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_string, 2, 0, 0),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_boolean, 2, 0, 0),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__setting_list, 6, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [1253] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_just(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
