#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3408
#define LARGE_STATE_COUNT 576
#define SYMBOL_COUNT 326
#define ALIAS_COUNT 4
#define TOKEN_COUNT 111
#define EXTERNAL_TOKEN_COUNT 11
#define FIELD_COUNT 30
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 52

enum ts_symbol_identifiers {
  anon_sym_SEMI = 1,
  anon_sym_LBRACE = 2,
  anon_sym_RBRACE = 3,
  anon_sym_open = 4,
  anon_sym_BANG = 5,
  anon_sym_include = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COLON = 9,
  anon_sym_EQ = 10,
  anon_sym_await = 11,
  anon_sym_module = 12,
  anon_sym_rec = 13,
  anon_sym_type = 14,
  anon_sym_and = 15,
  anon_sym_unpack = 16,
  anon_sym_EQ_GT = 17,
  anon_sym_COMMA = 18,
  anon_sym_external = 19,
  anon_sym_exception = 20,
  anon_sym_export = 21,
  anon_sym_PLUS_EQ = 22,
  anon_sym_private = 23,
  anon_sym_LT = 24,
  anon_sym_PLUS = 25,
  anon_sym_DASH = 26,
  anon_sym_GT = 27,
  anon_sym_DOT = 28,
  anon_sym_constraint = 29,
  anon_sym_PIPE = 30,
  anon_sym_LBRACK = 31,
  anon_sym_LBRACK_GT = 32,
  anon_sym_LBRACK_LT = 33,
  anon_sym_RBRACK = 34,
  anon_sym_mutable = 35,
  anon_sym_QMARK = 36,
  anon_sym_DOT_DOT_DOT = 37,
  anon_sym_DOT_DOT = 38,
  anon_sym_let = 39,
  anon_sym_async = 40,
  anon_sym_if = 41,
  anon_sym_else = 42,
  anon_sym_switch = 43,
  anon_sym_when = 44,
  anon_sym_POUND = 45,
  anon_sym_try = 46,
  anon_sym_catch = 47,
  anon_sym_as = 48,
  anon_sym_assert = 49,
  anon_sym_DASH_GT = 50,
  anon_sym_PIPE_GT = 51,
  anon_sym_TILDE = 52,
  anon_sym_lazy = 53,
  anon_sym_SLASH = 54,
  anon_sym_COLON_EQ = 55,
  anon_sym_for = 56,
  anon_sym_in = 57,
  anon_sym_to = 58,
  anon_sym_downto = 59,
  anon_sym_while = 60,
  anon_sym_AMP_AMP = 61,
  anon_sym_PIPE_PIPE = 62,
  anon_sym_PLUS_PLUS = 63,
  anon_sym_PLUS_DOT = 64,
  anon_sym_DASH_DOT = 65,
  anon_sym_STAR = 66,
  anon_sym_STAR_DOT = 67,
  anon_sym_STAR_STAR = 68,
  anon_sym_SLASH_DOT = 69,
  anon_sym_LT_EQ = 70,
  anon_sym_EQ_EQ = 71,
  anon_sym_EQ_EQ_EQ = 72,
  anon_sym_BANG_EQ = 73,
  anon_sym_BANG_EQ_EQ = 74,
  anon_sym_GT_EQ = 75,
  anon_sym_COLON_GT = 76,
  anon_sym_PERCENT = 77,
  anon_sym_of = 78,
  anon_sym_with = 79,
  aux_sym_variant_identifier_token1 = 80,
  aux_sym_polyvar_identifier_token1 = 81,
  anon_sym_BSLASH = 82,
  aux_sym_type_identifier_token1 = 83,
  aux_sym_value_identifier_token1 = 84,
  sym__escape_identifier = 85,
  sym_extension_identifier = 86,
  sym_number = 87,
  sym_unit_type = 88,
  sym_true = 89,
  sym_false = 90,
  anon_sym_DQUOTE = 91,
  sym_unescaped_double_string_fragment = 92,
  sym_escape_sequence = 93,
  aux_sym_template_string_token1 = 94,
  anon_sym_BQUOTE = 95,
  aux_sym_template_string_content_token1 = 96,
  anon_sym_BSLASH_BQUOTE = 97,
  anon_sym_DOLLAR = 98,
  anon_sym_DOLLAR_LBRACE = 99,
  anon_sym_SQUOTE = 100,
  aux_sym_character_token1 = 101,
  sym__newline = 102,
  sym_comment = 103,
  sym__newline_and_comment = 104,
  sym__template_chars = 105,
  sym__lparen = 106,
  sym__rparen = 107,
  sym__list_constructor = 108,
  sym__decorator = 109,
  sym__decorator_inline = 110,
  sym_source_file = 111,
  sym__statement = 112,
  sym__statement_delimeter = 113,
  sym__one_or_more_statements = 114,
  sym_statement = 115,
  sym_block = 116,
  sym_open_statement = 117,
  sym_include_statement = 118,
  sym_declaration = 119,
  sym_module_binding = 120,
  sym_module_declaration = 121,
  sym__module_structure = 122,
  sym_module_unpack = 123,
  sym_functor = 124,
  sym_functor_parameters = 125,
  sym_functor_parameter = 126,
  sym_module_type_annotation = 127,
  sym_external_declaration = 128,
  sym_exception_declaration = 129,
  sym_type_declaration = 130,
  sym_type_binding = 131,
  sym_type_parameters = 132,
  sym_type_annotation = 133,
  sym__type = 134,
  sym__inline_type = 135,
  sym__non_function_inline_type = 136,
  sym_polymorphic_type = 137,
  sym_type_constraint = 138,
  sym_tuple_type = 139,
  sym_variant_type = 140,
  sym_variant_declaration = 141,
  sym_variant_parameters = 142,
  sym_polyvar_type = 143,
  sym_polyvar_declaration = 144,
  sym_polyvar_parameters = 145,
  sym_record_type = 146,
  sym_record_type_field = 147,
  sym_type_spread = 148,
  sym__record_type_member = 149,
  sym_object_type = 150,
  sym__object_type_member = 151,
  sym_object_type_field = 152,
  sym_generic_type = 153,
  sym_type_arguments = 154,
  sym_function_type = 155,
  sym_function_type_parameters = 156,
  sym__function_type_parameter_list = 157,
  sym_function_type_parameter = 158,
  sym_let_declaration = 159,
  sym_let_binding = 160,
  sym_expression_statement = 161,
  sym_expression = 162,
  sym_primary_expression = 163,
  sym_parenthesized_expression = 164,
  sym_value_identifier_path = 165,
  sym_function = 166,
  sym_record = 167,
  sym__record_element = 168,
  sym_record_field = 169,
  sym__record_pun_field = 170,
  sym__record_single_field = 171,
  sym__record_single_pun_field = 172,
  sym__record_field_name = 173,
  sym_object = 174,
  sym__object_field = 175,
  sym_object_field = 176,
  sym_tuple = 177,
  sym_array = 178,
  sym_list = 179,
  sym__list_element = 180,
  sym_if_expression = 181,
  sym_else_if_clause = 182,
  sym_else_clause = 183,
  sym_switch_expression = 184,
  sym_switch_match = 185,
  sym_guard = 186,
  sym_polyvar_type_pattern = 187,
  sym_try_expression = 188,
  sym_as_aliasing = 189,
  sym_as_aliasing_type = 190,
  sym__as_aliasing_non_function_inline_type = 191,
  sym_assert_expression = 192,
  sym_call_expression = 193,
  sym_pipe_expression = 194,
  sym_module_pack = 195,
  sym_call_arguments = 196,
  sym__call_argument = 197,
  sym_partial_application_spread = 198,
  sym_labeled_argument = 199,
  sym__definition_signature = 200,
  sym__return_type_annotation = 201,
  sym_formal_parameters = 202,
  sym_parameter = 203,
  sym_labeled_parameter = 204,
  sym_abstract_type = 205,
  sym__labeled_parameter_default_value = 206,
  sym__pattern = 207,
  sym_parenthesized_pattern = 208,
  sym_range_pattern = 209,
  sym_or_pattern = 210,
  sym_exception_pattern = 211,
  sym__destructuring_pattern = 212,
  sym__literal_pattern = 213,
  sym_variant_pattern = 214,
  sym__variant_pattern_parameters = 215,
  sym__variant_pattern_parameter = 216,
  sym_polyvar_pattern = 217,
  sym_record_pattern = 218,
  sym_tuple_item_pattern = 219,
  sym_tuple_pattern = 220,
  sym_array_pattern = 221,
  sym_list_pattern = 222,
  sym__collection_element_pattern = 223,
  sym_spread_pattern = 224,
  sym_lazy_pattern = 225,
  sym__jsx_element = 226,
  sym_jsx_element = 227,
  sym_jsx_fragment = 228,
  sym_jsx_expression = 229,
  sym__jsx_child = 230,
  sym_jsx_opening_element = 231,
  sym__jsx_identifier = 232,
  sym_nested_jsx_identifier = 233,
  sym__jsx_element_name = 234,
  sym_jsx_closing_element = 235,
  sym_jsx_self_closing_element = 236,
  sym__jsx_attribute_name = 237,
  sym__jsx_attribute = 238,
  sym_jsx_attribute = 239,
  sym__jsx_attribute_value = 240,
  sym_mutation_expression = 241,
  sym__mutation_lvalue = 242,
  sym_await_expression = 243,
  sym_decorator = 244,
  sym_decorator_arguments = 245,
  sym_subscript_expression = 246,
  sym_member_expression = 247,
  sym_spread_element = 248,
  sym_ternary_expression = 249,
  sym_for_expression = 250,
  sym_while_expression = 251,
  sym_lazy_expression = 252,
  sym_binary_expression = 253,
  sym_coercion_expression = 254,
  sym_unary_expression = 255,
  sym_extension_expression = 256,
  sym__extension_expression_payload = 257,
  sym_variant = 258,
  sym_nested_variant_identifier = 259,
  sym_variant_arguments = 260,
  sym_polyvar = 261,
  sym__type_identifier = 262,
  sym_type_identifier_path = 263,
  sym_module_expression = 264,
  sym_module_primary_expression = 265,
  sym_parenthesized_module_expression = 266,
  sym_module_identifier_path = 267,
  sym_module_type_of = 268,
  sym__module_type_constraint_with = 269,
  sym_module_type_constraint = 270,
  sym_constrain_module = 271,
  sym_constrain_type = 272,
  sym_functor_use = 273,
  sym_functor_arguments = 274,
  sym__functor_argument = 275,
  sym_variant_identifier = 276,
  sym_polyvar_identifier = 277,
  sym_type_identifier = 278,
  sym_value_identifier = 279,
  sym_module_identifier = 280,
  sym_unit = 281,
  sym_string = 282,
  sym_template_string = 283,
  sym_template_string_content = 284,
  sym_template_substitution = 285,
  sym_character = 286,
  sym_uncurry = 287,
  sym__reserved_identifier = 288,
  aux_sym_source_file_repeat1 = 289,
  aux_sym_source_file_repeat2 = 290,
  aux_sym_module_declaration_repeat1 = 291,
  aux_sym_functor_parameters_repeat1 = 292,
  aux_sym_type_declaration_repeat1 = 293,
  aux_sym_type_declaration_repeat2 = 294,
  aux_sym_type_binding_repeat1 = 295,
  aux_sym_type_parameters_repeat1 = 296,
  aux_sym_polymorphic_type_repeat1 = 297,
  aux_sym_tuple_type_repeat1 = 298,
  aux_sym_variant_type_repeat1 = 299,
  aux_sym_polyvar_type_repeat1 = 300,
  aux_sym_record_type_repeat1 = 301,
  aux_sym_object_type_repeat1 = 302,
  aux_sym__function_type_parameter_list_repeat1 = 303,
  aux_sym_let_declaration_repeat1 = 304,
  aux_sym_record_repeat1 = 305,
  aux_sym_object_repeat1 = 306,
  aux_sym_tuple_repeat1 = 307,
  aux_sym_list_repeat1 = 308,
  aux_sym_if_expression_repeat1 = 309,
  aux_sym_switch_expression_repeat1 = 310,
  aux_sym_call_arguments_repeat1 = 311,
  aux_sym_formal_parameters_repeat1 = 312,
  aux_sym__variant_pattern_parameters_repeat1 = 313,
  aux_sym_record_pattern_repeat1 = 314,
  aux_sym_tuple_pattern_repeat1 = 315,
  aux_sym_array_pattern_repeat1 = 316,
  aux_sym_jsx_element_repeat1 = 317,
  aux_sym_jsx_opening_element_repeat1 = 318,
  aux_sym_extension_expression_repeat1 = 319,
  aux_sym_variant_arguments_repeat1 = 320,
  aux_sym__module_type_constraint_with_repeat1 = 321,
  aux_sym_functor_arguments_repeat1 = 322,
  aux_sym_string_repeat1 = 323,
  aux_sym_template_string_content_repeat1 = 324,
  aux_sym_character_repeat1 = 325,
  alias_sym_jsx_identifier = 326,
  alias_sym_polyvar_string = 327,
  alias_sym_property_identifier = 328,
  alias_sym_sequence_expression = 329,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_SEMI] = ";",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_open] = "open",
  [anon_sym_BANG] = "!",
  [anon_sym_include] = "include",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_await] = "await",
  [anon_sym_module] = "module",
  [anon_sym_rec] = "rec",
  [anon_sym_type] = "type",
  [anon_sym_and] = "and",
  [anon_sym_unpack] = "unpack",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_COMMA] = ",",
  [anon_sym_external] = "external",
  [anon_sym_exception] = "exception",
  [anon_sym_export] = "export",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_private] = "private",
  [anon_sym_LT] = "<",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_GT] = ">",
  [anon_sym_DOT] = ".",
  [anon_sym_constraint] = "constraint",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_RBRACK] = "]",
  [anon_sym_mutable] = "mutable",
  [anon_sym_QMARK] = "\?",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_let] = "let",
  [anon_sym_async] = "async",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_when] = "when",
  [anon_sym_POUND] = "#",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_as] = "as",
  [anon_sym_assert] = "assert",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_TILDE] = "~",
  [anon_sym_lazy] = "lazy",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_while] = "while",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_PLUS_DOT] = "+.",
  [anon_sym_DASH_DOT] = "-.",
  [anon_sym_STAR] = "*",
  [anon_sym_STAR_DOT] = "*.",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_SLASH_DOT] = "/.",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_PERCENT] = "%",
  [anon_sym_of] = "of",
  [anon_sym_with] = "with",
  [aux_sym_variant_identifier_token1] = "variant_identifier_token1",
  [aux_sym_polyvar_identifier_token1] = "polyvar_identifier_token1",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_type_identifier_token1] = "type_identifier_token1",
  [aux_sym_value_identifier_token1] = "value_identifier_token1",
  [sym__escape_identifier] = "_escape_identifier",
  [sym_extension_identifier] = "extension_identifier",
  [sym_number] = "number",
  [sym_unit_type] = "unit_type",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_DQUOTE] = "\"",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [aux_sym_template_string_token1] = "template_string_token1",
  [anon_sym_BQUOTE] = "`",
  [aux_sym_template_string_content_token1] = "template_string_content_token1",
  [anon_sym_BSLASH_BQUOTE] = "escape_sequence",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_token1] = "character_token1",
  [sym__newline] = "_newline",
  [sym_comment] = "comment",
  [sym__newline_and_comment] = "comment",
  [sym__template_chars] = "_template_chars",
  [sym__lparen] = "(",
  [sym__rparen] = ")",
  [sym__list_constructor] = "_list_constructor",
  [sym__decorator] = "decorator_identifier",
  [sym__decorator_inline] = "decorator_identifier",
  [sym_source_file] = "source_file",
  [sym__statement] = "_statement",
  [sym__statement_delimeter] = "_statement_delimeter",
  [sym__one_or_more_statements] = "_one_or_more_statements",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_open_statement] = "open_statement",
  [sym_include_statement] = "include_statement",
  [sym_declaration] = "declaration",
  [sym_module_binding] = "module_binding",
  [sym_module_declaration] = "module_declaration",
  [sym__module_structure] = "_module_structure",
  [sym_module_unpack] = "module_unpack",
  [sym_functor] = "functor",
  [sym_functor_parameters] = "functor_parameters",
  [sym_functor_parameter] = "functor_parameter",
  [sym_module_type_annotation] = "module_type_annotation",
  [sym_external_declaration] = "external_declaration",
  [sym_exception_declaration] = "exception_declaration",
  [sym_type_declaration] = "type_declaration",
  [sym_type_binding] = "type_binding",
  [sym_type_parameters] = "type_parameters",
  [sym_type_annotation] = "type_annotation",
  [sym__type] = "_type",
  [sym__inline_type] = "_inline_type",
  [sym__non_function_inline_type] = "_non_function_inline_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym_type_constraint] = "type_constraint",
  [sym_tuple_type] = "tuple_type",
  [sym_variant_type] = "variant_type",
  [sym_variant_declaration] = "variant_declaration",
  [sym_variant_parameters] = "variant_parameters",
  [sym_polyvar_type] = "polyvar_type",
  [sym_polyvar_declaration] = "polyvar_declaration",
  [sym_polyvar_parameters] = "polyvar_parameters",
  [sym_record_type] = "record_type",
  [sym_record_type_field] = "record_type_field",
  [sym_type_spread] = "type_spread",
  [sym__record_type_member] = "_record_type_member",
  [sym_object_type] = "object_type",
  [sym__object_type_member] = "_object_type_member",
  [sym_object_type_field] = "field",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_function_type] = "function_type",
  [sym_function_type_parameters] = "function_type_parameters",
  [sym__function_type_parameter_list] = "_function_type_parameter_list",
  [sym_function_type_parameter] = "parameter",
  [sym_let_declaration] = "let_declaration",
  [sym_let_binding] = "let_binding",
  [sym_expression_statement] = "expression_statement",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_value_identifier_path] = "value_identifier_path",
  [sym_function] = "function",
  [sym_record] = "record",
  [sym__record_element] = "_record_element",
  [sym_record_field] = "record_field",
  [sym__record_pun_field] = "record_field",
  [sym__record_single_field] = "_record_single_field",
  [sym__record_single_pun_field] = "_record_single_pun_field",
  [sym__record_field_name] = "_record_field_name",
  [sym_object] = "object",
  [sym__object_field] = "_object_field",
  [sym_object_field] = "field",
  [sym_tuple] = "tuple",
  [sym_array] = "array",
  [sym_list] = "list",
  [sym__list_element] = "_list_element",
  [sym_if_expression] = "if_expression",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_match] = "switch_match",
  [sym_guard] = "guard",
  [sym_polyvar_type_pattern] = "polyvar_type_pattern",
  [sym_try_expression] = "try_expression",
  [sym_as_aliasing] = "as_aliasing",
  [sym_as_aliasing_type] = "as_aliasing_type",
  [sym__as_aliasing_non_function_inline_type] = "as_aliasing_type",
  [sym_assert_expression] = "assert_expression",
  [sym_call_expression] = "call_expression",
  [sym_pipe_expression] = "pipe_expression",
  [sym_module_pack] = "module_pack",
  [sym_call_arguments] = "arguments",
  [sym__call_argument] = "_call_argument",
  [sym_partial_application_spread] = "partial_application_spread",
  [sym_labeled_argument] = "labeled_argument",
  [sym__definition_signature] = "_definition_signature",
  [sym__return_type_annotation] = "type_annotation",
  [sym_formal_parameters] = "formal_parameters",
  [sym_parameter] = "parameter",
  [sym_labeled_parameter] = "labeled_parameter",
  [sym_abstract_type] = "abstract_type",
  [sym__labeled_parameter_default_value] = "_labeled_parameter_default_value",
  [sym__pattern] = "_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym__literal_pattern] = "_literal_pattern",
  [sym_variant_pattern] = "variant_pattern",
  [sym__variant_pattern_parameters] = "formal_parameters",
  [sym__variant_pattern_parameter] = "_variant_pattern_parameter",
  [sym_polyvar_pattern] = "polyvar_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_tuple_item_pattern] = "tuple_item_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym__collection_element_pattern] = "_collection_element_pattern",
  [sym_spread_pattern] = "spread_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym__jsx_element] = "_jsx_element",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym__jsx_child] = "_jsx_child",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym__jsx_identifier] = "_jsx_identifier",
  [sym_nested_jsx_identifier] = "nested_jsx_identifier",
  [sym__jsx_element_name] = "_jsx_element_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym__jsx_attribute_name] = "_jsx_attribute_name",
  [sym__jsx_attribute] = "_jsx_attribute",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym__jsx_attribute_value] = "_jsx_attribute_value",
  [sym_mutation_expression] = "mutation_expression",
  [sym__mutation_lvalue] = "_mutation_lvalue",
  [sym_await_expression] = "await_expression",
  [sym_decorator] = "decorator",
  [sym_decorator_arguments] = "decorator_arguments",
  [sym_subscript_expression] = "subscript_expression",
  [sym_member_expression] = "member_expression",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_for_expression] = "for_expression",
  [sym_while_expression] = "while_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_extension_expression] = "extension_expression",
  [sym__extension_expression_payload] = "_extension_expression_payload",
  [sym_variant] = "variant",
  [sym_nested_variant_identifier] = "nested_variant_identifier",
  [sym_variant_arguments] = "arguments",
  [sym_polyvar] = "polyvar",
  [sym__type_identifier] = "_type_identifier",
  [sym_type_identifier_path] = "type_identifier_path",
  [sym_module_expression] = "module_expression",
  [sym_module_primary_expression] = "module_primary_expression",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym_module_identifier_path] = "module_identifier_path",
  [sym_module_type_of] = "module_type_of",
  [sym__module_type_constraint_with] = "_module_type_constraint_with",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_type] = "constrain_type",
  [sym_functor_use] = "functor_use",
  [sym_functor_arguments] = "arguments",
  [sym__functor_argument] = "_functor_argument",
  [sym_variant_identifier] = "variant_identifier",
  [sym_polyvar_identifier] = "polyvar_identifier",
  [sym_type_identifier] = "type_identifier",
  [sym_value_identifier] = "value_identifier",
  [sym_module_identifier] = "module_identifier",
  [sym_unit] = "unit",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_string_content] = "template_string_content",
  [sym_template_substitution] = "template_substitution",
  [sym_character] = "character",
  [sym_uncurry] = "uncurry",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_source_file_repeat2] = "source_file_repeat2",
  [aux_sym_module_declaration_repeat1] = "module_declaration_repeat1",
  [aux_sym_functor_parameters_repeat1] = "functor_parameters_repeat1",
  [aux_sym_type_declaration_repeat1] = "type_declaration_repeat1",
  [aux_sym_type_declaration_repeat2] = "type_declaration_repeat2",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_polymorphic_type_repeat1] = "polymorphic_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_variant_type_repeat1] = "variant_type_repeat1",
  [aux_sym_polyvar_type_repeat1] = "polyvar_type_repeat1",
  [aux_sym_record_type_repeat1] = "record_type_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym__function_type_parameter_list_repeat1] = "_function_type_parameter_list_repeat1",
  [aux_sym_let_declaration_repeat1] = "let_declaration_repeat1",
  [aux_sym_record_repeat1] = "record_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_tuple_repeat1] = "tuple_repeat1",
  [aux_sym_list_repeat1] = "list_repeat1",
  [aux_sym_if_expression_repeat1] = "if_expression_repeat1",
  [aux_sym_switch_expression_repeat1] = "switch_expression_repeat1",
  [aux_sym_call_arguments_repeat1] = "call_arguments_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym__variant_pattern_parameters_repeat1] = "_variant_pattern_parameters_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_tuple_pattern_repeat1] = "tuple_pattern_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_extension_expression_repeat1] = "extension_expression_repeat1",
  [aux_sym_variant_arguments_repeat1] = "variant_arguments_repeat1",
  [aux_sym__module_type_constraint_with_repeat1] = "_module_type_constraint_with_repeat1",
  [aux_sym_functor_arguments_repeat1] = "functor_arguments_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_template_string_content_repeat1] = "template_string_content_repeat1",
  [aux_sym_character_repeat1] = "character_repeat1",
  [alias_sym_jsx_identifier] = "jsx_identifier",
  [alias_sym_polyvar_string] = "polyvar_string",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_sequence_expression] = "sequence_expression",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_unpack] = anon_sym_unpack,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_PLUS_DOT] = anon_sym_PLUS_DOT,
  [anon_sym_DASH_DOT] = anon_sym_DASH_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_STAR_DOT] = anon_sym_STAR_DOT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_SLASH_DOT] = anon_sym_SLASH_DOT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_with] = anon_sym_with,
  [aux_sym_variant_identifier_token1] = aux_sym_variant_identifier_token1,
  [aux_sym_polyvar_identifier_token1] = aux_sym_polyvar_identifier_token1,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_type_identifier_token1] = aux_sym_type_identifier_token1,
  [aux_sym_value_identifier_token1] = aux_sym_value_identifier_token1,
  [sym__escape_identifier] = sym__escape_identifier,
  [sym_extension_identifier] = sym_extension_identifier,
  [sym_number] = sym_number,
  [sym_unit_type] = sym_unit_type,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [aux_sym_template_string_token1] = aux_sym_template_string_token1,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym_template_string_content_token1] = aux_sym_template_string_content_token1,
  [anon_sym_BSLASH_BQUOTE] = sym_escape_sequence,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_character_token1] = aux_sym_character_token1,
  [sym__newline] = sym__newline,
  [sym_comment] = sym_comment,
  [sym__newline_and_comment] = sym_comment,
  [sym__template_chars] = sym__template_chars,
  [sym__lparen] = anon_sym_LPAREN,
  [sym__rparen] = anon_sym_RPAREN,
  [sym__list_constructor] = sym__list_constructor,
  [sym__decorator] = sym__decorator,
  [sym__decorator_inline] = sym__decorator,
  [sym_source_file] = sym_source_file,
  [sym__statement] = sym__statement,
  [sym__statement_delimeter] = sym__statement_delimeter,
  [sym__one_or_more_statements] = sym__one_or_more_statements,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_open_statement] = sym_open_statement,
  [sym_include_statement] = sym_include_statement,
  [sym_declaration] = sym_declaration,
  [sym_module_binding] = sym_module_binding,
  [sym_module_declaration] = sym_module_declaration,
  [sym__module_structure] = sym__module_structure,
  [sym_module_unpack] = sym_module_unpack,
  [sym_functor] = sym_functor,
  [sym_functor_parameters] = sym_functor_parameters,
  [sym_functor_parameter] = sym_functor_parameter,
  [sym_module_type_annotation] = sym_module_type_annotation,
  [sym_external_declaration] = sym_external_declaration,
  [sym_exception_declaration] = sym_exception_declaration,
  [sym_type_declaration] = sym_type_declaration,
  [sym_type_binding] = sym_type_binding,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_annotation] = sym_type_annotation,
  [sym__type] = sym__type,
  [sym__inline_type] = sym__inline_type,
  [sym__non_function_inline_type] = sym__non_function_inline_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym_type_constraint] = sym_type_constraint,
  [sym_tuple_type] = sym_tuple_type,
  [sym_variant_type] = sym_variant_type,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_variant_parameters] = sym_variant_parameters,
  [sym_polyvar_type] = sym_polyvar_type,
  [sym_polyvar_declaration] = sym_polyvar_declaration,
  [sym_polyvar_parameters] = sym_polyvar_parameters,
  [sym_record_type] = sym_record_type,
  [sym_record_type_field] = sym_record_type_field,
  [sym_type_spread] = sym_type_spread,
  [sym__record_type_member] = sym__record_type_member,
  [sym_object_type] = sym_object_type,
  [sym__object_type_member] = sym__object_type_member,
  [sym_object_type_field] = sym_object_type_field,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_function_type] = sym_function_type,
  [sym_function_type_parameters] = sym_function_type_parameters,
  [sym__function_type_parameter_list] = sym__function_type_parameter_list,
  [sym_function_type_parameter] = sym_parameter,
  [sym_let_declaration] = sym_let_declaration,
  [sym_let_binding] = sym_let_binding,
  [sym_expression_statement] = sym_expression_statement,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_value_identifier_path] = sym_value_identifier_path,
  [sym_function] = sym_function,
  [sym_record] = sym_record,
  [sym__record_element] = sym__record_element,
  [sym_record_field] = sym_record_field,
  [sym__record_pun_field] = sym_record_field,
  [sym__record_single_field] = sym__record_single_field,
  [sym__record_single_pun_field] = sym__record_single_pun_field,
  [sym__record_field_name] = sym__record_field_name,
  [sym_object] = sym_object,
  [sym__object_field] = sym__object_field,
  [sym_object_field] = sym_object_type_field,
  [sym_tuple] = sym_tuple,
  [sym_array] = sym_array,
  [sym_list] = sym_list,
  [sym__list_element] = sym__list_element,
  [sym_if_expression] = sym_if_expression,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_match] = sym_switch_match,
  [sym_guard] = sym_guard,
  [sym_polyvar_type_pattern] = sym_polyvar_type_pattern,
  [sym_try_expression] = sym_try_expression,
  [sym_as_aliasing] = sym_as_aliasing,
  [sym_as_aliasing_type] = sym_as_aliasing_type,
  [sym__as_aliasing_non_function_inline_type] = sym_as_aliasing_type,
  [sym_assert_expression] = sym_assert_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_pipe_expression] = sym_pipe_expression,
  [sym_module_pack] = sym_module_pack,
  [sym_call_arguments] = sym_call_arguments,
  [sym__call_argument] = sym__call_argument,
  [sym_partial_application_spread] = sym_partial_application_spread,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym__definition_signature] = sym__definition_signature,
  [sym__return_type_annotation] = sym_type_annotation,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_parameter] = sym_parameter,
  [sym_labeled_parameter] = sym_labeled_parameter,
  [sym_abstract_type] = sym_abstract_type,
  [sym__labeled_parameter_default_value] = sym__labeled_parameter_default_value,
  [sym__pattern] = sym__pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym__literal_pattern] = sym__literal_pattern,
  [sym_variant_pattern] = sym_variant_pattern,
  [sym__variant_pattern_parameters] = sym_formal_parameters,
  [sym__variant_pattern_parameter] = sym__variant_pattern_parameter,
  [sym_polyvar_pattern] = sym_polyvar_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_tuple_item_pattern] = sym_tuple_item_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym__collection_element_pattern] = sym__collection_element_pattern,
  [sym_spread_pattern] = sym_spread_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym__jsx_element] = sym__jsx_element,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym__jsx_child] = sym__jsx_child,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym__jsx_identifier] = sym__jsx_identifier,
  [sym_nested_jsx_identifier] = sym_nested_jsx_identifier,
  [sym__jsx_element_name] = sym__jsx_element_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym__jsx_attribute_name] = sym__jsx_attribute_name,
  [sym__jsx_attribute] = sym__jsx_attribute,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym__jsx_attribute_value] = sym__jsx_attribute_value,
  [sym_mutation_expression] = sym_mutation_expression,
  [sym__mutation_lvalue] = sym__mutation_lvalue,
  [sym_await_expression] = sym_await_expression,
  [sym_decorator] = sym_decorator,
  [sym_decorator_arguments] = sym_decorator_arguments,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_while_expression] = sym_while_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_extension_expression] = sym_extension_expression,
  [sym__extension_expression_payload] = sym__extension_expression_payload,
  [sym_variant] = sym_variant,
  [sym_nested_variant_identifier] = sym_nested_variant_identifier,
  [sym_variant_arguments] = sym_call_arguments,
  [sym_polyvar] = sym_polyvar,
  [sym__type_identifier] = sym__type_identifier,
  [sym_type_identifier_path] = sym_type_identifier_path,
  [sym_module_expression] = sym_module_expression,
  [sym_module_primary_expression] = sym_module_primary_expression,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym_module_identifier_path] = sym_module_identifier_path,
  [sym_module_type_of] = sym_module_type_of,
  [sym__module_type_constraint_with] = sym__module_type_constraint_with,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_type] = sym_constrain_type,
  [sym_functor_use] = sym_functor_use,
  [sym_functor_arguments] = sym_call_arguments,
  [sym__functor_argument] = sym__functor_argument,
  [sym_variant_identifier] = sym_variant_identifier,
  [sym_polyvar_identifier] = sym_polyvar_identifier,
  [sym_type_identifier] = sym_type_identifier,
  [sym_value_identifier] = sym_value_identifier,
  [sym_module_identifier] = sym_module_identifier,
  [sym_unit] = sym_unit,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_string_content] = sym_template_string_content,
  [sym_template_substitution] = sym_template_substitution,
  [sym_character] = sym_character,
  [sym_uncurry] = sym_uncurry,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_source_file_repeat2] = aux_sym_source_file_repeat2,
  [aux_sym_module_declaration_repeat1] = aux_sym_module_declaration_repeat1,
  [aux_sym_functor_parameters_repeat1] = aux_sym_functor_parameters_repeat1,
  [aux_sym_type_declaration_repeat1] = aux_sym_type_declaration_repeat1,
  [aux_sym_type_declaration_repeat2] = aux_sym_type_declaration_repeat2,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_polymorphic_type_repeat1] = aux_sym_polymorphic_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_variant_type_repeat1] = aux_sym_variant_type_repeat1,
  [aux_sym_polyvar_type_repeat1] = aux_sym_polyvar_type_repeat1,
  [aux_sym_record_type_repeat1] = aux_sym_record_type_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym__function_type_parameter_list_repeat1] = aux_sym__function_type_parameter_list_repeat1,
  [aux_sym_let_declaration_repeat1] = aux_sym_let_declaration_repeat1,
  [aux_sym_record_repeat1] = aux_sym_record_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_tuple_repeat1] = aux_sym_tuple_repeat1,
  [aux_sym_list_repeat1] = aux_sym_list_repeat1,
  [aux_sym_if_expression_repeat1] = aux_sym_if_expression_repeat1,
  [aux_sym_switch_expression_repeat1] = aux_sym_switch_expression_repeat1,
  [aux_sym_call_arguments_repeat1] = aux_sym_call_arguments_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym__variant_pattern_parameters_repeat1] = aux_sym__variant_pattern_parameters_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_tuple_pattern_repeat1] = aux_sym_tuple_pattern_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_extension_expression_repeat1] = aux_sym_extension_expression_repeat1,
  [aux_sym_variant_arguments_repeat1] = aux_sym_variant_arguments_repeat1,
  [aux_sym__module_type_constraint_with_repeat1] = aux_sym__module_type_constraint_with_repeat1,
  [aux_sym_functor_arguments_repeat1] = aux_sym_functor_arguments_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_template_string_content_repeat1] = aux_sym_template_string_content_repeat1,
  [aux_sym_character_repeat1] = aux_sym_character_repeat1,
  [alias_sym_jsx_identifier] = alias_sym_jsx_identifier,
  [alias_sym_polyvar_string] = alias_sym_polyvar_string,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_sequence_expression] = alias_sym_sequence_expression,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unpack] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_variant_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polyvar_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_type_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__escape_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_extension_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_type] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_template_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_template_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_BQUOTE] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline_and_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__lparen] = {
    .visible = true,
    .named = false,
  },
  [sym__rparen] = {
    .visible = true,
    .named = false,
  },
  [sym__list_constructor] = {
    .visible = false,
    .named = true,
  },
  [sym__decorator] = {
    .visible = true,
    .named = true,
  },
  [sym__decorator_inline] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__statement_delimeter] = {
    .visible = false,
    .named = true,
  },
  [sym__one_or_more_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_open_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_include_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__module_structure] = {
    .visible = false,
    .named = true,
  },
  [sym_module_unpack] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_external_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__inline_type] = {
    .visible = false,
    .named = true,
  },
  [sym__non_function_inline_type] = {
    .visible = false,
    .named = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variant_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_polyvar_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polyvar_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_polyvar_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_record_type] = {
    .visible = true,
    .named = true,
  },
  [sym_record_type_field] = {
    .visible = true,
    .named = true,
  },
  [sym_type_spread] = {
    .visible = true,
    .named = true,
  },
  [sym__record_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym__object_type_member] = {
    .visible = false,
    .named = true,
  },
  [sym_object_type_field] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__function_type_parameter_list] = {
    .visible = false,
    .named = true,
  },
  [sym_function_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_let_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_value_identifier_path] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_record] = {
    .visible = true,
    .named = true,
  },
  [sym__record_element] = {
    .visible = false,
    .named = true,
  },
  [sym_record_field] = {
    .visible = true,
    .named = true,
  },
  [sym__record_pun_field] = {
    .visible = true,
    .named = true,
  },
  [sym__record_single_field] = {
    .visible = false,
    .named = true,
  },
  [sym__record_single_pun_field] = {
    .visible = false,
    .named = true,
  },
  [sym__record_field_name] = {
    .visible = false,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym__object_field] = {
    .visible = false,
    .named = true,
  },
  [sym_object_field] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym__list_element] = {
    .visible = false,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_match] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_polyvar_type_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_as_aliasing] = {
    .visible = true,
    .named = true,
  },
  [sym_as_aliasing_type] = {
    .visible = true,
    .named = true,
  },
  [sym__as_aliasing_non_function_inline_type] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pipe_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_module_pack] = {
    .visible = true,
    .named = true,
  },
  [sym_call_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__call_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_partial_application_spread] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__definition_signature] = {
    .visible = false,
    .named = true,
  },
  [sym__return_type_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__labeled_parameter_default_value] = {
    .visible = false,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__literal_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_pattern_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym__variant_pattern_parameter] = {
    .visible = false,
    .named = true,
  },
  [sym_polyvar_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_item_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_element_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_element] = {
    .visible = false,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_child] = {
    .visible = false,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_element_name] = {
    .visible = false,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_attribute_name] = {
    .visible = false,
    .named = true,
  },
  [sym__jsx_attribute] = {
    .visible = false,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym__jsx_attribute_value] = {
    .visible = false,
    .named = true,
  },
  [sym_mutation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__mutation_lvalue] = {
    .visible = false,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__extension_expression_payload] = {
    .visible = false,
    .named = true,
  },
  [sym_variant] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_variant_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_variant_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_polyvar] = {
    .visible = true,
    .named = true,
  },
  [sym__type_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_type_identifier_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_module_identifier_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym__module_type_constraint_with] = {
    .visible = false,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_use] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__functor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_polyvar_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_value_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_module_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_uncurry] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_source_file_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_functor_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polyvar_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_type_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variant_pattern_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_extension_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__module_type_constraint_with_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_functor_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_polyvar_string] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_attribute = 4,
  field_body = 5,
  field_close_tag = 6,
  field_condition = 7,
  field_consequence = 8,
  field_default_value = 9,
  field_definition = 10,
  field_function = 11,
  field_index = 12,
  field_label = 13,
  field_left = 14,
  field_module = 15,
  field_name = 16,
  field_object = 17,
  field_open_tag = 18,
  field_operator = 19,
  field_parameter = 20,
  field_parameters = 21,
  field_pattern = 22,
  field_property = 23,
  field_record = 24,
  field_return_module_type = 25,
  field_return_type = 26,
  field_right = 27,
  field_signature = 28,
  field_type = 29,
  field_value = 30,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_value] = "default_value",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_index] = "index",
  [field_label] = "label",
  [field_left] = "left",
  [field_module] = "module",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_record] = "record",
  [field_return_module_type] = "return_module_type",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_signature] = "signature",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 2},
  [4] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 2},
  [8] = {.index = 6, .length = 2},
  [9] = {.index = 8, .length = 2},
  [10] = {.index = 10, .length = 1},
  [11] = {.index = 11, .length = 1},
  [12] = {.index = 12, .length = 1},
  [14] = {.index = 13, .length = 3},
  [15] = {.index = 16, .length = 2},
  [16] = {.index = 18, .length = 3},
  [17] = {.index = 21, .length = 2},
  [18] = {.index = 23, .length = 2},
  [19] = {.index = 25, .length = 2},
  [20] = {.index = 27, .length = 1},
  [21] = {.index = 28, .length = 2},
  [22] = {.index = 30, .length = 2},
  [23] = {.index = 32, .length = 2},
  [24] = {.index = 34, .length = 2},
  [25] = {.index = 36, .length = 2},
  [26] = {.index = 38, .length = 2},
  [27] = {.index = 40, .length = 3},
  [28] = {.index = 43, .length = 2},
  [29] = {.index = 45, .length = 1},
  [30] = {.index = 46, .length = 2},
  [31] = {.index = 48, .length = 3},
  [32] = {.index = 51, .length = 1},
  [33] = {.index = 52, .length = 2},
  [34] = {.index = 54, .length = 2},
  [35] = {.index = 56, .length = 2},
  [36] = {.index = 58, .length = 3},
  [37] = {.index = 61, .length = 3},
  [38] = {.index = 64, .length = 1},
  [39] = {.index = 65, .length = 1},
  [40] = {.index = 66, .length = 3},
  [41] = {.index = 69, .length = 2},
  [42] = {.index = 71, .length = 2},
  [43] = {.index = 73, .length = 3},
  [45] = {.index = 76, .length = 2},
  [46] = {.index = 78, .length = 2},
  [47] = {.index = 80, .length = 2},
  [48] = {.index = 82, .length = 3},
  [49] = {.index = 85, .length = 2},
  [50] = {.index = 87, .length = 2},
  [51] = {.index = 89, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_parameters, 0},
  [1] =
    {field_argument, 1},
    {field_operator, 0},
  [3] =
    {field_name, 0},
  [4] =
    {field_arguments, 1},
    {field_function, 0},
  [6] =
    {field_parameters, 0},
    {field_return_type, 1},
  [8] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [10] =
    {field_pattern, 0},
  [11] =
    {field_name, 1},
  [12] =
    {field_attribute, 0},
  [13] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [16] =
    {field_property, 2},
    {field_record, 0},
  [18] =
    {field_body, 2},
    {field_parameters, 0, .inherited = true},
    {field_return_type, 0, .inherited = true},
  [21] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [23] =
    {field_body, 2},
    {field_parameter, 0},
  [25] =
    {field_body, 2},
    {field_parameters, 0},
  [27] =
    {field_default_value, 2},
  [28] =
    {field_name, 0},
    {field_signature, 2},
  [30] =
    {field_definition, 2},
    {field_name, 0},
  [32] =
    {field_body, 2},
    {field_name, 0},
  [34] =
    {field_body, 2},
    {field_pattern, 0},
  [36] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [38] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [40] =
    {field_body, 3},
    {field_parameters, 1, .inherited = true},
    {field_return_type, 1, .inherited = true},
  [43] =
    {field_body, 3},
    {field_parameter, 1},
  [45] =
    {field_label, 1},
  [46] =
    {field_index, 2},
    {field_object, 0},
  [48] =
    {field_body, 3},
    {field_parameters, 0},
    {field_return_module_type, 1},
  [51] =
    {field_default_value, 3},
  [52] =
    {field_definition, 3},
    {field_name, 0},
  [54] =
    {field_body, 3},
    {field_name, 0},
  [56] =
    {field_body, 3},
    {field_pattern, 0},
  [58] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [61] =
    {field_module, 2},
    {field_property, 4},
    {field_record, 0},
  [64] =
    {field_name, 2},
  [65] =
    {field_default_value, 4},
  [66] =
    {field_definition, 4},
    {field_name, 0},
    {field_signature, 2},
  [69] =
    {field_body, 4},
    {field_name, 0},
  [71] =
    {field_label, 1},
    {field_value, 3},
  [73] =
    {field_definition, 5},
    {field_name, 0},
    {field_signature, 2},
  [76] =
    {field_body, 5},
    {field_name, 0},
  [78] =
    {field_body, 3},
    {field_pattern, 1},
  [80] =
    {field_label, 1},
    {field_value, 4},
  [82] =
    {field_label, 1},
    {field_type, 4},
    {field_value, 3},
  [85] =
    {field_body, 6},
    {field_name, 0},
  [87] =
    {field_body, 4},
    {field_pattern, 1},
  [89] =
    {field_label, 1},
    {field_type, 5},
    {field_value, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = alias_sym_property_identifier,
  },
  [5] = {
    [0] = alias_sym_jsx_identifier,
  },
  [6] = {
    [1] = alias_sym_polyvar_string,
  },
  [13] = {
    [2] = alias_sym_polyvar_string,
  },
  [15] = {
    [2] = alias_sym_property_identifier,
  },
  [37] = {
    [4] = alias_sym_property_identifier,
  },
  [44] = {
    [1] = alias_sym_property_identifier,
  },
  [46] = {
    [3] = alias_sym_sequence_expression,
  },
  [50] = {
    [4] = alias_sym_sequence_expression,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__one_or_more_statements, 2,
    sym__one_or_more_statements,
    alias_sym_sequence_expression,
  sym_value_identifier_path, 2,
    sym_value_identifier_path,
    alias_sym_property_identifier,
  sym_value_identifier, 3,
    sym_value_identifier,
    alias_sym_jsx_identifier,
    alias_sym_property_identifier,
  sym_module_identifier, 2,
    sym_module_identifier,
    alias_sym_jsx_identifier,
  sym_string, 3,
    sym_string,
    alias_sym_polyvar_string,
    alias_sym_property_identifier,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 9,
  [10] = 2,
  [11] = 11,
  [12] = 12,
  [13] = 12,
  [14] = 14,
  [15] = 14,
  [16] = 14,
  [17] = 14,
  [18] = 14,
  [19] = 14,
  [20] = 14,
  [21] = 14,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 25,
  [27] = 27,
  [28] = 25,
  [29] = 25,
  [30] = 25,
  [31] = 25,
  [32] = 25,
  [33] = 25,
  [34] = 25,
  [35] = 35,
  [36] = 36,
  [37] = 36,
  [38] = 38,
  [39] = 39,
  [40] = 36,
  [41] = 41,
  [42] = 42,
  [43] = 36,
  [44] = 36,
  [45] = 36,
  [46] = 46,
  [47] = 47,
  [48] = 46,
  [49] = 46,
  [50] = 50,
  [51] = 50,
  [52] = 52,
  [53] = 52,
  [54] = 52,
  [55] = 52,
  [56] = 52,
  [57] = 52,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 60,
  [62] = 59,
  [63] = 59,
  [64] = 59,
  [65] = 58,
  [66] = 66,
  [67] = 66,
  [68] = 66,
  [69] = 66,
  [70] = 58,
  [71] = 60,
  [72] = 59,
  [73] = 58,
  [74] = 60,
  [75] = 66,
  [76] = 58,
  [77] = 60,
  [78] = 60,
  [79] = 59,
  [80] = 58,
  [81] = 66,
  [82] = 82,
  [83] = 83,
  [84] = 82,
  [85] = 83,
  [86] = 83,
  [87] = 87,
  [88] = 82,
  [89] = 82,
  [90] = 83,
  [91] = 82,
  [92] = 87,
  [93] = 87,
  [94] = 83,
  [95] = 82,
  [96] = 83,
  [97] = 87,
  [98] = 87,
  [99] = 87,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 104,
  [111] = 105,
  [112] = 112,
  [113] = 113,
  [114] = 104,
  [115] = 107,
  [116] = 108,
  [117] = 108,
  [118] = 104,
  [119] = 119,
  [120] = 112,
  [121] = 121,
  [122] = 122,
  [123] = 122,
  [124] = 104,
  [125] = 122,
  [126] = 108,
  [127] = 109,
  [128] = 105,
  [129] = 105,
  [130] = 112,
  [131] = 131,
  [132] = 119,
  [133] = 107,
  [134] = 108,
  [135] = 119,
  [136] = 121,
  [137] = 107,
  [138] = 122,
  [139] = 109,
  [140] = 140,
  [141] = 109,
  [142] = 105,
  [143] = 112,
  [144] = 107,
  [145] = 121,
  [146] = 108,
  [147] = 104,
  [148] = 107,
  [149] = 119,
  [150] = 119,
  [151] = 121,
  [152] = 119,
  [153] = 122,
  [154] = 112,
  [155] = 121,
  [156] = 105,
  [157] = 109,
  [158] = 158,
  [159] = 122,
  [160] = 121,
  [161] = 109,
  [162] = 112,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 164,
  [168] = 168,
  [169] = 169,
  [170] = 163,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 168,
  [178] = 166,
  [179] = 179,
  [180] = 172,
  [181] = 169,
  [182] = 182,
  [183] = 183,
  [184] = 174,
  [185] = 185,
  [186] = 174,
  [187] = 187,
  [188] = 172,
  [189] = 179,
  [190] = 169,
  [191] = 172,
  [192] = 179,
  [193] = 193,
  [194] = 166,
  [195] = 168,
  [196] = 176,
  [197] = 175,
  [198] = 164,
  [199] = 166,
  [200] = 174,
  [201] = 201,
  [202] = 187,
  [203] = 173,
  [204] = 169,
  [205] = 174,
  [206] = 164,
  [207] = 207,
  [208] = 164,
  [209] = 172,
  [210] = 179,
  [211] = 179,
  [212] = 166,
  [213] = 207,
  [214] = 172,
  [215] = 171,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 174,
  [220] = 168,
  [221] = 163,
  [222] = 163,
  [223] = 165,
  [224] = 169,
  [225] = 176,
  [226] = 218,
  [227] = 171,
  [228] = 173,
  [229] = 175,
  [230] = 175,
  [231] = 176,
  [232] = 168,
  [233] = 164,
  [234] = 166,
  [235] = 179,
  [236] = 172,
  [237] = 193,
  [238] = 169,
  [239] = 174,
  [240] = 174,
  [241] = 169,
  [242] = 168,
  [243] = 166,
  [244] = 164,
  [245] = 169,
  [246] = 174,
  [247] = 174,
  [248] = 169,
  [249] = 176,
  [250] = 250,
  [251] = 165,
  [252] = 187,
  [253] = 187,
  [254] = 164,
  [255] = 193,
  [256] = 193,
  [257] = 193,
  [258] = 164,
  [259] = 193,
  [260] = 193,
  [261] = 193,
  [262] = 193,
  [263] = 193,
  [264] = 193,
  [265] = 171,
  [266] = 172,
  [267] = 193,
  [268] = 216,
  [269] = 207,
  [270] = 169,
  [271] = 216,
  [272] = 193,
  [273] = 193,
  [274] = 193,
  [275] = 193,
  [276] = 217,
  [277] = 175,
  [278] = 207,
  [279] = 163,
  [280] = 171,
  [281] = 216,
  [282] = 164,
  [283] = 173,
  [284] = 175,
  [285] = 172,
  [286] = 176,
  [287] = 168,
  [288] = 288,
  [289] = 166,
  [290] = 174,
  [291] = 179,
  [292] = 173,
  [293] = 174,
  [294] = 166,
  [295] = 207,
  [296] = 179,
  [297] = 288,
  [298] = 175,
  [299] = 173,
  [300] = 172,
  [301] = 201,
  [302] = 168,
  [303] = 193,
  [304] = 169,
  [305] = 174,
  [306] = 164,
  [307] = 176,
  [308] = 187,
  [309] = 164,
  [310] = 166,
  [311] = 175,
  [312] = 168,
  [313] = 176,
  [314] = 169,
  [315] = 175,
  [316] = 218,
  [317] = 171,
  [318] = 216,
  [319] = 187,
  [320] = 217,
  [321] = 171,
  [322] = 172,
  [323] = 169,
  [324] = 171,
  [325] = 169,
  [326] = 172,
  [327] = 171,
  [328] = 169,
  [329] = 288,
  [330] = 179,
  [331] = 201,
  [332] = 193,
  [333] = 166,
  [334] = 168,
  [335] = 216,
  [336] = 187,
  [337] = 207,
  [338] = 176,
  [339] = 174,
  [340] = 175,
  [341] = 171,
  [342] = 207,
  [343] = 343,
  [344] = 164,
  [345] = 207,
  [346] = 169,
  [347] = 347,
  [348] = 171,
  [349] = 349,
  [350] = 207,
  [351] = 217,
  [352] = 169,
  [353] = 163,
  [354] = 174,
  [355] = 165,
  [356] = 171,
  [357] = 175,
  [358] = 172,
  [359] = 174,
  [360] = 179,
  [361] = 183,
  [362] = 362,
  [363] = 182,
  [364] = 176,
  [365] = 174,
  [366] = 168,
  [367] = 217,
  [368] = 179,
  [369] = 166,
  [370] = 217,
  [371] = 216,
  [372] = 179,
  [373] = 343,
  [374] = 216,
  [375] = 288,
  [376] = 218,
  [377] = 217,
  [378] = 207,
  [379] = 172,
  [380] = 201,
  [381] = 187,
  [382] = 163,
  [383] = 193,
  [384] = 173,
  [385] = 171,
  [386] = 173,
  [387] = 166,
  [388] = 175,
  [389] = 176,
  [390] = 168,
  [391] = 166,
  [392] = 179,
  [393] = 172,
  [394] = 174,
  [395] = 168,
  [396] = 166,
  [397] = 207,
  [398] = 175,
  [399] = 163,
  [400] = 163,
  [401] = 187,
  [402] = 164,
  [403] = 176,
  [404] = 404,
  [405] = 362,
  [406] = 217,
  [407] = 404,
  [408] = 343,
  [409] = 207,
  [410] = 168,
  [411] = 216,
  [412] = 171,
  [413] = 362,
  [414] = 207,
  [415] = 343,
  [416] = 362,
  [417] = 343,
  [418] = 172,
  [419] = 168,
  [420] = 179,
  [421] = 169,
  [422] = 179,
  [423] = 347,
  [424] = 164,
  [425] = 187,
  [426] = 164,
  [427] = 166,
  [428] = 187,
  [429] = 173,
  [430] = 172,
  [431] = 175,
  [432] = 168,
  [433] = 176,
  [434] = 179,
  [435] = 176,
  [436] = 165,
  [437] = 176,
  [438] = 166,
  [439] = 175,
  [440] = 288,
  [441] = 168,
  [442] = 207,
  [443] = 201,
  [444] = 193,
  [445] = 175,
  [446] = 193,
  [447] = 176,
  [448] = 175,
  [449] = 171,
  [450] = 201,
  [451] = 451,
  [452] = 207,
  [453] = 207,
  [454] = 454,
  [455] = 455,
  [456] = 169,
  [457] = 207,
  [458] = 174,
  [459] = 459,
  [460] = 183,
  [461] = 182,
  [462] = 169,
  [463] = 455,
  [464] = 174,
  [465] = 176,
  [466] = 171,
  [467] = 173,
  [468] = 288,
  [469] = 469,
  [470] = 455,
  [471] = 471,
  [472] = 171,
  [473] = 163,
  [474] = 183,
  [475] = 175,
  [476] = 164,
  [477] = 168,
  [478] = 455,
  [479] = 207,
  [480] = 171,
  [481] = 455,
  [482] = 175,
  [483] = 217,
  [484] = 216,
  [485] = 183,
  [486] = 207,
  [487] = 182,
  [488] = 171,
  [489] = 172,
  [490] = 176,
  [491] = 174,
  [492] = 183,
  [493] = 175,
  [494] = 172,
  [495] = 171,
  [496] = 218,
  [497] = 343,
  [498] = 362,
  [499] = 182,
  [500] = 165,
  [501] = 176,
  [502] = 179,
  [503] = 166,
  [504] = 216,
  [505] = 169,
  [506] = 217,
  [507] = 455,
  [508] = 207,
  [509] = 176,
  [510] = 187,
  [511] = 171,
  [512] = 173,
  [513] = 175,
  [514] = 164,
  [515] = 176,
  [516] = 168,
  [517] = 166,
  [518] = 179,
  [519] = 172,
  [520] = 168,
  [521] = 166,
  [522] = 168,
  [523] = 164,
  [524] = 179,
  [525] = 164,
  [526] = 207,
  [527] = 217,
  [528] = 166,
  [529] = 187,
  [530] = 179,
  [531] = 179,
  [532] = 164,
  [533] = 172,
  [534] = 534,
  [535] = 535,
  [536] = 535,
  [537] = 534,
  [538] = 534,
  [539] = 534,
  [540] = 534,
  [541] = 535,
  [542] = 534,
  [543] = 535,
  [544] = 535,
  [545] = 535,
  [546] = 546,
  [547] = 547,
  [548] = 546,
  [549] = 547,
  [550] = 547,
  [551] = 546,
  [552] = 547,
  [553] = 546,
  [554] = 546,
  [555] = 555,
  [556] = 547,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 561,
  [563] = 561,
  [564] = 561,
  [565] = 561,
  [566] = 561,
  [567] = 561,
  [568] = 561,
  [569] = 561,
  [570] = 561,
  [571] = 561,
  [572] = 572,
  [573] = 572,
  [574] = 561,
  [575] = 561,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 591,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 595,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 597,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 604,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 608,
  [613] = 603,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 617,
  [619] = 619,
  [620] = 620,
  [621] = 614,
  [622] = 622,
  [623] = 617,
  [624] = 624,
  [625] = 614,
  [626] = 614,
  [627] = 614,
  [628] = 614,
  [629] = 616,
  [630] = 630,
  [631] = 624,
  [632] = 632,
  [633] = 614,
  [634] = 614,
  [635] = 624,
  [636] = 636,
  [637] = 616,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 648,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 655,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 672,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 589,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 589,
  [765] = 674,
  [766] = 762,
  [767] = 767,
  [768] = 761,
  [769] = 769,
  [770] = 770,
  [771] = 688,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 769,
  [778] = 759,
  [779] = 774,
  [780] = 780,
  [781] = 721,
  [782] = 679,
  [783] = 783,
  [784] = 772,
  [785] = 675,
  [786] = 780,
  [787] = 667,
  [788] = 773,
  [789] = 750,
  [790] = 790,
  [791] = 791,
  [792] = 754,
  [793] = 763,
  [794] = 775,
  [795] = 791,
  [796] = 746,
  [797] = 770,
  [798] = 741,
  [799] = 799,
  [800] = 800,
  [801] = 800,
  [802] = 802,
  [803] = 803,
  [804] = 800,
  [805] = 805,
  [806] = 800,
  [807] = 805,
  [808] = 803,
  [809] = 800,
  [810] = 799,
  [811] = 805,
  [812] = 812,
  [813] = 800,
  [814] = 800,
  [815] = 800,
  [816] = 816,
  [817] = 817,
  [818] = 818,
  [819] = 800,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 800,
  [824] = 800,
  [825] = 800,
  [826] = 640,
  [827] = 800,
  [828] = 828,
  [829] = 803,
  [830] = 800,
  [831] = 800,
  [832] = 812,
  [833] = 816,
  [834] = 800,
  [835] = 803,
  [836] = 589,
  [837] = 818,
  [838] = 821,
  [839] = 800,
  [840] = 800,
  [841] = 800,
  [842] = 619,
  [843] = 800,
  [844] = 800,
  [845] = 845,
  [846] = 800,
  [847] = 845,
  [848] = 800,
  [849] = 800,
  [850] = 800,
  [851] = 800,
  [852] = 800,
  [853] = 800,
  [854] = 800,
  [855] = 800,
  [856] = 800,
  [857] = 817,
  [858] = 858,
  [859] = 859,
  [860] = 800,
  [861] = 800,
  [862] = 670,
  [863] = 863,
  [864] = 805,
  [865] = 800,
  [866] = 800,
  [867] = 822,
  [868] = 820,
  [869] = 859,
  [870] = 828,
  [871] = 589,
  [872] = 872,
  [873] = 589,
  [874] = 716,
  [875] = 692,
  [876] = 691,
  [877] = 695,
  [878] = 589,
  [879] = 670,
  [880] = 609,
  [881] = 611,
  [882] = 589,
  [883] = 630,
  [884] = 884,
  [885] = 884,
  [886] = 686,
  [887] = 887,
  [888] = 888,
  [889] = 888,
  [890] = 679,
  [891] = 721,
  [892] = 639,
  [893] = 893,
  [894] = 674,
  [895] = 589,
  [896] = 589,
  [897] = 619,
  [898] = 710,
  [899] = 678,
  [900] = 707,
  [901] = 589,
  [902] = 694,
  [903] = 693,
  [904] = 678,
  [905] = 655,
  [906] = 630,
  [907] = 648,
  [908] = 643,
  [909] = 642,
  [910] = 693,
  [911] = 644,
  [912] = 751,
  [913] = 589,
  [914] = 646,
  [915] = 647,
  [916] = 611,
  [917] = 650,
  [918] = 609,
  [919] = 652,
  [920] = 640,
  [921] = 654,
  [922] = 657,
  [923] = 658,
  [924] = 651,
  [925] = 589,
  [926] = 734,
  [927] = 927,
  [928] = 694,
  [929] = 929,
  [930] = 929,
  [931] = 929,
  [932] = 671,
  [933] = 929,
  [934] = 929,
  [935] = 929,
  [936] = 715,
  [937] = 706,
  [938] = 929,
  [939] = 677,
  [940] = 927,
  [941] = 703,
  [942] = 705,
  [943] = 756,
  [944] = 927,
  [945] = 929,
  [946] = 662,
  [947] = 685,
  [948] = 753,
  [949] = 673,
  [950] = 752,
  [951] = 713,
  [952] = 709,
  [953] = 676,
  [954] = 704,
  [955] = 749,
  [956] = 929,
  [957] = 648,
  [958] = 748,
  [959] = 929,
  [960] = 747,
  [961] = 684,
  [962] = 745,
  [963] = 927,
  [964] = 929,
  [965] = 744,
  [966] = 743,
  [967] = 742,
  [968] = 700,
  [969] = 740,
  [970] = 738,
  [971] = 699,
  [972] = 927,
  [973] = 683,
  [974] = 737,
  [975] = 736,
  [976] = 639,
  [977] = 927,
  [978] = 735,
  [979] = 929,
  [980] = 929,
  [981] = 698,
  [982] = 733,
  [983] = 732,
  [984] = 682,
  [985] = 681,
  [986] = 731,
  [987] = 730,
  [988] = 929,
  [989] = 729,
  [990] = 728,
  [991] = 711,
  [992] = 927,
  [993] = 927,
  [994] = 697,
  [995] = 927,
  [996] = 929,
  [997] = 622,
  [998] = 668,
  [999] = 687,
  [1000] = 727,
  [1001] = 696,
  [1002] = 707,
  [1003] = 712,
  [1004] = 672,
  [1005] = 708,
  [1006] = 929,
  [1007] = 927,
  [1008] = 927,
  [1009] = 929,
  [1010] = 726,
  [1011] = 927,
  [1012] = 725,
  [1013] = 1013,
  [1014] = 724,
  [1015] = 929,
  [1016] = 663,
  [1017] = 655,
  [1018] = 722,
  [1019] = 927,
  [1020] = 680,
  [1021] = 929,
  [1022] = 660,
  [1023] = 927,
  [1024] = 664,
  [1025] = 717,
  [1026] = 929,
  [1027] = 927,
  [1028] = 689,
  [1029] = 720,
  [1030] = 718,
  [1031] = 719,
  [1032] = 666,
  [1033] = 665,
  [1034] = 751,
  [1035] = 710,
  [1036] = 672,
  [1037] = 929,
  [1038] = 646,
  [1039] = 642,
  [1040] = 1040,
  [1041] = 654,
  [1042] = 670,
  [1043] = 1040,
  [1044] = 611,
  [1045] = 660,
  [1046] = 1046,
  [1047] = 622,
  [1048] = 643,
  [1049] = 1049,
  [1050] = 609,
  [1051] = 1040,
  [1052] = 1052,
  [1053] = 647,
  [1054] = 644,
  [1055] = 670,
  [1056] = 652,
  [1057] = 1057,
  [1058] = 651,
  [1059] = 693,
  [1060] = 609,
  [1061] = 657,
  [1062] = 650,
  [1063] = 740,
  [1064] = 630,
  [1065] = 656,
  [1066] = 619,
  [1067] = 658,
  [1068] = 611,
  [1069] = 622,
  [1070] = 1070,
  [1071] = 678,
  [1072] = 709,
  [1073] = 717,
  [1074] = 639,
  [1075] = 649,
  [1076] = 685,
  [1077] = 682,
  [1078] = 721,
  [1079] = 688,
  [1080] = 710,
  [1081] = 1081,
  [1082] = 639,
  [1083] = 751,
  [1084] = 748,
  [1085] = 686,
  [1086] = 642,
  [1087] = 671,
  [1088] = 704,
  [1089] = 730,
  [1090] = 687,
  [1091] = 701,
  [1092] = 702,
  [1093] = 747,
  [1094] = 659,
  [1095] = 695,
  [1096] = 714,
  [1097] = 729,
  [1098] = 1098,
  [1099] = 684,
  [1100] = 649,
  [1101] = 700,
  [1102] = 699,
  [1103] = 698,
  [1104] = 656,
  [1105] = 706,
  [1106] = 712,
  [1107] = 673,
  [1108] = 672,
  [1109] = 708,
  [1110] = 667,
  [1111] = 697,
  [1112] = 749,
  [1113] = 720,
  [1114] = 668,
  [1115] = 745,
  [1116] = 731,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 728,
  [1120] = 683,
  [1121] = 696,
  [1122] = 744,
  [1123] = 743,
  [1124] = 676,
  [1125] = 752,
  [1126] = 742,
  [1127] = 713,
  [1128] = 741,
  [1129] = 738,
  [1130] = 722,
  [1131] = 630,
  [1132] = 705,
  [1133] = 707,
  [1134] = 644,
  [1135] = 694,
  [1136] = 680,
  [1137] = 746,
  [1138] = 675,
  [1139] = 665,
  [1140] = 622,
  [1141] = 666,
  [1142] = 692,
  [1143] = 691,
  [1144] = 646,
  [1145] = 689,
  [1146] = 727,
  [1147] = 723,
  [1148] = 719,
  [1149] = 664,
  [1150] = 718,
  [1151] = 754,
  [1152] = 737,
  [1153] = 724,
  [1154] = 622,
  [1155] = 753,
  [1156] = 672,
  [1157] = 736,
  [1158] = 643,
  [1159] = 735,
  [1160] = 716,
  [1161] = 750,
  [1162] = 734,
  [1163] = 619,
  [1164] = 715,
  [1165] = 703,
  [1166] = 733,
  [1167] = 677,
  [1168] = 725,
  [1169] = 640,
  [1170] = 662,
  [1171] = 732,
  [1172] = 663,
  [1173] = 726,
  [1174] = 711,
  [1175] = 756,
  [1176] = 681,
  [1177] = 647,
  [1178] = 649,
  [1179] = 643,
  [1180] = 1180,
  [1181] = 667,
  [1182] = 655,
  [1183] = 648,
  [1184] = 652,
  [1185] = 675,
  [1186] = 723,
  [1187] = 750,
  [1188] = 622,
  [1189] = 647,
  [1190] = 640,
  [1191] = 688,
  [1192] = 1192,
  [1193] = 654,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 650,
  [1197] = 646,
  [1198] = 1192,
  [1199] = 642,
  [1200] = 656,
  [1201] = 741,
  [1202] = 754,
  [1203] = 702,
  [1204] = 746,
  [1205] = 1205,
  [1206] = 659,
  [1207] = 1192,
  [1208] = 701,
  [1209] = 714,
  [1210] = 644,
  [1211] = 651,
  [1212] = 658,
  [1213] = 657,
  [1214] = 732,
  [1215] = 748,
  [1216] = 691,
  [1217] = 689,
  [1218] = 718,
  [1219] = 719,
  [1220] = 708,
  [1221] = 720,
  [1222] = 680,
  [1223] = 687,
  [1224] = 722,
  [1225] = 741,
  [1226] = 746,
  [1227] = 754,
  [1228] = 750,
  [1229] = 667,
  [1230] = 714,
  [1231] = 622,
  [1232] = 675,
  [1233] = 659,
  [1234] = 702,
  [1235] = 701,
  [1236] = 688,
  [1237] = 724,
  [1238] = 725,
  [1239] = 726,
  [1240] = 727,
  [1241] = 670,
  [1242] = 686,
  [1243] = 656,
  [1244] = 728,
  [1245] = 729,
  [1246] = 657,
  [1247] = 658,
  [1248] = 730,
  [1249] = 731,
  [1250] = 682,
  [1251] = 677,
  [1252] = 713,
  [1253] = 733,
  [1254] = 734,
  [1255] = 735,
  [1256] = 717,
  [1257] = 665,
  [1258] = 736,
  [1259] = 737,
  [1260] = 683,
  [1261] = 656,
  [1262] = 655,
  [1263] = 738,
  [1264] = 740,
  [1265] = 742,
  [1266] = 743,
  [1267] = 744,
  [1268] = 745,
  [1269] = 651,
  [1270] = 747,
  [1271] = 692,
  [1272] = 589,
  [1273] = 660,
  [1274] = 685,
  [1275] = 749,
  [1276] = 709,
  [1277] = 752,
  [1278] = 684,
  [1279] = 1279,
  [1280] = 753,
  [1281] = 696,
  [1282] = 668,
  [1283] = 654,
  [1284] = 662,
  [1285] = 756,
  [1286] = 681,
  [1287] = 697,
  [1288] = 698,
  [1289] = 703,
  [1290] = 622,
  [1291] = 679,
  [1292] = 648,
  [1293] = 699,
  [1294] = 700,
  [1295] = 665,
  [1296] = 693,
  [1297] = 704,
  [1298] = 676,
  [1299] = 705,
  [1300] = 674,
  [1301] = 652,
  [1302] = 649,
  [1303] = 673,
  [1304] = 671,
  [1305] = 694,
  [1306] = 707,
  [1307] = 706,
  [1308] = 695,
  [1309] = 655,
  [1310] = 678,
  [1311] = 751,
  [1312] = 710,
  [1313] = 666,
  [1314] = 664,
  [1315] = 642,
  [1316] = 663,
  [1317] = 721,
  [1318] = 711,
  [1319] = 712,
  [1320] = 723,
  [1321] = 686,
  [1322] = 716,
  [1323] = 650,
  [1324] = 649,
  [1325] = 715,
  [1326] = 672,
  [1327] = 648,
  [1328] = 675,
  [1329] = 751,
  [1330] = 697,
  [1331] = 722,
  [1332] = 702,
  [1333] = 701,
  [1334] = 698,
  [1335] = 720,
  [1336] = 724,
  [1337] = 683,
  [1338] = 725,
  [1339] = 699,
  [1340] = 726,
  [1341] = 700,
  [1342] = 682,
  [1343] = 727,
  [1344] = 728,
  [1345] = 729,
  [1346] = 730,
  [1347] = 731,
  [1348] = 704,
  [1349] = 688,
  [1350] = 705,
  [1351] = 692,
  [1352] = 732,
  [1353] = 733,
  [1354] = 734,
  [1355] = 706,
  [1356] = 735,
  [1357] = 736,
  [1358] = 649,
  [1359] = 737,
  [1360] = 680,
  [1361] = 695,
  [1362] = 738,
  [1363] = 740,
  [1364] = 723,
  [1365] = 742,
  [1366] = 743,
  [1367] = 744,
  [1368] = 745,
  [1369] = 660,
  [1370] = 741,
  [1371] = 667,
  [1372] = 747,
  [1373] = 712,
  [1374] = 748,
  [1375] = 749,
  [1376] = 709,
  [1377] = 752,
  [1378] = 753,
  [1379] = 719,
  [1380] = 672,
  [1381] = 662,
  [1382] = 756,
  [1383] = 703,
  [1384] = 677,
  [1385] = 663,
  [1386] = 718,
  [1387] = 675,
  [1388] = 667,
  [1389] = 723,
  [1390] = 672,
  [1391] = 717,
  [1392] = 746,
  [1393] = 659,
  [1394] = 711,
  [1395] = 708,
  [1396] = 664,
  [1397] = 716,
  [1398] = 666,
  [1399] = 656,
  [1400] = 693,
  [1401] = 715,
  [1402] = 694,
  [1403] = 688,
  [1404] = 707,
  [1405] = 679,
  [1406] = 750,
  [1407] = 622,
  [1408] = 671,
  [1409] = 678,
  [1410] = 674,
  [1411] = 665,
  [1412] = 696,
  [1413] = 714,
  [1414] = 710,
  [1415] = 673,
  [1416] = 754,
  [1417] = 746,
  [1418] = 741,
  [1419] = 713,
  [1420] = 676,
  [1421] = 686,
  [1422] = 714,
  [1423] = 659,
  [1424] = 691,
  [1425] = 754,
  [1426] = 685,
  [1427] = 668,
  [1428] = 684,
  [1429] = 687,
  [1430] = 702,
  [1431] = 750,
  [1432] = 681,
  [1433] = 701,
  [1434] = 689,
  [1435] = 701,
  [1436] = 750,
  [1437] = 754,
  [1438] = 741,
  [1439] = 667,
  [1440] = 714,
  [1441] = 675,
  [1442] = 656,
  [1443] = 746,
  [1444] = 649,
  [1445] = 649,
  [1446] = 688,
  [1447] = 656,
  [1448] = 622,
  [1449] = 659,
  [1450] = 702,
  [1451] = 723,
  [1452] = 688,
  [1453] = 723,
  [1454] = 667,
  [1455] = 750,
  [1456] = 754,
  [1457] = 746,
  [1458] = 714,
  [1459] = 741,
  [1460] = 642,
  [1461] = 675,
  [1462] = 1462,
  [1463] = 659,
  [1464] = 741,
  [1465] = 746,
  [1466] = 754,
  [1467] = 750,
  [1468] = 667,
  [1469] = 675,
  [1470] = 701,
  [1471] = 649,
  [1472] = 688,
  [1473] = 723,
  [1474] = 688,
  [1475] = 714,
  [1476] = 659,
  [1477] = 702,
  [1478] = 656,
  [1479] = 741,
  [1480] = 746,
  [1481] = 675,
  [1482] = 656,
  [1483] = 754,
  [1484] = 667,
  [1485] = 702,
  [1486] = 750,
  [1487] = 701,
  [1488] = 1488,
  [1489] = 714,
  [1490] = 746,
  [1491] = 741,
  [1492] = 649,
  [1493] = 688,
  [1494] = 675,
  [1495] = 675,
  [1496] = 667,
  [1497] = 723,
  [1498] = 746,
  [1499] = 659,
  [1500] = 702,
  [1501] = 723,
  [1502] = 701,
  [1503] = 750,
  [1504] = 741,
  [1505] = 702,
  [1506] = 675,
  [1507] = 701,
  [1508] = 741,
  [1509] = 754,
  [1510] = 1510,
  [1511] = 688,
  [1512] = 667,
  [1513] = 688,
  [1514] = 754,
  [1515] = 714,
  [1516] = 750,
  [1517] = 746,
  [1518] = 1518,
  [1519] = 754,
  [1520] = 750,
  [1521] = 659,
  [1522] = 667,
  [1523] = 1523,
  [1524] = 1523,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 665,
  [1528] = 1528,
  [1529] = 1523,
  [1530] = 1523,
  [1531] = 1523,
  [1532] = 1523,
  [1533] = 1533,
  [1534] = 675,
  [1535] = 746,
  [1536] = 1536,
  [1537] = 1536,
  [1538] = 1536,
  [1539] = 1536,
  [1540] = 741,
  [1541] = 1541,
  [1542] = 746,
  [1543] = 1543,
  [1544] = 754,
  [1545] = 750,
  [1546] = 1536,
  [1547] = 741,
  [1548] = 667,
  [1549] = 750,
  [1550] = 1536,
  [1551] = 688,
  [1552] = 754,
  [1553] = 688,
  [1554] = 675,
  [1555] = 667,
  [1556] = 1556,
  [1557] = 1556,
  [1558] = 1556,
  [1559] = 741,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 675,
  [1563] = 1556,
  [1564] = 1556,
  [1565] = 667,
  [1566] = 1560,
  [1567] = 750,
  [1568] = 1556,
  [1569] = 754,
  [1570] = 1560,
  [1571] = 1560,
  [1572] = 1560,
  [1573] = 1560,
  [1574] = 746,
  [1575] = 688,
  [1576] = 1576,
  [1577] = 754,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 688,
  [1582] = 1579,
  [1583] = 1583,
  [1584] = 746,
  [1585] = 767,
  [1586] = 1578,
  [1587] = 754,
  [1588] = 1588,
  [1589] = 1576,
  [1590] = 1588,
  [1591] = 741,
  [1592] = 1579,
  [1593] = 1576,
  [1594] = 1578,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 746,
  [1598] = 1579,
  [1599] = 1599,
  [1600] = 1578,
  [1601] = 1595,
  [1602] = 1602,
  [1603] = 741,
  [1604] = 750,
  [1605] = 750,
  [1606] = 667,
  [1607] = 1607,
  [1608] = 1578,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1588,
  [1612] = 1595,
  [1613] = 1576,
  [1614] = 1576,
  [1615] = 1596,
  [1616] = 1579,
  [1617] = 675,
  [1618] = 1588,
  [1619] = 1576,
  [1620] = 667,
  [1621] = 1595,
  [1622] = 1622,
  [1623] = 675,
  [1624] = 1588,
  [1625] = 1625,
  [1626] = 688,
  [1627] = 1595,
  [1628] = 1578,
  [1629] = 1629,
  [1630] = 667,
  [1631] = 1631,
  [1632] = 741,
  [1633] = 1633,
  [1634] = 746,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1633,
  [1638] = 1635,
  [1639] = 1635,
  [1640] = 1640,
  [1641] = 1631,
  [1642] = 1640,
  [1643] = 754,
  [1644] = 1631,
  [1645] = 1629,
  [1646] = 1640,
  [1647] = 1636,
  [1648] = 1629,
  [1649] = 1631,
  [1650] = 1640,
  [1651] = 1635,
  [1652] = 750,
  [1653] = 1631,
  [1654] = 688,
  [1655] = 1636,
  [1656] = 667,
  [1657] = 675,
  [1658] = 1635,
  [1659] = 1640,
  [1660] = 1635,
  [1661] = 1635,
  [1662] = 1635,
  [1663] = 1629,
  [1664] = 1635,
  [1665] = 1635,
  [1666] = 1666,
  [1667] = 1635,
  [1668] = 1635,
  [1669] = 754,
  [1670] = 1635,
  [1671] = 688,
  [1672] = 750,
  [1673] = 1631,
  [1674] = 1640,
  [1675] = 1636,
  [1676] = 1635,
  [1677] = 1635,
  [1678] = 1678,
  [1679] = 1636,
  [1680] = 1633,
  [1681] = 1633,
  [1682] = 1629,
  [1683] = 1633,
  [1684] = 746,
  [1685] = 741,
  [1686] = 1635,
  [1687] = 1635,
  [1688] = 1635,
  [1689] = 1689,
  [1690] = 1629,
  [1691] = 1635,
  [1692] = 1635,
  [1693] = 1636,
  [1694] = 1635,
  [1695] = 675,
  [1696] = 1633,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1697,
  [1700] = 1697,
  [1701] = 1070,
  [1702] = 1698,
  [1703] = 1698,
  [1704] = 1697,
  [1705] = 1705,
  [1706] = 1697,
  [1707] = 1698,
  [1708] = 1698,
  [1709] = 1698,
  [1710] = 1697,
  [1711] = 1697,
  [1712] = 1712,
  [1713] = 1713,
  [1714] = 1712,
  [1715] = 1713,
  [1716] = 1716,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1719,
  [1720] = 1717,
  [1721] = 1719,
  [1722] = 1722,
  [1723] = 1718,
  [1724] = 1722,
  [1725] = 1716,
  [1726] = 1717,
  [1727] = 1719,
  [1728] = 589,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1730,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 686,
  [1737] = 1737,
  [1738] = 1738,
  [1739] = 1735,
  [1740] = 1740,
  [1741] = 1741,
  [1742] = 609,
  [1743] = 1743,
  [1744] = 1744,
  [1745] = 611,
  [1746] = 1743,
  [1747] = 1744,
  [1748] = 1734,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1751,
  [1752] = 1070,
  [1753] = 639,
  [1754] = 1754,
  [1755] = 1755,
  [1756] = 1756,
  [1757] = 1757,
  [1758] = 1758,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 1767,
  [1768] = 1768,
  [1769] = 686,
  [1770] = 1770,
  [1771] = 1771,
  [1772] = 1772,
  [1773] = 1773,
  [1774] = 1774,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1778,
  [1779] = 1779,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1785,
  [1786] = 670,
  [1787] = 1787,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 670,
  [1799] = 670,
  [1800] = 1800,
  [1801] = 1800,
  [1802] = 1800,
  [1803] = 1796,
  [1804] = 1800,
  [1805] = 1794,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1800,
  [1809] = 1809,
  [1810] = 1806,
  [1811] = 1797,
  [1812] = 1797,
  [1813] = 619,
  [1814] = 1814,
  [1815] = 1809,
  [1816] = 1806,
  [1817] = 1797,
  [1818] = 1818,
  [1819] = 1800,
  [1820] = 1806,
  [1821] = 1795,
  [1822] = 1729,
  [1823] = 1806,
  [1824] = 1824,
  [1825] = 1776,
  [1826] = 1797,
  [1827] = 1807,
  [1828] = 1828,
  [1829] = 1829,
  [1830] = 1776,
  [1831] = 1797,
  [1832] = 1814,
  [1833] = 1833,
  [1834] = 642,
  [1835] = 1737,
  [1836] = 1806,
  [1837] = 652,
  [1838] = 1767,
  [1839] = 1755,
  [1840] = 670,
  [1841] = 1794,
  [1842] = 658,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1794,
  [1846] = 630,
  [1847] = 1847,
  [1848] = 649,
  [1849] = 1844,
  [1850] = 1847,
  [1851] = 650,
  [1852] = 1843,
  [1853] = 1776,
  [1854] = 655,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 640,
  [1858] = 1858,
  [1859] = 648,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 651,
  [1863] = 654,
  [1864] = 657,
  [1865] = 1858,
  [1866] = 1856,
  [1867] = 1789,
  [1868] = 1794,
  [1869] = 1749,
  [1870] = 1870,
  [1871] = 710,
  [1872] = 751,
  [1873] = 678,
  [1874] = 655,
  [1875] = 707,
  [1876] = 694,
  [1877] = 693,
  [1878] = 743,
  [1879] = 703,
  [1880] = 756,
  [1881] = 662,
  [1882] = 753,
  [1883] = 752,
  [1884] = 709,
  [1885] = 749,
  [1886] = 748,
  [1887] = 747,
  [1888] = 745,
  [1889] = 744,
  [1890] = 708,
  [1891] = 742,
  [1892] = 686,
  [1893] = 1870,
  [1894] = 740,
  [1895] = 738,
  [1896] = 683,
  [1897] = 646,
  [1898] = 737,
  [1899] = 736,
  [1900] = 735,
  [1901] = 734,
  [1902] = 733,
  [1903] = 732,
  [1904] = 682,
  [1905] = 731,
  [1906] = 730,
  [1907] = 729,
  [1908] = 728,
  [1909] = 727,
  [1910] = 643,
  [1911] = 726,
  [1912] = 725,
  [1913] = 724,
  [1914] = 722,
  [1915] = 680,
  [1916] = 721,
  [1917] = 720,
  [1918] = 719,
  [1919] = 718,
  [1920] = 717,
  [1921] = 660,
  [1922] = 716,
  [1923] = 715,
  [1924] = 677,
  [1925] = 647,
  [1926] = 713,
  [1927] = 711,
  [1928] = 695,
  [1929] = 706,
  [1930] = 705,
  [1931] = 704,
  [1932] = 700,
  [1933] = 1933,
  [1934] = 699,
  [1935] = 698,
  [1936] = 697,
  [1937] = 668,
  [1938] = 696,
  [1939] = 692,
  [1940] = 691,
  [1941] = 689,
  [1942] = 1861,
  [1943] = 687,
  [1944] = 1944,
  [1945] = 1945,
  [1946] = 1762,
  [1947] = 1756,
  [1948] = 1774,
  [1949] = 1778,
  [1950] = 1784,
  [1951] = 1775,
  [1952] = 1952,
  [1953] = 1771,
  [1954] = 1763,
  [1955] = 1758,
  [1956] = 1764,
  [1957] = 1773,
  [1958] = 1958,
  [1959] = 1780,
  [1960] = 1781,
  [1961] = 1779,
  [1962] = 1765,
  [1963] = 1766,
  [1964] = 1870,
  [1965] = 1783,
  [1966] = 1966,
  [1967] = 1759,
  [1968] = 1944,
  [1969] = 1933,
  [1970] = 1970,
  [1971] = 1751,
  [1972] = 1870,
  [1973] = 1757,
  [1974] = 1974,
  [1975] = 1975,
  [1976] = 1790,
  [1977] = 1952,
  [1978] = 1958,
  [1979] = 1966,
  [1980] = 1870,
  [1981] = 1870,
  [1982] = 1860,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1761,
  [1986] = 1986,
  [1987] = 1794,
  [1988] = 1986,
  [1989] = 1768,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1984,
  [1994] = 1986,
  [1995] = 1750,
  [1996] = 1791,
  [1997] = 1793,
  [1998] = 1984,
  [1999] = 1788,
  [2000] = 1986,
  [2001] = 1991,
  [2002] = 1992,
  [2003] = 1782,
  [2004] = 2004,
  [2005] = 1984,
  [2006] = 2006,
  [2007] = 1794,
  [2008] = 648,
  [2009] = 1754,
  [2010] = 2004,
  [2011] = 1986,
  [2012] = 2006,
  [2013] = 1970,
  [2014] = 1945,
  [2015] = 1984,
  [2016] = 2016,
  [2017] = 1861,
  [2018] = 2016,
  [2019] = 1860,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 1952,
  [2023] = 1958,
  [2024] = 1952,
  [2025] = 1958,
  [2026] = 1776,
  [2027] = 670,
  [2028] = 630,
  [2029] = 1824,
  [2030] = 2021,
  [2031] = 2031,
  [2032] = 1991,
  [2033] = 1992,
  [2034] = 2034,
  [2035] = 2021,
  [2036] = 1794,
  [2037] = 1861,
  [2038] = 2038,
  [2039] = 2021,
  [2040] = 2040,
  [2041] = 2034,
  [2042] = 2021,
  [2043] = 1990,
  [2044] = 1991,
  [2045] = 2020,
  [2046] = 1992,
  [2047] = 1860,
  [2048] = 2048,
  [2049] = 1958,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2054,
  [2055] = 2054,
  [2056] = 1992,
  [2057] = 1991,
  [2058] = 2058,
  [2059] = 1773,
  [2060] = 2054,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 1992,
  [2067] = 1860,
  [2068] = 2068,
  [2069] = 1991,
  [2070] = 1990,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2054,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 1992,
  [2079] = 1991,
  [2080] = 1990,
  [2081] = 1952,
  [2082] = 1794,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2054,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 1958,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 1952,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2074,
  [2098] = 1952,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 1992,
  [2102] = 1991,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 1990,
  [2108] = 2074,
  [2109] = 2109,
  [2110] = 1860,
  [2111] = 1958,
  [2112] = 2112,
  [2113] = 1992,
  [2114] = 1991,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2074,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 1958,
  [2125] = 1952,
  [2126] = 2126,
  [2127] = 1991,
  [2128] = 1860,
  [2129] = 2129,
  [2130] = 2054,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2074,
  [2135] = 1958,
  [2136] = 1952,
  [2137] = 1958,
  [2138] = 1952,
  [2139] = 2139,
  [2140] = 2074,
  [2141] = 2076,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 1992,
  [2145] = 2145,
  [2146] = 2146,
  [2147] = 2096,
  [2148] = 1794,
  [2149] = 1992,
  [2150] = 2100,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2119,
  [2155] = 2155,
  [2156] = 1952,
  [2157] = 2157,
  [2158] = 1958,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 1958,
  [2164] = 2164,
  [2165] = 1952,
  [2166] = 2166,
  [2167] = 2123,
  [2168] = 1992,
  [2169] = 1860,
  [2170] = 2170,
  [2171] = 1991,
  [2172] = 1990,
  [2173] = 2162,
  [2174] = 1952,
  [2175] = 2175,
  [2176] = 2132,
  [2177] = 1958,
  [2178] = 1952,
  [2179] = 1992,
  [2180] = 1991,
  [2181] = 2161,
  [2182] = 2162,
  [2183] = 1776,
  [2184] = 2184,
  [2185] = 1958,
  [2186] = 2162,
  [2187] = 1952,
  [2188] = 2117,
  [2189] = 1992,
  [2190] = 1991,
  [2191] = 2159,
  [2192] = 1776,
  [2193] = 2193,
  [2194] = 670,
  [2195] = 1991,
  [2196] = 1992,
  [2197] = 2162,
  [2198] = 2104,
  [2199] = 2105,
  [2200] = 1990,
  [2201] = 1958,
  [2202] = 2175,
  [2203] = 2164,
  [2204] = 1952,
  [2205] = 1991,
  [2206] = 1990,
  [2207] = 2162,
  [2208] = 2112,
  [2209] = 2122,
  [2210] = 2162,
  [2211] = 2090,
  [2212] = 1794,
  [2213] = 1958,
  [2214] = 2109,
  [2215] = 2155,
  [2216] = 1991,
  [2217] = 1992,
  [2218] = 2218,
  [2219] = 2219,
  [2220] = 1860,
  [2221] = 1958,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 1952,
  [2225] = 2225,
  [2226] = 1794,
  [2227] = 2227,
  [2228] = 2228,
  [2229] = 1990,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 2232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 1991,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 1794,
  [2240] = 2240,
  [2241] = 2238,
  [2242] = 2231,
  [2243] = 2223,
  [2244] = 2244,
  [2245] = 1992,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 1952,
  [2249] = 2225,
  [2250] = 2240,
  [2251] = 1958,
  [2252] = 2252,
  [2253] = 2230,
  [2254] = 2254,
  [2255] = 1991,
  [2256] = 1992,
  [2257] = 2257,
  [2258] = 2237,
  [2259] = 2228,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2218,
  [2263] = 2040,
  [2264] = 2264,
  [2265] = 2254,
  [2266] = 2246,
  [2267] = 2232,
  [2268] = 2238,
  [2269] = 2233,
  [2270] = 2222,
  [2271] = 2271,
  [2272] = 2247,
  [2273] = 2238,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2238,
  [2277] = 2244,
  [2278] = 2257,
  [2279] = 1773,
  [2280] = 2235,
  [2281] = 2227,
  [2282] = 2282,
  [2283] = 2283,
  [2284] = 2238,
  [2285] = 2238,
  [2286] = 2238,
  [2287] = 2287,
  [2288] = 2252,
  [2289] = 686,
  [2290] = 2290,
  [2291] = 2271,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 1794,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2298,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2302,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 1794,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2312,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 1958,
  [2317] = 1952,
  [2318] = 1952,
  [2319] = 1958,
  [2320] = 2320,
  [2321] = 670,
  [2322] = 1860,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2031,
  [2326] = 686,
  [2327] = 2304,
  [2328] = 1991,
  [2329] = 1992,
  [2330] = 2330,
  [2331] = 2331,
  [2332] = 679,
  [2333] = 674,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2308,
  [2337] = 2298,
  [2338] = 2313,
  [2339] = 2298,
  [2340] = 2314,
  [2341] = 686,
  [2342] = 2298,
  [2343] = 2343,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2310,
  [2347] = 2347,
  [2348] = 2305,
  [2349] = 1990,
  [2350] = 1991,
  [2351] = 1860,
  [2352] = 2352,
  [2353] = 1992,
  [2354] = 2354,
  [2355] = 2355,
  [2356] = 2303,
  [2357] = 2315,
  [2358] = 2358,
  [2359] = 2302,
  [2360] = 2306,
  [2361] = 2343,
  [2362] = 2347,
  [2363] = 2330,
  [2364] = 2301,
  [2365] = 2311,
  [2366] = 2298,
  [2367] = 1824,
  [2368] = 2368,
  [2369] = 2345,
  [2370] = 2323,
  [2371] = 2371,
  [2372] = 2312,
  [2373] = 2373,
  [2374] = 2335,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 1958,
  [2378] = 2378,
  [2379] = 2375,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 640,
  [2383] = 1991,
  [2384] = 2384,
  [2385] = 2385,
  [2386] = 1966,
  [2387] = 2387,
  [2388] = 2388,
  [2389] = 2389,
  [2390] = 2381,
  [2391] = 2391,
  [2392] = 2384,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2048,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 1992,
  [2401] = 2166,
  [2402] = 2402,
  [2403] = 2376,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 1991,
  [2407] = 2407,
  [2408] = 2393,
  [2409] = 1958,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 1952,
  [2413] = 2413,
  [2414] = 2398,
  [2415] = 2413,
  [2416] = 2387,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 1861,
  [2420] = 2407,
  [2421] = 2421,
  [2422] = 1952,
  [2423] = 619,
  [2424] = 2402,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2378,
  [2428] = 2421,
  [2429] = 1952,
  [2430] = 1958,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2399,
  [2436] = 1990,
  [2437] = 1991,
  [2438] = 2389,
  [2439] = 2439,
  [2440] = 1860,
  [2441] = 1966,
  [2442] = 1992,
  [2443] = 2443,
  [2444] = 1990,
  [2445] = 1860,
  [2446] = 2048,
  [2447] = 2431,
  [2448] = 2417,
  [2449] = 1966,
  [2450] = 1992,
  [2451] = 1861,
  [2452] = 1860,
  [2453] = 1952,
  [2454] = 1952,
  [2455] = 2455,
  [2456] = 2456,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2426,
  [2460] = 1860,
  [2461] = 2048,
  [2462] = 2462,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2464,
  [2466] = 2388,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2464,
  [2470] = 2470,
  [2471] = 2464,
  [2472] = 2458,
  [2473] = 1958,
  [2474] = 1990,
  [2475] = 1991,
  [2476] = 1992,
  [2477] = 1966,
  [2478] = 2464,
  [2479] = 2479,
  [2480] = 2480,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2034,
  [2488] = 2488,
  [2489] = 1952,
  [2490] = 2485,
  [2491] = 1958,
  [2492] = 2492,
  [2493] = 2486,
  [2494] = 1991,
  [2495] = 1992,
  [2496] = 2233,
  [2497] = 2463,
  [2498] = 2498,
  [2499] = 2462,
  [2500] = 2500,
  [2501] = 1958,
  [2502] = 1991,
  [2503] = 2503,
  [2504] = 2458,
  [2505] = 1992,
  [2506] = 2506,
  [2507] = 2458,
  [2508] = 1952,
  [2509] = 2184,
  [2510] = 2510,
  [2511] = 2034,
  [2512] = 2247,
  [2513] = 2483,
  [2514] = 2455,
  [2515] = 1958,
  [2516] = 2458,
  [2517] = 2517,
  [2518] = 2261,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2254,
  [2523] = 1992,
  [2524] = 1990,
  [2525] = 2048,
  [2526] = 2526,
  [2527] = 2458,
  [2528] = 2034,
  [2529] = 1991,
  [2530] = 2048,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2260,
  [2534] = 1990,
  [2535] = 1992,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2538,
  [2540] = 2537,
  [2541] = 2537,
  [2542] = 2537,
  [2543] = 2532,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2264,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 721,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2545,
  [2555] = 2547,
  [2556] = 2556,
  [2557] = 2549,
  [2558] = 2538,
  [2559] = 2559,
  [2560] = 2547,
  [2561] = 2531,
  [2562] = 2562,
  [2563] = 1952,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2549,
  [2567] = 1958,
  [2568] = 2545,
  [2569] = 2556,
  [2570] = 2564,
  [2571] = 2547,
  [2572] = 2547,
  [2573] = 2547,
  [2574] = 2559,
  [2575] = 2559,
  [2576] = 2556,
  [2577] = 2545,
  [2578] = 2547,
  [2579] = 2559,
  [2580] = 2531,
  [2581] = 2562,
  [2582] = 2582,
  [2583] = 2547,
  [2584] = 2562,
  [2585] = 2531,
  [2586] = 2556,
  [2587] = 2549,
  [2588] = 2531,
  [2589] = 2562,
  [2590] = 2547,
  [2591] = 2547,
  [2592] = 2547,
  [2593] = 1991,
  [2594] = 2556,
  [2595] = 1992,
  [2596] = 2596,
  [2597] = 2538,
  [2598] = 2537,
  [2599] = 2537,
  [2600] = 2600,
  [2601] = 2600,
  [2602] = 2034,
  [2603] = 2547,
  [2604] = 2596,
  [2605] = 2545,
  [2606] = 2562,
  [2607] = 2607,
  [2608] = 2274,
  [2609] = 2609,
  [2610] = 2559,
  [2611] = 2531,
  [2612] = 2058,
  [2613] = 1952,
  [2614] = 2556,
  [2615] = 1958,
  [2616] = 2532,
  [2617] = 2562,
  [2618] = 2549,
  [2619] = 2619,
  [2620] = 2234,
  [2621] = 1991,
  [2622] = 2547,
  [2623] = 2537,
  [2624] = 2624,
  [2625] = 2048,
  [2626] = 2626,
  [2627] = 2532,
  [2628] = 2537,
  [2629] = 2629,
  [2630] = 2538,
  [2631] = 2559,
  [2632] = 2532,
  [2633] = 2547,
  [2634] = 2549,
  [2635] = 2547,
  [2636] = 2058,
  [2637] = 2545,
  [2638] = 2544,
  [2639] = 2639,
  [2640] = 2537,
  [2641] = 2641,
  [2642] = 2538,
  [2643] = 2532,
  [2644] = 2644,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2646,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2650,
  [2652] = 2652,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2644,
  [2656] = 2656,
  [2657] = 2644,
  [2658] = 2653,
  [2659] = 2647,
  [2660] = 2233,
  [2661] = 2661,
  [2662] = 2644,
  [2663] = 2653,
  [2664] = 2247,
  [2665] = 2665,
  [2666] = 2665,
  [2667] = 2654,
  [2668] = 2668,
  [2669] = 2652,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2254,
  [2673] = 2673,
  [2674] = 2647,
  [2675] = 2675,
  [2676] = 2232,
  [2677] = 2650,
  [2678] = 2678,
  [2679] = 2647,
  [2680] = 2652,
  [2681] = 2681,
  [2682] = 2665,
  [2683] = 2671,
  [2684] = 2665,
  [2685] = 2671,
  [2686] = 2686,
  [2687] = 2649,
  [2688] = 2228,
  [2689] = 2654,
  [2690] = 2671,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2671,
  [2694] = 2665,
  [2695] = 1773,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2653,
  [2700] = 2700,
  [2701] = 2701,
  [2702] = 2644,
  [2703] = 2649,
  [2704] = 2681,
  [2705] = 2665,
  [2706] = 2671,
  [2707] = 2649,
  [2708] = 2661,
  [2709] = 2691,
  [2710] = 2710,
  [2711] = 2647,
  [2712] = 2653,
  [2713] = 2654,
  [2714] = 2650,
  [2715] = 2647,
  [2716] = 2691,
  [2717] = 2649,
  [2718] = 2691,
  [2719] = 2652,
  [2720] = 2720,
  [2721] = 2650,
  [2722] = 2722,
  [2723] = 2646,
  [2724] = 2724,
  [2725] = 2653,
  [2726] = 2654,
  [2727] = 2644,
  [2728] = 2728,
  [2729] = 2645,
  [2730] = 2646,
  [2731] = 2731,
  [2732] = 2654,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2649,
  [2736] = 2650,
  [2737] = 2652,
  [2738] = 2652,
  [2739] = 2644,
  [2740] = 2653,
  [2741] = 2647,
  [2742] = 2652,
  [2743] = 2743,
  [2744] = 2692,
  [2745] = 2650,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2750,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2766,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2762,
  [2772] = 2748,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2777,
  [2784] = 2784,
  [2785] = 2785,
  [2786] = 2786,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2794,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2757,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2777,
  [2802] = 2749,
  [2803] = 2803,
  [2804] = 2777,
  [2805] = 2757,
  [2806] = 2755,
  [2807] = 2757,
  [2808] = 2808,
  [2809] = 2773,
  [2810] = 2777,
  [2811] = 2808,
  [2812] = 2777,
  [2813] = 2813,
  [2814] = 2777,
  [2815] = 2775,
  [2816] = 2816,
  [2817] = 2813,
  [2818] = 2763,
  [2819] = 2793,
  [2820] = 2820,
  [2821] = 2793,
  [2822] = 2777,
  [2823] = 2777,
  [2824] = 2766,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2766,
  [2828] = 2813,
  [2829] = 2776,
  [2830] = 2777,
  [2831] = 2803,
  [2832] = 2778,
  [2833] = 2779,
  [2834] = 2749,
  [2835] = 2780,
  [2836] = 2836,
  [2837] = 2837,
  [2838] = 2781,
  [2839] = 2754,
  [2840] = 2748,
  [2841] = 2770,
  [2842] = 2777,
  [2843] = 2782,
  [2844] = 2797,
  [2845] = 2777,
  [2846] = 2791,
  [2847] = 2775,
  [2848] = 2769,
  [2849] = 2808,
  [2850] = 2757,
  [2851] = 2851,
  [2852] = 2778,
  [2853] = 2779,
  [2854] = 2777,
  [2855] = 2793,
  [2856] = 2786,
  [2857] = 2857,
  [2858] = 2785,
  [2859] = 2784,
  [2860] = 2777,
  [2861] = 2861,
  [2862] = 2779,
  [2863] = 2751,
  [2864] = 2864,
  [2865] = 2857,
  [2866] = 2866,
  [2867] = 2778,
  [2868] = 2777,
  [2869] = 2784,
  [2870] = 2785,
  [2871] = 2775,
  [2872] = 2786,
  [2873] = 2768,
  [2874] = 2773,
  [2875] = 2767,
  [2876] = 2748,
  [2877] = 2763,
  [2878] = 2764,
  [2879] = 2879,
  [2880] = 2751,
  [2881] = 2751,
  [2882] = 2791,
  [2883] = 2777,
  [2884] = 2750,
  [2885] = 2754,
  [2886] = 2751,
  [2887] = 2780,
  [2888] = 2763,
  [2889] = 2751,
  [2890] = 2777,
  [2891] = 2770,
  [2892] = 2749,
  [2893] = 2803,
  [2894] = 2894,
  [2895] = 2757,
  [2896] = 2896,
  [2897] = 2808,
  [2898] = 2813,
  [2899] = 2899,
  [2900] = 2864,
  [2901] = 2901,
  [2902] = 2777,
  [2903] = 2777,
  [2904] = 2773,
  [2905] = 2750,
  [2906] = 2793,
  [2907] = 2907,
  [2908] = 2908,
  [2909] = 2803,
  [2910] = 2910,
  [2911] = 2793,
  [2912] = 2749,
  [2913] = 2913,
  [2914] = 2914,
  [2915] = 2813,
  [2916] = 2916,
  [2917] = 2917,
  [2918] = 2918,
  [2919] = 2808,
  [2920] = 2757,
  [2921] = 2803,
  [2922] = 2922,
  [2923] = 2749,
  [2924] = 2770,
  [2925] = 2770,
  [2926] = 2791,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2932,
  [2933] = 2750,
  [2934] = 2786,
  [2935] = 2765,
  [2936] = 2785,
  [2937] = 2937,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 2777,
  [2942] = 2942,
  [2943] = 2784,
  [2944] = 2944,
  [2945] = 2777,
  [2946] = 2946,
  [2947] = 2750,
  [2948] = 2948,
  [2949] = 2779,
  [2950] = 2656,
  [2951] = 2951,
  [2952] = 2777,
  [2953] = 2778,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2956,
  [2957] = 2775,
  [2958] = 2750,
  [2959] = 2748,
  [2960] = 2777,
  [2961] = 2961,
  [2962] = 2750,
  [2963] = 2963,
  [2964] = 2964,
  [2965] = 2763,
  [2966] = 2966,
  [2967] = 2763,
  [2968] = 2968,
  [2969] = 2777,
  [2970] = 2756,
  [2971] = 2971,
  [2972] = 2750,
  [2973] = 2973,
  [2974] = 2974,
  [2975] = 2748,
  [2976] = 2760,
  [2977] = 2775,
  [2978] = 2750,
  [2979] = 2777,
  [2980] = 2980,
  [2981] = 2910,
  [2982] = 2777,
  [2983] = 2784,
  [2984] = 2750,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2778,
  [2988] = 2779,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2785,
  [2992] = 2992,
  [2993] = 2786,
  [2994] = 2994,
  [2995] = 2995,
  [2996] = 2996,
  [2997] = 2758,
  [2998] = 2998,
  [2999] = 2999,
  [3000] = 2794,
  [3001] = 2759,
  [3002] = 2789,
  [3003] = 2750,
  [3004] = 3004,
  [3005] = 2797,
  [3006] = 2784,
  [3007] = 2785,
  [3008] = 2750,
  [3009] = 2757,
  [3010] = 2808,
  [3011] = 2786,
  [3012] = 2777,
  [3013] = 3013,
  [3014] = 2750,
  [3015] = 2777,
  [3016] = 2813,
  [3017] = 3017,
  [3018] = 3018,
  [3019] = 2791,
  [3020] = 2793,
  [3021] = 2791,
  [3022] = 2913,
  [3023] = 2803,
  [3024] = 2777,
  [3025] = 2750,
  [3026] = 2914,
  [3027] = 2770,
  [3028] = 3028,
  [3029] = 3029,
  [3030] = 3030,
  [3031] = 3031,
  [3032] = 3032,
  [3033] = 3030,
  [3034] = 3034,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 3037,
  [3038] = 3038,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 3037,
  [3042] = 3030,
  [3043] = 3043,
  [3044] = 3044,
  [3045] = 3045,
  [3046] = 3030,
  [3047] = 3030,
  [3048] = 3048,
  [3049] = 3030,
  [3050] = 3050,
  [3051] = 3051,
  [3052] = 3052,
  [3053] = 3037,
  [3054] = 3030,
  [3055] = 3030,
  [3056] = 3030,
  [3057] = 3057,
  [3058] = 3030,
  [3059] = 3059,
  [3060] = 3060,
  [3061] = 3061,
  [3062] = 3062,
  [3063] = 3030,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3066,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 3069,
  [3070] = 3037,
  [3071] = 3030,
  [3072] = 3072,
  [3073] = 3040,
  [3074] = 3048,
  [3075] = 3075,
  [3076] = 3030,
  [3077] = 3030,
  [3078] = 3078,
  [3079] = 3079,
  [3080] = 3080,
  [3081] = 3081,
  [3082] = 3030,
  [3083] = 3040,
  [3084] = 3040,
  [3085] = 3030,
  [3086] = 3086,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 3090,
  [3091] = 3091,
  [3092] = 3092,
  [3093] = 3030,
  [3094] = 3094,
  [3095] = 3095,
  [3096] = 3096,
  [3097] = 3097,
  [3098] = 3098,
  [3099] = 3099,
  [3100] = 3037,
  [3101] = 3040,
  [3102] = 3102,
  [3103] = 3103,
  [3104] = 3030,
  [3105] = 3105,
  [3106] = 3106,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 2371,
  [3110] = 3110,
  [3111] = 3111,
  [3112] = 3112,
  [3113] = 2368,
  [3114] = 3030,
  [3115] = 3112,
  [3116] = 3030,
  [3117] = 3106,
  [3118] = 3037,
  [3119] = 3037,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3122,
  [3123] = 3123,
  [3124] = 3124,
  [3125] = 3125,
  [3126] = 3040,
  [3127] = 3030,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 3130,
  [3131] = 3131,
  [3132] = 3132,
  [3133] = 3106,
  [3134] = 3134,
  [3135] = 3135,
  [3136] = 3136,
  [3137] = 3137,
  [3138] = 3138,
  [3139] = 3139,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3142,
  [3143] = 3143,
  [3144] = 3144,
  [3145] = 3145,
  [3146] = 3146,
  [3147] = 3147,
  [3148] = 3146,
  [3149] = 3146,
  [3150] = 3150,
  [3151] = 3146,
  [3152] = 3152,
  [3153] = 3146,
  [3154] = 3154,
  [3155] = 3146,
  [3156] = 3156,
  [3157] = 3146,
  [3158] = 3146,
  [3159] = 3159,
  [3160] = 3146,
  [3161] = 3161,
  [3162] = 3146,
  [3163] = 3146,
  [3164] = 3146,
  [3165] = 3159,
  [3166] = 3146,
  [3167] = 3167,
  [3168] = 3146,
  [3169] = 3169,
  [3170] = 3146,
  [3171] = 3146,
  [3172] = 3172,
  [3173] = 3173,
  [3174] = 3174,
  [3175] = 3175,
  [3176] = 3176,
  [3177] = 3152,
  [3178] = 3178,
  [3179] = 3179,
  [3180] = 3146,
  [3181] = 3181,
  [3182] = 3182,
  [3183] = 3183,
  [3184] = 3184,
  [3185] = 3146,
  [3186] = 3186,
  [3187] = 3156,
  [3188] = 3188,
  [3189] = 3189,
  [3190] = 3190,
  [3191] = 3191,
  [3192] = 3192,
  [3193] = 3193,
  [3194] = 3175,
  [3195] = 3195,
  [3196] = 3182,
  [3197] = 3197,
  [3198] = 3198,
  [3199] = 3198,
  [3200] = 3197,
  [3201] = 3193,
  [3202] = 3202,
  [3203] = 3191,
  [3204] = 3189,
  [3205] = 3175,
  [3206] = 3172,
  [3207] = 3182,
  [3208] = 3208,
  [3209] = 3209,
  [3210] = 3182,
  [3211] = 3147,
  [3212] = 3175,
  [3213] = 3175,
  [3214] = 3146,
  [3215] = 3198,
  [3216] = 3146,
  [3217] = 3217,
  [3218] = 3172,
  [3219] = 3152,
  [3220] = 3197,
  [3221] = 3221,
  [3222] = 3152,
  [3223] = 3147,
  [3224] = 3169,
  [3225] = 3186,
  [3226] = 3193,
  [3227] = 3221,
  [3228] = 3208,
  [3229] = 3208,
  [3230] = 3191,
  [3231] = 3202,
  [3232] = 3232,
  [3233] = 3233,
  [3234] = 3146,
  [3235] = 3193,
  [3236] = 3145,
  [3237] = 3237,
  [3238] = 3238,
  [3239] = 3152,
  [3240] = 3238,
  [3241] = 3181,
  [3242] = 3167,
  [3243] = 3243,
  [3244] = 3174,
  [3245] = 3186,
  [3246] = 3152,
  [3247] = 3238,
  [3248] = 3152,
  [3249] = 3145,
  [3250] = 3197,
  [3251] = 3198,
  [3252] = 3176,
  [3253] = 3179,
  [3254] = 3169,
  [3255] = 3167,
  [3256] = 3181,
  [3257] = 3257,
  [3258] = 3146,
  [3259] = 3259,
  [3260] = 3182,
  [3261] = 3261,
  [3262] = 3147,
  [3263] = 3152,
  [3264] = 3202,
  [3265] = 3152,
  [3266] = 3233,
  [3267] = 3261,
  [3268] = 3159,
  [3269] = 3167,
  [3270] = 3152,
  [3271] = 3261,
  [3272] = 3172,
  [3273] = 3208,
  [3274] = 3181,
  [3275] = 3174,
  [3276] = 3238,
  [3277] = 3156,
  [3278] = 3278,
  [3279] = 3176,
  [3280] = 3179,
  [3281] = 3174,
  [3282] = 3174,
  [3283] = 3167,
  [3284] = 3261,
  [3285] = 3181,
  [3286] = 3189,
  [3287] = 3287,
  [3288] = 3152,
  [3289] = 3289,
  [3290] = 3208,
  [3291] = 3221,
  [3292] = 3146,
  [3293] = 3191,
  [3294] = 3294,
  [3295] = 3146,
  [3296] = 3197,
  [3297] = 3198,
  [3298] = 3179,
  [3299] = 3299,
  [3300] = 3147,
  [3301] = 3221,
  [3302] = 3176,
  [3303] = 3179,
  [3304] = 3178,
  [3305] = 3257,
  [3306] = 3152,
  [3307] = 3146,
  [3308] = 3238,
  [3309] = 3189,
  [3310] = 3261,
  [3311] = 3145,
  [3312] = 3146,
  [3313] = 3176,
  [3314] = 3198,
  [3315] = 3193,
  [3316] = 3189,
  [3317] = 3186,
  [3318] = 3156,
  [3319] = 3197,
  [3320] = 3156,
  [3321] = 3176,
  [3322] = 3179,
  [3323] = 3169,
  [3324] = 3156,
  [3325] = 3146,
  [3326] = 3147,
  [3327] = 3182,
  [3328] = 3202,
  [3329] = 3233,
  [3330] = 3146,
  [3331] = 3169,
  [3332] = 3172,
  [3333] = 3182,
  [3334] = 3191,
  [3335] = 3179,
  [3336] = 3233,
  [3337] = 3146,
  [3338] = 3182,
  [3339] = 3173,
  [3340] = 3154,
  [3341] = 3189,
  [3342] = 3182,
  [3343] = 3175,
  [3344] = 3232,
  [3345] = 3243,
  [3346] = 3174,
  [3347] = 3233,
  [3348] = 3348,
  [3349] = 3156,
  [3350] = 3152,
  [3351] = 3172,
  [3352] = 3146,
  [3353] = 3159,
  [3354] = 3233,
  [3355] = 3152,
  [3356] = 3159,
  [3357] = 3146,
  [3358] = 3198,
  [3359] = 3197,
  [3360] = 3146,
  [3361] = 3146,
  [3362] = 3217,
  [3363] = 3145,
  [3364] = 3238,
  [3365] = 3167,
  [3366] = 3159,
  [3367] = 3243,
  [3368] = 3197,
  [3369] = 3198,
  [3370] = 3243,
  [3371] = 3181,
  [3372] = 3243,
  [3373] = 3373,
  [3374] = 3186,
  [3375] = 3182,
  [3376] = 3152,
  [3377] = 3221,
  [3378] = 3198,
  [3379] = 3221,
  [3380] = 3146,
  [3381] = 3197,
  [3382] = 3191,
  [3383] = 3174,
  [3384] = 3191,
  [3385] = 3202,
  [3386] = 3208,
  [3387] = 3197,
  [3388] = 3198,
  [3389] = 3156,
  [3390] = 3261,
  [3391] = 3198,
  [3392] = 3392,
  [3393] = 3182,
  [3394] = 3154,
  [3395] = 3395,
  [3396] = 3156,
  [3397] = 3193,
  [3398] = 3146,
  [3399] = 3186,
  [3400] = 3169,
  [3401] = 3197,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3404,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(223);
      ADVANCE_MAP(
        '!', 230,
        '"', 565,
        '#', 320,
        '$', 575,
        '%', 366,
        '&', 38,
        '\'', 577,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 272,
        ',', 259,
        '-', 278,
        '.', 285,
        '/', 336,
        '0', 539,
        ':', 236,
        ';', 224,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 295,
        '\\', 373,
        ']', 298,
        '`', 572,
        'a', 140,
        'c', 84,
        'd', 155,
        'e', 134,
        'f', 85,
        'i', 117,
        'l', 86,
        'm', 158,
        'o', 118,
        'p', 164,
        'r', 102,
        's', 190,
        't', 153,
        'u', 142,
        'w', 119,
        '{', 225,
        '|', 293,
        '}', 226,
        '~', 332,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 229,
        '"', 565,
        '#', 320,
        '%', 366,
        '\'', 577,
        '(', 232,
        ')', 233,
        '+', 276,
        '-', 279,
        '.', 289,
        '0', 539,
        '<', 269,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 481,
        'e', 498,
        'f', 418,
        'i', 447,
        'l', 421,
        'm', 466,
        's', 496,
        't', 473,
        'u', 463,
        'w', 449,
        '{', 225,
        '~', 332,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(1);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 229,
        '"', 565,
        '#', 320,
        '%', 366,
        '\'', 577,
        '(', 232,
        ')', 233,
        '+', 276,
        '-', 279,
        '.', 55,
        '0', 539,
        '<', 269,
        '?', 301,
        '[', 294,
        '\\', 28,
        ']', 298,
        '`', 571,
        'a', 481,
        'e', 498,
        'f', 418,
        'i', 447,
        'l', 421,
        'm', 466,
        's', 496,
        't', 474,
        'u', 463,
        'w', 449,
        '{', 225,
        '}', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(2);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 229,
        '"', 565,
        '#', 320,
        '%', 366,
        '\'', 577,
        '(', 232,
        ')', 233,
        '+', 276,
        '-', 279,
        '.', 287,
        '0', 539,
        ':', 234,
        '<', 269,
        '?', 301,
        '[', 294,
        '\\', 28,
        ']', 298,
        '`', 571,
        'a', 481,
        'f', 418,
        'i', 447,
        'l', 421,
        'm', 466,
        's', 496,
        't', 474,
        'u', 463,
        'w', 449,
        '{', 225,
        '}', 226,
        '~', 332,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(3);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 229,
        '"', 565,
        '(', 232,
        ')', 233,
        '+', 61,
        ',', 259,
        '.', 284,
        ':', 235,
        ';', 224,
        '<', 269,
        '=', 239,
        '>', 281,
        ']', 298,
        'a', 141,
        'c', 156,
        'i', 116,
        'm', 157,
        'u', 148,
        'w', 124,
        '|', 292,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 60,
        '"', 565,
        '#', 320,
        '%', 366,
        '&', 38,
        '\'', 577,
        '(', 232,
        '*', 355,
        '+', 273,
        '-', 278,
        '.', 287,
        '/', 336,
        '0', 539,
        ':', 236,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 483,
        'f', 419,
        'i', 447,
        'l', 421,
        'm', 466,
        's', 496,
        't', 474,
        'u', 463,
        '{', 225,
        '|', 69,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 60,
        '"', 565,
        '#', 320,
        '%', 366,
        '&', 38,
        '\'', 577,
        '(', 232,
        '*', 355,
        '+', 273,
        '-', 278,
        '.', 287,
        '/', 336,
        '0', 539,
        ':', 66,
        '<', 270,
        '=', 63,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 483,
        'e', 460,
        'f', 419,
        'i', 447,
        'l', 421,
        'm', 466,
        's', 496,
        't', 474,
        'u', 463,
        '{', 225,
        '|', 69,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 288,
        '/', 336,
        ':', 237,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        ']', 298,
        'a', 169,
        'i', 116,
        'w', 123,
        '|', 293,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 236,
        ';', 224,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        ']', 298,
        'a', 525,
        'u', 517,
        '{', 225,
        '|', 293,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 236,
        ';', 224,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        ']', 298,
        'a', 141,
        'c', 84,
        'd', 155,
        'e', 133,
        'i', 117,
        't', 152,
        'w', 124,
        '{', 225,
        '|', 293,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 236,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        ']', 298,
        'a', 526,
        'u', 517,
        '|', 293,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(10);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 237,
        '<', 270,
        '=', 64,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        ']', 298,
        '{', 225,
        '|', 69,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 286,
        '/', 336,
        ':', 236,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 525,
        'u', 517,
        '|', 69,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 286,
        '/', 336,
        ':', 237,
        '<', 270,
        '=', 64,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 407,
        '|', 293,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        ',', 259,
        '-', 280,
        '.', 286,
        '/', 336,
        ':', 237,
        '<', 270,
        '=', 64,
        '>', 282,
        '?', 301,
        '[', 294,
        'a', 169,
        'e', 133,
        '|', 293,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 274,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 62,
        ';', 224,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 519,
        'u', 517,
        '|', 293,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(15);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        ')', 233,
        '*', 355,
        '+', 275,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 237,
        ';', 224,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        'a', 141,
        'c', 156,
        'w', 127,
        '|', 293,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(16);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        '*', 355,
        '+', 274,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 66,
        '<', 270,
        '=', 63,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 525,
        'e', 516,
        'u', 517,
        '{', 225,
        '|', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(17);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        '*', 355,
        '+', 274,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 62,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 525,
        'c', 505,
        'u', 517,
        '|', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(18);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 60,
        '&', 38,
        '(', 232,
        '*', 355,
        '+', 274,
        '-', 280,
        '.', 283,
        '/', 336,
        ':', 62,
        '<', 270,
        '=', 238,
        '>', 282,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 525,
        'd', 521,
        't', 522,
        'u', 517,
        '|', 69,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(19);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '"', 565,
        '#', 320,
        '\'', 577,
        '(', 232,
        ')', 233,
        '.', 289,
        '0', 539,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 483,
        'e', 498,
        'f', 419,
        'l', 421,
        'm', 466,
        't', 476,
        'u', 463,
        '{', 225,
        '~', 332,
        '+', 58,
        '-', 58,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(20);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '"', 565,
        '#', 320,
        '\'', 577,
        '(', 232,
        ')', 233,
        '.', 55,
        '0', 539,
        '?', 301,
        '[', 294,
        '\\', 28,
        ']', 298,
        '`', 571,
        'a', 483,
        'e', 498,
        'f', 419,
        'l', 421,
        'm', 466,
        't', 477,
        'u', 463,
        '{', 225,
        '}', 226,
        '+', 58,
        '-', 58,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(21);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '"', 565,
        '#', 320,
        '\'', 577,
        '(', 232,
        '.', 208,
        '0', 539,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 483,
        'e', 498,
        'f', 419,
        'l', 421,
        'm', 466,
        'r', 445,
        't', 476,
        'u', 463,
        '{', 225,
        '+', 58,
        '-', 58,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(22);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '"', 565,
        '#', 320,
        '\'', 577,
        '(', 232,
        '.', 208,
        '0', 539,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 483,
        'e', 498,
        'f', 419,
        'l', 421,
        'm', 466,
        'r', 445,
        't', 477,
        'u', 463,
        '{', 225,
        '+', 58,
        '-', 58,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(23);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '"', 565,
        '\'', 577,
        '.', 208,
        '0', 539,
        '\\', 33,
        '`', 571,
        'f', 76,
        't', 80,
        '+', 58,
        '-', 58,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(24);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 25:
      if (lookahead == '"') ADVANCE(565);
      if (lookahead == '.') ADVANCE(54);
      if (lookahead == '\\') ADVANCE(372);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(25);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(371);
      END_STATE();
    case 26:
      if (lookahead == '"') ADVANCE(565);
      if (lookahead == '.') ADVANCE(284);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(525);
      if (lookahead == 'm') ADVANCE(531);
      if (lookahead == 'u') ADVANCE(517);
      if (lookahead == '}') ADVANCE(226);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(26);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 27:
      if (lookahead == '"') ADVANCE(565);
      if (lookahead == '\\') ADVANCE(186);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(566);
      if (lookahead != 0) ADVANCE(567);
      END_STATE();
    case 28:
      if (lookahead == '"') ADVANCE(219);
      END_STATE();
    case 29:
      if (lookahead == '"') ADVANCE(536);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '"') ADVANCE(535);
      if (lookahead != 0) ADVANCE(30);
      END_STATE();
    case 31:
      if (lookahead == '"') ADVANCE(75);
      if (lookahead != 0) ADVANCE(31);
      END_STATE();
    case 32:
      if (lookahead == '"') ADVANCE(220);
      END_STATE();
    case 33:
      if (lookahead == '"') ADVANCE(221);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '#', 320,
        '(', 232,
        ')', 233,
        '.', 288,
        '>', 281,
        '[', 295,
        '\\', 32,
        'm', 401,
        't', 416,
        'u', 395,
        '{', 225,
        '|', 292,
        '~', 332,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(34);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 35:
      if (lookahead == '$') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '`') ADVANCE(572);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(573);
      END_STATE();
    case 36:
      if (lookahead == '$') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(73);
      if (lookahead == '`') ADVANCE(572);
      if (lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(573);
      END_STATE();
    case 37:
      if (lookahead == '%') ADVANCE(366);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(37);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(537);
      END_STATE();
    case 38:
      if (lookahead == '&') ADVANCE(347);
      END_STATE();
    case 39:
      if (lookahead == '\'') ADVANCE(577);
      if (lookahead == '\\') ADVANCE(186);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(579);
      if (lookahead != 0) ADVANCE(578);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '(', 232,
        ')', 233,
        '+', 61,
        ',', 259,
        '.', 283,
        ':', 235,
        ';', 224,
        '=', 239,
        '>', 281,
        ']', 298,
        'a', 141,
        'c', 156,
        'i', 116,
        'w', 124,
        '|', 292,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(40);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '(', 232,
        ')', 233,
        ',', 259,
        '-', 65,
        '.', 283,
        '/', 335,
        ':', 235,
        '=', 239,
        '>', 281,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 525,
        'u', 517,
        '{', 225,
        '|', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(41);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '(', 232,
        '-', 65,
        '.', 283,
        '/', 335,
        '>', 281,
        '?', 301,
        '[', 294,
        '\\', 32,
        'a', 525,
        'e', 516,
        'u', 517,
        '{', 225,
        '|', 68,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(42);
      if (lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '(', 232,
        '.', 56,
        '[', 295,
        '\\', 32,
        'm', 401,
        'p', 405,
        't', 416,
        'u', 395,
        '{', 225,
        '|', 292,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(43);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 44:
      if (lookahead == '(') ADVANCE(232);
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(398);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(44);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 45:
      if (lookahead == '(') ADVANCE(232);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(384);
      if (lookahead == 't') ADVANCE(416);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(45);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 46:
      if (lookahead == '(') ADVANCE(232);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == 'r') ADVANCE(384);
      if (lookahead == 'u') ADVANCE(398);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(46);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        ')', 233,
        '+', 61,
        '.', 283,
        ';', 224,
        '<', 269,
        '=', 239,
        '\\', 32,
        'a', 397,
        'c', 402,
        '|', 292,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(47);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        ')', 233,
        ',', 259,
        '.', 283,
        ':', 234,
        ';', 224,
        '<', 269,
        '=', 239,
        '\\', 32,
        'a', 397,
        'w', 392,
        '|', 292,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(48);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        ')', 233,
        ',', 259,
        '.', 283,
        ':', 235,
        '<', 269,
        '=', 239,
        '>', 281,
        '\\', 32,
        ']', 298,
        'a', 407,
        '|', 292,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(49);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        ')', 233,
        '.', 283,
        ';', 224,
        '<', 269,
        '=', 239,
        '\\', 32,
        'a', 397,
        '|', 292,
        '}', 226,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(50);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 51:
      if (lookahead == '+') ADVANCE(271);
      if (lookahead == '-') ADVANCE(277);
      if (lookahead == '>') ADVANCE(281);
      if (lookahead == '\\') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 52:
      if (lookahead == '.') ADVANCE(302);
      END_STATE();
    case 53:
      if (lookahead == '.') ADVANCE(199);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      END_STATE();
    case 54:
      if (lookahead == '.') ADVANCE(52);
      END_STATE();
    case 55:
      if (lookahead == '.') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 56:
      if (lookahead == '.') ADVANCE(303);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '.', 283,
        ':', 234,
        '<', 269,
        '=', 67,
        '\\', 32,
        'a', 407,
        'i', 386,
        'w', 388,
        '|', 292,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(57);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 58:
      if (lookahead == '.') ADVANCE(208);
      if (lookahead == '0') ADVANCE(541);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 59:
      if (lookahead == '0') ADVANCE(201);
      END_STATE();
    case 60:
      if (lookahead == '=') ADVANCE(362);
      END_STATE();
    case 61:
      if (lookahead == '=') ADVANCE(266);
      END_STATE();
    case 62:
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(365);
      END_STATE();
    case 63:
      if (lookahead == '=') ADVANCE(360);
      END_STATE();
    case 64:
      if (lookahead == '=') ADVANCE(360);
      if (lookahead == '>') ADVANCE(258);
      END_STATE();
    case 65:
      if (lookahead == '>') ADVANCE(330);
      END_STATE();
    case 66:
      if (lookahead == '>') ADVANCE(365);
      END_STATE();
    case 67:
      if (lookahead == '>') ADVANCE(258);
      END_STATE();
    case 68:
      if (lookahead == '>') ADVANCE(331);
      END_STATE();
    case 69:
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '|') ADVANCE(348);
      END_STATE();
    case 70:
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == 't') ADVANCE(416);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(70);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      if (lookahead == '\'' ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 71:
      if (lookahead == '_') ADVANCE(203);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(71);
      END_STATE();
    case 72:
      if (lookahead == '_') ADVANCE(205);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(72);
      END_STATE();
    case 73:
      if (lookahead == '`') ADVANCE(574);
      END_STATE();
    case 74:
      if (lookahead == '`') ADVANCE(574);
      if (lookahead == 'u') ADVANCE(194);
      if (lookahead == 'x') ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(570);
      if (lookahead != 0) ADVANCE(568);
      END_STATE();
    case 75:
      if (lookahead == '`') ADVANCE(571);
      END_STATE();
    case 76:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(79);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 77:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(561);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 78:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(564);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 79:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(81);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 80:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 's') ADVANCE(78);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 82:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 83:
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(180);
      if (lookahead == 'o') ADVANCE(146);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(139);
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(193);
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(93);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(135);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 90:
      if (lookahead == 'a') ADVANCE(96);
      END_STATE();
    case 91:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 92:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 93:
      if (lookahead == 'b') ADVANCE(138);
      END_STATE();
    case 94:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 95:
      if (lookahead == 'c') ADVANCE(307);
      END_STATE();
    case 96:
      if (lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(121);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(122);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'p') ADVANCE(159);
      if (lookahead == 't') ADVANCE(112);
      END_STATE();
    case 100:
      if (lookahead == 'd') ADVANCE(251);
      END_STATE();
    case 101:
      if (lookahead == 'd') ADVANCE(188);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(248);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(562);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 109:
      if (lookahead == 'e') ADVANCE(299);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 111:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(143);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(144);
      if (lookahead == 'i') ADVANCE(136);
      END_STATE();
    case 116:
      if (lookahead == 'f') ADVANCE(310);
      END_STATE();
    case 117:
      if (lookahead == 'f') ADVANCE(310);
      if (lookahead == 'n') ADVANCE(340);
      END_STATE();
    case 118:
      if (lookahead == 'f') ADVANCE(367);
      if (lookahead == 'p') ADVANCE(113);
      END_STATE();
    case 119:
      if (lookahead == 'h') ADVANCE(115);
      if (lookahead == 'i') ADVANCE(174);
      END_STATE();
    case 120:
      if (lookahead == 'h') ADVANCE(368);
      END_STATE();
    case 121:
      if (lookahead == 'h') ADVANCE(323);
      END_STATE();
    case 122:
      if (lookahead == 'h') ADVANCE(316);
      END_STATE();
    case 123:
      if (lookahead == 'h') ADVANCE(114);
      END_STATE();
    case 124:
      if (lookahead == 'h') ADVANCE(114);
      if (lookahead == 'i') ADVANCE(174);
      END_STATE();
    case 125:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 126:
      if (lookahead == 'i') ADVANCE(160);
      END_STATE();
    case 127:
      if (lookahead == 'i') ADVANCE(174);
      END_STATE();
    case 128:
      if (lookahead == 'i') ADVANCE(175);
      if (lookahead == 'p') ADVANCE(90);
      END_STATE();
    case 129:
      if (lookahead == 'i') ADVANCE(176);
      END_STATE();
    case 130:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 131:
      if (lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 132:
      if (lookahead == 'k') ADVANCE(254);
      END_STATE();
    case 133:
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(170);
      if (lookahead == 'x') ADVANCE(99);
      END_STATE();
    case 135:
      if (lookahead == 'l') ADVANCE(260);
      END_STATE();
    case 136:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(109);
      END_STATE();
    case 139:
      if (lookahead == 'l') ADVANCE(172);
      END_STATE();
    case 140:
      if (lookahead == 'n') ADVANCE(100);
      if (lookahead == 's') ADVANCE(327);
      if (lookahead == 'w') ADVANCE(89);
      END_STATE();
    case 141:
      if (lookahead == 'n') ADVANCE(100);
      if (lookahead == 's') ADVANCE(325);
      END_STATE();
    case 142:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(227);
      END_STATE();
    case 144:
      if (lookahead == 'n') ADVANCE(318);
      END_STATE();
    case 145:
      if (lookahead == 'n') ADVANCE(262);
      END_STATE();
    case 146:
      if (lookahead == 'n') ADVANCE(171);
      END_STATE();
    case 147:
      if (lookahead == 'n') ADVANCE(95);
      END_STATE();
    case 148:
      if (lookahead == 'n') ADVANCE(161);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(88);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(181);
      END_STATE();
    case 151:
      if (lookahead == 'n') ADVANCE(178);
      END_STATE();
    case 152:
      if (lookahead == 'o') ADVANCE(341);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(341);
      if (lookahead == 'r') ADVANCE(187);
      if (lookahead == 'y') ADVANCE(162);
      END_STATE();
    case 154:
      if (lookahead == 'o') ADVANCE(343);
      END_STATE();
    case 155:
      if (lookahead == 'o') ADVANCE(191);
      END_STATE();
    case 156:
      if (lookahead == 'o') ADVANCE(146);
      END_STATE();
    case 157:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 158:
      if (lookahead == 'o') ADVANCE(101);
      if (lookahead == 'u') ADVANCE(179);
      END_STATE();
    case 159:
      if (lookahead == 'o') ADVANCE(167);
      END_STATE();
    case 160:
      if (lookahead == 'o') ADVANCE(145);
      END_STATE();
    case 161:
      if (lookahead == 'p') ADVANCE(90);
      END_STATE();
    case 162:
      if (lookahead == 'p') ADVANCE(105);
      END_STATE();
    case 163:
      if (lookahead == 'p') ADVANCE(182);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(125);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(338);
      END_STATE();
    case 166:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 167:
      if (lookahead == 'r') ADVANCE(177);
      END_STATE();
    case 168:
      if (lookahead == 'r') ADVANCE(91);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(325);
      END_STATE();
    case 170:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 171:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 172:
      if (lookahead == 's') ADVANCE(106);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 174:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(557);
      END_STATE();
    case 176:
      if (lookahead == 't') ADVANCE(240);
      END_STATE();
    case 177:
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 178:
      if (lookahead == 't') ADVANCE(290);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(87);
      END_STATE();
    case 180:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 181:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 182:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 183:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 186:
      if (lookahead == 'u') ADVANCE(194);
      if (lookahead == 'x') ADVANCE(218);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(570);
      if (lookahead != 0) ADVANCE(568);
      END_STATE();
    case 187:
      if (lookahead == 'u') ADVANCE(104);
      if (lookahead == 'y') ADVANCE(321);
      END_STATE();
    case 188:
      if (lookahead == 'u') ADVANCE(137);
      END_STATE();
    case 189:
      if (lookahead == 'v') ADVANCE(92);
      END_STATE();
    case 190:
      if (lookahead == 'w') ADVANCE(131);
      END_STATE();
    case 191:
      if (lookahead == 'w') ADVANCE(150);
      END_STATE();
    case 192:
      if (lookahead == 'y') ADVANCE(333);
      END_STATE();
    case 193:
      if (lookahead == 'z') ADVANCE(192);
      END_STATE();
    case 194:
      if (lookahead == '{') ADVANCE(216);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 195:
      if (lookahead == '}') ADVANCE(568);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(195);
      END_STATE();
    case 196:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(549);
      END_STATE();
    case 197:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(212);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 198:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 199:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(199);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      END_STATE();
    case 200:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(553);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(200);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(198);
      END_STATE();
    case 201:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(214);
      END_STATE();
    case 202:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(547);
      END_STATE();
    case 203:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(71);
      END_STATE();
    case 204:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(548);
      END_STATE();
    case 205:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(72);
      END_STATE();
    case 206:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(543);
      END_STATE();
    case 207:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 208:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 209:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(546);
      END_STATE();
    case 210:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(549);
      END_STATE();
    case 211:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 212:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(200);
      END_STATE();
    case 213:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(545);
      END_STATE();
    case 214:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 215:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(568);
      END_STATE();
    case 216:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(195);
      END_STATE();
    case 217:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(218);
      END_STATE();
    case 218:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(215);
      END_STATE();
    case 219:
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(29);
      END_STATE();
    case 220:
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(30);
      END_STATE();
    case 221:
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(31);
      END_STATE();
    case 222:
      if (eof) ADVANCE(223);
      ADVANCE_MAP(
        '!', 229,
        '"', 565,
        '#', 320,
        '%', 366,
        '\'', 577,
        '(', 232,
        ')', 233,
        '+', 276,
        ',', 259,
        '-', 279,
        '.', 285,
        '0', 539,
        ';', 224,
        '<', 269,
        '>', 281,
        '?', 301,
        '[', 294,
        '\\', 28,
        '`', 571,
        'a', 481,
        'e', 497,
        'f', 418,
        'i', 446,
        'l', 420,
        'm', 466,
        'o', 469,
        's', 496,
        't', 473,
        'u', 463,
        'w', 449,
        '{', 225,
        '|', 292,
        '}', 226,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(222);
      if (('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(370);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(362);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_include);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(337);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(337);
      if (lookahead == '>') ADVANCE(365);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(365);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(360);
      if (lookahead == '>') ADVANCE(258);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(258);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_await);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_module);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_rec);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_rec);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_type);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_unpack);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_unpack);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_unpack);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_unpack);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_external);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_exception);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_private);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(359);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(350);
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(352);
      if (lookahead == '0') ADVANCE(541);
      if (lookahead == '=') ADVANCE(266);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(350);
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(352);
      if (lookahead == '0') ADVANCE(541);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(349);
      if (lookahead == '.') ADVANCE(351);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(349);
      if (lookahead == '.') ADVANCE(351);
      if (lookahead == '=') ADVANCE(266);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(352);
      if (lookahead == '0') ADVANCE(541);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(354);
      if (lookahead == '0') ADVANCE(541);
      if (lookahead == '>') ADVANCE(330);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(354);
      if (lookahead == '0') ADVANCE(541);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(353);
      if (lookahead == '>') ADVANCE(330);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(364);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(304);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(304);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(52);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(303);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(331);
      if (lookahead == '|') ADVANCE(348);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '<') ADVANCE(297);
      if (lookahead == '>') ADVANCE(296);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_mutable);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(302);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(anon_sym_async);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_else);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_switch);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(anon_sym_when);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(anon_sym_try);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_catch);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_as);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(518);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(147);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_assert);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_lazy);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '.') ADVANCE(358);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_to);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_downto);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_while);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      if (lookahead == '0') ADVANCE(201);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_PLUS_DOT);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_PLUS_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_DASH_DOT);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_DASH_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '.') ADVANCE(356);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_STAR_DOT);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_SLASH_DOT);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(361);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(363);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_with);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(aux_sym_variant_identifier_token1);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(370);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(aux_sym_polyvar_identifier_token1);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(371);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (lookahead == '`') ADVANCE(574);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'a') ADVANCE(377);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'a') ADVANCE(413);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'a') ADVANCE(391);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'c') ADVANCE(393);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'c') ADVANCE(247);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'd') ADVANCE(414);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'd') ADVANCE(252);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'e') ADVANCE(250);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'e') ADVANCE(244);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'e') ADVANCE(268);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'e') ADVANCE(378);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'e') ADVANCE(396);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'f') ADVANCE(312);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'h') ADVANCE(369);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'h') ADVANCE(385);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'i') ADVANCE(409);
      if (lookahead == 'p') ADVANCE(374);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'i') ADVANCE(415);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'i') ADVANCE(400);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'i') ADVANCE(411);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'k') ADVANCE(256);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'l') ADVANCE(382);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'n') ADVANCE(389);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'n') ADVANCE(319);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'n') ADVANCE(380);
      if (lookahead == 's') ADVANCE(328);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'n') ADVANCE(404);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'n') ADVANCE(408);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'n') ADVANCE(410);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'o') ADVANCE(379);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'o') ADVANCE(399);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'p') ADVANCE(381);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'p') ADVANCE(374);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'r') ADVANCE(390);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'r') ADVANCE(376);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 's') ADVANCE(328);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 's') ADVANCE(412);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 't') ADVANCE(558);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 't') ADVANCE(291);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 't') ADVANCE(387);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 't') ADVANCE(406);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 't') ADVANCE(383);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'u') ADVANCE(394);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'v') ADVANCE(375);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == 'y') ADVANCE(403);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym_type_identifier_token1);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(455);
      if (lookahead == 'o') ADVANCE(475);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(455);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(501);
      if (lookahead == 'e') ADVANCE(486);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(501);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(456);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(426);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'a') ADVANCE(453);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(308);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(454);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(246);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(448);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(457);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(442);
      if (lookahead == 'p') ADVANCE(468);
      if (lookahead == 't') ADVANCE(444);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'c') ADVANCE(442);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'd') ADVANCE(495);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'd') ADVANCE(439);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(560);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(249);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(563);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(346);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(243);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(231);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(314);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(479);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(471);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(461);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(478);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'e') ADVANCE(427);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'f') ADVANCE(311);
      if (lookahead == 'n') ADVANCE(429);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'f') ADVANCE(311);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'h') ADVANCE(317);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'h') ADVANCE(452);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'i') ADVANCE(490);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'i') ADVANCE(467);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'i') ADVANCE(458);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'i') ADVANCE(487);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'k') ADVANCE(255);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(484);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(261);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(492);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(437);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(438);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'l') ADVANCE(485);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'n') ADVANCE(228);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'n') ADVANCE(263);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'n') ADVANCE(470);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'n') ADVANCE(425);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'n') ADVANCE(422);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'o') ADVANCE(432);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'o') ADVANCE(462);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'o') ADVANCE(480);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'p') ADVANCE(443);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'p') ADVANCE(423);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'p') ADVANCE(491);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'p') ADVANCE(435);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(493);
      if (lookahead == 'y') ADVANCE(472);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(493);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(339);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(494);
      if (lookahead == 'y') ADVANCE(472);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(494);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(465);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(488);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'r') ADVANCE(489);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 's') ADVANCE(482);
      if (lookahead == 'w') ADVANCE(424);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 's') ADVANCE(441);
      if (lookahead == 'y') ADVANCE(464);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 's') ADVANCE(500);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 's') ADVANCE(436);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 's') ADVANCE(440);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 't') ADVANCE(306);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 't') ADVANCE(241);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 't') ADVANCE(329);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 't') ADVANCE(265);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 't') ADVANCE(428);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 't') ADVANCE(451);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'u') ADVANCE(433);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'u') ADVANCE(434);
      if (lookahead == 'y') ADVANCE(322);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'u') ADVANCE(434);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'u') ADVANCE(459);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'w') ADVANCE(450);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'x') ADVANCE(430);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'x') ADVANCE(431);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'y') ADVANCE(334);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'y') ADVANCE(464);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == 'z') ADVANCE(499);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'y')) ADVANCE(502);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'a') ADVANCE(506);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'a') ADVANCE(508);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'a') ADVANCE(529);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'b') ADVANCE(515);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'c') ADVANCE(309);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'c') ADVANCE(514);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'c') ADVANCE(513);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'd') ADVANCE(253);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'e') ADVANCE(315);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'e') ADVANCE(300);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'h') ADVANCE(324);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'k') ADVANCE(257);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'l') ADVANCE(512);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'l') ADVANCE(527);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'n') ADVANCE(524);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'n') ADVANCE(507);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'n') ADVANCE(510);
      if (lookahead == 's') ADVANCE(533);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'n') ADVANCE(530);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'o') ADVANCE(532);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'o') ADVANCE(342);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'o') ADVANCE(344);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'p') ADVANCE(504);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 's') ADVANCE(533);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 's') ADVANCE(326);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 's') ADVANCE(511);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 't') ADVANCE(503);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 't') ADVANCE(509);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 't') ADVANCE(523);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'u') ADVANCE(528);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'w') ADVANCE(520);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == 'y') ADVANCE(518);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(aux_sym_value_identifier_token1);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(534);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym__escape_identifier);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(sym__escape_identifier);
      if (lookahead == '`') ADVANCE(571);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(sym_extension_identifier);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(537);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 552,
        '0', 540,
        '_', 209,
        'B', 202,
        'b', 202,
        'E', 196,
        'e', 196,
        'O', 204,
        'o', 204,
        'X', 213,
        'x', 213,
        'L', 538,
        'l', 538,
        'n', 538,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 552,
        '0', 540,
        '_', 209,
        'E', 196,
        'e', 196,
        'L', 538,
        'l', 538,
        'n', 538,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(543);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(sym_number);
      ADVANCE_MAP(
        '.', 552,
        '0', 542,
        '_', 210,
        'B', 203,
        'b', 203,
        'E', 196,
        'e', 196,
        'L', 538,
        'l', 538,
        'O', 205,
        'o', 205,
        'X', 213,
        'x', 213,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '0') ADVANCE(542);
      if (lookahead == '_') ADVANCE(210);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '_') ADVANCE(206);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(543);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '_') ADVANCE(207);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(544);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(554);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(545);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(555);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(209);
      if (lookahead == 'n') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(546);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(202);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(547);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(204);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(548);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(549);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(208);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(211);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(538);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(556);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(550);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(551);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(554);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(555);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(556);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(555);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(sym_unit_type);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(sym_unit_type);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(417);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_true);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(502);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_false);
      if (lookahead == '`') ADVANCE(571);
      if (lookahead == '\'' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(83);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(566);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(567);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(567);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(568);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(569);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(aux_sym_template_string_token1);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_template_string_content_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(573);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_BSLASH_BQUOTE);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (lookahead == '{') ADVANCE(576);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(aux_sym_character_token1);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ' ||
          lookahead == 0xa0 ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(579);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(578);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 222, .external_lex_state = 2},
  [2] = {.lex_state = 222, .external_lex_state = 3},
  [3] = {.lex_state = 222, .external_lex_state = 3},
  [4] = {.lex_state = 222, .external_lex_state = 3},
  [5] = {.lex_state = 222, .external_lex_state = 3},
  [6] = {.lex_state = 222, .external_lex_state = 3},
  [7] = {.lex_state = 222, .external_lex_state = 3},
  [8] = {.lex_state = 222, .external_lex_state = 3},
  [9] = {.lex_state = 222, .external_lex_state = 3},
  [10] = {.lex_state = 222, .external_lex_state = 3},
  [11] = {.lex_state = 1, .external_lex_state = 3},
  [12] = {.lex_state = 1, .external_lex_state = 3},
  [13] = {.lex_state = 1, .external_lex_state = 3},
  [14] = {.lex_state = 1, .external_lex_state = 3},
  [15] = {.lex_state = 1, .external_lex_state = 3},
  [16] = {.lex_state = 1, .external_lex_state = 3},
  [17] = {.lex_state = 1, .external_lex_state = 3},
  [18] = {.lex_state = 1, .external_lex_state = 3},
  [19] = {.lex_state = 1, .external_lex_state = 3},
  [20] = {.lex_state = 1, .external_lex_state = 3},
  [21] = {.lex_state = 1, .external_lex_state = 3},
  [22] = {.lex_state = 222, .external_lex_state = 2},
  [23] = {.lex_state = 2, .external_lex_state = 3},
  [24] = {.lex_state = 222, .external_lex_state = 3},
  [25] = {.lex_state = 222, .external_lex_state = 3},
  [26] = {.lex_state = 222, .external_lex_state = 3},
  [27] = {.lex_state = 2, .external_lex_state = 3},
  [28] = {.lex_state = 222, .external_lex_state = 3},
  [29] = {.lex_state = 222, .external_lex_state = 3},
  [30] = {.lex_state = 222, .external_lex_state = 3},
  [31] = {.lex_state = 222, .external_lex_state = 3},
  [32] = {.lex_state = 222, .external_lex_state = 3},
  [33] = {.lex_state = 222, .external_lex_state = 3},
  [34] = {.lex_state = 222, .external_lex_state = 3},
  [35] = {.lex_state = 222, .external_lex_state = 3},
  [36] = {.lex_state = 222, .external_lex_state = 3},
  [37] = {.lex_state = 222, .external_lex_state = 3},
  [38] = {.lex_state = 222, .external_lex_state = 3},
  [39] = {.lex_state = 222, .external_lex_state = 3},
  [40] = {.lex_state = 222, .external_lex_state = 3},
  [41] = {.lex_state = 222, .external_lex_state = 3},
  [42] = {.lex_state = 222, .external_lex_state = 3},
  [43] = {.lex_state = 222, .external_lex_state = 3},
  [44] = {.lex_state = 222, .external_lex_state = 3},
  [45] = {.lex_state = 222, .external_lex_state = 3},
  [46] = {.lex_state = 222, .external_lex_state = 3},
  [47] = {.lex_state = 2, .external_lex_state = 3},
  [48] = {.lex_state = 222, .external_lex_state = 3},
  [49] = {.lex_state = 222, .external_lex_state = 3},
  [50] = {.lex_state = 2, .external_lex_state = 3},
  [51] = {.lex_state = 2, .external_lex_state = 3},
  [52] = {.lex_state = 3, .external_lex_state = 3},
  [53] = {.lex_state = 3, .external_lex_state = 3},
  [54] = {.lex_state = 3, .external_lex_state = 3},
  [55] = {.lex_state = 3, .external_lex_state = 3},
  [56] = {.lex_state = 3, .external_lex_state = 3},
  [57] = {.lex_state = 3, .external_lex_state = 3},
  [58] = {.lex_state = 3, .external_lex_state = 3},
  [59] = {.lex_state = 3, .external_lex_state = 3},
  [60] = {.lex_state = 3, .external_lex_state = 3},
  [61] = {.lex_state = 3, .external_lex_state = 3},
  [62] = {.lex_state = 3, .external_lex_state = 3},
  [63] = {.lex_state = 3, .external_lex_state = 3},
  [64] = {.lex_state = 3, .external_lex_state = 3},
  [65] = {.lex_state = 3, .external_lex_state = 3},
  [66] = {.lex_state = 3, .external_lex_state = 3},
  [67] = {.lex_state = 3, .external_lex_state = 3},
  [68] = {.lex_state = 3, .external_lex_state = 3},
  [69] = {.lex_state = 3, .external_lex_state = 3},
  [70] = {.lex_state = 3, .external_lex_state = 3},
  [71] = {.lex_state = 3, .external_lex_state = 3},
  [72] = {.lex_state = 3, .external_lex_state = 3},
  [73] = {.lex_state = 3, .external_lex_state = 3},
  [74] = {.lex_state = 3, .external_lex_state = 3},
  [75] = {.lex_state = 3, .external_lex_state = 3},
  [76] = {.lex_state = 3, .external_lex_state = 3},
  [77] = {.lex_state = 3, .external_lex_state = 3},
  [78] = {.lex_state = 3, .external_lex_state = 3},
  [79] = {.lex_state = 3, .external_lex_state = 3},
  [80] = {.lex_state = 3, .external_lex_state = 3},
  [81] = {.lex_state = 3, .external_lex_state = 3},
  [82] = {.lex_state = 3, .external_lex_state = 3},
  [83] = {.lex_state = 3, .external_lex_state = 3},
  [84] = {.lex_state = 3, .external_lex_state = 3},
  [85] = {.lex_state = 3, .external_lex_state = 3},
  [86] = {.lex_state = 3, .external_lex_state = 3},
  [87] = {.lex_state = 3, .external_lex_state = 3},
  [88] = {.lex_state = 3, .external_lex_state = 3},
  [89] = {.lex_state = 3, .external_lex_state = 3},
  [90] = {.lex_state = 3, .external_lex_state = 3},
  [91] = {.lex_state = 3, .external_lex_state = 3},
  [92] = {.lex_state = 3, .external_lex_state = 3},
  [93] = {.lex_state = 3, .external_lex_state = 3},
  [94] = {.lex_state = 3, .external_lex_state = 3},
  [95] = {.lex_state = 3, .external_lex_state = 3},
  [96] = {.lex_state = 3, .external_lex_state = 3},
  [97] = {.lex_state = 3, .external_lex_state = 3},
  [98] = {.lex_state = 3, .external_lex_state = 3},
  [99] = {.lex_state = 3, .external_lex_state = 3},
  [100] = {.lex_state = 3, .external_lex_state = 3},
  [101] = {.lex_state = 3, .external_lex_state = 3},
  [102] = {.lex_state = 3, .external_lex_state = 3},
  [103] = {.lex_state = 3, .external_lex_state = 3},
  [104] = {.lex_state = 3, .external_lex_state = 3},
  [105] = {.lex_state = 3, .external_lex_state = 3},
  [106] = {.lex_state = 3, .external_lex_state = 3},
  [107] = {.lex_state = 3, .external_lex_state = 3},
  [108] = {.lex_state = 3, .external_lex_state = 3},
  [109] = {.lex_state = 3, .external_lex_state = 3},
  [110] = {.lex_state = 3, .external_lex_state = 3},
  [111] = {.lex_state = 3, .external_lex_state = 3},
  [112] = {.lex_state = 3, .external_lex_state = 3},
  [113] = {.lex_state = 3, .external_lex_state = 3},
  [114] = {.lex_state = 3, .external_lex_state = 3},
  [115] = {.lex_state = 3, .external_lex_state = 3},
  [116] = {.lex_state = 3, .external_lex_state = 3},
  [117] = {.lex_state = 3, .external_lex_state = 3},
  [118] = {.lex_state = 3, .external_lex_state = 3},
  [119] = {.lex_state = 3, .external_lex_state = 3},
  [120] = {.lex_state = 3, .external_lex_state = 3},
  [121] = {.lex_state = 3, .external_lex_state = 3},
  [122] = {.lex_state = 3, .external_lex_state = 3},
  [123] = {.lex_state = 3, .external_lex_state = 3},
  [124] = {.lex_state = 3, .external_lex_state = 3},
  [125] = {.lex_state = 3, .external_lex_state = 3},
  [126] = {.lex_state = 3, .external_lex_state = 3},
  [127] = {.lex_state = 3, .external_lex_state = 3},
  [128] = {.lex_state = 3, .external_lex_state = 3},
  [129] = {.lex_state = 3, .external_lex_state = 3},
  [130] = {.lex_state = 3, .external_lex_state = 3},
  [131] = {.lex_state = 3, .external_lex_state = 3},
  [132] = {.lex_state = 3, .external_lex_state = 3},
  [133] = {.lex_state = 3, .external_lex_state = 3},
  [134] = {.lex_state = 3, .external_lex_state = 3},
  [135] = {.lex_state = 3, .external_lex_state = 3},
  [136] = {.lex_state = 3, .external_lex_state = 3},
  [137] = {.lex_state = 3, .external_lex_state = 3},
  [138] = {.lex_state = 3, .external_lex_state = 3},
  [139] = {.lex_state = 3, .external_lex_state = 3},
  [140] = {.lex_state = 3, .external_lex_state = 3},
  [141] = {.lex_state = 3, .external_lex_state = 3},
  [142] = {.lex_state = 3, .external_lex_state = 3},
  [143] = {.lex_state = 3, .external_lex_state = 3},
  [144] = {.lex_state = 3, .external_lex_state = 3},
  [145] = {.lex_state = 3, .external_lex_state = 3},
  [146] = {.lex_state = 3, .external_lex_state = 3},
  [147] = {.lex_state = 3, .external_lex_state = 3},
  [148] = {.lex_state = 3, .external_lex_state = 3},
  [149] = {.lex_state = 3, .external_lex_state = 3},
  [150] = {.lex_state = 3, .external_lex_state = 3},
  [151] = {.lex_state = 3, .external_lex_state = 3},
  [152] = {.lex_state = 3, .external_lex_state = 3},
  [153] = {.lex_state = 3, .external_lex_state = 3},
  [154] = {.lex_state = 3, .external_lex_state = 3},
  [155] = {.lex_state = 3, .external_lex_state = 3},
  [156] = {.lex_state = 3, .external_lex_state = 3},
  [157] = {.lex_state = 3, .external_lex_state = 3},
  [158] = {.lex_state = 3, .external_lex_state = 3},
  [159] = {.lex_state = 3, .external_lex_state = 3},
  [160] = {.lex_state = 3, .external_lex_state = 3},
  [161] = {.lex_state = 3, .external_lex_state = 3},
  [162] = {.lex_state = 3, .external_lex_state = 3},
  [163] = {.lex_state = 3, .external_lex_state = 3},
  [164] = {.lex_state = 3, .external_lex_state = 3},
  [165] = {.lex_state = 3, .external_lex_state = 3},
  [166] = {.lex_state = 3, .external_lex_state = 3},
  [167] = {.lex_state = 3, .external_lex_state = 3},
  [168] = {.lex_state = 3, .external_lex_state = 3},
  [169] = {.lex_state = 3, .external_lex_state = 3},
  [170] = {.lex_state = 3, .external_lex_state = 3},
  [171] = {.lex_state = 3, .external_lex_state = 3},
  [172] = {.lex_state = 3, .external_lex_state = 3},
  [173] = {.lex_state = 3, .external_lex_state = 3},
  [174] = {.lex_state = 3, .external_lex_state = 3},
  [175] = {.lex_state = 3, .external_lex_state = 3},
  [176] = {.lex_state = 3, .external_lex_state = 3},
  [177] = {.lex_state = 3, .external_lex_state = 3},
  [178] = {.lex_state = 3, .external_lex_state = 3},
  [179] = {.lex_state = 3, .external_lex_state = 3},
  [180] = {.lex_state = 3, .external_lex_state = 3},
  [181] = {.lex_state = 3, .external_lex_state = 3},
  [182] = {.lex_state = 3, .external_lex_state = 3},
  [183] = {.lex_state = 3, .external_lex_state = 3},
  [184] = {.lex_state = 3, .external_lex_state = 3},
  [185] = {.lex_state = 3, .external_lex_state = 3},
  [186] = {.lex_state = 3, .external_lex_state = 3},
  [187] = {.lex_state = 3, .external_lex_state = 3},
  [188] = {.lex_state = 3, .external_lex_state = 3},
  [189] = {.lex_state = 3, .external_lex_state = 3},
  [190] = {.lex_state = 3, .external_lex_state = 3},
  [191] = {.lex_state = 3, .external_lex_state = 3},
  [192] = {.lex_state = 3, .external_lex_state = 3},
  [193] = {.lex_state = 3, .external_lex_state = 3},
  [194] = {.lex_state = 3, .external_lex_state = 3},
  [195] = {.lex_state = 3, .external_lex_state = 3},
  [196] = {.lex_state = 3, .external_lex_state = 3},
  [197] = {.lex_state = 3, .external_lex_state = 3},
  [198] = {.lex_state = 3, .external_lex_state = 3},
  [199] = {.lex_state = 3, .external_lex_state = 3},
  [200] = {.lex_state = 3, .external_lex_state = 3},
  [201] = {.lex_state = 3, .external_lex_state = 3},
  [202] = {.lex_state = 3, .external_lex_state = 3},
  [203] = {.lex_state = 3, .external_lex_state = 3},
  [204] = {.lex_state = 3, .external_lex_state = 3},
  [205] = {.lex_state = 3, .external_lex_state = 3},
  [206] = {.lex_state = 3, .external_lex_state = 3},
  [207] = {.lex_state = 3, .external_lex_state = 3},
  [208] = {.lex_state = 3, .external_lex_state = 3},
  [209] = {.lex_state = 3, .external_lex_state = 3},
  [210] = {.lex_state = 3, .external_lex_state = 3},
  [211] = {.lex_state = 3, .external_lex_state = 3},
  [212] = {.lex_state = 3, .external_lex_state = 3},
  [213] = {.lex_state = 3, .external_lex_state = 3},
  [214] = {.lex_state = 3, .external_lex_state = 3},
  [215] = {.lex_state = 3, .external_lex_state = 3},
  [216] = {.lex_state = 3, .external_lex_state = 3},
  [217] = {.lex_state = 3, .external_lex_state = 3},
  [218] = {.lex_state = 3, .external_lex_state = 3},
  [219] = {.lex_state = 3, .external_lex_state = 3},
  [220] = {.lex_state = 3, .external_lex_state = 3},
  [221] = {.lex_state = 3, .external_lex_state = 3},
  [222] = {.lex_state = 3, .external_lex_state = 3},
  [223] = {.lex_state = 3, .external_lex_state = 3},
  [224] = {.lex_state = 3, .external_lex_state = 3},
  [225] = {.lex_state = 3, .external_lex_state = 3},
  [226] = {.lex_state = 3, .external_lex_state = 3},
  [227] = {.lex_state = 3, .external_lex_state = 3},
  [228] = {.lex_state = 3, .external_lex_state = 3},
  [229] = {.lex_state = 3, .external_lex_state = 3},
  [230] = {.lex_state = 3, .external_lex_state = 3},
  [231] = {.lex_state = 3, .external_lex_state = 3},
  [232] = {.lex_state = 3, .external_lex_state = 3},
  [233] = {.lex_state = 3, .external_lex_state = 3},
  [234] = {.lex_state = 3, .external_lex_state = 3},
  [235] = {.lex_state = 3, .external_lex_state = 3},
  [236] = {.lex_state = 3, .external_lex_state = 3},
  [237] = {.lex_state = 3, .external_lex_state = 3},
  [238] = {.lex_state = 3, .external_lex_state = 3},
  [239] = {.lex_state = 3, .external_lex_state = 3},
  [240] = {.lex_state = 3, .external_lex_state = 3},
  [241] = {.lex_state = 3, .external_lex_state = 3},
  [242] = {.lex_state = 3, .external_lex_state = 3},
  [243] = {.lex_state = 3, .external_lex_state = 3},
  [244] = {.lex_state = 3, .external_lex_state = 3},
  [245] = {.lex_state = 3, .external_lex_state = 3},
  [246] = {.lex_state = 3, .external_lex_state = 3},
  [247] = {.lex_state = 3, .external_lex_state = 3},
  [248] = {.lex_state = 3, .external_lex_state = 3},
  [249] = {.lex_state = 3, .external_lex_state = 3},
  [250] = {.lex_state = 3, .external_lex_state = 3},
  [251] = {.lex_state = 3, .external_lex_state = 3},
  [252] = {.lex_state = 3, .external_lex_state = 3},
  [253] = {.lex_state = 3, .external_lex_state = 3},
  [254] = {.lex_state = 3, .external_lex_state = 3},
  [255] = {.lex_state = 3, .external_lex_state = 3},
  [256] = {.lex_state = 3, .external_lex_state = 3},
  [257] = {.lex_state = 3, .external_lex_state = 3},
  [258] = {.lex_state = 3, .external_lex_state = 3},
  [259] = {.lex_state = 3, .external_lex_state = 3},
  [260] = {.lex_state = 3, .external_lex_state = 3},
  [261] = {.lex_state = 3, .external_lex_state = 3},
  [262] = {.lex_state = 3, .external_lex_state = 3},
  [263] = {.lex_state = 3, .external_lex_state = 3},
  [264] = {.lex_state = 3, .external_lex_state = 3},
  [265] = {.lex_state = 3, .external_lex_state = 3},
  [266] = {.lex_state = 3, .external_lex_state = 3},
  [267] = {.lex_state = 3, .external_lex_state = 3},
  [268] = {.lex_state = 3, .external_lex_state = 3},
  [269] = {.lex_state = 3, .external_lex_state = 3},
  [270] = {.lex_state = 3, .external_lex_state = 3},
  [271] = {.lex_state = 3, .external_lex_state = 3},
  [272] = {.lex_state = 3, .external_lex_state = 3},
  [273] = {.lex_state = 3, .external_lex_state = 3},
  [274] = {.lex_state = 3, .external_lex_state = 3},
  [275] = {.lex_state = 3, .external_lex_state = 3},
  [276] = {.lex_state = 3, .external_lex_state = 3},
  [277] = {.lex_state = 3, .external_lex_state = 3},
  [278] = {.lex_state = 3, .external_lex_state = 3},
  [279] = {.lex_state = 3, .external_lex_state = 3},
  [280] = {.lex_state = 3, .external_lex_state = 3},
  [281] = {.lex_state = 3, .external_lex_state = 3},
  [282] = {.lex_state = 3, .external_lex_state = 3},
  [283] = {.lex_state = 3, .external_lex_state = 3},
  [284] = {.lex_state = 3, .external_lex_state = 3},
  [285] = {.lex_state = 3, .external_lex_state = 3},
  [286] = {.lex_state = 3, .external_lex_state = 3},
  [287] = {.lex_state = 3, .external_lex_state = 3},
  [288] = {.lex_state = 3, .external_lex_state = 3},
  [289] = {.lex_state = 3, .external_lex_state = 3},
  [290] = {.lex_state = 3, .external_lex_state = 3},
  [291] = {.lex_state = 3, .external_lex_state = 3},
  [292] = {.lex_state = 3, .external_lex_state = 3},
  [293] = {.lex_state = 3, .external_lex_state = 3},
  [294] = {.lex_state = 3, .external_lex_state = 3},
  [295] = {.lex_state = 3, .external_lex_state = 3},
  [296] = {.lex_state = 3, .external_lex_state = 3},
  [297] = {.lex_state = 3, .external_lex_state = 3},
  [298] = {.lex_state = 3, .external_lex_state = 3},
  [299] = {.lex_state = 3, .external_lex_state = 3},
  [300] = {.lex_state = 3, .external_lex_state = 3},
  [301] = {.lex_state = 3, .external_lex_state = 3},
  [302] = {.lex_state = 3, .external_lex_state = 3},
  [303] = {.lex_state = 3, .external_lex_state = 3},
  [304] = {.lex_state = 3, .external_lex_state = 3},
  [305] = {.lex_state = 3, .external_lex_state = 3},
  [306] = {.lex_state = 3, .external_lex_state = 3},
  [307] = {.lex_state = 3, .external_lex_state = 3},
  [308] = {.lex_state = 3, .external_lex_state = 3},
  [309] = {.lex_state = 3, .external_lex_state = 3},
  [310] = {.lex_state = 3, .external_lex_state = 3},
  [311] = {.lex_state = 3, .external_lex_state = 3},
  [312] = {.lex_state = 3, .external_lex_state = 3},
  [313] = {.lex_state = 3, .external_lex_state = 3},
  [314] = {.lex_state = 3, .external_lex_state = 3},
  [315] = {.lex_state = 3, .external_lex_state = 3},
  [316] = {.lex_state = 3, .external_lex_state = 3},
  [317] = {.lex_state = 3, .external_lex_state = 3},
  [318] = {.lex_state = 3, .external_lex_state = 3},
  [319] = {.lex_state = 3, .external_lex_state = 3},
  [320] = {.lex_state = 3, .external_lex_state = 3},
  [321] = {.lex_state = 3, .external_lex_state = 3},
  [322] = {.lex_state = 3, .external_lex_state = 3},
  [323] = {.lex_state = 3, .external_lex_state = 3},
  [324] = {.lex_state = 3, .external_lex_state = 3},
  [325] = {.lex_state = 3, .external_lex_state = 3},
  [326] = {.lex_state = 3, .external_lex_state = 3},
  [327] = {.lex_state = 3, .external_lex_state = 3},
  [328] = {.lex_state = 3, .external_lex_state = 3},
  [329] = {.lex_state = 3, .external_lex_state = 3},
  [330] = {.lex_state = 3, .external_lex_state = 3},
  [331] = {.lex_state = 3, .external_lex_state = 3},
  [332] = {.lex_state = 3, .external_lex_state = 3},
  [333] = {.lex_state = 3, .external_lex_state = 3},
  [334] = {.lex_state = 3, .external_lex_state = 3},
  [335] = {.lex_state = 3, .external_lex_state = 3},
  [336] = {.lex_state = 3, .external_lex_state = 3},
  [337] = {.lex_state = 3, .external_lex_state = 3},
  [338] = {.lex_state = 3, .external_lex_state = 3},
  [339] = {.lex_state = 3, .external_lex_state = 3},
  [340] = {.lex_state = 3, .external_lex_state = 3},
  [341] = {.lex_state = 3, .external_lex_state = 3},
  [342] = {.lex_state = 3, .external_lex_state = 3},
  [343] = {.lex_state = 3, .external_lex_state = 3},
  [344] = {.lex_state = 3, .external_lex_state = 3},
  [345] = {.lex_state = 3, .external_lex_state = 3},
  [346] = {.lex_state = 3, .external_lex_state = 3},
  [347] = {.lex_state = 3, .external_lex_state = 3},
  [348] = {.lex_state = 3, .external_lex_state = 3},
  [349] = {.lex_state = 3, .external_lex_state = 3},
  [350] = {.lex_state = 3, .external_lex_state = 3},
  [351] = {.lex_state = 3, .external_lex_state = 3},
  [352] = {.lex_state = 3, .external_lex_state = 3},
  [353] = {.lex_state = 3, .external_lex_state = 3},
  [354] = {.lex_state = 3, .external_lex_state = 3},
  [355] = {.lex_state = 3, .external_lex_state = 3},
  [356] = {.lex_state = 3, .external_lex_state = 3},
  [357] = {.lex_state = 3, .external_lex_state = 3},
  [358] = {.lex_state = 3, .external_lex_state = 3},
  [359] = {.lex_state = 3, .external_lex_state = 3},
  [360] = {.lex_state = 3, .external_lex_state = 3},
  [361] = {.lex_state = 3, .external_lex_state = 3},
  [362] = {.lex_state = 3, .external_lex_state = 3},
  [363] = {.lex_state = 3, .external_lex_state = 3},
  [364] = {.lex_state = 3, .external_lex_state = 3},
  [365] = {.lex_state = 3, .external_lex_state = 3},
  [366] = {.lex_state = 3, .external_lex_state = 3},
  [367] = {.lex_state = 3, .external_lex_state = 3},
  [368] = {.lex_state = 3, .external_lex_state = 3},
  [369] = {.lex_state = 3, .external_lex_state = 3},
  [370] = {.lex_state = 3, .external_lex_state = 3},
  [371] = {.lex_state = 3, .external_lex_state = 3},
  [372] = {.lex_state = 3, .external_lex_state = 3},
  [373] = {.lex_state = 3, .external_lex_state = 3},
  [374] = {.lex_state = 3, .external_lex_state = 3},
  [375] = {.lex_state = 3, .external_lex_state = 3},
  [376] = {.lex_state = 3, .external_lex_state = 3},
  [377] = {.lex_state = 3, .external_lex_state = 3},
  [378] = {.lex_state = 3, .external_lex_state = 3},
  [379] = {.lex_state = 3, .external_lex_state = 3},
  [380] = {.lex_state = 3, .external_lex_state = 3},
  [381] = {.lex_state = 3, .external_lex_state = 3},
  [382] = {.lex_state = 3, .external_lex_state = 3},
  [383] = {.lex_state = 3, .external_lex_state = 3},
  [384] = {.lex_state = 3, .external_lex_state = 3},
  [385] = {.lex_state = 3, .external_lex_state = 3},
  [386] = {.lex_state = 3, .external_lex_state = 3},
  [387] = {.lex_state = 3, .external_lex_state = 3},
  [388] = {.lex_state = 3, .external_lex_state = 3},
  [389] = {.lex_state = 3, .external_lex_state = 3},
  [390] = {.lex_state = 3, .external_lex_state = 3},
  [391] = {.lex_state = 3, .external_lex_state = 3},
  [392] = {.lex_state = 3, .external_lex_state = 3},
  [393] = {.lex_state = 3, .external_lex_state = 3},
  [394] = {.lex_state = 3, .external_lex_state = 3},
  [395] = {.lex_state = 3, .external_lex_state = 3},
  [396] = {.lex_state = 3, .external_lex_state = 3},
  [397] = {.lex_state = 3, .external_lex_state = 3},
  [398] = {.lex_state = 3, .external_lex_state = 3},
  [399] = {.lex_state = 3, .external_lex_state = 3},
  [400] = {.lex_state = 3, .external_lex_state = 3},
  [401] = {.lex_state = 3, .external_lex_state = 3},
  [402] = {.lex_state = 3, .external_lex_state = 3},
  [403] = {.lex_state = 3, .external_lex_state = 3},
  [404] = {.lex_state = 3, .external_lex_state = 3},
  [405] = {.lex_state = 3, .external_lex_state = 3},
  [406] = {.lex_state = 3, .external_lex_state = 3},
  [407] = {.lex_state = 3, .external_lex_state = 3},
  [408] = {.lex_state = 3, .external_lex_state = 3},
  [409] = {.lex_state = 3, .external_lex_state = 3},
  [410] = {.lex_state = 3, .external_lex_state = 3},
  [411] = {.lex_state = 3, .external_lex_state = 3},
  [412] = {.lex_state = 3, .external_lex_state = 3},
  [413] = {.lex_state = 3, .external_lex_state = 3},
  [414] = {.lex_state = 3, .external_lex_state = 3},
  [415] = {.lex_state = 3, .external_lex_state = 3},
  [416] = {.lex_state = 3, .external_lex_state = 3},
  [417] = {.lex_state = 3, .external_lex_state = 3},
  [418] = {.lex_state = 3, .external_lex_state = 3},
  [419] = {.lex_state = 3, .external_lex_state = 3},
  [420] = {.lex_state = 3, .external_lex_state = 3},
  [421] = {.lex_state = 3, .external_lex_state = 3},
  [422] = {.lex_state = 3, .external_lex_state = 3},
  [423] = {.lex_state = 3, .external_lex_state = 3},
  [424] = {.lex_state = 3, .external_lex_state = 3},
  [425] = {.lex_state = 3, .external_lex_state = 3},
  [426] = {.lex_state = 3, .external_lex_state = 3},
  [427] = {.lex_state = 3, .external_lex_state = 3},
  [428] = {.lex_state = 3, .external_lex_state = 3},
  [429] = {.lex_state = 3, .external_lex_state = 3},
  [430] = {.lex_state = 3, .external_lex_state = 3},
  [431] = {.lex_state = 3, .external_lex_state = 3},
  [432] = {.lex_state = 3, .external_lex_state = 3},
  [433] = {.lex_state = 3, .external_lex_state = 3},
  [434] = {.lex_state = 3, .external_lex_state = 3},
  [435] = {.lex_state = 3, .external_lex_state = 3},
  [436] = {.lex_state = 3, .external_lex_state = 3},
  [437] = {.lex_state = 3, .external_lex_state = 3},
  [438] = {.lex_state = 3, .external_lex_state = 3},
  [439] = {.lex_state = 3, .external_lex_state = 3},
  [440] = {.lex_state = 3, .external_lex_state = 3},
  [441] = {.lex_state = 3, .external_lex_state = 3},
  [442] = {.lex_state = 3, .external_lex_state = 3},
  [443] = {.lex_state = 3, .external_lex_state = 3},
  [444] = {.lex_state = 3, .external_lex_state = 3},
  [445] = {.lex_state = 3, .external_lex_state = 3},
  [446] = {.lex_state = 3, .external_lex_state = 3},
  [447] = {.lex_state = 3, .external_lex_state = 3},
  [448] = {.lex_state = 3, .external_lex_state = 3},
  [449] = {.lex_state = 3, .external_lex_state = 3},
  [450] = {.lex_state = 3, .external_lex_state = 3},
  [451] = {.lex_state = 3, .external_lex_state = 3},
  [452] = {.lex_state = 3, .external_lex_state = 3},
  [453] = {.lex_state = 3, .external_lex_state = 3},
  [454] = {.lex_state = 3, .external_lex_state = 3},
  [455] = {.lex_state = 3, .external_lex_state = 3},
  [456] = {.lex_state = 3, .external_lex_state = 3},
  [457] = {.lex_state = 3, .external_lex_state = 3},
  [458] = {.lex_state = 3, .external_lex_state = 3},
  [459] = {.lex_state = 3, .external_lex_state = 3},
  [460] = {.lex_state = 3, .external_lex_state = 3},
  [461] = {.lex_state = 3, .external_lex_state = 3},
  [462] = {.lex_state = 3, .external_lex_state = 3},
  [463] = {.lex_state = 3, .external_lex_state = 3},
  [464] = {.lex_state = 3, .external_lex_state = 3},
  [465] = {.lex_state = 3, .external_lex_state = 3},
  [466] = {.lex_state = 3, .external_lex_state = 3},
  [467] = {.lex_state = 3, .external_lex_state = 3},
  [468] = {.lex_state = 3, .external_lex_state = 3},
  [469] = {.lex_state = 3, .external_lex_state = 3},
  [470] = {.lex_state = 3, .external_lex_state = 3},
  [471] = {.lex_state = 3, .external_lex_state = 3},
  [472] = {.lex_state = 3, .external_lex_state = 3},
  [473] = {.lex_state = 3, .external_lex_state = 3},
  [474] = {.lex_state = 3, .external_lex_state = 3},
  [475] = {.lex_state = 3, .external_lex_state = 3},
  [476] = {.lex_state = 3, .external_lex_state = 3},
  [477] = {.lex_state = 3, .external_lex_state = 3},
  [478] = {.lex_state = 3, .external_lex_state = 3},
  [479] = {.lex_state = 3, .external_lex_state = 3},
  [480] = {.lex_state = 3, .external_lex_state = 3},
  [481] = {.lex_state = 3, .external_lex_state = 3},
  [482] = {.lex_state = 3, .external_lex_state = 3},
  [483] = {.lex_state = 3, .external_lex_state = 3},
  [484] = {.lex_state = 3, .external_lex_state = 3},
  [485] = {.lex_state = 3, .external_lex_state = 3},
  [486] = {.lex_state = 3, .external_lex_state = 3},
  [487] = {.lex_state = 3, .external_lex_state = 3},
  [488] = {.lex_state = 3, .external_lex_state = 3},
  [489] = {.lex_state = 3, .external_lex_state = 3},
  [490] = {.lex_state = 3, .external_lex_state = 3},
  [491] = {.lex_state = 3, .external_lex_state = 3},
  [492] = {.lex_state = 3, .external_lex_state = 3},
  [493] = {.lex_state = 3, .external_lex_state = 3},
  [494] = {.lex_state = 3, .external_lex_state = 3},
  [495] = {.lex_state = 3, .external_lex_state = 3},
  [496] = {.lex_state = 3, .external_lex_state = 3},
  [497] = {.lex_state = 3, .external_lex_state = 3},
  [498] = {.lex_state = 3, .external_lex_state = 3},
  [499] = {.lex_state = 3, .external_lex_state = 3},
  [500] = {.lex_state = 3, .external_lex_state = 3},
  [501] = {.lex_state = 3, .external_lex_state = 3},
  [502] = {.lex_state = 3, .external_lex_state = 3},
  [503] = {.lex_state = 3, .external_lex_state = 3},
  [504] = {.lex_state = 3, .external_lex_state = 3},
  [505] = {.lex_state = 3, .external_lex_state = 3},
  [506] = {.lex_state = 3, .external_lex_state = 3},
  [507] = {.lex_state = 3, .external_lex_state = 3},
  [508] = {.lex_state = 3, .external_lex_state = 3},
  [509] = {.lex_state = 3, .external_lex_state = 3},
  [510] = {.lex_state = 3, .external_lex_state = 3},
  [511] = {.lex_state = 3, .external_lex_state = 3},
  [512] = {.lex_state = 3, .external_lex_state = 3},
  [513] = {.lex_state = 3, .external_lex_state = 3},
  [514] = {.lex_state = 3, .external_lex_state = 3},
  [515] = {.lex_state = 3, .external_lex_state = 3},
  [516] = {.lex_state = 3, .external_lex_state = 3},
  [517] = {.lex_state = 3, .external_lex_state = 3},
  [518] = {.lex_state = 3, .external_lex_state = 3},
  [519] = {.lex_state = 3, .external_lex_state = 3},
  [520] = {.lex_state = 3, .external_lex_state = 3},
  [521] = {.lex_state = 3, .external_lex_state = 3},
  [522] = {.lex_state = 3, .external_lex_state = 3},
  [523] = {.lex_state = 3, .external_lex_state = 3},
  [524] = {.lex_state = 3, .external_lex_state = 3},
  [525] = {.lex_state = 3, .external_lex_state = 3},
  [526] = {.lex_state = 3, .external_lex_state = 3},
  [527] = {.lex_state = 3, .external_lex_state = 3},
  [528] = {.lex_state = 3, .external_lex_state = 3},
  [529] = {.lex_state = 3, .external_lex_state = 3},
  [530] = {.lex_state = 3, .external_lex_state = 3},
  [531] = {.lex_state = 3, .external_lex_state = 3},
  [532] = {.lex_state = 3, .external_lex_state = 3},
  [533] = {.lex_state = 3, .external_lex_state = 3},
  [534] = {.lex_state = 5, .external_lex_state = 3},
  [535] = {.lex_state = 5, .external_lex_state = 3},
  [536] = {.lex_state = 5, .external_lex_state = 3},
  [537] = {.lex_state = 5, .external_lex_state = 3},
  [538] = {.lex_state = 5, .external_lex_state = 3},
  [539] = {.lex_state = 5, .external_lex_state = 3},
  [540] = {.lex_state = 5, .external_lex_state = 3},
  [541] = {.lex_state = 5, .external_lex_state = 3},
  [542] = {.lex_state = 5, .external_lex_state = 3},
  [543] = {.lex_state = 5, .external_lex_state = 3},
  [544] = {.lex_state = 5, .external_lex_state = 3},
  [545] = {.lex_state = 5, .external_lex_state = 3},
  [546] = {.lex_state = 5, .external_lex_state = 3},
  [547] = {.lex_state = 5, .external_lex_state = 3},
  [548] = {.lex_state = 5, .external_lex_state = 3},
  [549] = {.lex_state = 5, .external_lex_state = 3},
  [550] = {.lex_state = 5, .external_lex_state = 3},
  [551] = {.lex_state = 5, .external_lex_state = 3},
  [552] = {.lex_state = 5, .external_lex_state = 3},
  [553] = {.lex_state = 5, .external_lex_state = 3},
  [554] = {.lex_state = 5, .external_lex_state = 3},
  [555] = {.lex_state = 5, .external_lex_state = 3},
  [556] = {.lex_state = 5, .external_lex_state = 3},
  [557] = {.lex_state = 5, .external_lex_state = 3},
  [558] = {.lex_state = 5, .external_lex_state = 3},
  [559] = {.lex_state = 5, .external_lex_state = 3},
  [560] = {.lex_state = 5, .external_lex_state = 3},
  [561] = {.lex_state = 5, .external_lex_state = 3},
  [562] = {.lex_state = 5, .external_lex_state = 3},
  [563] = {.lex_state = 5, .external_lex_state = 3},
  [564] = {.lex_state = 5, .external_lex_state = 3},
  [565] = {.lex_state = 5, .external_lex_state = 3},
  [566] = {.lex_state = 5, .external_lex_state = 3},
  [567] = {.lex_state = 5, .external_lex_state = 3},
  [568] = {.lex_state = 5, .external_lex_state = 3},
  [569] = {.lex_state = 5, .external_lex_state = 3},
  [570] = {.lex_state = 5, .external_lex_state = 3},
  [571] = {.lex_state = 5, .external_lex_state = 3},
  [572] = {.lex_state = 5, .external_lex_state = 3},
  [573] = {.lex_state = 5, .external_lex_state = 3},
  [574] = {.lex_state = 5, .external_lex_state = 3},
  [575] = {.lex_state = 5, .external_lex_state = 3},
  [576] = {.lex_state = 20, .external_lex_state = 3},
  [577] = {.lex_state = 20, .external_lex_state = 3},
  [578] = {.lex_state = 20, .external_lex_state = 3},
  [579] = {.lex_state = 20, .external_lex_state = 3},
  [580] = {.lex_state = 21, .external_lex_state = 3},
  [581] = {.lex_state = 21, .external_lex_state = 3},
  [582] = {.lex_state = 20, .external_lex_state = 3},
  [583] = {.lex_state = 21, .external_lex_state = 3},
  [584] = {.lex_state = 21, .external_lex_state = 3},
  [585] = {.lex_state = 21, .external_lex_state = 3},
  [586] = {.lex_state = 21, .external_lex_state = 3},
  [587] = {.lex_state = 21, .external_lex_state = 3},
  [588] = {.lex_state = 21, .external_lex_state = 3},
  [589] = {.lex_state = 5, .external_lex_state = 3},
  [590] = {.lex_state = 21, .external_lex_state = 3},
  [591] = {.lex_state = 22, .external_lex_state = 3},
  [592] = {.lex_state = 22, .external_lex_state = 3},
  [593] = {.lex_state = 34, .external_lex_state = 4},
  [594] = {.lex_state = 21, .external_lex_state = 3},
  [595] = {.lex_state = 23, .external_lex_state = 3},
  [596] = {.lex_state = 23, .external_lex_state = 3},
  [597] = {.lex_state = 34, .external_lex_state = 4},
  [598] = {.lex_state = 21, .external_lex_state = 3},
  [599] = {.lex_state = 21, .external_lex_state = 3},
  [600] = {.lex_state = 34, .external_lex_state = 4},
  [601] = {.lex_state = 21, .external_lex_state = 3},
  [602] = {.lex_state = 21, .external_lex_state = 3},
  [603] = {.lex_state = 21, .external_lex_state = 3},
  [604] = {.lex_state = 21, .external_lex_state = 3},
  [605] = {.lex_state = 21, .external_lex_state = 3},
  [606] = {.lex_state = 21, .external_lex_state = 3},
  [607] = {.lex_state = 21, .external_lex_state = 3},
  [608] = {.lex_state = 21, .external_lex_state = 3},
  [609] = {.lex_state = 6, .external_lex_state = 3},
  [610] = {.lex_state = 21, .external_lex_state = 3},
  [611] = {.lex_state = 6, .external_lex_state = 3},
  [612] = {.lex_state = 21, .external_lex_state = 3},
  [613] = {.lex_state = 21, .external_lex_state = 3},
  [614] = {.lex_state = 21, .external_lex_state = 3},
  [615] = {.lex_state = 21, .external_lex_state = 3},
  [616] = {.lex_state = 21, .external_lex_state = 3},
  [617] = {.lex_state = 21, .external_lex_state = 3},
  [618] = {.lex_state = 21, .external_lex_state = 3},
  [619] = {.lex_state = 5, .external_lex_state = 3},
  [620] = {.lex_state = 21, .external_lex_state = 3},
  [621] = {.lex_state = 21, .external_lex_state = 3},
  [622] = {.lex_state = 5, .external_lex_state = 3},
  [623] = {.lex_state = 21, .external_lex_state = 3},
  [624] = {.lex_state = 21, .external_lex_state = 3},
  [625] = {.lex_state = 21, .external_lex_state = 3},
  [626] = {.lex_state = 21, .external_lex_state = 3},
  [627] = {.lex_state = 21, .external_lex_state = 3},
  [628] = {.lex_state = 21, .external_lex_state = 3},
  [629] = {.lex_state = 21, .external_lex_state = 3},
  [630] = {.lex_state = 5, .external_lex_state = 3},
  [631] = {.lex_state = 21, .external_lex_state = 3},
  [632] = {.lex_state = 21, .external_lex_state = 3},
  [633] = {.lex_state = 21, .external_lex_state = 3},
  [634] = {.lex_state = 21, .external_lex_state = 3},
  [635] = {.lex_state = 21, .external_lex_state = 3},
  [636] = {.lex_state = 21, .external_lex_state = 3},
  [637] = {.lex_state = 21, .external_lex_state = 3},
  [638] = {.lex_state = 21, .external_lex_state = 3},
  [639] = {.lex_state = 6, .external_lex_state = 3},
  [640] = {.lex_state = 5, .external_lex_state = 3},
  [641] = {.lex_state = 34, .external_lex_state = 4},
  [642] = {.lex_state = 5, .external_lex_state = 3},
  [643] = {.lex_state = 5, .external_lex_state = 3},
  [644] = {.lex_state = 5, .external_lex_state = 3},
  [645] = {.lex_state = 34, .external_lex_state = 4},
  [646] = {.lex_state = 5, .external_lex_state = 3},
  [647] = {.lex_state = 5, .external_lex_state = 3},
  [648] = {.lex_state = 6, .external_lex_state = 3},
  [649] = {.lex_state = 5, .external_lex_state = 3},
  [650] = {.lex_state = 6, .external_lex_state = 3},
  [651] = {.lex_state = 6, .external_lex_state = 3},
  [652] = {.lex_state = 5, .external_lex_state = 3},
  [653] = {.lex_state = 34, .external_lex_state = 4},
  [654] = {.lex_state = 5, .external_lex_state = 3},
  [655] = {.lex_state = 6, .external_lex_state = 3},
  [656] = {.lex_state = 5, .external_lex_state = 3},
  [657] = {.lex_state = 5, .external_lex_state = 3},
  [658] = {.lex_state = 5, .external_lex_state = 3},
  [659] = {.lex_state = 5, .external_lex_state = 3},
  [660] = {.lex_state = 5, .external_lex_state = 3},
  [661] = {.lex_state = 5, .external_lex_state = 3},
  [662] = {.lex_state = 5, .external_lex_state = 3},
  [663] = {.lex_state = 5, .external_lex_state = 3},
  [664] = {.lex_state = 5, .external_lex_state = 3},
  [665] = {.lex_state = 5, .external_lex_state = 3},
  [666] = {.lex_state = 5, .external_lex_state = 3},
  [667] = {.lex_state = 5, .external_lex_state = 3},
  [668] = {.lex_state = 5, .external_lex_state = 3},
  [669] = {.lex_state = 5, .external_lex_state = 3},
  [670] = {.lex_state = 5, .external_lex_state = 3},
  [671] = {.lex_state = 5, .external_lex_state = 3},
  [672] = {.lex_state = 5, .external_lex_state = 3},
  [673] = {.lex_state = 5, .external_lex_state = 3},
  [674] = {.lex_state = 5, .external_lex_state = 3},
  [675] = {.lex_state = 5, .external_lex_state = 3},
  [676] = {.lex_state = 5, .external_lex_state = 3},
  [677] = {.lex_state = 5, .external_lex_state = 3},
  [678] = {.lex_state = 5, .external_lex_state = 3},
  [679] = {.lex_state = 5, .external_lex_state = 3},
  [680] = {.lex_state = 5, .external_lex_state = 3},
  [681] = {.lex_state = 5, .external_lex_state = 3},
  [682] = {.lex_state = 5, .external_lex_state = 3},
  [683] = {.lex_state = 5, .external_lex_state = 3},
  [684] = {.lex_state = 5, .external_lex_state = 3},
  [685] = {.lex_state = 5, .external_lex_state = 3},
  [686] = {.lex_state = 5, .external_lex_state = 3},
  [687] = {.lex_state = 5, .external_lex_state = 3},
  [688] = {.lex_state = 5, .external_lex_state = 3},
  [689] = {.lex_state = 5, .external_lex_state = 3},
  [690] = {.lex_state = 34, .external_lex_state = 4},
  [691] = {.lex_state = 5, .external_lex_state = 3},
  [692] = {.lex_state = 5, .external_lex_state = 3},
  [693] = {.lex_state = 5, .external_lex_state = 3},
  [694] = {.lex_state = 5, .external_lex_state = 3},
  [695] = {.lex_state = 5, .external_lex_state = 3},
  [696] = {.lex_state = 5, .external_lex_state = 3},
  [697] = {.lex_state = 5, .external_lex_state = 3},
  [698] = {.lex_state = 5, .external_lex_state = 3},
  [699] = {.lex_state = 5, .external_lex_state = 3},
  [700] = {.lex_state = 5, .external_lex_state = 3},
  [701] = {.lex_state = 5, .external_lex_state = 3},
  [702] = {.lex_state = 5, .external_lex_state = 3},
  [703] = {.lex_state = 5, .external_lex_state = 3},
  [704] = {.lex_state = 5, .external_lex_state = 3},
  [705] = {.lex_state = 5, .external_lex_state = 3},
  [706] = {.lex_state = 5, .external_lex_state = 3},
  [707] = {.lex_state = 5, .external_lex_state = 3},
  [708] = {.lex_state = 5, .external_lex_state = 3},
  [709] = {.lex_state = 5, .external_lex_state = 3},
  [710] = {.lex_state = 5, .external_lex_state = 3},
  [711] = {.lex_state = 5, .external_lex_state = 3},
  [712] = {.lex_state = 5, .external_lex_state = 3},
  [713] = {.lex_state = 5, .external_lex_state = 3},
  [714] = {.lex_state = 5, .external_lex_state = 3},
  [715] = {.lex_state = 5, .external_lex_state = 3},
  [716] = {.lex_state = 5, .external_lex_state = 3},
  [717] = {.lex_state = 5, .external_lex_state = 3},
  [718] = {.lex_state = 5, .external_lex_state = 3},
  [719] = {.lex_state = 5, .external_lex_state = 3},
  [720] = {.lex_state = 5, .external_lex_state = 3},
  [721] = {.lex_state = 5, .external_lex_state = 3},
  [722] = {.lex_state = 5, .external_lex_state = 3},
  [723] = {.lex_state = 5, .external_lex_state = 3},
  [724] = {.lex_state = 5, .external_lex_state = 3},
  [725] = {.lex_state = 5, .external_lex_state = 3},
  [726] = {.lex_state = 5, .external_lex_state = 3},
  [727] = {.lex_state = 5, .external_lex_state = 3},
  [728] = {.lex_state = 5, .external_lex_state = 3},
  [729] = {.lex_state = 5, .external_lex_state = 3},
  [730] = {.lex_state = 5, .external_lex_state = 3},
  [731] = {.lex_state = 5, .external_lex_state = 3},
  [732] = {.lex_state = 5, .external_lex_state = 3},
  [733] = {.lex_state = 5, .external_lex_state = 3},
  [734] = {.lex_state = 5, .external_lex_state = 3},
  [735] = {.lex_state = 5, .external_lex_state = 3},
  [736] = {.lex_state = 5, .external_lex_state = 3},
  [737] = {.lex_state = 5, .external_lex_state = 3},
  [738] = {.lex_state = 5, .external_lex_state = 3},
  [739] = {.lex_state = 5, .external_lex_state = 3},
  [740] = {.lex_state = 5, .external_lex_state = 3},
  [741] = {.lex_state = 5, .external_lex_state = 3},
  [742] = {.lex_state = 5, .external_lex_state = 3},
  [743] = {.lex_state = 5, .external_lex_state = 3},
  [744] = {.lex_state = 5, .external_lex_state = 3},
  [745] = {.lex_state = 5, .external_lex_state = 3},
  [746] = {.lex_state = 5, .external_lex_state = 3},
  [747] = {.lex_state = 5, .external_lex_state = 3},
  [748] = {.lex_state = 5, .external_lex_state = 3},
  [749] = {.lex_state = 5, .external_lex_state = 3},
  [750] = {.lex_state = 5, .external_lex_state = 3},
  [751] = {.lex_state = 5, .external_lex_state = 3},
  [752] = {.lex_state = 5, .external_lex_state = 3},
  [753] = {.lex_state = 5, .external_lex_state = 3},
  [754] = {.lex_state = 5, .external_lex_state = 3},
  [755] = {.lex_state = 34, .external_lex_state = 4},
  [756] = {.lex_state = 5, .external_lex_state = 3},
  [757] = {.lex_state = 8, .external_lex_state = 5},
  [758] = {.lex_state = 222, .external_lex_state = 2},
  [759] = {.lex_state = 34, .external_lex_state = 4},
  [760] = {.lex_state = 34, .external_lex_state = 4},
  [761] = {.lex_state = 34, .external_lex_state = 4},
  [762] = {.lex_state = 34, .external_lex_state = 4},
  [763] = {.lex_state = 43, .external_lex_state = 4},
  [764] = {.lex_state = 15, .external_lex_state = 5},
  [765] = {.lex_state = 9, .external_lex_state = 4},
  [766] = {.lex_state = 34, .external_lex_state = 4},
  [767] = {.lex_state = 5, .external_lex_state = 3},
  [768] = {.lex_state = 34, .external_lex_state = 4},
  [769] = {.lex_state = 34, .external_lex_state = 4},
  [770] = {.lex_state = 43, .external_lex_state = 4},
  [771] = {.lex_state = 5, .external_lex_state = 3},
  [772] = {.lex_state = 34, .external_lex_state = 4},
  [773] = {.lex_state = 43, .external_lex_state = 4},
  [774] = {.lex_state = 43, .external_lex_state = 4},
  [775] = {.lex_state = 43, .external_lex_state = 4},
  [776] = {.lex_state = 222, .external_lex_state = 2},
  [777] = {.lex_state = 34, .external_lex_state = 4},
  [778] = {.lex_state = 34, .external_lex_state = 4},
  [779] = {.lex_state = 43, .external_lex_state = 4},
  [780] = {.lex_state = 43, .external_lex_state = 4},
  [781] = {.lex_state = 9, .external_lex_state = 4},
  [782] = {.lex_state = 9, .external_lex_state = 4},
  [783] = {.lex_state = 222, .external_lex_state = 2},
  [784] = {.lex_state = 34, .external_lex_state = 4},
  [785] = {.lex_state = 5, .external_lex_state = 3},
  [786] = {.lex_state = 43, .external_lex_state = 4},
  [787] = {.lex_state = 5, .external_lex_state = 3},
  [788] = {.lex_state = 43, .external_lex_state = 4},
  [789] = {.lex_state = 5, .external_lex_state = 3},
  [790] = {.lex_state = 34, .external_lex_state = 4},
  [791] = {.lex_state = 34, .external_lex_state = 4},
  [792] = {.lex_state = 5, .external_lex_state = 3},
  [793] = {.lex_state = 43, .external_lex_state = 4},
  [794] = {.lex_state = 43, .external_lex_state = 4},
  [795] = {.lex_state = 34, .external_lex_state = 4},
  [796] = {.lex_state = 5, .external_lex_state = 3},
  [797] = {.lex_state = 43, .external_lex_state = 4},
  [798] = {.lex_state = 5, .external_lex_state = 3},
  [799] = {.lex_state = 34, .external_lex_state = 4},
  [800] = {.lex_state = 34, .external_lex_state = 4},
  [801] = {.lex_state = 34, .external_lex_state = 4},
  [802] = {.lex_state = 34, .external_lex_state = 4},
  [803] = {.lex_state = 34, .external_lex_state = 4},
  [804] = {.lex_state = 34, .external_lex_state = 4},
  [805] = {.lex_state = 34, .external_lex_state = 4},
  [806] = {.lex_state = 34, .external_lex_state = 4},
  [807] = {.lex_state = 34, .external_lex_state = 4},
  [808] = {.lex_state = 34, .external_lex_state = 4},
  [809] = {.lex_state = 34, .external_lex_state = 4},
  [810] = {.lex_state = 34, .external_lex_state = 4},
  [811] = {.lex_state = 34, .external_lex_state = 4},
  [812] = {.lex_state = 34, .external_lex_state = 4},
  [813] = {.lex_state = 34, .external_lex_state = 4},
  [814] = {.lex_state = 34, .external_lex_state = 4},
  [815] = {.lex_state = 34, .external_lex_state = 4},
  [816] = {.lex_state = 34, .external_lex_state = 4},
  [817] = {.lex_state = 34, .external_lex_state = 4},
  [818] = {.lex_state = 34, .external_lex_state = 4},
  [819] = {.lex_state = 34, .external_lex_state = 4},
  [820] = {.lex_state = 34, .external_lex_state = 4},
  [821] = {.lex_state = 34, .external_lex_state = 4},
  [822] = {.lex_state = 34, .external_lex_state = 4},
  [823] = {.lex_state = 34, .external_lex_state = 4},
  [824] = {.lex_state = 34, .external_lex_state = 4},
  [825] = {.lex_state = 34, .external_lex_state = 4},
  [826] = {.lex_state = 9, .external_lex_state = 4},
  [827] = {.lex_state = 34, .external_lex_state = 4},
  [828] = {.lex_state = 222, .external_lex_state = 2},
  [829] = {.lex_state = 34, .external_lex_state = 4},
  [830] = {.lex_state = 34, .external_lex_state = 4},
  [831] = {.lex_state = 34, .external_lex_state = 4},
  [832] = {.lex_state = 34, .external_lex_state = 4},
  [833] = {.lex_state = 34, .external_lex_state = 4},
  [834] = {.lex_state = 34, .external_lex_state = 4},
  [835] = {.lex_state = 34, .external_lex_state = 4},
  [836] = {.lex_state = 8, .external_lex_state = 4},
  [837] = {.lex_state = 34, .external_lex_state = 4},
  [838] = {.lex_state = 34, .external_lex_state = 4},
  [839] = {.lex_state = 34, .external_lex_state = 4},
  [840] = {.lex_state = 34, .external_lex_state = 4},
  [841] = {.lex_state = 34, .external_lex_state = 4},
  [842] = {.lex_state = 9, .external_lex_state = 4},
  [843] = {.lex_state = 34, .external_lex_state = 4},
  [844] = {.lex_state = 34, .external_lex_state = 4},
  [845] = {.lex_state = 34, .external_lex_state = 4},
  [846] = {.lex_state = 34, .external_lex_state = 4},
  [847] = {.lex_state = 34, .external_lex_state = 4},
  [848] = {.lex_state = 34, .external_lex_state = 4},
  [849] = {.lex_state = 34, .external_lex_state = 4},
  [850] = {.lex_state = 34, .external_lex_state = 4},
  [851] = {.lex_state = 34, .external_lex_state = 4},
  [852] = {.lex_state = 34, .external_lex_state = 4},
  [853] = {.lex_state = 34, .external_lex_state = 4},
  [854] = {.lex_state = 34, .external_lex_state = 4},
  [855] = {.lex_state = 34, .external_lex_state = 4},
  [856] = {.lex_state = 34, .external_lex_state = 4},
  [857] = {.lex_state = 34, .external_lex_state = 4},
  [858] = {.lex_state = 34, .external_lex_state = 4},
  [859] = {.lex_state = 222, .external_lex_state = 2},
  [860] = {.lex_state = 34, .external_lex_state = 4},
  [861] = {.lex_state = 34, .external_lex_state = 4},
  [862] = {.lex_state = 9, .external_lex_state = 4},
  [863] = {.lex_state = 34, .external_lex_state = 4},
  [864] = {.lex_state = 34, .external_lex_state = 4},
  [865] = {.lex_state = 34, .external_lex_state = 4},
  [866] = {.lex_state = 34, .external_lex_state = 4},
  [867] = {.lex_state = 34, .external_lex_state = 4},
  [868] = {.lex_state = 34, .external_lex_state = 4},
  [869] = {.lex_state = 222, .external_lex_state = 2},
  [870] = {.lex_state = 222, .external_lex_state = 2},
  [871] = {.lex_state = 10, .external_lex_state = 4},
  [872] = {.lex_state = 222, .external_lex_state = 2},
  [873] = {.lex_state = 10, .external_lex_state = 4},
  [874] = {.lex_state = 9, .external_lex_state = 4},
  [875] = {.lex_state = 9, .external_lex_state = 4},
  [876] = {.lex_state = 9, .external_lex_state = 4},
  [877] = {.lex_state = 9, .external_lex_state = 4},
  [878] = {.lex_state = 12, .external_lex_state = 4},
  [879] = {.lex_state = 16, .external_lex_state = 5},
  [880] = {.lex_state = 9, .external_lex_state = 4},
  [881] = {.lex_state = 9, .external_lex_state = 4},
  [882] = {.lex_state = 8, .external_lex_state = 4},
  [883] = {.lex_state = 9, .external_lex_state = 4},
  [884] = {.lex_state = 34, .external_lex_state = 4},
  [885] = {.lex_state = 34, .external_lex_state = 4},
  [886] = {.lex_state = 9, .external_lex_state = 4},
  [887] = {.lex_state = 34, .external_lex_state = 4},
  [888] = {.lex_state = 34, .external_lex_state = 4},
  [889] = {.lex_state = 34, .external_lex_state = 4},
  [890] = {.lex_state = 16, .external_lex_state = 5},
  [891] = {.lex_state = 16, .external_lex_state = 5},
  [892] = {.lex_state = 9, .external_lex_state = 4},
  [893] = {.lex_state = 222, .external_lex_state = 3},
  [894] = {.lex_state = 16, .external_lex_state = 5},
  [895] = {.lex_state = 8, .external_lex_state = 4},
  [896] = {.lex_state = 19, .external_lex_state = 4},
  [897] = {.lex_state = 9, .external_lex_state = 5},
  [898] = {.lex_state = 7, .external_lex_state = 4},
  [899] = {.lex_state = 7, .external_lex_state = 4},
  [900] = {.lex_state = 7, .external_lex_state = 4},
  [901] = {.lex_state = 18, .external_lex_state = 4},
  [902] = {.lex_state = 7, .external_lex_state = 4},
  [903] = {.lex_state = 7, .external_lex_state = 4},
  [904] = {.lex_state = 9, .external_lex_state = 4},
  [905] = {.lex_state = 9, .external_lex_state = 4},
  [906] = {.lex_state = 9, .external_lex_state = 5},
  [907] = {.lex_state = 9, .external_lex_state = 4},
  [908] = {.lex_state = 9, .external_lex_state = 4},
  [909] = {.lex_state = 9, .external_lex_state = 4},
  [910] = {.lex_state = 9, .external_lex_state = 4},
  [911] = {.lex_state = 9, .external_lex_state = 4},
  [912] = {.lex_state = 7, .external_lex_state = 4},
  [913] = {.lex_state = 8, .external_lex_state = 4},
  [914] = {.lex_state = 9, .external_lex_state = 4},
  [915] = {.lex_state = 9, .external_lex_state = 4},
  [916] = {.lex_state = 9, .external_lex_state = 5},
  [917] = {.lex_state = 9, .external_lex_state = 4},
  [918] = {.lex_state = 9, .external_lex_state = 5},
  [919] = {.lex_state = 9, .external_lex_state = 4},
  [920] = {.lex_state = 9, .external_lex_state = 5},
  [921] = {.lex_state = 9, .external_lex_state = 4},
  [922] = {.lex_state = 9, .external_lex_state = 4},
  [923] = {.lex_state = 9, .external_lex_state = 4},
  [924] = {.lex_state = 9, .external_lex_state = 4},
  [925] = {.lex_state = 8, .external_lex_state = 4},
  [926] = {.lex_state = 9, .external_lex_state = 4},
  [927] = {.lex_state = 34, .external_lex_state = 4},
  [928] = {.lex_state = 9, .external_lex_state = 4},
  [929] = {.lex_state = 34, .external_lex_state = 4},
  [930] = {.lex_state = 34, .external_lex_state = 4},
  [931] = {.lex_state = 34, .external_lex_state = 4},
  [932] = {.lex_state = 9, .external_lex_state = 4},
  [933] = {.lex_state = 34, .external_lex_state = 4},
  [934] = {.lex_state = 34, .external_lex_state = 4},
  [935] = {.lex_state = 34, .external_lex_state = 4},
  [936] = {.lex_state = 9, .external_lex_state = 4},
  [937] = {.lex_state = 9, .external_lex_state = 4},
  [938] = {.lex_state = 34, .external_lex_state = 4},
  [939] = {.lex_state = 9, .external_lex_state = 4},
  [940] = {.lex_state = 34, .external_lex_state = 4},
  [941] = {.lex_state = 9, .external_lex_state = 4},
  [942] = {.lex_state = 9, .external_lex_state = 4},
  [943] = {.lex_state = 9, .external_lex_state = 4},
  [944] = {.lex_state = 34, .external_lex_state = 4},
  [945] = {.lex_state = 34, .external_lex_state = 4},
  [946] = {.lex_state = 9, .external_lex_state = 4},
  [947] = {.lex_state = 9, .external_lex_state = 4},
  [948] = {.lex_state = 9, .external_lex_state = 4},
  [949] = {.lex_state = 9, .external_lex_state = 4},
  [950] = {.lex_state = 9, .external_lex_state = 4},
  [951] = {.lex_state = 9, .external_lex_state = 4},
  [952] = {.lex_state = 9, .external_lex_state = 4},
  [953] = {.lex_state = 9, .external_lex_state = 4},
  [954] = {.lex_state = 9, .external_lex_state = 4},
  [955] = {.lex_state = 9, .external_lex_state = 4},
  [956] = {.lex_state = 34, .external_lex_state = 4},
  [957] = {.lex_state = 9, .external_lex_state = 5},
  [958] = {.lex_state = 9, .external_lex_state = 4},
  [959] = {.lex_state = 34, .external_lex_state = 4},
  [960] = {.lex_state = 9, .external_lex_state = 4},
  [961] = {.lex_state = 9, .external_lex_state = 4},
  [962] = {.lex_state = 9, .external_lex_state = 4},
  [963] = {.lex_state = 34, .external_lex_state = 4},
  [964] = {.lex_state = 34, .external_lex_state = 4},
  [965] = {.lex_state = 9, .external_lex_state = 4},
  [966] = {.lex_state = 9, .external_lex_state = 4},
  [967] = {.lex_state = 9, .external_lex_state = 4},
  [968] = {.lex_state = 9, .external_lex_state = 4},
  [969] = {.lex_state = 9, .external_lex_state = 4},
  [970] = {.lex_state = 9, .external_lex_state = 4},
  [971] = {.lex_state = 9, .external_lex_state = 4},
  [972] = {.lex_state = 34, .external_lex_state = 4},
  [973] = {.lex_state = 9, .external_lex_state = 4},
  [974] = {.lex_state = 9, .external_lex_state = 4},
  [975] = {.lex_state = 9, .external_lex_state = 4},
  [976] = {.lex_state = 9, .external_lex_state = 5},
  [977] = {.lex_state = 34, .external_lex_state = 4},
  [978] = {.lex_state = 9, .external_lex_state = 4},
  [979] = {.lex_state = 34, .external_lex_state = 4},
  [980] = {.lex_state = 34, .external_lex_state = 4},
  [981] = {.lex_state = 9, .external_lex_state = 4},
  [982] = {.lex_state = 9, .external_lex_state = 4},
  [983] = {.lex_state = 9, .external_lex_state = 4},
  [984] = {.lex_state = 9, .external_lex_state = 4},
  [985] = {.lex_state = 9, .external_lex_state = 4},
  [986] = {.lex_state = 9, .external_lex_state = 4},
  [987] = {.lex_state = 9, .external_lex_state = 4},
  [988] = {.lex_state = 34, .external_lex_state = 4},
  [989] = {.lex_state = 9, .external_lex_state = 4},
  [990] = {.lex_state = 9, .external_lex_state = 4},
  [991] = {.lex_state = 9, .external_lex_state = 4},
  [992] = {.lex_state = 34, .external_lex_state = 4},
  [993] = {.lex_state = 34, .external_lex_state = 4},
  [994] = {.lex_state = 9, .external_lex_state = 4},
  [995] = {.lex_state = 34, .external_lex_state = 4},
  [996] = {.lex_state = 34, .external_lex_state = 4},
  [997] = {.lex_state = 9, .external_lex_state = 5},
  [998] = {.lex_state = 9, .external_lex_state = 4},
  [999] = {.lex_state = 9, .external_lex_state = 4},
  [1000] = {.lex_state = 9, .external_lex_state = 4},
  [1001] = {.lex_state = 9, .external_lex_state = 4},
  [1002] = {.lex_state = 9, .external_lex_state = 4},
  [1003] = {.lex_state = 9, .external_lex_state = 4},
  [1004] = {.lex_state = 9, .external_lex_state = 4},
  [1005] = {.lex_state = 9, .external_lex_state = 4},
  [1006] = {.lex_state = 34, .external_lex_state = 4},
  [1007] = {.lex_state = 34, .external_lex_state = 4},
  [1008] = {.lex_state = 34, .external_lex_state = 4},
  [1009] = {.lex_state = 34, .external_lex_state = 4},
  [1010] = {.lex_state = 9, .external_lex_state = 4},
  [1011] = {.lex_state = 34, .external_lex_state = 4},
  [1012] = {.lex_state = 9, .external_lex_state = 4},
  [1013] = {.lex_state = 8, .external_lex_state = 5},
  [1014] = {.lex_state = 9, .external_lex_state = 4},
  [1015] = {.lex_state = 34, .external_lex_state = 4},
  [1016] = {.lex_state = 9, .external_lex_state = 4},
  [1017] = {.lex_state = 9, .external_lex_state = 5},
  [1018] = {.lex_state = 9, .external_lex_state = 4},
  [1019] = {.lex_state = 34, .external_lex_state = 4},
  [1020] = {.lex_state = 9, .external_lex_state = 4},
  [1021] = {.lex_state = 34, .external_lex_state = 4},
  [1022] = {.lex_state = 9, .external_lex_state = 4},
  [1023] = {.lex_state = 34, .external_lex_state = 4},
  [1024] = {.lex_state = 9, .external_lex_state = 4},
  [1025] = {.lex_state = 9, .external_lex_state = 4},
  [1026] = {.lex_state = 34, .external_lex_state = 4},
  [1027] = {.lex_state = 34, .external_lex_state = 4},
  [1028] = {.lex_state = 9, .external_lex_state = 4},
  [1029] = {.lex_state = 9, .external_lex_state = 4},
  [1030] = {.lex_state = 9, .external_lex_state = 4},
  [1031] = {.lex_state = 9, .external_lex_state = 4},
  [1032] = {.lex_state = 9, .external_lex_state = 4},
  [1033] = {.lex_state = 9, .external_lex_state = 4},
  [1034] = {.lex_state = 9, .external_lex_state = 4},
  [1035] = {.lex_state = 9, .external_lex_state = 4},
  [1036] = {.lex_state = 9, .external_lex_state = 4},
  [1037] = {.lex_state = 34, .external_lex_state = 4},
  [1038] = {.lex_state = 9, .external_lex_state = 5},
  [1039] = {.lex_state = 9, .external_lex_state = 5},
  [1040] = {.lex_state = 9, .external_lex_state = 4},
  [1041] = {.lex_state = 9, .external_lex_state = 5},
  [1042] = {.lex_state = 11, .external_lex_state = 4},
  [1043] = {.lex_state = 9, .external_lex_state = 4},
  [1044] = {.lex_state = 17, .external_lex_state = 4},
  [1045] = {.lex_state = 9, .external_lex_state = 5},
  [1046] = {.lex_state = 9, .external_lex_state = 4},
  [1047] = {.lex_state = 8, .external_lex_state = 5},
  [1048] = {.lex_state = 9, .external_lex_state = 5},
  [1049] = {.lex_state = 9, .external_lex_state = 4},
  [1050] = {.lex_state = 17, .external_lex_state = 4},
  [1051] = {.lex_state = 9, .external_lex_state = 4},
  [1052] = {.lex_state = 8, .external_lex_state = 5},
  [1053] = {.lex_state = 9, .external_lex_state = 5},
  [1054] = {.lex_state = 9, .external_lex_state = 5},
  [1055] = {.lex_state = 13, .external_lex_state = 4},
  [1056] = {.lex_state = 9, .external_lex_state = 5},
  [1057] = {.lex_state = 7, .external_lex_state = 4},
  [1058] = {.lex_state = 9, .external_lex_state = 5},
  [1059] = {.lex_state = 9, .external_lex_state = 5},
  [1060] = {.lex_state = 14, .external_lex_state = 4},
  [1061] = {.lex_state = 9, .external_lex_state = 5},
  [1062] = {.lex_state = 9, .external_lex_state = 5},
  [1063] = {.lex_state = 9, .external_lex_state = 5},
  [1064] = {.lex_state = 8, .external_lex_state = 4},
  [1065] = {.lex_state = 9, .external_lex_state = 5},
  [1066] = {.lex_state = 8, .external_lex_state = 4},
  [1067] = {.lex_state = 9, .external_lex_state = 5},
  [1068] = {.lex_state = 14, .external_lex_state = 4},
  [1069] = {.lex_state = 8, .external_lex_state = 4},
  [1070] = {.lex_state = 3, .external_lex_state = 3},
  [1071] = {.lex_state = 9, .external_lex_state = 5},
  [1072] = {.lex_state = 9, .external_lex_state = 5},
  [1073] = {.lex_state = 9, .external_lex_state = 5},
  [1074] = {.lex_state = 17, .external_lex_state = 4},
  [1075] = {.lex_state = 9, .external_lex_state = 5},
  [1076] = {.lex_state = 9, .external_lex_state = 5},
  [1077] = {.lex_state = 9, .external_lex_state = 5},
  [1078] = {.lex_state = 14, .external_lex_state = 4},
  [1079] = {.lex_state = 9, .external_lex_state = 5},
  [1080] = {.lex_state = 9, .external_lex_state = 5},
  [1081] = {.lex_state = 8, .external_lex_state = 5},
  [1082] = {.lex_state = 14, .external_lex_state = 4},
  [1083] = {.lex_state = 9, .external_lex_state = 5},
  [1084] = {.lex_state = 9, .external_lex_state = 5},
  [1085] = {.lex_state = 9, .external_lex_state = 5},
  [1086] = {.lex_state = 8, .external_lex_state = 4},
  [1087] = {.lex_state = 9, .external_lex_state = 5},
  [1088] = {.lex_state = 9, .external_lex_state = 5},
  [1089] = {.lex_state = 9, .external_lex_state = 5},
  [1090] = {.lex_state = 9, .external_lex_state = 5},
  [1091] = {.lex_state = 9, .external_lex_state = 5},
  [1092] = {.lex_state = 9, .external_lex_state = 5},
  [1093] = {.lex_state = 9, .external_lex_state = 5},
  [1094] = {.lex_state = 9, .external_lex_state = 5},
  [1095] = {.lex_state = 9, .external_lex_state = 5},
  [1096] = {.lex_state = 9, .external_lex_state = 5},
  [1097] = {.lex_state = 9, .external_lex_state = 5},
  [1098] = {.lex_state = 9, .external_lex_state = 4},
  [1099] = {.lex_state = 9, .external_lex_state = 5},
  [1100] = {.lex_state = 8, .external_lex_state = 5},
  [1101] = {.lex_state = 9, .external_lex_state = 5},
  [1102] = {.lex_state = 9, .external_lex_state = 5},
  [1103] = {.lex_state = 9, .external_lex_state = 5},
  [1104] = {.lex_state = 8, .external_lex_state = 5},
  [1105] = {.lex_state = 9, .external_lex_state = 5},
  [1106] = {.lex_state = 9, .external_lex_state = 5},
  [1107] = {.lex_state = 9, .external_lex_state = 5},
  [1108] = {.lex_state = 9, .external_lex_state = 5},
  [1109] = {.lex_state = 9, .external_lex_state = 5},
  [1110] = {.lex_state = 9, .external_lex_state = 5},
  [1111] = {.lex_state = 9, .external_lex_state = 5},
  [1112] = {.lex_state = 9, .external_lex_state = 5},
  [1113] = {.lex_state = 9, .external_lex_state = 5},
  [1114] = {.lex_state = 9, .external_lex_state = 5},
  [1115] = {.lex_state = 9, .external_lex_state = 5},
  [1116] = {.lex_state = 9, .external_lex_state = 5},
  [1117] = {.lex_state = 9, .external_lex_state = 4},
  [1118] = {.lex_state = 9, .external_lex_state = 4},
  [1119] = {.lex_state = 9, .external_lex_state = 5},
  [1120] = {.lex_state = 9, .external_lex_state = 5},
  [1121] = {.lex_state = 9, .external_lex_state = 5},
  [1122] = {.lex_state = 9, .external_lex_state = 5},
  [1123] = {.lex_state = 9, .external_lex_state = 5},
  [1124] = {.lex_state = 9, .external_lex_state = 5},
  [1125] = {.lex_state = 9, .external_lex_state = 5},
  [1126] = {.lex_state = 9, .external_lex_state = 5},
  [1127] = {.lex_state = 9, .external_lex_state = 5},
  [1128] = {.lex_state = 9, .external_lex_state = 5},
  [1129] = {.lex_state = 9, .external_lex_state = 5},
  [1130] = {.lex_state = 9, .external_lex_state = 5},
  [1131] = {.lex_state = 12, .external_lex_state = 4},
  [1132] = {.lex_state = 9, .external_lex_state = 5},
  [1133] = {.lex_state = 9, .external_lex_state = 5},
  [1134] = {.lex_state = 8, .external_lex_state = 4},
  [1135] = {.lex_state = 9, .external_lex_state = 5},
  [1136] = {.lex_state = 9, .external_lex_state = 5},
  [1137] = {.lex_state = 9, .external_lex_state = 5},
  [1138] = {.lex_state = 9, .external_lex_state = 5},
  [1139] = {.lex_state = 9, .external_lex_state = 5},
  [1140] = {.lex_state = 8, .external_lex_state = 4},
  [1141] = {.lex_state = 9, .external_lex_state = 5},
  [1142] = {.lex_state = 9, .external_lex_state = 5},
  [1143] = {.lex_state = 9, .external_lex_state = 5},
  [1144] = {.lex_state = 8, .external_lex_state = 4},
  [1145] = {.lex_state = 9, .external_lex_state = 5},
  [1146] = {.lex_state = 9, .external_lex_state = 5},
  [1147] = {.lex_state = 9, .external_lex_state = 5},
  [1148] = {.lex_state = 9, .external_lex_state = 5},
  [1149] = {.lex_state = 9, .external_lex_state = 5},
  [1150] = {.lex_state = 9, .external_lex_state = 5},
  [1151] = {.lex_state = 9, .external_lex_state = 5},
  [1152] = {.lex_state = 9, .external_lex_state = 5},
  [1153] = {.lex_state = 9, .external_lex_state = 5},
  [1154] = {.lex_state = 12, .external_lex_state = 4},
  [1155] = {.lex_state = 9, .external_lex_state = 5},
  [1156] = {.lex_state = 9, .external_lex_state = 5},
  [1157] = {.lex_state = 9, .external_lex_state = 5},
  [1158] = {.lex_state = 8, .external_lex_state = 4},
  [1159] = {.lex_state = 9, .external_lex_state = 5},
  [1160] = {.lex_state = 9, .external_lex_state = 5},
  [1161] = {.lex_state = 9, .external_lex_state = 5},
  [1162] = {.lex_state = 9, .external_lex_state = 5},
  [1163] = {.lex_state = 12, .external_lex_state = 4},
  [1164] = {.lex_state = 9, .external_lex_state = 5},
  [1165] = {.lex_state = 9, .external_lex_state = 5},
  [1166] = {.lex_state = 9, .external_lex_state = 5},
  [1167] = {.lex_state = 9, .external_lex_state = 5},
  [1168] = {.lex_state = 9, .external_lex_state = 5},
  [1169] = {.lex_state = 8, .external_lex_state = 4},
  [1170] = {.lex_state = 9, .external_lex_state = 5},
  [1171] = {.lex_state = 9, .external_lex_state = 5},
  [1172] = {.lex_state = 9, .external_lex_state = 5},
  [1173] = {.lex_state = 9, .external_lex_state = 5},
  [1174] = {.lex_state = 9, .external_lex_state = 5},
  [1175] = {.lex_state = 9, .external_lex_state = 5},
  [1176] = {.lex_state = 9, .external_lex_state = 5},
  [1177] = {.lex_state = 8, .external_lex_state = 4},
  [1178] = {.lex_state = 8, .external_lex_state = 4},
  [1179] = {.lex_state = 12, .external_lex_state = 4},
  [1180] = {.lex_state = 9, .external_lex_state = 4},
  [1181] = {.lex_state = 8, .external_lex_state = 5},
  [1182] = {.lex_state = 17, .external_lex_state = 4},
  [1183] = {.lex_state = 17, .external_lex_state = 4},
  [1184] = {.lex_state = 8, .external_lex_state = 4},
  [1185] = {.lex_state = 8, .external_lex_state = 5},
  [1186] = {.lex_state = 8, .external_lex_state = 5},
  [1187] = {.lex_state = 8, .external_lex_state = 5},
  [1188] = {.lex_state = 8, .external_lex_state = 4},
  [1189] = {.lex_state = 12, .external_lex_state = 4},
  [1190] = {.lex_state = 12, .external_lex_state = 4},
  [1191] = {.lex_state = 8, .external_lex_state = 5},
  [1192] = {.lex_state = 9, .external_lex_state = 4},
  [1193] = {.lex_state = 8, .external_lex_state = 4},
  [1194] = {.lex_state = 34, .external_lex_state = 4},
  [1195] = {.lex_state = 8, .external_lex_state = 5},
  [1196] = {.lex_state = 17, .external_lex_state = 4},
  [1197] = {.lex_state = 12, .external_lex_state = 4},
  [1198] = {.lex_state = 9, .external_lex_state = 4},
  [1199] = {.lex_state = 9, .external_lex_state = 4},
  [1200] = {.lex_state = 8, .external_lex_state = 4},
  [1201] = {.lex_state = 8, .external_lex_state = 5},
  [1202] = {.lex_state = 8, .external_lex_state = 5},
  [1203] = {.lex_state = 8, .external_lex_state = 5},
  [1204] = {.lex_state = 8, .external_lex_state = 5},
  [1205] = {.lex_state = 9, .external_lex_state = 4},
  [1206] = {.lex_state = 8, .external_lex_state = 5},
  [1207] = {.lex_state = 9, .external_lex_state = 4},
  [1208] = {.lex_state = 8, .external_lex_state = 5},
  [1209] = {.lex_state = 8, .external_lex_state = 5},
  [1210] = {.lex_state = 12, .external_lex_state = 4},
  [1211] = {.lex_state = 17, .external_lex_state = 4},
  [1212] = {.lex_state = 8, .external_lex_state = 4},
  [1213] = {.lex_state = 8, .external_lex_state = 4},
  [1214] = {.lex_state = 8, .external_lex_state = 4},
  [1215] = {.lex_state = 8, .external_lex_state = 4},
  [1216] = {.lex_state = 8, .external_lex_state = 4},
  [1217] = {.lex_state = 8, .external_lex_state = 4},
  [1218] = {.lex_state = 8, .external_lex_state = 4},
  [1219] = {.lex_state = 8, .external_lex_state = 4},
  [1220] = {.lex_state = 8, .external_lex_state = 4},
  [1221] = {.lex_state = 8, .external_lex_state = 4},
  [1222] = {.lex_state = 8, .external_lex_state = 4},
  [1223] = {.lex_state = 8, .external_lex_state = 4},
  [1224] = {.lex_state = 8, .external_lex_state = 4},
  [1225] = {.lex_state = 8, .external_lex_state = 4},
  [1226] = {.lex_state = 8, .external_lex_state = 4},
  [1227] = {.lex_state = 8, .external_lex_state = 4},
  [1228] = {.lex_state = 8, .external_lex_state = 4},
  [1229] = {.lex_state = 8, .external_lex_state = 4},
  [1230] = {.lex_state = 8, .external_lex_state = 4},
  [1231] = {.lex_state = 9, .external_lex_state = 4},
  [1232] = {.lex_state = 8, .external_lex_state = 4},
  [1233] = {.lex_state = 8, .external_lex_state = 4},
  [1234] = {.lex_state = 8, .external_lex_state = 4},
  [1235] = {.lex_state = 8, .external_lex_state = 4},
  [1236] = {.lex_state = 8, .external_lex_state = 4},
  [1237] = {.lex_state = 8, .external_lex_state = 4},
  [1238] = {.lex_state = 8, .external_lex_state = 4},
  [1239] = {.lex_state = 8, .external_lex_state = 4},
  [1240] = {.lex_state = 8, .external_lex_state = 4},
  [1241] = {.lex_state = 8, .external_lex_state = 4},
  [1242] = {.lex_state = 8, .external_lex_state = 4},
  [1243] = {.lex_state = 12, .external_lex_state = 4},
  [1244] = {.lex_state = 8, .external_lex_state = 4},
  [1245] = {.lex_state = 8, .external_lex_state = 4},
  [1246] = {.lex_state = 12, .external_lex_state = 4},
  [1247] = {.lex_state = 12, .external_lex_state = 4},
  [1248] = {.lex_state = 8, .external_lex_state = 4},
  [1249] = {.lex_state = 8, .external_lex_state = 4},
  [1250] = {.lex_state = 8, .external_lex_state = 4},
  [1251] = {.lex_state = 8, .external_lex_state = 4},
  [1252] = {.lex_state = 8, .external_lex_state = 4},
  [1253] = {.lex_state = 8, .external_lex_state = 4},
  [1254] = {.lex_state = 8, .external_lex_state = 4},
  [1255] = {.lex_state = 8, .external_lex_state = 4},
  [1256] = {.lex_state = 8, .external_lex_state = 4},
  [1257] = {.lex_state = 8, .external_lex_state = 4},
  [1258] = {.lex_state = 8, .external_lex_state = 4},
  [1259] = {.lex_state = 8, .external_lex_state = 4},
  [1260] = {.lex_state = 8, .external_lex_state = 4},
  [1261] = {.lex_state = 8, .external_lex_state = 4},
  [1262] = {.lex_state = 14, .external_lex_state = 4},
  [1263] = {.lex_state = 8, .external_lex_state = 4},
  [1264] = {.lex_state = 8, .external_lex_state = 4},
  [1265] = {.lex_state = 8, .external_lex_state = 4},
  [1266] = {.lex_state = 8, .external_lex_state = 4},
  [1267] = {.lex_state = 8, .external_lex_state = 4},
  [1268] = {.lex_state = 8, .external_lex_state = 4},
  [1269] = {.lex_state = 14, .external_lex_state = 4},
  [1270] = {.lex_state = 8, .external_lex_state = 4},
  [1271] = {.lex_state = 8, .external_lex_state = 4},
  [1272] = {.lex_state = 5, .external_lex_state = 3},
  [1273] = {.lex_state = 8, .external_lex_state = 4},
  [1274] = {.lex_state = 8, .external_lex_state = 4},
  [1275] = {.lex_state = 8, .external_lex_state = 4},
  [1276] = {.lex_state = 8, .external_lex_state = 4},
  [1277] = {.lex_state = 8, .external_lex_state = 4},
  [1278] = {.lex_state = 8, .external_lex_state = 4},
  [1279] = {.lex_state = 8, .external_lex_state = 5},
  [1280] = {.lex_state = 8, .external_lex_state = 4},
  [1281] = {.lex_state = 8, .external_lex_state = 4},
  [1282] = {.lex_state = 8, .external_lex_state = 4},
  [1283] = {.lex_state = 12, .external_lex_state = 4},
  [1284] = {.lex_state = 8, .external_lex_state = 4},
  [1285] = {.lex_state = 8, .external_lex_state = 4},
  [1286] = {.lex_state = 8, .external_lex_state = 4},
  [1287] = {.lex_state = 8, .external_lex_state = 4},
  [1288] = {.lex_state = 8, .external_lex_state = 4},
  [1289] = {.lex_state = 8, .external_lex_state = 4},
  [1290] = {.lex_state = 8, .external_lex_state = 4},
  [1291] = {.lex_state = 8, .external_lex_state = 4},
  [1292] = {.lex_state = 8, .external_lex_state = 4},
  [1293] = {.lex_state = 8, .external_lex_state = 4},
  [1294] = {.lex_state = 8, .external_lex_state = 4},
  [1295] = {.lex_state = 8, .external_lex_state = 4},
  [1296] = {.lex_state = 8, .external_lex_state = 4},
  [1297] = {.lex_state = 8, .external_lex_state = 4},
  [1298] = {.lex_state = 8, .external_lex_state = 4},
  [1299] = {.lex_state = 8, .external_lex_state = 4},
  [1300] = {.lex_state = 8, .external_lex_state = 4},
  [1301] = {.lex_state = 12, .external_lex_state = 4},
  [1302] = {.lex_state = 8, .external_lex_state = 4},
  [1303] = {.lex_state = 8, .external_lex_state = 4},
  [1304] = {.lex_state = 8, .external_lex_state = 4},
  [1305] = {.lex_state = 8, .external_lex_state = 4},
  [1306] = {.lex_state = 8, .external_lex_state = 4},
  [1307] = {.lex_state = 8, .external_lex_state = 4},
  [1308] = {.lex_state = 8, .external_lex_state = 4},
  [1309] = {.lex_state = 8, .external_lex_state = 4},
  [1310] = {.lex_state = 8, .external_lex_state = 4},
  [1311] = {.lex_state = 8, .external_lex_state = 4},
  [1312] = {.lex_state = 8, .external_lex_state = 4},
  [1313] = {.lex_state = 8, .external_lex_state = 4},
  [1314] = {.lex_state = 8, .external_lex_state = 4},
  [1315] = {.lex_state = 12, .external_lex_state = 4},
  [1316] = {.lex_state = 8, .external_lex_state = 4},
  [1317] = {.lex_state = 8, .external_lex_state = 4},
  [1318] = {.lex_state = 8, .external_lex_state = 4},
  [1319] = {.lex_state = 8, .external_lex_state = 4},
  [1320] = {.lex_state = 8, .external_lex_state = 4},
  [1321] = {.lex_state = 9, .external_lex_state = 4},
  [1322] = {.lex_state = 8, .external_lex_state = 4},
  [1323] = {.lex_state = 14, .external_lex_state = 4},
  [1324] = {.lex_state = 12, .external_lex_state = 4},
  [1325] = {.lex_state = 8, .external_lex_state = 4},
  [1326] = {.lex_state = 8, .external_lex_state = 4},
  [1327] = {.lex_state = 14, .external_lex_state = 4},
  [1328] = {.lex_state = 12, .external_lex_state = 4},
  [1329] = {.lex_state = 12, .external_lex_state = 4},
  [1330] = {.lex_state = 12, .external_lex_state = 4},
  [1331] = {.lex_state = 12, .external_lex_state = 4},
  [1332] = {.lex_state = 8, .external_lex_state = 4},
  [1333] = {.lex_state = 8, .external_lex_state = 4},
  [1334] = {.lex_state = 12, .external_lex_state = 4},
  [1335] = {.lex_state = 12, .external_lex_state = 4},
  [1336] = {.lex_state = 12, .external_lex_state = 4},
  [1337] = {.lex_state = 12, .external_lex_state = 4},
  [1338] = {.lex_state = 12, .external_lex_state = 4},
  [1339] = {.lex_state = 12, .external_lex_state = 4},
  [1340] = {.lex_state = 12, .external_lex_state = 4},
  [1341] = {.lex_state = 12, .external_lex_state = 4},
  [1342] = {.lex_state = 12, .external_lex_state = 4},
  [1343] = {.lex_state = 12, .external_lex_state = 4},
  [1344] = {.lex_state = 12, .external_lex_state = 4},
  [1345] = {.lex_state = 12, .external_lex_state = 4},
  [1346] = {.lex_state = 12, .external_lex_state = 4},
  [1347] = {.lex_state = 12, .external_lex_state = 4},
  [1348] = {.lex_state = 12, .external_lex_state = 4},
  [1349] = {.lex_state = 12, .external_lex_state = 4},
  [1350] = {.lex_state = 12, .external_lex_state = 4},
  [1351] = {.lex_state = 12, .external_lex_state = 4},
  [1352] = {.lex_state = 12, .external_lex_state = 4},
  [1353] = {.lex_state = 12, .external_lex_state = 4},
  [1354] = {.lex_state = 12, .external_lex_state = 4},
  [1355] = {.lex_state = 12, .external_lex_state = 4},
  [1356] = {.lex_state = 12, .external_lex_state = 4},
  [1357] = {.lex_state = 12, .external_lex_state = 4},
  [1358] = {.lex_state = 8, .external_lex_state = 4},
  [1359] = {.lex_state = 12, .external_lex_state = 4},
  [1360] = {.lex_state = 12, .external_lex_state = 4},
  [1361] = {.lex_state = 12, .external_lex_state = 4},
  [1362] = {.lex_state = 12, .external_lex_state = 4},
  [1363] = {.lex_state = 12, .external_lex_state = 4},
  [1364] = {.lex_state = 12, .external_lex_state = 4},
  [1365] = {.lex_state = 12, .external_lex_state = 4},
  [1366] = {.lex_state = 12, .external_lex_state = 4},
  [1367] = {.lex_state = 12, .external_lex_state = 4},
  [1368] = {.lex_state = 12, .external_lex_state = 4},
  [1369] = {.lex_state = 12, .external_lex_state = 4},
  [1370] = {.lex_state = 12, .external_lex_state = 4},
  [1371] = {.lex_state = 12, .external_lex_state = 4},
  [1372] = {.lex_state = 12, .external_lex_state = 4},
  [1373] = {.lex_state = 12, .external_lex_state = 4},
  [1374] = {.lex_state = 12, .external_lex_state = 4},
  [1375] = {.lex_state = 12, .external_lex_state = 4},
  [1376] = {.lex_state = 12, .external_lex_state = 4},
  [1377] = {.lex_state = 12, .external_lex_state = 4},
  [1378] = {.lex_state = 12, .external_lex_state = 4},
  [1379] = {.lex_state = 12, .external_lex_state = 4},
  [1380] = {.lex_state = 12, .external_lex_state = 4},
  [1381] = {.lex_state = 12, .external_lex_state = 4},
  [1382] = {.lex_state = 12, .external_lex_state = 4},
  [1383] = {.lex_state = 12, .external_lex_state = 4},
  [1384] = {.lex_state = 12, .external_lex_state = 4},
  [1385] = {.lex_state = 12, .external_lex_state = 4},
  [1386] = {.lex_state = 12, .external_lex_state = 4},
  [1387] = {.lex_state = 8, .external_lex_state = 4},
  [1388] = {.lex_state = 8, .external_lex_state = 4},
  [1389] = {.lex_state = 8, .external_lex_state = 4},
  [1390] = {.lex_state = 12, .external_lex_state = 4},
  [1391] = {.lex_state = 12, .external_lex_state = 4},
  [1392] = {.lex_state = 12, .external_lex_state = 4},
  [1393] = {.lex_state = 8, .external_lex_state = 4},
  [1394] = {.lex_state = 12, .external_lex_state = 4},
  [1395] = {.lex_state = 12, .external_lex_state = 4},
  [1396] = {.lex_state = 12, .external_lex_state = 4},
  [1397] = {.lex_state = 12, .external_lex_state = 4},
  [1398] = {.lex_state = 12, .external_lex_state = 4},
  [1399] = {.lex_state = 8, .external_lex_state = 4},
  [1400] = {.lex_state = 12, .external_lex_state = 4},
  [1401] = {.lex_state = 12, .external_lex_state = 4},
  [1402] = {.lex_state = 12, .external_lex_state = 4},
  [1403] = {.lex_state = 8, .external_lex_state = 4},
  [1404] = {.lex_state = 12, .external_lex_state = 4},
  [1405] = {.lex_state = 12, .external_lex_state = 4},
  [1406] = {.lex_state = 8, .external_lex_state = 4},
  [1407] = {.lex_state = 9, .external_lex_state = 4},
  [1408] = {.lex_state = 12, .external_lex_state = 4},
  [1409] = {.lex_state = 12, .external_lex_state = 4},
  [1410] = {.lex_state = 12, .external_lex_state = 4},
  [1411] = {.lex_state = 12, .external_lex_state = 4},
  [1412] = {.lex_state = 12, .external_lex_state = 4},
  [1413] = {.lex_state = 8, .external_lex_state = 4},
  [1414] = {.lex_state = 12, .external_lex_state = 4},
  [1415] = {.lex_state = 12, .external_lex_state = 4},
  [1416] = {.lex_state = 8, .external_lex_state = 4},
  [1417] = {.lex_state = 8, .external_lex_state = 4},
  [1418] = {.lex_state = 8, .external_lex_state = 4},
  [1419] = {.lex_state = 12, .external_lex_state = 4},
  [1420] = {.lex_state = 12, .external_lex_state = 4},
  [1421] = {.lex_state = 12, .external_lex_state = 4},
  [1422] = {.lex_state = 12, .external_lex_state = 4},
  [1423] = {.lex_state = 12, .external_lex_state = 4},
  [1424] = {.lex_state = 12, .external_lex_state = 4},
  [1425] = {.lex_state = 12, .external_lex_state = 4},
  [1426] = {.lex_state = 12, .external_lex_state = 4},
  [1427] = {.lex_state = 12, .external_lex_state = 4},
  [1428] = {.lex_state = 12, .external_lex_state = 4},
  [1429] = {.lex_state = 12, .external_lex_state = 4},
  [1430] = {.lex_state = 12, .external_lex_state = 4},
  [1431] = {.lex_state = 12, .external_lex_state = 4},
  [1432] = {.lex_state = 12, .external_lex_state = 4},
  [1433] = {.lex_state = 12, .external_lex_state = 4},
  [1434] = {.lex_state = 12, .external_lex_state = 4},
  [1435] = {.lex_state = 8, .external_lex_state = 4},
  [1436] = {.lex_state = 8, .external_lex_state = 4},
  [1437] = {.lex_state = 8, .external_lex_state = 4},
  [1438] = {.lex_state = 8, .external_lex_state = 4},
  [1439] = {.lex_state = 8, .external_lex_state = 4},
  [1440] = {.lex_state = 8, .external_lex_state = 4},
  [1441] = {.lex_state = 8, .external_lex_state = 4},
  [1442] = {.lex_state = 9, .external_lex_state = 4},
  [1443] = {.lex_state = 8, .external_lex_state = 4},
  [1444] = {.lex_state = 8, .external_lex_state = 4},
  [1445] = {.lex_state = 9, .external_lex_state = 4},
  [1446] = {.lex_state = 8, .external_lex_state = 4},
  [1447] = {.lex_state = 8, .external_lex_state = 4},
  [1448] = {.lex_state = 8, .external_lex_state = 4},
  [1449] = {.lex_state = 8, .external_lex_state = 4},
  [1450] = {.lex_state = 8, .external_lex_state = 4},
  [1451] = {.lex_state = 8, .external_lex_state = 4},
  [1452] = {.lex_state = 9, .external_lex_state = 4},
  [1453] = {.lex_state = 8, .external_lex_state = 4},
  [1454] = {.lex_state = 9, .external_lex_state = 4},
  [1455] = {.lex_state = 9, .external_lex_state = 4},
  [1456] = {.lex_state = 9, .external_lex_state = 4},
  [1457] = {.lex_state = 9, .external_lex_state = 4},
  [1458] = {.lex_state = 8, .external_lex_state = 4},
  [1459] = {.lex_state = 9, .external_lex_state = 4},
  [1460] = {.lex_state = 8, .external_lex_state = 4},
  [1461] = {.lex_state = 9, .external_lex_state = 4},
  [1462] = {.lex_state = 9, .external_lex_state = 5},
  [1463] = {.lex_state = 8, .external_lex_state = 4},
  [1464] = {.lex_state = 9, .external_lex_state = 5},
  [1465] = {.lex_state = 9, .external_lex_state = 5},
  [1466] = {.lex_state = 9, .external_lex_state = 5},
  [1467] = {.lex_state = 9, .external_lex_state = 5},
  [1468] = {.lex_state = 9, .external_lex_state = 5},
  [1469] = {.lex_state = 9, .external_lex_state = 5},
  [1470] = {.lex_state = 8, .external_lex_state = 4},
  [1471] = {.lex_state = 9, .external_lex_state = 4},
  [1472] = {.lex_state = 8, .external_lex_state = 4},
  [1473] = {.lex_state = 9, .external_lex_state = 4},
  [1474] = {.lex_state = 9, .external_lex_state = 5},
  [1475] = {.lex_state = 9, .external_lex_state = 4},
  [1476] = {.lex_state = 9, .external_lex_state = 4},
  [1477] = {.lex_state = 8, .external_lex_state = 4},
  [1478] = {.lex_state = 9, .external_lex_state = 4},
  [1479] = {.lex_state = 8, .external_lex_state = 4},
  [1480] = {.lex_state = 8, .external_lex_state = 4},
  [1481] = {.lex_state = 8, .external_lex_state = 4},
  [1482] = {.lex_state = 8, .external_lex_state = 4},
  [1483] = {.lex_state = 8, .external_lex_state = 4},
  [1484] = {.lex_state = 8, .external_lex_state = 4},
  [1485] = {.lex_state = 9, .external_lex_state = 4},
  [1486] = {.lex_state = 8, .external_lex_state = 4},
  [1487] = {.lex_state = 9, .external_lex_state = 4},
  [1488] = {.lex_state = 9, .external_lex_state = 5},
  [1489] = {.lex_state = 9, .external_lex_state = 4},
  [1490] = {.lex_state = 9, .external_lex_state = 4},
  [1491] = {.lex_state = 8, .external_lex_state = 5},
  [1492] = {.lex_state = 8, .external_lex_state = 4},
  [1493] = {.lex_state = 8, .external_lex_state = 5},
  [1494] = {.lex_state = 8, .external_lex_state = 4},
  [1495] = {.lex_state = 9, .external_lex_state = 4},
  [1496] = {.lex_state = 8, .external_lex_state = 5},
  [1497] = {.lex_state = 9, .external_lex_state = 4},
  [1498] = {.lex_state = 8, .external_lex_state = 4},
  [1499] = {.lex_state = 8, .external_lex_state = 4},
  [1500] = {.lex_state = 9, .external_lex_state = 4},
  [1501] = {.lex_state = 8, .external_lex_state = 4},
  [1502] = {.lex_state = 9, .external_lex_state = 4},
  [1503] = {.lex_state = 8, .external_lex_state = 4},
  [1504] = {.lex_state = 8, .external_lex_state = 4},
  [1505] = {.lex_state = 8, .external_lex_state = 4},
  [1506] = {.lex_state = 8, .external_lex_state = 5},
  [1507] = {.lex_state = 8, .external_lex_state = 4},
  [1508] = {.lex_state = 9, .external_lex_state = 4},
  [1509] = {.lex_state = 8, .external_lex_state = 4},
  [1510] = {.lex_state = 5, .external_lex_state = 3},
  [1511] = {.lex_state = 9, .external_lex_state = 4},
  [1512] = {.lex_state = 9, .external_lex_state = 4},
  [1513] = {.lex_state = 8, .external_lex_state = 4},
  [1514] = {.lex_state = 9, .external_lex_state = 4},
  [1515] = {.lex_state = 8, .external_lex_state = 4},
  [1516] = {.lex_state = 9, .external_lex_state = 4},
  [1517] = {.lex_state = 8, .external_lex_state = 5},
  [1518] = {.lex_state = 8, .external_lex_state = 5},
  [1519] = {.lex_state = 8, .external_lex_state = 5},
  [1520] = {.lex_state = 8, .external_lex_state = 5},
  [1521] = {.lex_state = 9, .external_lex_state = 4},
  [1522] = {.lex_state = 8, .external_lex_state = 4},
  [1523] = {.lex_state = 8, .external_lex_state = 4},
  [1524] = {.lex_state = 8, .external_lex_state = 4},
  [1525] = {.lex_state = 12, .external_lex_state = 4},
  [1526] = {.lex_state = 12, .external_lex_state = 4},
  [1527] = {.lex_state = 8, .external_lex_state = 4},
  [1528] = {.lex_state = 12, .external_lex_state = 4},
  [1529] = {.lex_state = 8, .external_lex_state = 4},
  [1530] = {.lex_state = 8, .external_lex_state = 4},
  [1531] = {.lex_state = 8, .external_lex_state = 4},
  [1532] = {.lex_state = 8, .external_lex_state = 4},
  [1533] = {.lex_state = 5, .external_lex_state = 3},
  [1534] = {.lex_state = 8, .external_lex_state = 4},
  [1535] = {.lex_state = 8, .external_lex_state = 4},
  [1536] = {.lex_state = 8, .external_lex_state = 4},
  [1537] = {.lex_state = 8, .external_lex_state = 4},
  [1538] = {.lex_state = 8, .external_lex_state = 4},
  [1539] = {.lex_state = 8, .external_lex_state = 4},
  [1540] = {.lex_state = 12, .external_lex_state = 4},
  [1541] = {.lex_state = 5, .external_lex_state = 3},
  [1542] = {.lex_state = 12, .external_lex_state = 4},
  [1543] = {.lex_state = 8, .external_lex_state = 4},
  [1544] = {.lex_state = 12, .external_lex_state = 4},
  [1545] = {.lex_state = 12, .external_lex_state = 4},
  [1546] = {.lex_state = 8, .external_lex_state = 4},
  [1547] = {.lex_state = 8, .external_lex_state = 4},
  [1548] = {.lex_state = 8, .external_lex_state = 4},
  [1549] = {.lex_state = 8, .external_lex_state = 4},
  [1550] = {.lex_state = 8, .external_lex_state = 4},
  [1551] = {.lex_state = 8, .external_lex_state = 4},
  [1552] = {.lex_state = 8, .external_lex_state = 4},
  [1553] = {.lex_state = 12, .external_lex_state = 4},
  [1554] = {.lex_state = 12, .external_lex_state = 4},
  [1555] = {.lex_state = 12, .external_lex_state = 4},
  [1556] = {.lex_state = 8, .external_lex_state = 4},
  [1557] = {.lex_state = 8, .external_lex_state = 4},
  [1558] = {.lex_state = 8, .external_lex_state = 4},
  [1559] = {.lex_state = 8, .external_lex_state = 4},
  [1560] = {.lex_state = 8, .external_lex_state = 4},
  [1561] = {.lex_state = 8, .external_lex_state = 4},
  [1562] = {.lex_state = 8, .external_lex_state = 4},
  [1563] = {.lex_state = 8, .external_lex_state = 4},
  [1564] = {.lex_state = 8, .external_lex_state = 4},
  [1565] = {.lex_state = 8, .external_lex_state = 4},
  [1566] = {.lex_state = 8, .external_lex_state = 4},
  [1567] = {.lex_state = 8, .external_lex_state = 4},
  [1568] = {.lex_state = 8, .external_lex_state = 4},
  [1569] = {.lex_state = 8, .external_lex_state = 4},
  [1570] = {.lex_state = 8, .external_lex_state = 4},
  [1571] = {.lex_state = 8, .external_lex_state = 4},
  [1572] = {.lex_state = 8, .external_lex_state = 4},
  [1573] = {.lex_state = 8, .external_lex_state = 4},
  [1574] = {.lex_state = 8, .external_lex_state = 4},
  [1575] = {.lex_state = 8, .external_lex_state = 4},
  [1576] = {.lex_state = 8, .external_lex_state = 4},
  [1577] = {.lex_state = 8, .external_lex_state = 4},
  [1578] = {.lex_state = 8, .external_lex_state = 4},
  [1579] = {.lex_state = 8, .external_lex_state = 4},
  [1580] = {.lex_state = 5, .external_lex_state = 3},
  [1581] = {.lex_state = 8, .external_lex_state = 4},
  [1582] = {.lex_state = 8, .external_lex_state = 4},
  [1583] = {.lex_state = 5, .external_lex_state = 3},
  [1584] = {.lex_state = 9, .external_lex_state = 4},
  [1585] = {.lex_state = 8, .external_lex_state = 4},
  [1586] = {.lex_state = 8, .external_lex_state = 4},
  [1587] = {.lex_state = 9, .external_lex_state = 4},
  [1588] = {.lex_state = 9, .external_lex_state = 4},
  [1589] = {.lex_state = 8, .external_lex_state = 4},
  [1590] = {.lex_state = 9, .external_lex_state = 4},
  [1591] = {.lex_state = 8, .external_lex_state = 4},
  [1592] = {.lex_state = 8, .external_lex_state = 4},
  [1593] = {.lex_state = 8, .external_lex_state = 4},
  [1594] = {.lex_state = 8, .external_lex_state = 4},
  [1595] = {.lex_state = 8, .external_lex_state = 4},
  [1596] = {.lex_state = 8, .external_lex_state = 4},
  [1597] = {.lex_state = 8, .external_lex_state = 4},
  [1598] = {.lex_state = 8, .external_lex_state = 4},
  [1599] = {.lex_state = 8, .external_lex_state = 4},
  [1600] = {.lex_state = 8, .external_lex_state = 4},
  [1601] = {.lex_state = 8, .external_lex_state = 4},
  [1602] = {.lex_state = 8, .external_lex_state = 4},
  [1603] = {.lex_state = 9, .external_lex_state = 4},
  [1604] = {.lex_state = 9, .external_lex_state = 4},
  [1605] = {.lex_state = 8, .external_lex_state = 4},
  [1606] = {.lex_state = 9, .external_lex_state = 4},
  [1607] = {.lex_state = 5, .external_lex_state = 3},
  [1608] = {.lex_state = 8, .external_lex_state = 4},
  [1609] = {.lex_state = 8, .external_lex_state = 4},
  [1610] = {.lex_state = 5, .external_lex_state = 3},
  [1611] = {.lex_state = 9, .external_lex_state = 4},
  [1612] = {.lex_state = 8, .external_lex_state = 4},
  [1613] = {.lex_state = 8, .external_lex_state = 4},
  [1614] = {.lex_state = 8, .external_lex_state = 4},
  [1615] = {.lex_state = 8, .external_lex_state = 4},
  [1616] = {.lex_state = 8, .external_lex_state = 4},
  [1617] = {.lex_state = 9, .external_lex_state = 4},
  [1618] = {.lex_state = 9, .external_lex_state = 4},
  [1619] = {.lex_state = 8, .external_lex_state = 4},
  [1620] = {.lex_state = 8, .external_lex_state = 4},
  [1621] = {.lex_state = 8, .external_lex_state = 4},
  [1622] = {.lex_state = 8, .external_lex_state = 4},
  [1623] = {.lex_state = 8, .external_lex_state = 4},
  [1624] = {.lex_state = 9, .external_lex_state = 4},
  [1625] = {.lex_state = 8, .external_lex_state = 4},
  [1626] = {.lex_state = 9, .external_lex_state = 4},
  [1627] = {.lex_state = 8, .external_lex_state = 4},
  [1628] = {.lex_state = 8, .external_lex_state = 4},
  [1629] = {.lex_state = 8, .external_lex_state = 4},
  [1630] = {.lex_state = 9, .external_lex_state = 4},
  [1631] = {.lex_state = 8, .external_lex_state = 4},
  [1632] = {.lex_state = 8, .external_lex_state = 4},
  [1633] = {.lex_state = 9, .external_lex_state = 4},
  [1634] = {.lex_state = 8, .external_lex_state = 4},
  [1635] = {.lex_state = 8, .external_lex_state = 4},
  [1636] = {.lex_state = 12, .external_lex_state = 4},
  [1637] = {.lex_state = 9, .external_lex_state = 4},
  [1638] = {.lex_state = 8, .external_lex_state = 4},
  [1639] = {.lex_state = 8, .external_lex_state = 4},
  [1640] = {.lex_state = 12, .external_lex_state = 4},
  [1641] = {.lex_state = 8, .external_lex_state = 4},
  [1642] = {.lex_state = 12, .external_lex_state = 4},
  [1643] = {.lex_state = 8, .external_lex_state = 4},
  [1644] = {.lex_state = 8, .external_lex_state = 4},
  [1645] = {.lex_state = 8, .external_lex_state = 4},
  [1646] = {.lex_state = 12, .external_lex_state = 4},
  [1647] = {.lex_state = 12, .external_lex_state = 4},
  [1648] = {.lex_state = 8, .external_lex_state = 4},
  [1649] = {.lex_state = 8, .external_lex_state = 4},
  [1650] = {.lex_state = 12, .external_lex_state = 4},
  [1651] = {.lex_state = 8, .external_lex_state = 4},
  [1652] = {.lex_state = 8, .external_lex_state = 4},
  [1653] = {.lex_state = 8, .external_lex_state = 4},
  [1654] = {.lex_state = 9, .external_lex_state = 4},
  [1655] = {.lex_state = 12, .external_lex_state = 4},
  [1656] = {.lex_state = 8, .external_lex_state = 4},
  [1657] = {.lex_state = 8, .external_lex_state = 4},
  [1658] = {.lex_state = 8, .external_lex_state = 4},
  [1659] = {.lex_state = 12, .external_lex_state = 4},
  [1660] = {.lex_state = 8, .external_lex_state = 4},
  [1661] = {.lex_state = 8, .external_lex_state = 4},
  [1662] = {.lex_state = 8, .external_lex_state = 4},
  [1663] = {.lex_state = 8, .external_lex_state = 4},
  [1664] = {.lex_state = 8, .external_lex_state = 4},
  [1665] = {.lex_state = 8, .external_lex_state = 4},
  [1666] = {.lex_state = 8, .external_lex_state = 4},
  [1667] = {.lex_state = 8, .external_lex_state = 4},
  [1668] = {.lex_state = 8, .external_lex_state = 4},
  [1669] = {.lex_state = 9, .external_lex_state = 4},
  [1670] = {.lex_state = 8, .external_lex_state = 4},
  [1671] = {.lex_state = 8, .external_lex_state = 4},
  [1672] = {.lex_state = 9, .external_lex_state = 4},
  [1673] = {.lex_state = 8, .external_lex_state = 4},
  [1674] = {.lex_state = 12, .external_lex_state = 4},
  [1675] = {.lex_state = 12, .external_lex_state = 4},
  [1676] = {.lex_state = 8, .external_lex_state = 4},
  [1677] = {.lex_state = 8, .external_lex_state = 4},
  [1678] = {.lex_state = 8, .external_lex_state = 4},
  [1679] = {.lex_state = 12, .external_lex_state = 4},
  [1680] = {.lex_state = 9, .external_lex_state = 4},
  [1681] = {.lex_state = 9, .external_lex_state = 4},
  [1682] = {.lex_state = 8, .external_lex_state = 4},
  [1683] = {.lex_state = 9, .external_lex_state = 4},
  [1684] = {.lex_state = 9, .external_lex_state = 4},
  [1685] = {.lex_state = 9, .external_lex_state = 4},
  [1686] = {.lex_state = 8, .external_lex_state = 4},
  [1687] = {.lex_state = 8, .external_lex_state = 4},
  [1688] = {.lex_state = 8, .external_lex_state = 4},
  [1689] = {.lex_state = 0, .external_lex_state = 4},
  [1690] = {.lex_state = 8, .external_lex_state = 4},
  [1691] = {.lex_state = 8, .external_lex_state = 4},
  [1692] = {.lex_state = 8, .external_lex_state = 4},
  [1693] = {.lex_state = 12, .external_lex_state = 4},
  [1694] = {.lex_state = 8, .external_lex_state = 4},
  [1695] = {.lex_state = 9, .external_lex_state = 4},
  [1696] = {.lex_state = 9, .external_lex_state = 4},
  [1697] = {.lex_state = 0, .external_lex_state = 4},
  [1698] = {.lex_state = 12, .external_lex_state = 4},
  [1699] = {.lex_state = 0, .external_lex_state = 4},
  [1700] = {.lex_state = 0, .external_lex_state = 4},
  [1701] = {.lex_state = 20, .external_lex_state = 3},
  [1702] = {.lex_state = 12, .external_lex_state = 4},
  [1703] = {.lex_state = 12, .external_lex_state = 4},
  [1704] = {.lex_state = 0, .external_lex_state = 4},
  [1705] = {.lex_state = 12, .external_lex_state = 4},
  [1706] = {.lex_state = 0, .external_lex_state = 4},
  [1707] = {.lex_state = 12, .external_lex_state = 4},
  [1708] = {.lex_state = 12, .external_lex_state = 4},
  [1709] = {.lex_state = 12, .external_lex_state = 4},
  [1710] = {.lex_state = 0, .external_lex_state = 4},
  [1711] = {.lex_state = 0, .external_lex_state = 4},
  [1712] = {.lex_state = 0, .external_lex_state = 4},
  [1713] = {.lex_state = 0, .external_lex_state = 4},
  [1714] = {.lex_state = 0, .external_lex_state = 4},
  [1715] = {.lex_state = 0, .external_lex_state = 4},
  [1716] = {.lex_state = 0, .external_lex_state = 4},
  [1717] = {.lex_state = 0, .external_lex_state = 4},
  [1718] = {.lex_state = 0, .external_lex_state = 4},
  [1719] = {.lex_state = 0, .external_lex_state = 4},
  [1720] = {.lex_state = 0, .external_lex_state = 4},
  [1721] = {.lex_state = 0, .external_lex_state = 4},
  [1722] = {.lex_state = 0, .external_lex_state = 4},
  [1723] = {.lex_state = 0, .external_lex_state = 4},
  [1724] = {.lex_state = 0, .external_lex_state = 4},
  [1725] = {.lex_state = 0, .external_lex_state = 4},
  [1726] = {.lex_state = 0, .external_lex_state = 4},
  [1727] = {.lex_state = 0, .external_lex_state = 4},
  [1728] = {.lex_state = 41, .external_lex_state = 4},
  [1729] = {.lex_state = 4, .external_lex_state = 4},
  [1730] = {.lex_state = 26, .external_lex_state = 6},
  [1731] = {.lex_state = 26, .external_lex_state = 6},
  [1732] = {.lex_state = 8, .external_lex_state = 4},
  [1733] = {.lex_state = 8, .external_lex_state = 4},
  [1734] = {.lex_state = 0, .external_lex_state = 4},
  [1735] = {.lex_state = 0, .external_lex_state = 4},
  [1736] = {.lex_state = 40, .external_lex_state = 4},
  [1737] = {.lex_state = 4, .external_lex_state = 4},
  [1738] = {.lex_state = 8, .external_lex_state = 4},
  [1739] = {.lex_state = 0, .external_lex_state = 4},
  [1740] = {.lex_state = 8, .external_lex_state = 4},
  [1741] = {.lex_state = 8, .external_lex_state = 4},
  [1742] = {.lex_state = 42, .external_lex_state = 4},
  [1743] = {.lex_state = 0, .external_lex_state = 4},
  [1744] = {.lex_state = 0, .external_lex_state = 4},
  [1745] = {.lex_state = 42, .external_lex_state = 4},
  [1746] = {.lex_state = 0, .external_lex_state = 4},
  [1747] = {.lex_state = 0, .external_lex_state = 4},
  [1748] = {.lex_state = 0, .external_lex_state = 4},
  [1749] = {.lex_state = 4, .external_lex_state = 4},
  [1750] = {.lex_state = 4, .external_lex_state = 4},
  [1751] = {.lex_state = 4, .external_lex_state = 4},
  [1752] = {.lex_state = 34, .external_lex_state = 4},
  [1753] = {.lex_state = 42, .external_lex_state = 4},
  [1754] = {.lex_state = 4, .external_lex_state = 4},
  [1755] = {.lex_state = 4, .external_lex_state = 4},
  [1756] = {.lex_state = 4, .external_lex_state = 4},
  [1757] = {.lex_state = 4, .external_lex_state = 4},
  [1758] = {.lex_state = 4, .external_lex_state = 4},
  [1759] = {.lex_state = 4, .external_lex_state = 4},
  [1760] = {.lex_state = 8, .external_lex_state = 4},
  [1761] = {.lex_state = 4, .external_lex_state = 4},
  [1762] = {.lex_state = 4, .external_lex_state = 4},
  [1763] = {.lex_state = 4, .external_lex_state = 4},
  [1764] = {.lex_state = 4, .external_lex_state = 4},
  [1765] = {.lex_state = 4, .external_lex_state = 4},
  [1766] = {.lex_state = 4, .external_lex_state = 4},
  [1767] = {.lex_state = 4, .external_lex_state = 4},
  [1768] = {.lex_state = 4, .external_lex_state = 4},
  [1769] = {.lex_state = 40, .external_lex_state = 5},
  [1770] = {.lex_state = 44, .external_lex_state = 4},
  [1771] = {.lex_state = 4, .external_lex_state = 4},
  [1772] = {.lex_state = 8, .external_lex_state = 4},
  [1773] = {.lex_state = 4, .external_lex_state = 4},
  [1774] = {.lex_state = 4, .external_lex_state = 4},
  [1775] = {.lex_state = 4, .external_lex_state = 4},
  [1776] = {.lex_state = 47, .external_lex_state = 5},
  [1777] = {.lex_state = 8, .external_lex_state = 4},
  [1778] = {.lex_state = 4, .external_lex_state = 4},
  [1779] = {.lex_state = 4, .external_lex_state = 4},
  [1780] = {.lex_state = 4, .external_lex_state = 4},
  [1781] = {.lex_state = 4, .external_lex_state = 4},
  [1782] = {.lex_state = 4, .external_lex_state = 4},
  [1783] = {.lex_state = 4, .external_lex_state = 4},
  [1784] = {.lex_state = 4, .external_lex_state = 4},
  [1785] = {.lex_state = 8, .external_lex_state = 4},
  [1786] = {.lex_state = 47, .external_lex_state = 5},
  [1787] = {.lex_state = 8, .external_lex_state = 4},
  [1788] = {.lex_state = 4, .external_lex_state = 4},
  [1789] = {.lex_state = 4, .external_lex_state = 4},
  [1790] = {.lex_state = 4, .external_lex_state = 4},
  [1791] = {.lex_state = 4, .external_lex_state = 4},
  [1792] = {.lex_state = 0, .external_lex_state = 4},
  [1793] = {.lex_state = 4, .external_lex_state = 4},
  [1794] = {.lex_state = 4, .external_lex_state = 5},
  [1795] = {.lex_state = 46, .external_lex_state = 4},
  [1796] = {.lex_state = 0, .external_lex_state = 4},
  [1797] = {.lex_state = 44, .external_lex_state = 4},
  [1798] = {.lex_state = 48, .external_lex_state = 5},
  [1799] = {.lex_state = 49, .external_lex_state = 4},
  [1800] = {.lex_state = 41, .external_lex_state = 4},
  [1801] = {.lex_state = 41, .external_lex_state = 4},
  [1802] = {.lex_state = 41, .external_lex_state = 4},
  [1803] = {.lex_state = 0, .external_lex_state = 4},
  [1804] = {.lex_state = 41, .external_lex_state = 4},
  [1805] = {.lex_state = 9, .external_lex_state = 5},
  [1806] = {.lex_state = 41, .external_lex_state = 4},
  [1807] = {.lex_state = 46, .external_lex_state = 4},
  [1808] = {.lex_state = 41, .external_lex_state = 4},
  [1809] = {.lex_state = 0, .external_lex_state = 4},
  [1810] = {.lex_state = 41, .external_lex_state = 4},
  [1811] = {.lex_state = 44, .external_lex_state = 4},
  [1812] = {.lex_state = 44, .external_lex_state = 4},
  [1813] = {.lex_state = 41, .external_lex_state = 4},
  [1814] = {.lex_state = 0, .external_lex_state = 4},
  [1815] = {.lex_state = 0, .external_lex_state = 4},
  [1816] = {.lex_state = 41, .external_lex_state = 4},
  [1817] = {.lex_state = 44, .external_lex_state = 4},
  [1818] = {.lex_state = 44, .external_lex_state = 4},
  [1819] = {.lex_state = 41, .external_lex_state = 4},
  [1820] = {.lex_state = 41, .external_lex_state = 4},
  [1821] = {.lex_state = 46, .external_lex_state = 4},
  [1822] = {.lex_state = 4, .external_lex_state = 5},
  [1823] = {.lex_state = 41, .external_lex_state = 4},
  [1824] = {.lex_state = 41, .external_lex_state = 4},
  [1825] = {.lex_state = 49, .external_lex_state = 4},
  [1826] = {.lex_state = 44, .external_lex_state = 4},
  [1827] = {.lex_state = 46, .external_lex_state = 4},
  [1828] = {.lex_state = 41, .external_lex_state = 4},
  [1829] = {.lex_state = 8, .external_lex_state = 4},
  [1830] = {.lex_state = 48, .external_lex_state = 5},
  [1831] = {.lex_state = 44, .external_lex_state = 4},
  [1832] = {.lex_state = 0, .external_lex_state = 4},
  [1833] = {.lex_state = 8, .external_lex_state = 4},
  [1834] = {.lex_state = 41, .external_lex_state = 4},
  [1835] = {.lex_state = 4, .external_lex_state = 5},
  [1836] = {.lex_state = 41, .external_lex_state = 4},
  [1837] = {.lex_state = 41, .external_lex_state = 4},
  [1838] = {.lex_state = 4, .external_lex_state = 5},
  [1839] = {.lex_state = 4, .external_lex_state = 5},
  [1840] = {.lex_state = 50, .external_lex_state = 5},
  [1841] = {.lex_state = 9, .external_lex_state = 5},
  [1842] = {.lex_state = 41, .external_lex_state = 4},
  [1843] = {.lex_state = 44, .external_lex_state = 4},
  [1844] = {.lex_state = 44, .external_lex_state = 4},
  [1845] = {.lex_state = 9, .external_lex_state = 5},
  [1846] = {.lex_state = 41, .external_lex_state = 4},
  [1847] = {.lex_state = 44, .external_lex_state = 4},
  [1848] = {.lex_state = 41, .external_lex_state = 4},
  [1849] = {.lex_state = 44, .external_lex_state = 4},
  [1850] = {.lex_state = 44, .external_lex_state = 4},
  [1851] = {.lex_state = 42, .external_lex_state = 4},
  [1852] = {.lex_state = 44, .external_lex_state = 4},
  [1853] = {.lex_state = 50, .external_lex_state = 5},
  [1854] = {.lex_state = 42, .external_lex_state = 4},
  [1855] = {.lex_state = 41, .external_lex_state = 4},
  [1856] = {.lex_state = 44, .external_lex_state = 4},
  [1857] = {.lex_state = 41, .external_lex_state = 4},
  [1858] = {.lex_state = 4, .external_lex_state = 4},
  [1859] = {.lex_state = 42, .external_lex_state = 4},
  [1860] = {.lex_state = 4, .external_lex_state = 5},
  [1861] = {.lex_state = 9, .external_lex_state = 4},
  [1862] = {.lex_state = 42, .external_lex_state = 4},
  [1863] = {.lex_state = 41, .external_lex_state = 4},
  [1864] = {.lex_state = 41, .external_lex_state = 4},
  [1865] = {.lex_state = 4, .external_lex_state = 4},
  [1866] = {.lex_state = 44, .external_lex_state = 4},
  [1867] = {.lex_state = 4, .external_lex_state = 5},
  [1868] = {.lex_state = 9, .external_lex_state = 5},
  [1869] = {.lex_state = 4, .external_lex_state = 5},
  [1870] = {.lex_state = 41, .external_lex_state = 4},
  [1871] = {.lex_state = 41, .external_lex_state = 4},
  [1872] = {.lex_state = 41, .external_lex_state = 4},
  [1873] = {.lex_state = 41, .external_lex_state = 4},
  [1874] = {.lex_state = 41, .external_lex_state = 4},
  [1875] = {.lex_state = 41, .external_lex_state = 4},
  [1876] = {.lex_state = 41, .external_lex_state = 4},
  [1877] = {.lex_state = 41, .external_lex_state = 4},
  [1878] = {.lex_state = 41, .external_lex_state = 4},
  [1879] = {.lex_state = 41, .external_lex_state = 4},
  [1880] = {.lex_state = 41, .external_lex_state = 4},
  [1881] = {.lex_state = 41, .external_lex_state = 4},
  [1882] = {.lex_state = 41, .external_lex_state = 4},
  [1883] = {.lex_state = 41, .external_lex_state = 4},
  [1884] = {.lex_state = 41, .external_lex_state = 4},
  [1885] = {.lex_state = 41, .external_lex_state = 4},
  [1886] = {.lex_state = 41, .external_lex_state = 4},
  [1887] = {.lex_state = 41, .external_lex_state = 4},
  [1888] = {.lex_state = 41, .external_lex_state = 4},
  [1889] = {.lex_state = 41, .external_lex_state = 4},
  [1890] = {.lex_state = 41, .external_lex_state = 4},
  [1891] = {.lex_state = 41, .external_lex_state = 4},
  [1892] = {.lex_state = 41, .external_lex_state = 4},
  [1893] = {.lex_state = 41, .external_lex_state = 4},
  [1894] = {.lex_state = 41, .external_lex_state = 4},
  [1895] = {.lex_state = 41, .external_lex_state = 4},
  [1896] = {.lex_state = 41, .external_lex_state = 4},
  [1897] = {.lex_state = 41, .external_lex_state = 4},
  [1898] = {.lex_state = 41, .external_lex_state = 4},
  [1899] = {.lex_state = 41, .external_lex_state = 4},
  [1900] = {.lex_state = 41, .external_lex_state = 4},
  [1901] = {.lex_state = 41, .external_lex_state = 4},
  [1902] = {.lex_state = 41, .external_lex_state = 4},
  [1903] = {.lex_state = 41, .external_lex_state = 4},
  [1904] = {.lex_state = 41, .external_lex_state = 4},
  [1905] = {.lex_state = 41, .external_lex_state = 4},
  [1906] = {.lex_state = 41, .external_lex_state = 4},
  [1907] = {.lex_state = 41, .external_lex_state = 4},
  [1908] = {.lex_state = 41, .external_lex_state = 4},
  [1909] = {.lex_state = 41, .external_lex_state = 4},
  [1910] = {.lex_state = 41, .external_lex_state = 4},
  [1911] = {.lex_state = 41, .external_lex_state = 4},
  [1912] = {.lex_state = 41, .external_lex_state = 4},
  [1913] = {.lex_state = 41, .external_lex_state = 4},
  [1914] = {.lex_state = 41, .external_lex_state = 4},
  [1915] = {.lex_state = 41, .external_lex_state = 4},
  [1916] = {.lex_state = 41, .external_lex_state = 4},
  [1917] = {.lex_state = 41, .external_lex_state = 4},
  [1918] = {.lex_state = 41, .external_lex_state = 4},
  [1919] = {.lex_state = 41, .external_lex_state = 4},
  [1920] = {.lex_state = 41, .external_lex_state = 4},
  [1921] = {.lex_state = 41, .external_lex_state = 4},
  [1922] = {.lex_state = 41, .external_lex_state = 4},
  [1923] = {.lex_state = 41, .external_lex_state = 4},
  [1924] = {.lex_state = 41, .external_lex_state = 4},
  [1925] = {.lex_state = 41, .external_lex_state = 4},
  [1926] = {.lex_state = 41, .external_lex_state = 4},
  [1927] = {.lex_state = 41, .external_lex_state = 4},
  [1928] = {.lex_state = 41, .external_lex_state = 4},
  [1929] = {.lex_state = 41, .external_lex_state = 4},
  [1930] = {.lex_state = 41, .external_lex_state = 4},
  [1931] = {.lex_state = 41, .external_lex_state = 4},
  [1932] = {.lex_state = 41, .external_lex_state = 4},
  [1933] = {.lex_state = 0, .external_lex_state = 4},
  [1934] = {.lex_state = 41, .external_lex_state = 4},
  [1935] = {.lex_state = 41, .external_lex_state = 4},
  [1936] = {.lex_state = 41, .external_lex_state = 4},
  [1937] = {.lex_state = 41, .external_lex_state = 4},
  [1938] = {.lex_state = 41, .external_lex_state = 4},
  [1939] = {.lex_state = 41, .external_lex_state = 4},
  [1940] = {.lex_state = 41, .external_lex_state = 4},
  [1941] = {.lex_state = 41, .external_lex_state = 4},
  [1942] = {.lex_state = 4, .external_lex_state = 5},
  [1943] = {.lex_state = 41, .external_lex_state = 4},
  [1944] = {.lex_state = 0, .external_lex_state = 4},
  [1945] = {.lex_state = 0, .external_lex_state = 4},
  [1946] = {.lex_state = 4, .external_lex_state = 5},
  [1947] = {.lex_state = 4, .external_lex_state = 5},
  [1948] = {.lex_state = 4, .external_lex_state = 5},
  [1949] = {.lex_state = 4, .external_lex_state = 5},
  [1950] = {.lex_state = 4, .external_lex_state = 5},
  [1951] = {.lex_state = 4, .external_lex_state = 5},
  [1952] = {.lex_state = 4, .external_lex_state = 5},
  [1953] = {.lex_state = 4, .external_lex_state = 5},
  [1954] = {.lex_state = 4, .external_lex_state = 5},
  [1955] = {.lex_state = 4, .external_lex_state = 5},
  [1956] = {.lex_state = 4, .external_lex_state = 5},
  [1957] = {.lex_state = 4, .external_lex_state = 5},
  [1958] = {.lex_state = 4, .external_lex_state = 5},
  [1959] = {.lex_state = 4, .external_lex_state = 5},
  [1960] = {.lex_state = 4, .external_lex_state = 5},
  [1961] = {.lex_state = 4, .external_lex_state = 5},
  [1962] = {.lex_state = 4, .external_lex_state = 5},
  [1963] = {.lex_state = 4, .external_lex_state = 5},
  [1964] = {.lex_state = 41, .external_lex_state = 4},
  [1965] = {.lex_state = 4, .external_lex_state = 5},
  [1966] = {.lex_state = 7, .external_lex_state = 4},
  [1967] = {.lex_state = 4, .external_lex_state = 5},
  [1968] = {.lex_state = 0, .external_lex_state = 4},
  [1969] = {.lex_state = 0, .external_lex_state = 4},
  [1970] = {.lex_state = 4, .external_lex_state = 5},
  [1971] = {.lex_state = 4, .external_lex_state = 5},
  [1972] = {.lex_state = 41, .external_lex_state = 4},
  [1973] = {.lex_state = 4, .external_lex_state = 5},
  [1974] = {.lex_state = 9, .external_lex_state = 4},
  [1975] = {.lex_state = 9, .external_lex_state = 4},
  [1976] = {.lex_state = 4, .external_lex_state = 5},
  [1977] = {.lex_state = 4, .external_lex_state = 5},
  [1978] = {.lex_state = 4, .external_lex_state = 5},
  [1979] = {.lex_state = 7, .external_lex_state = 4},
  [1980] = {.lex_state = 41, .external_lex_state = 4},
  [1981] = {.lex_state = 41, .external_lex_state = 4},
  [1982] = {.lex_state = 9, .external_lex_state = 5},
  [1983] = {.lex_state = 9, .external_lex_state = 4},
  [1984] = {.lex_state = 41, .external_lex_state = 4},
  [1985] = {.lex_state = 4, .external_lex_state = 5},
  [1986] = {.lex_state = 41, .external_lex_state = 4},
  [1987] = {.lex_state = 9, .external_lex_state = 4},
  [1988] = {.lex_state = 41, .external_lex_state = 4},
  [1989] = {.lex_state = 4, .external_lex_state = 5},
  [1990] = {.lex_state = 4, .external_lex_state = 5},
  [1991] = {.lex_state = 4, .external_lex_state = 5},
  [1992] = {.lex_state = 4, .external_lex_state = 5},
  [1993] = {.lex_state = 41, .external_lex_state = 4},
  [1994] = {.lex_state = 41, .external_lex_state = 4},
  [1995] = {.lex_state = 4, .external_lex_state = 5},
  [1996] = {.lex_state = 4, .external_lex_state = 5},
  [1997] = {.lex_state = 4, .external_lex_state = 5},
  [1998] = {.lex_state = 41, .external_lex_state = 4},
  [1999] = {.lex_state = 4, .external_lex_state = 5},
  [2000] = {.lex_state = 41, .external_lex_state = 4},
  [2001] = {.lex_state = 4, .external_lex_state = 5},
  [2002] = {.lex_state = 4, .external_lex_state = 5},
  [2003] = {.lex_state = 4, .external_lex_state = 5},
  [2004] = {.lex_state = 4, .external_lex_state = 5},
  [2005] = {.lex_state = 41, .external_lex_state = 4},
  [2006] = {.lex_state = 4, .external_lex_state = 5},
  [2007] = {.lex_state = 9, .external_lex_state = 5},
  [2008] = {.lex_state = 41, .external_lex_state = 4},
  [2009] = {.lex_state = 4, .external_lex_state = 5},
  [2010] = {.lex_state = 4, .external_lex_state = 5},
  [2011] = {.lex_state = 41, .external_lex_state = 4},
  [2012] = {.lex_state = 4, .external_lex_state = 5},
  [2013] = {.lex_state = 4, .external_lex_state = 5},
  [2014] = {.lex_state = 0, .external_lex_state = 4},
  [2015] = {.lex_state = 41, .external_lex_state = 4},
  [2016] = {.lex_state = 26, .external_lex_state = 4},
  [2017] = {.lex_state = 9, .external_lex_state = 4},
  [2018] = {.lex_state = 26, .external_lex_state = 4},
  [2019] = {.lex_state = 9, .external_lex_state = 5},
  [2020] = {.lex_state = 26, .external_lex_state = 4},
  [2021] = {.lex_state = 41, .external_lex_state = 4},
  [2022] = {.lex_state = 9, .external_lex_state = 5},
  [2023] = {.lex_state = 9, .external_lex_state = 5},
  [2024] = {.lex_state = 9, .external_lex_state = 5},
  [2025] = {.lex_state = 9, .external_lex_state = 5},
  [2026] = {.lex_state = 48, .external_lex_state = 4},
  [2027] = {.lex_state = 48, .external_lex_state = 4},
  [2028] = {.lex_state = 9, .external_lex_state = 4},
  [2029] = {.lex_state = 9, .external_lex_state = 5},
  [2030] = {.lex_state = 41, .external_lex_state = 4},
  [2031] = {.lex_state = 9, .external_lex_state = 5},
  [2032] = {.lex_state = 9, .external_lex_state = 5},
  [2033] = {.lex_state = 9, .external_lex_state = 5},
  [2034] = {.lex_state = 9, .external_lex_state = 4},
  [2035] = {.lex_state = 41, .external_lex_state = 4},
  [2036] = {.lex_state = 9, .external_lex_state = 4},
  [2037] = {.lex_state = 9, .external_lex_state = 5},
  [2038] = {.lex_state = 7, .external_lex_state = 4},
  [2039] = {.lex_state = 41, .external_lex_state = 4},
  [2040] = {.lex_state = 9, .external_lex_state = 5},
  [2041] = {.lex_state = 9, .external_lex_state = 4},
  [2042] = {.lex_state = 41, .external_lex_state = 4},
  [2043] = {.lex_state = 9, .external_lex_state = 5},
  [2044] = {.lex_state = 9, .external_lex_state = 5},
  [2045] = {.lex_state = 26, .external_lex_state = 4},
  [2046] = {.lex_state = 9, .external_lex_state = 5},
  [2047] = {.lex_state = 9, .external_lex_state = 5},
  [2048] = {.lex_state = 9, .external_lex_state = 4},
  [2049] = {.lex_state = 9, .external_lex_state = 4},
  [2050] = {.lex_state = 9, .external_lex_state = 4},
  [2051] = {.lex_state = 9, .external_lex_state = 4},
  [2052] = {.lex_state = 9, .external_lex_state = 4},
  [2053] = {.lex_state = 9, .external_lex_state = 4},
  [2054] = {.lex_state = 8, .external_lex_state = 4},
  [2055] = {.lex_state = 8, .external_lex_state = 4},
  [2056] = {.lex_state = 9, .external_lex_state = 5},
  [2057] = {.lex_state = 9, .external_lex_state = 5},
  [2058] = {.lex_state = 9, .external_lex_state = 4},
  [2059] = {.lex_state = 9, .external_lex_state = 4},
  [2060] = {.lex_state = 8, .external_lex_state = 4},
  [2061] = {.lex_state = 9, .external_lex_state = 4},
  [2062] = {.lex_state = 9, .external_lex_state = 4},
  [2063] = {.lex_state = 9, .external_lex_state = 4},
  [2064] = {.lex_state = 9, .external_lex_state = 4},
  [2065] = {.lex_state = 9, .external_lex_state = 4},
  [2066] = {.lex_state = 9, .external_lex_state = 4},
  [2067] = {.lex_state = 9, .external_lex_state = 4},
  [2068] = {.lex_state = 9, .external_lex_state = 4},
  [2069] = {.lex_state = 9, .external_lex_state = 4},
  [2070] = {.lex_state = 9, .external_lex_state = 4},
  [2071] = {.lex_state = 9, .external_lex_state = 4},
  [2072] = {.lex_state = 0, .external_lex_state = 4},
  [2073] = {.lex_state = 9, .external_lex_state = 4},
  [2074] = {.lex_state = 8, .external_lex_state = 4},
  [2075] = {.lex_state = 8, .external_lex_state = 4},
  [2076] = {.lex_state = 4, .external_lex_state = 5},
  [2077] = {.lex_state = 26, .external_lex_state = 4},
  [2078] = {.lex_state = 9, .external_lex_state = 5},
  [2079] = {.lex_state = 9, .external_lex_state = 5},
  [2080] = {.lex_state = 9, .external_lex_state = 5},
  [2081] = {.lex_state = 9, .external_lex_state = 4},
  [2082] = {.lex_state = 9, .external_lex_state = 4},
  [2083] = {.lex_state = 9, .external_lex_state = 4},
  [2084] = {.lex_state = 9, .external_lex_state = 4},
  [2085] = {.lex_state = 8, .external_lex_state = 4},
  [2086] = {.lex_state = 9, .external_lex_state = 4},
  [2087] = {.lex_state = 9, .external_lex_state = 4},
  [2088] = {.lex_state = 9, .external_lex_state = 4},
  [2089] = {.lex_state = 9, .external_lex_state = 4},
  [2090] = {.lex_state = 9, .external_lex_state = 5},
  [2091] = {.lex_state = 9, .external_lex_state = 4},
  [2092] = {.lex_state = 9, .external_lex_state = 4},
  [2093] = {.lex_state = 9, .external_lex_state = 4},
  [2094] = {.lex_state = 9, .external_lex_state = 5},
  [2095] = {.lex_state = 9, .external_lex_state = 4},
  [2096] = {.lex_state = 9, .external_lex_state = 5},
  [2097] = {.lex_state = 8, .external_lex_state = 4},
  [2098] = {.lex_state = 9, .external_lex_state = 4},
  [2099] = {.lex_state = 9, .external_lex_state = 4},
  [2100] = {.lex_state = 9, .external_lex_state = 5},
  [2101] = {.lex_state = 9, .external_lex_state = 5},
  [2102] = {.lex_state = 9, .external_lex_state = 5},
  [2103] = {.lex_state = 9, .external_lex_state = 4},
  [2104] = {.lex_state = 9, .external_lex_state = 5},
  [2105] = {.lex_state = 9, .external_lex_state = 5},
  [2106] = {.lex_state = 9, .external_lex_state = 4},
  [2107] = {.lex_state = 9, .external_lex_state = 5},
  [2108] = {.lex_state = 8, .external_lex_state = 4},
  [2109] = {.lex_state = 9, .external_lex_state = 5},
  [2110] = {.lex_state = 9, .external_lex_state = 5},
  [2111] = {.lex_state = 9, .external_lex_state = 5},
  [2112] = {.lex_state = 9, .external_lex_state = 5},
  [2113] = {.lex_state = 9, .external_lex_state = 5},
  [2114] = {.lex_state = 9, .external_lex_state = 5},
  [2115] = {.lex_state = 9, .external_lex_state = 4},
  [2116] = {.lex_state = 9, .external_lex_state = 4},
  [2117] = {.lex_state = 9, .external_lex_state = 5},
  [2118] = {.lex_state = 9, .external_lex_state = 4},
  [2119] = {.lex_state = 9, .external_lex_state = 5},
  [2120] = {.lex_state = 8, .external_lex_state = 4},
  [2121] = {.lex_state = 0, .external_lex_state = 4},
  [2122] = {.lex_state = 9, .external_lex_state = 5},
  [2123] = {.lex_state = 9, .external_lex_state = 5},
  [2124] = {.lex_state = 9, .external_lex_state = 5},
  [2125] = {.lex_state = 9, .external_lex_state = 5},
  [2126] = {.lex_state = 9, .external_lex_state = 4},
  [2127] = {.lex_state = 9, .external_lex_state = 4},
  [2128] = {.lex_state = 9, .external_lex_state = 5},
  [2129] = {.lex_state = 9, .external_lex_state = 4},
  [2130] = {.lex_state = 8, .external_lex_state = 4},
  [2131] = {.lex_state = 9, .external_lex_state = 4},
  [2132] = {.lex_state = 9, .external_lex_state = 5},
  [2133] = {.lex_state = 0, .external_lex_state = 4},
  [2134] = {.lex_state = 8, .external_lex_state = 4},
  [2135] = {.lex_state = 9, .external_lex_state = 5},
  [2136] = {.lex_state = 9, .external_lex_state = 5},
  [2137] = {.lex_state = 9, .external_lex_state = 5},
  [2138] = {.lex_state = 9, .external_lex_state = 5},
  [2139] = {.lex_state = 9, .external_lex_state = 4},
  [2140] = {.lex_state = 8, .external_lex_state = 4},
  [2141] = {.lex_state = 4, .external_lex_state = 5},
  [2142] = {.lex_state = 9, .external_lex_state = 4},
  [2143] = {.lex_state = 9, .external_lex_state = 4},
  [2144] = {.lex_state = 9, .external_lex_state = 4},
  [2145] = {.lex_state = 9, .external_lex_state = 4},
  [2146] = {.lex_state = 4, .external_lex_state = 5},
  [2147] = {.lex_state = 9, .external_lex_state = 4},
  [2148] = {.lex_state = 14, .external_lex_state = 4},
  [2149] = {.lex_state = 9, .external_lex_state = 5},
  [2150] = {.lex_state = 9, .external_lex_state = 4},
  [2151] = {.lex_state = 8, .external_lex_state = 7},
  [2152] = {.lex_state = 24, .external_lex_state = 6},
  [2153] = {.lex_state = 4, .external_lex_state = 5},
  [2154] = {.lex_state = 9, .external_lex_state = 4},
  [2155] = {.lex_state = 9, .external_lex_state = 5},
  [2156] = {.lex_state = 9, .external_lex_state = 5},
  [2157] = {.lex_state = 4, .external_lex_state = 5},
  [2158] = {.lex_state = 9, .external_lex_state = 5},
  [2159] = {.lex_state = 9, .external_lex_state = 5},
  [2160] = {.lex_state = 4, .external_lex_state = 5},
  [2161] = {.lex_state = 9, .external_lex_state = 5},
  [2162] = {.lex_state = 35, .external_lex_state = 8},
  [2163] = {.lex_state = 9, .external_lex_state = 4},
  [2164] = {.lex_state = 9, .external_lex_state = 5},
  [2165] = {.lex_state = 9, .external_lex_state = 5},
  [2166] = {.lex_state = 9, .external_lex_state = 5},
  [2167] = {.lex_state = 9, .external_lex_state = 4},
  [2168] = {.lex_state = 9, .external_lex_state = 4},
  [2169] = {.lex_state = 9, .external_lex_state = 4},
  [2170] = {.lex_state = 41, .external_lex_state = 4},
  [2171] = {.lex_state = 9, .external_lex_state = 4},
  [2172] = {.lex_state = 9, .external_lex_state = 4},
  [2173] = {.lex_state = 35, .external_lex_state = 8},
  [2174] = {.lex_state = 9, .external_lex_state = 4},
  [2175] = {.lex_state = 9, .external_lex_state = 5},
  [2176] = {.lex_state = 9, .external_lex_state = 4},
  [2177] = {.lex_state = 9, .external_lex_state = 4},
  [2178] = {.lex_state = 9, .external_lex_state = 4},
  [2179] = {.lex_state = 9, .external_lex_state = 4},
  [2180] = {.lex_state = 9, .external_lex_state = 4},
  [2181] = {.lex_state = 9, .external_lex_state = 5},
  [2182] = {.lex_state = 35, .external_lex_state = 8},
  [2183] = {.lex_state = 13, .external_lex_state = 4},
  [2184] = {.lex_state = 0, .external_lex_state = 5},
  [2185] = {.lex_state = 9, .external_lex_state = 5},
  [2186] = {.lex_state = 35, .external_lex_state = 8},
  [2187] = {.lex_state = 9, .external_lex_state = 5},
  [2188] = {.lex_state = 9, .external_lex_state = 4},
  [2189] = {.lex_state = 9, .external_lex_state = 5},
  [2190] = {.lex_state = 9, .external_lex_state = 5},
  [2191] = {.lex_state = 9, .external_lex_state = 5},
  [2192] = {.lex_state = 57, .external_lex_state = 4},
  [2193] = {.lex_state = 41, .external_lex_state = 4},
  [2194] = {.lex_state = 57, .external_lex_state = 4},
  [2195] = {.lex_state = 9, .external_lex_state = 5},
  [2196] = {.lex_state = 9, .external_lex_state = 5},
  [2197] = {.lex_state = 35, .external_lex_state = 8},
  [2198] = {.lex_state = 9, .external_lex_state = 4},
  [2199] = {.lex_state = 9, .external_lex_state = 4},
  [2200] = {.lex_state = 9, .external_lex_state = 5},
  [2201] = {.lex_state = 9, .external_lex_state = 5},
  [2202] = {.lex_state = 9, .external_lex_state = 5},
  [2203] = {.lex_state = 9, .external_lex_state = 5},
  [2204] = {.lex_state = 9, .external_lex_state = 5},
  [2205] = {.lex_state = 9, .external_lex_state = 5},
  [2206] = {.lex_state = 9, .external_lex_state = 5},
  [2207] = {.lex_state = 35, .external_lex_state = 8},
  [2208] = {.lex_state = 9, .external_lex_state = 4},
  [2209] = {.lex_state = 9, .external_lex_state = 4},
  [2210] = {.lex_state = 35, .external_lex_state = 8},
  [2211] = {.lex_state = 9, .external_lex_state = 4},
  [2212] = {.lex_state = 9, .external_lex_state = 4},
  [2213] = {.lex_state = 9, .external_lex_state = 5},
  [2214] = {.lex_state = 9, .external_lex_state = 4},
  [2215] = {.lex_state = 9, .external_lex_state = 5},
  [2216] = {.lex_state = 9, .external_lex_state = 5},
  [2217] = {.lex_state = 9, .external_lex_state = 5},
  [2218] = {.lex_state = 0, .external_lex_state = 4},
  [2219] = {.lex_state = 41, .external_lex_state = 4},
  [2220] = {.lex_state = 9, .external_lex_state = 4},
  [2221] = {.lex_state = 9, .external_lex_state = 4},
  [2222] = {.lex_state = 0, .external_lex_state = 4},
  [2223] = {.lex_state = 0, .external_lex_state = 5},
  [2224] = {.lex_state = 9, .external_lex_state = 4},
  [2225] = {.lex_state = 0, .external_lex_state = 5},
  [2226] = {.lex_state = 9, .external_lex_state = 4},
  [2227] = {.lex_state = 0, .external_lex_state = 5},
  [2228] = {.lex_state = 0, .external_lex_state = 5},
  [2229] = {.lex_state = 9, .external_lex_state = 4},
  [2230] = {.lex_state = 0, .external_lex_state = 5},
  [2231] = {.lex_state = 0, .external_lex_state = 5},
  [2232] = {.lex_state = 0, .external_lex_state = 5},
  [2233] = {.lex_state = 0, .external_lex_state = 5},
  [2234] = {.lex_state = 0, .external_lex_state = 5},
  [2235] = {.lex_state = 0, .external_lex_state = 5},
  [2236] = {.lex_state = 9, .external_lex_state = 4},
  [2237] = {.lex_state = 8, .external_lex_state = 4},
  [2238] = {.lex_state = 8, .external_lex_state = 4},
  [2239] = {.lex_state = 4, .external_lex_state = 4},
  [2240] = {.lex_state = 0, .external_lex_state = 5},
  [2241] = {.lex_state = 8, .external_lex_state = 4},
  [2242] = {.lex_state = 0, .external_lex_state = 5},
  [2243] = {.lex_state = 0, .external_lex_state = 5},
  [2244] = {.lex_state = 0, .external_lex_state = 5},
  [2245] = {.lex_state = 9, .external_lex_state = 4},
  [2246] = {.lex_state = 45, .external_lex_state = 4},
  [2247] = {.lex_state = 0, .external_lex_state = 5},
  [2248] = {.lex_state = 9, .external_lex_state = 4},
  [2249] = {.lex_state = 0, .external_lex_state = 5},
  [2250] = {.lex_state = 0, .external_lex_state = 5},
  [2251] = {.lex_state = 9, .external_lex_state = 4},
  [2252] = {.lex_state = 0, .external_lex_state = 5},
  [2253] = {.lex_state = 0, .external_lex_state = 5},
  [2254] = {.lex_state = 0, .external_lex_state = 5},
  [2255] = {.lex_state = 9, .external_lex_state = 4},
  [2256] = {.lex_state = 9, .external_lex_state = 4},
  [2257] = {.lex_state = 0, .external_lex_state = 5},
  [2258] = {.lex_state = 8, .external_lex_state = 4},
  [2259] = {.lex_state = 0, .external_lex_state = 5},
  [2260] = {.lex_state = 0, .external_lex_state = 5},
  [2261] = {.lex_state = 0, .external_lex_state = 5},
  [2262] = {.lex_state = 0, .external_lex_state = 4},
  [2263] = {.lex_state = 9, .external_lex_state = 4},
  [2264] = {.lex_state = 0, .external_lex_state = 5},
  [2265] = {.lex_state = 0, .external_lex_state = 5},
  [2266] = {.lex_state = 45, .external_lex_state = 4},
  [2267] = {.lex_state = 0, .external_lex_state = 5},
  [2268] = {.lex_state = 8, .external_lex_state = 4},
  [2269] = {.lex_state = 0, .external_lex_state = 5},
  [2270] = {.lex_state = 0, .external_lex_state = 4},
  [2271] = {.lex_state = 0, .external_lex_state = 5},
  [2272] = {.lex_state = 0, .external_lex_state = 5},
  [2273] = {.lex_state = 8, .external_lex_state = 4},
  [2274] = {.lex_state = 0, .external_lex_state = 5},
  [2275] = {.lex_state = 8, .external_lex_state = 4},
  [2276] = {.lex_state = 8, .external_lex_state = 4},
  [2277] = {.lex_state = 0, .external_lex_state = 5},
  [2278] = {.lex_state = 0, .external_lex_state = 5},
  [2279] = {.lex_state = 9, .external_lex_state = 5},
  [2280] = {.lex_state = 0, .external_lex_state = 5},
  [2281] = {.lex_state = 0, .external_lex_state = 5},
  [2282] = {.lex_state = 41, .external_lex_state = 4},
  [2283] = {.lex_state = 41, .external_lex_state = 4},
  [2284] = {.lex_state = 8, .external_lex_state = 4},
  [2285] = {.lex_state = 8, .external_lex_state = 4},
  [2286] = {.lex_state = 8, .external_lex_state = 4},
  [2287] = {.lex_state = 35, .external_lex_state = 8},
  [2288] = {.lex_state = 0, .external_lex_state = 5},
  [2289] = {.lex_state = 14, .external_lex_state = 4},
  [2290] = {.lex_state = 9, .external_lex_state = 5},
  [2291] = {.lex_state = 0, .external_lex_state = 5},
  [2292] = {.lex_state = 41, .external_lex_state = 4},
  [2293] = {.lex_state = 0, .external_lex_state = 5},
  [2294] = {.lex_state = 35, .external_lex_state = 8},
  [2295] = {.lex_state = 41, .external_lex_state = 4},
  [2296] = {.lex_state = 14, .external_lex_state = 4},
  [2297] = {.lex_state = 41, .external_lex_state = 4},
  [2298] = {.lex_state = 8, .external_lex_state = 4},
  [2299] = {.lex_state = 8, .external_lex_state = 4},
  [2300] = {.lex_state = 41, .external_lex_state = 4},
  [2301] = {.lex_state = 0, .external_lex_state = 5},
  [2302] = {.lex_state = 0, .external_lex_state = 5},
  [2303] = {.lex_state = 0, .external_lex_state = 5},
  [2304] = {.lex_state = 0, .external_lex_state = 5},
  [2305] = {.lex_state = 0, .external_lex_state = 5},
  [2306] = {.lex_state = 0, .external_lex_state = 5},
  [2307] = {.lex_state = 8, .external_lex_state = 4},
  [2308] = {.lex_state = 0, .external_lex_state = 5},
  [2309] = {.lex_state = 4, .external_lex_state = 4},
  [2310] = {.lex_state = 0, .external_lex_state = 5},
  [2311] = {.lex_state = 0, .external_lex_state = 5},
  [2312] = {.lex_state = 0, .external_lex_state = 5},
  [2313] = {.lex_state = 4, .external_lex_state = 6},
  [2314] = {.lex_state = 0, .external_lex_state = 5},
  [2315] = {.lex_state = 0, .external_lex_state = 5},
  [2316] = {.lex_state = 9, .external_lex_state = 4},
  [2317] = {.lex_state = 9, .external_lex_state = 4},
  [2318] = {.lex_state = 9, .external_lex_state = 4},
  [2319] = {.lex_state = 9, .external_lex_state = 4},
  [2320] = {.lex_state = 41, .external_lex_state = 4},
  [2321] = {.lex_state = 4, .external_lex_state = 4},
  [2322] = {.lex_state = 14, .external_lex_state = 4},
  [2323] = {.lex_state = 0, .external_lex_state = 5},
  [2324] = {.lex_state = 41, .external_lex_state = 4},
  [2325] = {.lex_state = 9, .external_lex_state = 4},
  [2326] = {.lex_state = 8, .external_lex_state = 5},
  [2327] = {.lex_state = 0, .external_lex_state = 5},
  [2328] = {.lex_state = 9, .external_lex_state = 4},
  [2329] = {.lex_state = 9, .external_lex_state = 4},
  [2330] = {.lex_state = 0, .external_lex_state = 5},
  [2331] = {.lex_state = 41, .external_lex_state = 4},
  [2332] = {.lex_state = 4, .external_lex_state = 4},
  [2333] = {.lex_state = 4, .external_lex_state = 4},
  [2334] = {.lex_state = 41, .external_lex_state = 4},
  [2335] = {.lex_state = 8, .external_lex_state = 4},
  [2336] = {.lex_state = 0, .external_lex_state = 5},
  [2337] = {.lex_state = 8, .external_lex_state = 4},
  [2338] = {.lex_state = 4, .external_lex_state = 6},
  [2339] = {.lex_state = 8, .external_lex_state = 4},
  [2340] = {.lex_state = 0, .external_lex_state = 5},
  [2341] = {.lex_state = 9, .external_lex_state = 4},
  [2342] = {.lex_state = 8, .external_lex_state = 4},
  [2343] = {.lex_state = 0, .external_lex_state = 5},
  [2344] = {.lex_state = 9, .external_lex_state = 4},
  [2345] = {.lex_state = 0, .external_lex_state = 5},
  [2346] = {.lex_state = 0, .external_lex_state = 5},
  [2347] = {.lex_state = 0, .external_lex_state = 5},
  [2348] = {.lex_state = 0, .external_lex_state = 5},
  [2349] = {.lex_state = 9, .external_lex_state = 4},
  [2350] = {.lex_state = 9, .external_lex_state = 4},
  [2351] = {.lex_state = 9, .external_lex_state = 4},
  [2352] = {.lex_state = 41, .external_lex_state = 4},
  [2353] = {.lex_state = 9, .external_lex_state = 4},
  [2354] = {.lex_state = 41, .external_lex_state = 4},
  [2355] = {.lex_state = 41, .external_lex_state = 4},
  [2356] = {.lex_state = 0, .external_lex_state = 5},
  [2357] = {.lex_state = 0, .external_lex_state = 5},
  [2358] = {.lex_state = 0, .external_lex_state = 5},
  [2359] = {.lex_state = 0, .external_lex_state = 5},
  [2360] = {.lex_state = 0, .external_lex_state = 5},
  [2361] = {.lex_state = 0, .external_lex_state = 5},
  [2362] = {.lex_state = 0, .external_lex_state = 5},
  [2363] = {.lex_state = 0, .external_lex_state = 5},
  [2364] = {.lex_state = 0, .external_lex_state = 5},
  [2365] = {.lex_state = 0, .external_lex_state = 5},
  [2366] = {.lex_state = 8, .external_lex_state = 4},
  [2367] = {.lex_state = 9, .external_lex_state = 4},
  [2368] = {.lex_state = 0, .external_lex_state = 5},
  [2369] = {.lex_state = 0, .external_lex_state = 5},
  [2370] = {.lex_state = 0, .external_lex_state = 5},
  [2371] = {.lex_state = 0, .external_lex_state = 5},
  [2372] = {.lex_state = 0, .external_lex_state = 5},
  [2373] = {.lex_state = 0, .external_lex_state = 5},
  [2374] = {.lex_state = 8, .external_lex_state = 4},
  [2375] = {.lex_state = 0, .external_lex_state = 5},
  [2376] = {.lex_state = 0, .external_lex_state = 6},
  [2377] = {.lex_state = 9, .external_lex_state = 4},
  [2378] = {.lex_state = 0, .external_lex_state = 5},
  [2379] = {.lex_state = 0, .external_lex_state = 5},
  [2380] = {.lex_state = 0, .external_lex_state = 5},
  [2381] = {.lex_state = 0, .external_lex_state = 5},
  [2382] = {.lex_state = 35, .external_lex_state = 8},
  [2383] = {.lex_state = 9, .external_lex_state = 4},
  [2384] = {.lex_state = 0, .external_lex_state = 5},
  [2385] = {.lex_state = 0, .external_lex_state = 5},
  [2386] = {.lex_state = 7, .external_lex_state = 4},
  [2387] = {.lex_state = 0, .external_lex_state = 6},
  [2388] = {.lex_state = 0, .external_lex_state = 5},
  [2389] = {.lex_state = 0, .external_lex_state = 5},
  [2390] = {.lex_state = 0, .external_lex_state = 5},
  [2391] = {.lex_state = 0, .external_lex_state = 5},
  [2392] = {.lex_state = 0, .external_lex_state = 5},
  [2393] = {.lex_state = 0, .external_lex_state = 5},
  [2394] = {.lex_state = 11, .external_lex_state = 4},
  [2395] = {.lex_state = 9, .external_lex_state = 4},
  [2396] = {.lex_state = 0, .external_lex_state = 5},
  [2397] = {.lex_state = 0, .external_lex_state = 5},
  [2398] = {.lex_state = 0, .external_lex_state = 5},
  [2399] = {.lex_state = 0, .external_lex_state = 5},
  [2400] = {.lex_state = 14, .external_lex_state = 4},
  [2401] = {.lex_state = 9, .external_lex_state = 4},
  [2402] = {.lex_state = 0, .external_lex_state = 6},
  [2403] = {.lex_state = 0, .external_lex_state = 6},
  [2404] = {.lex_state = 0, .external_lex_state = 5},
  [2405] = {.lex_state = 0, .external_lex_state = 5},
  [2406] = {.lex_state = 14, .external_lex_state = 4},
  [2407] = {.lex_state = 70, .external_lex_state = 4},
  [2408] = {.lex_state = 0, .external_lex_state = 5},
  [2409] = {.lex_state = 14, .external_lex_state = 4},
  [2410] = {.lex_state = 0, .external_lex_state = 5},
  [2411] = {.lex_state = 0, .external_lex_state = 5},
  [2412] = {.lex_state = 14, .external_lex_state = 4},
  [2413] = {.lex_state = 0, .external_lex_state = 5},
  [2414] = {.lex_state = 0, .external_lex_state = 5},
  [2415] = {.lex_state = 0, .external_lex_state = 5},
  [2416] = {.lex_state = 0, .external_lex_state = 6},
  [2417] = {.lex_state = 0, .external_lex_state = 6},
  [2418] = {.lex_state = 35, .external_lex_state = 8},
  [2419] = {.lex_state = 4, .external_lex_state = 4},
  [2420] = {.lex_state = 70, .external_lex_state = 4},
  [2421] = {.lex_state = 0, .external_lex_state = 5},
  [2422] = {.lex_state = 9, .external_lex_state = 4},
  [2423] = {.lex_state = 35, .external_lex_state = 8},
  [2424] = {.lex_state = 0, .external_lex_state = 6},
  [2425] = {.lex_state = 8, .external_lex_state = 4},
  [2426] = {.lex_state = 0, .external_lex_state = 5},
  [2427] = {.lex_state = 0, .external_lex_state = 5},
  [2428] = {.lex_state = 0, .external_lex_state = 5},
  [2429] = {.lex_state = 14, .external_lex_state = 4},
  [2430] = {.lex_state = 14, .external_lex_state = 4},
  [2431] = {.lex_state = 0, .external_lex_state = 5},
  [2432] = {.lex_state = 35, .external_lex_state = 8},
  [2433] = {.lex_state = 11, .external_lex_state = 4},
  [2434] = {.lex_state = 35, .external_lex_state = 8},
  [2435] = {.lex_state = 0, .external_lex_state = 5},
  [2436] = {.lex_state = 14, .external_lex_state = 4},
  [2437] = {.lex_state = 14, .external_lex_state = 4},
  [2438] = {.lex_state = 0, .external_lex_state = 5},
  [2439] = {.lex_state = 9, .external_lex_state = 4},
  [2440] = {.lex_state = 14, .external_lex_state = 4},
  [2441] = {.lex_state = 7, .external_lex_state = 4},
  [2442] = {.lex_state = 14, .external_lex_state = 4},
  [2443] = {.lex_state = 0, .external_lex_state = 5},
  [2444] = {.lex_state = 9, .external_lex_state = 4},
  [2445] = {.lex_state = 9, .external_lex_state = 4},
  [2446] = {.lex_state = 9, .external_lex_state = 4},
  [2447] = {.lex_state = 0, .external_lex_state = 5},
  [2448] = {.lex_state = 0, .external_lex_state = 6},
  [2449] = {.lex_state = 7, .external_lex_state = 4},
  [2450] = {.lex_state = 9, .external_lex_state = 4},
  [2451] = {.lex_state = 4, .external_lex_state = 4},
  [2452] = {.lex_state = 4, .external_lex_state = 4},
  [2453] = {.lex_state = 4, .external_lex_state = 4},
  [2454] = {.lex_state = 14, .external_lex_state = 4},
  [2455] = {.lex_state = 11, .external_lex_state = 4},
  [2456] = {.lex_state = 8, .external_lex_state = 4},
  [2457] = {.lex_state = 51, .external_lex_state = 4},
  [2458] = {.lex_state = 8, .external_lex_state = 4},
  [2459] = {.lex_state = 0, .external_lex_state = 5},
  [2460] = {.lex_state = 4, .external_lex_state = 4},
  [2461] = {.lex_state = 0, .external_lex_state = 4},
  [2462] = {.lex_state = 11, .external_lex_state = 4},
  [2463] = {.lex_state = 11, .external_lex_state = 4},
  [2464] = {.lex_state = 8, .external_lex_state = 4},
  [2465] = {.lex_state = 8, .external_lex_state = 4},
  [2466] = {.lex_state = 0, .external_lex_state = 5},
  [2467] = {.lex_state = 0, .external_lex_state = 5},
  [2468] = {.lex_state = 0, .external_lex_state = 5},
  [2469] = {.lex_state = 8, .external_lex_state = 4},
  [2470] = {.lex_state = 8, .external_lex_state = 4},
  [2471] = {.lex_state = 8, .external_lex_state = 4},
  [2472] = {.lex_state = 8, .external_lex_state = 4},
  [2473] = {.lex_state = 4, .external_lex_state = 4},
  [2474] = {.lex_state = 4, .external_lex_state = 4},
  [2475] = {.lex_state = 4, .external_lex_state = 4},
  [2476] = {.lex_state = 4, .external_lex_state = 4},
  [2477] = {.lex_state = 7, .external_lex_state = 4},
  [2478] = {.lex_state = 8, .external_lex_state = 4},
  [2479] = {.lex_state = 0, .external_lex_state = 5},
  [2480] = {.lex_state = 0, .external_lex_state = 5},
  [2481] = {.lex_state = 9, .external_lex_state = 4},
  [2482] = {.lex_state = 0, .external_lex_state = 5},
  [2483] = {.lex_state = 8, .external_lex_state = 4},
  [2484] = {.lex_state = 0, .external_lex_state = 6},
  [2485] = {.lex_state = 9, .external_lex_state = 4},
  [2486] = {.lex_state = 8, .external_lex_state = 4},
  [2487] = {.lex_state = 9, .external_lex_state = 4},
  [2488] = {.lex_state = 9, .external_lex_state = 4},
  [2489] = {.lex_state = 4, .external_lex_state = 4},
  [2490] = {.lex_state = 9, .external_lex_state = 4},
  [2491] = {.lex_state = 4, .external_lex_state = 4},
  [2492] = {.lex_state = 51, .external_lex_state = 4},
  [2493] = {.lex_state = 8, .external_lex_state = 4},
  [2494] = {.lex_state = 4, .external_lex_state = 4},
  [2495] = {.lex_state = 4, .external_lex_state = 4},
  [2496] = {.lex_state = 0, .external_lex_state = 4},
  [2497] = {.lex_state = 11, .external_lex_state = 4},
  [2498] = {.lex_state = 0, .external_lex_state = 5},
  [2499] = {.lex_state = 11, .external_lex_state = 4},
  [2500] = {.lex_state = 0, .external_lex_state = 4},
  [2501] = {.lex_state = 14, .external_lex_state = 4},
  [2502] = {.lex_state = 14, .external_lex_state = 4},
  [2503] = {.lex_state = 0, .external_lex_state = 5},
  [2504] = {.lex_state = 8, .external_lex_state = 4},
  [2505] = {.lex_state = 14, .external_lex_state = 4},
  [2506] = {.lex_state = 8, .external_lex_state = 4},
  [2507] = {.lex_state = 8, .external_lex_state = 4},
  [2508] = {.lex_state = 14, .external_lex_state = 4},
  [2509] = {.lex_state = 0, .external_lex_state = 4},
  [2510] = {.lex_state = 9, .external_lex_state = 4},
  [2511] = {.lex_state = 9, .external_lex_state = 4},
  [2512] = {.lex_state = 0, .external_lex_state = 4},
  [2513] = {.lex_state = 8, .external_lex_state = 4},
  [2514] = {.lex_state = 11, .external_lex_state = 4},
  [2515] = {.lex_state = 14, .external_lex_state = 4},
  [2516] = {.lex_state = 8, .external_lex_state = 4},
  [2517] = {.lex_state = 8, .external_lex_state = 4},
  [2518] = {.lex_state = 0, .external_lex_state = 4},
  [2519] = {.lex_state = 51, .external_lex_state = 4},
  [2520] = {.lex_state = 8, .external_lex_state = 4},
  [2521] = {.lex_state = 9, .external_lex_state = 4},
  [2522] = {.lex_state = 0, .external_lex_state = 4},
  [2523] = {.lex_state = 14, .external_lex_state = 4},
  [2524] = {.lex_state = 14, .external_lex_state = 4},
  [2525] = {.lex_state = 0, .external_lex_state = 4},
  [2526] = {.lex_state = 9, .external_lex_state = 4},
  [2527] = {.lex_state = 8, .external_lex_state = 4},
  [2528] = {.lex_state = 9, .external_lex_state = 4},
  [2529] = {.lex_state = 14, .external_lex_state = 4},
  [2530] = {.lex_state = 0, .external_lex_state = 4},
  [2531] = {.lex_state = 0, .external_lex_state = 4},
  [2532] = {.lex_state = 0, .external_lex_state = 6},
  [2533] = {.lex_state = 0, .external_lex_state = 4},
  [2534] = {.lex_state = 4, .external_lex_state = 4},
  [2535] = {.lex_state = 4, .external_lex_state = 4},
  [2536] = {.lex_state = 0, .external_lex_state = 4},
  [2537] = {.lex_state = 11, .external_lex_state = 4},
  [2538] = {.lex_state = 0, .external_lex_state = 6},
  [2539] = {.lex_state = 0, .external_lex_state = 6},
  [2540] = {.lex_state = 11, .external_lex_state = 4},
  [2541] = {.lex_state = 11, .external_lex_state = 4},
  [2542] = {.lex_state = 11, .external_lex_state = 4},
  [2543] = {.lex_state = 0, .external_lex_state = 6},
  [2544] = {.lex_state = 0, .external_lex_state = 4},
  [2545] = {.lex_state = 0, .external_lex_state = 4},
  [2546] = {.lex_state = 0, .external_lex_state = 4},
  [2547] = {.lex_state = 11, .external_lex_state = 4},
  [2548] = {.lex_state = 0, .external_lex_state = 4},
  [2549] = {.lex_state = 0, .external_lex_state = 4},
  [2550] = {.lex_state = 4, .external_lex_state = 4},
  [2551] = {.lex_state = 0, .external_lex_state = 4},
  [2552] = {.lex_state = 0, .external_lex_state = 4},
  [2553] = {.lex_state = 11, .external_lex_state = 4},
  [2554] = {.lex_state = 0, .external_lex_state = 4},
  [2555] = {.lex_state = 11, .external_lex_state = 4},
  [2556] = {.lex_state = 0, .external_lex_state = 6},
  [2557] = {.lex_state = 0, .external_lex_state = 4},
  [2558] = {.lex_state = 0, .external_lex_state = 6},
  [2559] = {.lex_state = 0, .external_lex_state = 6},
  [2560] = {.lex_state = 11, .external_lex_state = 4},
  [2561] = {.lex_state = 0, .external_lex_state = 4},
  [2562] = {.lex_state = 0, .external_lex_state = 4},
  [2563] = {.lex_state = 4, .external_lex_state = 4},
  [2564] = {.lex_state = 8, .external_lex_state = 4},
  [2565] = {.lex_state = 0, .external_lex_state = 4},
  [2566] = {.lex_state = 0, .external_lex_state = 4},
  [2567] = {.lex_state = 4, .external_lex_state = 4},
  [2568] = {.lex_state = 0, .external_lex_state = 4},
  [2569] = {.lex_state = 0, .external_lex_state = 6},
  [2570] = {.lex_state = 8, .external_lex_state = 4},
  [2571] = {.lex_state = 11, .external_lex_state = 4},
  [2572] = {.lex_state = 11, .external_lex_state = 4},
  [2573] = {.lex_state = 11, .external_lex_state = 4},
  [2574] = {.lex_state = 0, .external_lex_state = 6},
  [2575] = {.lex_state = 0, .external_lex_state = 6},
  [2576] = {.lex_state = 0, .external_lex_state = 6},
  [2577] = {.lex_state = 0, .external_lex_state = 4},
  [2578] = {.lex_state = 11, .external_lex_state = 4},
  [2579] = {.lex_state = 0, .external_lex_state = 6},
  [2580] = {.lex_state = 0, .external_lex_state = 4},
  [2581] = {.lex_state = 0, .external_lex_state = 4},
  [2582] = {.lex_state = 0, .external_lex_state = 4},
  [2583] = {.lex_state = 11, .external_lex_state = 4},
  [2584] = {.lex_state = 0, .external_lex_state = 4},
  [2585] = {.lex_state = 0, .external_lex_state = 4},
  [2586] = {.lex_state = 0, .external_lex_state = 6},
  [2587] = {.lex_state = 0, .external_lex_state = 4},
  [2588] = {.lex_state = 0, .external_lex_state = 4},
  [2589] = {.lex_state = 0, .external_lex_state = 4},
  [2590] = {.lex_state = 11, .external_lex_state = 4},
  [2591] = {.lex_state = 11, .external_lex_state = 4},
  [2592] = {.lex_state = 11, .external_lex_state = 4},
  [2593] = {.lex_state = 4, .external_lex_state = 4},
  [2594] = {.lex_state = 0, .external_lex_state = 6},
  [2595] = {.lex_state = 4, .external_lex_state = 4},
  [2596] = {.lex_state = 0, .external_lex_state = 4},
  [2597] = {.lex_state = 0, .external_lex_state = 6},
  [2598] = {.lex_state = 11, .external_lex_state = 4},
  [2599] = {.lex_state = 11, .external_lex_state = 4},
  [2600] = {.lex_state = 25, .external_lex_state = 6},
  [2601] = {.lex_state = 25, .external_lex_state = 6},
  [2602] = {.lex_state = 9, .external_lex_state = 4},
  [2603] = {.lex_state = 11, .external_lex_state = 4},
  [2604] = {.lex_state = 0, .external_lex_state = 4},
  [2605] = {.lex_state = 0, .external_lex_state = 4},
  [2606] = {.lex_state = 0, .external_lex_state = 4},
  [2607] = {.lex_state = 0, .external_lex_state = 5},
  [2608] = {.lex_state = 0, .external_lex_state = 4},
  [2609] = {.lex_state = 51, .external_lex_state = 4},
  [2610] = {.lex_state = 0, .external_lex_state = 6},
  [2611] = {.lex_state = 0, .external_lex_state = 4},
  [2612] = {.lex_state = 9, .external_lex_state = 4},
  [2613] = {.lex_state = 4, .external_lex_state = 4},
  [2614] = {.lex_state = 0, .external_lex_state = 6},
  [2615] = {.lex_state = 4, .external_lex_state = 4},
  [2616] = {.lex_state = 0, .external_lex_state = 6},
  [2617] = {.lex_state = 0, .external_lex_state = 4},
  [2618] = {.lex_state = 0, .external_lex_state = 4},
  [2619] = {.lex_state = 9, .external_lex_state = 4},
  [2620] = {.lex_state = 0, .external_lex_state = 4},
  [2621] = {.lex_state = 4, .external_lex_state = 4},
  [2622] = {.lex_state = 11, .external_lex_state = 4},
  [2623] = {.lex_state = 11, .external_lex_state = 4},
  [2624] = {.lex_state = 0, .external_lex_state = 4},
  [2625] = {.lex_state = 0, .external_lex_state = 4},
  [2626] = {.lex_state = 0, .external_lex_state = 4},
  [2627] = {.lex_state = 0, .external_lex_state = 6},
  [2628] = {.lex_state = 11, .external_lex_state = 4},
  [2629] = {.lex_state = 51, .external_lex_state = 4},
  [2630] = {.lex_state = 0, .external_lex_state = 6},
  [2631] = {.lex_state = 0, .external_lex_state = 6},
  [2632] = {.lex_state = 0, .external_lex_state = 6},
  [2633] = {.lex_state = 11, .external_lex_state = 4},
  [2634] = {.lex_state = 0, .external_lex_state = 4},
  [2635] = {.lex_state = 11, .external_lex_state = 4},
  [2636] = {.lex_state = 9, .external_lex_state = 4},
  [2637] = {.lex_state = 0, .external_lex_state = 4},
  [2638] = {.lex_state = 0, .external_lex_state = 4},
  [2639] = {.lex_state = 0, .external_lex_state = 4},
  [2640] = {.lex_state = 11, .external_lex_state = 4},
  [2641] = {.lex_state = 0, .external_lex_state = 4},
  [2642] = {.lex_state = 0, .external_lex_state = 6},
  [2643] = {.lex_state = 0, .external_lex_state = 6},
  [2644] = {.lex_state = 39, .external_lex_state = 4},
  [2645] = {.lex_state = 4, .external_lex_state = 4},
  [2646] = {.lex_state = 0, .external_lex_state = 4},
  [2647] = {.lex_state = 25, .external_lex_state = 6},
  [2648] = {.lex_state = 0, .external_lex_state = 4},
  [2649] = {.lex_state = 0, .external_lex_state = 4},
  [2650] = {.lex_state = 27, .external_lex_state = 6},
  [2651] = {.lex_state = 27, .external_lex_state = 6},
  [2652] = {.lex_state = 39, .external_lex_state = 4},
  [2653] = {.lex_state = 27, .external_lex_state = 6},
  [2654] = {.lex_state = 0, .external_lex_state = 4},
  [2655] = {.lex_state = 39, .external_lex_state = 4},
  [2656] = {.lex_state = 0, .external_lex_state = 4},
  [2657] = {.lex_state = 39, .external_lex_state = 4},
  [2658] = {.lex_state = 27, .external_lex_state = 6},
  [2659] = {.lex_state = 25, .external_lex_state = 6},
  [2660] = {.lex_state = 0, .external_lex_state = 4},
  [2661] = {.lex_state = 9, .external_lex_state = 4},
  [2662] = {.lex_state = 39, .external_lex_state = 4},
  [2663] = {.lex_state = 27, .external_lex_state = 6},
  [2664] = {.lex_state = 0, .external_lex_state = 4},
  [2665] = {.lex_state = 0, .external_lex_state = 4},
  [2666] = {.lex_state = 0, .external_lex_state = 4},
  [2667] = {.lex_state = 0, .external_lex_state = 4},
  [2668] = {.lex_state = 0, .external_lex_state = 4},
  [2669] = {.lex_state = 39, .external_lex_state = 4},
  [2670] = {.lex_state = 0, .external_lex_state = 4},
  [2671] = {.lex_state = 0, .external_lex_state = 4},
  [2672] = {.lex_state = 0, .external_lex_state = 4},
  [2673] = {.lex_state = 9, .external_lex_state = 4},
  [2674] = {.lex_state = 25, .external_lex_state = 6},
  [2675] = {.lex_state = 0, .external_lex_state = 4},
  [2676] = {.lex_state = 0, .external_lex_state = 4},
  [2677] = {.lex_state = 27, .external_lex_state = 6},
  [2678] = {.lex_state = 0, .external_lex_state = 4},
  [2679] = {.lex_state = 25, .external_lex_state = 6},
  [2680] = {.lex_state = 39, .external_lex_state = 4},
  [2681] = {.lex_state = 9, .external_lex_state = 4},
  [2682] = {.lex_state = 0, .external_lex_state = 4},
  [2683] = {.lex_state = 0, .external_lex_state = 4},
  [2684] = {.lex_state = 0, .external_lex_state = 4},
  [2685] = {.lex_state = 0, .external_lex_state = 4},
  [2686] = {.lex_state = 11, .external_lex_state = 4},
  [2687] = {.lex_state = 0, .external_lex_state = 4},
  [2688] = {.lex_state = 0, .external_lex_state = 4},
  [2689] = {.lex_state = 0, .external_lex_state = 4},
  [2690] = {.lex_state = 0, .external_lex_state = 4},
  [2691] = {.lex_state = 0, .external_lex_state = 4},
  [2692] = {.lex_state = 0, .external_lex_state = 4},
  [2693] = {.lex_state = 0, .external_lex_state = 4},
  [2694] = {.lex_state = 0, .external_lex_state = 4},
  [2695] = {.lex_state = 14, .external_lex_state = 4},
  [2696] = {.lex_state = 0, .external_lex_state = 4},
  [2697] = {.lex_state = 0, .external_lex_state = 4},
  [2698] = {.lex_state = 0, .external_lex_state = 4},
  [2699] = {.lex_state = 27, .external_lex_state = 6},
  [2700] = {.lex_state = 9, .external_lex_state = 4},
  [2701] = {.lex_state = 0, .external_lex_state = 4},
  [2702] = {.lex_state = 39, .external_lex_state = 4},
  [2703] = {.lex_state = 0, .external_lex_state = 4},
  [2704] = {.lex_state = 9, .external_lex_state = 4},
  [2705] = {.lex_state = 0, .external_lex_state = 4},
  [2706] = {.lex_state = 0, .external_lex_state = 4},
  [2707] = {.lex_state = 0, .external_lex_state = 4},
  [2708] = {.lex_state = 9, .external_lex_state = 4},
  [2709] = {.lex_state = 0, .external_lex_state = 4},
  [2710] = {.lex_state = 0, .external_lex_state = 4},
  [2711] = {.lex_state = 25, .external_lex_state = 6},
  [2712] = {.lex_state = 27, .external_lex_state = 6},
  [2713] = {.lex_state = 0, .external_lex_state = 4},
  [2714] = {.lex_state = 27, .external_lex_state = 6},
  [2715] = {.lex_state = 25, .external_lex_state = 6},
  [2716] = {.lex_state = 0, .external_lex_state = 4},
  [2717] = {.lex_state = 0, .external_lex_state = 4},
  [2718] = {.lex_state = 0, .external_lex_state = 4},
  [2719] = {.lex_state = 39, .external_lex_state = 4},
  [2720] = {.lex_state = 39, .external_lex_state = 4},
  [2721] = {.lex_state = 27, .external_lex_state = 6},
  [2722] = {.lex_state = 0, .external_lex_state = 4},
  [2723] = {.lex_state = 0, .external_lex_state = 4},
  [2724] = {.lex_state = 27, .external_lex_state = 6},
  [2725] = {.lex_state = 27, .external_lex_state = 6},
  [2726] = {.lex_state = 0, .external_lex_state = 4},
  [2727] = {.lex_state = 39, .external_lex_state = 4},
  [2728] = {.lex_state = 0, .external_lex_state = 4},
  [2729] = {.lex_state = 4, .external_lex_state = 4},
  [2730] = {.lex_state = 0, .external_lex_state = 4},
  [2731] = {.lex_state = 0, .external_lex_state = 4},
  [2732] = {.lex_state = 0, .external_lex_state = 4},
  [2733] = {.lex_state = 0, .external_lex_state = 4},
  [2734] = {.lex_state = 0, .external_lex_state = 4},
  [2735] = {.lex_state = 0, .external_lex_state = 4},
  [2736] = {.lex_state = 27, .external_lex_state = 6},
  [2737] = {.lex_state = 39, .external_lex_state = 4},
  [2738] = {.lex_state = 39, .external_lex_state = 4},
  [2739] = {.lex_state = 39, .external_lex_state = 4},
  [2740] = {.lex_state = 27, .external_lex_state = 6},
  [2741] = {.lex_state = 25, .external_lex_state = 6},
  [2742] = {.lex_state = 39, .external_lex_state = 4},
  [2743] = {.lex_state = 0, .external_lex_state = 4},
  [2744] = {.lex_state = 0, .external_lex_state = 4},
  [2745] = {.lex_state = 27, .external_lex_state = 6},
  [2746] = {.lex_state = 0, .external_lex_state = 6},
  [2747] = {.lex_state = 9, .external_lex_state = 4},
  [2748] = {.lex_state = 0, .external_lex_state = 4},
  [2749] = {.lex_state = 0, .external_lex_state = 4},
  [2750] = {.lex_state = 0, .external_lex_state = 4},
  [2751] = {.lex_state = 0, .external_lex_state = 4},
  [2752] = {.lex_state = 222, .external_lex_state = 4},
  [2753] = {.lex_state = 0, .external_lex_state = 4},
  [2754] = {.lex_state = 11, .external_lex_state = 4},
  [2755] = {.lex_state = 0, .external_lex_state = 4},
  [2756] = {.lex_state = 222, .external_lex_state = 4},
  [2757] = {.lex_state = 8, .external_lex_state = 4},
  [2758] = {.lex_state = 0, .external_lex_state = 4},
  [2759] = {.lex_state = 0, .external_lex_state = 4},
  [2760] = {.lex_state = 0, .external_lex_state = 4},
  [2761] = {.lex_state = 0, .external_lex_state = 4},
  [2762] = {.lex_state = 0, .external_lex_state = 4},
  [2763] = {.lex_state = 0, .external_lex_state = 4},
  [2764] = {.lex_state = 0, .external_lex_state = 4},
  [2765] = {.lex_state = 0, .external_lex_state = 4},
  [2766] = {.lex_state = 0, .external_lex_state = 4},
  [2767] = {.lex_state = 0, .external_lex_state = 4},
  [2768] = {.lex_state = 0, .external_lex_state = 4},
  [2769] = {.lex_state = 0, .external_lex_state = 4},
  [2770] = {.lex_state = 0, .external_lex_state = 4},
  [2771] = {.lex_state = 0, .external_lex_state = 4},
  [2772] = {.lex_state = 0, .external_lex_state = 4},
  [2773] = {.lex_state = 9, .external_lex_state = 4},
  [2774] = {.lex_state = 0, .external_lex_state = 4},
  [2775] = {.lex_state = 0, .external_lex_state = 4},
  [2776] = {.lex_state = 0, .external_lex_state = 4},
  [2777] = {.lex_state = 0, .external_lex_state = 4},
  [2778] = {.lex_state = 0, .external_lex_state = 4},
  [2779] = {.lex_state = 0, .external_lex_state = 4},
  [2780] = {.lex_state = 11, .external_lex_state = 4},
  [2781] = {.lex_state = 0, .external_lex_state = 4},
  [2782] = {.lex_state = 0, .external_lex_state = 4},
  [2783] = {.lex_state = 0, .external_lex_state = 4},
  [2784] = {.lex_state = 0, .external_lex_state = 4},
  [2785] = {.lex_state = 0, .external_lex_state = 4},
  [2786] = {.lex_state = 0, .external_lex_state = 4},
  [2787] = {.lex_state = 0, .external_lex_state = 4},
  [2788] = {.lex_state = 0, .external_lex_state = 4},
  [2789] = {.lex_state = 0, .external_lex_state = 4},
  [2790] = {.lex_state = 0, .external_lex_state = 4},
  [2791] = {.lex_state = 0, .external_lex_state = 4},
  [2792] = {.lex_state = 0, .external_lex_state = 4},
  [2793] = {.lex_state = 8, .external_lex_state = 4},
  [2794] = {.lex_state = 0, .external_lex_state = 9},
  [2795] = {.lex_state = 0, .external_lex_state = 4},
  [2796] = {.lex_state = 0, .external_lex_state = 4},
  [2797] = {.lex_state = 0, .external_lex_state = 4},
  [2798] = {.lex_state = 8, .external_lex_state = 4},
  [2799] = {.lex_state = 0, .external_lex_state = 4},
  [2800] = {.lex_state = 0, .external_lex_state = 4},
  [2801] = {.lex_state = 0, .external_lex_state = 4},
  [2802] = {.lex_state = 0, .external_lex_state = 4},
  [2803] = {.lex_state = 0, .external_lex_state = 4},
  [2804] = {.lex_state = 0, .external_lex_state = 4},
  [2805] = {.lex_state = 8, .external_lex_state = 4},
  [2806] = {.lex_state = 0, .external_lex_state = 4},
  [2807] = {.lex_state = 8, .external_lex_state = 4},
  [2808] = {.lex_state = 37, .external_lex_state = 4},
  [2809] = {.lex_state = 9, .external_lex_state = 4},
  [2810] = {.lex_state = 0, .external_lex_state = 4},
  [2811] = {.lex_state = 37, .external_lex_state = 4},
  [2812] = {.lex_state = 0, .external_lex_state = 4},
  [2813] = {.lex_state = 0, .external_lex_state = 4},
  [2814] = {.lex_state = 0, .external_lex_state = 4},
  [2815] = {.lex_state = 0, .external_lex_state = 4},
  [2816] = {.lex_state = 0, .external_lex_state = 4},
  [2817] = {.lex_state = 0, .external_lex_state = 4},
  [2818] = {.lex_state = 0, .external_lex_state = 4},
  [2819] = {.lex_state = 8, .external_lex_state = 4},
  [2820] = {.lex_state = 0, .external_lex_state = 4},
  [2821] = {.lex_state = 8, .external_lex_state = 4},
  [2822] = {.lex_state = 0, .external_lex_state = 4},
  [2823] = {.lex_state = 0, .external_lex_state = 4},
  [2824] = {.lex_state = 0, .external_lex_state = 4},
  [2825] = {.lex_state = 0, .external_lex_state = 4},
  [2826] = {.lex_state = 0, .external_lex_state = 4},
  [2827] = {.lex_state = 0, .external_lex_state = 4},
  [2828] = {.lex_state = 0, .external_lex_state = 4},
  [2829] = {.lex_state = 0, .external_lex_state = 4},
  [2830] = {.lex_state = 0, .external_lex_state = 4},
  [2831] = {.lex_state = 0, .external_lex_state = 4},
  [2832] = {.lex_state = 0, .external_lex_state = 4},
  [2833] = {.lex_state = 0, .external_lex_state = 4},
  [2834] = {.lex_state = 0, .external_lex_state = 4},
  [2835] = {.lex_state = 11, .external_lex_state = 4},
  [2836] = {.lex_state = 0, .external_lex_state = 4},
  [2837] = {.lex_state = 0, .external_lex_state = 4},
  [2838] = {.lex_state = 0, .external_lex_state = 4},
  [2839] = {.lex_state = 11, .external_lex_state = 4},
  [2840] = {.lex_state = 0, .external_lex_state = 4},
  [2841] = {.lex_state = 0, .external_lex_state = 4},
  [2842] = {.lex_state = 0, .external_lex_state = 4},
  [2843] = {.lex_state = 0, .external_lex_state = 4},
  [2844] = {.lex_state = 0, .external_lex_state = 4},
  [2845] = {.lex_state = 0, .external_lex_state = 4},
  [2846] = {.lex_state = 0, .external_lex_state = 4},
  [2847] = {.lex_state = 0, .external_lex_state = 4},
  [2848] = {.lex_state = 0, .external_lex_state = 4},
  [2849] = {.lex_state = 37, .external_lex_state = 4},
  [2850] = {.lex_state = 8, .external_lex_state = 4},
  [2851] = {.lex_state = 0, .external_lex_state = 4},
  [2852] = {.lex_state = 0, .external_lex_state = 4},
  [2853] = {.lex_state = 0, .external_lex_state = 4},
  [2854] = {.lex_state = 0, .external_lex_state = 4},
  [2855] = {.lex_state = 8, .external_lex_state = 4},
  [2856] = {.lex_state = 0, .external_lex_state = 4},
  [2857] = {.lex_state = 8, .external_lex_state = 4},
  [2858] = {.lex_state = 0, .external_lex_state = 4},
  [2859] = {.lex_state = 0, .external_lex_state = 4},
  [2860] = {.lex_state = 0, .external_lex_state = 4},
  [2861] = {.lex_state = 0, .external_lex_state = 4},
  [2862] = {.lex_state = 0, .external_lex_state = 4},
  [2863] = {.lex_state = 0, .external_lex_state = 4},
  [2864] = {.lex_state = 0, .external_lex_state = 4},
  [2865] = {.lex_state = 8, .external_lex_state = 4},
  [2866] = {.lex_state = 27, .external_lex_state = 6},
  [2867] = {.lex_state = 0, .external_lex_state = 4},
  [2868] = {.lex_state = 0, .external_lex_state = 4},
  [2869] = {.lex_state = 0, .external_lex_state = 4},
  [2870] = {.lex_state = 0, .external_lex_state = 4},
  [2871] = {.lex_state = 0, .external_lex_state = 4},
  [2872] = {.lex_state = 0, .external_lex_state = 4},
  [2873] = {.lex_state = 0, .external_lex_state = 4},
  [2874] = {.lex_state = 9, .external_lex_state = 4},
  [2875] = {.lex_state = 0, .external_lex_state = 4},
  [2876] = {.lex_state = 0, .external_lex_state = 4},
  [2877] = {.lex_state = 0, .external_lex_state = 4},
  [2878] = {.lex_state = 0, .external_lex_state = 4},
  [2879] = {.lex_state = 39, .external_lex_state = 4},
  [2880] = {.lex_state = 0, .external_lex_state = 4},
  [2881] = {.lex_state = 0, .external_lex_state = 4},
  [2882] = {.lex_state = 0, .external_lex_state = 4},
  [2883] = {.lex_state = 0, .external_lex_state = 4},
  [2884] = {.lex_state = 0, .external_lex_state = 4},
  [2885] = {.lex_state = 11, .external_lex_state = 4},
  [2886] = {.lex_state = 0, .external_lex_state = 4},
  [2887] = {.lex_state = 11, .external_lex_state = 4},
  [2888] = {.lex_state = 0, .external_lex_state = 4},
  [2889] = {.lex_state = 0, .external_lex_state = 4},
  [2890] = {.lex_state = 0, .external_lex_state = 4},
  [2891] = {.lex_state = 0, .external_lex_state = 4},
  [2892] = {.lex_state = 0, .external_lex_state = 4},
  [2893] = {.lex_state = 0, .external_lex_state = 4},
  [2894] = {.lex_state = 0, .external_lex_state = 4},
  [2895] = {.lex_state = 8, .external_lex_state = 4},
  [2896] = {.lex_state = 222, .external_lex_state = 4},
  [2897] = {.lex_state = 37, .external_lex_state = 4},
  [2898] = {.lex_state = 0, .external_lex_state = 4},
  [2899] = {.lex_state = 11, .external_lex_state = 4},
  [2900] = {.lex_state = 0, .external_lex_state = 4},
  [2901] = {.lex_state = 0, .external_lex_state = 4},
  [2902] = {.lex_state = 0, .external_lex_state = 4},
  [2903] = {.lex_state = 0, .external_lex_state = 4},
  [2904] = {.lex_state = 9, .external_lex_state = 4},
  [2905] = {.lex_state = 0, .external_lex_state = 4},
  [2906] = {.lex_state = 8, .external_lex_state = 4},
  [2907] = {.lex_state = 37, .external_lex_state = 4},
  [2908] = {.lex_state = 0, .external_lex_state = 9},
  [2909] = {.lex_state = 0, .external_lex_state = 4},
  [2910] = {.lex_state = 0, .external_lex_state = 9},
  [2911] = {.lex_state = 8, .external_lex_state = 4},
  [2912] = {.lex_state = 0, .external_lex_state = 4},
  [2913] = {.lex_state = 4, .external_lex_state = 4},
  [2914] = {.lex_state = 222, .external_lex_state = 4},
  [2915] = {.lex_state = 0, .external_lex_state = 4},
  [2916] = {.lex_state = 0, .external_lex_state = 4},
  [2917] = {.lex_state = 8, .external_lex_state = 4},
  [2918] = {.lex_state = 0, .external_lex_state = 4},
  [2919] = {.lex_state = 37, .external_lex_state = 4},
  [2920] = {.lex_state = 8, .external_lex_state = 4},
  [2921] = {.lex_state = 0, .external_lex_state = 4},
  [2922] = {.lex_state = 9, .external_lex_state = 4},
  [2923] = {.lex_state = 0, .external_lex_state = 4},
  [2924] = {.lex_state = 0, .external_lex_state = 4},
  [2925] = {.lex_state = 0, .external_lex_state = 4},
  [2926] = {.lex_state = 0, .external_lex_state = 4},
  [2927] = {.lex_state = 0, .external_lex_state = 4},
  [2928] = {.lex_state = 0, .external_lex_state = 4},
  [2929] = {.lex_state = 0, .external_lex_state = 4},
  [2930] = {.lex_state = 0, .external_lex_state = 4},
  [2931] = {.lex_state = 0, .external_lex_state = 4},
  [2932] = {.lex_state = 0, .external_lex_state = 4},
  [2933] = {.lex_state = 0, .external_lex_state = 4},
  [2934] = {.lex_state = 0, .external_lex_state = 4},
  [2935] = {.lex_state = 0, .external_lex_state = 4},
  [2936] = {.lex_state = 0, .external_lex_state = 4},
  [2937] = {.lex_state = 0, .external_lex_state = 4},
  [2938] = {.lex_state = 0, .external_lex_state = 4},
  [2939] = {.lex_state = 0, .external_lex_state = 4},
  [2940] = {.lex_state = 0, .external_lex_state = 4},
  [2941] = {.lex_state = 0, .external_lex_state = 4},
  [2942] = {.lex_state = 0, .external_lex_state = 4},
  [2943] = {.lex_state = 0, .external_lex_state = 4},
  [2944] = {.lex_state = 0, .external_lex_state = 4},
  [2945] = {.lex_state = 0, .external_lex_state = 4},
  [2946] = {.lex_state = 0, .external_lex_state = 4},
  [2947] = {.lex_state = 0, .external_lex_state = 4},
  [2948] = {.lex_state = 0, .external_lex_state = 4},
  [2949] = {.lex_state = 0, .external_lex_state = 4},
  [2950] = {.lex_state = 0, .external_lex_state = 4},
  [2951] = {.lex_state = 0, .external_lex_state = 4},
  [2952] = {.lex_state = 0, .external_lex_state = 4},
  [2953] = {.lex_state = 0, .external_lex_state = 4},
  [2954] = {.lex_state = 0, .external_lex_state = 4},
  [2955] = {.lex_state = 0, .external_lex_state = 4},
  [2956] = {.lex_state = 0, .external_lex_state = 4},
  [2957] = {.lex_state = 0, .external_lex_state = 4},
  [2958] = {.lex_state = 0, .external_lex_state = 4},
  [2959] = {.lex_state = 0, .external_lex_state = 4},
  [2960] = {.lex_state = 0, .external_lex_state = 4},
  [2961] = {.lex_state = 0, .external_lex_state = 4},
  [2962] = {.lex_state = 0, .external_lex_state = 4},
  [2963] = {.lex_state = 0, .external_lex_state = 4},
  [2964] = {.lex_state = 0, .external_lex_state = 4},
  [2965] = {.lex_state = 0, .external_lex_state = 4},
  [2966] = {.lex_state = 0, .external_lex_state = 4},
  [2967] = {.lex_state = 0, .external_lex_state = 4},
  [2968] = {.lex_state = 0, .external_lex_state = 4},
  [2969] = {.lex_state = 0, .external_lex_state = 4},
  [2970] = {.lex_state = 222, .external_lex_state = 4},
  [2971] = {.lex_state = 0, .external_lex_state = 4},
  [2972] = {.lex_state = 0, .external_lex_state = 4},
  [2973] = {.lex_state = 0, .external_lex_state = 4},
  [2974] = {.lex_state = 0, .external_lex_state = 4},
  [2975] = {.lex_state = 0, .external_lex_state = 4},
  [2976] = {.lex_state = 0, .external_lex_state = 4},
  [2977] = {.lex_state = 0, .external_lex_state = 4},
  [2978] = {.lex_state = 0, .external_lex_state = 4},
  [2979] = {.lex_state = 0, .external_lex_state = 4},
  [2980] = {.lex_state = 0, .external_lex_state = 4},
  [2981] = {.lex_state = 0, .external_lex_state = 9},
  [2982] = {.lex_state = 0, .external_lex_state = 4},
  [2983] = {.lex_state = 0, .external_lex_state = 4},
  [2984] = {.lex_state = 0, .external_lex_state = 4},
  [2985] = {.lex_state = 0, .external_lex_state = 4},
  [2986] = {.lex_state = 0, .external_lex_state = 4},
  [2987] = {.lex_state = 0, .external_lex_state = 4},
  [2988] = {.lex_state = 0, .external_lex_state = 4},
  [2989] = {.lex_state = 9, .external_lex_state = 4},
  [2990] = {.lex_state = 0, .external_lex_state = 4},
  [2991] = {.lex_state = 0, .external_lex_state = 4},
  [2992] = {.lex_state = 222, .external_lex_state = 4},
  [2993] = {.lex_state = 0, .external_lex_state = 4},
  [2994] = {.lex_state = 0, .external_lex_state = 4},
  [2995] = {.lex_state = 9, .external_lex_state = 4},
  [2996] = {.lex_state = 0, .external_lex_state = 4},
  [2997] = {.lex_state = 0, .external_lex_state = 4},
  [2998] = {.lex_state = 9, .external_lex_state = 4},
  [2999] = {.lex_state = 0, .external_lex_state = 4},
  [3000] = {.lex_state = 0, .external_lex_state = 9},
  [3001] = {.lex_state = 0, .external_lex_state = 4},
  [3002] = {.lex_state = 0, .external_lex_state = 4},
  [3003] = {.lex_state = 0, .external_lex_state = 4},
  [3004] = {.lex_state = 222, .external_lex_state = 4},
  [3005] = {.lex_state = 0, .external_lex_state = 4},
  [3006] = {.lex_state = 0, .external_lex_state = 4},
  [3007] = {.lex_state = 0, .external_lex_state = 4},
  [3008] = {.lex_state = 0, .external_lex_state = 4},
  [3009] = {.lex_state = 8, .external_lex_state = 4},
  [3010] = {.lex_state = 37, .external_lex_state = 4},
  [3011] = {.lex_state = 0, .external_lex_state = 4},
  [3012] = {.lex_state = 0, .external_lex_state = 4},
  [3013] = {.lex_state = 11, .external_lex_state = 4},
  [3014] = {.lex_state = 0, .external_lex_state = 4},
  [3015] = {.lex_state = 0, .external_lex_state = 4},
  [3016] = {.lex_state = 0, .external_lex_state = 4},
  [3017] = {.lex_state = 222, .external_lex_state = 4},
  [3018] = {.lex_state = 0, .external_lex_state = 4},
  [3019] = {.lex_state = 0, .external_lex_state = 4},
  [3020] = {.lex_state = 8, .external_lex_state = 4},
  [3021] = {.lex_state = 0, .external_lex_state = 4},
  [3022] = {.lex_state = 9, .external_lex_state = 4},
  [3023] = {.lex_state = 0, .external_lex_state = 4},
  [3024] = {.lex_state = 0, .external_lex_state = 4},
  [3025] = {.lex_state = 0, .external_lex_state = 4},
  [3026] = {.lex_state = 0, .external_lex_state = 4},
  [3027] = {.lex_state = 0, .external_lex_state = 4},
  [3028] = {.lex_state = 0, .external_lex_state = 4},
  [3029] = {.lex_state = 0, .external_lex_state = 4},
  [3030] = {.lex_state = 0, .external_lex_state = 4},
  [3031] = {.lex_state = 0, .external_lex_state = 4},
  [3032] = {.lex_state = 0, .external_lex_state = 4},
  [3033] = {.lex_state = 0, .external_lex_state = 4},
  [3034] = {.lex_state = 0, .external_lex_state = 4},
  [3035] = {.lex_state = 0, .external_lex_state = 4},
  [3036] = {.lex_state = 37, .external_lex_state = 4},
  [3037] = {.lex_state = 0, .external_lex_state = 6},
  [3038] = {.lex_state = 0, .external_lex_state = 4},
  [3039] = {.lex_state = 0, .external_lex_state = 4},
  [3040] = {.lex_state = 0, .external_lex_state = 9},
  [3041] = {.lex_state = 0, .external_lex_state = 6},
  [3042] = {.lex_state = 0, .external_lex_state = 4},
  [3043] = {.lex_state = 0, .external_lex_state = 4},
  [3044] = {.lex_state = 0, .external_lex_state = 4},
  [3045] = {.lex_state = 0, .external_lex_state = 4},
  [3046] = {.lex_state = 0, .external_lex_state = 4},
  [3047] = {.lex_state = 0, .external_lex_state = 4},
  [3048] = {.lex_state = 0, .external_lex_state = 4},
  [3049] = {.lex_state = 0, .external_lex_state = 4},
  [3050] = {.lex_state = 222, .external_lex_state = 4},
  [3051] = {.lex_state = 0, .external_lex_state = 4},
  [3052] = {.lex_state = 0, .external_lex_state = 4},
  [3053] = {.lex_state = 0, .external_lex_state = 6},
  [3054] = {.lex_state = 0, .external_lex_state = 4},
  [3055] = {.lex_state = 0, .external_lex_state = 4},
  [3056] = {.lex_state = 0, .external_lex_state = 4},
  [3057] = {.lex_state = 9, .external_lex_state = 4},
  [3058] = {.lex_state = 0, .external_lex_state = 4},
  [3059] = {.lex_state = 0, .external_lex_state = 4},
  [3060] = {.lex_state = 0, .external_lex_state = 4},
  [3061] = {.lex_state = 0, .external_lex_state = 4},
  [3062] = {.lex_state = 0, .external_lex_state = 4},
  [3063] = {.lex_state = 0, .external_lex_state = 4},
  [3064] = {.lex_state = 0, .external_lex_state = 4},
  [3065] = {.lex_state = 0, .external_lex_state = 4},
  [3066] = {.lex_state = 0, .external_lex_state = 4},
  [3067] = {.lex_state = 0, .external_lex_state = 4},
  [3068] = {.lex_state = 0, .external_lex_state = 4},
  [3069] = {.lex_state = 0, .external_lex_state = 4},
  [3070] = {.lex_state = 0, .external_lex_state = 6},
  [3071] = {.lex_state = 0, .external_lex_state = 4},
  [3072] = {.lex_state = 0, .external_lex_state = 4},
  [3073] = {.lex_state = 0, .external_lex_state = 9},
  [3074] = {.lex_state = 0, .external_lex_state = 4},
  [3075] = {.lex_state = 0, .external_lex_state = 4},
  [3076] = {.lex_state = 0, .external_lex_state = 4},
  [3077] = {.lex_state = 0, .external_lex_state = 4},
  [3078] = {.lex_state = 0, .external_lex_state = 4},
  [3079] = {.lex_state = 0, .external_lex_state = 4},
  [3080] = {.lex_state = 0, .external_lex_state = 4},
  [3081] = {.lex_state = 0, .external_lex_state = 4},
  [3082] = {.lex_state = 0, .external_lex_state = 4},
  [3083] = {.lex_state = 0, .external_lex_state = 9},
  [3084] = {.lex_state = 0, .external_lex_state = 9},
  [3085] = {.lex_state = 0, .external_lex_state = 4},
  [3086] = {.lex_state = 0, .external_lex_state = 9},
  [3087] = {.lex_state = 0, .external_lex_state = 4},
  [3088] = {.lex_state = 0, .external_lex_state = 4},
  [3089] = {.lex_state = 0, .external_lex_state = 4},
  [3090] = {.lex_state = 0, .external_lex_state = 4},
  [3091] = {.lex_state = 0, .external_lex_state = 4},
  [3092] = {.lex_state = 0, .external_lex_state = 4},
  [3093] = {.lex_state = 0, .external_lex_state = 4},
  [3094] = {.lex_state = 0, .external_lex_state = 4},
  [3095] = {.lex_state = 0, .external_lex_state = 4},
  [3096] = {.lex_state = 222, .external_lex_state = 4},
  [3097] = {.lex_state = 0, .external_lex_state = 4},
  [3098] = {.lex_state = 0, .external_lex_state = 4},
  [3099] = {.lex_state = 0, .external_lex_state = 4},
  [3100] = {.lex_state = 0, .external_lex_state = 6},
  [3101] = {.lex_state = 0, .external_lex_state = 9},
  [3102] = {.lex_state = 0, .external_lex_state = 4},
  [3103] = {.lex_state = 0, .external_lex_state = 4},
  [3104] = {.lex_state = 0, .external_lex_state = 4},
  [3105] = {.lex_state = 0, .external_lex_state = 4},
  [3106] = {.lex_state = 0, .external_lex_state = 4},
  [3107] = {.lex_state = 0, .external_lex_state = 6},
  [3108] = {.lex_state = 0, .external_lex_state = 4},
  [3109] = {.lex_state = 0, .external_lex_state = 4},
  [3110] = {.lex_state = 0, .external_lex_state = 4},
  [3111] = {.lex_state = 0, .external_lex_state = 4},
  [3112] = {.lex_state = 9, .external_lex_state = 4},
  [3113] = {.lex_state = 0, .external_lex_state = 4},
  [3114] = {.lex_state = 0, .external_lex_state = 4},
  [3115] = {.lex_state = 9, .external_lex_state = 4},
  [3116] = {.lex_state = 0, .external_lex_state = 4},
  [3117] = {.lex_state = 0, .external_lex_state = 4},
  [3118] = {.lex_state = 0, .external_lex_state = 6},
  [3119] = {.lex_state = 0, .external_lex_state = 6},
  [3120] = {.lex_state = 0, .external_lex_state = 4},
  [3121] = {.lex_state = 0, .external_lex_state = 4},
  [3122] = {.lex_state = 0, .external_lex_state = 4},
  [3123] = {.lex_state = 0, .external_lex_state = 4},
  [3124] = {.lex_state = 0, .external_lex_state = 4},
  [3125] = {.lex_state = 0, .external_lex_state = 4},
  [3126] = {.lex_state = 0, .external_lex_state = 9},
  [3127] = {.lex_state = 0, .external_lex_state = 4},
  [3128] = {.lex_state = 0, .external_lex_state = 4},
  [3129] = {.lex_state = 0, .external_lex_state = 4},
  [3130] = {.lex_state = 0, .external_lex_state = 4},
  [3131] = {.lex_state = 0, .external_lex_state = 4},
  [3132] = {.lex_state = 0, .external_lex_state = 4},
  [3133] = {.lex_state = 0, .external_lex_state = 4},
  [3134] = {.lex_state = 0, .external_lex_state = 4},
  [3135] = {.lex_state = 0, .external_lex_state = 4},
  [3136] = {.lex_state = 0, .external_lex_state = 4},
  [3137] = {.lex_state = 0, .external_lex_state = 4},
  [3138] = {.lex_state = 0, .external_lex_state = 4},
  [3139] = {.lex_state = 0, .external_lex_state = 4},
  [3140] = {.lex_state = 0, .external_lex_state = 4},
  [3141] = {.lex_state = 0, .external_lex_state = 4},
  [3142] = {.lex_state = 0, .external_lex_state = 4},
  [3143] = {.lex_state = 0, .external_lex_state = 4},
  [3144] = {.lex_state = 0, .external_lex_state = 4},
  [3145] = {.lex_state = 222, .external_lex_state = 4},
  [3146] = {.lex_state = 0, .external_lex_state = 4},
  [3147] = {.lex_state = 0, .external_lex_state = 4},
  [3148] = {.lex_state = 0, .external_lex_state = 4},
  [3149] = {.lex_state = 0, .external_lex_state = 4},
  [3150] = {.lex_state = 0, .external_lex_state = 4},
  [3151] = {.lex_state = 0, .external_lex_state = 4},
  [3152] = {.lex_state = 8, .external_lex_state = 4},
  [3153] = {.lex_state = 0, .external_lex_state = 4},
  [3154] = {.lex_state = 0, .external_lex_state = 4},
  [3155] = {.lex_state = 0, .external_lex_state = 4},
  [3156] = {.lex_state = 0, .external_lex_state = 4},
  [3157] = {.lex_state = 0, .external_lex_state = 4},
  [3158] = {.lex_state = 0, .external_lex_state = 4},
  [3159] = {.lex_state = 0, .external_lex_state = 4},
  [3160] = {.lex_state = 0, .external_lex_state = 4},
  [3161] = {.lex_state = 0, .external_lex_state = 4},
  [3162] = {.lex_state = 0, .external_lex_state = 4},
  [3163] = {.lex_state = 0, .external_lex_state = 4},
  [3164] = {.lex_state = 0, .external_lex_state = 4},
  [3165] = {.lex_state = 0, .external_lex_state = 4},
  [3166] = {.lex_state = 0, .external_lex_state = 4},
  [3167] = {.lex_state = 0, .external_lex_state = 4},
  [3168] = {.lex_state = 0, .external_lex_state = 4},
  [3169] = {.lex_state = 0, .external_lex_state = 4},
  [3170] = {.lex_state = 0, .external_lex_state = 4},
  [3171] = {.lex_state = 0, .external_lex_state = 4},
  [3172] = {.lex_state = 222, .external_lex_state = 4},
  [3173] = {.lex_state = 0, .external_lex_state = 4},
  [3174] = {.lex_state = 0, .external_lex_state = 4},
  [3175] = {.lex_state = 0, .external_lex_state = 4},
  [3176] = {.lex_state = 0, .external_lex_state = 4},
  [3177] = {.lex_state = 8, .external_lex_state = 4},
  [3178] = {.lex_state = 0, .external_lex_state = 4},
  [3179] = {.lex_state = 0, .external_lex_state = 4},
  [3180] = {.lex_state = 0, .external_lex_state = 4},
  [3181] = {.lex_state = 222, .external_lex_state = 4},
  [3182] = {.lex_state = 0, .external_lex_state = 4},
  [3183] = {.lex_state = 0, .external_lex_state = 4},
  [3184] = {.lex_state = 0, .external_lex_state = 4},
  [3185] = {.lex_state = 0, .external_lex_state = 4},
  [3186] = {.lex_state = 0, .external_lex_state = 4},
  [3187] = {.lex_state = 0, .external_lex_state = 4},
  [3188] = {.lex_state = 0, .external_lex_state = 4},
  [3189] = {.lex_state = 0, .external_lex_state = 4},
  [3190] = {.lex_state = 0, .external_lex_state = 4},
  [3191] = {.lex_state = 0, .external_lex_state = 10},
  [3192] = {.lex_state = 0, .external_lex_state = 4},
  [3193] = {.lex_state = 0, .external_lex_state = 4},
  [3194] = {.lex_state = 0, .external_lex_state = 4},
  [3195] = {.lex_state = 0, .external_lex_state = 4},
  [3196] = {.lex_state = 0, .external_lex_state = 4},
  [3197] = {.lex_state = 0, .external_lex_state = 4},
  [3198] = {.lex_state = 0, .external_lex_state = 4},
  [3199] = {.lex_state = 0, .external_lex_state = 4},
  [3200] = {.lex_state = 0, .external_lex_state = 4},
  [3201] = {.lex_state = 0, .external_lex_state = 4},
  [3202] = {.lex_state = 222, .external_lex_state = 4},
  [3203] = {.lex_state = 0, .external_lex_state = 10},
  [3204] = {.lex_state = 0, .external_lex_state = 4},
  [3205] = {.lex_state = 0, .external_lex_state = 4},
  [3206] = {.lex_state = 222, .external_lex_state = 4},
  [3207] = {.lex_state = 0, .external_lex_state = 4},
  [3208] = {.lex_state = 0, .external_lex_state = 4},
  [3209] = {.lex_state = 0, .external_lex_state = 4},
  [3210] = {.lex_state = 0, .external_lex_state = 4},
  [3211] = {.lex_state = 0, .external_lex_state = 4},
  [3212] = {.lex_state = 0, .external_lex_state = 4},
  [3213] = {.lex_state = 0, .external_lex_state = 4},
  [3214] = {.lex_state = 0, .external_lex_state = 4},
  [3215] = {.lex_state = 0, .external_lex_state = 4},
  [3216] = {.lex_state = 0, .external_lex_state = 4},
  [3217] = {.lex_state = 0, .external_lex_state = 4},
  [3218] = {.lex_state = 222, .external_lex_state = 4},
  [3219] = {.lex_state = 8, .external_lex_state = 4},
  [3220] = {.lex_state = 0, .external_lex_state = 4},
  [3221] = {.lex_state = 0, .external_lex_state = 4},
  [3222] = {.lex_state = 8, .external_lex_state = 4},
  [3223] = {.lex_state = 0, .external_lex_state = 4},
  [3224] = {.lex_state = 0, .external_lex_state = 4},
  [3225] = {.lex_state = 0, .external_lex_state = 4},
  [3226] = {.lex_state = 0, .external_lex_state = 4},
  [3227] = {.lex_state = 0, .external_lex_state = 4},
  [3228] = {.lex_state = 0, .external_lex_state = 4},
  [3229] = {.lex_state = 0, .external_lex_state = 4},
  [3230] = {.lex_state = 0, .external_lex_state = 10},
  [3231] = {.lex_state = 222, .external_lex_state = 4},
  [3232] = {.lex_state = 0, .external_lex_state = 4},
  [3233] = {.lex_state = 8, .external_lex_state = 4},
  [3234] = {.lex_state = 0, .external_lex_state = 4},
  [3235] = {.lex_state = 0, .external_lex_state = 4},
  [3236] = {.lex_state = 222, .external_lex_state = 4},
  [3237] = {.lex_state = 0, .external_lex_state = 4},
  [3238] = {.lex_state = 222, .external_lex_state = 4},
  [3239] = {.lex_state = 8, .external_lex_state = 4},
  [3240] = {.lex_state = 222, .external_lex_state = 4},
  [3241] = {.lex_state = 222, .external_lex_state = 4},
  [3242] = {.lex_state = 0, .external_lex_state = 4},
  [3243] = {.lex_state = 0, .external_lex_state = 4},
  [3244] = {.lex_state = 0, .external_lex_state = 4},
  [3245] = {.lex_state = 0, .external_lex_state = 4},
  [3246] = {.lex_state = 8, .external_lex_state = 4},
  [3247] = {.lex_state = 222, .external_lex_state = 4},
  [3248] = {.lex_state = 8, .external_lex_state = 4},
  [3249] = {.lex_state = 222, .external_lex_state = 4},
  [3250] = {.lex_state = 0, .external_lex_state = 4},
  [3251] = {.lex_state = 0, .external_lex_state = 4},
  [3252] = {.lex_state = 0, .external_lex_state = 4},
  [3253] = {.lex_state = 0, .external_lex_state = 4},
  [3254] = {.lex_state = 0, .external_lex_state = 4},
  [3255] = {.lex_state = 0, .external_lex_state = 4},
  [3256] = {.lex_state = 222, .external_lex_state = 4},
  [3257] = {.lex_state = 0, .external_lex_state = 4},
  [3258] = {.lex_state = 0, .external_lex_state = 4},
  [3259] = {.lex_state = 0, .external_lex_state = 4},
  [3260] = {.lex_state = 0, .external_lex_state = 4},
  [3261] = {.lex_state = 0, .external_lex_state = 4},
  [3262] = {.lex_state = 0, .external_lex_state = 4},
  [3263] = {.lex_state = 8, .external_lex_state = 4},
  [3264] = {.lex_state = 222, .external_lex_state = 4},
  [3265] = {.lex_state = 8, .external_lex_state = 4},
  [3266] = {.lex_state = 8, .external_lex_state = 4},
  [3267] = {.lex_state = 0, .external_lex_state = 4},
  [3268] = {.lex_state = 0, .external_lex_state = 4},
  [3269] = {.lex_state = 0, .external_lex_state = 4},
  [3270] = {.lex_state = 8, .external_lex_state = 4},
  [3271] = {.lex_state = 0, .external_lex_state = 4},
  [3272] = {.lex_state = 222, .external_lex_state = 4},
  [3273] = {.lex_state = 0, .external_lex_state = 4},
  [3274] = {.lex_state = 222, .external_lex_state = 4},
  [3275] = {.lex_state = 0, .external_lex_state = 4},
  [3276] = {.lex_state = 222, .external_lex_state = 4},
  [3277] = {.lex_state = 0, .external_lex_state = 4},
  [3278] = {.lex_state = 0, .external_lex_state = 4},
  [3279] = {.lex_state = 0, .external_lex_state = 4},
  [3280] = {.lex_state = 0, .external_lex_state = 4},
  [3281] = {.lex_state = 0, .external_lex_state = 4},
  [3282] = {.lex_state = 0, .external_lex_state = 4},
  [3283] = {.lex_state = 0, .external_lex_state = 4},
  [3284] = {.lex_state = 0, .external_lex_state = 4},
  [3285] = {.lex_state = 222, .external_lex_state = 4},
  [3286] = {.lex_state = 0, .external_lex_state = 4},
  [3287] = {.lex_state = 0, .external_lex_state = 4},
  [3288] = {.lex_state = 8, .external_lex_state = 4},
  [3289] = {.lex_state = 0, .external_lex_state = 4},
  [3290] = {.lex_state = 0, .external_lex_state = 4},
  [3291] = {.lex_state = 0, .external_lex_state = 4},
  [3292] = {.lex_state = 0, .external_lex_state = 4},
  [3293] = {.lex_state = 0, .external_lex_state = 10},
  [3294] = {.lex_state = 0, .external_lex_state = 4},
  [3295] = {.lex_state = 0, .external_lex_state = 4},
  [3296] = {.lex_state = 0, .external_lex_state = 4},
  [3297] = {.lex_state = 0, .external_lex_state = 4},
  [3298] = {.lex_state = 0, .external_lex_state = 4},
  [3299] = {.lex_state = 0, .external_lex_state = 4},
  [3300] = {.lex_state = 0, .external_lex_state = 4},
  [3301] = {.lex_state = 0, .external_lex_state = 4},
  [3302] = {.lex_state = 0, .external_lex_state = 4},
  [3303] = {.lex_state = 0, .external_lex_state = 4},
  [3304] = {.lex_state = 0, .external_lex_state = 4},
  [3305] = {.lex_state = 0, .external_lex_state = 4},
  [3306] = {.lex_state = 8, .external_lex_state = 4},
  [3307] = {.lex_state = 0, .external_lex_state = 4},
  [3308] = {.lex_state = 222, .external_lex_state = 4},
  [3309] = {.lex_state = 0, .external_lex_state = 4},
  [3310] = {.lex_state = 0, .external_lex_state = 4},
  [3311] = {.lex_state = 222, .external_lex_state = 4},
  [3312] = {.lex_state = 0, .external_lex_state = 4},
  [3313] = {.lex_state = 0, .external_lex_state = 4},
  [3314] = {.lex_state = 0, .external_lex_state = 4},
  [3315] = {.lex_state = 0, .external_lex_state = 4},
  [3316] = {.lex_state = 0, .external_lex_state = 4},
  [3317] = {.lex_state = 0, .external_lex_state = 4},
  [3318] = {.lex_state = 0, .external_lex_state = 4},
  [3319] = {.lex_state = 0, .external_lex_state = 4},
  [3320] = {.lex_state = 0, .external_lex_state = 4},
  [3321] = {.lex_state = 0, .external_lex_state = 4},
  [3322] = {.lex_state = 0, .external_lex_state = 4},
  [3323] = {.lex_state = 0, .external_lex_state = 4},
  [3324] = {.lex_state = 0, .external_lex_state = 4},
  [3325] = {.lex_state = 0, .external_lex_state = 4},
  [3326] = {.lex_state = 0, .external_lex_state = 4},
  [3327] = {.lex_state = 0, .external_lex_state = 4},
  [3328] = {.lex_state = 222, .external_lex_state = 4},
  [3329] = {.lex_state = 8, .external_lex_state = 4},
  [3330] = {.lex_state = 0, .external_lex_state = 4},
  [3331] = {.lex_state = 0, .external_lex_state = 4},
  [3332] = {.lex_state = 222, .external_lex_state = 4},
  [3333] = {.lex_state = 0, .external_lex_state = 4},
  [3334] = {.lex_state = 0, .external_lex_state = 10},
  [3335] = {.lex_state = 0, .external_lex_state = 4},
  [3336] = {.lex_state = 8, .external_lex_state = 4},
  [3337] = {.lex_state = 0, .external_lex_state = 4},
  [3338] = {.lex_state = 0, .external_lex_state = 4},
  [3339] = {.lex_state = 0, .external_lex_state = 4},
  [3340] = {.lex_state = 0, .external_lex_state = 4},
  [3341] = {.lex_state = 0, .external_lex_state = 4},
  [3342] = {.lex_state = 0, .external_lex_state = 4},
  [3343] = {.lex_state = 0, .external_lex_state = 4},
  [3344] = {.lex_state = 0, .external_lex_state = 4},
  [3345] = {.lex_state = 0, .external_lex_state = 4},
  [3346] = {.lex_state = 0, .external_lex_state = 4},
  [3347] = {.lex_state = 8, .external_lex_state = 4},
  [3348] = {.lex_state = 0, .external_lex_state = 4},
  [3349] = {.lex_state = 0, .external_lex_state = 4},
  [3350] = {.lex_state = 8, .external_lex_state = 4},
  [3351] = {.lex_state = 222, .external_lex_state = 4},
  [3352] = {.lex_state = 0, .external_lex_state = 4},
  [3353] = {.lex_state = 0, .external_lex_state = 4},
  [3354] = {.lex_state = 8, .external_lex_state = 4},
  [3355] = {.lex_state = 8, .external_lex_state = 4},
  [3356] = {.lex_state = 0, .external_lex_state = 4},
  [3357] = {.lex_state = 0, .external_lex_state = 4},
  [3358] = {.lex_state = 0, .external_lex_state = 4},
  [3359] = {.lex_state = 0, .external_lex_state = 4},
  [3360] = {.lex_state = 0, .external_lex_state = 4},
  [3361] = {.lex_state = 0, .external_lex_state = 4},
  [3362] = {.lex_state = 0, .external_lex_state = 4},
  [3363] = {.lex_state = 222, .external_lex_state = 4},
  [3364] = {.lex_state = 222, .external_lex_state = 4},
  [3365] = {.lex_state = 0, .external_lex_state = 4},
  [3366] = {.lex_state = 0, .external_lex_state = 4},
  [3367] = {.lex_state = 0, .external_lex_state = 4},
  [3368] = {.lex_state = 0, .external_lex_state = 4},
  [3369] = {.lex_state = 0, .external_lex_state = 4},
  [3370] = {.lex_state = 0, .external_lex_state = 4},
  [3371] = {.lex_state = 222, .external_lex_state = 4},
  [3372] = {.lex_state = 0, .external_lex_state = 4},
  [3373] = {.lex_state = 0, .external_lex_state = 4},
  [3374] = {.lex_state = 0, .external_lex_state = 4},
  [3375] = {.lex_state = 0, .external_lex_state = 4},
  [3376] = {.lex_state = 8, .external_lex_state = 4},
  [3377] = {.lex_state = 0, .external_lex_state = 4},
  [3378] = {.lex_state = 0, .external_lex_state = 4},
  [3379] = {.lex_state = 0, .external_lex_state = 4},
  [3380] = {.lex_state = 0, .external_lex_state = 4},
  [3381] = {.lex_state = 0, .external_lex_state = 4},
  [3382] = {.lex_state = 0, .external_lex_state = 10},
  [3383] = {.lex_state = 0, .external_lex_state = 4},
  [3384] = {.lex_state = 0, .external_lex_state = 10},
  [3385] = {.lex_state = 222, .external_lex_state = 4},
  [3386] = {.lex_state = 0, .external_lex_state = 4},
  [3387] = {.lex_state = 0, .external_lex_state = 4},
  [3388] = {.lex_state = 0, .external_lex_state = 4},
  [3389] = {.lex_state = 0, .external_lex_state = 4},
  [3390] = {.lex_state = 0, .external_lex_state = 4},
  [3391] = {.lex_state = 0, .external_lex_state = 4},
  [3392] = {.lex_state = 0, .external_lex_state = 4},
  [3393] = {.lex_state = 0, .external_lex_state = 4},
  [3394] = {.lex_state = 0, .external_lex_state = 4},
  [3395] = {.lex_state = 0, .external_lex_state = 4},
  [3396] = {.lex_state = 0, .external_lex_state = 4},
  [3397] = {.lex_state = 0, .external_lex_state = 4},
  [3398] = {.lex_state = 0, .external_lex_state = 4},
  [3399] = {.lex_state = 0, .external_lex_state = 4},
  [3400] = {.lex_state = 0, .external_lex_state = 4},
  [3401] = {.lex_state = 0, .external_lex_state = 4},
  [3402] = {(TSStateId)(-1)},
  [3403] = {(TSStateId)(-1)},
  [3404] = {(TSStateId)(-1)},
  [3405] = {(TSStateId)(-1)},
  [3406] = {(TSStateId)(-1)},
  [3407] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_decorator] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_unpack] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_downto] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_PLUS_DOT] = ACTIONS(1),
    [anon_sym_DASH_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_STAR_DOT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_SLASH_DOT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [aux_sym_variant_identifier_token1] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_unit_type] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym__newline] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline_and_comment] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__lparen] = ACTIONS(1),
    [sym__rparen] = ACTIONS(1),
    [sym__list_constructor] = ACTIONS(1),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [1] = {
    [sym_source_file] = STATE(3373),
    [sym__statement] = STATE(893),
    [sym__statement_delimeter] = STATE(872),
    [sym_statement] = STATE(2607),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(1),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat1] = STATE(22),
    [aux_sym_source_file_repeat2] = STATE(39),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [ts_builtin_sym_end] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym__newline] = ACTIONS(11),
    [sym_comment] = ACTIONS(3),
    [sym__newline_and_comment] = ACTIONS(11),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [2] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3318),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3279),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3204),
    [sym__record_single_pun_field] = STATE(3204),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2898),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(2),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(81),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(83),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(83),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [3] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3392),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3302),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3341),
    [sym__record_single_pun_field] = STATE(3341),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(3016),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(3),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3035),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(89),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [4] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3187),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3321),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3189),
    [sym__record_single_pun_field] = STATE(3189),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2915),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(4),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(93),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(95),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [5] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3324),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3302),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3341),
    [sym__record_single_pun_field] = STATE(3341),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(3016),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(5),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(91),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(91),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [6] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3320),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3313),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3309),
    [sym__record_single_pun_field] = STATE(3309),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2817),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(6),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(99),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(101),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [7] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3277),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3176),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3286),
    [sym__record_single_pun_field] = STATE(3286),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2828),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(7),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(105),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [8] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3318),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3176),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3286),
    [sym__record_single_pun_field] = STATE(3286),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2828),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(8),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(81),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(105),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [9] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3277),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1081),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3176),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3286),
    [sym__record_single_pun_field] = STATE(3286),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2828),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(9),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1013),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(105),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(105),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [10] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3156),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1195),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym__record_element] = STATE(3252),
    [sym_record_field] = STATE(3061),
    [sym__record_pun_field] = STATE(3062),
    [sym__record_single_field] = STATE(3316),
    [sym__record_single_pun_field] = STATE(3316),
    [sym__record_field_name] = STATE(2816),
    [sym_object] = STATE(1090),
    [sym__object_field] = STATE(2813),
    [sym_object_field] = STATE(3066),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(10),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3062),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1052),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1279),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_DOT] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_QMARK] = ACTIONS(85),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_DOT_DOT] = ACTIONS(111),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [11] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2552),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_item_pattern] = STATE(3150),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(11),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2638),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(119),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [12] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2552),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_item_pattern] = STATE(3150),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(12),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [13] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2552),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_item_pattern] = STATE(3150),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(13),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(119),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [14] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1550),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(14),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(179),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [15] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1546),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(15),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(181),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [16] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1536),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(16),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(183),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [17] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(17),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(185),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [18] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1539),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(18),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(187),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [19] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(19),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(119),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [20] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1537),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(20),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(177),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [21] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1538),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym_parameter] = STATE(2836),
    [sym_labeled_parameter] = STATE(3079),
    [sym_abstract_type] = STATE(3079),
    [sym__pattern] = STATE(2626),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(21),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_expression] = STATE(2596),
    [sym_module_primary_expression] = STATE(2510),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_module_type_of] = STATE(2546),
    [sym_module_type_constraint] = STATE(2546),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1205),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym_uncurry] = STATE(582),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(117),
    [anon_sym_RPAREN] = ACTIONS(189),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(123),
    [anon_sym_type] = ACTIONS(125),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_DOT] = ACTIONS(135),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_TILDE] = ACTIONS(153),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [22] = {
    [sym__statement] = STATE(893),
    [sym__statement_delimeter] = STATE(872),
    [sym_statement] = STATE(2607),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(22),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat1] = STATE(783),
    [aux_sym_source_file_repeat2] = STATE(42),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [ts_builtin_sym_end] = ACTIONS(191),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym__newline] = ACTIONS(11),
    [sym_comment] = ACTIONS(3),
    [sym__newline_and_comment] = ACTIONS(11),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [23] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(2803),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2487),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1198),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__pattern] = STATE(2481),
    [sym_parenthesized_pattern] = STATE(2487),
    [sym_range_pattern] = STATE(2487),
    [sym_or_pattern] = STATE(2487),
    [sym_exception_pattern] = STATE(2487),
    [sym__destructuring_pattern] = STATE(2487),
    [sym__literal_pattern] = STATE(2386),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym__collection_element_pattern] = STATE(2946),
    [sym_spread_pattern] = STATE(2619),
    [sym_lazy_pattern] = STATE(2487),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(23),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1043),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1198),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_RBRACE] = ACTIONS(193),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(207),
    [anon_sym_async] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [24] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3237),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(24),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_spread_element] = STATE(3237),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(215),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [25] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3396),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(25),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(217),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [26] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3156),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(26),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(109),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [27] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1572),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2487),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1198),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__pattern] = STATE(2481),
    [sym_parenthesized_pattern] = STATE(2487),
    [sym_range_pattern] = STATE(2487),
    [sym_or_pattern] = STATE(2487),
    [sym_exception_pattern] = STATE(2487),
    [sym__destructuring_pattern] = STATE(2487),
    [sym__literal_pattern] = STATE(2386),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym__collection_element_pattern] = STATE(2961),
    [sym_spread_pattern] = STATE(2619),
    [sym_lazy_pattern] = STATE(2487),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(27),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1043),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1198),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(221),
    [anon_sym_async] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [28] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3318),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(28),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(81),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [29] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3277),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(29),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(103),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [30] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3320),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(30),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(99),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [31] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3324),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(31),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(97),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [32] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3187),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(32),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(93),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [33] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3389),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(33),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(223),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [34] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3349),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(34),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(49),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(225),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [35] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3137),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(35),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(48),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(231),
    [anon_sym_type] = ACTIONS(233),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(237),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [36] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3083),
    [sym_statement] = STATE(2466),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(36),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(46),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [37] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3126),
    [sym_statement] = STATE(2466),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(37),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(46),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [38] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3102),
    [sym_statement] = STATE(2388),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(38),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(48),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(231),
    [anon_sym_type] = ACTIONS(233),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(237),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [39] = {
    [sym__statement] = STATE(893),
    [sym_statement] = STATE(2607),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(39),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(41),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [ts_builtin_sym_end] = ACTIONS(191),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [40] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3040),
    [sym_statement] = STATE(2466),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(40),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(46),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [41] = {
    [sym__statement] = STATE(893),
    [sym_statement] = STATE(2607),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(41),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(41),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [ts_builtin_sym_end] = ACTIONS(239),
    [anon_sym_LBRACE] = ACTIONS(241),
    [anon_sym_open] = ACTIONS(244),
    [anon_sym_BANG] = ACTIONS(247),
    [anon_sym_include] = ACTIONS(250),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_await] = ACTIONS(256),
    [anon_sym_module] = ACTIONS(259),
    [anon_sym_type] = ACTIONS(262),
    [anon_sym_unpack] = ACTIONS(265),
    [anon_sym_external] = ACTIONS(268),
    [anon_sym_exception] = ACTIONS(271),
    [anon_sym_export] = ACTIONS(274),
    [anon_sym_LT] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(280),
    [anon_sym_DASH] = ACTIONS(280),
    [anon_sym_LBRACK] = ACTIONS(283),
    [anon_sym_let] = ACTIONS(286),
    [anon_sym_async] = ACTIONS(289),
    [anon_sym_if] = ACTIONS(292),
    [anon_sym_switch] = ACTIONS(295),
    [anon_sym_POUND] = ACTIONS(298),
    [anon_sym_try] = ACTIONS(301),
    [anon_sym_assert] = ACTIONS(304),
    [anon_sym_lazy] = ACTIONS(307),
    [anon_sym_for] = ACTIONS(310),
    [anon_sym_while] = ACTIONS(313),
    [anon_sym_PLUS_DOT] = ACTIONS(280),
    [anon_sym_DASH_DOT] = ACTIONS(280),
    [anon_sym_PERCENT] = ACTIONS(316),
    [aux_sym_variant_identifier_token1] = ACTIONS(319),
    [aux_sym_value_identifier_token1] = ACTIONS(322),
    [sym__escape_identifier] = ACTIONS(322),
    [sym_number] = ACTIONS(325),
    [sym_true] = ACTIONS(328),
    [sym_false] = ACTIONS(328),
    [anon_sym_DQUOTE] = ACTIONS(331),
    [aux_sym_template_string_token1] = ACTIONS(334),
    [anon_sym_SQUOTE] = ACTIONS(337),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(340),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [42] = {
    [sym__statement] = STATE(893),
    [sym_statement] = STATE(2607),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(42),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(41),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [ts_builtin_sym_end] = ACTIONS(343),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [43] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3101),
    [sym_statement] = STATE(2466),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(43),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(46),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [44] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3084),
    [sym_statement] = STATE(2466),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(44),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(46),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [45] = {
    [sym__statement] = STATE(893),
    [sym__one_or_more_statements] = STATE(3073),
    [sym_statement] = STATE(2466),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(45),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(46),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [46] = {
    [sym__statement] = STATE(893),
    [sym_statement] = STATE(2459),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(46),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(41),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [47] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1532),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2034),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1207),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__pattern] = STATE(2624),
    [sym_parenthesized_pattern] = STATE(2034),
    [sym_range_pattern] = STATE(2034),
    [sym_or_pattern] = STATE(2034),
    [sym_exception_pattern] = STATE(2034),
    [sym__destructuring_pattern] = STATE(2034),
    [sym__literal_pattern] = STATE(1966),
    [sym_variant_pattern] = STATE(2116),
    [sym__variant_pattern_parameter] = STATE(2929),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2034),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(47),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1040),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1207),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(345),
    [anon_sym_RPAREN] = ACTIONS(347),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [48] = {
    [sym__statement] = STATE(893),
    [sym_statement] = STATE(2426),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(48),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(41),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(227),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(229),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(231),
    [anon_sym_type] = ACTIONS(233),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(235),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(237),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [49] = {
    [sym__statement] = STATE(893),
    [sym_statement] = STATE(2426),
    [sym_block] = STATE(1186),
    [sym_open_statement] = STATE(2479),
    [sym_include_statement] = STATE(2479),
    [sym_declaration] = STATE(2479),
    [sym_module_declaration] = STATE(2480),
    [sym_module_unpack] = STATE(2211),
    [sym_external_declaration] = STATE(2480),
    [sym_exception_declaration] = STATE(2480),
    [sym_type_declaration] = STATE(2480),
    [sym_let_declaration] = STATE(2480),
    [sym_expression_statement] = STATE(2479),
    [sym_expression] = STATE(1518),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(49),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_source_file_repeat2] = STATE(41),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_open] = ACTIONS(15),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_include] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(25),
    [anon_sym_type] = ACTIONS(27),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_external] = ACTIONS(31),
    [anon_sym_exception] = ACTIONS(33),
    [anon_sym_export] = ACTIONS(35),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_let] = ACTIONS(43),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [50] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2487),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1198),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__pattern] = STATE(2087),
    [sym_parenthesized_pattern] = STATE(2487),
    [sym_range_pattern] = STATE(2487),
    [sym_or_pattern] = STATE(2487),
    [sym_exception_pattern] = STATE(2487),
    [sym__destructuring_pattern] = STATE(2487),
    [sym__literal_pattern] = STATE(2386),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2487),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(50),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1043),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1198),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(203),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [51] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_polyvar_type_pattern] = STATE(2041),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(1192),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__pattern] = STATE(2087),
    [sym_parenthesized_pattern] = STATE(2041),
    [sym_range_pattern] = STATE(2041),
    [sym_or_pattern] = STATE(2041),
    [sym_exception_pattern] = STATE(2041),
    [sym__destructuring_pattern] = STATE(2041),
    [sym__literal_pattern] = STATE(1979),
    [sym_variant_pattern] = STATE(2116),
    [sym_polyvar_pattern] = STATE(2116),
    [sym_record_pattern] = STATE(2116),
    [sym_tuple_pattern] = STATE(2116),
    [sym_array_pattern] = STATE(2116),
    [sym_list_pattern] = STATE(2116),
    [sym_lazy_pattern] = STATE(2041),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(51),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(1049),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1049),
    [sym_polyvar_identifier] = STATE(1046),
    [sym_value_identifier] = STATE(1051),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1192),
    [sym_string] = STATE(1057),
    [sym_template_string] = STATE(1057),
    [sym_character] = STATE(1057),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(113),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(345),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_exception] = ACTIONS(129),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_QMARK] = ACTIONS(139),
    [anon_sym_async] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(147),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(155),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(165),
    [sym_true] = ACTIONS(167),
    [sym_false] = ACTIONS(167),
    [anon_sym_DQUOTE] = ACTIONS(169),
    [aux_sym_template_string_token1] = ACTIONS(171),
    [anon_sym_SQUOTE] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [52] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2566),
    [sym_partial_application_spread] = STATE(3356),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(52),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym_uncurry] = STATE(78),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(373),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_DOT] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [53] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2587),
    [sym_partial_application_spread] = STATE(3268),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(53),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym_uncurry] = STATE(74),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(427),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_DOT] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [54] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2618),
    [sym_partial_application_spread] = STATE(3159),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(54),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym_uncurry] = STATE(77),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(429),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_DOT] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [55] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2549),
    [sym_partial_application_spread] = STATE(3165),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(55),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym_uncurry] = STATE(61),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(431),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_DOT] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [56] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2557),
    [sym_partial_application_spread] = STATE(3366),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(56),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym_uncurry] = STATE(60),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(433),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_DOT] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [57] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2634),
    [sym_partial_application_spread] = STATE(3353),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(57),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym_uncurry] = STATE(71),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(435),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_DOT] = ACTIONS(385),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [58] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3147),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(58),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(437),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [59] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3228),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(59),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(439),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [60] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2580),
    [sym_partial_application_spread] = STATE(3269),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(60),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(441),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [61] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2611),
    [sym_partial_application_spread] = STATE(3167),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(61),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(443),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [62] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3208),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(62),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [63] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3273),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(63),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(447),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [64] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3229),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(64),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(449),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [65] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3326),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(65),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(451),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [66] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3400),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(66),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(453),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [67] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3323),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(67),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(455),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [68] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3331),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(68),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(457),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [69] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3254),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(69),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(459),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [70] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3262),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(70),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(461),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [71] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2531),
    [sym_partial_application_spread] = STATE(3365),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(71),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(463),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [72] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3290),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(72),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(465),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [73] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3211),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(73),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(467),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [74] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2561),
    [sym_partial_application_spread] = STATE(3242),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(74),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(469),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [75] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3224),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(75),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(471),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [76] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3300),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(76),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(473),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [77] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2588),
    [sym_partial_application_spread] = STATE(3255),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(77),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(475),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [78] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2585),
    [sym_partial_application_spread] = STATE(3283),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(78),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(477),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [79] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3386),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(79),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(479),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [80] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3223),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(80),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(481),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [81] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_partial_application_spread] = STATE(3169),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(81),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_RPAREN] = ACTIONS(483),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(389),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [82] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3023),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(82),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(487),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [83] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(83),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(511),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [84] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(2921),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(84),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(513),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [85] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(85),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(515),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [86] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(86),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(517),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [87] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(87),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(519),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [88] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(2831),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(88),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(521),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [89] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(2893),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(89),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [90] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(90),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(525),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [91] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(2803),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(91),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(527),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [92] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(92),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(529),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [93] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(93),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [94] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(94),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(533),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [95] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(2909),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(95),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(535),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [96] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(96),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(537),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [97] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(97),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [98] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(98),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(541),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [99] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(99),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_RBRACE] = ACTIONS(543),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [100] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1525),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__call_argument] = STATE(2837),
    [sym_labeled_argument] = STATE(3018),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(100),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_TILDE] = ACTIONS(403),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [101] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1602),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym__list_element] = STATE(3067),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(101),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_spread_element] = STATE(3122),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(87),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [102] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_type_annotation] = STATE(3195),
    [sym_expression] = STATE(1561),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(102),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(547),
    [anon_sym_COLON] = ACTIONS(549),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [103] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1585),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym_array_pattern] = STATE(2673),
    [sym_list_pattern] = STATE(2673),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(103),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1180),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(137),
    [anon_sym_async] = ACTIONS(209),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(175),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [104] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(104),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(561),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [105] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(105),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [106] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(106),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(565),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [107] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(107),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [108] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(108),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [109] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(109),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(577),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [110] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(110),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(579),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [111] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(111),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(581),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [112] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(112),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(583),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [113] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1526),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(113),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_QMARK] = ACTIONS(585),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [114] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(114),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(587),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [115] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(115),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(589),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [116] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(116),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(591),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [117] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(117),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(593),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [118] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(118),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(595),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [119] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(119),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(597),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [120] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(120),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(599),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [121] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1523),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(121),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(601),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [122] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1572),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(122),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(603),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [123] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1570),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(123),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(605),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [124] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(124),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(607),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [125] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1571),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(125),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(609),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [126] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(126),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(611),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [127] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(127),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(613),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [128] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(128),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(615),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [129] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(129),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(617),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [130] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(130),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(619),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [131] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1622),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(131),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_QMARK] = ACTIONS(621),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [132] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(132),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(623),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [133] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(133),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [134] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(134),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(627),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [135] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(135),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(629),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [136] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1530),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(136),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(631),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [137] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(137),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(633),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [138] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1573),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(138),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [139] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(139),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(637),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [140] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(140),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(639),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [141] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(141),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(641),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [142] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(142),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(643),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [143] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(143),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(645),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [144] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(144),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(647),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [145] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1531),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(145),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(649),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [146] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(146),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(651),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [147] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(147),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(653),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [148] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(148),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(655),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [149] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(149),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(657),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [150] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(150),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(659),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [151] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1524),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(151),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [152] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(152),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(663),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [153] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1560),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(153),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(665),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [154] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(154),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(667),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [155] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1532),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(155),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(669),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [156] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(156),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_RPAREN] = ACTIONS(671),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [157] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(157),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(673),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [158] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1609),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(158),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_QMARK] = ACTIONS(675),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [159] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1566),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(159),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_RBRACK] = ACTIONS(677),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [160] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1529),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(160),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(679),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [161] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(161),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [162] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(162),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_RPAREN] = ACTIONS(683),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [163] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1463),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(163),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [164] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(164),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [165] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1629),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(165),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [166] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(673),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(166),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [167] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(167),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [168] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(168),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [169] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(169),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [170] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1423),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(170),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [171] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1554),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(171),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [172] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1418),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(172),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [173] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(173),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [174] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(174),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [175] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1555),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(175),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [176] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1545),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(176),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [177] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1544),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(177),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [178] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(178),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [179] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1542),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(179),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [180] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1540),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(180),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [181] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(181),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [182] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1579),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(182),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [183] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1619),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(183),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [184] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1149),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(184),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [185] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1666),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(185),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [186] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(186),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [187] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(187),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [188] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1201),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(188),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [189] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1417),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(189),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [190] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1385),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(190),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [191] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1491),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(191),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [192] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1517),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(192),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [193] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1694),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(193),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [194] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(194),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [195] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1519),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(195),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [196] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1520),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(196),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [197] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1496),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(197),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [198] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(198),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [199] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(199),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [200] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(664),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(200),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [201] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1644),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(201),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [202] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1527),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(202),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [203] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1209),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(203),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [204] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(204),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [205] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(205),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [206] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(206),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [207] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1654),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(207),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [208] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(208),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [209] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1479),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(209),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [210] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1480),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(210),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [211] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1204),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(211),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [212] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(212),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [213] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(688),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(213),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [214] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1225),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(214),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [215] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1506),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(215),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [216] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1502),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(216),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [217] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1500),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(217),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [218] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1624),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(218),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [219] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(219),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [220] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1483),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(220),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [221] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1206),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(221),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [222] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1521),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(222),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [223] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1682),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(223),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [224] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(663),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(224),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [225] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1486),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(225),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [226] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1618),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(226),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [227] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1695),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(227),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [228] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(228),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [229] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1484),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(229),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [230] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1630),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(230),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [231] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1672),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(231),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [232] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1669),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(232),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [233] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(233),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [234] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(234),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [235] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1684),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(235),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [236] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1685),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(236),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [237] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1660),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(237),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [238] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(663),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(238),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [239] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1396),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(239),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [240] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(240),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [241] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1385),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(241),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [242] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1416),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(242),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [243] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1303),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(243),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [244] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(244),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [245] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(245),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [246] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(664),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(246),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [247] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(247),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [248] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(248),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [249] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1406),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(249),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [250] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1625),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(250),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [251] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1690),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(251),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [252] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1139),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(252),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [253] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(253),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [254] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1141),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(254),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [255] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1677),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(255),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [256] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1670),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(256),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [257] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1667),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(257),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [258] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(258),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [259] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1635),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(259),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [260] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1665),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(260),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [261] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1688),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(261),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [262] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1639),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(262),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [263] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1638),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(263),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [264] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1676),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(264),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [265] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1481),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(265),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [266] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1128),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(266),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [267] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1692),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(267),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [268] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(701),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(268),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [269] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1551),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(269),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [270] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(270),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [271] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1333),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(271),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [272] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1686),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(272),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [273] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1661),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(273),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [274] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1664),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(274),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [275] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1691),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(275),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [276] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1332),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(276),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [277] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(277),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [278] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1472),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(278),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [279] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1393),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(279),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [280] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1534),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(280),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [281] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1433),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(281),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [282] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1141),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(282),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [283] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1413),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(283),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [284] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1548),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(284),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [285] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1508),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(285),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [286] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1549),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(286),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [287] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1552),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(287),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [288] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1557),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(288),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [289] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(289),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [290] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1149),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(290),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [291] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(291),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [292] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(714),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(292),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [293] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(293),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [294] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(294),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [295] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1626),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(295),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [296] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1535),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(296),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [297] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1564),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(297),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [298] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1388),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(298),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [299] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1515),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(299),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [300] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1547),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(300),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [301] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1673),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(301),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [302] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1514),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(302),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [303] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1662),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(303),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [304] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1316),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(304),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [305] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(305),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [306] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(306),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [307] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1516),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(307),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [308] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1411),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(308),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [309] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1398),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(309),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [310] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(310),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [311] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1512),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(311),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [312] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1202),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(312),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [313] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1187),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(313),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [314] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(314),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [315] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1181),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(315),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [316] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1611),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(316),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [317] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1387),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(317),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [318] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1487),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(318),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [319] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1257),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(319),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [320] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1505),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(320),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [321] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1185),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(321),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [322] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1438),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(322),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [323] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(323),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [324] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(324),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [325] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(325),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [326] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1632),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(326),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [327] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1495),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(327),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [328] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(328),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [329] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1563),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(329),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [330] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1634),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(330),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [331] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1653),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(331),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [332] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1687),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(332),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [333] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(333),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [334] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1643),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(334),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [335] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1507),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(335),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [336] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(336),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [337] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1452),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(337),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [338] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1652),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(338),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [339] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1314),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(339),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [340] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1656),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(340),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [341] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1657),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(341),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [342] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1671),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(342),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [343] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1628),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(343),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [344] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(344),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [345] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1575),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(345),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [346] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(346),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [347] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1585),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(347),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [348] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1461),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(348),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [349] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1488),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(349),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [350] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1511),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3049),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(350),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(795),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(797),
    [anon_sym_DASH_DOT] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [351] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1485),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(351),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [352] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(352),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [353] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(659),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(353),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [354] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(354),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [355] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1663),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(355),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [356] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1232),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(356),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [357] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1454),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(357),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [358] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1370),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(358),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [359] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(359),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [360] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1443),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(360),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [361] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1593),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(361),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [362] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1601),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(362),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [363] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1582),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(363),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [364] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1455),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(364),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [365] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1149),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(365),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [366] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1456),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(366),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [367] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(702),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(367),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [368] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1392),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(368),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [369] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(369),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [370] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1203),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(370),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [371] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1208),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(371),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [372] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1457),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(372),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [373] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1594),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(373),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [374] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1435),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(374),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [375] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1558),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(375),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [376] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1590),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(376),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [377] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1450),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(377),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [378] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1493),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(378),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [379] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1459),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(379),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [380] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1641),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(380),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [381] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1139),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(381),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [382] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1449),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(382),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [383] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1668),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(383),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [384] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1230),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(384),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [385] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1562),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(385),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [386] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1440),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(386),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [387] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1415),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(387),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [388] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1565),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(388),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [389] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1567),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(389),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [390] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1569),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(390),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [391] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(391),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [392] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1574),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(392),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [393] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1559),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(393),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [394] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(394),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [395] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1227),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(395),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [396] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(396),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [397] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1079),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(397),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [398] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1229),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(398),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [399] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1476),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(399),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [400] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1233),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(400),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [401] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(401),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [402] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(402),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [403] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1228),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(403),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [404] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1596),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(404),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [405] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1627),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(405),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [406] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1234),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(406),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [407] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1615),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(407),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [408] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1578),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(408),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [409] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(409),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [410] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1425),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(410),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [411] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1235),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(411),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [412] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1617),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(412),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [413] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1612),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(413),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [414] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1236),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(414),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [415] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1586),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(415),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [416] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1595),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(416),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [417] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1608),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(417),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [418] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1464),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(418),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [419] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1437),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(419),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [420] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(420),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [421] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(421),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [422] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(422),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [423] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(423),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [424] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(424),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [425] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(425),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [426] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(426),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [427] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(427),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [428] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1295),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(428),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [429] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1475),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3076),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(429),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(891),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(895),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(893),
    [anon_sym_DASH_DOT] = ACTIONS(893),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [430] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1504),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(430),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [431] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1606),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(431),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [432] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1466),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(432),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [433] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1467),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(433),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [434] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1498),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(434),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [435] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1604),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(435),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [436] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1648),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(436),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [437] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1431),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(437),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [438] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(438),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [439] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1371),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(439),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [440] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1556),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(440),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [441] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1509),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(441),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [442] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1403),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3127),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(442),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(351),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(353),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(355),
    [anon_sym_DASH] = ACTIONS(355),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(357),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(355),
    [anon_sym_DASH_DOT] = ACTIONS(355),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [443] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1649),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(443),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [444] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1651),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(444),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [445] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1468),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(445),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [446] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1658),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(446),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [447] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1503),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(447),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [448] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1522),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(448),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [449] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1494),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(449),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [450] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1631),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(450),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [451] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1543),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(451),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [452] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1446),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(452),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [453] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1513),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3082),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(453),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(751),
    [anon_sym_DASH] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(755),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(751),
    [anon_sym_DASH_DOT] = ACTIONS(751),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [454] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1599),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(454),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [455] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1680),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(455),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [456] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1172),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(456),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [457] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1191),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(457),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [458] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1149),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(458),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [459] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(459),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [460] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1589),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(460),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [461] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1592),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(461),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [462] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(462),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [463] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1681),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(463),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [464] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3085),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(464),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(115),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(121),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(133),
    [anon_sym_DASH] = ACTIONS(133),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(151),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(133),
    [anon_sym_DASH_DOT] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [465] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1436),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(465),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [466] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1328),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(466),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [467] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1096),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(467),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [468] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1568),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(468),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [469] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1528),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(469),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [470] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1637),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(470),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [471] = {
    [sym_block] = STATE(1501),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1678),
    [sym_primary_expression] = STATE(1482),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3104),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(471),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1448),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(823),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(827),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(825),
    [anon_sym_DASH_DOT] = ACTIONS(825),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [472] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1469),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(472),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [473] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1094),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(473),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [474] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1613),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(474),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [475] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1439),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(475),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [476] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1141),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3093),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(476),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(807),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(811),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(809),
    [anon_sym_DASH_DOT] = ACTIONS(809),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [477] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1587),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(477),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [478] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1696),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(478),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [479] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1581),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(479),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [480] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(675),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(480),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [481] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1683),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(481),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [482] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(667),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(482),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [483] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1092),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(483),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [484] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1091),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(484),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [485] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1614),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(485),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [486] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1474),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3046),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(486),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(765),
    [anon_sym_DASH_DOT] = ACTIONS(765),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [487] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1616),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(487),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [488] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1138),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(488),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [489] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(489),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [490] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(750),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(490),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [491] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1024),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(491),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [492] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1576),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(492),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [493] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1110),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(493),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [494] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1603),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(494),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [495] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1441),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(495),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [496] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1588),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(496),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [497] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1600),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(497),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [498] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1621),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(498),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [499] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1598),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(499),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [500] = {
    [sym_block] = STATE(1389),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1645),
    [sym_primary_expression] = STATE(1261),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3054),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(500),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1140),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(195),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(199),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(205),
    [anon_sym_DASH] = ACTIONS(205),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(211),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(205),
    [anon_sym_DASH_DOT] = ACTIONS(205),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [501] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(501),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [502] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1584),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(502),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [503] = {
    [sym_block] = STATE(1473),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3047),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(503),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1231),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(783),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(785),
    [anon_sym_DASH_DOT] = ACTIONS(785),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [504] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1470),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(504),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [505] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1016),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(505),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [506] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1477),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(506),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [507] = {
    [sym_block] = STATE(1497),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1633),
    [sym_primary_expression] = STATE(1478),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3114),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(507),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1407),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(815),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(819),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(817),
    [anon_sym_DASH_DOT] = ACTIONS(817),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [508] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1349),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(508),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [509] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1161),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(509),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [510] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(665),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(510),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [511] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1623),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(511),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [512] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1458),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3042),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(512),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(687),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(691),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(689),
    [anon_sym_DASH_DOT] = ACTIONS(689),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [513] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1620),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(513),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [514] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(739),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3033),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(514),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(699),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(707),
    [anon_sym_DASH] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(707),
    [anon_sym_DASH_DOT] = ACTIONS(707),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [515] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1605),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(515),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [516] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1577),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(516),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [517] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(949),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(517),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [518] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1597),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(518),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [519] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1591),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(519),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [520] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(754),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(520),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [521] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(673),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(521),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [522] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1151),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(522),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [523] = {
    [sym_block] = STATE(1453),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1032),
    [sym_primary_expression] = STATE(1447),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1004),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3116),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(523),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1290),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(545),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_await] = ACTIONS(551),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(553),
    [anon_sym_DASH] = ACTIONS(553),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(557),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(553),
    [anon_sym_DASH_DOT] = ACTIONS(553),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [524] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1226),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(524),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [525] = {
    [sym_block] = STATE(1186),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1141),
    [sym_primary_expression] = STATE(1104),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1108),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3055),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(525),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1047),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(23),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(39),
    [anon_sym_DASH] = ACTIONS(39),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(55),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(39),
    [anon_sym_DASH_DOT] = ACTIONS(39),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [526] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1553),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1380),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3030),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(526),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(369),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(375),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(383),
    [anon_sym_DASH] = ACTIONS(383),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(401),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(383),
    [anon_sym_DASH_DOT] = ACTIONS(383),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [527] = {
    [sym_block] = STATE(1364),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(1243),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_assert_expression] = STATE(1373),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1390),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_fragment] = STATE(1373),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_mutation_expression] = STATE(1373),
    [sym__mutation_lvalue] = STATE(3056),
    [sym_await_expression] = STATE(1373),
    [sym_decorator] = STATE(527),
    [sym_subscript_expression] = STATE(1210),
    [sym_member_expression] = STATE(1210),
    [sym_ternary_expression] = STATE(1373),
    [sym_for_expression] = STATE(1373),
    [sym_while_expression] = STATE(1373),
    [sym_lazy_expression] = STATE(1429),
    [sym_binary_expression] = STATE(1373),
    [sym_coercion_expression] = STATE(1373),
    [sym_unary_expression] = STATE(1373),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1154),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_BANG] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(381),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_assert] = ACTIONS(779),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_for] = ACTIONS(407),
    [anon_sym_while] = ACTIONS(409),
    [anon_sym_PLUS_DOT] = ACTIONS(777),
    [anon_sym_DASH_DOT] = ACTIONS(777),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [528] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1107),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(528),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [529] = {
    [sym_block] = STATE(1451),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1033),
    [sym_primary_expression] = STATE(1399),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_assert_expression] = STATE(1003),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1036),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_fragment] = STATE(1003),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_mutation_expression] = STATE(1003),
    [sym__mutation_lvalue] = STATE(3058),
    [sym_await_expression] = STATE(1003),
    [sym_decorator] = STATE(529),
    [sym_subscript_expression] = STATE(911),
    [sym_member_expression] = STATE(911),
    [sym_ternary_expression] = STATE(1003),
    [sym_for_expression] = STATE(1003),
    [sym_while_expression] = STATE(1003),
    [sym_lazy_expression] = STATE(999),
    [sym_binary_expression] = STATE(1003),
    [sym_coercion_expression] = STATE(1003),
    [sym_unary_expression] = STATE(1003),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1188),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_BANG] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_await] = ACTIONS(361),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(131),
    [anon_sym_PLUS] = ACTIONS(363),
    [anon_sym_DASH] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_assert] = ACTIONS(365),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_for] = ACTIONS(157),
    [anon_sym_while] = ACTIONS(159),
    [anon_sym_PLUS_DOT] = ACTIONS(363),
    [anon_sym_DASH_DOT] = ACTIONS(363),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [530] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(746),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(530),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [531] = {
    [sym_block] = STATE(1147),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1137),
    [sym_primary_expression] = STATE(1065),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_assert_expression] = STATE(1106),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1156),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_fragment] = STATE(1106),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_mutation_expression] = STATE(1106),
    [sym__mutation_lvalue] = STATE(3071),
    [sym_await_expression] = STATE(1106),
    [sym_decorator] = STATE(531),
    [sym_subscript_expression] = STATE(1054),
    [sym_member_expression] = STATE(1054),
    [sym_ternary_expression] = STATE(1106),
    [sym_for_expression] = STATE(1106),
    [sym_while_expression] = STATE(1106),
    [sym_lazy_expression] = STATE(1090),
    [sym_binary_expression] = STATE(1106),
    [sym_coercion_expression] = STATE(1106),
    [sym_unary_expression] = STATE(1106),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(997),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_await] = ACTIONS(899),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(37),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_assert] = ACTIONS(903),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(61),
    [anon_sym_PLUS_DOT] = ACTIONS(901),
    [anon_sym_DASH_DOT] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [532] = {
    [sym_block] = STATE(1320),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(1313),
    [sym_primary_expression] = STATE(1200),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_assert_expression] = STATE(1319),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1326),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_fragment] = STATE(1319),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_mutation_expression] = STATE(1319),
    [sym__mutation_lvalue] = STATE(3077),
    [sym_await_expression] = STATE(1319),
    [sym_decorator] = STATE(532),
    [sym_subscript_expression] = STATE(1134),
    [sym_member_expression] = STATE(1134),
    [sym_ternary_expression] = STATE(1319),
    [sym_for_expression] = STATE(1319),
    [sym_while_expression] = STATE(1319),
    [sym_lazy_expression] = STATE(1223),
    [sym_binary_expression] = STATE(1319),
    [sym_coercion_expression] = STATE(1319),
    [sym_unary_expression] = STATE(1319),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1069),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_await] = ACTIONS(843),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(849),
    [anon_sym_PLUS] = ACTIONS(851),
    [anon_sym_DASH] = ACTIONS(851),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(871),
    [anon_sym_PLUS_DOT] = ACTIONS(851),
    [anon_sym_DASH_DOT] = ACTIONS(851),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [533] = {
    [sym_block] = STATE(723),
    [sym_module_unpack] = STATE(2211),
    [sym_expression] = STATE(741),
    [sym_primary_expression] = STATE(656),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_assert_expression] = STATE(712),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(672),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(712),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_mutation_expression] = STATE(712),
    [sym__mutation_lvalue] = STATE(3063),
    [sym_await_expression] = STATE(712),
    [sym_decorator] = STATE(533),
    [sym_subscript_expression] = STATE(644),
    [sym_member_expression] = STATE(644),
    [sym_ternary_expression] = STATE(712),
    [sym_for_expression] = STATE(712),
    [sym_while_expression] = STATE(712),
    [sym_lazy_expression] = STATE(687),
    [sym_binary_expression] = STATE(712),
    [sym_coercion_expression] = STATE(712),
    [sym_unary_expression] = STATE(712),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(622),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_await] = ACTIONS(831),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(705),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(835),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(727),
    [anon_sym_PLUS_DOT] = ACTIONS(833),
    [anon_sym_DASH_DOT] = ACTIONS(833),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [534] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1167),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(534),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(907),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [535] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1937),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(535),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(537),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [536] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1114),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(536),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(534),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(907),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [537] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1924),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(537),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [538] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1251),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(538),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [539] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(939),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(539),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [540] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(677),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(540),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [541] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(541),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(539),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [542] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1384),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(542),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [543] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(668),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(543),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(540),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [544] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1427),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(544),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(542),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [545] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_closing_element] = STATE(1282),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(545),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(538),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(919),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [546] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(546),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [547] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(547),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(546),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [548] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(548),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [549] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(549),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(548),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [550] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(550),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(553),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [551] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(551),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [552] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(552),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(551),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [553] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(553),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(941),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [554] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(554),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [555] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(555),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(555),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(948),
    [anon_sym_module] = ACTIONS(951),
    [anon_sym_unpack] = ACTIONS(954),
    [anon_sym_LT] = ACTIONS(957),
    [anon_sym_LBRACK] = ACTIONS(960),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(969),
    [anon_sym_switch] = ACTIONS(972),
    [anon_sym_POUND] = ACTIONS(975),
    [anon_sym_try] = ACTIONS(978),
    [anon_sym_lazy] = ACTIONS(981),
    [anon_sym_PERCENT] = ACTIONS(984),
    [aux_sym_variant_identifier_token1] = ACTIONS(987),
    [aux_sym_value_identifier_token1] = ACTIONS(990),
    [sym__escape_identifier] = ACTIONS(990),
    [sym_number] = ACTIONS(993),
    [sym_true] = ACTIONS(996),
    [sym_false] = ACTIONS(996),
    [anon_sym_DQUOTE] = ACTIONS(999),
    [aux_sym_template_string_token1] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(1005),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(1008),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [556] = {
    [sym_block] = STATE(1541),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2493),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(1533),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1533),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_fragment] = STATE(1580),
    [sym__jsx_child] = STATE(1607),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(556),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(1533),
    [sym_spread_element] = STATE(1580),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2807),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1510),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(1533),
    [sym_template_string] = STATE(1533),
    [sym_character] = STATE(1533),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_jsx_element_repeat1] = STATE(554),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(1011),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_async] = ACTIONS(911),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(915),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [557] = {
    [sym_block] = STATE(3048),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1855),
    [sym_parenthesized_expression] = STATE(1943),
    [sym_value_identifier_path] = STATE(1943),
    [sym_function] = STATE(1943),
    [sym_record] = STATE(1943),
    [sym_object] = STATE(1943),
    [sym_tuple] = STATE(1943),
    [sym_array] = STATE(1943),
    [sym_list] = STATE(1943),
    [sym_if_expression] = STATE(1943),
    [sym_switch_expression] = STATE(1943),
    [sym_try_expression] = STATE(1943),
    [sym_call_expression] = STATE(1943),
    [sym_pipe_expression] = STATE(1943),
    [sym_module_pack] = STATE(1943),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1943),
    [sym_jsx_element] = STATE(1890),
    [sym_jsx_expression] = STATE(2354),
    [sym_jsx_opening_element] = STATE(535),
    [sym_jsx_self_closing_element] = STATE(1890),
    [sym__jsx_attribute_value] = STATE(2352),
    [sym_decorator] = STATE(557),
    [sym_subscript_expression] = STATE(1943),
    [sym_member_expression] = STATE(1943),
    [sym_lazy_expression] = STATE(1943),
    [sym_extension_expression] = STATE(1943),
    [sym_variant] = STATE(1943),
    [sym_nested_variant_identifier] = STATE(1864),
    [sym_polyvar] = STATE(1943),
    [sym_module_primary_expression] = STATE(2798),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1864),
    [sym_polyvar_identifier] = STATE(1842),
    [sym_value_identifier] = STATE(1848),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1943),
    [sym_string] = STATE(1943),
    [sym_template_string] = STATE(1943),
    [sym_character] = STATE(1943),
    [sym__reserved_identifier] = STATE(1813),
    [aux_sym_extension_expression_repeat1] = STATE(3010),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_unpack] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(1025),
    [anon_sym_async] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_POUND] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(1039),
    [aux_sym_value_identifier_token1] = ACTIONS(1041),
    [sym__escape_identifier] = ACTIONS(1041),
    [sym_number] = ACTIONS(1043),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_template_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(1053),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [558] = {
    [sym_block] = STATE(3048),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1855),
    [sym_parenthesized_expression] = STATE(1943),
    [sym_value_identifier_path] = STATE(1943),
    [sym_function] = STATE(1943),
    [sym_record] = STATE(1943),
    [sym_object] = STATE(1943),
    [sym_tuple] = STATE(1943),
    [sym_array] = STATE(1943),
    [sym_list] = STATE(1943),
    [sym_if_expression] = STATE(1943),
    [sym_switch_expression] = STATE(1943),
    [sym_try_expression] = STATE(1943),
    [sym_call_expression] = STATE(1943),
    [sym_pipe_expression] = STATE(1943),
    [sym_module_pack] = STATE(1943),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1943),
    [sym_jsx_element] = STATE(1890),
    [sym_jsx_expression] = STATE(2354),
    [sym_jsx_opening_element] = STATE(535),
    [sym_jsx_self_closing_element] = STATE(1890),
    [sym__jsx_attribute_value] = STATE(2324),
    [sym_decorator] = STATE(558),
    [sym_subscript_expression] = STATE(1943),
    [sym_member_expression] = STATE(1943),
    [sym_lazy_expression] = STATE(1943),
    [sym_extension_expression] = STATE(1943),
    [sym_variant] = STATE(1943),
    [sym_nested_variant_identifier] = STATE(1864),
    [sym_polyvar] = STATE(1943),
    [sym_module_primary_expression] = STATE(2798),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1864),
    [sym_polyvar_identifier] = STATE(1842),
    [sym_value_identifier] = STATE(1848),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1943),
    [sym_string] = STATE(1943),
    [sym_template_string] = STATE(1943),
    [sym_character] = STATE(1943),
    [sym__reserved_identifier] = STATE(1813),
    [aux_sym_extension_expression_repeat1] = STATE(3010),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_unpack] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_QMARK] = ACTIONS(1055),
    [anon_sym_async] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_POUND] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(1039),
    [aux_sym_value_identifier_token1] = ACTIONS(1041),
    [sym__escape_identifier] = ACTIONS(1041),
    [sym_number] = ACTIONS(1043),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_template_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(1053),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [559] = {
    [sym_block] = STATE(3048),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1855),
    [sym_parenthesized_expression] = STATE(1943),
    [sym_value_identifier_path] = STATE(1943),
    [sym_function] = STATE(1943),
    [sym_record] = STATE(1943),
    [sym_object] = STATE(1943),
    [sym_tuple] = STATE(1943),
    [sym_array] = STATE(1943),
    [sym_list] = STATE(1943),
    [sym_if_expression] = STATE(1943),
    [sym_switch_expression] = STATE(1943),
    [sym_try_expression] = STATE(1943),
    [sym_call_expression] = STATE(1943),
    [sym_pipe_expression] = STATE(1943),
    [sym_module_pack] = STATE(1943),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1943),
    [sym_jsx_element] = STATE(1890),
    [sym_jsx_expression] = STATE(2354),
    [sym_jsx_opening_element] = STATE(535),
    [sym_jsx_self_closing_element] = STATE(1890),
    [sym__jsx_attribute_value] = STATE(2324),
    [sym_decorator] = STATE(559),
    [sym_subscript_expression] = STATE(1943),
    [sym_member_expression] = STATE(1943),
    [sym_lazy_expression] = STATE(1943),
    [sym_extension_expression] = STATE(1943),
    [sym_variant] = STATE(1943),
    [sym_nested_variant_identifier] = STATE(1864),
    [sym_polyvar] = STATE(1943),
    [sym_module_primary_expression] = STATE(2798),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1864),
    [sym_polyvar_identifier] = STATE(1842),
    [sym_value_identifier] = STATE(1848),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1943),
    [sym_string] = STATE(1943),
    [sym_template_string] = STATE(1943),
    [sym_character] = STATE(1943),
    [sym__reserved_identifier] = STATE(1813),
    [aux_sym_extension_expression_repeat1] = STATE(3010),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_unpack] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_POUND] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(1039),
    [aux_sym_value_identifier_token1] = ACTIONS(1041),
    [sym__escape_identifier] = ACTIONS(1041),
    [sym_number] = ACTIONS(1043),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_template_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(1053),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [560] = {
    [sym_block] = STATE(3048),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1855),
    [sym_parenthesized_expression] = STATE(1943),
    [sym_value_identifier_path] = STATE(1943),
    [sym_function] = STATE(1943),
    [sym_record] = STATE(1943),
    [sym_object] = STATE(1943),
    [sym_tuple] = STATE(1943),
    [sym_array] = STATE(1943),
    [sym_list] = STATE(1943),
    [sym_if_expression] = STATE(1943),
    [sym_switch_expression] = STATE(1943),
    [sym_try_expression] = STATE(1943),
    [sym_call_expression] = STATE(1943),
    [sym_pipe_expression] = STATE(1943),
    [sym_module_pack] = STATE(1943),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1943),
    [sym_jsx_element] = STATE(1890),
    [sym_jsx_expression] = STATE(2354),
    [sym_jsx_opening_element] = STATE(535),
    [sym_jsx_self_closing_element] = STATE(1890),
    [sym__jsx_attribute_value] = STATE(2300),
    [sym_decorator] = STATE(560),
    [sym_subscript_expression] = STATE(1943),
    [sym_member_expression] = STATE(1943),
    [sym_lazy_expression] = STATE(1943),
    [sym_extension_expression] = STATE(1943),
    [sym_variant] = STATE(1943),
    [sym_nested_variant_identifier] = STATE(1864),
    [sym_polyvar] = STATE(1943),
    [sym_module_primary_expression] = STATE(2798),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1864),
    [sym_polyvar_identifier] = STATE(1842),
    [sym_value_identifier] = STATE(1848),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1943),
    [sym_string] = STATE(1943),
    [sym_template_string] = STATE(1943),
    [sym_character] = STATE(1943),
    [sym__reserved_identifier] = STATE(1813),
    [aux_sym_extension_expression_repeat1] = STATE(3010),
    [anon_sym_LBRACE] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_unpack] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_POUND] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(1039),
    [aux_sym_value_identifier_token1] = ACTIONS(1041),
    [sym__escape_identifier] = ACTIONS(1041),
    [sym_number] = ACTIONS(1043),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_template_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(1053),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [561] = {
    [sym_block] = STATE(1318),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1184),
    [sym_parenthesized_expression] = STATE(1223),
    [sym_value_identifier_path] = STATE(1223),
    [sym_function] = STATE(1223),
    [sym_record] = STATE(1223),
    [sym_object] = STATE(1223),
    [sym_tuple] = STATE(1223),
    [sym_array] = STATE(1223),
    [sym_list] = STATE(1223),
    [sym_if_expression] = STATE(1223),
    [sym_switch_expression] = STATE(1223),
    [sym_try_expression] = STATE(1223),
    [sym_call_expression] = STATE(1223),
    [sym_pipe_expression] = STATE(1223),
    [sym_module_pack] = STATE(1223),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1223),
    [sym_jsx_element] = STATE(1220),
    [sym_jsx_opening_element] = STATE(545),
    [sym_jsx_self_closing_element] = STATE(1220),
    [sym_decorator] = STATE(561),
    [sym_subscript_expression] = STATE(1223),
    [sym_member_expression] = STATE(1223),
    [sym_lazy_expression] = STATE(1223),
    [sym_extension_expression] = STATE(1223),
    [sym_variant] = STATE(1223),
    [sym_nested_variant_identifier] = STATE(1213),
    [sym_polyvar] = STATE(1223),
    [sym_module_primary_expression] = STATE(2757),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1213),
    [sym_polyvar_identifier] = STATE(1212),
    [sym_value_identifier] = STATE(1178),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1223),
    [sym_string] = STATE(1223),
    [sym_template_string] = STATE(1223),
    [sym_character] = STATE(1223),
    [sym__reserved_identifier] = STATE(1066),
    [aux_sym_extension_expression_repeat1] = STATE(2919),
    [anon_sym_LBRACE] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_unpack] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(1057),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_async] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(859),
    [anon_sym_POUND] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(863),
    [anon_sym_lazy] = ACTIONS(867),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(873),
    [aux_sym_value_identifier_token1] = ACTIONS(875),
    [sym__escape_identifier] = ACTIONS(875),
    [sym_number] = ACTIONS(877),
    [sym_true] = ACTIONS(879),
    [sym_false] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [aux_sym_template_string_token1] = ACTIONS(883),
    [anon_sym_SQUOTE] = ACTIONS(885),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(887),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [562] = {
    [sym_block] = STATE(1394),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1301),
    [sym_parenthesized_expression] = STATE(1429),
    [sym_value_identifier_path] = STATE(1429),
    [sym_function] = STATE(1429),
    [sym_record] = STATE(1429),
    [sym_object] = STATE(1429),
    [sym_tuple] = STATE(1429),
    [sym_array] = STATE(1429),
    [sym_list] = STATE(1429),
    [sym_if_expression] = STATE(1429),
    [sym_switch_expression] = STATE(1429),
    [sym_try_expression] = STATE(1429),
    [sym_call_expression] = STATE(1429),
    [sym_pipe_expression] = STATE(1429),
    [sym_module_pack] = STATE(1429),
    [sym__definition_signature] = STATE(3327),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1429),
    [sym_jsx_element] = STATE(1395),
    [sym_jsx_opening_element] = STATE(544),
    [sym_jsx_self_closing_element] = STATE(1395),
    [sym_decorator] = STATE(562),
    [sym_subscript_expression] = STATE(1429),
    [sym_member_expression] = STATE(1429),
    [sym_lazy_expression] = STATE(1429),
    [sym_extension_expression] = STATE(1429),
    [sym_variant] = STATE(1429),
    [sym_nested_variant_identifier] = STATE(1246),
    [sym_polyvar] = STATE(1429),
    [sym_module_primary_expression] = STATE(3009),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1246),
    [sym_polyvar_identifier] = STATE(1247),
    [sym_value_identifier] = STATE(1324),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1429),
    [sym_string] = STATE(1429),
    [sym_template_string] = STATE(1429),
    [sym_character] = STATE(1429),
    [sym__reserved_identifier] = STATE(1163),
    [aux_sym_extension_expression_repeat1] = STATE(2811),
    [anon_sym_LBRACE] = ACTIONS(367),
    [anon_sym_LPAREN] = ACTIONS(371),
    [anon_sym_module] = ACTIONS(377),
    [anon_sym_unpack] = ACTIONS(379),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(387),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_if] = ACTIONS(393),
    [anon_sym_switch] = ACTIONS(395),
    [anon_sym_POUND] = ACTIONS(397),
    [anon_sym_try] = ACTIONS(399),
    [anon_sym_lazy] = ACTIONS(405),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(411),
    [aux_sym_value_identifier_token1] = ACTIONS(413),
    [sym__escape_identifier] = ACTIONS(413),
    [sym_number] = ACTIONS(415),
    [sym_true] = ACTIONS(417),
    [sym_false] = ACTIONS(417),
    [anon_sym_DQUOTE] = ACTIONS(419),
    [aux_sym_template_string_token1] = ACTIONS(421),
    [anon_sym_SQUOTE] = ACTIONS(423),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(425),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [563] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3260),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(563),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1358),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(569),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(573),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(575),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [564] = {
    [sym_block] = STATE(1174),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1056),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3342),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1090),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_decorator] = STATE(564),
    [sym_subscript_expression] = STATE(1090),
    [sym_member_expression] = STATE(1090),
    [sym_lazy_expression] = STATE(1090),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1100),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_lazy] = ACTIONS(57),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [565] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3210),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(565),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1471),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(799),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(803),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [566] = {
    [sym_block] = STATE(1927),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1837),
    [sym_parenthesized_expression] = STATE(1943),
    [sym_value_identifier_path] = STATE(1943),
    [sym_function] = STATE(1943),
    [sym_record] = STATE(1943),
    [sym_object] = STATE(1943),
    [sym_tuple] = STATE(1943),
    [sym_array] = STATE(1943),
    [sym_list] = STATE(1943),
    [sym_if_expression] = STATE(1943),
    [sym_switch_expression] = STATE(1943),
    [sym_try_expression] = STATE(1943),
    [sym_call_expression] = STATE(1943),
    [sym_pipe_expression] = STATE(1943),
    [sym_module_pack] = STATE(1943),
    [sym__definition_signature] = STATE(3393),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1943),
    [sym_jsx_element] = STATE(1890),
    [sym_jsx_opening_element] = STATE(535),
    [sym_jsx_self_closing_element] = STATE(1890),
    [sym_decorator] = STATE(566),
    [sym_subscript_expression] = STATE(1943),
    [sym_member_expression] = STATE(1943),
    [sym_lazy_expression] = STATE(1943),
    [sym_extension_expression] = STATE(1943),
    [sym_variant] = STATE(1943),
    [sym_nested_variant_identifier] = STATE(1864),
    [sym_polyvar] = STATE(1943),
    [sym_module_primary_expression] = STATE(2798),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1864),
    [sym_polyvar_identifier] = STATE(1842),
    [sym_value_identifier] = STATE(1848),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1943),
    [sym_string] = STATE(1943),
    [sym_template_string] = STATE(1943),
    [sym_character] = STATE(1943),
    [sym__reserved_identifier] = STATE(1813),
    [aux_sym_extension_expression_repeat1] = STATE(3010),
    [anon_sym_LBRACE] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_unpack] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1021),
    [anon_sym_LBRACK] = ACTIONS(1023),
    [anon_sym_async] = ACTIONS(1027),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1031),
    [anon_sym_POUND] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1035),
    [anon_sym_lazy] = ACTIONS(1037),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(1039),
    [aux_sym_value_identifier_token1] = ACTIONS(1041),
    [sym__escape_identifier] = ACTIONS(1041),
    [sym_number] = ACTIONS(1043),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [anon_sym_DQUOTE] = ACTIONS(1047),
    [aux_sym_template_string_token1] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(1051),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(1053),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [567] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(567),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1302),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(497),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [568] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3207),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(568),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2895),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1444),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(555),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(559),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(349),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [569] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3375),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(569),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1492),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(757),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [570] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3196),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(570),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1445),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(791),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [571] = {
    [sym_block] = STATE(711),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(652),
    [sym_parenthesized_expression] = STATE(687),
    [sym_value_identifier_path] = STATE(687),
    [sym_function] = STATE(687),
    [sym_record] = STATE(687),
    [sym_object] = STATE(687),
    [sym_tuple] = STATE(687),
    [sym_array] = STATE(687),
    [sym_list] = STATE(687),
    [sym_if_expression] = STATE(687),
    [sym_switch_expression] = STATE(687),
    [sym_try_expression] = STATE(687),
    [sym_call_expression] = STATE(687),
    [sym_pipe_expression] = STATE(687),
    [sym_module_pack] = STATE(687),
    [sym__definition_signature] = STATE(3182),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(687),
    [sym_jsx_element] = STATE(708),
    [sym_jsx_opening_element] = STATE(543),
    [sym_jsx_self_closing_element] = STATE(708),
    [sym_decorator] = STATE(571),
    [sym_subscript_expression] = STATE(687),
    [sym_member_expression] = STATE(687),
    [sym_lazy_expression] = STATE(687),
    [sym_extension_expression] = STATE(687),
    [sym_variant] = STATE(687),
    [sym_nested_variant_identifier] = STATE(657),
    [sym_polyvar] = STATE(687),
    [sym_module_primary_expression] = STATE(2920),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(657),
    [sym_polyvar_identifier] = STATE(658),
    [sym_value_identifier] = STATE(649),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(687),
    [sym_string] = STATE(687),
    [sym_template_string] = STATE(687),
    [sym_character] = STATE(687),
    [sym__reserved_identifier] = STATE(619),
    [aux_sym_extension_expression_repeat1] = STATE(2897),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(697),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_unpack] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_async] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_lazy] = ACTIONS(723),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(729),
    [aux_sym_value_identifier_token1] = ACTIONS(731),
    [sym__escape_identifier] = ACTIONS(731),
    [sym_number] = ACTIONS(733),
    [sym_true] = ACTIONS(735),
    [sym_false] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [aux_sym_template_string_token1] = ACTIONS(739),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(743),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [572] = {
    [sym_block] = STATE(3074),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2486),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(2335),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(2483),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(572),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(2335),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(2483),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(2237),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [573] = {
    [sym_block] = STATE(3074),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(2486),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(2374),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(2513),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(573),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(2374),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(2513),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(2258),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [574] = {
    [sym_block] = STATE(1174),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(1056),
    [sym_parenthesized_expression] = STATE(1090),
    [sym_value_identifier_path] = STATE(1090),
    [sym_function] = STATE(1090),
    [sym_record] = STATE(1090),
    [sym_object] = STATE(1090),
    [sym_tuple] = STATE(1090),
    [sym_array] = STATE(1090),
    [sym_list] = STATE(1090),
    [sym_if_expression] = STATE(1090),
    [sym_switch_expression] = STATE(1090),
    [sym_try_expression] = STATE(1090),
    [sym_call_expression] = STATE(1090),
    [sym_pipe_expression] = STATE(1090),
    [sym_module_pack] = STATE(1090),
    [sym__definition_signature] = STATE(3338),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(1090),
    [sym_jsx_element] = STATE(1109),
    [sym_jsx_opening_element] = STATE(536),
    [sym_jsx_self_closing_element] = STATE(1109),
    [sym_decorator] = STATE(574),
    [sym_subscript_expression] = STATE(1090),
    [sym_member_expression] = STATE(1090),
    [sym_lazy_expression] = STATE(1090),
    [sym_extension_expression] = STATE(1090),
    [sym_variant] = STATE(1090),
    [sym_nested_variant_identifier] = STATE(1061),
    [sym_polyvar] = STATE(1090),
    [sym_module_primary_expression] = STATE(2805),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(1061),
    [sym_polyvar_identifier] = STATE(1067),
    [sym_value_identifier] = STATE(1075),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(1090),
    [sym_string] = STATE(1090),
    [sym_template_string] = STATE(1090),
    [sym_character] = STATE(1090),
    [sym__reserved_identifier] = STATE(897),
    [aux_sym_extension_expression_repeat1] = STATE(2808),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_module] = ACTIONS(763),
    [anon_sym_unpack] = ACTIONS(29),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_LBRACK] = ACTIONS(41),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_switch] = ACTIONS(49),
    [anon_sym_POUND] = ACTIONS(51),
    [anon_sym_try] = ACTIONS(53),
    [anon_sym_lazy] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(65),
    [aux_sym_value_identifier_token1] = ACTIONS(67),
    [sym__escape_identifier] = ACTIONS(67),
    [sym_number] = ACTIONS(69),
    [sym_true] = ACTIONS(71),
    [sym_false] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [aux_sym_template_string_token1] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(79),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
  [575] = {
    [sym_block] = STATE(991),
    [sym_module_unpack] = STATE(2211),
    [sym_primary_expression] = STATE(919),
    [sym_parenthesized_expression] = STATE(999),
    [sym_value_identifier_path] = STATE(999),
    [sym_function] = STATE(999),
    [sym_record] = STATE(999),
    [sym_object] = STATE(999),
    [sym_tuple] = STATE(999),
    [sym_array] = STATE(999),
    [sym_list] = STATE(999),
    [sym_if_expression] = STATE(999),
    [sym_switch_expression] = STATE(999),
    [sym_try_expression] = STATE(999),
    [sym_call_expression] = STATE(999),
    [sym_pipe_expression] = STATE(999),
    [sym_module_pack] = STATE(999),
    [sym__definition_signature] = STATE(3333),
    [sym_formal_parameters] = STATE(2800),
    [sym__jsx_element] = STATE(999),
    [sym_jsx_element] = STATE(1005),
    [sym_jsx_opening_element] = STATE(541),
    [sym_jsx_self_closing_element] = STATE(1005),
    [sym_decorator] = STATE(575),
    [sym_subscript_expression] = STATE(999),
    [sym_member_expression] = STATE(999),
    [sym_lazy_expression] = STATE(999),
    [sym_extension_expression] = STATE(999),
    [sym_variant] = STATE(999),
    [sym_nested_variant_identifier] = STATE(922),
    [sym_polyvar] = STATE(999),
    [sym_module_primary_expression] = STATE(2850),
    [sym_parenthesized_module_expression] = STATE(2211),
    [sym_module_identifier_path] = STATE(2211),
    [sym_functor_use] = STATE(2211),
    [sym_variant_identifier] = STATE(922),
    [sym_polyvar_identifier] = STATE(923),
    [sym_value_identifier] = STATE(1302),
    [sym_module_identifier] = STATE(2147),
    [sym_unit] = STATE(999),
    [sym_string] = STATE(999),
    [sym_template_string] = STATE(999),
    [sym_character] = STATE(999),
    [sym__reserved_identifier] = STATE(842),
    [aux_sym_extension_expression_repeat1] = STATE(2849),
    [anon_sym_LBRACE] = ACTIONS(485),
    [anon_sym_LPAREN] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(201),
    [anon_sym_unpack] = ACTIONS(127),
    [anon_sym_LT] = ACTIONS(1061),
    [anon_sym_LBRACK] = ACTIONS(491),
    [anon_sym_async] = ACTIONS(493),
    [anon_sym_if] = ACTIONS(143),
    [anon_sym_switch] = ACTIONS(145),
    [anon_sym_POUND] = ACTIONS(495),
    [anon_sym_try] = ACTIONS(149),
    [anon_sym_lazy] = ACTIONS(913),
    [anon_sym_PERCENT] = ACTIONS(63),
    [aux_sym_variant_identifier_token1] = ACTIONS(161),
    [aux_sym_value_identifier_token1] = ACTIONS(163),
    [sym__escape_identifier] = ACTIONS(163),
    [sym_number] = ACTIONS(499),
    [sym_true] = ACTIONS(501),
    [sym_false] = ACTIONS(501),
    [anon_sym_DQUOTE] = ACTIONS(503),
    [aux_sym_template_string_token1] = ACTIONS(505),
    [anon_sym_SQUOTE] = ACTIONS(507),
    [sym_comment] = ACTIONS(3),
    [sym__list_constructor] = ACTIONS(509),
    [sym__decorator] = ACTIONS(5),
    [sym__decorator_inline] = ACTIONS(7),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(135), 1,
      anon_sym_DOT,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1073), 1,
      anon_sym_RPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(576), 1,
      sym_decorator,
    STATE(582), 1,
      sym_uncurry,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2526), 1,
      sym_unit,
    STATE(2626), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3059), 1,
      sym_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(3079), 2,
      sym_labeled_parameter,
      sym_abstract_type,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 9,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
  [146] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(135), 1,
      anon_sym_DOT,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1093), 1,
      anon_sym_RPAREN,
    STATE(577), 1,
      sym_decorator,
    STATE(582), 1,
      sym_uncurry,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2526), 1,
      sym_unit,
    STATE(2626), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3059), 1,
      sym_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(3079), 2,
      sym_labeled_parameter,
      sym_abstract_type,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 9,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
  [292] = 41,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(135), 1,
      anon_sym_DOT,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1095), 1,
      anon_sym_RPAREN,
    STATE(578), 1,
      sym_decorator,
    STATE(582), 1,
      sym_uncurry,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2526), 1,
      sym_unit,
    STATE(2626), 1,
      sym__pattern,
    STATE(2836), 1,
      sym_parameter,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(3079), 2,
      sym_labeled_parameter,
      sym_abstract_type,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 9,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
  [438] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(135), 1,
      anon_sym_DOT,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(579), 1,
      sym_decorator,
    STATE(582), 1,
      sym_uncurry,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2526), 1,
      sym_unit,
    STATE(2626), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3059), 1,
      sym_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(3079), 2,
      sym_labeled_parameter,
      sym_abstract_type,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 9,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
  [581] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(123), 1,
      anon_sym_module,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1097), 1,
      anon_sym_LPAREN,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    STATE(580), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2521), 1,
      sym_module_primary_expression,
    STATE(2536), 1,
      sym__pattern,
    STATE(2638), 1,
      sym_module_expression,
    STATE(3150), 1,
      sym_tuple_item_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [716] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(123), 1,
      anon_sym_module,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1097), 1,
      anon_sym_LPAREN,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    STATE(581), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2521), 1,
      sym_module_primary_expression,
    STATE(2536), 1,
      sym__pattern,
    STATE(2596), 1,
      sym_module_expression,
    STATE(3150), 1,
      sym_tuple_item_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [851] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(582), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2488), 1,
      sym_unit,
    STATE(2641), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(3108), 2,
      sym_labeled_parameter,
      sym_abstract_type,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 9,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
  [985] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1103), 1,
      anon_sym_RBRACE,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(583), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(2946), 1,
      sym__collection_element_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [1119] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    ACTIONS(1107), 1,
      anon_sym_RBRACE,
    STATE(584), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2787), 1,
      sym__collection_element_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [1253] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    ACTIONS(1109), 1,
      anon_sym_RBRACK,
    STATE(585), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(2961), 1,
      sym__collection_element_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [1387] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    ACTIONS(1111), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2787), 1,
      sym__collection_element_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [1521] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    ACTIONS(1113), 1,
      anon_sym_RBRACK,
    STATE(587), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2787), 1,
      sym__collection_element_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [1655] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    ACTIONS(1115), 1,
      anon_sym_RBRACK,
    STATE(588), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2787), 1,
      sym__collection_element_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [1789] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    STATE(589), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3198), 1,
      sym__definition_signature,
    STATE(3200), 1,
      sym_value_identifier,
    ACTIONS(1124), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1127), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1122), 20,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      sym_true,
      sym_false,
    ACTIONS(1117), 26,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [1875] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(221), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(590), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2481), 1,
      sym__pattern,
    STATE(2619), 1,
      sym_spread_pattern,
    STATE(2787), 1,
      sym__collection_element_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [2006] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1130), 1,
      anon_sym_rec,
    ACTIONS(1132), 1,
      anon_sym_type,
    STATE(591), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2346), 1,
      sym_let_binding,
    STATE(2744), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [2137] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1134), 1,
      anon_sym_rec,
    ACTIONS(1136), 1,
      anon_sym_type,
    STATE(592), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2310), 1,
      sym_let_binding,
    STATE(2692), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [2268] = 42,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(123), 1,
      anon_sym_module,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LPAREN,
    ACTIONS(1142), 1,
      anon_sym_RPAREN,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    STATE(593), 1,
      sym_decorator,
    STATE(690), 1,
      sym_uncurry,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2485), 1,
      sym_module_primary_expression,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2638), 1,
      sym_module_expression,
    STATE(2704), 1,
      sym__type,
    STATE(2825), 1,
      sym_function_type_parameter,
    STATE(3068), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [2410] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1162), 1,
      anon_sym_RPAREN,
    STATE(594), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2624), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(2929), 1,
      sym__variant_pattern_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [2538] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1134), 1,
      anon_sym_rec,
    STATE(595), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2310), 1,
      sym_let_binding,
    STATE(2692), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [2666] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1130), 1,
      anon_sym_rec,
    STATE(596), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2346), 1,
      sym_let_binding,
    STATE(2744), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [2794] = 42,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(123), 1,
      anon_sym_module,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LPAREN,
    ACTIONS(1142), 1,
      anon_sym_RPAREN,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    STATE(597), 1,
      sym_decorator,
    STATE(690), 1,
      sym_uncurry,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2485), 1,
      sym_module_primary_expression,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2596), 1,
      sym_module_expression,
    STATE(2704), 1,
      sym__type,
    STATE(2825), 1,
      sym_function_type_parameter,
    STATE(3068), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [2936] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1164), 1,
      anon_sym_RPAREN,
    STATE(598), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2548), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3087), 1,
      sym_tuple_item_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3064] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1166), 1,
      anon_sym_RPAREN,
    STATE(599), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2624), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3121), 1,
      sym__variant_pattern_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3192] = 42,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(123), 1,
      anon_sym_module,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LPAREN,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1168), 1,
      anon_sym_RPAREN,
    STATE(600), 1,
      sym_decorator,
    STATE(690), 1,
      sym_uncurry,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2485), 1,
      sym_module_primary_expression,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2596), 1,
      sym_module_expression,
    STATE(2681), 1,
      sym__type,
    STATE(2825), 1,
      sym_function_type_parameter,
    STATE(3068), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [3334] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1170), 1,
      anon_sym_RPAREN,
    STATE(601), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2548), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3087), 1,
      sym_tuple_item_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3462] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1172), 1,
      anon_sym_RPAREN,
    STATE(602), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2624), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3121), 1,
      sym__variant_pattern_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3590] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(603), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2443), 1,
      sym_let_binding,
    STATE(2692), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3715] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(604), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2363), 1,
      sym_let_binding,
    STATE(2692), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3840] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(605), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2624), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3121), 1,
      sym__variant_pattern_parameter,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [3965] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(606), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2548), 1,
      sym__pattern,
    STATE(2788), 1,
      sym_tuple_item_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4090] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(607), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2330), 1,
      sym_let_binding,
    STATE(2744), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4215] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(608), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2405), 1,
      sym_let_binding,
    STATE(2692), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4340] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1178), 1,
      anon_sym_else,
    STATE(609), 1,
      sym_decorator,
    STATE(611), 1,
      aux_sym_if_expression_repeat1,
    STATE(651), 1,
      sym_else_if_clause,
    STATE(724), 1,
      sym_else_clause,
    ACTIONS(1176), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1174), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [4417] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(610), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2548), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(3087), 1,
      sym_tuple_item_pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4542] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1178), 1,
      anon_sym_else,
    STATE(611), 1,
      sym_decorator,
    STATE(639), 1,
      aux_sym_if_expression_repeat1,
    STATE(651), 1,
      sym_else_if_clause,
    STATE(734), 1,
      sym_else_clause,
    ACTIONS(1182), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1180), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [4619] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(612), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2405), 1,
      sym_let_binding,
    STATE(2744), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4744] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(613), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2443), 1,
      sym_let_binding,
    STATE(2744), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4869] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(614), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2625), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [4991] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(615), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2477), 1,
      sym__literal_pattern,
    STATE(2731), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2602), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5113] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(616), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(1979), 1,
      sym__literal_pattern,
    STATE(2103), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2041), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5235] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(617), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(1979), 1,
      sym__literal_pattern,
    STATE(2058), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2041), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5357] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1184), 1,
      anon_sym_exception,
    ACTIONS(1186), 1,
      anon_sym_lazy,
    STATE(618), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2441), 1,
      sym__literal_pattern,
    STATE(2612), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2528), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(619), 1,
      sym_decorator,
    ACTIONS(1190), 24,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1188), 27,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [5547] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(620), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2477), 1,
      sym__literal_pattern,
    STATE(2696), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2602), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5669] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(621), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(1979), 1,
      sym__literal_pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2446), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2041), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1198), 1,
      anon_sym_EQ_GT,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(622), 1,
      sym_decorator,
    ACTIONS(1196), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1192), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [5865] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(623), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2636), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [5987] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(624), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2087), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6109] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(625), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(1979), 1,
      sym__literal_pattern,
    STATE(2048), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2041), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6231] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(626), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2048), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6353] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(627), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(1979), 1,
      sym__literal_pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2395), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2041), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6475] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(628), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2530), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6597] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(629), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2103), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2386), 1,
      sym__literal_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2487), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(630), 1,
      sym_decorator,
    ACTIONS(1122), 24,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1117), 27,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [6787] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1184), 1,
      anon_sym_exception,
    ACTIONS(1186), 1,
      anon_sym_lazy,
    STATE(631), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2087), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2441), 1,
      sym__literal_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2528), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [6909] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(632), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2477), 1,
      sym__literal_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(2985), 1,
      sym__pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2602), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7031] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(633), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2461), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7153] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(634), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1966), 1,
      sym__literal_pattern,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2525), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2034), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7275] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(129), 1,
      anon_sym_exception,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1083), 1,
      anon_sym_lazy,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    STATE(635), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(1979), 1,
      sym__literal_pattern,
    STATE(2087), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2041), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7397] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1184), 1,
      anon_sym_exception,
    ACTIONS(1186), 1,
      anon_sym_lazy,
    STATE(636), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2449), 1,
      sym__literal_pattern,
    STATE(2565), 1,
      sym__pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2511), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7519] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1184), 1,
      anon_sym_exception,
    ACTIONS(1186), 1,
      anon_sym_lazy,
    STATE(637), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2103), 1,
      sym__pattern,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2441), 1,
      sym__literal_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2528), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7641] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(139), 1,
      anon_sym_QMARK,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(203), 1,
      anon_sym_exception,
    ACTIONS(1069), 1,
      anon_sym_LBRACE,
    ACTIONS(1071), 1,
      anon_sym_LPAREN,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1081), 1,
      anon_sym_POUND,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1087), 1,
      sym_number,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1105), 1,
      anon_sym_lazy,
    STATE(638), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1975), 1,
      sym_polyvar_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2477), 1,
      sym__literal_pattern,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(2955), 1,
      sym__pattern,
    ACTIONS(163), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(1974), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(2116), 6,
      sym_variant_pattern,
      sym_polyvar_pattern,
      sym_record_pattern,
      sym_tuple_pattern,
      sym_array_pattern,
      sym_list_pattern,
    STATE(2602), 10,
      sym_polyvar_type_pattern,
      sym_module_pack,
      sym_parenthesized_pattern,
      sym_range_pattern,
      sym_or_pattern,
      sym_exception_pattern,
      sym__destructuring_pattern,
      sym_lazy_pattern,
      sym_value_identifier,
      sym_unit,
  [7763] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1206), 1,
      anon_sym_else,
    STATE(651), 1,
      sym_else_if_clause,
    STATE(639), 2,
      sym_decorator,
      aux_sym_if_expression_repeat1,
    ACTIONS(1204), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1202), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [7835] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(640), 1,
      sym_decorator,
    ACTIONS(1122), 24,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1117), 26,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [7902] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1211), 1,
      anon_sym_RPAREN,
    STATE(641), 1,
      sym_decorator,
    STATE(690), 1,
      sym_uncurry,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2995), 1,
      sym__type,
    STATE(3028), 1,
      sym_function_type_parameter,
    STATE(3068), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [8037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1215), 1,
      anon_sym_COLON,
    ACTIONS(1219), 1,
      anon_sym_EQ_GT,
    STATE(642), 1,
      sym_decorator,
    ACTIONS(1217), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1213), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(643), 1,
      sym_decorator,
    ACTIONS(1223), 24,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1221), 26,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8175] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(644), 1,
      sym_decorator,
    ACTIONS(1196), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1192), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8246] = 40,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    STATE(645), 1,
      sym_decorator,
    STATE(690), 1,
      sym_uncurry,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2995), 1,
      sym__type,
    STATE(3028), 1,
      sym_function_type_parameter,
    STATE(3068), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [8381] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(646), 1,
      sym_decorator,
    ACTIONS(1229), 24,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1227), 26,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(647), 1,
      sym_decorator,
    ACTIONS(1233), 24,
      anon_sym_EQ,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1231), 26,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(648), 1,
      sym_decorator,
    ACTIONS(1237), 24,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1235), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1198), 1,
      anon_sym_EQ_GT,
    STATE(649), 1,
      sym_decorator,
    ACTIONS(1196), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1192), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(650), 1,
      sym_decorator,
    ACTIONS(1241), 24,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1239), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(651), 1,
      sym_decorator,
    ACTIONS(1245), 24,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1243), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8781] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1249), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_LBRACK,
    STATE(652), 1,
      sym_decorator,
    STATE(696), 1,
      sym_call_arguments,
    ACTIONS(1251), 22,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1247), 23,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [8855] = 39,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(653), 1,
      sym_decorator,
    STATE(690), 1,
      sym_uncurry,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2995), 1,
      sym__type,
    STATE(3028), 1,
      sym_function_type_parameter,
    STATE(3068), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [8987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1259), 1,
      anon_sym_LPAREN,
    STATE(654), 1,
      sym_decorator,
    STATE(717), 1,
      sym__extension_expression_payload,
    ACTIONS(1261), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1257), 24,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9057] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(655), 1,
      sym_decorator,
    ACTIONS(1265), 24,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_else,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1263), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9123] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1249), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_DOT,
    ACTIONS(1255), 1,
      anon_sym_LBRACK,
    STATE(656), 1,
      sym_decorator,
    STATE(696), 1,
      sym_call_arguments,
    ACTIONS(1271), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1267), 21,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 22,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [9199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    STATE(657), 1,
      sym_decorator,
    STATE(697), 1,
      sym_variant_arguments,
    ACTIONS(1277), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1273), 24,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9269] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    STATE(658), 1,
      sym_decorator,
    STATE(698), 1,
      sym_variant_arguments,
    ACTIONS(1281), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1279), 24,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9339] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1291), 1,
      anon_sym_QMARK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    STATE(659), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1285), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1283), 14,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(660), 1,
      sym_decorator,
    ACTIONS(1309), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1307), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(661), 1,
      sym_decorator,
    ACTIONS(1237), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1235), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(662), 1,
      sym_decorator,
    ACTIONS(1313), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1311), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(663), 1,
      sym_decorator,
    ACTIONS(1317), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1315), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(664), 1,
      sym_decorator,
    ACTIONS(1321), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1319), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(665), 1,
      sym_decorator,
    ACTIONS(1325), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1323), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(666), 1,
      sym_decorator,
    ACTIONS(1329), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1327), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9879] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(667), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 21,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 23,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [9948] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(668), 1,
      sym_decorator,
    ACTIONS(1337), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1335), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(669), 1,
      sym_decorator,
    ACTIONS(1265), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1263), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10078] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(670), 1,
      sym_decorator,
    ACTIONS(1341), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1339), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(671), 1,
      sym_decorator,
    ACTIONS(1345), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1343), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(672), 1,
      sym_decorator,
    ACTIONS(1269), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1267), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(673), 1,
      sym_decorator,
    ACTIONS(1333), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(674), 1,
      sym_decorator,
    ACTIONS(1349), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1347), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10403] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1291), 1,
      anon_sym_QMARK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    STATE(675), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1353), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1351), 14,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(676), 1,
      sym_decorator,
    ACTIONS(1357), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1355), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(677), 1,
      sym_decorator,
    ACTIONS(1361), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1359), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(678), 1,
      sym_decorator,
    ACTIONS(1365), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1363), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(679), 1,
      sym_decorator,
    ACTIONS(1369), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1367), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(680), 1,
      sym_decorator,
    ACTIONS(1373), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1371), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(681), 1,
      sym_decorator,
    ACTIONS(1377), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1375), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10878] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(682), 1,
      sym_decorator,
    ACTIONS(1381), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1379), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [10943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(683), 1,
      sym_decorator,
    ACTIONS(1385), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1383), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(684), 1,
      sym_decorator,
    ACTIONS(1389), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1387), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(685), 1,
      sym_decorator,
    ACTIONS(1393), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1391), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11138] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      anon_sym_DOT,
    STATE(686), 1,
      sym_decorator,
    ACTIONS(1400), 22,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1395), 24,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(687), 1,
      sym_decorator,
    ACTIONS(1196), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1192), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11272] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    STATE(688), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1407), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1405), 15,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(689), 1,
      sym_decorator,
    ACTIONS(1411), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1409), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11420] = 38,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(153), 1,
      anon_sym_TILDE,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1146), 1,
      anon_sym_DOT,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(690), 1,
      sym_decorator,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(802), 1,
      sym_uncurry,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2922), 1,
      sym__type,
    STATE(3129), 1,
      sym_labeled_parameter,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [11549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(691), 1,
      sym_decorator,
    ACTIONS(1415), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1413), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11614] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(692), 1,
      sym_decorator,
    ACTIONS(1419), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1417), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(693), 1,
      sym_decorator,
    ACTIONS(1423), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1421), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11744] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(694), 1,
      sym_decorator,
    ACTIONS(1427), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1425), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(695), 1,
      sym_decorator,
    ACTIONS(1431), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1429), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(696), 1,
      sym_decorator,
    ACTIONS(1435), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1433), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [11939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(697), 1,
      sym_decorator,
    ACTIONS(1439), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1437), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12004] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(698), 1,
      sym_decorator,
    ACTIONS(1443), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1441), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12069] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(699), 1,
      sym_decorator,
    ACTIONS(1447), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1445), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(700), 1,
      sym_decorator,
    ACTIONS(1451), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1449), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12199] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1291), 1,
      anon_sym_QMARK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    STATE(701), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1455), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1453), 14,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12284] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1291), 1,
      anon_sym_QMARK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    STATE(702), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1459), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1457), 14,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(703), 1,
      sym_decorator,
    ACTIONS(1463), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1461), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12434] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(704), 1,
      sym_decorator,
    ACTIONS(1467), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1465), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(705), 1,
      sym_decorator,
    ACTIONS(1471), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1469), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(706), 1,
      sym_decorator,
    ACTIONS(1475), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1473), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(707), 1,
      sym_decorator,
    ACTIONS(1479), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1477), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(708), 1,
      sym_decorator,
    ACTIONS(1483), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1481), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(709), 1,
      sym_decorator,
    ACTIONS(1487), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1485), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(710), 1,
      sym_decorator,
    ACTIONS(1491), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1489), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(711), 1,
      sym_decorator,
    ACTIONS(1251), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1247), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [12954] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(712), 1,
      sym_decorator,
    ACTIONS(1269), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1267), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13019] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(713), 1,
      sym_decorator,
    ACTIONS(1495), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1493), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13084] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1291), 1,
      anon_sym_QMARK,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1297), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    STATE(714), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1499), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1497), 14,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13169] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(715), 1,
      sym_decorator,
    ACTIONS(1503), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1501), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(716), 1,
      sym_decorator,
    ACTIONS(1507), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1505), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(717), 1,
      sym_decorator,
    ACTIONS(1511), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1509), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13364] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(718), 1,
      sym_decorator,
    ACTIONS(1515), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1513), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(719), 1,
      sym_decorator,
    ACTIONS(1519), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1517), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13494] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(720), 1,
      sym_decorator,
    ACTIONS(1523), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1521), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(721), 1,
      sym_decorator,
    ACTIONS(1527), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1525), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(722), 1,
      sym_decorator,
    ACTIONS(1531), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1529), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13689] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(723), 1,
      sym_decorator,
    ACTIONS(1271), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1267), 23,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1269), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [13756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(724), 1,
      sym_decorator,
    ACTIONS(1182), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1180), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(725), 1,
      sym_decorator,
    ACTIONS(1535), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1533), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(726), 1,
      sym_decorator,
    ACTIONS(1539), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1537), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [13951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(727), 1,
      sym_decorator,
    ACTIONS(1543), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1541), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(728), 1,
      sym_decorator,
    ACTIONS(1547), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1545), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(729), 1,
      sym_decorator,
    ACTIONS(1551), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1549), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(730), 1,
      sym_decorator,
    ACTIONS(1555), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1553), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(731), 1,
      sym_decorator,
    ACTIONS(1559), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1557), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(732), 1,
      sym_decorator,
    ACTIONS(1563), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1561), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(733), 1,
      sym_decorator,
    ACTIONS(1567), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1565), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(734), 1,
      sym_decorator,
    ACTIONS(1571), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1569), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(735), 1,
      sym_decorator,
    ACTIONS(1575), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1573), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(736), 1,
      sym_decorator,
    ACTIONS(1579), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1577), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(737), 1,
      sym_decorator,
    ACTIONS(1583), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1581), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(738), 1,
      sym_decorator,
    ACTIONS(1587), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1585), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14731] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1196), 1,
      anon_sym_DOT,
    STATE(739), 1,
      sym_decorator,
    ACTIONS(1192), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 22,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1267), 23,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14800] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(740), 1,
      sym_decorator,
    ACTIONS(1591), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1589), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14865] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    STATE(741), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 16,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 22,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [14938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(742), 1,
      sym_decorator,
    ACTIONS(1595), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1593), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(743), 1,
      sym_decorator,
    ACTIONS(1599), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1597), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15068] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(744), 1,
      sym_decorator,
    ACTIONS(1603), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1601), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15133] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(745), 1,
      sym_decorator,
    ACTIONS(1607), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1605), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    STATE(746), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 21,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 22,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15269] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(747), 1,
      sym_decorator,
    ACTIONS(1611), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1609), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(748), 1,
      sym_decorator,
    ACTIONS(1615), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1613), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(749), 1,
      sym_decorator,
    ACTIONS(1619), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1617), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15464] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1295), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    STATE(750), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 17,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(751), 1,
      sym_decorator,
    ACTIONS(1623), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1621), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(752), 1,
      sym_decorator,
    ACTIONS(1627), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1625), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15673] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(753), 1,
      sym_decorator,
    ACTIONS(1631), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1629), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15738] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1301), 1,
      anon_sym_STAR_STAR,
    STATE(754), 1,
      sym_decorator,
    ACTIONS(1293), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1299), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1287), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1303), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1289), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 18,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [15815] = 37,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(123), 1,
      anon_sym_module,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1099), 1,
      anon_sym_RPAREN,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1140), 1,
      anon_sym_LPAREN,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    STATE(755), 1,
      sym_decorator,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2485), 1,
      sym_module_primary_expression,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2596), 1,
      sym_module_expression,
    STATE(2700), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [15942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(756), 1,
      sym_decorator,
    ACTIONS(1635), 23,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_SLASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1633), 25,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [16007] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(757), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3250), 1,
      sym_value_identifier,
    STATE(3251), 1,
      sym__definition_signature,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [16086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(758), 1,
      sym_decorator,
    ACTIONS(1639), 20,
      sym__newline,
      sym__newline_and_comment,
      sym__list_constructor,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1641), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [16149] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1645), 1,
      anon_sym_GT,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    STATE(759), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(2913), 1,
      sym__type,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [16269] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1651), 1,
      anon_sym_RPAREN,
    STATE(760), 1,
      sym_decorator,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [16389] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_RPAREN,
    STATE(761), 1,
      sym_decorator,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [16509] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1655), 1,
      anon_sym_GT,
    STATE(762), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(2913), 1,
      sym__type,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [16629] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      anon_sym_private,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(763), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2164), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [16749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(764), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3358), 1,
      sym__definition_signature,
    STATE(3359), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 11,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [16827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(765), 1,
      sym_decorator,
    ACTIONS(1349), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1347), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [16889] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1679), 1,
      anon_sym_GT,
    STATE(766), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(2913), 1,
      sym__type,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17009] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    ACTIONS(1689), 1,
      anon_sym_QMARK,
    ACTIONS(1693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1695), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(767), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1687), 3,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1685), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1681), 12,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1683), 12,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [17091] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1703), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(768), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17211] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1705), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(769), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17331] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1707), 1,
      anon_sym_private,
    STATE(770), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2155), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17451] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    ACTIONS(1693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1695), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(771), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1687), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1685), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1407), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1405), 13,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [17531] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(772), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17651] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1707), 1,
      anon_sym_private,
    STATE(773), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2010), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2155), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17771] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1711), 1,
      anon_sym_private,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(774), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2161), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [17891] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1661), 1,
      anon_sym_private,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(775), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2012), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2164), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [18011] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(776), 1,
      sym_decorator,
    STATE(783), 1,
      aux_sym_source_file_repeat1,
    STATE(872), 1,
      sym__statement_delimeter,
    ACTIONS(11), 3,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
    ACTIONS(1715), 14,
      sym__list_constructor,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1717), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [18079] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(777), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [18199] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1721), 1,
      anon_sym_GT,
    STATE(778), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(2913), 1,
      sym__type,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [18319] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1723), 1,
      anon_sym_private,
    STATE(779), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2181), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [18439] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    ACTIONS(1725), 1,
      anon_sym_private,
    STATE(780), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2202), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [18559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(781), 1,
      sym_decorator,
    ACTIONS(1527), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [18621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(782), 1,
      sym_decorator,
    ACTIONS(1369), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1367), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [18683] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(872), 1,
      sym__statement_delimeter,
    STATE(783), 2,
      sym_decorator,
      aux_sym_source_file_repeat1,
    ACTIONS(1729), 3,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
    ACTIONS(1727), 14,
      sym__list_constructor,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1732), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [18749] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(784), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [18869] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1305), 1,
      anon_sym_COLON_GT,
    ACTIONS(1689), 1,
      anon_sym_QMARK,
    ACTIONS(1693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1695), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(785), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1687), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1685), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1353), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1351), 12,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [18951] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1736), 1,
      anon_sym_private,
    STATE(786), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2175), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [19071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(787), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 20,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 21,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [19137] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    ACTIONS(1738), 1,
      anon_sym_private,
    STATE(788), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2004), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2215), 1,
      sym__type,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [19257] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1693), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(789), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1687), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1685), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 15,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [19333] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1740), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(790), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [19453] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(791), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [19573] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(792), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1687), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1701), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1685), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 16,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [19647] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    ACTIONS(1744), 1,
      anon_sym_private,
    STATE(793), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2203), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [19767] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    ACTIONS(1744), 1,
      anon_sym_private,
    STATE(794), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2006), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2203), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [19887] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(795), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20007] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(796), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1331), 20,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1333), 20,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [20075] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    ACTIONS(1738), 1,
      anon_sym_private,
    STATE(797), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2215), 1,
      sym__type,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20195] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1699), 1,
      anon_sym_STAR_STAR,
    STATE(798), 1,
      sym_decorator,
    ACTIONS(1691), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1697), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1685), 5,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 15,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1331), 20,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [20265] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(799), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2661), 1,
      sym__type,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20382] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1748), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(800), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(1987), 1,
      sym_variant_identifier,
    STATE(2049), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3163), 1,
      sym_function_type_parameters,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20499] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1750), 1,
      anon_sym_PIPE,
    ACTIONS(1752), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    STATE(801), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2296), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2515), 1,
      sym_variant_declaration,
    STATE(2622), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2695), 1,
      sym__type,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3151), 1,
      sym_function_type_parameters,
    STATE(3219), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20616] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(802), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2989), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20733] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(803), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2809), 1,
      sym__type,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20850] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    STATE(804), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [20967] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1758), 1,
      anon_sym_PIPE,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(805), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2212), 1,
      sym_variant_identifier,
    STATE(2316), 1,
      sym_variant_declaration,
    STATE(2401), 1,
      sym__type,
    STATE(2547), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3149), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3376), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21084] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1764), 1,
      anon_sym_PIPE,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    STATE(806), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2158), 1,
      sym_variant_declaration,
    STATE(2279), 1,
      sym__type,
    STATE(2583), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3234), 1,
      sym_function_type_parameters,
    STATE(3263), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21201] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1770), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(807), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2082), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2221), 1,
      sym_variant_declaration,
    STATE(2401), 1,
      sym__type,
    STATE(2547), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3158), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3376), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21318] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(808), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2773), 1,
      sym__type,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21435] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1752), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1772), 1,
      anon_sym_PIPE,
    STATE(809), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2148), 1,
      sym_variant_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2409), 1,
      sym_variant_declaration,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2560), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3171), 1,
      sym_function_type_parameters,
    STATE(3239), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21552] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(810), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2708), 1,
      sym__type,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21669] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1774), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    STATE(811), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2111), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2166), 1,
      sym__type,
    STATE(2555), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3152), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3398), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21786] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(812), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2175), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [21903] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1764), 1,
      anon_sym_PIPE,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    STATE(813), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2158), 1,
      sym_variant_declaration,
    STATE(2583), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3234), 1,
      sym_function_type_parameters,
    STATE(3263), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22020] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1780), 1,
      anon_sym_PIPE,
    STATE(814), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1841), 1,
      sym_variant_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2137), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3325), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22137] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1782), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(815), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2082), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2251), 1,
      sym_variant_declaration,
    STATE(2572), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3170), 1,
      sym_function_type_parameters,
    STATE(3248), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22254] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(816), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2290), 1,
      sym__type,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22371] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(817), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3112), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22488] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(818), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2203), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22605] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1784), 1,
      anon_sym_PIPE,
    ACTIONS(1786), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1788), 1,
      sym__escape_identifier,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(819), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2192), 1,
      sym_type_identifier,
    STATE(2226), 1,
      sym_variant_identifier,
    STATE(2377), 1,
      sym_variant_declaration,
    STATE(2592), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3168), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3288), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22722] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(820), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3022), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22839] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    STATE(821), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2729), 1,
      sym__type,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [22956] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(822), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2159), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23073] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1770), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(823), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2082), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2221), 1,
      sym_variant_declaration,
    STATE(2547), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3158), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3376), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23190] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1790), 1,
      anon_sym_PIPE,
    STATE(824), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1841), 1,
      sym_variant_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2135), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2583), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3180), 1,
      sym_function_type_parameters,
    STATE(3263), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23307] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1792), 1,
      anon_sym_PIPE,
    STATE(825), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2239), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2491), 1,
      sym_variant_declaration,
    STATE(2571), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3166), 1,
      sym_function_type_parameters,
    STATE(3246), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(826), 1,
      sym_decorator,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [23485] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    STATE(827), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2201), 1,
      sym_variant_declaration,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3360), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23602] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(828), 1,
      sym_decorator,
    ACTIONS(1798), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
    ACTIONS(1796), 16,
      sym__newline,
      sym__newline_and_comment,
      sym__list_constructor,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1800), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [23665] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(829), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2874), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23782] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(830), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [23899] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1750), 1,
      anon_sym_PIPE,
    ACTIONS(1752), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    STATE(831), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2296), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2515), 1,
      sym_variant_declaration,
    STATE(2622), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3151), 1,
      sym_function_type_parameters,
    STATE(3219), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24016] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(832), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2202), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24133] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(833), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2290), 1,
      sym__type,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24250] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(834), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24367] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(835), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2904), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24484] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(836), 1,
      sym_decorator,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3296), 1,
      sym_value_identifier,
    STATE(3297), 1,
      sym__definition_signature,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 10,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [24561] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(837), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2164), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24678] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    STATE(838), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2645), 1,
      sym__type,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24795] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(839), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [24912] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(840), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2177), 1,
      sym_variant_declaration,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3185), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25029] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1804), 1,
      anon_sym_PIPE,
    STATE(841), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1805), 1,
      sym_variant_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2023), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2590), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3270), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3292), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(842), 1,
      sym_decorator,
    ACTIONS(1190), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1188), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [25207] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1806), 1,
      anon_sym_PIPE,
    STATE(843), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2567), 1,
      sym_variant_declaration,
    STATE(2571), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3157), 1,
      sym_function_type_parameters,
    STATE(3246), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25324] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1784), 1,
      anon_sym_PIPE,
    ACTIONS(1786), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1788), 1,
      sym__escape_identifier,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(844), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2059), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2192), 1,
      sym_type_identifier,
    STATE(2226), 1,
      sym_variant_identifier,
    STATE(2377), 1,
      sym_variant_declaration,
    STATE(2592), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3168), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3288), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25441] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(845), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2181), 1,
      sym__type,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25558] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(846), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2059), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25675] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1713), 1,
      anon_sym_PIPE,
    STATE(847), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2161), 1,
      sym__type,
    STATE(2213), 1,
      sym_variant_declaration,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    STATE(3357), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25792] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1774), 1,
      anon_sym_PIPE,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    STATE(848), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2111), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2555), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3152), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3398), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [25909] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1758), 1,
      anon_sym_PIPE,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(849), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2212), 1,
      sym_variant_identifier,
    STATE(2316), 1,
      sym_variant_declaration,
    STATE(2547), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3149), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3376), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26026] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1808), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(850), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2212), 1,
      sym_variant_identifier,
    STATE(2319), 1,
      sym_variant_declaration,
    STATE(2572), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3160), 1,
      sym_function_type_parameters,
    STATE(3248), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26143] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(851), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2059), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2177), 1,
      sym_variant_declaration,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3185), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26260] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1810), 1,
      anon_sym_PIPE,
    STATE(852), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2124), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2590), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3270), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3337), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26377] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1812), 1,
      anon_sym_PIPE,
    STATE(853), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2239), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2473), 1,
      sym_variant_declaration,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3155), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26494] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1814), 1,
      anon_sym_PIPE,
    STATE(854), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1805), 1,
      sym_variant_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2025), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2555), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3152), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3352), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26611] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1816), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(855), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(1987), 1,
      sym_variant_identifier,
    STATE(2091), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3146), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26728] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1752), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1818), 1,
      anon_sym_PIPE,
    STATE(856), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2148), 1,
      sym_variant_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2430), 1,
      sym_variant_declaration,
    STATE(2622), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3153), 1,
      sym_function_type_parameters,
    STATE(3219), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26845] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(857), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3115), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [26962] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(858), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2747), 1,
      sym__type,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(859), 1,
      sym_decorator,
    ACTIONS(1820), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
    ACTIONS(1796), 16,
      sym__newline,
      sym__newline_and_comment,
      sym__list_constructor,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1800), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [27142] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1794), 1,
      anon_sym_PIPE,
    STATE(860), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2201), 1,
      sym_variant_declaration,
    STATE(2279), 1,
      sym__type,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3360), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27259] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1822), 1,
      anon_sym_PIPE,
    STATE(861), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1794), 1,
      sym_variant_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1957), 1,
      sym__type,
    STATE(1971), 1,
      sym_function_type,
    STATE(1978), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3380), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27376] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(862), 1,
      sym_decorator,
    ACTIONS(1341), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1339), 33,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [27437] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1148), 1,
      anon_sym_PIPE,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(863), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2163), 1,
      sym_variant_declaration,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2998), 1,
      sym__type,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3214), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27554] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1810), 1,
      anon_sym_PIPE,
    STATE(864), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2124), 1,
      sym_variant_declaration,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2166), 1,
      sym__type,
    STATE(2590), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3270), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3337), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27671] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1752), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1824), 1,
      anon_sym_PIPE,
    STATE(865), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1773), 1,
      sym__type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2296), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2501), 1,
      sym_variant_declaration,
    STATE(2560), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3164), 1,
      sym_function_type_parameters,
    STATE(3239), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27788] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1826), 1,
      anon_sym_PIPE,
    STATE(866), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1794), 1,
      sym_variant_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1957), 1,
      sym__type,
    STATE(1958), 1,
      sym_variant_declaration,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3148), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [27905] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1663), 1,
      anon_sym_PIPE,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1671), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    STATE(867), 1,
      sym_decorator,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2185), 1,
      sym_variant_declaration,
    STATE(2191), 1,
      sym__type,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2003), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [28022] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1138), 1,
      anon_sym_LBRACE,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1647), 1,
      anon_sym_PIPE,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    STATE(868), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2615), 1,
      sym_variant_declaration,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(2913), 1,
      sym__type,
    STATE(3216), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(1782), 4,
      sym__inline_type,
      sym_variant_type,
      sym_record_type,
      sym_as_aliasing_type,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [28139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    ACTIONS(1828), 1,
      sym__newline,
    STATE(869), 1,
      sym_decorator,
    ACTIONS(1796), 15,
      sym__newline_and_comment,
      sym__list_constructor,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1800), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [28203] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    ACTIONS(1831), 1,
      sym__newline,
    STATE(870), 1,
      sym_decorator,
    ACTIONS(1796), 15,
      sym__newline_and_comment,
      sym__list_constructor,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1800), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [28267] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(871), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3314), 1,
      sym__definition_signature,
    STATE(3319), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 22,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(872), 1,
      sym_decorator,
    ACTIONS(1796), 17,
      sym__newline,
      sym__newline_and_comment,
      sym__list_constructor,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1800), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [28403] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(873), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3296), 1,
      sym_value_identifier,
    STATE(3297), 1,
      sym__definition_signature,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 11,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 23,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28479] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(874), 1,
      sym_decorator,
    ACTIONS(1507), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1505), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(875), 1,
      sym_decorator,
    ACTIONS(1419), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28597] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(876), 1,
      sym_decorator,
    ACTIONS(1415), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(877), 1,
      sym_decorator,
    ACTIONS(1431), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28715] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(878), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3378), 1,
      sym__definition_signature,
    STATE(3381), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 22,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(879), 1,
      sym_decorator,
    ACTIONS(1341), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1339), 30,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DOT,
      anon_sym_constraint,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [28848] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1834), 1,
      anon_sym_else,
    STATE(880), 1,
      sym_decorator,
    STATE(881), 1,
      aux_sym_if_expression_repeat1,
    STATE(924), 1,
      sym_else_if_clause,
    STATE(1014), 1,
      sym_else_clause,
    ACTIONS(1176), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1174), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28914] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1834), 1,
      anon_sym_else,
    STATE(881), 1,
      sym_decorator,
    STATE(892), 1,
      aux_sym_if_expression_repeat1,
    STATE(924), 1,
      sym_else_if_clause,
    STATE(926), 1,
      sym_else_clause,
    ACTIONS(1182), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1180), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [28980] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(882), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3314), 1,
      sym__definition_signature,
    STATE(3319), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 10,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 22,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [29054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(883), 1,
      sym_decorator,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [29112] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1838), 1,
      anon_sym_PIPE,
    ACTIONS(1840), 1,
      anon_sym_POUND,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(884), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2701), 1,
      sym_polyvar_identifier,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2838), 1,
      sym_polyvar_declaration,
    STATE(3078), 1,
      sym__inline_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3312), 1,
      sym_function_type_parameters,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [29226] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1840), 1,
      anon_sym_POUND,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1844), 1,
      anon_sym_PIPE,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(885), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2701), 1,
      sym_polyvar_identifier,
    STATE(2781), 1,
      sym_polyvar_declaration,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3078), 1,
      sym__inline_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3312), 1,
      sym_function_type_parameters,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [29340] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1402), 1,
      anon_sym_COLON,
    ACTIONS(1846), 1,
      anon_sym_with,
    STATE(886), 1,
      sym_decorator,
    ACTIONS(1397), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
    ACTIONS(1400), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1395), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [29403] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1840), 1,
      anon_sym_POUND,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(887), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2701), 1,
      sym_polyvar_identifier,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3069), 1,
      sym_polyvar_declaration,
    STATE(3078), 1,
      sym__inline_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3312), 1,
      sym_function_type_parameters,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [29514] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1840), 1,
      anon_sym_POUND,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(888), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2701), 1,
      sym_polyvar_identifier,
    STATE(2765), 1,
      sym_polyvar_declaration,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3078), 1,
      sym__inline_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3312), 1,
      sym_function_type_parameters,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [29625] = 33,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1840), 1,
      anon_sym_POUND,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(889), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2701), 1,
      sym_polyvar_identifier,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(2935), 1,
      sym_polyvar_declaration,
    STATE(3078), 1,
      sym__inline_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3312), 1,
      sym_function_type_parameters,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [29736] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(890), 1,
      sym_decorator,
    ACTIONS(1369), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1367), 30,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DOT,
      anon_sym_constraint,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [29793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(891), 1,
      sym_decorator,
    ACTIONS(1527), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 30,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DOT,
      anon_sym_constraint,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [29850] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1848), 1,
      anon_sym_else,
    STATE(924), 1,
      sym_else_if_clause,
    STATE(892), 2,
      sym_decorator,
      aux_sym_if_expression_repeat1,
    ACTIONS(1204), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1202), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [29911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(893), 1,
      sym_decorator,
    ACTIONS(1851), 14,
      sym__list_constructor,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1853), 26,
      anon_sym_open,
      anon_sym_include,
      anon_sym_await,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_external,
      anon_sym_exception,
      anon_sym_export,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_let,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [29968] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(894), 1,
      sym_decorator,
    ACTIONS(1349), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1347), 30,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DOT,
      anon_sym_constraint,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [30025] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(895), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3215), 1,
      sym__definition_signature,
    STATE(3220), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 9,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 22,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30098] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(896), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3391), 1,
      sym__definition_signature,
    STATE(3401), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 11,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 20,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(897), 1,
      sym_decorator,
    ACTIONS(1190), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1188), 28,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(898), 1,
      sym_decorator,
    ACTIONS(1491), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30283] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(899), 1,
      sym_decorator,
    ACTIONS(1365), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1363), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30339] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(900), 1,
      sym_decorator,
    ACTIONS(1479), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1477), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30395] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(901), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3197), 1,
      sym_value_identifier,
    STATE(3199), 1,
      sym__definition_signature,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_catch,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 20,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(902), 1,
      sym_decorator,
    ACTIONS(1427), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(903), 1,
      sym_decorator,
    ACTIONS(1423), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(904), 1,
      sym_decorator,
    ACTIONS(1365), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1363), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30635] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(905), 1,
      sym_decorator,
    ACTIONS(1265), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1263), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [30691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(906), 1,
      sym_decorator,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 28,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30747] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(907), 1,
      sym_decorator,
    ACTIONS(1237), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [30803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(908), 1,
      sym_decorator,
    ACTIONS(1223), 10,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1221), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1215), 1,
      anon_sym_COLON,
    ACTIONS(1219), 1,
      anon_sym_EQ_GT,
    STATE(909), 1,
      sym_decorator,
    ACTIONS(1217), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(910), 1,
      sym_decorator,
    ACTIONS(1423), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [30975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(911), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(912), 1,
      sym_decorator,
    ACTIONS(1623), 12,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31091] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1127), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1855), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(913), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3387), 1,
      sym_value_identifier,
    STATE(3388), 1,
      sym__definition_signature,
    ACTIONS(1124), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 9,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 21,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(914), 1,
      sym_decorator,
    ACTIONS(1229), 10,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31219] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(915), 1,
      sym_decorator,
    ACTIONS(1233), 10,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31275] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1858), 1,
      anon_sym_else,
    STATE(916), 1,
      sym_decorator,
    STATE(976), 1,
      aux_sym_if_expression_repeat1,
    STATE(1058), 1,
      sym_else_if_clause,
    STATE(1162), 1,
      sym_else_clause,
    ACTIONS(1182), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1180), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(917), 1,
      sym_decorator,
    ACTIONS(1241), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1858), 1,
      anon_sym_else,
    STATE(916), 1,
      aux_sym_if_expression_repeat1,
    STATE(918), 1,
      sym_decorator,
    STATE(1058), 1,
      sym_else_if_clause,
    STATE(1153), 1,
      sym_else_clause,
    ACTIONS(1176), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1174), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31456] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(919), 1,
      sym_decorator,
    STATE(1001), 1,
      sym_call_arguments,
    ACTIONS(1251), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(920), 1,
      sym_decorator,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 27,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1866), 1,
      anon_sym_LPAREN,
    STATE(921), 1,
      sym_decorator,
    STATE(1025), 1,
      sym__extension_expression_payload,
    ACTIONS(1261), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31633] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1868), 1,
      anon_sym_LPAREN,
    STATE(922), 1,
      sym_decorator,
    STATE(994), 1,
      sym_variant_arguments,
    ACTIONS(1277), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31692] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1868), 1,
      anon_sym_LPAREN,
    STATE(923), 1,
      sym_decorator,
    STATE(981), 1,
      sym_variant_arguments,
    ACTIONS(1281), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(924), 1,
      sym_decorator,
    ACTIONS(1245), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1243), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31806] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(925), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3368), 1,
      sym_value_identifier,
    STATE(3369), 1,
      sym__definition_signature,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1122), 9,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 20,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(926), 1,
      sym_decorator,
    ACTIONS(1571), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [31931] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(927), 1,
      sym_decorator,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1959), 1,
      sym__inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2633), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3148), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3355), 1,
      sym_abstract_type,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(928), 1,
      sym_decorator,
    ACTIONS(1427), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [32087] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(929), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2571), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3157), 1,
      sym_function_type_parameters,
    STATE(3246), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32189] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(930), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3312), 1,
      sym_function_type_parameters,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32291] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(931), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3295), 1,
      sym_function_type_parameters,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32393] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(932), 1,
      sym_decorator,
    ACTIONS(1345), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [32447] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(933), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2560), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3171), 1,
      sym_function_type_parameters,
    STATE(3239), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32549] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(934), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3185), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32651] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(935), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2622), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3219), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3361), 1,
      sym_function_type_parameters,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(936), 1,
      sym_decorator,
    ACTIONS(1503), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [32807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(937), 1,
      sym_decorator,
    ACTIONS(1475), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [32861] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1786), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1788), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(938), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2192), 1,
      sym_type_identifier,
    STATE(2592), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3162), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3288), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [32963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(939), 1,
      sym_decorator,
    ACTIONS(1361), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33017] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1786), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1788), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(940), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2192), 1,
      sym_type_identifier,
    STATE(2592), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3168), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3288), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [33119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(941), 1,
      sym_decorator,
    ACTIONS(1463), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(942), 1,
      sym_decorator,
    ACTIONS(1471), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(943), 1,
      sym_decorator,
    ACTIONS(1635), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1633), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33281] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(944), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3163), 1,
      sym_function_type_parameters,
    STATE(3177), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [33383] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(945), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(2017), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2572), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3160), 1,
      sym_function_type_parameters,
    STATE(3248), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [33485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(946), 1,
      sym_decorator,
    ACTIONS(1313), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1311), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33539] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(947), 1,
      sym_decorator,
    ACTIONS(1393), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(948), 1,
      sym_decorator,
    ACTIONS(1631), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(949), 1,
      sym_decorator,
    ACTIONS(1333), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(950), 1,
      sym_decorator,
    ACTIONS(1627), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1625), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33755] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(951), 1,
      sym_decorator,
    ACTIONS(1495), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1493), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(952), 1,
      sym_decorator,
    ACTIONS(1487), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1485), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33863] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(953), 1,
      sym_decorator,
    ACTIONS(1357), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(954), 1,
      sym_decorator,
    ACTIONS(1467), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [33971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(955), 1,
      sym_decorator,
    ACTIONS(1619), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1617), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34025] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(956), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2583), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3258), 1,
      sym_function_type_parameters,
    STATE(3263), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [34127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(957), 1,
      sym_decorator,
    ACTIONS(1237), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 27,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [34181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(958), 1,
      sym_decorator,
    ACTIONS(1615), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1613), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34235] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1786), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1788), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(959), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2192), 1,
      sym_type_identifier,
    STATE(2592), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3168), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3288), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [34337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(960), 1,
      sym_decorator,
    ACTIONS(1611), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1609), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(961), 1,
      sym_decorator,
    ACTIONS(1389), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1387), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(962), 1,
      sym_decorator,
    ACTIONS(1607), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34499] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(963), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2622), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3153), 1,
      sym_function_type_parameters,
    STATE(3219), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [34601] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(964), 1,
      sym_decorator,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3380), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [34703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(965), 1,
      sym_decorator,
    ACTIONS(1603), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(966), 1,
      sym_decorator,
    ACTIONS(1599), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(967), 1,
      sym_decorator,
    ACTIONS(1595), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(968), 1,
      sym_decorator,
    ACTIONS(1451), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(969), 1,
      sym_decorator,
    ACTIONS(1591), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [34973] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(970), 1,
      sym_decorator,
    ACTIONS(1587), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(971), 1,
      sym_decorator,
    ACTIONS(1447), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35081] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(972), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3146), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [35183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(973), 1,
      sym_decorator,
    ACTIONS(1385), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1383), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35237] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(974), 1,
      sym_decorator,
    ACTIONS(1583), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(975), 1,
      sym_decorator,
    ACTIONS(1579), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35345] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1872), 1,
      anon_sym_else,
    STATE(1058), 1,
      sym_else_if_clause,
    STATE(976), 2,
      sym_decorator,
      aux_sym_if_expression_repeat1,
    ACTIONS(1204), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1202), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35403] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(977), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2547), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3158), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3376), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [35505] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(1575), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1573), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35559] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(979), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3360), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [35661] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(980), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2572), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3170), 1,
      sym_function_type_parameters,
    STATE(3248), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [35763] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(981), 1,
      sym_decorator,
    ACTIONS(1443), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(982), 1,
      sym_decorator,
    ACTIONS(1567), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(983), 1,
      sym_decorator,
    ACTIONS(1563), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(984), 1,
      sym_decorator,
    ACTIONS(1381), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [35979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(985), 1,
      sym_decorator,
    ACTIONS(1377), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(986), 1,
      sym_decorator,
    ACTIONS(1559), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(987), 1,
      sym_decorator,
    ACTIONS(1555), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36141] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(988), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2590), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3270), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3292), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [36243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(989), 1,
      sym_decorator,
    ACTIONS(1551), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36297] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(990), 1,
      sym_decorator,
    ACTIONS(1547), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(991), 1,
      sym_decorator,
    ACTIONS(1251), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36405] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(992), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1959), 1,
      sym__inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3325), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [36507] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(993), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1959), 1,
      sym__inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2583), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3180), 1,
      sym_function_type_parameters,
    STATE(3263), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [36609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(994), 1,
      sym_decorator,
    ACTIONS(1439), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1437), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36663] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(995), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2578), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3155), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3306), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [36765] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(996), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3307), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [36867] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1875), 1,
      anon_sym_EQ_GT,
    STATE(997), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(998), 1,
      sym_decorator,
    ACTIONS(1337), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [36981] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(999), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1000), 1,
      sym_decorator,
    ACTIONS(1543), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1001), 1,
      sym_decorator,
    ACTIONS(1435), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1002), 1,
      sym_decorator,
    ACTIONS(1479), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1477), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37197] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1003), 1,
      sym_decorator,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37251] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1004), 1,
      sym_decorator,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1005), 1,
      sym_decorator,
    ACTIONS(1483), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37361] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1006), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2635), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3146), 1,
      sym_function_type_parameters,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3350), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [37463] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1007), 1,
      sym_decorator,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1959), 1,
      sym__inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3380), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [37565] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1008), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1959), 1,
      sym__inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2590), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3270), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3292), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [37667] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1766), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1768), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1009), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1853), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2591), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3265), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3325), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [37769] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1010), 1,
      sym_decorator,
    ACTIONS(1539), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37823] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1011), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1942), 1,
      sym__non_function_inline_type,
    STATE(1959), 1,
      sym__inline_type,
    STATE(1971), 1,
      sym_function_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2555), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3152), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3352), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [37925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1012), 1,
      sym_decorator,
    ACTIONS(1535), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [37979] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1880), 1,
      anon_sym_COLON,
    ACTIONS(1883), 1,
      anon_sym_EQ_GT,
    ACTIONS(1885), 1,
      anon_sym_COMMA,
    STATE(1013), 1,
      sym_decorator,
    STATE(2944), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 22,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1014), 1,
      sym_decorator,
    ACTIONS(1182), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1180), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38101] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1673), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1675), 1,
      sym__escape_identifier,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1015), 1,
      sym_decorator,
    STATE(1776), 1,
      sym_type_identifier,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2603), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3222), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3330), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [38203] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1016), 1,
      sym_decorator,
    ACTIONS(1317), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1315), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1017), 1,
      sym_decorator,
    ACTIONS(1265), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1263), 27,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      anon_sym_with,
  [38311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1018), 1,
      sym_decorator,
    ACTIONS(1531), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38365] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1760), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1762), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1019), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1861), 1,
      sym__non_function_inline_type,
    STATE(2026), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2572), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3170), 1,
      sym_function_type_parameters,
    STATE(3248), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [38467] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1020), 1,
      sym_decorator,
    ACTIONS(1373), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1371), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38521] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(763), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1659), 1,
      anon_sym_LPAREN,
    ACTIONS(1665), 1,
      anon_sym_LBRACK,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1677), 1,
      sym_unit_type,
    ACTIONS(1776), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1778), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1870), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_type_identifier_path,
    STATE(1021), 1,
      sym_decorator,
    STATE(1822), 1,
      sym__type_identifier,
    STATE(1830), 1,
      sym_type_identifier,
    STATE(1971), 1,
      sym_function_type,
    STATE(1973), 1,
      sym__inline_type,
    STATE(2037), 1,
      sym__non_function_inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2590), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(3270), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    STATE(3337), 1,
      sym_function_type_parameters,
    ACTIONS(1667), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1976), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [38623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1022), 1,
      sym_decorator,
    ACTIONS(1309), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38677] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(1023), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2571), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3166), 1,
      sym_function_type_parameters,
    STATE(3246), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [38779] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1024), 1,
      sym_decorator,
    ACTIONS(1321), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1319), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1025), 1,
      sym_decorator,
    ACTIONS(1511), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [38887] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(1026), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2451), 1,
      sym__non_function_inline_type,
    STATE(2560), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3164), 1,
      sym_function_type_parameters,
    STATE(3239), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [38989] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(377), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(1027), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1780), 1,
      sym__inline_type,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2183), 1,
      sym_type_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2560), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3171), 1,
      sym_function_type_parameters,
    STATE(3239), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [39091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1028), 1,
      sym_decorator,
    ACTIONS(1411), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1029), 1,
      sym_decorator,
    ACTIONS(1523), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1030), 1,
      sym_decorator,
    ACTIONS(1515), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39253] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1031), 1,
      sym_decorator,
    ACTIONS(1519), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1032), 1,
      sym_decorator,
    ACTIONS(1329), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1327), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1033), 1,
      sym_decorator,
    ACTIONS(1325), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1323), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1034), 1,
      sym_decorator,
    ACTIONS(1623), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1035), 1,
      sym_decorator,
    ACTIONS(1491), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1036), 1,
      sym_decorator,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39577] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1209), 1,
      anon_sym_LPAREN,
    ACTIONS(1643), 1,
      anon_sym_module,
    ACTIONS(1649), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(1037), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1751), 1,
      sym_function_type,
    STATE(1757), 1,
      sym__inline_type,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2333), 1,
      sym_type_identifier_path,
    STATE(2419), 1,
      sym__non_function_inline_type,
    STATE(2571), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2906), 1,
      sym_module_primary_expression,
    STATE(3166), 1,
      sym_function_type_parameters,
    STATE(3246), 1,
      sym_abstract_type,
    STATE(3287), 1,
      sym__function_type_parameter_list,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [39679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1038), 1,
      sym_decorator,
    ACTIONS(1229), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39732] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1215), 1,
      anon_sym_COLON,
    ACTIONS(1219), 1,
      anon_sym_EQ_GT,
    STATE(1039), 1,
      sym_decorator,
    ACTIONS(1217), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39789] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1894), 1,
      anon_sym_EQ_GT,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1898), 1,
      anon_sym_as,
    STATE(1040), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(1888), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1900), 1,
      anon_sym_LPAREN,
    STATE(1041), 1,
      sym_decorator,
    STATE(1073), 1,
      sym__extension_expression_payload,
    ACTIONS(1261), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 24,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [39915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1042), 1,
      sym_decorator,
    ACTIONS(1341), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1339), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [39968] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    ACTIONS(1904), 1,
      anon_sym_as,
    STATE(1043), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(1888), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1907), 1,
      anon_sym_else,
    STATE(1044), 1,
      sym_decorator,
    STATE(1074), 1,
      aux_sym_if_expression_repeat1,
    STATE(1211), 1,
      sym_else_if_clause,
    STATE(1254), 1,
      sym_else_clause,
    ACTIONS(1182), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1180), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [40096] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1045), 1,
      sym_decorator,
    ACTIONS(1309), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40149] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1912), 1,
      anon_sym_LPAREN,
    ACTIONS(1914), 1,
      anon_sym_COLON,
    ACTIONS(1917), 1,
      anon_sym_PIPE,
    ACTIONS(1919), 1,
      anon_sym_as,
    STATE(981), 1,
      sym_variant_arguments,
    STATE(1046), 1,
      sym_decorator,
    STATE(2083), 1,
      sym__variant_pattern_parameters,
    ACTIONS(1909), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1281), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 18,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40216] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1883), 1,
      anon_sym_EQ_GT,
    STATE(1047), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 24,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40275] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1048), 1,
      sym_decorator,
    ACTIONS(1223), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1221), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40328] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1912), 1,
      anon_sym_LPAREN,
    ACTIONS(1924), 1,
      anon_sym_COLON,
    ACTIONS(1927), 1,
      anon_sym_PIPE,
    ACTIONS(1929), 1,
      anon_sym_as,
    STATE(994), 1,
      sym_variant_arguments,
    STATE(1049), 1,
      sym_decorator,
    STATE(2084), 1,
      sym__variant_pattern_parameters,
    ACTIONS(1921), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1277), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 18,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40395] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1907), 1,
      anon_sym_else,
    STATE(1044), 1,
      aux_sym_if_expression_repeat1,
    STATE(1050), 1,
      sym_decorator,
    STATE(1211), 1,
      sym_else_if_clause,
    STATE(1237), 1,
      sym_else_clause,
    ACTIONS(1176), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1174), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [40456] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1894), 1,
      anon_sym_EQ_GT,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1931), 1,
      anon_sym_as,
    STATE(1051), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(1888), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40525] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1883), 1,
      anon_sym_EQ_GT,
    ACTIONS(1934), 1,
      anon_sym_COLON,
    ACTIONS(1936), 1,
      anon_sym_COMMA,
    STATE(1052), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 23,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1053), 1,
      sym_decorator,
    ACTIONS(1233), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40641] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(1054), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1055), 1,
      sym_decorator,
    ACTIONS(1341), 13,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 23,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [40751] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1938), 1,
      anon_sym_LPAREN,
    ACTIONS(1940), 1,
      anon_sym_DOT,
    ACTIONS(1942), 1,
      anon_sym_LBRACK,
    STATE(1056), 1,
      sym_decorator,
    STATE(1121), 1,
      sym_call_arguments,
    ACTIONS(1251), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 22,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40811] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1947), 1,
      anon_sym_COLON,
    ACTIONS(1950), 1,
      anon_sym_PIPE,
    STATE(1057), 1,
      sym_decorator,
    ACTIONS(1952), 2,
      anon_sym_DOT_DOT,
      anon_sym_as,
    ACTIONS(1944), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1058), 1,
      sym_decorator,
    ACTIONS(1245), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1243), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40923] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1059), 1,
      sym_decorator,
    ACTIONS(1423), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [40975] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1954), 1,
      anon_sym_else,
    STATE(1060), 1,
      sym_decorator,
    STATE(1068), 1,
      aux_sym_if_expression_repeat1,
    STATE(1269), 1,
      sym_else_if_clause,
    STATE(1336), 1,
      sym_else_clause,
    ACTIONS(1176), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1174), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1956), 1,
      anon_sym_LPAREN,
    STATE(1061), 1,
      sym_decorator,
    STATE(1111), 1,
      sym_variant_arguments,
    ACTIONS(1277), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 24,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1062), 1,
      sym_decorator,
    ACTIONS(1241), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 26,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1063), 1,
      sym_decorator,
    ACTIONS(1591), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1064), 1,
      sym_decorator,
    ACTIONS(1122), 12,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1117), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [41247] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1938), 1,
      anon_sym_LPAREN,
    ACTIONS(1940), 1,
      anon_sym_DOT,
    ACTIONS(1942), 1,
      anon_sym_LBRACK,
    STATE(1065), 1,
      sym_decorator,
    STATE(1121), 1,
      sym_call_arguments,
    ACTIONS(1958), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 20,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41309] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1066), 1,
      sym_decorator,
    ACTIONS(1190), 12,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1188), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [41361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1956), 1,
      anon_sym_LPAREN,
    STATE(1067), 1,
      sym_decorator,
    STATE(1103), 1,
      sym_variant_arguments,
    ACTIONS(1281), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 24,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1954), 1,
      anon_sym_else,
    STATE(1068), 1,
      sym_decorator,
    STATE(1082), 1,
      aux_sym_if_expression_repeat1,
    STATE(1269), 1,
      sym_else_if_clause,
    STATE(1354), 1,
      sym_else_clause,
    ACTIONS(1182), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1180), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41477] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1960), 1,
      anon_sym_EQ_GT,
    STATE(1069), 1,
      sym_decorator,
    ACTIONS(1196), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1192), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [41535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1070), 1,
      sym_decorator,
    ACTIONS(1962), 16,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_BANG,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_TILDE,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(1964), 19,
      anon_sym_await,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_for,
      anon_sym_while,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [41587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1071), 1,
      sym_decorator,
    ACTIONS(1365), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1363), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1072), 1,
      sym_decorator,
    ACTIONS(1487), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1485), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1073), 1,
      sym_decorator,
    ACTIONS(1511), 10,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1966), 1,
      anon_sym_else,
    STATE(1211), 1,
      sym_else_if_clause,
    STATE(1074), 2,
      sym_decorator,
      aux_sym_if_expression_repeat1,
    ACTIONS(1204), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1202), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [41799] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1875), 1,
      anon_sym_EQ_GT,
    STATE(1075), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41853] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1076), 1,
      sym_decorator,
    ACTIONS(1393), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1077), 1,
      sym_decorator,
    ACTIONS(1381), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [41955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1078), 1,
      sym_decorator,
    ACTIONS(1527), 11,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1525), 23,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42006] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    STATE(1079), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [42077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1080), 1,
      sym_decorator,
    ACTIONS(1491), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42128] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1877), 1,
      anon_sym_RBRACE,
    ACTIONS(1880), 1,
      anon_sym_COLON,
    ACTIONS(1885), 1,
      anon_sym_COMMA,
    STATE(1081), 1,
      sym_decorator,
    STATE(2944), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 22,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1989), 1,
      anon_sym_else,
    STATE(1269), 1,
      sym_else_if_clause,
    STATE(1082), 2,
      sym_decorator,
      aux_sym_if_expression_repeat1,
    ACTIONS(1204), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1202), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1083), 1,
      sym_decorator,
    ACTIONS(1623), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1084), 1,
      sym_decorator,
    ACTIONS(1615), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1613), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42344] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1085), 1,
      sym_decorator,
    ACTIONS(1397), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1400), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1395), 23,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42397] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1215), 1,
      anon_sym_COLON,
    ACTIONS(1219), 1,
      anon_sym_EQ_GT,
    STATE(1086), 1,
      sym_decorator,
    ACTIONS(1217), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1213), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [42452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1087), 1,
      sym_decorator,
    ACTIONS(1345), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1088), 1,
      sym_decorator,
    ACTIONS(1467), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1089), 1,
      sym_decorator,
    ACTIONS(1555), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1090), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42656] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(1992), 1,
      anon_sym_QMARK,
    STATE(1091), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [42729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1459), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(1992), 1,
      anon_sym_QMARK,
    STATE(1092), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [42802] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1093), 1,
      sym_decorator,
    ACTIONS(1611), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1609), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42853] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1285), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(1992), 1,
      anon_sym_QMARK,
    STATE(1094), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [42926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1095), 1,
      sym_decorator,
    ACTIONS(1431), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [42977] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1499), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(1992), 1,
      anon_sym_QMARK,
    STATE(1096), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [43050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1097), 1,
      sym_decorator,
    ACTIONS(1551), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43101] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1997), 1,
      anon_sym_COLON,
    ACTIONS(2000), 1,
      anon_sym_PIPE,
    ACTIONS(2002), 1,
      anon_sym_as,
    STATE(1098), 1,
      sym_decorator,
    ACTIONS(1994), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1447), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1099), 1,
      sym_decorator,
    ACTIONS(1389), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1387), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1883), 1,
      anon_sym_EQ_GT,
    STATE(1100), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 24,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43264] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1101), 1,
      sym_decorator,
    ACTIONS(1451), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1102), 1,
      sym_decorator,
    ACTIONS(1447), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1103), 1,
      sym_decorator,
    ACTIONS(1443), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43417] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1938), 1,
      anon_sym_LPAREN,
    ACTIONS(1940), 1,
      anon_sym_DOT,
    ACTIONS(1942), 1,
      anon_sym_LBRACK,
    STATE(1104), 1,
      sym_decorator,
    STATE(1121), 1,
      sym_call_arguments,
    ACTIONS(2004), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 19,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1105), 1,
      sym_decorator,
    ACTIONS(1475), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1106), 1,
      sym_decorator,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1107), 1,
      sym_decorator,
    ACTIONS(1333), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1108), 1,
      sym_decorator,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 20,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1109), 1,
      sym_decorator,
    ACTIONS(1483), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43735] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1110), 1,
      sym_decorator,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 23,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1111), 1,
      sym_decorator,
    ACTIONS(1439), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1437), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1112), 1,
      sym_decorator,
    ACTIONS(1619), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1617), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43892] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1113), 1,
      sym_decorator,
    ACTIONS(1523), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1114), 1,
      sym_decorator,
    ACTIONS(1337), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [43994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1115), 1,
      sym_decorator,
    ACTIONS(1607), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44045] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1116), 1,
      sym_decorator,
    ACTIONS(1559), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44096] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2009), 1,
      anon_sym_COLON,
    ACTIONS(2012), 1,
      anon_sym_PIPE,
    ACTIONS(2014), 1,
      anon_sym_as,
    STATE(1117), 1,
      sym_decorator,
    ACTIONS(2006), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1503), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2019), 1,
      anon_sym_COLON,
    ACTIONS(2022), 1,
      anon_sym_PIPE,
    ACTIONS(2024), 1,
      anon_sym_as,
    STATE(1118), 1,
      sym_decorator,
    ACTIONS(2016), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1411), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1119), 1,
      sym_decorator,
    ACTIONS(1547), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1120), 1,
      sym_decorator,
    ACTIONS(1385), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1383), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1121), 1,
      sym_decorator,
    ACTIONS(1435), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1122), 1,
      sym_decorator,
    ACTIONS(1603), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44418] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1123), 1,
      sym_decorator,
    ACTIONS(1599), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1124), 1,
      sym_decorator,
    ACTIONS(1357), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1125), 1,
      sym_decorator,
    ACTIONS(1627), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1625), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1126), 1,
      sym_decorator,
    ACTIONS(1595), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1127), 1,
      sym_decorator,
    ACTIONS(1495), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1493), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44673] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    STATE(1128), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 19,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1129), 1,
      sym_decorator,
    ACTIONS(1587), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1130), 1,
      sym_decorator,
    ACTIONS(1531), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1131), 1,
      sym_decorator,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 23,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1132), 1,
      sym_decorator,
    ACTIONS(1471), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1133), 1,
      sym_decorator,
    ACTIONS(1479), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1477), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [44989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(1134), 1,
      sym_decorator,
    ACTIONS(1196), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1192), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [45044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1135), 1,
      sym_decorator,
    ACTIONS(1427), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1136), 1,
      sym_decorator,
    ACTIONS(1373), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1371), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45146] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    STATE(1137), 1,
      sym_decorator,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 22,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45203] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1977), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(1992), 1,
      anon_sym_QMARK,
    STATE(1138), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [45276] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1139), 1,
      sym_decorator,
    ACTIONS(1325), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1323), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45327] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    STATE(1140), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1141), 1,
      sym_decorator,
    ACTIONS(1329), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1327), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1142), 1,
      sym_decorator,
    ACTIONS(1419), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1143), 1,
      sym_decorator,
    ACTIONS(1415), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45537] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1144), 1,
      sym_decorator,
    ACTIONS(1229), 12,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1227), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [45588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1145), 1,
      sym_decorator,
    ACTIONS(1411), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45639] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1146), 1,
      sym_decorator,
    ACTIONS(1543), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45690] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1147), 1,
      sym_decorator,
    ACTIONS(1958), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 23,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1148), 1,
      sym_decorator,
    ACTIONS(1519), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45794] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1149), 1,
      sym_decorator,
    ACTIONS(1321), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1319), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1150), 1,
      sym_decorator,
    ACTIONS(1515), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [45896] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    STATE(1151), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 15,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [45961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1152), 1,
      sym_decorator,
    ACTIONS(1583), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46012] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1153), 1,
      sym_decorator,
    ACTIONS(1182), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1180), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2026), 1,
      anon_sym_EQ_GT,
    STATE(1154), 1,
      sym_decorator,
    ACTIONS(1196), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46120] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1155), 1,
      sym_decorator,
    ACTIONS(1631), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1156), 1,
      sym_decorator,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1157), 1,
      sym_decorator,
    ACTIONS(1579), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1158), 1,
      sym_decorator,
    ACTIONS(1223), 12,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1221), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [46324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1159), 1,
      sym_decorator,
    ACTIONS(1575), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1573), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1160), 1,
      sym_decorator,
    ACTIONS(1507), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1505), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(1975), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1983), 1,
      anon_sym_STAR_STAR,
    STATE(1161), 1,
      sym_decorator,
    ACTIONS(1971), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1973), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(1981), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1979), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1969), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1985), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 14,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [46493] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1162), 1,
      sym_decorator,
    ACTIONS(1571), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46544] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1163), 1,
      sym_decorator,
    ACTIONS(1190), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1188), 23,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1164), 1,
      sym_decorator,
    ACTIONS(1503), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46646] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1165), 1,
      sym_decorator,
    ACTIONS(1463), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1166), 1,
      sym_decorator,
    ACTIONS(1567), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46748] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1167), 1,
      sym_decorator,
    ACTIONS(1361), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1168), 1,
      sym_decorator,
    ACTIONS(1535), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1169), 1,
      sym_decorator,
    ACTIONS(1122), 12,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1117), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [46901] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1170), 1,
      sym_decorator,
    ACTIONS(1313), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1311), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [46952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1171), 1,
      sym_decorator,
    ACTIONS(1563), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1172), 1,
      sym_decorator,
    ACTIONS(1317), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1315), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1173), 1,
      sym_decorator,
    ACTIONS(1539), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47105] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1174), 1,
      sym_decorator,
    ACTIONS(1251), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47156] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1175), 1,
      sym_decorator,
    ACTIONS(1635), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1633), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1176), 1,
      sym_decorator,
    ACTIONS(1377), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 25,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1177), 1,
      sym_decorator,
    ACTIONS(1233), 12,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1231), 22,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [47309] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1960), 1,
      anon_sym_EQ_GT,
    STATE(1178), 1,
      sym_decorator,
    ACTIONS(1196), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1192), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [47361] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1179), 1,
      sym_decorator,
    ACTIONS(1223), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1221), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47411] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    ACTIONS(2031), 1,
      anon_sym_as,
    STATE(1180), 1,
      sym_decorator,
    ACTIONS(2028), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47471] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1181), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 22,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1182), 1,
      sym_decorator,
    ACTIONS(1265), 12,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_else,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1263), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [47575] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1183), 1,
      sym_decorator,
    ACTIONS(1237), 12,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_else,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1235), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [47625] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2037), 1,
      anon_sym_LPAREN,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    STATE(1184), 1,
      sym_decorator,
    STATE(1281), 1,
      sym_call_arguments,
    ACTIONS(1251), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1247), 18,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [47683] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2047), 1,
      anon_sym_QMARK,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2051), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1185), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [47755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1186), 1,
      sym_decorator,
    ACTIONS(2004), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 22,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47807] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1187), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 13,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [47873] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1894), 1,
      anon_sym_EQ_GT,
    STATE(1188), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1189), 1,
      sym_decorator,
    ACTIONS(1233), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1231), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [47979] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1190), 1,
      sym_decorator,
    ACTIONS(1122), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1117), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48029] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2051), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1191), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [48099] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1931), 1,
      anon_sym_as,
    STATE(1192), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(1888), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48159] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2059), 1,
      anon_sym_LPAREN,
    STATE(1193), 1,
      sym_decorator,
    STATE(1256), 1,
      sym__extension_expression_payload,
    ACTIONS(1261), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1257), 20,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [48213] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(125), 1,
      anon_sym_type,
    ACTIONS(201), 1,
      anon_sym_module,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1150), 1,
      anon_sym_LBRACK,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1156), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1158), 1,
      sym__escape_identifier,
    ACTIONS(1160), 1,
      sym_unit_type,
    ACTIONS(1836), 1,
      anon_sym_LBRACE,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2061), 1,
      anon_sym_LPAREN,
    STATE(765), 1,
      sym_type_identifier_path,
    STATE(1194), 1,
      sym_decorator,
    STATE(1729), 1,
      sym__type_identifier,
    STATE(1825), 1,
      sym_type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2573), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(3057), 1,
      sym__non_function_inline_type,
    STATE(3177), 1,
      sym_abstract_type,
    ACTIONS(1152), 2,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
    STATE(1790), 8,
      sym_polymorphic_type,
      sym_tuple_type,
      sym_polyvar_type,
      sym_object_type,
      sym_generic_type,
      sym__as_aliasing_non_function_inline_type,
      sym_module_pack,
      sym_unit,
  [48303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1934), 1,
      anon_sym_COLON,
    ACTIONS(1936), 1,
      anon_sym_COMMA,
    STATE(1195), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 23,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1196), 1,
      sym_decorator,
    ACTIONS(1241), 12,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_else,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1239), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [48407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1197), 1,
      sym_decorator,
    ACTIONS(1229), 11,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1227), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_COLON_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48457] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1904), 1,
      anon_sym_as,
    STATE(1198), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(1888), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48515] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1219), 1,
      anon_sym_EQ_GT,
    ACTIONS(2063), 1,
      anon_sym_COLON,
    STATE(1199), 1,
      sym_decorator,
    ACTIONS(1217), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2037), 1,
      anon_sym_LPAREN,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LBRACK,
    STATE(1200), 1,
      sym_decorator,
    STATE(1281), 1,
      sym_call_arguments,
    ACTIONS(2066), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1267), 16,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [48629] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1201), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48689] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1202), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 14,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [48753] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1459), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2047), 1,
      anon_sym_QMARK,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2051), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1203), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [48825] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1204), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48881] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1898), 1,
      anon_sym_as,
    STATE(1205), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(2068), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [48941] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1285), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2047), 1,
      anon_sym_QMARK,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2051), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1206), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [49013] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1891), 1,
      anon_sym_COLON,
    ACTIONS(1896), 1,
      anon_sym_PIPE,
    ACTIONS(1898), 1,
      anon_sym_as,
    STATE(1207), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(1888), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [49073] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1455), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2047), 1,
      anon_sym_QMARK,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2051), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1208), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [49145] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1499), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2047), 1,
      anon_sym_QMARK,
    ACTIONS(2049), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2051), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2055), 1,
      anon_sym_STAR_STAR,
    STATE(1209), 1,
      sym_decorator,
    ACTIONS(2033), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2045), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2053), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2043), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2057), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [49217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(1210), 1,
      sym_decorator,
    ACTIONS(1196), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [49271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1211), 1,
      sym_decorator,
    ACTIONS(1245), 12,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_else,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1243), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2072), 1,
      anon_sym_LPAREN,
    STATE(1212), 1,
      sym_decorator,
    STATE(1288), 1,
      sym_variant_arguments,
    ACTIONS(1281), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1279), 20,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49375] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2072), 1,
      anon_sym_LPAREN,
    STATE(1213), 1,
      sym_decorator,
    STATE(1287), 1,
      sym_variant_arguments,
    ACTIONS(1277), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1273), 20,
      anon_sym_LBRACE,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1214), 1,
      sym_decorator,
    ACTIONS(1563), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1561), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49478] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1215), 1,
      sym_decorator,
    ACTIONS(1615), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1613), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49527] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1216), 1,
      sym_decorator,
    ACTIONS(1415), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1413), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1217), 1,
      sym_decorator,
    ACTIONS(1411), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1409), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1218), 1,
      sym_decorator,
    ACTIONS(1515), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1513), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1219), 1,
      sym_decorator,
    ACTIONS(1519), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1517), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1220), 1,
      sym_decorator,
    ACTIONS(1483), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1481), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49772] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1221), 1,
      sym_decorator,
    ACTIONS(1523), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1521), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1222), 1,
      sym_decorator,
    ACTIONS(1373), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1371), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49870] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1223), 1,
      sym_decorator,
    ACTIONS(1196), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1192), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1224), 1,
      sym_decorator,
    ACTIONS(1531), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1529), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [49968] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    STATE(1225), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1331), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50027] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    STATE(1226), 1,
      sym_decorator,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 9,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1331), 18,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50082] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    STATE(1227), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 11,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    STATE(1228), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1229), 1,
      sym_decorator,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 9,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1331), 19,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50263] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2090), 1,
      anon_sym_QMARK,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1230), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1499), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 7,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [50334] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2096), 1,
      anon_sym_EQ_GT,
    STATE(1231), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [50389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2090), 1,
      anon_sym_QMARK,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1232), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1353), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 7,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [50460] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2090), 1,
      anon_sym_QMARK,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1233), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1285), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 7,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [50531] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2090), 1,
      anon_sym_QMARK,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1234), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1459), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 7,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [50602] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2090), 1,
      anon_sym_QMARK,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1235), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1455), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 7,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [50673] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1236), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2076), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1407), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 8,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [50742] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1237), 1,
      sym_decorator,
    ACTIONS(1182), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1180), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1238), 1,
      sym_decorator,
    ACTIONS(1535), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1533), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1239), 1,
      sym_decorator,
    ACTIONS(1539), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1537), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50889] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1240), 1,
      sym_decorator,
    ACTIONS(1543), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1541), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50938] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1241), 1,
      sym_decorator,
    ACTIONS(1341), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1339), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [50987] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1242), 1,
      sym_decorator,
    ACTIONS(1397), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1400), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1395), 19,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51038] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2098), 1,
      anon_sym_LPAREN,
    ACTIONS(2100), 1,
      anon_sym_DOT,
    ACTIONS(2102), 1,
      anon_sym_LBRACK,
    STATE(1243), 1,
      sym_decorator,
    STATE(1412), 1,
      sym_call_arguments,
    ACTIONS(2104), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [51097] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1244), 1,
      sym_decorator,
    ACTIONS(1547), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1545), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1245), 1,
      sym_decorator,
    ACTIONS(1551), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1549), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51195] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2106), 1,
      anon_sym_LPAREN,
    STATE(1246), 1,
      sym_decorator,
    STATE(1330), 1,
      sym_variant_arguments,
    ACTIONS(1277), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [51248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2106), 1,
      anon_sym_LPAREN,
    STATE(1247), 1,
      sym_decorator,
    STATE(1334), 1,
      sym_variant_arguments,
    ACTIONS(1281), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [51301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1248), 1,
      sym_decorator,
    ACTIONS(1555), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1553), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1249), 1,
      sym_decorator,
    ACTIONS(1559), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1557), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1250), 1,
      sym_decorator,
    ACTIONS(1381), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1379), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1251), 1,
      sym_decorator,
    ACTIONS(1361), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1359), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51497] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1252), 1,
      sym_decorator,
    ACTIONS(1495), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1493), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1253), 1,
      sym_decorator,
    ACTIONS(1567), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1565), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1254), 1,
      sym_decorator,
    ACTIONS(1571), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1569), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1255), 1,
      sym_decorator,
    ACTIONS(1575), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1573), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1256), 1,
      sym_decorator,
    ACTIONS(1511), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1509), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51742] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2076), 1,
      anon_sym_STAR,
    ACTIONS(2082), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2088), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2092), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2094), 1,
      anon_sym_COLON_GT,
    STATE(1257), 1,
      sym_decorator,
    ACTIONS(2074), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2080), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2078), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2084), 3,
      anon_sym_LT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2086), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1325), 5,
      anon_sym_unpack,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      aux_sym_value_identifier_token1,
    ACTIONS(1323), 8,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      sym__escape_identifier,
  [51811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1258), 1,
      sym_decorator,
    ACTIONS(1579), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1577), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51860] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1259), 1,
      sym_decorator,
    ACTIONS(1583), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1581), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1260), 1,
      sym_decorator,
    ACTIONS(1385), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1383), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [51958] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(1261), 1,
      sym_decorator,
    ACTIONS(2108), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 18,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [52017] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1262), 1,
      sym_decorator,
    ACTIONS(1265), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1263), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [52066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1263), 1,
      sym_decorator,
    ACTIONS(1587), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1585), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1264), 1,
      sym_decorator,
    ACTIONS(1591), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1589), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1265), 1,
      sym_decorator,
    ACTIONS(1595), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1593), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1266), 1,
      sym_decorator,
    ACTIONS(1599), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1597), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1267), 1,
      sym_decorator,
    ACTIONS(1603), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1601), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1268), 1,
      sym_decorator,
    ACTIONS(1607), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1605), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1269), 1,
      sym_decorator,
    ACTIONS(1245), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1243), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [52409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1270), 1,
      sym_decorator,
    ACTIONS(1611), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1609), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1271), 1,
      sym_decorator,
    ACTIONS(1419), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1417), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52507] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1272), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3296), 1,
      sym_value_identifier,
    STATE(3297), 1,
      sym__definition_signature,
    ACTIONS(1124), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1127), 2,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
    ACTIONS(1122), 8,
      anon_sym_module,
      anon_sym_DOT,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      sym_true,
      sym_false,
    ACTIONS(1117), 15,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [52570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1273), 1,
      sym_decorator,
    ACTIONS(1309), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1307), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1274), 1,
      sym_decorator,
    ACTIONS(1393), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1391), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1275), 1,
      sym_decorator,
    ACTIONS(1619), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1617), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1276), 1,
      sym_decorator,
    ACTIONS(1487), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1485), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52766] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1277), 1,
      sym_decorator,
    ACTIONS(1627), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1625), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52815] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1278), 1,
      sym_decorator,
    ACTIONS(1389), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1387), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52864] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2110), 1,
      anon_sym_COLON,
    STATE(1279), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 23,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [52915] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1280), 1,
      sym_decorator,
    ACTIONS(1631), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1629), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [52964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1281), 1,
      sym_decorator,
    ACTIONS(1435), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1433), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1282), 1,
      sym_decorator,
    ACTIONS(1337), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1335), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2112), 1,
      anon_sym_LPAREN,
    STATE(1283), 1,
      sym_decorator,
    STATE(1391), 1,
      sym__extension_expression_payload,
    ACTIONS(1261), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1257), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [53115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1284), 1,
      sym_decorator,
    ACTIONS(1313), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1311), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53164] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1285), 1,
      sym_decorator,
    ACTIONS(1635), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1633), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53213] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1286), 1,
      sym_decorator,
    ACTIONS(1377), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1375), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1287), 1,
      sym_decorator,
    ACTIONS(1439), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1437), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1288), 1,
      sym_decorator,
    ACTIONS(1443), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1441), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1289), 1,
      sym_decorator,
    ACTIONS(1463), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1461), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53409] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2114), 1,
      anon_sym_EQ_GT,
    STATE(1290), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [53464] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1291), 1,
      sym_decorator,
    ACTIONS(1369), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1367), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1292), 1,
      sym_decorator,
    ACTIONS(1237), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1235), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1293), 1,
      sym_decorator,
    ACTIONS(1447), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1445), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1294), 1,
      sym_decorator,
    ACTIONS(1451), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1449), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1295), 1,
      sym_decorator,
    ACTIONS(1325), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1323), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53709] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1296), 1,
      sym_decorator,
    ACTIONS(1423), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1421), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1297), 1,
      sym_decorator,
    ACTIONS(1467), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1465), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1298), 1,
      sym_decorator,
    ACTIONS(1357), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1355), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1299), 1,
      sym_decorator,
    ACTIONS(1471), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1469), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1300), 1,
      sym_decorator,
    ACTIONS(1349), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1347), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [53954] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2098), 1,
      anon_sym_LPAREN,
    ACTIONS(2100), 1,
      anon_sym_DOT,
    ACTIONS(2102), 1,
      anon_sym_LBRACK,
    STATE(1301), 1,
      sym_decorator,
    STATE(1412), 1,
      sym_call_arguments,
    ACTIONS(1251), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [54011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    STATE(1302), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [54062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1303), 1,
      sym_decorator,
    ACTIONS(1333), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1331), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1304), 1,
      sym_decorator,
    ACTIONS(1345), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1343), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1305), 1,
      sym_decorator,
    ACTIONS(1427), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1425), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1306), 1,
      sym_decorator,
    ACTIONS(1479), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1477), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1307), 1,
      sym_decorator,
    ACTIONS(1475), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1473), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1308), 1,
      sym_decorator,
    ACTIONS(1431), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1429), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1309), 1,
      sym_decorator,
    ACTIONS(1265), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1263), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1310), 1,
      sym_decorator,
    ACTIONS(1365), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1363), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54454] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1311), 1,
      sym_decorator,
    ACTIONS(1623), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1621), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1312), 1,
      sym_decorator,
    ACTIONS(1491), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1489), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1313), 1,
      sym_decorator,
    ACTIONS(1329), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1327), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1314), 1,
      sym_decorator,
    ACTIONS(1321), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1319), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1219), 1,
      anon_sym_EQ_GT,
    ACTIONS(2063), 1,
      anon_sym_COLON,
    STATE(1315), 1,
      sym_decorator,
    ACTIONS(1217), 9,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [54703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1316), 1,
      sym_decorator,
    ACTIONS(1317), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1315), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1317), 1,
      sym_decorator,
    ACTIONS(1527), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1525), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1318), 1,
      sym_decorator,
    ACTIONS(1251), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1247), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1319), 1,
      sym_decorator,
    ACTIONS(1269), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1267), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1320), 1,
      sym_decorator,
    ACTIONS(2066), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1267), 19,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [54950] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1321), 1,
      sym_decorator,
    ACTIONS(1397), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1400), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1395), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_as,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1322), 1,
      sym_decorator,
    ACTIONS(1507), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1505), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [55050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1323), 1,
      sym_decorator,
    ACTIONS(1241), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2026), 1,
      anon_sym_EQ_GT,
    STATE(1324), 1,
      sym_decorator,
    ACTIONS(1196), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1325), 1,
      sym_decorator,
    ACTIONS(1503), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1501), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [55199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1326), 1,
      sym_decorator,
    ACTIONS(1269), 11,
      anon_sym_unpack,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_async,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      aux_sym_value_identifier_token1,
    ACTIONS(1267), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
      sym__escape_identifier,
  [55248] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1327), 1,
      sym_decorator,
    ACTIONS(1237), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1235), 22,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_else,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55297] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2120), 1,
      anon_sym_QMARK,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2126), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    STATE(1328), 1,
      sym_decorator,
    ACTIONS(1353), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [55367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1329), 1,
      sym_decorator,
    ACTIONS(1623), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1621), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1330), 1,
      sym_decorator,
    ACTIONS(1439), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1437), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1331), 1,
      sym_decorator,
    ACTIONS(1531), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1529), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55511] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2142), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1332), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [55579] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2142), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1333), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [55647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1334), 1,
      sym_decorator,
    ACTIONS(1443), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1441), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1335), 1,
      sym_decorator,
    ACTIONS(1523), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1521), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1336), 1,
      sym_decorator,
    ACTIONS(1182), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1180), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1337), 1,
      sym_decorator,
    ACTIONS(1385), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1383), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1338), 1,
      sym_decorator,
    ACTIONS(1535), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1533), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1339), 1,
      sym_decorator,
    ACTIONS(1447), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1445), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1340), 1,
      sym_decorator,
    ACTIONS(1539), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1537), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [55983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1341), 1,
      sym_decorator,
    ACTIONS(1451), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1449), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1342), 1,
      sym_decorator,
    ACTIONS(1381), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1379), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1343), 1,
      sym_decorator,
    ACTIONS(1543), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1541), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1344), 1,
      sym_decorator,
    ACTIONS(1547), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1545), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56175] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1345), 1,
      sym_decorator,
    ACTIONS(1551), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1549), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1346), 1,
      sym_decorator,
    ACTIONS(1555), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1553), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1347), 1,
      sym_decorator,
    ACTIONS(1559), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1557), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56319] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1348), 1,
      sym_decorator,
    ACTIONS(1467), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1465), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2126), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    STATE(1349), 1,
      sym_decorator,
    ACTIONS(1407), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [56435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1350), 1,
      sym_decorator,
    ACTIONS(1471), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1469), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1351), 1,
      sym_decorator,
    ACTIONS(1419), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1417), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1352), 1,
      sym_decorator,
    ACTIONS(1563), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1561), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1353), 1,
      sym_decorator,
    ACTIONS(1567), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1565), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56627] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1354), 1,
      sym_decorator,
    ACTIONS(1571), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1569), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1355), 1,
      sym_decorator,
    ACTIONS(1475), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1473), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1356), 1,
      sym_decorator,
    ACTIONS(1575), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1573), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1357), 1,
      sym_decorator,
    ACTIONS(1579), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1577), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1894), 1,
      anon_sym_EQ_GT,
    STATE(1358), 1,
      sym_decorator,
    ACTIONS(1196), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1359), 1,
      sym_decorator,
    ACTIONS(1583), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1581), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1360), 1,
      sym_decorator,
    ACTIONS(1373), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1371), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [56965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1361), 1,
      sym_decorator,
    ACTIONS(1431), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1429), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1362), 1,
      sym_decorator,
    ACTIONS(1587), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1585), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1363), 1,
      sym_decorator,
    ACTIONS(1591), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1589), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1364), 1,
      sym_decorator,
    ACTIONS(2104), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1365), 1,
      sym_decorator,
    ACTIONS(1595), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1593), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1366), 1,
      sym_decorator,
    ACTIONS(1599), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1597), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1367), 1,
      sym_decorator,
    ACTIONS(1603), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1601), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57303] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1368), 1,
      sym_decorator,
    ACTIONS(1607), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1605), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1369), 1,
      sym_decorator,
    ACTIONS(1309), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1307), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57399] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    STATE(1370), 1,
      sym_decorator,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1371), 1,
      sym_decorator,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 8,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1372), 1,
      sym_decorator,
    ACTIONS(1611), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1609), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1373), 1,
      sym_decorator,
    ACTIONS(1269), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1374), 1,
      sym_decorator,
    ACTIONS(1615), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1613), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1375), 1,
      sym_decorator,
    ACTIONS(1619), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1617), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1376), 1,
      sym_decorator,
    ACTIONS(1487), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1485), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1377), 1,
      sym_decorator,
    ACTIONS(1627), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1625), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1378), 1,
      sym_decorator,
    ACTIONS(1631), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1629), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57845] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1379), 1,
      sym_decorator,
    ACTIONS(1519), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1517), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57893] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1196), 1,
      anon_sym_DOT,
    STATE(1380), 1,
      sym_decorator,
    ACTIONS(1192), 4,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57945] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1381), 1,
      sym_decorator,
    ACTIONS(1313), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1311), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [57993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1382), 1,
      sym_decorator,
    ACTIONS(1635), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1633), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1383), 1,
      sym_decorator,
    ACTIONS(1463), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1461), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58089] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1384), 1,
      sym_decorator,
    ACTIONS(1361), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1359), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58137] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1385), 1,
      sym_decorator,
    ACTIONS(1317), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1315), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58185] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1386), 1,
      sym_decorator,
    ACTIONS(1515), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1513), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58233] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2142), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1387), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [58301] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1388), 1,
      sym_decorator,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1389), 1,
      sym_decorator,
    ACTIONS(2108), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 21,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58403] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1390), 1,
      sym_decorator,
    ACTIONS(1269), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1391), 1,
      sym_decorator,
    ACTIONS(1511), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1509), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58499] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    STATE(1392), 1,
      sym_decorator,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 8,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2142), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1393), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [58621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1394), 1,
      sym_decorator,
    ACTIONS(1251), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1247), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1395), 1,
      sym_decorator,
    ACTIONS(1483), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1481), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1396), 1,
      sym_decorator,
    ACTIONS(1321), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1319), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1397), 1,
      sym_decorator,
    ACTIONS(1507), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1505), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1398), 1,
      sym_decorator,
    ACTIONS(1329), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1327), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58861] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(1399), 1,
      sym_decorator,
    ACTIONS(2160), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58919] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1400), 1,
      sym_decorator,
    ACTIONS(1423), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1421), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [58967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1401), 1,
      sym_decorator,
    ACTIONS(1503), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1501), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1402), 1,
      sym_decorator,
    ACTIONS(1427), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1425), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59063] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1403), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [59129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1404), 1,
      sym_decorator,
    ACTIONS(1479), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1477), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1405), 1,
      sym_decorator,
    ACTIONS(1369), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1367), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59225] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    STATE(1406), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [59287] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2162), 1,
      anon_sym_EQ_GT,
    STATE(1407), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 20,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1408), 1,
      sym_decorator,
    ACTIONS(1345), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1343), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1409), 1,
      sym_decorator,
    ACTIONS(1365), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1363), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1410), 1,
      sym_decorator,
    ACTIONS(1349), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1347), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1411), 1,
      sym_decorator,
    ACTIONS(1325), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1323), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1412), 1,
      sym_decorator,
    ACTIONS(1435), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1433), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2142), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1413), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [59649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1414), 1,
      sym_decorator,
    ACTIONS(1491), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1489), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1415), 1,
      sym_decorator,
    ACTIONS(1333), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59745] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    STATE(1416), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [59805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    STATE(1417), 1,
      sym_decorator,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    STATE(1418), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1419), 1,
      sym_decorator,
    ACTIONS(1495), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1493), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [59965] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1420), 1,
      sym_decorator,
    ACTIONS(1357), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1355), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1402), 1,
      anon_sym_DOT,
    STATE(1421), 1,
      sym_decorator,
    ACTIONS(1400), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1395), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60065] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2120), 1,
      anon_sym_QMARK,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2126), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    STATE(1422), 1,
      sym_decorator,
    ACTIONS(1499), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [60135] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2120), 1,
      anon_sym_QMARK,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2126), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    STATE(1423), 1,
      sym_decorator,
    ACTIONS(1285), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [60205] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1424), 1,
      sym_decorator,
    ACTIONS(1415), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1413), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60253] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    STATE(1425), 1,
      sym_decorator,
    ACTIONS(1333), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [60315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1426), 1,
      sym_decorator,
    ACTIONS(1393), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1391), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1427), 1,
      sym_decorator,
    ACTIONS(1337), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1335), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1428), 1,
      sym_decorator,
    ACTIONS(1389), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1387), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1429), 1,
      sym_decorator,
    ACTIONS(1196), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60507] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2120), 1,
      anon_sym_QMARK,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2126), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    STATE(1430), 1,
      sym_decorator,
    ACTIONS(1459), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [60577] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    STATE(1431), 1,
      sym_decorator,
    ACTIONS(1333), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [60641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1432), 1,
      sym_decorator,
    ACTIONS(1377), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1375), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60689] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2120), 1,
      anon_sym_QMARK,
    ACTIONS(2124), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2126), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    STATE(1433), 1,
      sym_decorator,
    ACTIONS(1455), 2,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(2118), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2122), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2130), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2128), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2116), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2134), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [60759] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1434), 1,
      sym_decorator,
    ACTIONS(1411), 10,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1409), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [60807] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1455), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2168), 1,
      anon_sym_QMARK,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1435), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [60876] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1436), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [60939] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1437), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [61000] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1438), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1439), 1,
      sym_decorator,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61108] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1499), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2168), 1,
      anon_sym_QMARK,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1440), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [61177] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2168), 1,
      anon_sym_QMARK,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1441), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [61246] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(1442), 1,
      sym_decorator,
    ACTIONS(2184), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 16,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61303] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1443), 1,
      sym_decorator,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61356] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2114), 1,
      anon_sym_EQ_GT,
    STATE(1444), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2096), 1,
      anon_sym_EQ_GT,
    STATE(1445), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 21,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1446), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [61521] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(1447), 1,
      sym_decorator,
    ACTIONS(2186), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1194), 1,
      anon_sym_EQ,
    ACTIONS(1200), 1,
      anon_sym_COLON_EQ,
    STATE(1448), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61629] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1285), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2168), 1,
      anon_sym_QMARK,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1449), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [61698] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1459), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2168), 1,
      anon_sym_QMARK,
    ACTIONS(2172), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2174), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2180), 1,
      anon_sym_STAR_STAR,
    STATE(1450), 1,
      sym_decorator,
    ACTIONS(2166), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2170), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2178), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2176), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2164), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2182), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [61767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1451), 1,
      sym_decorator,
    ACTIONS(2160), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 9,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61816] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2196), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    STATE(1452), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 8,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
  [61880] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1453), 1,
      sym_decorator,
    ACTIONS(2186), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61928] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1454), 1,
      sym_decorator,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [61978] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    STATE(1455), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [62038] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    STATE(1456), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 11,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [62096] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    STATE(1457), 1,
      sym_decorator,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62148] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1458), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [62214] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    STATE(1459), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62270] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1215), 1,
      anon_sym_COLON,
    ACTIONS(2228), 1,
      anon_sym_EQ_GT,
    STATE(1460), 1,
      sym_decorator,
    ACTIONS(1217), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1213), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62320] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2196), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2231), 1,
      anon_sym_QMARK,
    STATE(1461), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
  [62386] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2239), 1,
      anon_sym_PIPE,
    ACTIONS(2241), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1462), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2233), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [62454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1463), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [62520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1464), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62576] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1465), 1,
      sym_decorator,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 17,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1466), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [62688] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1467), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [62750] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1468), 1,
      sym_decorator,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62800] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2241), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1469), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [62868] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1470), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [62934] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2162), 1,
      anon_sym_EQ_GT,
    STATE(1471), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 20,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [62982] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1472), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [63046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1473), 1,
      sym_decorator,
    ACTIONS(2184), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 19,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [63094] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    STATE(1474), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_QMARK,
  [63160] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2196), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2231), 1,
      anon_sym_QMARK,
    STATE(1475), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
  [63226] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2196), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2231), 1,
      anon_sym_QMARK,
    STATE(1476), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
  [63292] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1477), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [63358] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(1478), 1,
      sym_decorator,
    ACTIONS(2257), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 15,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [63414] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1479), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [63470] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1480), 1,
      sym_decorator,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [63522] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2212), 1,
      anon_sym_QMARK,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2218), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1481), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 7,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [63588] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(1482), 1,
      sym_decorator,
    ACTIONS(2259), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 15,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [63644] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1483), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [63702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1484), 1,
      sym_decorator,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [63752] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2196), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2231), 1,
      anon_sym_QMARK,
    STATE(1485), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
  [63818] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2216), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2224), 1,
      anon_sym_STAR_STAR,
    STATE(1486), 1,
      sym_decorator,
    ACTIONS(2210), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2214), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2222), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2220), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2208), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2226), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [63878] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2196), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2202), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2231), 1,
      anon_sym_QMARK,
    STATE(1487), 1,
      sym_decorator,
    ACTIONS(2190), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2192), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2200), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2198), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2188), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2204), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_to,
      anon_sym_downto,
  [63944] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2241), 1,
      anon_sym_QMARK,
    ACTIONS(2245), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2247), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2253), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2263), 1,
      anon_sym_PIPE,
    STATE(1488), 1,
      sym_decorator,
    ACTIONS(2237), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2243), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2251), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2249), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2235), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2255), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2261), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [64012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1489), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1490), 1,
      sym_decorator,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 17,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64128] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    STATE(1491), 1,
      sym_decorator,
    ACTIONS(2285), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2289), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 13,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1492), 1,
      sym_decorator,
    ACTIONS(1196), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1192), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64228] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_PIPE_PIPE,
    STATE(1493), 1,
      sym_decorator,
    ACTIONS(2285), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2289), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2301), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
  [64293] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2307), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2313), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1494), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 6,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64358] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1495), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64423] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1496), 1,
      sym_decorator,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 17,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64472] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1497), 1,
      sym_decorator,
    ACTIONS(2257), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64519] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1498), 1,
      sym_decorator,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 17,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2307), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2313), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1499), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 6,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1500), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1501), 1,
      sym_decorator,
    ACTIONS(2259), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(1269), 8,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1267), 18,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_DOT,
      anon_sym_STAR_STAR,
      anon_sym_SLASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64747] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1502), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64812] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1503), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 9,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [64871] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1504), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [64926] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2307), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2313), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1505), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1457), 6,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [64991] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_PIPE,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    STATE(1506), 1,
      sym_decorator,
    ACTIONS(2285), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2289), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2301), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1351), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [65058] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2307), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2313), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1507), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1453), 6,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [65123] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1508), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [65178] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1509), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [65235] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1196), 1,
      anon_sym_DOT,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    STATE(1510), 1,
      sym_decorator,
    ACTIONS(1192), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(2327), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2325), 11,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(2330), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [65288] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1511), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 7,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [65351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1512), 1,
      sym_decorator,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [65400] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2313), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1513), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 7,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [65463] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1514), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 10,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [65520] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2307), 1,
      anon_sym_QMARK,
    ACTIONS(2311), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2313), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2319), 1,
      anon_sym_STAR_STAR,
    STATE(1515), 1,
      sym_decorator,
    ACTIONS(2305), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2315), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2303), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2321), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1497), 6,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [65585] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1516), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 9,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [65644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    STATE(1517), 1,
      sym_decorator,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 16,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [65695] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1987), 1,
      anon_sym_COLON_GT,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2299), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2323), 1,
      anon_sym_QMARK,
    ACTIONS(2334), 1,
      anon_sym_PIPE,
    STATE(1518), 1,
      sym_decorator,
    ACTIONS(2285), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2289), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2301), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(2332), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [65762] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    STATE(1519), 1,
      sym_decorator,
    ACTIONS(2285), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2289), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2301), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [65821] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_PIPE,
    ACTIONS(2293), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2297), 1,
      anon_sym_AMP_AMP,
    STATE(1520), 1,
      sym_decorator,
    ACTIONS(2285), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2287), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2291), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2289), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2295), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2301), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [65882] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2269), 1,
      anon_sym_QMARK,
    ACTIONS(2273), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2275), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    STATE(1521), 1,
      sym_decorator,
    ACTIONS(2267), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2271), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2279), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2277), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2265), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2283), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1283), 6,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_catch,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [65947] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1522), 1,
      sym_decorator,
    ACTIONS(2309), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2317), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 18,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [65996] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2336), 1,
      anon_sym_RPAREN,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2340), 1,
      anon_sym_COMMA,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1523), 1,
      sym_decorator,
    STATE(2852), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2853), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66068] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2362), 1,
      anon_sym_RPAREN,
    ACTIONS(2364), 1,
      anon_sym_COMMA,
    STATE(1524), 1,
      sym_decorator,
    STATE(2949), 1,
      sym_type_annotation,
    STATE(2953), 1,
      aux_sym_variant_arguments_repeat1,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66140] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    ACTIONS(2368), 1,
      anon_sym_COLON,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2380), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1525), 1,
      sym_decorator,
    STATE(2851), 1,
      sym_type_annotation,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2366), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66208] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    ACTIONS(2368), 1,
      anon_sym_COLON,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2380), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1526), 1,
      sym_decorator,
    STATE(2964), 1,
      sym_type_annotation,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2390), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66276] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2142), 1,
      anon_sym_QMARK,
    ACTIONS(2146), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2148), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2154), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    STATE(1527), 1,
      sym_decorator,
    ACTIONS(2140), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2144), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2152), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2150), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2138), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2156), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1323), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [66340] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    ACTIONS(2368), 1,
      anon_sym_COLON,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2380), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1528), 1,
      sym_decorator,
    STATE(2932), 1,
      sym_type_annotation,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2392), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66408] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2394), 1,
      anon_sym_RPAREN,
    ACTIONS(2396), 1,
      anon_sym_COMMA,
    STATE(1529), 1,
      sym_decorator,
    STATE(2832), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2833), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66480] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    ACTIONS(2400), 1,
      anon_sym_COMMA,
    STATE(1530), 1,
      sym_decorator,
    STATE(2987), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2988), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66552] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2402), 1,
      anon_sym_RPAREN,
    ACTIONS(2404), 1,
      anon_sym_COMMA,
    STATE(1531), 1,
      sym_decorator,
    STATE(2862), 1,
      sym_type_annotation,
    STATE(2867), 1,
      aux_sym_variant_arguments_repeat1,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66624] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2406), 1,
      anon_sym_RPAREN,
    ACTIONS(2408), 1,
      anon_sym_COMMA,
    STATE(1532), 1,
      sym_decorator,
    STATE(2778), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2779), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1196), 1,
      anon_sym_DOT,
    STATE(1533), 1,
      sym_decorator,
    ACTIONS(1192), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(2327), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(2325), 11,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
    ACTIONS(2330), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
  [66746] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1534), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1351), 4,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66809] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1535), 1,
      sym_decorator,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 15,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [66858] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2430), 1,
      anon_sym_RPAREN,
    ACTIONS(2432), 1,
      anon_sym_COMMA,
    STATE(1536), 1,
      sym_decorator,
    STATE(3205), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66927] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2434), 1,
      anon_sym_RPAREN,
    ACTIONS(2436), 1,
      anon_sym_COMMA,
    STATE(1537), 1,
      sym_decorator,
    STATE(3343), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [66996] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2438), 1,
      anon_sym_RPAREN,
    ACTIONS(2440), 1,
      anon_sym_COMMA,
    STATE(1538), 1,
      sym_decorator,
    STATE(3194), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [67065] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2442), 1,
      anon_sym_RPAREN,
    ACTIONS(2444), 1,
      anon_sym_COMMA,
    STATE(1539), 1,
      sym_decorator,
    STATE(3175), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [67134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1540), 1,
      sym_decorator,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [67187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1541), 1,
      sym_decorator,
    ACTIONS(2446), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(2330), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(2325), 13,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [67232] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1542), 1,
      sym_decorator,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [67281] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1543), 1,
      sym_decorator,
    STATE(3072), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2448), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [67348] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1544), 1,
      sym_decorator,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [67405] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(2378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1545), 1,
      sym_decorator,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [67464] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2450), 1,
      anon_sym_RPAREN,
    ACTIONS(2452), 1,
      anon_sym_COMMA,
    STATE(1546), 1,
      sym_decorator,
    STATE(3213), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [67533] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1547), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [67586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1548), 1,
      sym_decorator,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 16,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [67633] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1549), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [67690] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2454), 1,
      anon_sym_RPAREN,
    ACTIONS(2456), 1,
      anon_sym_COMMA,
    STATE(1550), 1,
      sym_decorator,
    STATE(3212), 1,
      sym_type_annotation,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [67759] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1551), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1405), 5,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [67820] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1552), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [67875] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_COLON,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    ACTIONS(2378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2380), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1553), 1,
      sym_decorator,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1405), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [67938] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    ACTIONS(2136), 1,
      anon_sym_COLON_GT,
    ACTIONS(2374), 1,
      anon_sym_QMARK,
    ACTIONS(2378), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2380), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2386), 1,
      anon_sym_STAR_STAR,
    STATE(1554), 1,
      sym_decorator,
    ACTIONS(2372), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1351), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2382), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2370), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2388), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68003] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1555), 1,
      sym_decorator,
    ACTIONS(2376), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2384), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [68050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2458), 1,
      anon_sym_RPAREN,
    ACTIONS(2460), 1,
      anon_sym_COMMA,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1556), 1,
      sym_decorator,
    STATE(2876), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68116] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2482), 1,
      anon_sym_RPAREN,
    ACTIONS(2484), 1,
      anon_sym_COMMA,
    STATE(1557), 1,
      sym_decorator,
    STATE(2748), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2486), 1,
      anon_sym_RPAREN,
    ACTIONS(2488), 1,
      anon_sym_COMMA,
    STATE(1558), 1,
      sym_decorator,
    STATE(2959), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68248] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1559), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 5,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [68300] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2490), 1,
      anon_sym_COMMA,
    ACTIONS(2492), 1,
      anon_sym_RBRACK,
    STATE(1560), 1,
      sym_decorator,
    STATE(2926), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68366] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      sym_decorator,
    STATE(2994), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68432] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1562), 1,
      sym_decorator,
    ACTIONS(1351), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68496] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2498), 1,
      anon_sym_RPAREN,
    ACTIONS(2500), 1,
      anon_sym_COMMA,
    STATE(1563), 1,
      sym_decorator,
    STATE(2975), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68562] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2502), 1,
      anon_sym_RPAREN,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    STATE(1564), 1,
      sym_decorator,
    STATE(2840), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1565), 1,
      sym_decorator,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [68674] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2506), 1,
      anon_sym_COMMA,
    ACTIONS(2508), 1,
      anon_sym_RBRACK,
    STATE(1566), 1,
      sym_decorator,
    STATE(2846), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68740] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1567), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [68798] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2510), 1,
      anon_sym_RPAREN,
    ACTIONS(2512), 1,
      anon_sym_COMMA,
    STATE(1568), 1,
      sym_decorator,
    STATE(2772), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68864] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1333), 1,
      anon_sym_COLON,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1569), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [68920] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2514), 1,
      anon_sym_COMMA,
    ACTIONS(2516), 1,
      anon_sym_RBRACK,
    STATE(1570), 1,
      sym_decorator,
    STATE(3019), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [68986] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2518), 1,
      anon_sym_COMMA,
    ACTIONS(2520), 1,
      anon_sym_RBRACK,
    STATE(1571), 1,
      sym_decorator,
    STATE(2882), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69052] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2522), 1,
      anon_sym_COMMA,
    ACTIONS(2524), 1,
      anon_sym_RBRACK,
    STATE(1572), 1,
      sym_decorator,
    STATE(2791), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69118] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2526), 1,
      anon_sym_COMMA,
    ACTIONS(2528), 1,
      anon_sym_RBRACK,
    STATE(1573), 1,
      sym_decorator,
    STATE(3021), 1,
      aux_sym_tuple_repeat1,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69184] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1574), 1,
      sym_decorator,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 7,
      anon_sym_COLON,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [69232] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1407), 1,
      anon_sym_COLON,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    STATE(1575), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1405), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69294] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    STATE(918), 1,
      sym_block,
    STATE(1576), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69357] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1577), 1,
      sym_decorator,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [69410] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    STATE(1062), 1,
      sym_block,
    STATE(1578), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69473] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(1408), 1,
      sym_block,
    STATE(1579), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1580), 1,
      sym_decorator,
    ACTIONS(2330), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(2325), 13,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [69577] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1581), 1,
      sym_decorator,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1405), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69636] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2534), 1,
      anon_sym_LBRACE,
    STATE(671), 1,
      sym_block,
    STATE(1582), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69699] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1583), 1,
      sym_decorator,
    ACTIONS(2538), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(2536), 13,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [69740] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    STATE(1584), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 13,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [69787] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1585), 1,
      sym_decorator,
    ACTIONS(1681), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69848] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      anon_sym_LBRACE,
    STATE(650), 1,
      sym_block,
    STATE(1586), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [69911] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    STATE(1587), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 6,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [69964] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1588), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2558), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70025] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 1,
      anon_sym_LBRACE,
    STATE(1589), 1,
      sym_decorator,
    STATE(1742), 1,
      sym_block,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70088] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1590), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2566), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70149] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1591), 1,
      sym_decorator,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [70200] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACE,
    STATE(1304), 1,
      sym_block,
    STATE(1592), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70263] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2546), 1,
      anon_sym_LBRACE,
    STATE(609), 1,
      sym_block,
    STATE(1593), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70326] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_block,
    STATE(1594), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2534), 1,
      anon_sym_LBRACE,
    STATE(685), 1,
      sym_block,
    STATE(1595), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70452] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1596), 1,
      sym_decorator,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2572), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1597), 1,
      sym_decorator,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 13,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [70560] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    STATE(1087), 1,
      sym_block,
    STATE(1598), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70623] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1599), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2574), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70684] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2564), 1,
      anon_sym_LBRACE,
    STATE(1600), 1,
      sym_decorator,
    STATE(1851), 1,
      sym_block,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70747] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_block,
    STATE(1601), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1602), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2576), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [70871] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    STATE(1603), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 10,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [70922] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    STATE(1604), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 5,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [70977] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1605), 1,
      sym_decorator,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [71032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1606), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [71077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1607), 1,
      sym_decorator,
    ACTIONS(2580), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(2578), 13,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [71118] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2582), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym_block,
    STATE(1608), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71181] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1609), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2584), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1610), 1,
      sym_decorator,
    ACTIONS(2588), 11,
      anon_sym_module,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_try,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(2586), 13,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_POUND,
      anon_sym_PERCENT,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [71283] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1611), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2590), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71344] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    STATE(1076), 1,
      sym_block,
    STATE(1612), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71407] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(880), 1,
      sym_block,
    STATE(1613), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71470] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2582), 1,
      anon_sym_LBRACE,
    STATE(1050), 1,
      sym_block,
    STATE(1614), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71533] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1615), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2572), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71594] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_block,
    STATE(1616), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71657] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1617), 1,
      sym_decorator,
    ACTIONS(1351), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1618), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2592), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71779] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(1060), 1,
      sym_block,
    STATE(1619), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71842] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1620), 1,
      sym_decorator,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [71887] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACE,
    STATE(1274), 1,
      sym_block,
    STATE(1621), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [71950] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1622), 1,
      sym_decorator,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2594), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2466), 1,
      anon_sym_QMARK,
    ACTIONS(2470), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2472), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2478), 1,
      anon_sym_STAR_STAR,
    STATE(1623), 1,
      sym_decorator,
    ACTIONS(1351), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2464), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2468), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2476), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2474), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2462), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2480), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72072] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2556), 1,
      anon_sym_QMARK,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1624), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2596), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72133] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    STATE(1625), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2598), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72194] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2544), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2560), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2562), 1,
      anon_sym_PIPE_PIPE,
    STATE(1626), 1,
      sym_decorator,
    ACTIONS(2540), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2542), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2550), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1405), 3,
      anon_sym_QMARK,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(2552), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2548), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2554), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72253] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(1426), 1,
      sym_block,
    STATE(1627), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72316] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(1323), 1,
      sym_block,
    STATE(1628), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72379] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2600), 1,
      anon_sym_LBRACE,
    STATE(1629), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72439] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1630), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 13,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [72483] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2606), 1,
      anon_sym_RBRACK,
    STATE(1631), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72543] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    STATE(1632), 1,
      sym_decorator,
    ACTIONS(2608), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2612), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 9,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [72593] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2624), 1,
      anon_sym_catch,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1633), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    STATE(1634), 1,
      sym_decorator,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 12,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [72699] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2636), 1,
      anon_sym_COLON,
    STATE(1635), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72759] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1636), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [72829] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2644), 1,
      anon_sym_catch,
    STATE(1637), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2646), 1,
      anon_sym_COLON,
    STATE(1638), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [72949] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2648), 1,
      anon_sym_COLON,
    STATE(1639), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73009] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2650), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1640), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [73079] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2652), 1,
      anon_sym_RBRACK,
    STATE(1641), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73139] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2654), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1642), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [73209] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    STATE(1643), 1,
      sym_decorator,
    ACTIONS(2608), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2612), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2656), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2658), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 5,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [73261] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2660), 1,
      anon_sym_RBRACK,
    STATE(1644), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73321] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2662), 1,
      anon_sym_LBRACE,
    STATE(1645), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73381] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2664), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1646), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [73451] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1647), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [73521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2668), 1,
      anon_sym_LBRACE,
    STATE(1648), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2670), 1,
      anon_sym_RBRACK,
    STATE(1649), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73641] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2672), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1650), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [73711] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2674), 1,
      anon_sym_COLON,
    STATE(1651), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73771] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2676), 1,
      anon_sym_AMP_AMP,
    STATE(1652), 1,
      sym_decorator,
    ACTIONS(2608), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2612), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1331), 4,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
    ACTIONS(2656), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2658), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73825] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2678), 1,
      anon_sym_RBRACK,
    STATE(1653), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73885] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1654), 1,
      sym_decorator,
    ACTIONS(1405), 2,
      anon_sym_QMARK,
      anon_sym_catch,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [73943] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1655), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [74013] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1656), 1,
      sym_decorator,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 13,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [74057] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1351), 1,
      anon_sym_EQ_GT,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2676), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2682), 1,
      anon_sym_QMARK,
    ACTIONS(2684), 1,
      anon_sym_PIPE_PIPE,
    STATE(1657), 1,
      sym_decorator,
    ACTIONS(2608), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2612), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2656), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2658), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74117] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2686), 1,
      anon_sym_COLON,
    STATE(1658), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74177] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2688), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1659), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [74247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2690), 1,
      anon_sym_COLON,
    STATE(1660), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2692), 1,
      anon_sym_COLON,
    STATE(1661), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74367] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2694), 1,
      anon_sym_COLON,
    STATE(1662), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74427] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2696), 1,
      anon_sym_LBRACE,
    STATE(1663), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74487] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2698), 1,
      anon_sym_COLON,
    STATE(1664), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74547] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2700), 1,
      anon_sym_COLON,
    STATE(1665), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74607] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    STATE(1666), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74667] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2704), 1,
      anon_sym_COLON,
    STATE(1667), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74727] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2706), 1,
      anon_sym_COLON,
    STATE(1668), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74787] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1669), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1331), 5,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
  [74839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2708), 1,
      anon_sym_COLON,
    STATE(1670), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74899] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2676), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2684), 1,
      anon_sym_PIPE_PIPE,
    STATE(1671), 1,
      sym_decorator,
    ACTIONS(1405), 2,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
    ACTIONS(2608), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2612), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2656), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2658), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [74957] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1672), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1331), 4,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_GT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75011] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2710), 1,
      anon_sym_RBRACK,
    STATE(1673), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75071] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2712), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1674), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [75141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1675), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [75211] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2716), 1,
      anon_sym_COLON,
    STATE(1676), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75271] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2718), 1,
      anon_sym_COLON,
    STATE(1677), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75331] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2616), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2676), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2682), 1,
      anon_sym_QMARK,
    ACTIONS(2684), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2720), 1,
      anon_sym_EQ_GT,
    STATE(1678), 1,
      sym_decorator,
    ACTIONS(2608), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2610), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2614), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2612), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2656), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2658), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75391] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1679), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [75461] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2724), 1,
      anon_sym_catch,
    STATE(1680), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75521] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2726), 1,
      anon_sym_catch,
    STATE(1681), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75581] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2728), 1,
      anon_sym_LBRACE,
    STATE(1682), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2730), 1,
      anon_sym_catch,
    STATE(1683), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75701] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1684), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(1333), 6,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 12,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [75747] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1685), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(1333), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1331), 9,
      anon_sym_QMARK,
      anon_sym_catch,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_GT,
  [75797] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2732), 1,
      anon_sym_COLON,
    STATE(1686), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75857] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2734), 1,
      anon_sym_COLON,
    STATE(1687), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75917] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    STATE(1688), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [75977] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2740), 1,
      anon_sym_RPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1689), 1,
      sym_decorator,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2439), 1,
      sym_module_identifier,
    STATE(2551), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2928), 1,
      sym_functor_parameter,
    STATE(3161), 1,
      sym__module_structure,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2414), 1,
      anon_sym_QMARK,
    ACTIONS(2418), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2420), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2426), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2748), 1,
      anon_sym_LBRACE,
    STATE(1690), 1,
      sym_decorator,
    ACTIONS(2412), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2416), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2424), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2422), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2410), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2428), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [76107] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2750), 1,
      anon_sym_COLON,
    STATE(1691), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [76167] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2752), 1,
      anon_sym_COLON,
    STATE(1692), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [76227] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1693), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76297] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2158), 1,
      anon_sym_COLON_GT,
    ACTIONS(2346), 1,
      anon_sym_QMARK,
    ACTIONS(2350), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2352), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2358), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2756), 1,
      anon_sym_COLON,
    STATE(1694), 1,
      sym_decorator,
    ACTIONS(2344), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2348), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2356), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2354), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2342), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2360), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [76357] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1351), 1,
      anon_sym_catch,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    STATE(1695), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [76417] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2206), 1,
      anon_sym_COLON_GT,
    ACTIONS(2622), 1,
      anon_sym_QMARK,
    ACTIONS(2626), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2628), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2632), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2758), 1,
      anon_sym_catch,
    STATE(1696), 1,
      sym_decorator,
    ACTIONS(2602), 2,
      anon_sym_SLASH,
      anon_sym_STAR,
    ACTIONS(2604), 2,
      anon_sym_STAR_DOT,
      anon_sym_SLASH_DOT,
    ACTIONS(2620), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2630), 3,
      anon_sym_PLUS_PLUS,
      anon_sym_PLUS_DOT,
      anon_sym_DASH_DOT,
    ACTIONS(2618), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2634), 4,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
  [76477] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1697), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3244), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76542] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1698), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2859), 1,
      sym__record_element,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76609] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1699), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3281), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76674] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1700), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3275), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1701), 1,
      sym_decorator,
    ACTIONS(1964), 10,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_exception,
      anon_sym_async,
      anon_sym_lazy,
      aux_sym_value_identifier_token1,
      sym__escape_identifier,
      sym_true,
      sym_false,
    ACTIONS(1962), 12,
      sym__list_constructor,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_POUND,
      anon_sym_TILDE,
      aux_sym_variant_identifier_token1,
      sym_number,
      anon_sym_DQUOTE,
      aux_sym_template_string_token1,
      anon_sym_SQUOTE,
  [76778] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1702), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2983), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76845] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1703), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3006), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76912] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1704), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3282), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [76977] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1705), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3134), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77044] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1706), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3383), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1707), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2943), 1,
      sym__record_element,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77176] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1708), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2869), 1,
      sym__record_element,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77243] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(87), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2642), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1709), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2784), 1,
      sym__record_element,
    STATE(2816), 1,
      sym__record_field_name,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(3062), 3,
      sym_record_field,
      sym__record_pun_field,
      sym_spread_element,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77310] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1710), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3346), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77375] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1711), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2490), 1,
      sym_module_primary_expression,
    STATE(2639), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3174), 2,
      sym__module_structure,
      sym_type_identifier_path,
    STATE(2927), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77440] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2762), 1,
      anon_sym_await,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1712), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2365), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2385), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77504] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2770), 1,
      anon_sym_await,
    STATE(1713), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2359), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2397), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77568] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2772), 1,
      anon_sym_await,
    STATE(1714), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2311), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2385), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77632] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2774), 1,
      anon_sym_await,
    STATE(1715), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2302), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2397), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77696] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    STATE(1716), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2415), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2498), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77757] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1717), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2232), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2368), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77818] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1718), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2348), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2410), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77879] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1719), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2259), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2371), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [77940] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1720), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2676), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3113), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78001] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1721), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2228), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2371), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78062] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1722), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2364), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2396), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78123] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1723), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2305), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2410), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78184] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1724), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2301), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2396), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78245] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2776), 1,
      anon_sym_LPAREN,
    STATE(1725), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2413), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2498), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78306] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1726), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2267), 1,
      sym_module_expression,
    STATE(2808), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2368), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2738), 1,
      anon_sym_LPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(1727), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2688), 1,
      sym_module_expression,
    STATE(2824), 1,
      sym_functor_parameters,
    STATE(2849), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(3109), 3,
      sym_block,
      sym_functor,
      sym_extension_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78428] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1119), 1,
      anon_sym_LPAREN,
    ACTIONS(1127), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1855), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1728), 1,
      sym_decorator,
    STATE(2800), 1,
      sym_formal_parameters,
    STATE(3387), 1,
      sym_value_identifier,
    STATE(3388), 1,
      sym__definition_signature,
    ACTIONS(1124), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(1117), 9,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
  [78477] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2782), 1,
      anon_sym_LT,
    STATE(1729), 1,
      sym_decorator,
    STATE(1759), 1,
      sym_type_arguments,
    ACTIONS(2780), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2778), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [78516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2784), 1,
      anon_sym_RBRACE,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1730), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(2762), 1,
      sym__record_type_member,
    STATE(2782), 1,
      sym__object_type_member,
    STATE(3031), 1,
      sym_type_spread,
    STATE(3032), 1,
      sym_record_type_field,
    STATE(3080), 1,
      sym_object_type_field,
    STATE(3278), 1,
      sym_string,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(2786), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
  [78579] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2792), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1731), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(2771), 1,
      sym__record_type_member,
    STATE(2843), 1,
      sym__object_type_member,
    STATE(3031), 1,
      sym_type_spread,
    STATE(3032), 1,
      sym_record_type_field,
    STATE(3080), 1,
      sym_object_type_field,
    STATE(3278), 1,
      sym_string,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(2794), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
  [78642] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2796), 1,
      anon_sym_RBRACE,
    ACTIONS(2798), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1732), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2792), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78698] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_QMARK,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1733), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2792), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78754] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2804), 1,
      anon_sym_RPAREN,
    STATE(1734), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(3060), 1,
      sym_block,
    STATE(3110), 1,
      sym__functor_argument,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78810] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1735), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2253), 1,
      sym_module_expression,
    STATE(2827), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2384), 2,
      sym_block,
      sym_functor,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78864] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1846), 1,
      anon_sym_DOT,
    STATE(1736), 1,
      sym_decorator,
    ACTIONS(1400), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1395), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [78902] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1737), 1,
      sym_decorator,
    ACTIONS(1400), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1395), 15,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [78936] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_QMARK,
    ACTIONS(2806), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1738), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2792), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [78992] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2760), 1,
      anon_sym_LPAREN,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(1739), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2230), 1,
      sym_module_expression,
    STATE(2766), 1,
      sym_functor_parameters,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2392), 2,
      sym_block,
      sym_functor,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79046] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_QMARK,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1740), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2792), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79102] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_QMARK,
    ACTIONS(2810), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1741), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2792), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79158] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2812), 1,
      anon_sym_else,
    STATE(1742), 1,
      sym_decorator,
    STATE(1745), 1,
      aux_sym_if_expression_repeat1,
    STATE(1862), 1,
      sym_else_if_clause,
    STATE(1913), 1,
      sym_else_clause,
    ACTIONS(1176), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1174), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [79200] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2814), 1,
      anon_sym_RPAREN,
    STATE(1743), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(3060), 1,
      sym_block,
    STATE(3110), 1,
      sym__functor_argument,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2816), 1,
      anon_sym_RPAREN,
    STATE(1744), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(3002), 1,
      sym__functor_argument,
    STATE(3060), 1,
      sym_block,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79312] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2812), 1,
      anon_sym_else,
    STATE(1745), 1,
      sym_decorator,
    STATE(1753), 1,
      aux_sym_if_expression_repeat1,
    STATE(1862), 1,
      sym_else_if_clause,
    STATE(1901), 1,
      sym_else_clause,
    ACTIONS(1182), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1180), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [79354] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2818), 1,
      anon_sym_RPAREN,
    STATE(1746), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(3060), 1,
      sym_block,
    STATE(3110), 1,
      sym__functor_argument,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79410] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2820), 1,
      anon_sym_RPAREN,
    STATE(1747), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(2789), 1,
      sym__functor_argument,
    STATE(3060), 1,
      sym_block,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79466] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    ACTIONS(2822), 1,
      anon_sym_RPAREN,
    STATE(1748), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(3060), 1,
      sym_block,
    STATE(3110), 1,
      sym__functor_argument,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79522] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1749), 1,
      sym_decorator,
    ACTIONS(2826), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2824), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1750), 1,
      sym_decorator,
    ACTIONS(2830), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2828), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79588] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1751), 1,
      sym_decorator,
    ACTIONS(2834), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2832), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79621] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1752), 1,
      sym_decorator,
    ACTIONS(1964), 7,
      anon_sym_module,
      anon_sym_type,
      anon_sym_unpack,
      anon_sym_DOT,
      anon_sym_LBRACK,
      aux_sym_type_identifier_token1,
      sym_unit_type,
    ACTIONS(1962), 9,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_LBRACK_GT,
      anon_sym_LBRACK_LT,
      anon_sym_DOT_DOT,
      anon_sym_TILDE,
      aux_sym_variant_identifier_token1,
      sym__escape_identifier,
  [79654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2836), 1,
      anon_sym_else,
    STATE(1862), 1,
      sym_else_if_clause,
    STATE(1753), 2,
      sym_decorator,
      aux_sym_if_expression_repeat1,
    ACTIONS(1204), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1202), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [79691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1754), 1,
      sym_decorator,
    ACTIONS(2841), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2839), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1755), 1,
      sym_decorator,
    ACTIONS(2845), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2843), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1756), 1,
      sym_decorator,
    ACTIONS(2849), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2847), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79790] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1757), 1,
      sym_decorator,
    ACTIONS(2853), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2851), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79823] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1758), 1,
      sym_decorator,
    ACTIONS(2857), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2855), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1759), 1,
      sym_decorator,
    ACTIONS(2861), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2859), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79889] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1760), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3124), 1,
      sym__record_field_name,
    STATE(2675), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [79942] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1761), 1,
      sym_decorator,
    ACTIONS(2865), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2863), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [79975] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1762), 1,
      sym_decorator,
    ACTIONS(2869), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2867), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1763), 1,
      sym_decorator,
    ACTIONS(2873), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2871), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1764), 1,
      sym_decorator,
    ACTIONS(2877), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2875), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80074] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1765), 1,
      sym_decorator,
    ACTIONS(2881), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2879), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80107] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1766), 1,
      sym_decorator,
    ACTIONS(2885), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2883), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1767), 1,
      sym_decorator,
    ACTIONS(2889), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2887), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1768), 1,
      sym_decorator,
    ACTIONS(2893), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2891), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(1400), 1,
      anon_sym_EQ,
    ACTIONS(1846), 1,
      anon_sym_DOT,
    STATE(1769), 1,
      sym_decorator,
    ACTIONS(1395), 13,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [80243] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2895), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2897), 1,
      sym__escape_identifier,
    STATE(1770), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2819), 1,
      sym_module_primary_expression,
    STATE(3095), 1,
      sym_generic_type,
    STATE(3098), 1,
      sym__type_identifier,
    STATE(2861), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [80296] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1771), 1,
      sym_decorator,
    ACTIONS(2901), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2899), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80329] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2903), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1772), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2743), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [80382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1773), 1,
      sym_decorator,
    ACTIONS(2907), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2905), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1774), 1,
      sym_decorator,
    ACTIONS(2911), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2909), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80448] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1775), 1,
      sym_decorator,
    ACTIONS(2915), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2913), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2919), 1,
      aux_sym_type_identifier_token1,
    STATE(1776), 1,
      sym_decorator,
    ACTIONS(2917), 2,
      anon_sym_DOT,
      sym__escape_identifier,
    ACTIONS(1349), 4,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
    ACTIONS(1347), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_PIPE,
  [80518] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2798), 1,
      anon_sym_QMARK,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1777), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2792), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [80571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1778), 1,
      sym_decorator,
    ACTIONS(2923), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2921), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1779), 1,
      sym_decorator,
    ACTIONS(2927), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2925), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1780), 1,
      sym_decorator,
    ACTIONS(2931), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2929), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1781), 1,
      sym_decorator,
    ACTIONS(2935), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2933), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1782), 1,
      sym_decorator,
    ACTIONS(2939), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2937), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80736] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2941), 1,
      anon_sym_EQ_GT,
    STATE(1783), 1,
      sym_decorator,
    ACTIONS(1217), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1213), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80771] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1784), 1,
      sym_decorator,
    ACTIONS(2946), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2944), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1785), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3124), 1,
      sym__record_field_name,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [80857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1786), 1,
      sym_decorator,
    ACTIONS(1341), 5,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_PIPE,
      sym__escape_identifier,
  [80890] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1787), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(3065), 1,
      sym__record_field_name,
    STATE(2916), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [80943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1788), 1,
      sym_decorator,
    ACTIONS(2950), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2948), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [80976] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1789), 1,
      sym_decorator,
    ACTIONS(2954), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2952), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [81009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1790), 1,
      sym_decorator,
    ACTIONS(2780), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2778), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [81042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1791), 1,
      sym_decorator,
    ACTIONS(2958), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2956), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [81075] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1792), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2697), 1,
      sym_module_expression,
    STATE(3060), 1,
      sym_block,
    STATE(3110), 1,
      sym__functor_argument,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81128] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1793), 1,
      sym_decorator,
    ACTIONS(2962), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2960), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [81161] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    STATE(1794), 1,
      sym_decorator,
    STATE(1860), 1,
      sym_variant_parameters,
    STATE(1869), 1,
      sym_type_annotation,
    ACTIONS(2964), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [81202] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2972), 1,
      anon_sym_rec,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1795), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2336), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(2013), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81252] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2978), 1,
      anon_sym_LPAREN,
    STATE(1796), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2184), 1,
      sym_module_expression,
    STATE(2274), 1,
      sym_block,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81302] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2980), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2982), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2984), 1,
      sym__escape_identifier,
    STATE(676), 1,
      sym__type_identifier,
    STATE(1797), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2911), 1,
      sym_module_primary_expression,
    STATE(674), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1798), 1,
      sym_decorator,
    ACTIONS(1341), 5,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_PIPE,
      sym__escape_identifier,
  [81384] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1799), 1,
      sym_decorator,
    ACTIONS(1341), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_as,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      sym__escape_identifier,
  [81416] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      anon_sym_GT,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2994), 1,
      anon_sym_SLASH,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1800), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1828), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81470] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      anon_sym_GT,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(2998), 1,
      anon_sym_SLASH,
    STATE(1801), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1828), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81524] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      anon_sym_GT,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3000), 1,
      anon_sym_SLASH,
    STATE(1802), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1828), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81578] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1803), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2509), 1,
      sym_module_expression,
    STATE(2608), 1,
      sym_block,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81628] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      anon_sym_GT,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3002), 1,
      anon_sym_SLASH,
    STATE(1804), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1828), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(3004), 1,
      anon_sym_COLON,
    STATE(1805), 1,
      sym_decorator,
    STATE(1869), 1,
      sym_type_annotation,
    STATE(1982), 1,
      sym_variant_parameters,
    ACTIONS(2964), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [81722] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3006), 1,
      anon_sym_GT,
    ACTIONS(3008), 1,
      anon_sym_SLASH,
    STATE(1804), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1806), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81776] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3010), 1,
      anon_sym_rec,
    STATE(1807), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2369), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(1970), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81826] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      anon_sym_GT,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3012), 1,
      anon_sym_SLASH,
    STATE(1808), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1828), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81880] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1809), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2656), 1,
      sym_module_expression,
    STATE(2951), 1,
      sym_block,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [81930] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3006), 1,
      anon_sym_GT,
    ACTIONS(3014), 1,
      anon_sym_SLASH,
    STATE(1802), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1810), 1,
      sym_decorator,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [81984] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2895), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2897), 1,
      sym__escape_identifier,
    STATE(953), 1,
      sym__type_identifier,
    STATE(1811), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2819), 1,
      sym_module_primary_expression,
    STATE(765), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82034] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(3018), 1,
      sym__escape_identifier,
    STATE(953), 1,
      sym__type_identifier,
    STATE(1812), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(765), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82084] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1813), 1,
      sym_decorator,
    ACTIONS(1190), 4,
      anon_sym_EQ,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1188), 11,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [82116] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2740), 1,
      anon_sym_RPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1814), 1,
      sym_decorator,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2439), 1,
      sym_module_identifier,
    STATE(2544), 1,
      sym_module_expression,
    STATE(2928), 1,
      sym_functor_parameter,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82166] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1815), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2950), 1,
      sym_module_expression,
    STATE(2951), 1,
      sym_block,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82216] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3006), 1,
      anon_sym_GT,
    ACTIONS(3020), 1,
      anon_sym_SLASH,
    STATE(1801), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1816), 1,
      sym_decorator,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [82270] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1754), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(1756), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(3022), 1,
      anon_sym_DOT_DOT,
    STATE(1420), 1,
      sym__type_identifier,
    STATE(1817), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(3020), 1,
      sym_module_primary_expression,
    STATE(1410), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82320] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1154), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(3016), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(3018), 1,
      sym__escape_identifier,
    STATE(1818), 1,
      sym_decorator,
    STATE(2099), 1,
      sym__type_identifier,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2821), 1,
      sym_module_primary_expression,
    STATE(765), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82370] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2990), 1,
      anon_sym_GT,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3024), 1,
      anon_sym_SLASH,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1819), 1,
      sym_decorator,
    STATE(1828), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [82424] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3006), 1,
      anon_sym_GT,
    ACTIONS(3026), 1,
      anon_sym_SLASH,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1819), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1820), 1,
      sym_decorator,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [82478] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3028), 1,
      anon_sym_rec,
    STATE(1821), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2308), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(1970), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2780), 1,
      anon_sym_EQ,
    ACTIONS(3030), 1,
      anon_sym_LT,
    STATE(1822), 1,
      sym_decorator,
    STATE(1967), 1,
      sym_type_arguments,
    ACTIONS(2778), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [82564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3006), 1,
      anon_sym_GT,
    ACTIONS(3032), 1,
      anon_sym_SLASH,
    STATE(1808), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1823), 1,
      sym_decorator,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [82618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1824), 1,
      sym_decorator,
    ACTIONS(3034), 4,
      anon_sym_COLON,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1846), 11,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      anon_sym_COLON_EQ,
      sym__escape_identifier,
  [82650] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2919), 1,
      aux_sym_type_identifier_token1,
    STATE(1825), 1,
      sym_decorator,
    ACTIONS(2917), 2,
      anon_sym_DOT,
      sym__escape_identifier,
    ACTIONS(1349), 3,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_as,
    ACTIONS(1347), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
  [82686] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1669), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1124), 1,
      sym__type_identifier,
    STATE(1826), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(894), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82736] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3036), 1,
      anon_sym_rec,
    STATE(1827), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2345), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(2013), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82786] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3038), 1,
      anon_sym_LBRACE,
    ACTIONS(3046), 1,
      anon_sym_QMARK,
    ACTIONS(3049), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3052), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(3041), 2,
      anon_sym_unpack,
      anon_sym_async,
    ACTIONS(3044), 2,
      anon_sym_GT,
      anon_sym_SLASH,
    STATE(1828), 2,
      sym_decorator,
      aux_sym_jsx_opening_element_repeat1,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [82836] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1829), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2670), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82886] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2919), 1,
      aux_sym_type_identifier_token1,
    STATE(1830), 1,
      sym_decorator,
    ACTIONS(2917), 2,
      anon_sym_DOT,
      sym__escape_identifier,
    ACTIONS(1349), 4,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
    ACTIONS(1347), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_PIPE,
  [82922] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(3055), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3057), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(3059), 1,
      sym__escape_identifier,
    STATE(1298), 1,
      sym__type_identifier,
    STATE(1831), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2793), 1,
      sym_module_primary_expression,
    STATE(1300), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [82972] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2740), 1,
      anon_sym_RPAREN,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1832), 1,
      sym_decorator,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2439), 1,
      sym_module_identifier,
    STATE(2638), 1,
      sym_module_expression,
    STATE(2928), 1,
      sym_functor_parameter,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83022] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1075), 1,
      anon_sym_unpack,
    ACTIONS(1079), 1,
      anon_sym_async,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1833), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2917), 1,
      sym_module_primary_expression,
    STATE(2942), 2,
      sym_value_identifier_path,
      sym_value_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1834), 1,
      sym_decorator,
    ACTIONS(1219), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
    ACTIONS(1217), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1213), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1400), 1,
      anon_sym_EQ,
    STATE(1835), 1,
      sym_decorator,
    ACTIONS(1395), 14,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [83138] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2986), 1,
      anon_sym_LBRACE,
    ACTIONS(2992), 1,
      anon_sym_QMARK,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3006), 1,
      anon_sym_GT,
    ACTIONS(3061), 1,
      anon_sym_SLASH,
    STATE(1800), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1836), 1,
      sym_decorator,
    STATE(2282), 1,
      sym__jsx_attribute_name,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2331), 1,
      sym__jsx_attribute,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2334), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [83192] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3065), 1,
      anon_sym_DOT,
    ACTIONS(3067), 1,
      anon_sym_LBRACK,
    STATE(1837), 1,
      sym_decorator,
    STATE(1938), 1,
      sym_call_arguments,
    ACTIONS(1251), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1247), 7,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2889), 1,
      anon_sym_EQ,
    STATE(1838), 1,
      sym_decorator,
    ACTIONS(2887), 13,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [83262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2845), 1,
      anon_sym_EQ,
    STATE(1839), 1,
      sym_decorator,
    ACTIONS(2843), 13,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [83293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1840), 1,
      sym_decorator,
    ACTIONS(1341), 4,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_PIPE,
      sym__escape_identifier,
  [83324] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_COLON,
    STATE(1841), 1,
      sym_decorator,
    STATE(1869), 1,
      sym_type_annotation,
    STATE(2047), 1,
      sym_variant_parameters,
    ACTIONS(2964), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [83363] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3071), 1,
      anon_sym_LPAREN,
    STATE(1842), 1,
      sym_decorator,
    STATE(1935), 1,
      sym_variant_arguments,
    ACTIONS(1281), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1279), 9,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83398] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1843), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2404), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(2013), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83445] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1844), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2369), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(1970), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(3073), 1,
      anon_sym_COLON,
    STATE(1845), 1,
      sym_decorator,
    STATE(1869), 1,
      sym_type_annotation,
    STATE(2019), 1,
      sym_variant_parameters,
    ACTIONS(2964), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [83529] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1846), 1,
      sym_decorator,
    ACTIONS(1122), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1117), 11,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83560] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1847), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2327), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(2013), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83607] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1960), 1,
      anon_sym_EQ_GT,
    STATE(1848), 1,
      sym_decorator,
    ACTIONS(1196), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1192), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83640] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1849), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2345), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(2013), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83687] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1850), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2304), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(1970), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1851), 1,
      sym_decorator,
    ACTIONS(1241), 4,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_else,
      aux_sym_value_identifier_token1,
    ACTIONS(1239), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1852), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2404), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(1970), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2919), 1,
      aux_sym_type_identifier_token1,
    STATE(1853), 1,
      sym_decorator,
    ACTIONS(2917), 2,
      anon_sym_DOT,
      sym__escape_identifier,
    ACTIONS(1349), 3,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
    ACTIONS(1347), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_PIPE,
  [83847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1854), 1,
      sym_decorator,
    ACTIONS(1265), 4,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_else,
      aux_sym_value_identifier_token1,
    ACTIONS(1263), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83878] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3063), 1,
      anon_sym_LPAREN,
    ACTIONS(3065), 1,
      anon_sym_DOT,
    ACTIONS(3067), 1,
      anon_sym_LBRACK,
    STATE(1855), 1,
      sym_decorator,
    STATE(1938), 1,
      sym_call_arguments,
    ACTIONS(3079), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(3077), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3075), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1856), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2411), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(2013), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [83966] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1857), 1,
      sym_decorator,
    ACTIONS(1122), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1117), 11,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [83997] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2978), 1,
      anon_sym_LPAREN,
    ACTIONS(3081), 1,
      anon_sym_BANG,
    STATE(1858), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2389), 1,
      sym_module_expression,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [84044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1859), 1,
      sym_decorator,
    ACTIONS(1237), 4,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_else,
      aux_sym_value_identifier_token1,
    ACTIONS(1235), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84075] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2826), 1,
      anon_sym_EQ,
    ACTIONS(2968), 1,
      anon_sym_COLON,
    STATE(1860), 1,
      sym_decorator,
    STATE(1995), 1,
      sym_type_annotation,
    ACTIONS(2824), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [84110] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3083), 1,
      anon_sym_EQ_GT,
    ACTIONS(3086), 1,
      anon_sym_as,
    STATE(1861), 1,
      sym_decorator,
    ACTIONS(2834), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2832), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [84145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1862), 1,
      sym_decorator,
    ACTIONS(1245), 4,
      anon_sym_unpack,
      anon_sym_async,
      anon_sym_else,
      aux_sym_value_identifier_token1,
    ACTIONS(1243), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84176] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    STATE(1863), 1,
      sym_decorator,
    STATE(1920), 1,
      sym__extension_expression_payload,
    ACTIONS(1261), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1257), 9,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3071), 1,
      anon_sym_LPAREN,
    STATE(1864), 1,
      sym_decorator,
    STATE(1936), 1,
      sym_variant_arguments,
    ACTIONS(1277), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1273), 9,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84246] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2978), 1,
      anon_sym_LPAREN,
    ACTIONS(3090), 1,
      anon_sym_BANG,
    STATE(1865), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2438), 1,
      sym_module_expression,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [84293] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1144), 1,
      anon_sym_unpack,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    STATE(1866), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2411), 1,
      sym_type_binding,
    STATE(2855), 1,
      sym_module_primary_expression,
    STATE(1970), 2,
      sym_type_identifier_path,
      sym_type_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [84340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2954), 1,
      anon_sym_EQ,
    STATE(1867), 1,
      sym_decorator,
    ACTIONS(2952), 13,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [84371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      anon_sym_COLON,
    STATE(1868), 1,
      sym_decorator,
    STATE(1869), 1,
      sym_type_annotation,
    STATE(2128), 1,
      sym_variant_parameters,
    ACTIONS(2964), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [84407] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2826), 1,
      anon_sym_EQ,
    STATE(1869), 1,
      sym_decorator,
    ACTIONS(2824), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [84437] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3096), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1870), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [84483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1871), 1,
      sym_decorator,
    ACTIONS(1491), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1489), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84513] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1872), 1,
      sym_decorator,
    ACTIONS(1623), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1621), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84543] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1873), 1,
      sym_decorator,
    ACTIONS(1365), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1363), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1874), 1,
      sym_decorator,
    ACTIONS(1265), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1263), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1875), 1,
      sym_decorator,
    ACTIONS(1479), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1477), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84633] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1876), 1,
      sym_decorator,
    ACTIONS(1427), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1425), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1877), 1,
      sym_decorator,
    ACTIONS(1423), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1421), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84693] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1878), 1,
      sym_decorator,
    ACTIONS(1599), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1597), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1879), 1,
      sym_decorator,
    ACTIONS(1463), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1461), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84753] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1880), 1,
      sym_decorator,
    ACTIONS(1635), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1633), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1881), 1,
      sym_decorator,
    ACTIONS(1313), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1311), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84813] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1882), 1,
      sym_decorator,
    ACTIONS(1631), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1629), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84843] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1883), 1,
      sym_decorator,
    ACTIONS(1627), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1625), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84873] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1884), 1,
      sym_decorator,
    ACTIONS(1487), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1485), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1885), 1,
      sym_decorator,
    ACTIONS(1619), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1617), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1886), 1,
      sym_decorator,
    ACTIONS(1615), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1613), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1887), 1,
      sym_decorator,
    ACTIONS(1611), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1609), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [84993] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1888), 1,
      sym_decorator,
    ACTIONS(1607), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1605), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1889), 1,
      sym_decorator,
    ACTIONS(1603), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1601), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1890), 1,
      sym_decorator,
    ACTIONS(1483), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1481), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1891), 1,
      sym_decorator,
    ACTIONS(1595), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1593), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1892), 1,
      sym_decorator,
    ACTIONS(1397), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1400), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1395), 8,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85145] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3098), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1893), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [85191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1894), 1,
      sym_decorator,
    ACTIONS(1591), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1589), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85221] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1895), 1,
      sym_decorator,
    ACTIONS(1587), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1585), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1896), 1,
      sym_decorator,
    ACTIONS(1385), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1383), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85281] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1897), 1,
      sym_decorator,
    ACTIONS(1229), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1227), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1898), 1,
      sym_decorator,
    ACTIONS(1583), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1581), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1899), 1,
      sym_decorator,
    ACTIONS(1579), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1577), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1900), 1,
      sym_decorator,
    ACTIONS(1575), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1573), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85401] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1901), 1,
      sym_decorator,
    ACTIONS(1571), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1569), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1902), 1,
      sym_decorator,
    ACTIONS(1567), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1565), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1903), 1,
      sym_decorator,
    ACTIONS(1563), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1561), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1904), 1,
      sym_decorator,
    ACTIONS(1381), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1379), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1905), 1,
      sym_decorator,
    ACTIONS(1559), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1557), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85551] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1906), 1,
      sym_decorator,
    ACTIONS(1555), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1553), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85581] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1907), 1,
      sym_decorator,
    ACTIONS(1551), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1549), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85611] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1908), 1,
      sym_decorator,
    ACTIONS(1547), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1545), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1909), 1,
      sym_decorator,
    ACTIONS(1543), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1541), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1910), 1,
      sym_decorator,
    ACTIONS(1223), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1221), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85701] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1911), 1,
      sym_decorator,
    ACTIONS(1539), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1537), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85731] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1912), 1,
      sym_decorator,
    ACTIONS(1535), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1533), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85761] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1913), 1,
      sym_decorator,
    ACTIONS(1182), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1180), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1914), 1,
      sym_decorator,
    ACTIONS(1531), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1529), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85821] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1915), 1,
      sym_decorator,
    ACTIONS(1373), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1371), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85851] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1916), 1,
      sym_decorator,
    ACTIONS(1527), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1525), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1917), 1,
      sym_decorator,
    ACTIONS(1523), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1521), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1918), 1,
      sym_decorator,
    ACTIONS(1519), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1517), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1919), 1,
      sym_decorator,
    ACTIONS(1515), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1513), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [85971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1920), 1,
      sym_decorator,
    ACTIONS(1511), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1509), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1921), 1,
      sym_decorator,
    ACTIONS(1309), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1307), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1922), 1,
      sym_decorator,
    ACTIONS(1507), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1505), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1923), 1,
      sym_decorator,
    ACTIONS(1503), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1501), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1924), 1,
      sym_decorator,
    ACTIONS(1361), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1359), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1925), 1,
      sym_decorator,
    ACTIONS(1233), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1231), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1926), 1,
      sym_decorator,
    ACTIONS(1495), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1493), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86181] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1927), 1,
      sym_decorator,
    ACTIONS(1251), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1247), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1928), 1,
      sym_decorator,
    ACTIONS(1431), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1429), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86241] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1929), 1,
      sym_decorator,
    ACTIONS(1475), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1473), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1930), 1,
      sym_decorator,
    ACTIONS(1471), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1469), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86301] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1931), 1,
      sym_decorator,
    ACTIONS(1467), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1465), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1932), 1,
      sym_decorator,
    ACTIONS(1451), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1449), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86361] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1933), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2604), 1,
      sym_module_expression,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [86405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1934), 1,
      sym_decorator,
    ACTIONS(1447), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1445), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1935), 1,
      sym_decorator,
    ACTIONS(1443), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1441), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86465] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1936), 1,
      sym_decorator,
    ACTIONS(1439), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1437), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1937), 1,
      sym_decorator,
    ACTIONS(1337), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1335), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86525] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1938), 1,
      sym_decorator,
    ACTIONS(1435), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1433), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86555] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1939), 1,
      sym_decorator,
    ACTIONS(1419), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1417), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1940), 1,
      sym_decorator,
    ACTIONS(1415), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1413), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1941), 1,
      sym_decorator,
    ACTIONS(1411), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1409), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2834), 1,
      anon_sym_EQ,
    ACTIONS(3083), 1,
      anon_sym_EQ_GT,
    ACTIONS(3100), 1,
      anon_sym_as,
    STATE(1942), 1,
      sym_decorator,
    ACTIONS(2832), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_with,
  [86679] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1943), 1,
      sym_decorator,
    ACTIONS(1196), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1192), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [86709] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2978), 1,
      anon_sym_LPAREN,
    STATE(1944), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2428), 1,
      sym_module_expression,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [86753] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1945), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2544), 1,
      sym_module_expression,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [86797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2869), 1,
      anon_sym_EQ,
    STATE(1946), 1,
      sym_decorator,
    ACTIONS(2867), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [86827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2849), 1,
      anon_sym_EQ,
    STATE(1947), 1,
      sym_decorator,
    ACTIONS(2847), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [86857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2911), 1,
      anon_sym_EQ,
    STATE(1948), 1,
      sym_decorator,
    ACTIONS(2909), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [86887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2923), 1,
      anon_sym_EQ,
    STATE(1949), 1,
      sym_decorator,
    ACTIONS(2921), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [86917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2946), 1,
      anon_sym_EQ,
    STATE(1950), 1,
      sym_decorator,
    ACTIONS(2944), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [86947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2915), 1,
      anon_sym_EQ,
    STATE(1951), 1,
      sym_decorator,
    ACTIONS(2913), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [86977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    ACTIONS(3106), 1,
      anon_sym_PIPE,
    STATE(1952), 1,
      sym_decorator,
    STATE(1991), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_as,
  [87011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2901), 1,
      anon_sym_EQ,
    STATE(1953), 1,
      sym_decorator,
    ACTIONS(2899), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2873), 1,
      anon_sym_EQ,
    STATE(1954), 1,
      sym_decorator,
    ACTIONS(2871), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    STATE(1955), 1,
      sym_decorator,
    ACTIONS(2855), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2877), 1,
      anon_sym_EQ,
    STATE(1956), 1,
      sym_decorator,
    ACTIONS(2875), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2907), 1,
      anon_sym_EQ,
    STATE(1957), 1,
      sym_decorator,
    ACTIONS(2905), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3106), 1,
      anon_sym_PIPE,
    ACTIONS(3110), 1,
      anon_sym_EQ,
    STATE(1958), 1,
      sym_decorator,
    STATE(1992), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_as,
  [87195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2931), 1,
      anon_sym_EQ,
    STATE(1959), 1,
      sym_decorator,
    ACTIONS(2929), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87225] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2935), 1,
      anon_sym_EQ,
    STATE(1960), 1,
      sym_decorator,
    ACTIONS(2933), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87255] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2927), 1,
      anon_sym_EQ,
    STATE(1961), 1,
      sym_decorator,
    ACTIONS(2925), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2881), 1,
      anon_sym_EQ,
    STATE(1962), 1,
      sym_decorator,
    ACTIONS(2879), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2885), 1,
      anon_sym_EQ,
    STATE(1963), 1,
      sym_decorator,
    ACTIONS(2883), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3112), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1964), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [87391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1217), 1,
      anon_sym_EQ,
    ACTIONS(2941), 1,
      anon_sym_EQ_GT,
    STATE(1965), 1,
      sym_decorator,
    ACTIONS(1213), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87423] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1896), 1,
      anon_sym_EQ,
    ACTIONS(1898), 1,
      anon_sym_as,
    ACTIONS(3116), 1,
      anon_sym_DOT_DOT,
    STATE(1966), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(3114), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
  [87459] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2861), 1,
      anon_sym_EQ,
    STATE(1967), 1,
      sym_decorator,
    ACTIONS(2859), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87489] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2764), 1,
      anon_sym_module,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2978), 1,
      anon_sym_LPAREN,
    STATE(1968), 1,
      sym_decorator,
    STATE(2031), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2421), 1,
      sym_module_expression,
    STATE(2264), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [87533] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(1969), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2596), 1,
      sym_module_expression,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [87577] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3120), 1,
      anon_sym_EQ,
    ACTIONS(3122), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(3124), 1,
      anon_sym_LT,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(1970), 1,
      sym_decorator,
    STATE(2076), 1,
      sym_type_parameters,
    STATE(2250), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3118), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [87619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2834), 1,
      anon_sym_EQ,
    STATE(1971), 1,
      sym_decorator,
    ACTIONS(2832), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87649] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3128), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1972), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [87695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2853), 1,
      anon_sym_EQ,
    STATE(1973), 1,
      sym_decorator,
    ACTIONS(2851), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87725] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1927), 1,
      anon_sym_EQ,
    ACTIONS(3130), 1,
      anon_sym_LPAREN,
    STATE(1974), 1,
      sym_decorator,
    STATE(2084), 1,
      sym__variant_pattern_parameters,
    ACTIONS(1929), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [87759] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1917), 1,
      anon_sym_EQ,
    ACTIONS(3130), 1,
      anon_sym_LPAREN,
    STATE(1975), 1,
      sym_decorator,
    STATE(2083), 1,
      sym__variant_pattern_parameters,
    ACTIONS(1919), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [87793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2780), 1,
      anon_sym_EQ,
    STATE(1976), 1,
      sym_decorator,
    ACTIONS(2778), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [87823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    STATE(1977), 1,
      sym_decorator,
    STATE(2001), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [87855] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_EQ,
    STATE(1978), 1,
      sym_decorator,
    STATE(2002), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [87887] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1896), 1,
      anon_sym_EQ,
    ACTIONS(1931), 1,
      anon_sym_as,
    ACTIONS(3116), 1,
      anon_sym_DOT_DOT,
    STATE(1979), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(3114), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
  [87923] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3132), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1980), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [87969] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3134), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1981), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88015] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2826), 1,
      anon_sym_EQ,
    ACTIONS(3004), 1,
      anon_sym_COLON,
    STATE(1982), 1,
      sym_decorator,
    STATE(1995), 1,
      sym_type_annotation,
    ACTIONS(2824), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88049] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3130), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      anon_sym_EQ,
    STATE(1983), 1,
      sym_decorator,
    STATE(2050), 1,
      sym__variant_pattern_parameters,
    ACTIONS(3136), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [88083] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3140), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1984), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2865), 1,
      anon_sym_EQ,
    STATE(1985), 1,
      sym_decorator,
    ACTIONS(2863), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88159] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3142), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1986), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88205] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2970), 1,
      anon_sym_EQ,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3146), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(1987), 1,
      sym_decorator,
    STATE(2067), 1,
      sym_variant_parameters,
    ACTIONS(2964), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [88243] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3148), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1988), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2893), 1,
      anon_sym_EQ,
    STATE(1989), 1,
      sym_decorator,
    ACTIONS(2891), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88319] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2958), 1,
      anon_sym_EQ,
    ACTIONS(3150), 1,
      anon_sym_PIPE,
    STATE(1990), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_as,
  [88351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3106), 1,
      anon_sym_PIPE,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    STATE(1990), 1,
      aux_sym_variant_type_repeat1,
    STATE(1991), 1,
      sym_decorator,
    ACTIONS(3153), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_as,
  [88385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    ACTIONS(3106), 1,
      anon_sym_PIPE,
    STATE(1990), 1,
      aux_sym_variant_type_repeat1,
    STATE(1992), 1,
      sym_decorator,
    ACTIONS(3102), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_as,
  [88419] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3157), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1993), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88465] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3159), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1994), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2830), 1,
      anon_sym_EQ,
    STATE(1995), 1,
      sym_decorator,
    ACTIONS(2828), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2958), 1,
      anon_sym_EQ,
    STATE(1996), 1,
      sym_decorator,
    ACTIONS(2956), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2962), 1,
      anon_sym_EQ,
    STATE(1997), 1,
      sym_decorator,
    ACTIONS(2960), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88601] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3161), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1998), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2950), 1,
      anon_sym_EQ,
    STATE(1999), 1,
      sym_decorator,
    ACTIONS(2948), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88677] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3163), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2000), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    STATE(1990), 1,
      aux_sym_variant_type_repeat1,
    STATE(2001), 1,
      sym_decorator,
    ACTIONS(3153), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [88755] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    STATE(1990), 1,
      aux_sym_variant_type_repeat1,
    STATE(2002), 1,
      sym_decorator,
    ACTIONS(3102), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [88787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2939), 1,
      anon_sym_EQ,
    STATE(2003), 1,
      sym_decorator,
    ACTIONS(2937), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [88817] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3100), 1,
      anon_sym_as,
    ACTIONS(3168), 1,
      anon_sym_EQ,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    ACTIONS(3172), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(3174), 1,
      anon_sym_constraint,
    STATE(2004), 1,
      sym_decorator,
    STATE(2288), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3165), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [88859] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3177), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2005), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [88905] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3100), 1,
      anon_sym_as,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    ACTIONS(3174), 1,
      anon_sym_constraint,
    ACTIONS(3182), 1,
      anon_sym_EQ,
    ACTIONS(3184), 1,
      anon_sym_PLUS_EQ,
    STATE(2006), 1,
      sym_decorator,
    STATE(2291), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3179), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [88947] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(3186), 1,
      anon_sym_COLON,
    STATE(1869), 1,
      sym_type_annotation,
    STATE(2007), 1,
      sym_decorator,
    STATE(2110), 1,
      sym_variant_parameters,
    ACTIONS(2964), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
  [88983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2008), 1,
      sym_decorator,
    ACTIONS(1237), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(1235), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
      anon_sym_SLASH,
      sym__escape_identifier,
  [89013] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2841), 1,
      anon_sym_EQ,
    STATE(2009), 1,
      sym_decorator,
    ACTIONS(2839), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [89043] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3100), 1,
      anon_sym_as,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    ACTIONS(3188), 1,
      anon_sym_EQ,
    ACTIONS(3190), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(3192), 1,
      anon_sym_constraint,
    STATE(2010), 1,
      sym_decorator,
    STATE(2252), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3165), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [89085] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3195), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2011), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [89131] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3100), 1,
      anon_sym_as,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    ACTIONS(3192), 1,
      anon_sym_constraint,
    ACTIONS(3197), 1,
      anon_sym_EQ,
    ACTIONS(3199), 1,
      anon_sym_PLUS_EQ,
    STATE(2012), 1,
      sym_decorator,
    STATE(2271), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3179), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [89173] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3124), 1,
      anon_sym_LT,
    ACTIONS(3201), 1,
      anon_sym_EQ,
    ACTIONS(3203), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2013), 1,
      sym_decorator,
    STATE(2141), 1,
      sym_type_parameters,
    STATE(2240), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3118), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [89215] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2742), 1,
      anon_sym_module,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2802), 1,
      anon_sym_LPAREN,
    STATE(2014), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2325), 1,
      sym_module_primary_expression,
    STATE(2638), 1,
      sym_module_expression,
    STATE(2546), 2,
      sym_module_type_of,
      sym_module_type_constraint,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [89259] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    ACTIONS(3207), 1,
      anon_sym_SLASH,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2015), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [89305] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2016), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(3092), 1,
      sym__record_type_member,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(3032), 2,
      sym_record_type_field,
      sym_type_spread,
  [89350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3086), 1,
      anon_sym_as,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    STATE(2017), 1,
      sym_decorator,
    ACTIONS(2834), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(2832), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [89383] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2018), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(3092), 1,
      sym__record_type_member,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(3032), 2,
      sym_record_type_field,
      sym_type_spread,
  [89428] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3073), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_type_annotation,
    STATE(2019), 1,
      sym_decorator,
    ACTIONS(2824), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [89459] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3213), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2020), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(3092), 1,
      sym__record_type_member,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(3032), 2,
      sym_record_type_field,
      sym_type_spread,
  [89504] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3215), 1,
      anon_sym_GT,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1836), 1,
      sym__jsx_element_name,
    STATE(2021), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [89547] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    STATE(2022), 1,
      sym_decorator,
    STATE(2032), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [89578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_EQ,
    STATE(2023), 1,
      sym_decorator,
    STATE(2033), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [89609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    ACTIONS(3217), 1,
      anon_sym_PIPE,
    STATE(2024), 1,
      sym_decorator,
    STATE(2044), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_with,
  [89642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_EQ,
    ACTIONS(3217), 1,
      anon_sym_PIPE,
    STATE(2025), 1,
      sym_decorator,
    STATE(2046), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_with,
  [89675] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2919), 1,
      aux_sym_type_identifier_token1,
    STATE(2026), 1,
      sym_decorator,
    ACTIONS(2917), 2,
      anon_sym_DOT,
      sym__escape_identifier,
    ACTIONS(1349), 3,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
    ACTIONS(1347), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_PIPE,
  [89708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2027), 1,
      sym_decorator,
    ACTIONS(1341), 4,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 8,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_PIPE,
      sym__escape_identifier,
  [89737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1122), 1,
      anon_sym_EQ,
    ACTIONS(3219), 1,
      anon_sym_LPAREN,
    STATE(2028), 1,
      sym_decorator,
    ACTIONS(1117), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [89768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2029), 1,
      sym_decorator,
    ACTIONS(1846), 12,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [89795] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3221), 1,
      anon_sym_GT,
    STATE(1810), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2030), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [89838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_DOT,
    STATE(2031), 1,
      sym_decorator,
    STATE(2119), 1,
      sym_functor_arguments,
    ACTIONS(3223), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [89871] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    STATE(2032), 1,
      sym_decorator,
    STATE(2043), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [89902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    STATE(2033), 1,
      sym_decorator,
    STATE(2043), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [89933] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1896), 1,
      anon_sym_EQ,
    ACTIONS(1898), 1,
      anon_sym_as,
    STATE(2034), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(3114), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
  [89966] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3094), 1,
      anon_sym_GT,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2035), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [90009] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3229), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2036), 1,
      sym_decorator,
    STATE(2169), 1,
      sym_variant_parameters,
    ACTIONS(2964), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [90044] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2834), 1,
      anon_sym_EQ,
    ACTIONS(3100), 1,
      anon_sym_as,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    STATE(2037), 1,
      sym_decorator,
    ACTIONS(2832), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_with,
  [90077] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1950), 1,
      anon_sym_EQ,
    STATE(2038), 1,
      sym_decorator,
    ACTIONS(1952), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90106] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3231), 1,
      anon_sym_GT,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1823), 1,
      sym__jsx_element_name,
    STATE(2039), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [90149] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_DOT,
    STATE(2040), 1,
      sym_decorator,
    STATE(2119), 1,
      sym_functor_arguments,
    ACTIONS(3233), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [90182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1896), 1,
      anon_sym_EQ,
    ACTIONS(1931), 1,
      anon_sym_as,
    STATE(2041), 1,
      sym_decorator,
    STATE(2086), 1,
      sym_as_aliasing,
    ACTIONS(3114), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
  [90215] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    ACTIONS(3235), 1,
      anon_sym_GT,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1820), 1,
      sym__jsx_element_name,
    STATE(2042), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [90258] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2958), 1,
      anon_sym_EQ,
    ACTIONS(3237), 1,
      anon_sym_PIPE,
    STATE(2043), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_with,
  [90289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    ACTIONS(3217), 1,
      anon_sym_PIPE,
    STATE(2043), 1,
      aux_sym_variant_type_repeat1,
    STATE(2044), 1,
      sym_decorator,
    ACTIONS(3153), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_with,
  [90322] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3240), 1,
      anon_sym_RBRACE,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2045), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(3092), 1,
      sym__record_type_member,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(3032), 2,
      sym_record_type_field,
      sym_type_spread,
  [90367] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    ACTIONS(3217), 1,
      anon_sym_PIPE,
    STATE(2043), 1,
      aux_sym_variant_type_repeat1,
    STATE(2046), 1,
      sym_decorator,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
      anon_sym_with,
  [90400] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2826), 1,
      anon_sym_EQ,
    ACTIONS(3069), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_type_annotation,
    STATE(2047), 1,
      sym_decorator,
    ACTIONS(2824), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [90433] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3244), 1,
      anon_sym_EQ,
    STATE(2048), 1,
      sym_decorator,
    STATE(2131), 1,
      sym_type_annotation,
    ACTIONS(3242), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90464] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3246), 1,
      anon_sym_PIPE,
    STATE(2049), 1,
      sym_decorator,
    STATE(2066), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3110), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3108), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [90496] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3250), 1,
      anon_sym_EQ,
    STATE(2050), 1,
      sym_decorator,
    ACTIONS(3248), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90524] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3254), 1,
      anon_sym_EQ,
    STATE(2051), 1,
      sym_decorator,
    ACTIONS(3252), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3258), 1,
      anon_sym_EQ,
    STATE(2052), 1,
      sym_decorator,
    ACTIONS(3256), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3262), 1,
      anon_sym_EQ,
    STATE(2053), 1,
      sym_decorator,
    ACTIONS(3260), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90608] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2054), 1,
      sym_decorator,
    STATE(3241), 1,
      sym__jsx_element_name,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [90648] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2055), 1,
      sym_decorator,
    STATE(3285), 1,
      sym__jsx_element_name,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [90688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3264), 1,
      anon_sym_PIPE,
    STATE(2056), 1,
      sym_decorator,
    STATE(2107), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
  [90718] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3264), 1,
      anon_sym_PIPE,
    STATE(2057), 1,
      sym_decorator,
    STATE(2107), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
  [90748] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3268), 1,
      anon_sym_EQ,
    ACTIONS(3270), 1,
      anon_sym_PIPE,
    STATE(2058), 1,
      sym_decorator,
    ACTIONS(3266), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90778] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2907), 1,
      anon_sym_EQ,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2059), 1,
      sym_decorator,
    ACTIONS(2905), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
  [90808] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2060), 1,
      sym_decorator,
    STATE(3181), 1,
      sym__jsx_element_name,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [90848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3277), 1,
      anon_sym_EQ,
    STATE(2061), 1,
      sym_decorator,
    ACTIONS(3275), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3281), 1,
      anon_sym_EQ,
    STATE(2062), 1,
      sym_decorator,
    ACTIONS(3279), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3285), 1,
      anon_sym_EQ,
    STATE(2063), 1,
      sym_decorator,
    ACTIONS(3283), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90932] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3289), 1,
      anon_sym_EQ,
    STATE(2064), 1,
      sym_decorator,
    ACTIONS(3287), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90960] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3293), 1,
      anon_sym_EQ,
    STATE(2065), 1,
      sym_decorator,
    ACTIONS(3291), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [90988] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3246), 1,
      anon_sym_PIPE,
    STATE(2066), 1,
      sym_decorator,
    STATE(2070), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3104), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3102), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [91020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2826), 1,
      anon_sym_EQ,
    ACTIONS(3146), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2067), 1,
      sym_decorator,
    ACTIONS(2824), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [91052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2022), 1,
      anon_sym_EQ,
    STATE(2068), 1,
      sym_decorator,
    ACTIONS(2024), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3246), 1,
      anon_sym_PIPE,
    STATE(2069), 1,
      sym_decorator,
    STATE(2070), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3155), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3153), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [91112] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3295), 1,
      anon_sym_PIPE,
    ACTIONS(2958), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    STATE(2070), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [91142] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1217), 1,
      anon_sym_EQ,
    STATE(2071), 1,
      sym_decorator,
    ACTIONS(1213), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91170] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(3298), 1,
      aux_sym_variant_identifier_token1,
    STATE(2072), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2865), 1,
      sym_module_primary_expression,
    STATE(2482), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [91208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3302), 1,
      anon_sym_EQ,
    STATE(2073), 1,
      sym_decorator,
    ACTIONS(3300), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91236] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1820), 1,
      sym__jsx_element_name,
    STATE(2074), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [91276] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2075), 1,
      sym_decorator,
    STATE(3274), 1,
      sym__jsx_element_name,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [91316] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    ACTIONS(3306), 1,
      anon_sym_EQ,
    ACTIONS(3308), 1,
      anon_sym_PLUS_EQ,
    STATE(2076), 1,
      sym_decorator,
    STATE(2231), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3304), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [91352] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(2788), 1,
      anon_sym_mutable,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2077), 1,
      sym_decorator,
    STATE(2761), 1,
      sym_value_identifier,
    STATE(3092), 1,
      sym__record_type_member,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(3032), 2,
      sym_record_type_field,
      sym_type_spread,
  [91394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(2078), 1,
      sym_decorator,
    STATE(2080), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
  [91426] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(2079), 1,
      sym_decorator,
    STATE(2080), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
  [91458] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2958), 1,
      anon_sym_EQ,
    ACTIONS(3312), 1,
      anon_sym_PIPE,
    STATE(2080), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
  [91488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3246), 1,
      anon_sym_PIPE,
    STATE(2069), 1,
      aux_sym_variant_type_repeat1,
    STATE(2081), 1,
      sym_decorator,
    ACTIONS(3104), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3102), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [91520] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3315), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2082), 1,
      sym_decorator,
    STATE(2220), 1,
      sym_variant_parameters,
    ACTIONS(2964), 7,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [91554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3319), 1,
      anon_sym_EQ,
    STATE(2083), 1,
      sym_decorator,
    ACTIONS(3317), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3138), 1,
      anon_sym_EQ,
    STATE(2084), 1,
      sym_decorator,
    ACTIONS(3136), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91610] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2085), 1,
      sym_decorator,
    STATE(3256), 1,
      sym__jsx_element_name,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [91650] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3323), 1,
      anon_sym_EQ,
    STATE(2086), 1,
      sym_decorator,
    ACTIONS(3321), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3327), 1,
      anon_sym_EQ,
    STATE(2087), 1,
      sym_decorator,
    ACTIONS(3325), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91706] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3331), 1,
      anon_sym_EQ,
    STATE(2088), 1,
      sym_decorator,
    ACTIONS(3329), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3335), 1,
      anon_sym_EQ,
    STATE(2089), 1,
      sym_decorator,
    ACTIONS(3333), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91762] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2090), 1,
      sym_decorator,
    ACTIONS(3337), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [91788] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2091), 1,
      sym_decorator,
    STATE(2144), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3110), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3108), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [91818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3341), 1,
      anon_sym_EQ,
    STATE(2092), 1,
      sym_decorator,
    ACTIONS(3339), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91846] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3345), 1,
      anon_sym_EQ,
    STATE(2093), 1,
      sym_decorator,
    ACTIONS(3343), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91874] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3264), 1,
      anon_sym_PIPE,
    STATE(2057), 1,
      aux_sym_variant_type_repeat1,
    STATE(2094), 1,
      sym_decorator,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
  [91904] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3349), 1,
      anon_sym_EQ,
    STATE(2095), 1,
      sym_decorator,
    ACTIONS(3347), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [91932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2096), 1,
      sym_decorator,
    ACTIONS(3337), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [91958] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1816), 1,
      sym__jsx_element_name,
    STATE(2097), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [91998] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2098), 1,
      sym_decorator,
    STATE(2127), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3104), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3102), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [92028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3353), 1,
      anon_sym_EQ,
    STATE(2099), 1,
      sym_decorator,
    ACTIONS(3351), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2100), 1,
      sym_decorator,
    ACTIONS(3355), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2101), 1,
      sym_decorator,
    STATE(2107), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [92110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2102), 1,
      sym_decorator,
    STATE(2107), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [92138] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3359), 1,
      anon_sym_EQ,
    STATE(2103), 1,
      sym_decorator,
    ACTIONS(3357), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92166] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2104), 1,
      sym_decorator,
    ACTIONS(3361), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2105), 1,
      sym_decorator,
    ACTIONS(3363), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    STATE(2106), 1,
      sym_decorator,
    ACTIONS(3365), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3369), 1,
      anon_sym_PIPE,
    STATE(2107), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
  [92274] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1823), 1,
      sym__jsx_element_name,
    STATE(2108), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [92314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2109), 1,
      sym_decorator,
    ACTIONS(3372), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92340] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3186), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_type_annotation,
    STATE(2110), 1,
      sym_decorator,
    ACTIONS(2824), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
  [92370] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3264), 1,
      anon_sym_PIPE,
    STATE(2056), 1,
      aux_sym_variant_type_repeat1,
    STATE(2111), 1,
      sym_decorator,
    ACTIONS(3108), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
      anon_sym_with,
  [92400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2112), 1,
      sym_decorator,
    ACTIONS(3374), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92426] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    STATE(2080), 1,
      aux_sym_variant_type_repeat1,
    STATE(2113), 1,
      sym_decorator,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [92456] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_EQ,
    STATE(2080), 1,
      aux_sym_variant_type_repeat1,
    STATE(2114), 1,
      sym_decorator,
    ACTIONS(3153), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [92486] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3378), 1,
      anon_sym_EQ,
    STATE(2115), 1,
      sym_decorator,
    ACTIONS(3376), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3382), 1,
      anon_sym_EQ,
    STATE(2116), 1,
      sym_decorator,
    ACTIONS(3380), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2117), 1,
      sym_decorator,
    ACTIONS(3384), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92568] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3388), 1,
      anon_sym_EQ,
    STATE(2118), 1,
      sym_decorator,
    ACTIONS(3386), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2119), 1,
      sym_decorator,
    ACTIONS(3390), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92622] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1806), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2120), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [92662] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    STATE(2121), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2857), 1,
      sym_module_primary_expression,
    STATE(1983), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [92700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2122), 1,
      sym_decorator,
    ACTIONS(3392), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2123), 1,
      sym_decorator,
    ACTIONS(3394), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [92752] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2101), 1,
      aux_sym_variant_type_repeat1,
    STATE(2124), 1,
      sym_decorator,
    ACTIONS(3108), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [92780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2102), 1,
      aux_sym_variant_type_repeat1,
    STATE(2125), 1,
      sym_decorator,
    ACTIONS(3102), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [92808] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3398), 1,
      anon_sym_EQ,
    STATE(2126), 1,
      sym_decorator,
    ACTIONS(3396), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2070), 1,
      aux_sym_variant_type_repeat1,
    STATE(2127), 1,
      sym_decorator,
    ACTIONS(3155), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3153), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [92866] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3092), 1,
      anon_sym_COLON,
    STATE(1995), 1,
      sym_type_annotation,
    STATE(2128), 1,
      sym_decorator,
    ACTIONS(2824), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [92896] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3402), 1,
      anon_sym_EQ,
    STATE(2129), 1,
      sym_decorator,
    ACTIONS(3400), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92924] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2130), 1,
      sym_decorator,
    STATE(3371), 1,
      sym__jsx_element_name,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [92964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3406), 1,
      anon_sym_EQ,
    STATE(2131), 1,
      sym_decorator,
    ACTIONS(3404), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [92992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2132), 1,
      sym_decorator,
    ACTIONS(3408), 11,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_DOT,
      anon_sym_PIPE,
      anon_sym_with,
  [93018] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(3298), 1,
      aux_sym_variant_identifier_token1,
    STATE(2133), 1,
      sym_decorator,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2865), 1,
      sym_module_primary_expression,
    STATE(2468), 2,
      sym_nested_variant_identifier,
      sym_variant_identifier,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [93056] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1810), 1,
      sym__jsx_element_name,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2134), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [93096] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_EQ,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(2078), 1,
      aux_sym_variant_type_repeat1,
    STATE(2135), 1,
      sym_decorator,
    ACTIONS(3108), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
  [93128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    ACTIONS(3310), 1,
      anon_sym_PIPE,
    STATE(2079), 1,
      aux_sym_variant_type_repeat1,
    STATE(2136), 1,
      sym_decorator,
    ACTIONS(3102), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_as,
  [93160] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_EQ,
    STATE(2113), 1,
      aux_sym_variant_type_repeat1,
    STATE(2137), 1,
      sym_decorator,
    ACTIONS(3108), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [93190] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_EQ,
    STATE(2114), 1,
      aux_sym_variant_type_repeat1,
    STATE(2138), 1,
      sym_decorator,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [93220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2000), 1,
      anon_sym_EQ,
    STATE(2139), 1,
      sym_decorator,
    ACTIONS(2002), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [93248] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1836), 1,
      sym__jsx_element_name,
    STATE(2140), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2219), 2,
      sym__jsx_identifier,
      sym_nested_jsx_identifier,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [93288] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    ACTIONS(3410), 1,
      anon_sym_EQ,
    ACTIONS(3412), 1,
      anon_sym_PLUS_EQ,
    STATE(2141), 1,
      sym_decorator,
    STATE(2242), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3304), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [93324] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2012), 1,
      anon_sym_EQ,
    STATE(2142), 1,
      sym_decorator,
    ACTIONS(2014), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [93352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3416), 1,
      anon_sym_EQ,
    STATE(2143), 1,
      sym_decorator,
    ACTIONS(3414), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [93380] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2070), 1,
      aux_sym_variant_type_repeat1,
    STATE(2144), 1,
      sym_decorator,
    ACTIONS(3104), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3102), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [93410] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3420), 1,
      anon_sym_EQ,
    STATE(2145), 1,
      sym_decorator,
    ACTIONS(3418), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [93438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2146), 1,
      sym_decorator,
    ACTIONS(3422), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
  [93463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2147), 1,
      sym_decorator,
    ACTIONS(3424), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3337), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [93490] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3426), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2148), 1,
      sym_decorator,
    STATE(2322), 1,
      sym_variant_parameters,
    ACTIONS(2964), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [93523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3428), 1,
      anon_sym_PIPE,
    STATE(2149), 1,
      sym_decorator,
    STATE(2200), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
  [93552] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2150), 1,
      sym_decorator,
    ACTIONS(3430), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3355), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [93579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1077), 1,
      anon_sym_LBRACK,
    ACTIONS(1091), 1,
      sym__list_constructor,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2151), 1,
      sym_decorator,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2673), 3,
      sym_array_pattern,
      sym_list_pattern,
      sym_value_identifier,
  [93616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(171), 1,
      aux_sym_template_string_token1,
    ACTIONS(173), 1,
      anon_sym_SQUOTE,
    ACTIONS(1087), 1,
      sym_number,
    STATE(2106), 1,
      sym__literal_pattern,
    STATE(2152), 1,
      sym_decorator,
    ACTIONS(1089), 2,
      sym_true,
      sym_false,
    STATE(2038), 3,
      sym_string,
      sym_template_string,
      sym_character,
  [93653] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2153), 1,
      sym_decorator,
    ACTIONS(3432), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
  [93678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2154), 1,
      sym_decorator,
    ACTIONS(3434), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3390), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [93705] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2155), 1,
      sym_decorator,
    STATE(2249), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3436), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [93738] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3428), 1,
      anon_sym_PIPE,
    STATE(2156), 1,
      sym_decorator,
    STATE(2205), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
  [93767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2157), 1,
      sym_decorator,
    ACTIONS(3440), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
  [93792] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3442), 1,
      anon_sym_PIPE,
    STATE(2158), 1,
      sym_decorator,
    STATE(2217), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
  [93821] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2159), 1,
      sym_decorator,
    STATE(2227), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3444), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [93854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2160), 1,
      sym_decorator,
    ACTIONS(3446), 10,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PLUS_EQ,
      anon_sym_constraint,
      anon_sym_PIPE,
  [93879] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2161), 1,
      sym_decorator,
    STATE(2235), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3448), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [93912] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3452), 1,
      anon_sym_BQUOTE,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2162), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3191), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [93951] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_COLON,
    ACTIONS(3460), 1,
      anon_sym_PIPE,
    STATE(2163), 1,
      sym_decorator,
    STATE(2168), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [93982] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2164), 1,
      sym_decorator,
    STATE(2257), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3462), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [94015] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3442), 1,
      anon_sym_PIPE,
    STATE(2165), 1,
      sym_decorator,
    STATE(2216), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
  [94044] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2166), 1,
      sym_decorator,
    ACTIONS(3464), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [94071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2167), 1,
      sym_decorator,
    ACTIONS(3466), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3394), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [94098] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_COLON,
    ACTIONS(3460), 1,
      anon_sym_PIPE,
    STATE(2168), 1,
      sym_decorator,
    STATE(2172), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3229), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2169), 1,
      sym_decorator,
    ACTIONS(2824), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94158] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2170), 1,
      sym_decorator,
    ACTIONS(1263), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(3470), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3468), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [94187] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_COLON,
    ACTIONS(3460), 1,
      anon_sym_PIPE,
    STATE(2171), 1,
      sym_decorator,
    STATE(2172), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94218] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2958), 1,
      anon_sym_COLON,
    ACTIONS(3472), 1,
      anon_sym_PIPE,
    STATE(2172), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94247] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3475), 1,
      anon_sym_BQUOTE,
    STATE(2173), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3382), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [94286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_COLON,
    ACTIONS(3460), 1,
      anon_sym_PIPE,
    STATE(2171), 1,
      aux_sym_variant_type_repeat1,
    STATE(2174), 1,
      sym_decorator,
    ACTIONS(3102), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94317] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2175), 1,
      sym_decorator,
    STATE(2277), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3477), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [94350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2176), 1,
      sym_decorator,
    ACTIONS(3479), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3408), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [94377] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3110), 1,
      anon_sym_COLON,
    STATE(2177), 1,
      sym_decorator,
    STATE(2179), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94406] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_COLON,
    STATE(2178), 1,
      sym_decorator,
    STATE(2180), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3104), 1,
      anon_sym_COLON,
    STATE(2172), 1,
      aux_sym_variant_type_repeat1,
    STATE(2179), 1,
      sym_decorator,
    ACTIONS(3102), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94464] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3155), 1,
      anon_sym_COLON,
    STATE(2172), 1,
      aux_sym_variant_type_repeat1,
    STATE(2180), 1,
      sym_decorator,
    ACTIONS(3153), 8,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_COLON_EQ,
  [94493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2181), 1,
      sym_decorator,
    STATE(2280), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3448), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [94526] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3481), 1,
      anon_sym_BQUOTE,
    STATE(2182), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3384), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [94565] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1349), 1,
      anon_sym_as,
    ACTIONS(2917), 1,
      sym__escape_identifier,
    STATE(2183), 1,
      sym_decorator,
    ACTIONS(2919), 2,
      anon_sym_DOT,
      aux_sym_type_identifier_token1,
    ACTIONS(1347), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
  [94596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2184), 1,
      sym_decorator,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    ACTIONS(3483), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [94623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2185), 1,
      sym_decorator,
    STATE(2189), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [94650] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3485), 1,
      anon_sym_BQUOTE,
    STATE(2186), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3230), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [94689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2187), 1,
      sym_decorator,
    STATE(2190), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [94716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2188), 1,
      sym_decorator,
    ACTIONS(3487), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3384), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [94743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2189), 1,
      sym_decorator,
    STATE(2200), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [94770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2190), 1,
      sym_decorator,
    STATE(2200), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
      anon_sym_as,
  [94797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2191), 1,
      sym_decorator,
    STATE(2281), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3444), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [94830] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2919), 1,
      aux_sym_type_identifier_token1,
    STATE(2192), 1,
      sym_decorator,
    ACTIONS(2917), 2,
      anon_sym_DOT,
      sym__escape_identifier,
    ACTIONS(1349), 3,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
    ACTIONS(1347), 4,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_PIPE,
  [94861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2193), 1,
      sym_decorator,
    ACTIONS(1235), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
    ACTIONS(3491), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3489), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [94890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2194), 1,
      sym_decorator,
    ACTIONS(1341), 4,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
      aux_sym_type_identifier_token1,
    ACTIONS(1339), 6,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_PIPE,
      sym__escape_identifier,
  [94917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2195), 1,
      sym_decorator,
    STATE(2206), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
  [94944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2196), 1,
      sym_decorator,
    STATE(2206), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
  [94971] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3493), 1,
      anon_sym_BQUOTE,
    STATE(2197), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3334), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [95010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2198), 1,
      sym_decorator,
    ACTIONS(3495), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3361), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [95037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2199), 1,
      sym_decorator,
    ACTIONS(3497), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3363), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [95064] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3499), 1,
      anon_sym_PIPE,
    STATE(2200), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
  [95091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2196), 1,
      aux_sym_variant_type_repeat1,
    STATE(2201), 1,
      sym_decorator,
    ACTIONS(3108), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
  [95118] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2202), 1,
      sym_decorator,
    STATE(2244), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3477), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [95151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2203), 1,
      sym_decorator,
    STATE(2278), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3462), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [95184] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2195), 1,
      aux_sym_variant_type_repeat1,
    STATE(2204), 1,
      sym_decorator,
    ACTIONS(3102), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_as,
  [95211] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3428), 1,
      anon_sym_PIPE,
    STATE(2200), 1,
      aux_sym_variant_type_repeat1,
    STATE(2205), 1,
      sym_decorator,
    ACTIONS(3153), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
  [95240] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    STATE(2206), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
  [95267] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3505), 1,
      anon_sym_BQUOTE,
    STATE(2207), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3293), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [95306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2208), 1,
      sym_decorator,
    ACTIONS(3507), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3374), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [95333] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2209), 1,
      sym_decorator,
    ACTIONS(3509), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3392), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [95360] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3511), 1,
      anon_sym_BQUOTE,
    STATE(2210), 1,
      sym_decorator,
    STATE(2294), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2434), 1,
      sym_template_substitution,
    STATE(3203), 1,
      sym_template_string_content,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [95399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2211), 1,
      sym_decorator,
    ACTIONS(3424), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3337), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [95426] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3513), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2212), 1,
      sym_decorator,
    STATE(2351), 1,
      sym_variant_parameters,
    ACTIONS(2964), 6,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [95459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3428), 1,
      anon_sym_PIPE,
    STATE(2149), 1,
      aux_sym_variant_type_repeat1,
    STATE(2213), 1,
      sym_decorator,
    ACTIONS(3108), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_as,
  [95488] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2214), 1,
      sym_decorator,
    ACTIONS(3515), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(3372), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_EQ,
      anon_sym_with,
  [95515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2215), 1,
      sym_decorator,
    STATE(2225), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3436), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [95548] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3442), 1,
      anon_sym_PIPE,
    STATE(2206), 1,
      aux_sym_variant_type_repeat1,
    STATE(2216), 1,
      sym_decorator,
    ACTIONS(3153), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
  [95577] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3442), 1,
      anon_sym_PIPE,
    STATE(2206), 1,
      aux_sym_variant_type_repeat1,
    STATE(2217), 1,
      sym_decorator,
    ACTIONS(3102), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_as,
  [95606] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2218), 1,
      sym_decorator,
    STATE(2263), 1,
      sym_module_primary_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [95640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3521), 1,
      anon_sym_DOT,
    STATE(2219), 1,
      sym_decorator,
    ACTIONS(3519), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3517), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [95668] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3315), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2220), 1,
      sym_decorator,
    ACTIONS(2824), 7,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [95696] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3523), 1,
      anon_sym_PIPE,
    STATE(2221), 1,
      sym_decorator,
    STATE(2245), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [95724] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2222), 1,
      sym_decorator,
    STATE(2570), 1,
      sym_module_primary_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [95758] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3527), 1,
      anon_sym_constraint,
    STATE(2373), 1,
      sym_type_constraint,
    STATE(2223), 2,
      sym_decorator,
      aux_sym_type_binding_repeat1,
    ACTIONS(3525), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [95786] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3523), 1,
      anon_sym_PIPE,
    STATE(2224), 1,
      sym_decorator,
    STATE(2236), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [95814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2225), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3530), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [95844] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3532), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2226), 1,
      sym_decorator,
    STATE(2445), 1,
      sym_variant_parameters,
    ACTIONS(2964), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [95876] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2227), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3534), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [95906] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2228), 1,
      sym_decorator,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    ACTIONS(3536), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
  [95934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3540), 1,
      anon_sym_PIPE,
    STATE(2229), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [95960] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    ACTIONS(3545), 1,
      anon_sym_EQ,
    STATE(2230), 1,
      sym_decorator,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    ACTIONS(3543), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [95990] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2231), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3547), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [96020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2232), 1,
      sym_decorator,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    ACTIONS(3549), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
  [96048] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2233), 1,
      sym_decorator,
    STATE(2247), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3553), 2,
      anon_sym_and,
      anon_sym_with,
    ACTIONS(3551), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PIPE,
  [96076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2234), 1,
      sym_decorator,
    ACTIONS(3555), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [96100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2235), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3557), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [96130] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3523), 1,
      anon_sym_PIPE,
    STATE(2229), 1,
      aux_sym_variant_type_repeat1,
    STATE(2236), 1,
      sym_decorator,
    ACTIONS(3153), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [96158] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    STATE(2237), 1,
      sym_decorator,
    STATE(3362), 1,
      sym_module_type_annotation,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [96190] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(161), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(874), 1,
      sym_variant_identifier,
    STATE(1022), 1,
      sym_value_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2238), 1,
      sym_decorator,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [96228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3563), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2239), 1,
      sym_decorator,
    STATE(2452), 1,
      sym_variant_parameters,
    ACTIONS(2964), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [96260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2240), 1,
      sym_decorator,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3304), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [96290] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(65), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(67), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3567), 1,
      sym__escape_identifier,
    STATE(897), 1,
      sym__reserved_identifier,
    STATE(1045), 1,
      sym_value_identifier,
    STATE(1160), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2241), 1,
      sym_decorator,
    ACTIONS(3565), 2,
      anon_sym_unpack,
      anon_sym_async,
  [96328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2242), 1,
      sym_decorator,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3547), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [96358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3569), 1,
      anon_sym_constraint,
    STATE(2373), 1,
      sym_type_constraint,
    STATE(2243), 2,
      sym_decorator,
      aux_sym_type_binding_repeat1,
    ACTIONS(3525), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [96386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2244), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3572), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [96416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3523), 1,
      anon_sym_PIPE,
    STATE(2229), 1,
      aux_sym_variant_type_repeat1,
    STATE(2245), 1,
      sym_decorator,
    ACTIONS(3102), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [96444] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3574), 1,
      anon_sym_LPAREN,
    ACTIONS(3576), 1,
      anon_sym_rec,
    ACTIONS(3578), 1,
      anon_sym_type,
    STATE(2246), 1,
      sym_decorator,
    STATE(2431), 1,
      sym_module_binding,
    STATE(2370), 2,
      sym_type_identifier,
      sym_module_identifier,
  [96482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2247), 1,
      sym_decorator,
    STATE(2254), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3553), 2,
      anon_sym_and,
      anon_sym_with,
    ACTIONS(3580), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PIPE,
  [96510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2248), 1,
      sym_decorator,
    STATE(2255), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 8,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [96536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2249), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3530), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [96566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2250), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3304), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [96596] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2251), 1,
      sym_decorator,
    STATE(2256), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 8,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [96622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2252), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3582), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [96652] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3584), 1,
      anon_sym_EQ,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2253), 1,
      sym_decorator,
    ACTIONS(3543), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [96682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3590), 2,
      anon_sym_and,
      anon_sym_with,
    STATE(2254), 2,
      sym_decorator,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3588), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_PIPE,
  [96708] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2229), 1,
      aux_sym_variant_type_repeat1,
    STATE(2255), 1,
      sym_decorator,
    ACTIONS(3153), 8,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [96734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2229), 1,
      aux_sym_variant_type_repeat1,
    STATE(2256), 1,
      sym_decorator,
    ACTIONS(3102), 8,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [96760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2257), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3593), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [96790] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1902), 1,
      anon_sym_EQ_GT,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(2258), 1,
      sym_decorator,
    STATE(3217), 1,
      sym_module_type_annotation,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [96822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2259), 1,
      sym_decorator,
    ACTIONS(3536), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
  [96850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2260), 1,
      sym_decorator,
    ACTIONS(3597), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [96874] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2261), 1,
      sym_decorator,
    ACTIONS(3588), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [96898] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2766), 1,
      anon_sym_unpack,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(3599), 1,
      anon_sym_LPAREN,
    STATE(2040), 1,
      sym_module_primary_expression,
    STATE(2096), 1,
      sym_module_identifier,
    STATE(2262), 1,
      sym_decorator,
    STATE(2090), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [96932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2263), 1,
      sym_decorator,
    ACTIONS(3233), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [96962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2264), 1,
      sym_decorator,
    ACTIONS(3223), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [96986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3605), 2,
      anon_sym_and,
      anon_sym_with,
    STATE(2265), 2,
      sym_decorator,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3588), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [97012] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3574), 1,
      anon_sym_LPAREN,
    ACTIONS(3608), 1,
      anon_sym_rec,
    ACTIONS(3610), 1,
      anon_sym_type,
    STATE(2266), 1,
      sym_decorator,
    STATE(2447), 1,
      sym_module_binding,
    STATE(2323), 2,
      sym_type_identifier,
      sym_module_identifier,
  [97050] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2267), 1,
      sym_decorator,
    ACTIONS(3549), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
  [97078] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(161), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(731), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3614), 1,
      sym__escape_identifier,
    STATE(619), 1,
      sym__reserved_identifier,
    STATE(660), 1,
      sym_value_identifier,
    STATE(874), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2268), 1,
      sym_decorator,
    ACTIONS(3612), 2,
      anon_sym_unpack,
      anon_sym_async,
  [97116] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2269), 1,
      sym_decorator,
    STATE(2272), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3616), 2,
      anon_sym_and,
      anon_sym_with,
    ACTIONS(3551), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [97144] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2640), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_unpack,
    STATE(2147), 1,
      sym_module_identifier,
    STATE(2270), 1,
      sym_decorator,
    STATE(2564), 1,
      sym_module_primary_expression,
    STATE(2211), 4,
      sym_module_unpack,
      sym_parenthesized_module_expression,
      sym_module_identifier_path,
      sym_functor_use,
  [97178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2271), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3618), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [97208] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2265), 1,
      aux_sym__module_type_constraint_with_repeat1,
    STATE(2272), 1,
      sym_decorator,
    ACTIONS(3616), 2,
      anon_sym_and,
      anon_sym_with,
    ACTIONS(3580), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [97236] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(349), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(874), 1,
      sym_variant_identifier,
    STATE(1022), 1,
      sym_value_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2273), 1,
      sym_decorator,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [97274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2274), 1,
      sym_decorator,
    ACTIONS(3483), 9,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_with,
  [97298] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2275), 1,
      sym_decorator,
    STATE(2292), 1,
      sym__jsx_identifier,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
    STATE(2283), 2,
      sym_value_identifier,
      sym_module_identifier,
  [97334] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(873), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(875), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3622), 1,
      sym__escape_identifier,
    STATE(1066), 1,
      sym__reserved_identifier,
    STATE(1273), 1,
      sym_value_identifier,
    STATE(1322), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2276), 1,
      sym_decorator,
    ACTIONS(3620), 2,
      anon_sym_unpack,
      anon_sym_async,
  [97372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2277), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3572), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [97402] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2278), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3593), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [97432] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2279), 1,
      sym_decorator,
    ACTIONS(2905), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
  [97458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2280), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3557), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [97488] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3205), 1,
      anon_sym_constraint,
    STATE(2243), 1,
      aux_sym_type_binding_repeat1,
    STATE(2281), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3534), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [97518] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3626), 1,
      anon_sym_EQ,
    STATE(2282), 1,
      sym_decorator,
    ACTIONS(3628), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3624), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [97546] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2283), 1,
      sym_decorator,
    ACTIONS(3632), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3630), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [97572] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1039), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1921), 1,
      sym_value_identifier,
    STATE(1922), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2284), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
  [97610] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(411), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(413), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3636), 1,
      sym__escape_identifier,
    STATE(1163), 1,
      sym__reserved_identifier,
    STATE(1369), 1,
      sym_value_identifier,
    STATE(1397), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2285), 1,
      sym_decorator,
    ACTIONS(3634), 2,
      anon_sym_unpack,
      anon_sym_async,
  [97648] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(729), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(731), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3614), 1,
      sym__escape_identifier,
    STATE(619), 1,
      sym__reserved_identifier,
    STATE(660), 1,
      sym_value_identifier,
    STATE(716), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2286), 1,
      sym_decorator,
    ACTIONS(3612), 2,
      anon_sym_unpack,
      anon_sym_async,
  [97686] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3641), 1,
      anon_sym_BQUOTE,
    ACTIONS(3646), 1,
      anon_sym_DOLLAR,
    ACTIONS(3649), 1,
      anon_sym_DOLLAR_LBRACE,
    STATE(2434), 1,
      sym_template_substitution,
    ACTIONS(3638), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3643), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
    STATE(2287), 2,
      sym_decorator,
      aux_sym_template_string_content_repeat1,
  [97720] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2288), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3582), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [97750] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1397), 1,
      anon_sym_LPAREN,
    ACTIONS(3034), 1,
      anon_sym_DOT,
    STATE(2289), 1,
      sym_decorator,
    ACTIONS(1395), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [97778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3438), 1,
      anon_sym_as,
    STATE(2290), 1,
      sym_decorator,
    ACTIONS(3652), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
  [97804] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3126), 1,
      anon_sym_constraint,
    STATE(2223), 1,
      aux_sym_type_binding_repeat1,
    STATE(2291), 1,
      sym_decorator,
    STATE(2373), 1,
      sym_type_constraint,
    ACTIONS(3618), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [97834] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2292), 1,
      sym_decorator,
    ACTIONS(3656), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3654), 6,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_DOT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [97860] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2966), 1,
      anon_sym_LPAREN,
    ACTIONS(3660), 1,
      anon_sym_EQ,
    STATE(2293), 1,
      sym_decorator,
    STATE(2391), 1,
      sym_variant_parameters,
    ACTIONS(3658), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [97890] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3456), 1,
      anon_sym_DOLLAR,
    ACTIONS(3458), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(3662), 1,
      anon_sym_BQUOTE,
    STATE(2287), 1,
      aux_sym_template_string_content_repeat1,
    STATE(2294), 1,
      sym_decorator,
    STATE(2434), 1,
      sym_template_substitution,
    ACTIONS(3450), 2,
      sym_escape_sequence,
      anon_sym_BSLASH_BQUOTE,
    ACTIONS(3454), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
  [97926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2295), 1,
      sym_decorator,
    ACTIONS(3666), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3664), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [97952] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3668), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2296), 1,
      sym_decorator,
    STATE(2440), 1,
      sym_variant_parameters,
    ACTIONS(2964), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [97984] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3672), 1,
      anon_sym_EQ,
    STATE(2297), 1,
      sym_decorator,
    ACTIONS(3674), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3670), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [98012] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(67), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(3567), 1,
      sym__escape_identifier,
    STATE(897), 1,
      sym__reserved_identifier,
    STATE(1053), 1,
      sym_value_identifier,
    STATE(2298), 1,
      sym_decorator,
    STATE(3329), 1,
      sym_module_identifier,
    ACTIONS(3565), 2,
      anon_sym_unpack,
      anon_sym_async,
  [98047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(875), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(3622), 1,
      sym__escape_identifier,
    STATE(1066), 1,
      sym__reserved_identifier,
    STATE(1177), 1,
      sym_value_identifier,
    STATE(2299), 1,
      sym_decorator,
    STATE(3233), 1,
      sym_module_identifier,
    ACTIONS(3620), 2,
      anon_sym_unpack,
      anon_sym_async,
  [98082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2300), 1,
      sym_decorator,
    ACTIONS(3678), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3676), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [98107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2301), 1,
      sym_decorator,
    ACTIONS(3680), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [98134] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2302), 1,
      sym_decorator,
    ACTIONS(3682), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [98161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3686), 1,
      anon_sym_and,
    ACTIONS(3688), 1,
      sym__newline,
    STATE(2303), 1,
      sym_decorator,
    STATE(2315), 1,
      aux_sym_let_declaration_repeat1,
    STATE(3000), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3684), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [98192] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3693), 1,
      anon_sym_and,
    ACTIONS(3695), 1,
      sym__newline,
    STATE(2304), 1,
      sym_decorator,
    STATE(2361), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3691), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [98223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2305), 1,
      sym_decorator,
    ACTIONS(3698), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [98250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3695), 1,
      sym__newline,
    ACTIONS(3700), 1,
      anon_sym_and,
    STATE(2306), 1,
      sym_decorator,
    STATE(2314), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3691), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [98281] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(1022), 1,
      sym_value_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2307), 1,
      sym_decorator,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [98316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3693), 1,
      anon_sym_and,
    ACTIONS(3704), 1,
      sym__newline,
    STATE(2308), 1,
      sym_decorator,
    STATE(2372), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3702), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [98347] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3144), 1,
      anon_sym_LPAREN,
    ACTIONS(3707), 1,
      anon_sym_COLON,
    STATE(1749), 1,
      sym_type_annotation,
    STATE(2309), 1,
      sym_decorator,
    STATE(2460), 1,
      sym_variant_parameters,
    ACTIONS(2964), 4,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [98378] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3686), 1,
      anon_sym_and,
    ACTIONS(3711), 1,
      sym__newline,
    STATE(2310), 1,
      sym_decorator,
    STATE(2362), 1,
      aux_sym_let_declaration_repeat1,
    STATE(3000), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3709), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [98409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2311), 1,
      sym_decorator,
    ACTIONS(3714), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [98436] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3700), 1,
      anon_sym_and,
    ACTIONS(3718), 1,
      sym__newline,
    STATE(2312), 1,
      sym_decorator,
    STATE(2314), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3716), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [98467] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2313), 1,
      sym_decorator,
    STATE(2843), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    ACTIONS(2794), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [98500] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3723), 1,
      anon_sym_and,
    ACTIONS(3726), 1,
      sym__newline,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    STATE(2314), 2,
      sym_decorator,
      aux_sym_type_declaration_repeat2,
    ACTIONS(3721), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [98529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3731), 1,
      anon_sym_and,
    ACTIONS(3734), 1,
      sym__newline,
    STATE(3000), 1,
      aux_sym_type_declaration_repeat1,
    STATE(2315), 2,
      sym_decorator,
      aux_sym_let_declaration_repeat1,
    ACTIONS(3729), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [98558] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    STATE(2316), 1,
      sym_decorator,
    STATE(2353), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [98585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2317), 1,
      sym_decorator,
    STATE(2328), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [98610] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    STATE(2318), 1,
      sym_decorator,
    STATE(2350), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [98637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2319), 1,
      sym_decorator,
    STATE(2329), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [98662] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2320), 1,
      sym_decorator,
    ACTIONS(3491), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3489), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [98687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2321), 1,
      sym_decorator,
    ACTIONS(1339), 8,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [98710] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3426), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2322), 1,
      sym_decorator,
    ACTIONS(2824), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [98737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    ACTIONS(3743), 1,
      anon_sym_EQ,
    STATE(2323), 1,
      sym_decorator,
    ACTIONS(3739), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [98764] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2324), 1,
      sym_decorator,
    ACTIONS(3747), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3745), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [98789] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3603), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2325), 1,
      sym_decorator,
    ACTIONS(3223), 5,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [98818] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2326), 1,
      sym_decorator,
    ACTIONS(1846), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1395), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [98843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3695), 1,
      sym__newline,
    ACTIONS(3700), 1,
      anon_sym_and,
    STATE(2327), 1,
      sym_decorator,
    STATE(2343), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3691), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [98874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2328), 1,
      sym_decorator,
    STATE(2349), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [98899] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2329), 1,
      sym_decorator,
    STATE(2349), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 7,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [98924] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3751), 1,
      anon_sym_and,
    ACTIONS(3753), 1,
      sym__newline,
    STATE(2330), 1,
      sym_decorator,
    STATE(2356), 1,
      aux_sym_let_declaration_repeat1,
    STATE(2794), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3749), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [98955] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2331), 1,
      sym_decorator,
    ACTIONS(3758), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3756), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [98980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2332), 1,
      sym_decorator,
    ACTIONS(1367), 8,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [99003] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2333), 1,
      sym_decorator,
    ACTIONS(1347), 8,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [99026] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2334), 1,
      sym_decorator,
    ACTIONS(3762), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3760), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [99051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    STATE(2335), 1,
      sym_decorator,
    STATE(3362), 1,
      sym_module_type_annotation,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [99080] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3700), 1,
      anon_sym_and,
    ACTIONS(3704), 1,
      sym__newline,
    STATE(2312), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2336), 1,
      sym_decorator,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3702), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1925), 1,
      sym_value_identifier,
    STATE(2337), 1,
      sym_decorator,
    STATE(3347), 1,
      sym_module_identifier,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
  [99146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2338), 1,
      sym_decorator,
    STATE(2782), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    ACTIONS(2786), 2,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [99179] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(915), 1,
      sym_value_identifier,
    STATE(2339), 1,
      sym_decorator,
    STATE(3354), 1,
      sym_module_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [99214] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3726), 1,
      sym__newline,
    ACTIONS(3764), 1,
      anon_sym_and,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    STATE(2340), 2,
      sym_decorator,
      aux_sym_type_declaration_repeat2,
    ACTIONS(3721), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [99243] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2341), 1,
      sym_decorator,
    ACTIONS(1846), 2,
      anon_sym_DOT,
      anon_sym_with,
    ACTIONS(1395), 3,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(1397), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [99270] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(413), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(3636), 1,
      sym__escape_identifier,
    STATE(1163), 1,
      sym__reserved_identifier,
    STATE(1189), 1,
      sym_value_identifier,
    STATE(2342), 1,
      sym_decorator,
    STATE(3336), 1,
      sym_module_identifier,
    ACTIONS(3634), 2,
      anon_sym_unpack,
      anon_sym_async,
  [99305] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3700), 1,
      anon_sym_and,
    ACTIONS(3769), 1,
      sym__newline,
    STATE(2314), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2343), 1,
      sym_decorator,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3767), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99336] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    ACTIONS(3776), 1,
      anon_sym_as,
    STATE(2344), 1,
      sym_decorator,
    STATE(2500), 1,
      sym_as_aliasing,
    STATE(2668), 1,
      sym_type_annotation,
    STATE(3135), 1,
      sym__labeled_parameter_default_value,
    ACTIONS(3772), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [99371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3700), 1,
      anon_sym_and,
    ACTIONS(3718), 1,
      sym__newline,
    STATE(2306), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2345), 1,
      sym_decorator,
    STATE(2910), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3716), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99402] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3711), 1,
      sym__newline,
    ACTIONS(3751), 1,
      anon_sym_and,
    STATE(2346), 1,
      sym_decorator,
    STATE(2347), 1,
      aux_sym_let_declaration_repeat1,
    STATE(2794), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3709), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3751), 1,
      anon_sym_and,
    ACTIONS(3753), 1,
      sym__newline,
    STATE(2347), 1,
      sym_decorator,
    STATE(2357), 1,
      aux_sym_let_declaration_repeat1,
    STATE(2794), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3749), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99464] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2348), 1,
      sym_decorator,
    ACTIONS(3698), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [99491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3778), 1,
      anon_sym_PIPE,
    STATE(2349), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [99516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    STATE(2349), 1,
      aux_sym_variant_type_repeat1,
    STATE(2350), 1,
      sym_decorator,
    ACTIONS(3153), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [99543] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3513), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2351), 1,
      sym_decorator,
    ACTIONS(2824), 6,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_with,
  [99570] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2352), 1,
      sym_decorator,
    ACTIONS(3783), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3781), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [99595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    STATE(2349), 1,
      aux_sym_variant_type_repeat1,
    STATE(2353), 1,
      sym_decorator,
    ACTIONS(3102), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_with,
  [99622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2354), 1,
      sym_decorator,
    ACTIONS(3077), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3075), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [99647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2355), 1,
      sym_decorator,
    ACTIONS(3470), 3,
      anon_sym_unpack,
      anon_sym_async,
      aux_sym_value_identifier_token1,
    ACTIONS(3468), 5,
      anon_sym_LBRACE,
      anon_sym_GT,
      anon_sym_QMARK,
      anon_sym_SLASH,
      sym__escape_identifier,
  [99672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3688), 1,
      sym__newline,
    ACTIONS(3751), 1,
      anon_sym_and,
    STATE(2356), 1,
      sym_decorator,
    STATE(2357), 1,
      aux_sym_let_declaration_repeat1,
    STATE(2794), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3684), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99703] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3734), 1,
      sym__newline,
    ACTIONS(3785), 1,
      anon_sym_and,
    STATE(2794), 1,
      aux_sym_type_declaration_repeat1,
    STATE(2357), 2,
      sym_decorator,
      aux_sym_let_declaration_repeat1,
    ACTIONS(3729), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [99732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3790), 1,
      anon_sym_EQ,
    STATE(2358), 1,
      sym_decorator,
    ACTIONS(3788), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [99757] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2359), 1,
      sym_decorator,
    ACTIONS(3682), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [99784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3693), 1,
      anon_sym_and,
    ACTIONS(3695), 1,
      sym__newline,
    STATE(2340), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2360), 1,
      sym_decorator,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3691), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [99815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3693), 1,
      anon_sym_and,
    ACTIONS(3769), 1,
      sym__newline,
    STATE(2340), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2361), 1,
      sym_decorator,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3767), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [99846] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3686), 1,
      anon_sym_and,
    ACTIONS(3753), 1,
      sym__newline,
    STATE(2315), 1,
      aux_sym_let_declaration_repeat1,
    STATE(2362), 1,
      sym_decorator,
    STATE(3000), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3749), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [99877] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3686), 1,
      anon_sym_and,
    ACTIONS(3753), 1,
      sym__newline,
    STATE(2303), 1,
      aux_sym_let_declaration_repeat1,
    STATE(2363), 1,
      sym_decorator,
    STATE(3000), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3749), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [99908] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2364), 1,
      sym_decorator,
    ACTIONS(3680), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [99935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2365), 1,
      sym_decorator,
    ACTIONS(3714), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [99962] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(731), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(3614), 1,
      sym__escape_identifier,
    STATE(619), 1,
      sym__reserved_identifier,
    STATE(647), 1,
      sym_value_identifier,
    STATE(2366), 1,
      sym_decorator,
    STATE(3266), 1,
      sym_module_identifier,
    ACTIONS(3612), 2,
      anon_sym_unpack,
      anon_sym_async,
  [99997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2367), 1,
      sym_decorator,
    ACTIONS(1846), 8,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_with,
  [100020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2368), 1,
      sym_decorator,
    ACTIONS(3549), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
  [100043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3693), 1,
      anon_sym_and,
    ACTIONS(3718), 1,
      sym__newline,
    STATE(2360), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2369), 1,
      sym_decorator,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3716), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100074] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3792), 1,
      anon_sym_COLON,
    ACTIONS(3794), 1,
      anon_sym_EQ,
    STATE(2370), 1,
      sym_decorator,
    ACTIONS(3739), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [100101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2371), 1,
      sym_decorator,
    ACTIONS(3536), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_PIPE,
  [100124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3693), 1,
      anon_sym_and,
    ACTIONS(3718), 1,
      sym__newline,
    STATE(2340), 1,
      aux_sym_type_declaration_repeat2,
    STATE(2372), 1,
      sym_decorator,
    STATE(2981), 1,
      aux_sym_type_declaration_repeat1,
    ACTIONS(3716), 4,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2373), 1,
      sym_decorator,
    ACTIONS(3796), 8,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_PIPE,
  [100178] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(2374), 1,
      sym_decorator,
    STATE(3217), 1,
      sym_module_type_annotation,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [100207] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3800), 1,
      anon_sym_and,
    STATE(2375), 1,
      sym_decorator,
    STATE(2381), 1,
      aux_sym_module_declaration_repeat1,
    ACTIONS(3798), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100233] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3802), 1,
      anon_sym_RBRACE,
    STATE(2376), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [100265] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2377), 1,
      sym_decorator,
    STATE(2450), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 6,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [100289] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3804), 1,
      anon_sym_and,
    STATE(2378), 1,
      sym_decorator,
    STATE(2393), 1,
      aux_sym_module_declaration_repeat1,
    ACTIONS(3798), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [100315] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3804), 1,
      anon_sym_and,
    STATE(2379), 1,
      sym_decorator,
    STATE(2390), 1,
      aux_sym_module_declaration_repeat1,
    ACTIONS(3798), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [100341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2380), 1,
      sym_decorator,
    ACTIONS(3806), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [100363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3808), 1,
      anon_sym_and,
    STATE(2381), 2,
      sym_decorator,
      aux_sym_module_declaration_repeat1,
    ACTIONS(3806), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2382), 1,
      sym_decorator,
    ACTIONS(1117), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
    ACTIONS(1122), 5,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_BSLASH_BQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
  [100411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2383), 1,
      sym_decorator,
    STATE(2444), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 6,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [100435] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3584), 1,
      anon_sym_EQ,
    STATE(2384), 1,
      sym_decorator,
    ACTIONS(3543), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
  [100459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2385), 1,
      sym_decorator,
    ACTIONS(3714), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [100481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1904), 1,
      anon_sym_as,
    ACTIONS(3116), 1,
      anon_sym_DOT_DOT,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2386), 1,
      sym_decorator,
    ACTIONS(3114), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [100509] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    STATE(2387), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [100541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(776), 1,
      aux_sym_source_file_repeat1,
    STATE(859), 1,
      sym__statement_delimeter,
    STATE(2388), 1,
      sym_decorator,
    ACTIONS(3813), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
    ACTIONS(11), 3,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
  [100569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2389), 1,
      sym_decorator,
    ACTIONS(3815), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3817), 1,
      anon_sym_and,
    STATE(2390), 2,
      sym_decorator,
      aux_sym_module_declaration_repeat1,
    ACTIONS(3806), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [100619] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3822), 1,
      anon_sym_EQ,
    STATE(2391), 1,
      sym_decorator,
    ACTIONS(3820), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [100643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3545), 1,
      anon_sym_EQ,
    STATE(2392), 1,
      sym_decorator,
    ACTIONS(3543), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_PIPE,
  [100667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3804), 1,
      anon_sym_and,
    STATE(2390), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2393), 1,
      sym_decorator,
    ACTIONS(3824), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [100693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2553), 1,
      sym_type_identifier,
    ACTIONS(3828), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2394), 2,
      sym_decorator,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3826), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
  [100719] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3831), 1,
      anon_sym_COLON,
    STATE(2131), 1,
      sym_type_annotation,
    STATE(2395), 1,
      sym_decorator,
    ACTIONS(3242), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
  [100745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2396), 1,
      sym_decorator,
    ACTIONS(3680), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [100767] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2397), 1,
      sym_decorator,
    ACTIONS(3682), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [100789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3800), 1,
      anon_sym_and,
    STATE(2381), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2398), 1,
      sym_decorator,
    ACTIONS(3833), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3800), 1,
      anon_sym_and,
    STATE(2375), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2399), 1,
      sym_decorator,
    ACTIONS(3833), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [100841] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2400), 1,
      sym_decorator,
    STATE(2436), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [100865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2401), 1,
      sym_decorator,
    ACTIONS(3464), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [100889] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3835), 1,
      anon_sym_RBRACE,
    STATE(2402), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [100921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3837), 1,
      anon_sym_RBRACE,
    STATE(2403), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [100953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2404), 1,
      sym_decorator,
    ACTIONS(3721), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [100975] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2405), 1,
      sym_decorator,
    ACTIONS(3839), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [100997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2406), 1,
      sym_decorator,
    STATE(2436), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101021] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3841), 1,
      anon_sym_type,
    STATE(2407), 1,
      sym_decorator,
    STATE(2435), 1,
      sym_module_binding,
    STATE(2370), 2,
      sym_type_identifier,
      sym_module_identifier,
  [101053] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3800), 1,
      anon_sym_and,
    STATE(2381), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2408), 1,
      sym_decorator,
    ACTIONS(3824), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [101079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2400), 1,
      aux_sym_variant_type_repeat1,
    STATE(2409), 1,
      sym_decorator,
    ACTIONS(3108), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2410), 1,
      sym_decorator,
    ACTIONS(3698), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [101125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2411), 1,
      sym_decorator,
    ACTIONS(3843), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [101147] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2406), 1,
      aux_sym_variant_type_repeat1,
    STATE(2412), 1,
      sym_decorator,
    ACTIONS(3102), 6,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2413), 1,
      sym_decorator,
    ACTIONS(3845), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [101197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3804), 1,
      anon_sym_and,
    STATE(2390), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2414), 1,
      sym_decorator,
    ACTIONS(3833), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [101223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2415), 1,
      sym_decorator,
    ACTIONS(3845), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [101249] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    STATE(2416), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [101281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3849), 1,
      anon_sym_RBRACE,
    STATE(2417), 1,
      sym_decorator,
    STATE(2848), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [101313] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2418), 1,
      sym_decorator,
    ACTIONS(3853), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
    ACTIONS(3851), 5,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_BSLASH_BQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
  [101337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3083), 1,
      anon_sym_EQ_GT,
    ACTIONS(3855), 1,
      anon_sym_as,
    STATE(2419), 1,
      sym_decorator,
    ACTIONS(2832), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
  [101363] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(2974), 1,
      aux_sym_type_identifier_token1,
    ACTIONS(2976), 1,
      sym__escape_identifier,
    ACTIONS(3857), 1,
      anon_sym_type,
    STATE(2399), 1,
      sym_module_binding,
    STATE(2420), 1,
      sym_decorator,
    STATE(2323), 2,
      sym_type_identifier,
      sym_module_identifier,
  [101395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2421), 1,
      sym_decorator,
    ACTIONS(3859), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [101421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2383), 1,
      aux_sym_variant_type_repeat1,
    STATE(2422), 1,
      sym_decorator,
    ACTIONS(3102), 6,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [101445] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2423), 1,
      sym_decorator,
    ACTIONS(1188), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
    ACTIONS(1190), 5,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_BSLASH_BQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
  [101469] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    STATE(2424), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [101501] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(2295), 1,
      sym_value_identifier,
    STATE(2297), 1,
      sym__jsx_attribute_name,
    STATE(2425), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
  [101533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(776), 1,
      aux_sym_source_file_repeat1,
    STATE(828), 1,
      sym__statement_delimeter,
    STATE(2426), 1,
      sym_decorator,
    ACTIONS(1820), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
    ACTIONS(11), 3,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
  [101561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3800), 1,
      anon_sym_and,
    STATE(2408), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2427), 1,
      sym_decorator,
    ACTIONS(3798), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [101587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3586), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2428), 1,
      sym_decorator,
    ACTIONS(3859), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [101613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3863), 1,
      anon_sym_PIPE,
    STATE(2429), 1,
      sym_decorator,
    STATE(2437), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3863), 1,
      anon_sym_PIPE,
    STATE(2430), 1,
      sym_decorator,
    STATE(2442), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3804), 1,
      anon_sym_and,
    STATE(2414), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2431), 1,
      sym_decorator,
    ACTIONS(3865), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [101691] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2432), 1,
      sym_decorator,
    ACTIONS(3869), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
    ACTIONS(3867), 5,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_BSLASH_BQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
  [101715] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2433), 1,
      sym_decorator,
    STATE(2553), 1,
      sym_type_identifier,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    ACTIONS(3871), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
  [101743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2434), 1,
      sym_decorator,
    ACTIONS(3875), 2,
      sym__template_chars,
      aux_sym_template_string_content_token1,
    ACTIONS(3873), 5,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_BSLASH_BQUOTE,
      anon_sym_DOLLAR,
      anon_sym_DOLLAR_LBRACE,
  [101767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3804), 1,
      anon_sym_and,
    STATE(2379), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2435), 1,
      sym_decorator,
    ACTIONS(3833), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [101793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3877), 1,
      anon_sym_PIPE,
    STATE(2436), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3863), 1,
      anon_sym_PIPE,
    STATE(2436), 1,
      aux_sym_variant_type_repeat1,
    STATE(2437), 1,
      sym_decorator,
    ACTIONS(3153), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3538), 1,
      anon_sym_with,
    STATE(2234), 1,
      sym__module_type_constraint_with,
    STATE(2438), 1,
      sym_decorator,
    ACTIONS(3815), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [101869] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3880), 1,
      anon_sym_RPAREN,
    ACTIONS(3883), 1,
      anon_sym_COLON,
    ACTIONS(3886), 1,
      anon_sym_COMMA,
    STATE(2439), 1,
      sym_decorator,
    STATE(3130), 1,
      sym_module_type_annotation,
    ACTIONS(3337), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_with,
  [101899] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3668), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2440), 1,
      sym_decorator,
    ACTIONS(2824), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101925] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3116), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3888), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2441), 1,
      sym_decorator,
    ACTIONS(3114), 4,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
  [101953] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3863), 1,
      anon_sym_PIPE,
    STATE(2436), 1,
      aux_sym_variant_type_repeat1,
    STATE(2442), 1,
      sym_decorator,
    ACTIONS(3102), 5,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [101979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2443), 1,
      sym_decorator,
    ACTIONS(3729), 7,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_and,
      anon_sym_PIPE,
  [102001] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3891), 1,
      anon_sym_PIPE,
    STATE(2444), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 5,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [102025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3532), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2445), 1,
      sym_decorator,
    ACTIONS(2824), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [102051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3532), 1,
      anon_sym_COLON,
    STATE(2131), 1,
      sym_type_annotation,
    STATE(2446), 1,
      sym_decorator,
    ACTIONS(3242), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [102077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3800), 1,
      anon_sym_and,
    STATE(2398), 1,
      aux_sym_module_declaration_repeat1,
    STATE(2447), 1,
      sym_decorator,
    ACTIONS(3865), 5,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
  [102103] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3894), 1,
      anon_sym_RBRACE,
    STATE(2448), 1,
      sym_decorator,
    STATE(2769), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [102135] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3116), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3896), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2449), 1,
      sym_decorator,
    ACTIONS(3114), 4,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
  [102163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2444), 1,
      aux_sym_variant_type_repeat1,
    STATE(2450), 1,
      sym_decorator,
    ACTIONS(3102), 6,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [102187] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    ACTIONS(3855), 1,
      anon_sym_as,
    STATE(2451), 1,
      sym_decorator,
    ACTIONS(2832), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
  [102213] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3563), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2452), 1,
      sym_decorator,
    ACTIONS(2824), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [102239] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3898), 1,
      anon_sym_PIPE,
    STATE(2453), 1,
      sym_decorator,
    STATE(2475), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 4,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [102264] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3900), 1,
      anon_sym_PIPE,
    STATE(2454), 1,
      sym_decorator,
    STATE(2529), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [102289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2435), 1,
      sym_module_binding,
    STATE(2455), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2370), 2,
      sym_type_identifier,
      sym_module_identifier,
  [102316] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2456), 1,
      sym_decorator,
    STATE(2973), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102345] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3904), 1,
      anon_sym_GT,
    STATE(2457), 1,
      sym_decorator,
    STATE(3050), 1,
      sym_type_identifier,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    ACTIONS(3902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [102372] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(413), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3636), 1,
      sym__escape_identifier,
    STATE(1163), 1,
      sym__reserved_identifier,
    STATE(1197), 1,
      sym_value_identifier,
    STATE(2458), 1,
      sym_decorator,
    ACTIONS(3634), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102401] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1820), 1,
      anon_sym_RPAREN,
    ACTIONS(3906), 1,
      sym__newline,
    STATE(776), 1,
      aux_sym_source_file_repeat1,
    STATE(870), 1,
      sym__statement_delimeter,
    STATE(2459), 1,
      sym_decorator,
    ACTIONS(11), 2,
      sym__newline_and_comment,
      anon_sym_SEMI,
  [102430] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3707), 1,
      anon_sym_COLON,
    STATE(1750), 1,
      sym_type_annotation,
    STATE(2460), 1,
      sym_decorator,
    ACTIONS(2824), 4,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [102455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3909), 1,
      anon_sym_COLON,
    STATE(2131), 1,
      sym_type_annotation,
    STATE(2461), 1,
      sym_decorator,
    ACTIONS(3242), 4,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
  [102480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2380), 1,
      sym_module_binding,
    STATE(2462), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2370), 2,
      sym_type_identifier,
      sym_module_identifier,
  [102507] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2378), 1,
      sym_module_binding,
    STATE(2463), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2370), 2,
      sym_type_identifier,
      sym_module_identifier,
  [102534] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2464), 1,
      sym_decorator,
    STATE(3372), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2465), 1,
      sym_decorator,
    STATE(3370), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102592] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3813), 1,
      anon_sym_RPAREN,
    ACTIONS(3911), 1,
      sym__newline,
    STATE(776), 1,
      aux_sym_source_file_repeat1,
    STATE(869), 1,
      sym__statement_delimeter,
    STATE(2466), 1,
      sym_decorator,
    ACTIONS(11), 2,
      sym__newline_and_comment,
      anon_sym_SEMI,
  [102621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2467), 1,
      sym_decorator,
    ACTIONS(3914), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [102642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2468), 1,
      sym_decorator,
    ACTIONS(3916), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [102663] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2469), 1,
      sym_decorator,
    STATE(3367), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2470), 1,
      sym_decorator,
    STATE(3097), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2471), 1,
      sym_decorator,
    STATE(3243), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102750] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(67), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3567), 1,
      sym__escape_identifier,
    STATE(897), 1,
      sym__reserved_identifier,
    STATE(1038), 1,
      sym_value_identifier,
    STATE(2472), 1,
      sym_decorator,
    ACTIONS(3565), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102779] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3898), 1,
      anon_sym_PIPE,
    STATE(2473), 1,
      sym_decorator,
    STATE(2476), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 4,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [102804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3918), 1,
      anon_sym_PIPE,
    STATE(2474), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 4,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [102827] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3898), 1,
      anon_sym_PIPE,
    STATE(2474), 1,
      aux_sym_variant_type_repeat1,
    STATE(2475), 1,
      sym_decorator,
    ACTIONS(3153), 4,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [102852] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3898), 1,
      anon_sym_PIPE,
    STATE(2474), 1,
      aux_sym_variant_type_repeat1,
    STATE(2476), 1,
      sym_decorator,
    ACTIONS(3102), 4,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [102877] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3116), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3921), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2477), 1,
      sym_decorator,
    ACTIONS(3114), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [102904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2478), 1,
      sym_decorator,
    STATE(3345), 1,
      sym_value_identifier,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [102933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2479), 1,
      sym_decorator,
    ACTIONS(3923), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [102954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2480), 1,
      sym_decorator,
    ACTIONS(3925), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [102975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3929), 1,
      anon_sym_PIPE,
    ACTIONS(3931), 1,
      anon_sym_as,
    STATE(2481), 1,
      sym_decorator,
    STATE(2938), 1,
      sym_as_aliasing,
    ACTIONS(3927), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [103002] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2482), 1,
      sym_decorator,
    ACTIONS(3933), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [103023] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3559), 1,
      anon_sym_RPAREN,
    STATE(2483), 1,
      sym_decorator,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [103046] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(2790), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(2484), 1,
      sym_decorator,
    STATE(3064), 1,
      sym__object_type_member,
    STATE(3278), 1,
      sym_string,
    STATE(3080), 2,
      sym_type_spread,
      sym_object_type_field,
  [103075] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3935), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2485), 1,
      sym_decorator,
    ACTIONS(3223), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_with,
  [103102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1862), 1,
      anon_sym_DOT,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(2486), 1,
      sym_decorator,
    ACTIONS(2446), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [103131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1904), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2487), 1,
      sym_decorator,
    ACTIONS(3114), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [103156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1898), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2488), 1,
      sym_decorator,
    ACTIONS(3114), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3937), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103183] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2489), 1,
      sym_decorator,
    STATE(2494), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [103206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3940), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2490), 1,
      sym_decorator,
    ACTIONS(3223), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_with,
  [103233] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2491), 1,
      sym_decorator,
    STATE(2495), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [103256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3942), 1,
      anon_sym_GT,
    STATE(2492), 1,
      sym_decorator,
    STATE(3050), 1,
      sym_type_identifier,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    ACTIONS(3902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [103283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1860), 1,
      anon_sym_LPAREN,
    ACTIONS(1864), 1,
      anon_sym_LBRACK,
    ACTIONS(3944), 1,
      anon_sym_DOT,
    STATE(1001), 1,
      sym_call_arguments,
    STATE(2493), 1,
      sym_decorator,
    ACTIONS(2446), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [103312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2474), 1,
      aux_sym_variant_type_repeat1,
    STATE(2494), 1,
      sym_decorator,
    ACTIONS(3153), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [103335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2474), 1,
      aux_sym_variant_type_repeat1,
    STATE(2495), 1,
      sym_decorator,
    ACTIONS(3102), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [103358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2496), 1,
      sym_decorator,
    STATE(2512), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3946), 2,
      anon_sym_and,
      anon_sym_with,
    ACTIONS(3551), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
  [103383] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2427), 1,
      sym_module_binding,
    STATE(2497), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2323), 2,
      sym_type_identifier,
      sym_module_identifier,
  [103410] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2498), 1,
      sym_decorator,
    ACTIONS(3845), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [103431] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2380), 1,
      sym_module_binding,
    STATE(2499), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2323), 2,
      sym_type_identifier,
      sym_module_identifier,
  [103458] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    STATE(2500), 1,
      sym_decorator,
    STATE(2734), 1,
      sym_type_annotation,
    STATE(3043), 1,
      sym__labeled_parameter_default_value,
    ACTIONS(3948), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [103487] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2501), 1,
      sym_decorator,
    STATE(2505), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [103510] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2502), 1,
      sym_decorator,
    STATE(2524), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3153), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [103533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2503), 1,
      sym_decorator,
    ACTIONS(3950), 6,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE,
  [103554] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(914), 1,
      sym_value_identifier,
    STATE(2504), 1,
      sym_decorator,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [103583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2505), 1,
      sym_decorator,
    STATE(2524), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [103606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(163), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(1637), 1,
      sym__escape_identifier,
    STATE(842), 1,
      sym__reserved_identifier,
    STATE(2344), 1,
      sym_value_identifier,
    STATE(2506), 1,
      sym_decorator,
    ACTIONS(1079), 2,
      anon_sym_unpack,
      anon_sym_async,
  [103635] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(875), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3622), 1,
      sym__escape_identifier,
    STATE(1066), 1,
      sym__reserved_identifier,
    STATE(1144), 1,
      sym_value_identifier,
    STATE(2507), 1,
      sym_decorator,
    ACTIONS(3620), 2,
      anon_sym_unpack,
      anon_sym_async,
  [103664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2502), 1,
      aux_sym_variant_type_repeat1,
    STATE(2508), 1,
      sym_decorator,
    ACTIONS(3102), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [103687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2509), 1,
      sym_decorator,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    ACTIONS(3483), 5,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [103710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3952), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2510), 1,
      sym_decorator,
    ACTIONS(3223), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_with,
  [103737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3896), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2511), 1,
      sym_decorator,
    ACTIONS(3114), 4,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
  [103762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2512), 1,
      sym_decorator,
    STATE(2522), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3946), 2,
      anon_sym_and,
      anon_sym_with,
    ACTIONS(3580), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
  [103787] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3595), 1,
      anon_sym_RPAREN,
    STATE(2513), 1,
      sym_decorator,
    ACTIONS(1192), 5,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [103810] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2399), 1,
      sym_module_binding,
    STATE(2514), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    STATE(2323), 2,
      sym_type_identifier,
      sym_module_identifier,
  [103837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3900), 1,
      anon_sym_PIPE,
    STATE(2515), 1,
      sym_decorator,
    STATE(2523), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [103862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1041), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(2996), 1,
      sym__escape_identifier,
    STATE(1813), 1,
      sym__reserved_identifier,
    STATE(1897), 1,
      sym_value_identifier,
    STATE(2516), 1,
      sym_decorator,
    ACTIONS(2988), 2,
      anon_sym_unpack,
      anon_sym_async,
  [103891] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(413), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3636), 1,
      sym__escape_identifier,
    STATE(1163), 1,
      sym__reserved_identifier,
    STATE(2517), 1,
      sym_decorator,
    STATE(2582), 1,
      sym_value_identifier,
    ACTIONS(3634), 2,
      anon_sym_unpack,
      anon_sym_async,
  [103920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2518), 1,
      sym_decorator,
    ACTIONS(3588), 6,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [103941] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3954), 1,
      anon_sym_GT,
    STATE(2519), 1,
      sym_decorator,
    STATE(3050), 1,
      sym_type_identifier,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    ACTIONS(3902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [103968] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3958), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3960), 1,
      sym__escape_identifier,
    STATE(2423), 1,
      sym__reserved_identifier,
    STATE(2432), 1,
      sym_value_identifier,
    STATE(2520), 1,
      sym_decorator,
    ACTIONS(3956), 2,
      anon_sym_unpack,
      anon_sym_async,
  [103997] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3962), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2521), 1,
      sym_decorator,
    ACTIONS(3223), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_with,
  [104024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3964), 2,
      anon_sym_and,
      anon_sym_with,
    STATE(2522), 2,
      sym_decorator,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(3588), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_COMMA,
  [104047] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3900), 1,
      anon_sym_PIPE,
    STATE(2523), 1,
      sym_decorator,
    STATE(2524), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [104072] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3967), 1,
      anon_sym_PIPE,
    STATE(2524), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [104095] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    STATE(2131), 1,
      sym_type_annotation,
    STATE(2525), 1,
      sym_decorator,
    ACTIONS(3242), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [104122] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1898), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2526), 1,
      sym_decorator,
    ACTIONS(3114), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3972), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104149] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(731), 1,
      aux_sym_value_identifier_token1,
    ACTIONS(3614), 1,
      sym__escape_identifier,
    STATE(619), 1,
      sym__reserved_identifier,
    STATE(646), 1,
      sym_value_identifier,
    STATE(2527), 1,
      sym_decorator,
    ACTIONS(3612), 2,
      anon_sym_unpack,
      anon_sym_async,
  [104178] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3888), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2528), 1,
      sym_decorator,
    ACTIONS(3114), 4,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
      anon_sym_when,
  [104203] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3900), 1,
      anon_sym_PIPE,
    STATE(2524), 1,
      aux_sym_variant_type_repeat1,
    STATE(2529), 1,
      sym_decorator,
    ACTIONS(3153), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
      anon_sym_as,
  [104228] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    STATE(2131), 1,
      sym_type_annotation,
    STATE(2530), 1,
      sym_decorator,
    ACTIONS(3242), 4,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
  [104253] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(2531), 1,
      sym_decorator,
    STATE(2554), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3386), 1,
      sym_partial_application_spread,
  [104281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(3977), 1,
      anon_sym_RBRACE,
    STATE(2532), 1,
      sym_decorator,
    STATE(2892), 1,
      sym__object_field,
    STATE(3066), 1,
      sym_object_field,
    STATE(3188), 1,
      sym_string,
  [104309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2533), 1,
      sym_decorator,
    ACTIONS(3597), 5,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [104329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3979), 1,
      anon_sym_PIPE,
    STATE(2534), 2,
      sym_decorator,
      aux_sym_variant_type_repeat1,
    ACTIONS(2956), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [104351] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3982), 1,
      anon_sym_PIPE,
    STATE(2534), 1,
      aux_sym_variant_type_repeat1,
    STATE(2535), 1,
      sym_decorator,
    ACTIONS(3102), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [104375] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(3984), 1,
      anon_sym_RPAREN,
    ACTIONS(3986), 1,
      anon_sym_COMMA,
    STATE(2536), 1,
      sym_decorator,
    STATE(3103), 1,
      sym_type_annotation,
  [104403] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(782), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2537), 1,
      sym_decorator,
    ACTIONS(3018), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104429] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(3988), 1,
      anon_sym_RBRACE,
    STATE(2538), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [104457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    STATE(2539), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [104485] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2332), 1,
      sym_type_identifier,
    STATE(2540), 1,
      sym_decorator,
    ACTIONS(3992), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104511] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(782), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2541), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104537] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(782), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2542), 1,
      sym_decorator,
    ACTIONS(3018), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104563] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(3994), 1,
      anon_sym_RBRACE,
    STATE(2543), 1,
      sym_decorator,
    STATE(2749), 1,
      sym__object_field,
    STATE(3066), 1,
      sym_object_field,
    STATE(3188), 1,
      sym_string,
  [104591] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    ACTIONS(3998), 1,
      anon_sym_with,
    STATE(2544), 1,
      sym_decorator,
    STATE(2966), 1,
      sym__module_type_constraint_with,
    STATE(3344), 1,
      sym_module_type_annotation,
  [104619] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    ACTIONS(4000), 1,
      anon_sym_COMMA,
    STATE(2545), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3224), 1,
      sym_partial_application_spread,
  [104647] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2546), 1,
      sym_decorator,
    ACTIONS(3223), 5,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [104667] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2547), 1,
      sym_decorator,
    STATE(2553), 1,
      sym_type_identifier,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104693] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    STATE(2548), 1,
      sym_decorator,
    STATE(3140), 1,
      sym_type_annotation,
    ACTIONS(3986), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [104719] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    ACTIONS(4004), 1,
      anon_sym_COMMA,
    STATE(2549), 1,
      sym_decorator,
    STATE(2606), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3167), 1,
      sym_partial_application_spread,
  [104747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2550), 1,
      sym_decorator,
    ACTIONS(1525), 5,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [104767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3998), 1,
      anon_sym_with,
    ACTIONS(4006), 1,
      anon_sym_RPAREN,
    STATE(2551), 1,
      sym_decorator,
    STATE(2966), 1,
      sym__module_type_constraint_with,
    STATE(3184), 1,
      sym_module_type_annotation,
  [104795] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(4009), 1,
      anon_sym_RPAREN,
    ACTIONS(4012), 1,
      anon_sym_COMMA,
    STATE(2552), 1,
      sym_decorator,
    STATE(3142), 1,
      sym_type_annotation,
  [104823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2553), 1,
      sym_decorator,
    ACTIONS(2917), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    ACTIONS(4015), 1,
      anon_sym_COMMA,
    STATE(2554), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3400), 1,
      sym_partial_application_spread,
  [104871] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2555), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [104897] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4019), 1,
      anon_sym_RBRACE,
    STATE(2556), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [104925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(441), 1,
      anon_sym_RPAREN,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(2557), 1,
      sym_decorator,
    STATE(2581), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3269), 1,
      sym_partial_application_spread,
  [104953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4023), 1,
      anon_sym_RBRACE,
    STATE(2558), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [104981] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    STATE(2559), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105009] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4027), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2560), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105035] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(449), 1,
      anon_sym_RPAREN,
    ACTIONS(4029), 1,
      anon_sym_COMMA,
    STATE(2545), 1,
      aux_sym_call_arguments_repeat1,
    STATE(2561), 1,
      sym_decorator,
    STATE(3229), 1,
      sym_partial_application_spread,
  [105063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(449), 1,
      anon_sym_RPAREN,
    ACTIONS(4029), 1,
      anon_sym_COMMA,
    STATE(2562), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3229), 1,
      sym_partial_application_spread,
  [105091] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2563), 1,
      sym_decorator,
    STATE(2593), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 4,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [105113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2564), 1,
      sym_decorator,
    ACTIONS(4031), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [105139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4035), 1,
      anon_sym_EQ_GT,
    ACTIONS(4037), 1,
      anon_sym_PIPE,
    STATE(2565), 1,
      sym_decorator,
    STATE(3348), 1,
      sym_guard,
    ACTIONS(4039), 2,
      anon_sym_if,
      anon_sym_when,
  [105165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    ACTIONS(4041), 1,
      anon_sym_COMMA,
    STATE(2566), 1,
      sym_decorator,
    STATE(2584), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3283), 1,
      sym_partial_application_spread,
  [105193] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2567), 1,
      sym_decorator,
    STATE(2595), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3108), 4,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [105215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(455), 1,
      anon_sym_RPAREN,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    STATE(2568), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3323), 1,
      sym_partial_application_spread,
  [105243] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4045), 1,
      anon_sym_RBRACE,
    STATE(2569), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4033), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2570), 1,
      sym_decorator,
    ACTIONS(4047), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [105297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4049), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2571), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105323] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4051), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2572), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105349] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2573), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105375] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4055), 1,
      anon_sym_RBRACE,
    STATE(2574), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105403] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4057), 1,
      anon_sym_RBRACE,
    STATE(2575), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4059), 1,
      anon_sym_RBRACE,
    STATE(2576), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105459] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(457), 1,
      anon_sym_RPAREN,
    ACTIONS(4061), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3331), 1,
      sym_partial_application_spread,
  [105487] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4063), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2578), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4065), 1,
      anon_sym_RBRACE,
    STATE(2579), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105541] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      aux_sym_call_arguments_repeat1,
    STATE(2580), 1,
      sym_decorator,
    STATE(3273), 1,
      sym_partial_application_spread,
  [105569] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(2581), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3273), 1,
      sym_partial_application_spread,
  [105597] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4071), 1,
      anon_sym_EQ,
    ACTIONS(4073), 1,
      anon_sym_QMARK,
    STATE(2582), 1,
      sym_decorator,
    ACTIONS(4069), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [105621] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2583), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105647] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(439), 1,
      anon_sym_RPAREN,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(2584), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3228), 1,
      sym_partial_application_spread,
  [105675] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(439), 1,
      anon_sym_RPAREN,
    ACTIONS(4077), 1,
      anon_sym_COMMA,
    STATE(2585), 1,
      sym_decorator,
    STATE(2605), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3228), 1,
      sym_partial_application_spread,
  [105703] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4079), 1,
      anon_sym_RBRACE,
    STATE(2586), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    ACTIONS(4081), 1,
      anon_sym_COMMA,
    STATE(2562), 1,
      aux_sym_call_arguments_repeat1,
    STATE(2587), 1,
      sym_decorator,
    STATE(3242), 1,
      sym_partial_application_spread,
  [105759] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    STATE(2568), 1,
      aux_sym_call_arguments_repeat1,
    STATE(2588), 1,
      sym_decorator,
    STATE(3290), 1,
      sym_partial_application_spread,
  [105787] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3290), 1,
      sym_partial_application_spread,
  [105815] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4085), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2590), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4087), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2591), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4089), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2592), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [105893] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2534), 1,
      aux_sym_variant_type_repeat1,
    STATE(2593), 1,
      sym_decorator,
    ACTIONS(3153), 4,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [105915] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4091), 1,
      anon_sym_RBRACE,
    STATE(2594), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [105943] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2534), 1,
      aux_sym_variant_type_repeat1,
    STATE(2595), 1,
      sym_decorator,
    ACTIONS(3102), 4,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_as,
  [105965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3998), 1,
      anon_sym_with,
    ACTIONS(4093), 1,
      anon_sym_RPAREN,
    STATE(2596), 1,
      sym_decorator,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(3232), 1,
      sym_module_type_annotation,
  [105993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4095), 1,
      anon_sym_RBRACE,
    STATE(2597), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [106021] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(890), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2598), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(679), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2599), 1,
      sym_decorator,
    ACTIONS(2984), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106073] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(503), 1,
      anon_sym_DQUOTE,
    ACTIONS(4097), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4099), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4101), 1,
      anon_sym_BSLASH,
    STATE(875), 1,
      sym_string,
    STATE(2600), 1,
      sym_decorator,
  [106101] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4097), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4099), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4103), 1,
      anon_sym_BSLASH,
    STATE(875), 1,
      sym_string,
    STATE(2601), 1,
      sym_decorator,
  [106129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3921), 1,
      anon_sym_as,
    STATE(2086), 1,
      sym_as_aliasing,
    STATE(2602), 1,
      sym_decorator,
    ACTIONS(3114), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [106153] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4105), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2603), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3996), 1,
      anon_sym_RPAREN,
    ACTIONS(3998), 1,
      anon_sym_with,
    STATE(2604), 1,
      sym_decorator,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(3344), 1,
      sym_module_type_annotation,
  [106207] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(483), 1,
      anon_sym_RPAREN,
    ACTIONS(4107), 1,
      anon_sym_COMMA,
    STATE(2605), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3169), 1,
      sym_partial_application_spread,
  [106235] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(2606), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3208), 1,
      sym_partial_application_spread,
  [106263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(776), 1,
      aux_sym_source_file_repeat1,
    STATE(872), 1,
      sym__statement_delimeter,
    STATE(2607), 1,
      sym_decorator,
    ACTIONS(11), 3,
      sym__newline,
      sym__newline_and_comment,
      anon_sym_SEMI,
  [106287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2608), 1,
      sym_decorator,
    ACTIONS(3483), 5,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [106307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2609), 1,
      sym_decorator,
    STATE(2896), 1,
      sym_type_identifier,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    ACTIONS(4111), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [106331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4113), 1,
      anon_sym_RBRACE,
    STATE(2610), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [106359] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    ACTIONS(4109), 1,
      anon_sym_COMMA,
    STATE(2611), 1,
      sym_decorator,
    STATE(2637), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3208), 1,
      sym_partial_application_spread,
  [106387] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4115), 1,
      anon_sym_PIPE,
    STATE(2612), 1,
      sym_decorator,
    ACTIONS(3266), 4,
      anon_sym_EQ_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_as,
  [106409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3982), 1,
      anon_sym_PIPE,
    STATE(2613), 1,
      sym_decorator,
    STATE(2621), 1,
      aux_sym_variant_type_repeat1,
    ACTIONS(3102), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [106433] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4118), 1,
      anon_sym_RBRACE,
    STATE(2614), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [106461] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3982), 1,
      anon_sym_PIPE,
    STATE(2535), 1,
      aux_sym_variant_type_repeat1,
    STATE(2615), 1,
      sym_decorator,
    ACTIONS(3108), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [106485] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4120), 1,
      anon_sym_RBRACE,
    STATE(2616), 1,
      sym_decorator,
    STATE(2923), 1,
      sym__object_field,
    STATE(3066), 1,
      sym_object_field,
    STATE(3188), 1,
      sym_string,
  [106513] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(2617), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3386), 1,
      sym_partial_application_spread,
  [106541] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(475), 1,
      anon_sym_RPAREN,
    ACTIONS(4122), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_call_arguments_repeat1,
    STATE(2618), 1,
      sym_decorator,
    STATE(3255), 1,
      sym_partial_application_spread,
  [106569] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3931), 1,
      anon_sym_as,
    STATE(2619), 1,
      sym_decorator,
    STATE(2938), 1,
      sym_as_aliasing,
    ACTIONS(3927), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106593] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2620), 1,
      sym_decorator,
    ACTIONS(3555), 5,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_with,
  [106613] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3982), 1,
      anon_sym_PIPE,
    STATE(2534), 1,
      aux_sym_variant_type_repeat1,
    STATE(2621), 1,
      sym_decorator,
    ACTIONS(3153), 3,
      anon_sym_COMMA,
      anon_sym_GT,
      anon_sym_as,
  [106637] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4124), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2622), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106663] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(1291), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2623), 1,
      sym_decorator,
    ACTIONS(3059), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106689] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    STATE(2624), 1,
      sym_decorator,
    STATE(3038), 1,
      sym_type_annotation,
    ACTIONS(4126), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4128), 1,
      anon_sym_COLON,
    STATE(2131), 1,
      sym_type_annotation,
    STATE(2625), 1,
      sym_decorator,
    ACTIONS(3242), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_PIPE,
  [106739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    STATE(2626), 1,
      sym_decorator,
    STATE(3108), 1,
      sym_type_annotation,
    ACTIONS(4130), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106765] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
    STATE(2627), 1,
      sym_decorator,
    STATE(2834), 1,
      sym__object_field,
    STATE(3066), 1,
      sym_object_field,
    STATE(3188), 1,
      sym_string,
  [106793] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(782), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2628), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2629), 1,
      sym_decorator,
    STATE(3050), 1,
      sym_type_identifier,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
    ACTIONS(3902), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [106843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    STATE(2630), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [106871] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
    STATE(2631), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [106899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4138), 1,
      anon_sym_RBRACE,
    STATE(2632), 1,
      sym_decorator,
    STATE(2912), 1,
      sym__object_field,
    STATE(3066), 1,
      sym_object_field,
    STATE(3188), 1,
      sym_string,
  [106927] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4140), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2633), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [106953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    STATE(2617), 1,
      aux_sym_call_arguments_repeat1,
    STATE(2634), 1,
      sym_decorator,
    STATE(3365), 1,
      sym_partial_application_spread,
  [106981] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4144), 1,
      anon_sym_DOT,
    STATE(2394), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2635), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [107007] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4146), 1,
      anon_sym_PIPE,
    STATE(2636), 1,
      sym_decorator,
    ACTIONS(3266), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [107029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(389), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    ACTIONS(4149), 1,
      anon_sym_COMMA,
    STATE(2637), 1,
      sym_decorator,
    STATE(2698), 1,
      aux_sym_call_arguments_repeat1,
    STATE(3254), 1,
      sym_partial_application_spread,
  [107057] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3998), 1,
      anon_sym_with,
    ACTIONS(4093), 1,
      anon_sym_RPAREN,
    STATE(2638), 1,
      sym_decorator,
    STATE(2966), 1,
      sym__module_type_constraint_with,
    STATE(3232), 1,
      sym_module_type_annotation,
  [107085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(3998), 1,
      anon_sym_with,
    ACTIONS(4151), 1,
      anon_sym_RPAREN,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(2639), 1,
      sym_decorator,
    STATE(3143), 1,
      sym_module_type_annotation,
  [107113] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(1405), 1,
      sym_type_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2640), 1,
      sym_decorator,
    ACTIONS(1756), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [107139] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    STATE(2641), 1,
      sym_decorator,
    STATE(3132), 1,
      sym_type_annotation,
    ACTIONS(4153), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    STATE(2642), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [107193] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    STATE(2643), 1,
      sym_decorator,
    STATE(2802), 1,
      sym__object_field,
    STATE(3066), 1,
      sym_object_field,
    STATE(3188), 1,
      sym_string,
  [107221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4161), 1,
      anon_sym_SQUOTE,
    STATE(2644), 1,
      sym_decorator,
    STATE(2669), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [107244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4163), 1,
      anon_sym_COMMA,
    ACTIONS(4165), 1,
      anon_sym_GT,
    ACTIONS(4167), 1,
      anon_sym_as,
    STATE(2645), 1,
      sym_decorator,
    STATE(2970), 1,
      aux_sym_tuple_type_repeat1,
  [107269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4169), 1,
      anon_sym_module,
    ACTIONS(4171), 1,
      anon_sym_type,
    STATE(2646), 1,
      sym_decorator,
    STATE(2496), 2,
      sym_constrain_module,
      sym_constrain_type,
  [107292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(419), 1,
      anon_sym_DQUOTE,
    ACTIONS(4173), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4175), 1,
      anon_sym_BSLASH,
    STATE(1351), 1,
      sym_string,
    STATE(2647), 1,
      sym_decorator,
  [107317] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4177), 1,
      anon_sym_module,
    ACTIONS(4179), 1,
      anon_sym_type,
    STATE(2648), 1,
      sym_decorator,
    STATE(2233), 2,
      sym_constrain_module,
      sym_constrain_type,
  [107340] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4181), 1,
      anon_sym_RBRACE,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    STATE(2649), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [107365] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4185), 1,
      anon_sym_DQUOTE,
    STATE(2650), 1,
      sym_decorator,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107388] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4189), 1,
      anon_sym_DQUOTE,
    STATE(2651), 1,
      sym_decorator,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107411] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4191), 1,
      anon_sym_SQUOTE,
    STATE(2652), 1,
      sym_decorator,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [107434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4193), 1,
      anon_sym_DQUOTE,
    STATE(2653), 1,
      sym_decorator,
    STATE(2677), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107457] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4195), 1,
      anon_sym_RBRACE,
    STATE(2654), 1,
      sym_decorator,
    STATE(2666), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [107482] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4197), 1,
      anon_sym_SQUOTE,
    STATE(2655), 1,
      sym_decorator,
    STATE(2680), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [107505] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3998), 1,
      anon_sym_with,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(2656), 1,
      sym_decorator,
    ACTIONS(4199), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107528] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4201), 1,
      anon_sym_SQUOTE,
    STATE(2652), 1,
      aux_sym_character_repeat1,
    STATE(2657), 1,
      sym_decorator,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [107551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4203), 1,
      anon_sym_DQUOTE,
    STATE(2650), 1,
      aux_sym_string_repeat1,
    STATE(2658), 1,
      sym_decorator,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107574] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(881), 1,
      anon_sym_DQUOTE,
    ACTIONS(4205), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4207), 1,
      anon_sym_BSLASH,
    STATE(1271), 1,
      sym_string,
    STATE(2659), 1,
      sym_decorator,
  [107599] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3551), 1,
      anon_sym_EQ_GT,
    STATE(2660), 1,
      sym_decorator,
    STATE(2664), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(4209), 2,
      anon_sym_and,
      anon_sym_with,
  [107622] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(4211), 1,
      anon_sym_RPAREN,
    ACTIONS(4213), 1,
      anon_sym_COMMA,
    STATE(2661), 1,
      sym_decorator,
    STATE(2755), 1,
      aux_sym_tuple_type_repeat1,
  [107647] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4215), 1,
      anon_sym_SQUOTE,
    STATE(2662), 1,
      sym_decorator,
    STATE(2742), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [107670] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4217), 1,
      anon_sym_DQUOTE,
    STATE(2663), 1,
      sym_decorator,
    STATE(2745), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [107693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3580), 1,
      anon_sym_EQ_GT,
    STATE(2664), 1,
      sym_decorator,
    STATE(2672), 1,
      aux_sym__module_type_constraint_with_repeat1,
    ACTIONS(4209), 2,
      anon_sym_and,
      anon_sym_with,
  [107716] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4219), 1,
      anon_sym_RBRACE,
    STATE(2665), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [107741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4221), 1,
      anon_sym_RBRACE,
    STATE(2666), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [107766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4223), 1,
      anon_sym_RBRACE,
    STATE(2667), 1,
      sym_decorator,
    STATE(2694), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [107791] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    STATE(2668), 1,
      sym_decorator,
    STATE(3043), 1,
      sym__labeled_parameter_default_value,
    ACTIONS(3948), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4225), 1,
      anon_sym_SQUOTE,
    STATE(2669), 1,
      sym_decorator,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [107837] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    ACTIONS(4227), 1,
      anon_sym_COLON,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    STATE(2670), 1,
      sym_decorator,
    STATE(2795), 1,
      aux_sym_record_pattern_repeat1,
  [107862] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4231), 1,
      anon_sym_RBRACE,
    STATE(2671), 1,
      sym_decorator,
    STATE(2717), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [107887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3588), 1,
      anon_sym_EQ_GT,
    ACTIONS(4233), 2,
      anon_sym_and,
      anon_sym_with,
    STATE(2672), 2,
      sym_decorator,
      aux_sym__module_type_constraint_with_repeat1,
  [107908] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2673), 1,
      sym_decorator,
    ACTIONS(2031), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_as,
  [107927] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(4236), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4238), 1,
      anon_sym_BSLASH,
    STATE(692), 1,
      sym_string,
    STATE(2674), 1,
      sym_decorator,
  [107952] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4227), 1,
      anon_sym_COLON,
    ACTIONS(4240), 1,
      anon_sym_RBRACE,
    ACTIONS(4243), 1,
      anon_sym_COMMA,
    STATE(2675), 1,
      sym_decorator,
    STATE(2795), 1,
      aux_sym_record_pattern_repeat1,
  [107977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3998), 1,
      anon_sym_with,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(2676), 1,
      sym_decorator,
    ACTIONS(3549), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [108000] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4246), 1,
      anon_sym_DQUOTE,
    STATE(2677), 1,
      sym_decorator,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108023] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_decorator,
    STATE(2722), 1,
      sym_module_identifier,
    STATE(3051), 1,
      sym_functor_parameter,
  [108048] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4103), 1,
      anon_sym_BSLASH,
    STATE(875), 1,
      sym_string,
    STATE(2679), 1,
      sym_decorator,
  [108073] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4250), 1,
      anon_sym_SQUOTE,
    STATE(2680), 1,
      sym_decorator,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [108096] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(4252), 1,
      anon_sym_RPAREN,
    ACTIONS(4255), 1,
      anon_sym_COMMA,
    STATE(2681), 1,
      sym_decorator,
    STATE(2767), 1,
      aux_sym_tuple_type_repeat1,
  [108121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4258), 1,
      anon_sym_RBRACE,
    STATE(2682), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4260), 1,
      anon_sym_RBRACE,
    STATE(2649), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2683), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [108171] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4262), 1,
      anon_sym_RBRACE,
    STATE(2684), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108196] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    STATE(2685), 1,
      sym_decorator,
    STATE(2703), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2433), 1,
      aux_sym_polymorphic_type_repeat1,
    STATE(2553), 1,
      sym_type_identifier,
    STATE(2686), 1,
      sym_decorator,
    ACTIONS(2897), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [108244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4266), 1,
      anon_sym_RBRACE,
    STATE(2687), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3998), 1,
      anon_sym_with,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(2688), 1,
      sym_decorator,
    ACTIONS(3536), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [108292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4268), 1,
      anon_sym_RBRACE,
    STATE(2689), 1,
      sym_decorator,
    STATE(2705), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108317] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4270), 1,
      anon_sym_RBRACE,
    STATE(2690), 1,
      sym_decorator,
    STATE(2707), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4177), 1,
      anon_sym_module,
    ACTIONS(4179), 1,
      anon_sym_type,
    STATE(2691), 1,
      sym_decorator,
    STATE(2261), 2,
      sym_constrain_module,
      sym_constrain_type,
  [108365] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(4272), 1,
      anon_sym_COLON,
    ACTIONS(4274), 1,
      anon_sym_EQ,
    STATE(2358), 1,
      sym_type_annotation,
    STATE(2692), 1,
      sym_decorator,
  [108390] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4276), 1,
      anon_sym_RBRACE,
    STATE(2687), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2693), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [108415] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4278), 1,
      anon_sym_RBRACE,
    STATE(2694), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4167), 1,
      anon_sym_as,
    STATE(2695), 1,
      sym_decorator,
    ACTIONS(2905), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [108461] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2810), 1,
      anon_sym_RBRACE,
    ACTIONS(3929), 1,
      anon_sym_PIPE,
    ACTIONS(4280), 1,
      anon_sym_COMMA,
    STATE(2696), 1,
      sym_decorator,
    STATE(2986), 1,
      aux_sym_record_pattern_repeat1,
  [108486] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3998), 1,
      anon_sym_with,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(2697), 1,
      sym_decorator,
    ACTIONS(4282), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [108509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4286), 1,
      anon_sym_COMMA,
    ACTIONS(4284), 2,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT_DOT,
    STATE(2698), 2,
      sym_decorator,
      aux_sym_call_arguments_repeat1,
  [108530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4289), 1,
      anon_sym_DQUOTE,
    STATE(2651), 1,
      aux_sym_string_repeat1,
    STATE(2699), 1,
      sym_decorator,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(4291), 1,
      anon_sym_RPAREN,
    ACTIONS(4293), 1,
      anon_sym_COMMA,
    STATE(2700), 1,
      sym_decorator,
    STATE(2875), 1,
      aux_sym_tuple_type_repeat1,
  [108578] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4295), 1,
      anon_sym_LPAREN,
    STATE(2701), 1,
      sym_decorator,
    STATE(3105), 1,
      sym_polyvar_parameters,
    ACTIONS(4297), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [108601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4299), 1,
      anon_sym_SQUOTE,
    STATE(2702), 1,
      sym_decorator,
    STATE(2737), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [108624] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4301), 1,
      anon_sym_RBRACE,
    STATE(2703), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(4303), 1,
      anon_sym_RPAREN,
    ACTIONS(4306), 1,
      anon_sym_COMMA,
    STATE(2704), 1,
      sym_decorator,
    STATE(2875), 1,
      aux_sym_tuple_type_repeat1,
  [108674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4309), 1,
      anon_sym_RBRACE,
    STATE(2705), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4311), 1,
      anon_sym_RBRACE,
    STATE(2706), 1,
      sym_decorator,
    STATE(2735), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4313), 1,
      anon_sym_RBRACE,
    STATE(2707), 1,
      sym_decorator,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(3099), 1,
      sym_switch_match,
  [108749] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(4315), 1,
      anon_sym_RPAREN,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    STATE(2708), 1,
      sym_decorator,
    STATE(2806), 1,
      aux_sym_tuple_type_repeat1,
  [108774] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4169), 1,
      anon_sym_module,
    ACTIONS(4171), 1,
      anon_sym_type,
    STATE(2709), 1,
      sym_decorator,
    STATE(2518), 2,
      sym_constrain_module,
      sym_constrain_type,
  [108797] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4319), 1,
      anon_sym_RBRACE,
    ACTIONS(4321), 1,
      anon_sym_PIPE,
    STATE(3099), 1,
      sym_switch_match,
    STATE(2710), 2,
      sym_decorator,
      aux_sym_switch_expression_repeat1,
  [108820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(503), 1,
      anon_sym_DQUOTE,
    ACTIONS(4099), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4101), 1,
      anon_sym_BSLASH,
    STATE(875), 1,
      sym_string,
    STATE(2711), 1,
      sym_decorator,
  [108845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4324), 1,
      anon_sym_DQUOTE,
    STATE(2712), 1,
      sym_decorator,
    STATE(2714), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108868] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4326), 1,
      anon_sym_RBRACE,
    STATE(2684), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2713), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [108893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4328), 1,
      anon_sym_DQUOTE,
    STATE(2714), 1,
      sym_decorator,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [108916] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    ACTIONS(4330), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4332), 1,
      anon_sym_BSLASH,
    STATE(1142), 1,
      sym_string,
    STATE(2715), 1,
      sym_decorator,
  [108941] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4177), 1,
      anon_sym_module,
    ACTIONS(4334), 1,
      anon_sym_type,
    STATE(2716), 1,
      sym_decorator,
    STATE(2261), 2,
      sym_constrain_module,
      sym_constrain_type,
  [108964] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4336), 1,
      anon_sym_RBRACE,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2717), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [108989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4169), 1,
      anon_sym_module,
    ACTIONS(4338), 1,
      anon_sym_type,
    STATE(2718), 1,
      sym_decorator,
    STATE(2518), 2,
      sym_constrain_module,
      sym_constrain_type,
  [109012] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4340), 1,
      anon_sym_SQUOTE,
    STATE(2719), 1,
      sym_decorator,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [109035] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4345), 1,
      anon_sym_SQUOTE,
    ACTIONS(4342), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
    STATE(2720), 2,
      sym_decorator,
      aux_sym_character_repeat1,
  [109056] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4347), 1,
      anon_sym_DQUOTE,
    STATE(2721), 1,
      sym_decorator,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [109079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    STATE(2722), 1,
      sym_decorator,
    STATE(3130), 1,
      sym_module_type_annotation,
    ACTIONS(3886), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109102] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4169), 1,
      anon_sym_module,
    ACTIONS(4338), 1,
      anon_sym_type,
    STATE(2723), 1,
      sym_decorator,
    STATE(2660), 2,
      sym_constrain_module,
      sym_constrain_type,
  [109125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4349), 1,
      anon_sym_DQUOTE,
    ACTIONS(4351), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
    STATE(2724), 2,
      sym_decorator,
      aux_sym_string_repeat1,
  [109146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4354), 1,
      anon_sym_DQUOTE,
    STATE(2725), 1,
      sym_decorator,
    STATE(2736), 1,
      aux_sym_string_repeat1,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [109169] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4356), 1,
      anon_sym_RBRACE,
    STATE(2665), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2726), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [109194] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4358), 1,
      anon_sym_SQUOTE,
    STATE(2727), 1,
      sym_decorator,
    STATE(2738), 1,
      aux_sym_character_repeat1,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [109217] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    ACTIONS(4360), 1,
      anon_sym_RPAREN,
    STATE(2722), 1,
      sym_module_identifier,
    STATE(2728), 1,
      sym_decorator,
    STATE(3051), 1,
      sym_functor_parameter,
  [109242] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4167), 1,
      anon_sym_as,
    ACTIONS(4362), 1,
      anon_sym_COMMA,
    ACTIONS(4364), 1,
      anon_sym_GT,
    STATE(2729), 1,
      sym_decorator,
    STATE(2756), 1,
      aux_sym_tuple_type_repeat1,
  [109267] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4177), 1,
      anon_sym_module,
    ACTIONS(4334), 1,
      anon_sym_type,
    STATE(2730), 1,
      sym_decorator,
    STATE(2269), 2,
      sym_constrain_module,
      sym_constrain_type,
  [109290] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2796), 1,
      anon_sym_RBRACE,
    ACTIONS(3929), 1,
      anon_sym_PIPE,
    ACTIONS(4366), 1,
      anon_sym_COMMA,
    STATE(2731), 1,
      sym_decorator,
    STATE(2940), 1,
      aux_sym_record_pattern_repeat1,
  [109315] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4368), 1,
      anon_sym_RBRACE,
    STATE(2682), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2732), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [109340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4372), 1,
      anon_sym_COMMA,
    ACTIONS(4370), 2,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    STATE(2733), 2,
      sym_decorator,
      aux_sym_array_pattern_repeat1,
  [109361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3774), 1,
      anon_sym_EQ,
    STATE(2734), 1,
      sym_decorator,
    STATE(3123), 1,
      sym__labeled_parameter_default_value,
    ACTIONS(4375), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109384] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4183), 1,
      anon_sym_PIPE,
    ACTIONS(4377), 1,
      anon_sym_RBRACE,
    STATE(2710), 1,
      aux_sym_switch_expression_repeat1,
    STATE(2735), 1,
      sym_decorator,
    STATE(3099), 1,
      sym_switch_match,
  [109409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4379), 1,
      anon_sym_DQUOTE,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    STATE(2736), 1,
      sym_decorator,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [109432] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4381), 1,
      anon_sym_SQUOTE,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    STATE(2737), 1,
      sym_decorator,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [109455] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4383), 1,
      anon_sym_SQUOTE,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    STATE(2738), 1,
      sym_decorator,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [109478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4385), 1,
      anon_sym_SQUOTE,
    STATE(2719), 1,
      aux_sym_character_repeat1,
    STATE(2739), 1,
      sym_decorator,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [109501] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4387), 1,
      anon_sym_DQUOTE,
    STATE(2721), 1,
      aux_sym_string_repeat1,
    STATE(2740), 1,
      sym_decorator,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [109524] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1047), 1,
      anon_sym_DQUOTE,
    ACTIONS(4389), 1,
      aux_sym_polyvar_identifier_token1,
    ACTIONS(4391), 1,
      anon_sym_BSLASH,
    STATE(1939), 1,
      sym_string,
    STATE(2741), 1,
      sym_decorator,
  [109549] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4393), 1,
      anon_sym_SQUOTE,
    STATE(2720), 1,
      aux_sym_character_repeat1,
    STATE(2742), 1,
      sym_decorator,
    ACTIONS(4159), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [109572] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4395), 1,
      anon_sym_RBRACE,
    ACTIONS(4397), 1,
      anon_sym_COLON,
    ACTIONS(4399), 1,
      anon_sym_COMMA,
    STATE(2743), 1,
      sym_decorator,
    STATE(2944), 1,
      aux_sym_record_pattern_repeat1,
  [109597] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3970), 1,
      anon_sym_PIPE,
    ACTIONS(4274), 1,
      anon_sym_EQ,
    ACTIONS(4401), 1,
      anon_sym_COLON,
    STATE(2358), 1,
      sym_type_annotation,
    STATE(2744), 1,
      sym_decorator,
  [109622] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4403), 1,
      anon_sym_DQUOTE,
    STATE(2724), 1,
      aux_sym_string_repeat1,
    STATE(2745), 1,
      sym_decorator,
    ACTIONS(4187), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [109645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    STATE(2746), 1,
      sym_decorator,
    STATE(3066), 1,
      sym_object_field,
    STATE(3088), 1,
      sym__object_field,
    STATE(3188), 1,
      sym_string,
  [109670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(4405), 1,
      anon_sym_RPAREN,
    ACTIONS(4407), 1,
      anon_sym_COMMA,
    STATE(2747), 1,
      sym_decorator,
    STATE(2956), 1,
      aux_sym_tuple_type_repeat1,
  [109695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(567), 1,
      anon_sym_RPAREN,
    ACTIONS(4409), 1,
      anon_sym_COMMA,
    STATE(2748), 1,
      sym_decorator,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
  [109717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4023), 1,
      anon_sym_RBRACE,
    ACTIONS(4411), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      sym_decorator,
    STATE(3007), 1,
      aux_sym_object_repeat1,
  [109739] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2750), 1,
      sym_decorator,
  [109761] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4415), 1,
      anon_sym_LBRACE,
    ACTIONS(4417), 1,
      anon_sym_if,
    STATE(1902), 1,
      sym_block,
    STATE(2751), 1,
      sym_decorator,
  [109783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3904), 1,
      anon_sym_GT,
    ACTIONS(4419), 1,
      anon_sym_COMMA,
    STATE(2752), 1,
      sym_decorator,
    STATE(3004), 1,
      aux_sym_type_parameters_repeat1,
  [109805] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(1996), 1,
      sym_variant_declaration,
    STATE(2753), 1,
      sym_decorator,
  [109827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1997), 1,
      sym_type_identifier,
    STATE(2754), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [109847] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1746), 1,
      anon_sym_RPAREN,
    ACTIONS(4423), 1,
      anon_sym_COMMA,
    STATE(2755), 1,
      sym_decorator,
    STATE(3026), 1,
      aux_sym_tuple_type_repeat1,
  [109869] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1679), 1,
      anon_sym_GT,
    ACTIONS(4425), 1,
      anon_sym_COMMA,
    STATE(2756), 1,
      sym_decorator,
    STATE(2914), 1,
      aux_sym_tuple_type_repeat1,
  [109891] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4427), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2757), 1,
      sym_decorator,
  [109913] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4431), 1,
      anon_sym_RBRACK,
    STATE(2758), 1,
      sym_decorator,
    STATE(2996), 1,
      aux_sym_polyvar_type_repeat1,
  [109935] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3811), 1,
      anon_sym_RBRACE,
    ACTIONS(4433), 1,
      anon_sym_COMMA,
    STATE(2759), 1,
      sym_decorator,
    STATE(2999), 1,
      aux_sym_object_type_repeat1,
  [109957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3209), 1,
      anon_sym_RBRACE,
    ACTIONS(4435), 1,
      anon_sym_COMMA,
    STATE(2760), 1,
      sym_decorator,
    STATE(2974), 1,
      aux_sym_record_type_repeat1,
  [109979] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(4437), 1,
      anon_sym_QMARK,
    STATE(2761), 1,
      sym_decorator,
    STATE(3089), 1,
      sym_type_annotation,
  [110001] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4439), 1,
      anon_sym_RBRACE,
    ACTIONS(4441), 1,
      anon_sym_COMMA,
    STATE(2762), 1,
      sym_decorator,
    STATE(2976), 1,
      aux_sym_record_type_repeat1,
  [110023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(667), 1,
      anon_sym_RPAREN,
    ACTIONS(4443), 1,
      anon_sym_COMMA,
    STATE(2763), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [110045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4445), 1,
      anon_sym_RBRACK,
    STATE(2764), 1,
      sym_decorator,
    STATE(2996), 1,
      aux_sym_polyvar_type_repeat1,
  [110067] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4445), 1,
      anon_sym_RBRACK,
    STATE(2758), 1,
      aux_sym_polyvar_type_repeat1,
    STATE(2765), 1,
      sym_decorator,
  [110089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4447), 1,
      anon_sym_COLON,
    ACTIONS(4449), 1,
      anon_sym_EQ_GT,
    STATE(2766), 1,
      sym_decorator,
    STATE(3394), 1,
      sym_module_type_annotation,
  [110111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
    ACTIONS(4451), 1,
      anon_sym_COMMA,
    STATE(2767), 1,
      sym_decorator,
    STATE(3026), 1,
      aux_sym_tuple_type_repeat1,
  [110133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3835), 1,
      anon_sym_RBRACE,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    STATE(2768), 1,
      sym_decorator,
    STATE(2999), 1,
      aux_sym_object_type_repeat1,
  [110155] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3835), 1,
      anon_sym_RBRACE,
    ACTIONS(4453), 1,
      anon_sym_COMMA,
    STATE(2759), 1,
      aux_sym_object_type_repeat1,
    STATE(2769), 1,
      sym_decorator,
  [110177] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(2770), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [110199] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4457), 1,
      anon_sym_RBRACE,
    ACTIONS(4459), 1,
      anon_sym_COMMA,
    STATE(2760), 1,
      aux_sym_record_type_repeat1,
    STATE(2771), 1,
      sym_decorator,
  [110221] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(633), 1,
      anon_sym_RPAREN,
    ACTIONS(4461), 1,
      anon_sym_COMMA,
    STATE(2772), 1,
      sym_decorator,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
  [110243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2773), 1,
      sym_decorator,
    ACTIONS(4463), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [110263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1172), 1,
      anon_sym_RPAREN,
    ACTIONS(4465), 1,
      anon_sym_COMMA,
    STATE(2774), 1,
      sym_decorator,
    STATE(2968), 1,
      aux_sym__variant_pattern_parameters_repeat1,
  [110285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2638), 1,
      anon_sym_RBRACE,
    ACTIONS(4467), 1,
      anon_sym_COMMA,
    STATE(2775), 1,
      sym_decorator,
    STATE(2930), 1,
      aux_sym_record_repeat1,
  [110307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2814), 1,
      anon_sym_RPAREN,
    ACTIONS(4469), 1,
      anon_sym_COMMA,
    STATE(2776), 1,
      sym_decorator,
    STATE(2901), 1,
      aux_sym_functor_arguments_repeat1,
  [110329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2178), 1,
      sym_variant_declaration,
    STATE(2777), 1,
      sym_decorator,
  [110351] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(611), 1,
      anon_sym_RPAREN,
    ACTIONS(4471), 1,
      anon_sym_COMMA,
    STATE(2778), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [110373] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(611), 1,
      anon_sym_RPAREN,
    ACTIONS(4471), 1,
      anon_sym_COMMA,
    STATE(2763), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2779), 1,
      sym_decorator,
  [110395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1781), 1,
      sym_type_identifier,
    STATE(2780), 1,
      sym_decorator,
    ACTIONS(3992), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [110415] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4473), 1,
      anon_sym_RBRACK,
    STATE(2764), 1,
      aux_sym_polyvar_type_repeat1,
    STATE(2781), 1,
      sym_decorator,
  [110437] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3894), 1,
      anon_sym_RBRACE,
    ACTIONS(4475), 1,
      anon_sym_COMMA,
    STATE(2768), 1,
      aux_sym_object_type_repeat1,
    STATE(2782), 1,
      sym_decorator,
  [110459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(2187), 1,
      sym_variant_declaration,
    STATE(2783), 1,
      sym_decorator,
  [110481] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4477), 1,
      anon_sym_RBRACE,
    ACTIONS(4479), 1,
      anon_sym_COMMA,
    STATE(2775), 1,
      aux_sym_record_repeat1,
    STATE(2784), 1,
      sym_decorator,
  [110503] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4136), 1,
      anon_sym_RBRACE,
    ACTIONS(4481), 1,
      anon_sym_COMMA,
    STATE(2785), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [110525] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(515), 1,
      anon_sym_RBRACE,
    ACTIONS(4483), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      sym_decorator,
    STATE(2820), 1,
      aux_sym_list_repeat1,
  [110547] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2787), 1,
      sym_decorator,
    ACTIONS(4370), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [110565] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4485), 1,
      anon_sym_RPAREN,
    ACTIONS(4487), 1,
      anon_sym_COMMA,
    STATE(2788), 1,
      sym_decorator,
    STATE(2948), 1,
      aux_sym_tuple_pattern_repeat1,
  [110587] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4489), 1,
      anon_sym_RPAREN,
    ACTIONS(4491), 1,
      anon_sym_COMMA,
    STATE(2776), 1,
      aux_sym_functor_arguments_repeat1,
    STATE(2789), 1,
      sym_decorator,
  [110609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4493), 1,
      anon_sym_RBRACE,
    ACTIONS(4495), 1,
      anon_sym_COMMA,
    STATE(2790), 2,
      sym_decorator,
      aux_sym_record_pattern_repeat1,
  [110629] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(659), 1,
      anon_sym_RBRACK,
    ACTIONS(4498), 1,
      anon_sym_COMMA,
    STATE(2791), 1,
      sym_decorator,
    STATE(2864), 1,
      aux_sym_tuple_repeat1,
  [110651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4500), 1,
      anon_sym_COLON,
    STATE(2792), 1,
      sym_decorator,
    ACTIONS(4493), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [110671] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4502), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2793), 1,
      sym_decorator,
  [110693] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4504), 1,
      anon_sym_and,
    ACTIONS(4506), 1,
      sym__newline,
    STATE(2794), 1,
      sym_decorator,
    STATE(2908), 1,
      aux_sym_type_declaration_repeat1,
  [110715] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2796), 1,
      anon_sym_RBRACE,
    ACTIONS(4366), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2795), 1,
      sym_decorator,
  [110737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1107), 1,
      anon_sym_RBRACE,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    STATE(2733), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2796), 1,
      sym_decorator,
  [110759] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1101), 1,
      aux_sym_variant_identifier_token1,
    STATE(874), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2797), 1,
      sym_decorator,
  [110781] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4510), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2798), 1,
      sym_decorator,
  [110803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4512), 1,
      anon_sym_RPAREN,
    ACTIONS(4514), 1,
      anon_sym_COMMA,
    STATE(2799), 2,
      sym_decorator,
      aux_sym_functor_parameters_repeat1,
  [110823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4517), 1,
      anon_sym_COLON,
    ACTIONS(4519), 1,
      anon_sym_EQ_GT,
    STATE(2800), 1,
      sym_decorator,
    STATE(3209), 1,
      sym__return_type_annotation,
  [110845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2148), 1,
      sym_variant_identifier,
    STATE(2412), 1,
      sym_variant_declaration,
    STATE(2801), 1,
      sym_decorator,
  [110867] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4155), 1,
      anon_sym_RBRACE,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(2785), 1,
      aux_sym_object_repeat1,
    STATE(2802), 1,
      sym_decorator,
  [110889] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4521), 1,
      anon_sym_RBRACE,
    ACTIONS(4523), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_list_repeat1,
    STATE(2803), 1,
      sym_decorator,
  [110911] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2082), 1,
      sym_variant_identifier,
    STATE(2248), 1,
      sym_variant_declaration,
    STATE(2804), 1,
      sym_decorator,
  [110933] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4525), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2805), 1,
      sym_decorator,
  [110955] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1742), 1,
      anon_sym_RPAREN,
    ACTIONS(4527), 1,
      anon_sym_COMMA,
    STATE(2806), 1,
      sym_decorator,
    STATE(3026), 1,
      aux_sym_tuple_type_repeat1,
  [110977] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4529), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2807), 1,
      sym_decorator,
  [110999] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(4531), 1,
      sym_extension_identifier,
    STATE(2808), 1,
      sym_decorator,
    STATE(2907), 1,
      aux_sym_extension_expression_repeat1,
  [111021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2809), 1,
      sym_decorator,
    ACTIONS(4533), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [111041] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1805), 1,
      sym_variant_identifier,
    STATE(2024), 1,
      sym_variant_declaration,
    STATE(2810), 1,
      sym_decorator,
  [111063] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(4535), 1,
      sym_extension_identifier,
    STATE(2811), 1,
      sym_decorator,
    STATE(2907), 1,
      aux_sym_extension_expression_repeat1,
  [111085] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2239), 1,
      sym_variant_identifier,
    STATE(2489), 1,
      sym_variant_declaration,
    STATE(2812), 1,
      sym_decorator,
  [111107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4132), 1,
      anon_sym_RBRACE,
    ACTIONS(4537), 1,
      anon_sym_COMMA,
    STATE(2813), 1,
      sym_decorator,
    STATE(2841), 1,
      aux_sym_object_repeat1,
  [111129] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1841), 1,
      sym_variant_identifier,
    STATE(2136), 1,
      sym_variant_declaration,
    STATE(2814), 1,
      sym_decorator,
  [111151] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    ACTIONS(4539), 1,
      anon_sym_COMMA,
    STATE(2815), 1,
      sym_decorator,
    STATE(2930), 1,
      aux_sym_record_repeat1,
  [111173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4543), 1,
      anon_sym_COLON,
    STATE(2816), 1,
      sym_decorator,
    ACTIONS(4541), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [111193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4138), 1,
      anon_sym_RBRACE,
    ACTIONS(4545), 1,
      anon_sym_COMMA,
    STATE(2817), 1,
      sym_decorator,
    STATE(2924), 1,
      aux_sym_object_repeat1,
  [111215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(583), 1,
      anon_sym_RPAREN,
    ACTIONS(4547), 1,
      anon_sym_COMMA,
    STATE(2818), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [111237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4549), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2819), 1,
      sym_decorator,
  [111259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4551), 1,
      anon_sym_RBRACE,
    ACTIONS(4553), 1,
      anon_sym_COMMA,
    STATE(2820), 2,
      sym_decorator,
      aux_sym_list_repeat1,
  [111279] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4556), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2821), 1,
      sym_decorator,
  [111301] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1805), 1,
      sym_variant_identifier,
    STATE(2022), 1,
      sym_variant_declaration,
    STATE(2822), 1,
      sym_decorator,
  [111323] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2296), 1,
      sym_variant_identifier,
    STATE(2508), 1,
      sym_variant_declaration,
    STATE(2823), 1,
      sym_decorator,
  [111345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4447), 1,
      anon_sym_COLON,
    ACTIONS(4558), 1,
      anon_sym_EQ_GT,
    STATE(2824), 1,
      sym_decorator,
    STATE(3340), 1,
      sym_module_type_annotation,
  [111367] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4560), 1,
      anon_sym_RPAREN,
    ACTIONS(4562), 1,
      anon_sym_COMMA,
    STATE(2825), 1,
      sym_decorator,
    STATE(2918), 1,
      aux_sym__function_type_parameter_list_repeat1,
  [111389] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2826), 1,
      sym_decorator,
    ACTIONS(4564), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [111407] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4447), 1,
      anon_sym_COLON,
    ACTIONS(4566), 1,
      anon_sym_EQ_GT,
    STATE(2827), 1,
      sym_decorator,
    STATE(3154), 1,
      sym_module_type_annotation,
  [111429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4157), 1,
      anon_sym_RBRACE,
    ACTIONS(4568), 1,
      anon_sym_COMMA,
    STATE(2770), 1,
      aux_sym_object_repeat1,
    STATE(2828), 1,
      sym_decorator,
  [111451] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2818), 1,
      anon_sym_RPAREN,
    ACTIONS(4570), 1,
      anon_sym_COMMA,
    STATE(2829), 1,
      sym_decorator,
    STATE(2901), 1,
      aux_sym_functor_arguments_repeat1,
  [111473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1794), 1,
      sym_variant_identifier,
    STATE(1952), 1,
      sym_variant_declaration,
    STATE(2830), 1,
      sym_decorator,
  [111495] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4572), 1,
      anon_sym_RBRACE,
    ACTIONS(4574), 1,
      anon_sym_COMMA,
    STATE(2831), 1,
      sym_decorator,
    STATE(2856), 1,
      aux_sym_list_repeat1,
  [111517] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(571), 1,
      anon_sym_RPAREN,
    ACTIONS(4576), 1,
      anon_sym_COMMA,
    STATE(2832), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [111539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(571), 1,
      anon_sym_RPAREN,
    ACTIONS(4576), 1,
      anon_sym_COMMA,
    STATE(2833), 1,
      sym_decorator,
    STATE(2888), 1,
      aux_sym_variant_arguments_repeat1,
  [111561] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4095), 1,
      anon_sym_RBRACE,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(2834), 1,
      sym_decorator,
    STATE(2858), 1,
      aux_sym_object_repeat1,
  [111583] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1781), 1,
      sym_type_identifier,
    STATE(2835), 1,
      sym_decorator,
    ACTIONS(3018), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [111603] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4580), 1,
      anon_sym_RPAREN,
    ACTIONS(4582), 1,
      anon_sym_COMMA,
    STATE(2836), 1,
      sym_decorator,
    STATE(2963), 1,
      aux_sym_formal_parameters_repeat1,
  [111625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2837), 1,
      sym_decorator,
    ACTIONS(4284), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [111643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4584), 1,
      anon_sym_RBRACK,
    STATE(2838), 1,
      sym_decorator,
    STATE(2878), 1,
      aux_sym_polyvar_type_repeat1,
  [111665] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1793), 1,
      sym_type_identifier,
    STATE(2839), 1,
      sym_decorator,
    ACTIONS(3992), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [111685] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(589), 1,
      anon_sym_RPAREN,
    ACTIONS(4586), 1,
      anon_sym_COMMA,
    STATE(2840), 1,
      sym_decorator,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
  [111707] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4095), 1,
      anon_sym_RBRACE,
    ACTIONS(4578), 1,
      anon_sym_COMMA,
    STATE(2841), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [111729] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1841), 1,
      sym_variant_identifier,
    STATE(2138), 1,
      sym_variant_declaration,
    STATE(2842), 1,
      sym_decorator,
  [111751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3849), 1,
      anon_sym_RBRACE,
    ACTIONS(4588), 1,
      anon_sym_COMMA,
    STATE(2843), 1,
      sym_decorator,
    STATE(2873), 1,
      aux_sym_object_type_repeat1,
  [111773] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3298), 1,
      aux_sym_variant_identifier_token1,
    STATE(1160), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(2844), 1,
      sym_decorator,
  [111795] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2226), 1,
      sym_variant_identifier,
    STATE(2422), 1,
      sym_variant_declaration,
    STATE(2845), 1,
      sym_decorator,
  [111817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(623), 1,
      anon_sym_RBRACK,
    ACTIONS(4590), 1,
      anon_sym_COMMA,
    STATE(2846), 1,
      sym_decorator,
    STATE(2864), 1,
      aux_sym_tuple_repeat1,
  [111839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2666), 1,
      anon_sym_RBRACE,
    ACTIONS(4592), 1,
      anon_sym_COMMA,
    STATE(2847), 1,
      sym_decorator,
    STATE(2930), 1,
      aux_sym_record_repeat1,
  [111861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(4594), 1,
      anon_sym_COMMA,
    STATE(2848), 1,
      sym_decorator,
    STATE(3001), 1,
      aux_sym_object_type_repeat1,
  [111883] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(4596), 1,
      sym_extension_identifier,
    STATE(2849), 1,
      sym_decorator,
    STATE(2907), 1,
      aux_sym_extension_expression_repeat1,
  [111905] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(3952), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2850), 1,
      sym_decorator,
  [111927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2851), 1,
      sym_decorator,
    ACTIONS(4598), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [111945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(593), 1,
      anon_sym_RPAREN,
    ACTIONS(4600), 1,
      anon_sym_COMMA,
    STATE(2852), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [111967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(593), 1,
      anon_sym_RPAREN,
    ACTIONS(4600), 1,
      anon_sym_COMMA,
    STATE(2818), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2853), 1,
      sym_decorator,
  [111989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(2094), 1,
      sym_variant_declaration,
    STATE(2854), 1,
      sym_decorator,
  [112011] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4602), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2855), 1,
      sym_decorator,
  [112033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(533), 1,
      anon_sym_RBRACE,
    ACTIONS(4604), 1,
      anon_sym_COMMA,
    STATE(2820), 1,
      aux_sym_list_repeat1,
    STATE(2856), 1,
      sym_decorator,
  [112055] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4606), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2857), 1,
      sym_decorator,
  [112077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4057), 1,
      anon_sym_RBRACE,
    ACTIONS(4608), 1,
      anon_sym_COMMA,
    STATE(2858), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [112099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4610), 1,
      anon_sym_RBRACE,
    ACTIONS(4612), 1,
      anon_sym_COMMA,
    STATE(2859), 1,
      sym_decorator,
    STATE(2871), 1,
      aux_sym_record_repeat1,
  [112121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(2125), 1,
      sym_variant_declaration,
    STATE(2860), 1,
      sym_decorator,
  [112143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1347), 1,
      anon_sym_LT,
    STATE(2861), 1,
      sym_decorator,
    ACTIONS(4614), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [112163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(591), 1,
      anon_sym_RPAREN,
    ACTIONS(4616), 1,
      anon_sym_COMMA,
    STATE(2862), 1,
      sym_decorator,
    STATE(2877), 1,
      aux_sym_variant_arguments_repeat1,
  [112185] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2530), 1,
      anon_sym_LBRACE,
    ACTIONS(4618), 1,
      anon_sym_if,
    STATE(1166), 1,
      sym_block,
    STATE(2863), 1,
      sym_decorator,
  [112207] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2572), 1,
      anon_sym_RBRACK,
    ACTIONS(4620), 1,
      anon_sym_COMMA,
    STATE(2864), 2,
      sym_decorator,
      aux_sym_tuple_repeat1,
  [112227] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4623), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2865), 1,
      sym_decorator,
  [112249] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4625), 1,
      anon_sym_DQUOTE,
    STATE(2866), 1,
      sym_decorator,
    ACTIONS(4627), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [112269] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(591), 1,
      anon_sym_RPAREN,
    ACTIONS(4616), 1,
      anon_sym_COMMA,
    STATE(2867), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [112291] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2212), 1,
      sym_variant_identifier,
    STATE(2317), 1,
      sym_variant_declaration,
    STATE(2868), 1,
      sym_decorator,
  [112313] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4629), 1,
      anon_sym_RBRACE,
    ACTIONS(4631), 1,
      anon_sym_COMMA,
    STATE(2847), 1,
      aux_sym_record_repeat1,
    STATE(2869), 1,
      sym_decorator,
  [112335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4113), 1,
      anon_sym_RBRACE,
    ACTIONS(4633), 1,
      anon_sym_COMMA,
    STATE(2870), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [112357] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    ACTIONS(4635), 1,
      anon_sym_COMMA,
    STATE(2871), 1,
      sym_decorator,
    STATE(2930), 1,
      aux_sym_record_repeat1,
  [112379] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(511), 1,
      anon_sym_RBRACE,
    ACTIONS(4637), 1,
      anon_sym_COMMA,
    STATE(2820), 1,
      aux_sym_list_repeat1,
    STATE(2872), 1,
      sym_decorator,
  [112401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3861), 1,
      anon_sym_RBRACE,
    ACTIONS(4594), 1,
      anon_sym_COMMA,
    STATE(2873), 1,
      sym_decorator,
    STATE(2999), 1,
      aux_sym_object_type_repeat1,
  [112423] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2874), 1,
      sym_decorator,
    ACTIONS(4639), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [112443] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    ACTIONS(4641), 1,
      anon_sym_COMMA,
    STATE(2875), 1,
      sym_decorator,
    STATE(3026), 1,
      aux_sym_tuple_type_repeat1,
  [112465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(655), 1,
      anon_sym_RPAREN,
    ACTIONS(4643), 1,
      anon_sym_COMMA,
    STATE(2876), 1,
      sym_decorator,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
  [112487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(683), 1,
      anon_sym_RPAREN,
    ACTIONS(4645), 1,
      anon_sym_COMMA,
    STATE(2877), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [112509] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4647), 1,
      anon_sym_RBRACK,
    STATE(2878), 1,
      sym_decorator,
    STATE(2996), 1,
      aux_sym_polyvar_type_repeat1,
  [112531] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4651), 1,
      anon_sym_SQUOTE,
    STATE(2879), 1,
      sym_decorator,
    ACTIONS(4649), 2,
      sym_escape_sequence,
      aux_sym_character_token1,
  [112551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2534), 1,
      anon_sym_LBRACE,
    ACTIONS(4653), 1,
      anon_sym_if,
    STATE(733), 1,
      sym_block,
    STATE(2880), 1,
      sym_decorator,
  [112573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    ACTIONS(4655), 1,
      anon_sym_if,
    STATE(1353), 1,
      sym_block,
    STATE(2881), 1,
      sym_decorator,
  [112595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(597), 1,
      anon_sym_RBRACK,
    ACTIONS(4657), 1,
      anon_sym_COMMA,
    STATE(2864), 1,
      aux_sym_tuple_repeat1,
    STATE(2882), 1,
      sym_decorator,
  [112617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1987), 1,
      sym_variant_identifier,
    STATE(2098), 1,
      sym_variant_declaration,
    STATE(2883), 1,
      sym_decorator,
  [112639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2884), 1,
      sym_decorator,
  [112661] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1793), 1,
      sym_type_identifier,
    STATE(2885), 1,
      sym_decorator,
    ACTIONS(3018), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [112681] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2568), 1,
      anon_sym_LBRACE,
    ACTIONS(4659), 1,
      anon_sym_if,
    STATE(1253), 1,
      sym_block,
    STATE(2886), 1,
      sym_decorator,
  [112703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(1960), 1,
      sym_type_identifier,
    STATE(2887), 1,
      sym_decorator,
    ACTIONS(2976), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [112723] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(599), 1,
      anon_sym_RPAREN,
    ACTIONS(4661), 1,
      anon_sym_COMMA,
    STATE(2888), 1,
      sym_decorator,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
  [112745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2570), 1,
      anon_sym_LBRACE,
    ACTIONS(4663), 1,
      anon_sym_if,
    STATE(982), 1,
      sym_block,
    STATE(2889), 1,
      sym_decorator,
  [112767] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2036), 1,
      sym_variant_identifier,
    STATE(2174), 1,
      sym_variant_declaration,
    STATE(2890), 1,
      sym_decorator,
  [112789] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    ACTIONS(4665), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [112811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    ACTIONS(4665), 1,
      anon_sym_COMMA,
    STATE(2870), 1,
      aux_sym_object_repeat1,
    STATE(2892), 1,
      sym_decorator,
  [112833] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4667), 1,
      anon_sym_RBRACE,
    ACTIONS(4669), 1,
      anon_sym_COMMA,
    STATE(2872), 1,
      aux_sym_list_repeat1,
    STATE(2893), 1,
      sym_decorator,
  [112855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2448), 1,
      anon_sym_RPAREN,
    ACTIONS(4671), 1,
      anon_sym_COMMA,
    STATE(2894), 2,
      sym_decorator,
      aux_sym_variant_arguments_repeat1,
  [112875] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4674), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2895), 1,
      sym_decorator,
  [112897] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4676), 1,
      anon_sym_COMMA,
    ACTIONS(4678), 1,
      anon_sym_GT,
    STATE(2896), 1,
      sym_decorator,
    STATE(2992), 1,
      aux_sym_type_parameters_repeat1,
  [112919] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(4680), 1,
      sym_extension_identifier,
    STATE(2897), 1,
      sym_decorator,
    STATE(2907), 1,
      aux_sym_extension_expression_repeat1,
  [112941] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4120), 1,
      anon_sym_RBRACE,
    ACTIONS(4682), 1,
      anon_sym_COMMA,
    STATE(2898), 1,
      sym_decorator,
    STATE(2925), 1,
      aux_sym_object_repeat1,
  [112963] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2752), 1,
      sym_type_identifier,
    STATE(2899), 1,
      sym_decorator,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [112983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2572), 1,
      anon_sym_RPAREN,
    ACTIONS(4684), 1,
      anon_sym_COMMA,
    STATE(2900), 2,
      sym_decorator,
      aux_sym_tuple_repeat1,
  [113003] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4687), 1,
      anon_sym_RPAREN,
    ACTIONS(4689), 1,
      anon_sym_COMMA,
    STATE(2901), 2,
      sym_decorator,
      aux_sym_functor_arguments_repeat1,
  [113023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2165), 1,
      sym_variant_declaration,
    STATE(2902), 1,
      sym_decorator,
  [113045] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1868), 1,
      sym_variant_identifier,
    STATE(2156), 1,
      sym_variant_declaration,
    STATE(2903), 1,
      sym_decorator,
  [113067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2904), 1,
      sym_decorator,
    ACTIONS(4692), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [113087] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1996), 1,
      sym_variant_declaration,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2905), 1,
      sym_decorator,
  [113109] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4694), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2906), 1,
      sym_decorator,
  [113131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4696), 1,
      anon_sym_PERCENT,
    ACTIONS(4699), 1,
      sym_extension_identifier,
    STATE(2907), 2,
      sym_decorator,
      aux_sym_extension_expression_repeat1,
  [113151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4701), 1,
      anon_sym_and,
    ACTIONS(4703), 1,
      sym__newline,
    STATE(2908), 2,
      sym_decorator,
      aux_sym_type_declaration_repeat1,
  [113171] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4706), 1,
      anon_sym_RBRACE,
    ACTIONS(4708), 1,
      anon_sym_COMMA,
    STATE(2909), 1,
      sym_decorator,
    STATE(2993), 1,
      aux_sym_list_repeat1,
  [113193] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4506), 1,
      sym__newline,
    ACTIONS(4710), 1,
      anon_sym_and,
    STATE(2908), 1,
      aux_sym_type_declaration_repeat1,
    STATE(2910), 1,
      sym_decorator,
  [113215] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4712), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2911), 1,
      sym_decorator,
  [113237] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3988), 1,
      anon_sym_RBRACE,
    ACTIONS(4714), 1,
      anon_sym_COMMA,
    STATE(2912), 1,
      sym_decorator,
    STATE(2991), 1,
      aux_sym_object_repeat1,
  [113259] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4167), 1,
      anon_sym_as,
    STATE(2913), 1,
      sym_decorator,
    ACTIONS(4716), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [113279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4716), 1,
      anon_sym_GT,
    ACTIONS(4718), 1,
      anon_sym_COMMA,
    STATE(2914), 2,
      sym_decorator,
      aux_sym_tuple_type_repeat1,
  [113299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3977), 1,
      anon_sym_RBRACE,
    ACTIONS(4721), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      aux_sym_object_repeat1,
    STATE(2915), 1,
      sym_decorator,
  [113321] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2916), 1,
      sym_decorator,
    ACTIONS(1936), 3,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_COMMA,
  [113339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4723), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2917), 1,
      sym_decorator,
  [113361] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    ACTIONS(4725), 1,
      anon_sym_COMMA,
    STATE(2918), 1,
      sym_decorator,
    STATE(2990), 1,
      aux_sym__function_type_parameter_list_repeat1,
  [113383] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(4727), 1,
      sym_extension_identifier,
    STATE(2907), 1,
      aux_sym_extension_expression_repeat1,
    STATE(2919), 1,
      sym_decorator,
  [113405] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4729), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(2920), 1,
      sym_decorator,
  [113427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4731), 1,
      anon_sym_RBRACE,
    ACTIONS(4733), 1,
      anon_sym_COMMA,
    STATE(2921), 1,
      sym_decorator,
    STATE(2934), 1,
      aux_sym_list_repeat1,
  [113449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2922), 1,
      sym_decorator,
    ACTIONS(4735), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113469] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    STATE(2923), 1,
      sym_decorator,
    STATE(2936), 1,
      aux_sym_object_repeat1,
  [113491] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3988), 1,
      anon_sym_RBRACE,
    ACTIONS(4714), 1,
      anon_sym_COMMA,
    STATE(2924), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [113513] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3990), 1,
      anon_sym_RBRACE,
    ACTIONS(4737), 1,
      anon_sym_COMMA,
    STATE(2925), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [113535] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(657), 1,
      anon_sym_RBRACK,
    ACTIONS(4739), 1,
      anon_sym_COMMA,
    STATE(2864), 1,
      aux_sym_tuple_repeat1,
    STATE(2926), 1,
      sym_decorator,
  [113557] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3561), 1,
      anon_sym_COLON,
    ACTIONS(4151), 1,
      anon_sym_RPAREN,
    STATE(2927), 1,
      sym_decorator,
    STATE(3143), 1,
      sym_module_type_annotation,
  [113579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4741), 1,
      anon_sym_RPAREN,
    ACTIONS(4743), 1,
      anon_sym_COMMA,
    STATE(2928), 1,
      sym_decorator,
    STATE(2954), 1,
      aux_sym_functor_parameters_repeat1,
  [113601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4745), 1,
      anon_sym_RPAREN,
    ACTIONS(4747), 1,
      anon_sym_COMMA,
    STATE(2774), 1,
      aux_sym__variant_pattern_parameters_repeat1,
    STATE(2929), 1,
      sym_decorator,
  [113623] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4749), 1,
      anon_sym_RBRACE,
    ACTIONS(4751), 1,
      anon_sym_COMMA,
    STATE(2930), 2,
      sym_decorator,
      aux_sym_record_repeat1,
  [113643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
    ACTIONS(4756), 1,
      anon_sym_COMMA,
    STATE(2931), 2,
      sym_decorator,
      aux_sym_formal_parameters_repeat1,
  [113663] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2932), 1,
      sym_decorator,
    ACTIONS(4759), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [113681] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2226), 1,
      sym_variant_identifier,
    STATE(2933), 1,
      sym_decorator,
  [113703] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(517), 1,
      anon_sym_RBRACE,
    ACTIONS(4761), 1,
      anon_sym_COMMA,
    STATE(2820), 1,
      aux_sym_list_repeat1,
    STATE(2934), 1,
      sym_decorator,
  [113725] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4647), 1,
      anon_sym_RBRACK,
    STATE(2935), 1,
      sym_decorator,
    STATE(2997), 1,
      aux_sym_polyvar_type_repeat1,
  [113747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4025), 1,
      anon_sym_RBRACE,
    ACTIONS(4763), 1,
      anon_sym_COMMA,
    STATE(2936), 1,
      sym_decorator,
    STATE(2971), 1,
      aux_sym_object_repeat1,
  [113769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1115), 1,
      anon_sym_RBRACK,
    ACTIONS(4765), 1,
      anon_sym_COMMA,
    STATE(2733), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2937), 1,
      sym_decorator,
  [113791] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2938), 1,
      sym_decorator,
    ACTIONS(4767), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [113809] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(2722), 1,
      sym_module_identifier,
    STATE(2939), 1,
      sym_decorator,
    STATE(3051), 1,
      sym_functor_parameter,
  [113831] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2810), 1,
      anon_sym_RBRACE,
    ACTIONS(4280), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2940), 1,
      sym_decorator,
  [113853] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2613), 1,
      sym_variant_declaration,
    STATE(2941), 1,
      sym_decorator,
  [113875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4771), 1,
      anon_sym_COLON,
    STATE(2942), 1,
      sym_decorator,
    ACTIONS(4769), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [113895] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4773), 1,
      anon_sym_RBRACE,
    ACTIONS(4775), 1,
      anon_sym_COMMA,
    STATE(2943), 1,
      sym_decorator,
    STATE(2957), 1,
      aux_sym_record_repeat1,
  [113917] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    ACTIONS(4229), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2944), 1,
      sym_decorator,
  [113939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2239), 1,
      sym_variant_identifier,
    STATE(2453), 1,
      sym_variant_declaration,
    STATE(2945), 1,
      sym_decorator,
  [113961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4777), 1,
      anon_sym_RBRACE,
    ACTIONS(4779), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2946), 1,
      sym_decorator,
  [113983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2239), 1,
      sym_variant_identifier,
    STATE(2947), 1,
      sym_decorator,
  [114005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1170), 1,
      anon_sym_RPAREN,
    ACTIONS(4781), 1,
      anon_sym_COMMA,
    STATE(2948), 1,
      sym_decorator,
    STATE(2980), 1,
      aux_sym_tuple_pattern_repeat1,
  [114027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(651), 1,
      anon_sym_RPAREN,
    ACTIONS(4783), 1,
      anon_sym_COMMA,
    STATE(2949), 1,
      sym_decorator,
    STATE(2967), 1,
      aux_sym_variant_arguments_repeat1,
  [114049] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4199), 1,
      anon_sym_EQ_GT,
    ACTIONS(4785), 1,
      anon_sym_with,
    STATE(2620), 1,
      sym__module_type_constraint_with,
    STATE(2950), 1,
      sym_decorator,
  [114071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2951), 1,
      sym_decorator,
    ACTIONS(4199), 3,
      anon_sym_RPAREN,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
  [114089] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2148), 1,
      sym_variant_identifier,
    STATE(2429), 1,
      sym_variant_declaration,
    STATE(2952), 1,
      sym_decorator,
  [114111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(651), 1,
      anon_sym_RPAREN,
    ACTIONS(4783), 1,
      anon_sym_COMMA,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2953), 1,
      sym_decorator,
  [114133] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4248), 1,
      anon_sym_RPAREN,
    ACTIONS(4787), 1,
      anon_sym_COMMA,
    STATE(2799), 1,
      aux_sym_functor_parameters_repeat1,
    STATE(2954), 1,
      sym_decorator,
  [114155] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3929), 1,
      anon_sym_PIPE,
    STATE(2955), 1,
      sym_decorator,
    ACTIONS(4789), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [114175] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1651), 1,
      anon_sym_RPAREN,
    ACTIONS(4791), 1,
      anon_sym_COMMA,
    STATE(2956), 1,
      sym_decorator,
    STATE(3026), 1,
      aux_sym_tuple_type_repeat1,
  [114197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2714), 1,
      anon_sym_RBRACE,
    ACTIONS(4793), 1,
      anon_sym_COMMA,
    STATE(2930), 1,
      aux_sym_record_repeat1,
    STATE(2957), 1,
      sym_decorator,
  [114219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2148), 1,
      sym_variant_identifier,
    STATE(2958), 1,
      sym_decorator,
  [114241] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(647), 1,
      anon_sym_RPAREN,
    ACTIONS(4795), 1,
      anon_sym_COMMA,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
    STATE(2959), 1,
      sym_decorator,
  [114263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2082), 1,
      sym_variant_identifier,
    STATE(2224), 1,
      sym_variant_declaration,
    STATE(2960), 1,
      sym_decorator,
  [114285] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4797), 1,
      anon_sym_COMMA,
    ACTIONS(4799), 1,
      anon_sym_RBRACK,
    STATE(2937), 1,
      aux_sym_array_pattern_repeat1,
    STATE(2961), 1,
      sym_decorator,
  [114307] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1805), 1,
      sym_variant_identifier,
    STATE(1996), 1,
      sym_variant_declaration,
    STATE(2962), 1,
      sym_decorator,
  [114329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1073), 1,
      anon_sym_RPAREN,
    ACTIONS(4801), 1,
      anon_sym_COMMA,
    STATE(2931), 1,
      aux_sym_formal_parameters_repeat1,
    STATE(2963), 1,
      sym_decorator,
  [114351] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2964), 1,
      sym_decorator,
    ACTIONS(4803), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [114369] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(619), 1,
      anon_sym_RPAREN,
    ACTIONS(4805), 1,
      anon_sym_COMMA,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2965), 1,
      sym_decorator,
  [114391] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(2966), 1,
      sym_decorator,
    ACTIONS(3555), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_with,
  [114409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(645), 1,
      anon_sym_RPAREN,
    ACTIONS(4807), 1,
      anon_sym_COMMA,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2967), 1,
      sym_decorator,
  [114431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4809), 1,
      anon_sym_RPAREN,
    ACTIONS(4811), 1,
      anon_sym_COMMA,
    STATE(2968), 2,
      sym_decorator,
      aux_sym__variant_pattern_parameters_repeat1,
  [114451] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1794), 1,
      sym_variant_identifier,
    STATE(1977), 1,
      sym_variant_declaration,
    STATE(2969), 1,
      sym_decorator,
  [114473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1655), 1,
      anon_sym_GT,
    ACTIONS(4814), 1,
      anon_sym_COMMA,
    STATE(2914), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2970), 1,
      sym_decorator,
  [114495] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4816), 1,
      anon_sym_RBRACE,
    ACTIONS(4818), 1,
      anon_sym_COMMA,
    STATE(2971), 2,
      sym_decorator,
      aux_sym_object_repeat1,
  [114515] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2212), 1,
      sym_variant_identifier,
    STATE(2972), 1,
      sym_decorator,
  [114537] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    ACTIONS(4821), 1,
      anon_sym_QMARK,
    STATE(2973), 1,
      sym_decorator,
    STATE(3091), 1,
      sym_type_annotation,
  [114559] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4823), 1,
      anon_sym_RBRACE,
    ACTIONS(4825), 1,
      anon_sym_COMMA,
    STATE(2974), 2,
      sym_decorator,
      aux_sym_record_type_repeat1,
  [114579] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(625), 1,
      anon_sym_RPAREN,
    ACTIONS(4828), 1,
      anon_sym_COMMA,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
    STATE(2975), 1,
      sym_decorator,
  [114601] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3211), 1,
      anon_sym_RBRACE,
    ACTIONS(4830), 1,
      anon_sym_COMMA,
    STATE(2974), 1,
      aux_sym_record_type_repeat1,
    STATE(2976), 1,
      sym_decorator,
  [114623] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2680), 1,
      anon_sym_RBRACE,
    ACTIONS(4832), 1,
      anon_sym_COMMA,
    STATE(2930), 1,
      aux_sym_record_repeat1,
    STATE(2977), 1,
      sym_decorator,
  [114645] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2082), 1,
      sym_variant_identifier,
    STATE(2978), 1,
      sym_decorator,
  [114667] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1987), 1,
      sym_variant_identifier,
    STATE(2081), 1,
      sym_variant_declaration,
    STATE(2979), 1,
      sym_decorator,
  [114689] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4834), 1,
      anon_sym_RPAREN,
    ACTIONS(4836), 1,
      anon_sym_COMMA,
    STATE(2980), 2,
      sym_decorator,
      aux_sym_tuple_pattern_repeat1,
  [114709] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4506), 1,
      sym__newline,
    ACTIONS(4839), 1,
      anon_sym_and,
    STATE(2908), 1,
      aux_sym_type_declaration_repeat1,
    STATE(2981), 1,
      sym_decorator,
  [114731] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2309), 1,
      sym_variant_identifier,
    STATE(2563), 1,
      sym_variant_declaration,
    STATE(2982), 1,
      sym_decorator,
  [114753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4841), 1,
      anon_sym_RBRACE,
    ACTIONS(4843), 1,
      anon_sym_COMMA,
    STATE(2815), 1,
      aux_sym_record_repeat1,
    STATE(2983), 1,
      sym_decorator,
  [114775] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1841), 1,
      sym_variant_identifier,
    STATE(1996), 1,
      sym_variant_declaration,
    STATE(2984), 1,
      sym_decorator,
  [114797] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3929), 1,
      anon_sym_PIPE,
    STATE(2985), 1,
      sym_decorator,
    ACTIONS(4845), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [114817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    ACTIONS(4847), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym_record_pattern_repeat1,
    STATE(2986), 1,
      sym_decorator,
  [114839] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(627), 1,
      anon_sym_RPAREN,
    ACTIONS(4849), 1,
      anon_sym_COMMA,
    STATE(2894), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2987), 1,
      sym_decorator,
  [114861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(627), 1,
      anon_sym_RPAREN,
    ACTIONS(4849), 1,
      anon_sym_COMMA,
    STATE(2965), 1,
      aux_sym_variant_arguments_repeat1,
    STATE(2988), 1,
      sym_decorator,
  [114883] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2989), 1,
      sym_decorator,
    ACTIONS(4851), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114903] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4853), 1,
      anon_sym_RPAREN,
    ACTIONS(4855), 1,
      anon_sym_COMMA,
    STATE(2990), 2,
      sym_decorator,
      aux_sym__function_type_parameter_list_repeat1,
  [114923] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4065), 1,
      anon_sym_RBRACE,
    ACTIONS(4858), 1,
      anon_sym_COMMA,
    STATE(2971), 1,
      aux_sym_object_repeat1,
    STATE(2991), 1,
      sym_decorator,
  [114945] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3904), 1,
      anon_sym_GT,
    ACTIONS(4419), 1,
      anon_sym_COMMA,
    STATE(2992), 1,
      sym_decorator,
    STATE(3017), 1,
      aux_sym_type_parameters_repeat1,
  [114967] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(537), 1,
      anon_sym_RBRACE,
    ACTIONS(4860), 1,
      anon_sym_COMMA,
    STATE(2820), 1,
      aux_sym_list_repeat1,
    STATE(2993), 1,
      sym_decorator,
  [114989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(639), 1,
      anon_sym_RPAREN,
    ACTIONS(4862), 1,
      anon_sym_COMMA,
    STATE(2900), 1,
      aux_sym_tuple_repeat1,
    STATE(2994), 1,
      sym_decorator,
  [115011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2995), 1,
      sym_decorator,
    ACTIONS(4864), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115031] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4866), 1,
      anon_sym_PIPE,
    ACTIONS(4869), 1,
      anon_sym_RBRACK,
    STATE(2996), 2,
      sym_decorator,
      aux_sym_polyvar_type_repeat1,
  [115051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4429), 1,
      anon_sym_PIPE,
    ACTIONS(4871), 1,
      anon_sym_RBRACK,
    STATE(2996), 1,
      aux_sym_polyvar_type_repeat1,
    STATE(2997), 1,
      sym_decorator,
  [115073] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(2998), 1,
      sym_decorator,
    ACTIONS(4873), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [115093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4875), 1,
      anon_sym_RBRACE,
    ACTIONS(4877), 1,
      anon_sym_COMMA,
    STATE(2999), 2,
      sym_decorator,
      aux_sym_object_type_repeat1,
  [115113] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4506), 1,
      sym__newline,
    ACTIONS(4880), 1,
      anon_sym_and,
    STATE(2908), 1,
      aux_sym_type_declaration_repeat1,
    STATE(3000), 1,
      sym_decorator,
  [115135] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3847), 1,
      anon_sym_RBRACE,
    ACTIONS(4882), 1,
      anon_sym_COMMA,
    STATE(2999), 1,
      aux_sym_object_type_repeat1,
    STATE(3001), 1,
      sym_decorator,
  [115157] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4884), 1,
      anon_sym_RPAREN,
    ACTIONS(4886), 1,
      anon_sym_COMMA,
    STATE(2829), 1,
      aux_sym_functor_arguments_repeat1,
    STATE(3002), 1,
      sym_decorator,
  [115179] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(1987), 1,
      sym_variant_identifier,
    STATE(3003), 1,
      sym_decorator,
  [115201] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3954), 1,
      anon_sym_GT,
    ACTIONS(4888), 1,
      anon_sym_COMMA,
    STATE(3004), 1,
      sym_decorator,
    STATE(3017), 1,
      aux_sym_type_parameters_repeat1,
  [115223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1085), 1,
      aux_sym_variant_identifier_token1,
    STATE(874), 1,
      sym_variant_identifier,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(3005), 1,
      sym_decorator,
  [115245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4890), 1,
      anon_sym_RBRACE,
    ACTIONS(4892), 1,
      anon_sym_COMMA,
    STATE(2977), 1,
      aux_sym_record_repeat1,
    STATE(3006), 1,
      sym_decorator,
  [115267] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4055), 1,
      anon_sym_RBRACE,
    ACTIONS(4894), 1,
      anon_sym_COMMA,
    STATE(2971), 1,
      aux_sym_object_repeat1,
    STATE(3007), 1,
      sym_decorator,
  [115289] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1845), 1,
      sym_variant_identifier,
    STATE(1996), 1,
      sym_variant_declaration,
    STATE(3008), 1,
      sym_decorator,
  [115311] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4896), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(3009), 1,
      sym_decorator,
  [115333] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(63), 1,
      anon_sym_PERCENT,
    ACTIONS(4898), 1,
      sym_extension_identifier,
    STATE(2907), 1,
      aux_sym_extension_expression_repeat1,
    STATE(3010), 1,
      sym_decorator,
  [115355] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(525), 1,
      anon_sym_RBRACE,
    ACTIONS(4900), 1,
      anon_sym_COMMA,
    STATE(2820), 1,
      aux_sym_list_repeat1,
    STATE(3011), 1,
      sym_decorator,
  [115377] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2296), 1,
      sym_variant_identifier,
    STATE(2454), 1,
      sym_variant_declaration,
    STATE(3012), 1,
      sym_decorator,
  [115399] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3013), 1,
      sym_decorator,
    STATE(3096), 1,
      sym_type_identifier,
    ACTIONS(1158), 2,
      aux_sym_type_identifier_token1,
      sym__escape_identifier,
  [115419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(1794), 1,
      sym_variant_identifier,
    STATE(1996), 1,
      sym_variant_declaration,
    STATE(3014), 1,
      sym_decorator,
  [115441] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(2212), 1,
      sym_variant_identifier,
    STATE(2318), 1,
      sym_variant_declaration,
    STATE(3015), 1,
      sym_decorator,
  [115463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3994), 1,
      anon_sym_RBRACE,
    ACTIONS(4902), 1,
      anon_sym_COMMA,
    STATE(3016), 1,
      sym_decorator,
    STATE(3027), 1,
      aux_sym_object_repeat1,
  [115485] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4904), 1,
      anon_sym_COMMA,
    ACTIONS(4907), 1,
      anon_sym_GT,
    STATE(3017), 2,
      sym_decorator,
      aux_sym_type_parameters_repeat1,
  [115505] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3018), 1,
      sym_decorator,
    ACTIONS(2366), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT_DOT_DOT,
  [115523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(663), 1,
      anon_sym_RBRACK,
    ACTIONS(4909), 1,
      anon_sym_COMMA,
    STATE(2864), 1,
      aux_sym_tuple_repeat1,
    STATE(3019), 1,
      sym_decorator,
  [115545] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3601), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      anon_sym_DOT,
    STATE(2154), 1,
      sym_functor_arguments,
    STATE(3020), 1,
      sym_decorator,
  [115567] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(629), 1,
      anon_sym_RBRACK,
    ACTIONS(4913), 1,
      anon_sym_COMMA,
    STATE(2864), 1,
      aux_sym_tuple_repeat1,
    STATE(3021), 1,
      sym_decorator,
  [115589] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    STATE(3022), 1,
      sym_decorator,
    ACTIONS(4716), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4915), 1,
      anon_sym_RBRACE,
    ACTIONS(4917), 1,
      anon_sym_COMMA,
    STATE(3011), 1,
      aux_sym_list_repeat1,
    STATE(3023), 1,
      sym_decorator,
  [115631] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(2007), 1,
      sym_variant_identifier,
    STATE(2204), 1,
      sym_variant_declaration,
    STATE(3024), 1,
      sym_decorator,
  [115653] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4413), 1,
      aux_sym_variant_identifier_token1,
    STATE(1791), 1,
      sym_variant_declaration,
    STATE(2296), 1,
      sym_variant_identifier,
    STATE(3025), 1,
      sym_decorator,
  [115675] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4716), 1,
      anon_sym_RPAREN,
    ACTIONS(4919), 1,
      anon_sym_COMMA,
    STATE(3026), 2,
      sym_decorator,
      aux_sym_tuple_type_repeat1,
  [115695] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4023), 1,
      anon_sym_RBRACE,
    ACTIONS(4411), 1,
      anon_sym_COMMA,
    STATE(2971), 1,
      aux_sym_object_repeat1,
    STATE(3027), 1,
      sym_decorator,
  [115717] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3028), 1,
      sym_decorator,
    ACTIONS(4853), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3029), 1,
      sym_decorator,
    ACTIONS(4922), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [115751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3030), 1,
      sym_decorator,
    ACTIONS(4924), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [115768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3031), 1,
      sym_decorator,
    ACTIONS(4926), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [115785] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3032), 1,
      sym_decorator,
    ACTIONS(4929), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [115802] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3033), 1,
      sym_decorator,
    ACTIONS(4931), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [115819] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4421), 1,
      aux_sym_variant_identifier_token1,
    STATE(2293), 1,
      sym_variant_identifier,
    STATE(3034), 1,
      sym_decorator,
  [115838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4933), 1,
      anon_sym_RBRACE,
    ACTIONS(4935), 1,
      anon_sym_COMMA,
    STATE(3035), 1,
      sym_decorator,
  [115857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3036), 1,
      sym_decorator,
    ACTIONS(4937), 2,
      anon_sym_PERCENT,
      sym_extension_identifier,
  [115874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    STATE(695), 1,
      sym_string,
    STATE(3037), 1,
      sym_decorator,
  [115893] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3038), 1,
      sym_decorator,
    ACTIONS(4939), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3039), 1,
      sym_decorator,
    ACTIONS(4941), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [115927] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4943), 1,
      anon_sym_RPAREN,
    ACTIONS(4945), 1,
      sym__newline,
    STATE(3040), 1,
      sym_decorator,
  [115946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(881), 1,
      anon_sym_DQUOTE,
    STATE(1308), 1,
      sym_string,
    STATE(3041), 1,
      sym_decorator,
  [115965] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3042), 1,
      sym_decorator,
    ACTIONS(4947), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [115982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3043), 1,
      sym_decorator,
    ACTIONS(4949), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115999] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3044), 1,
      sym_decorator,
    ACTIONS(2594), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3045), 1,
      sym_decorator,
    ACTIONS(1219), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [116033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3046), 1,
      sym_decorator,
    ACTIONS(4951), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3047), 1,
      sym_decorator,
    ACTIONS(4953), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3048), 1,
      sym_decorator,
    ACTIONS(3079), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [116084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3049), 1,
      sym_decorator,
    ACTIONS(4955), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3050), 1,
      sym_decorator,
    ACTIONS(4907), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [116118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3051), 1,
      sym_decorator,
    ACTIONS(4512), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3052), 1,
      sym_decorator,
    ACTIONS(4957), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [116152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(503), 1,
      anon_sym_DQUOTE,
    STATE(877), 1,
      sym_string,
    STATE(3053), 1,
      sym_decorator,
  [116171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3054), 1,
      sym_decorator,
    ACTIONS(4959), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116188] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3055), 1,
      sym_decorator,
    ACTIONS(4961), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116205] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3056), 1,
      sym_decorator,
    ACTIONS(4963), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116222] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3086), 1,
      anon_sym_as,
    ACTIONS(4965), 1,
      anon_sym_EQ_GT,
    STATE(3057), 1,
      sym_decorator,
  [116241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3058), 1,
      sym_decorator,
    ACTIONS(4967), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116258] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3059), 1,
      sym_decorator,
    ACTIONS(4754), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3060), 1,
      sym_decorator,
    ACTIONS(4282), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4969), 1,
      anon_sym_RBRACE,
    ACTIONS(4971), 1,
      anon_sym_COMMA,
    STATE(3061), 1,
      sym_decorator,
  [116311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3062), 1,
      sym_decorator,
    ACTIONS(4935), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3063), 1,
      sym_decorator,
    ACTIONS(4974), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3064), 1,
      sym_decorator,
    ACTIONS(4875), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3065), 1,
      sym_decorator,
    ACTIONS(4976), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3066), 1,
      sym_decorator,
    ACTIONS(4978), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3067), 1,
      sym_decorator,
    ACTIONS(4551), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3068), 1,
      sym_decorator,
    ACTIONS(4864), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116430] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3069), 1,
      sym_decorator,
    ACTIONS(4869), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [116447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(169), 1,
      anon_sym_DQUOTE,
    STATE(877), 1,
      sym_string,
    STATE(3070), 1,
      sym_decorator,
  [116466] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3071), 1,
      sym_decorator,
    ACTIONS(4980), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116483] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3072), 1,
      sym_decorator,
    ACTIONS(4982), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4984), 1,
      anon_sym_RPAREN,
    ACTIONS(4986), 1,
      sym__newline,
    STATE(3073), 1,
      sym_decorator,
  [116519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3074), 1,
      sym_decorator,
    ACTIONS(2446), 2,
      anon_sym_DASH_GT,
      anon_sym_PIPE_GT,
  [116536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4988), 1,
      anon_sym_LPAREN,
    ACTIONS(4990), 1,
      anon_sym_type,
    STATE(3075), 1,
      sym_decorator,
  [116555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3076), 1,
      sym_decorator,
    ACTIONS(4992), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3077), 1,
      sym_decorator,
    ACTIONS(4994), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116589] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3078), 1,
      sym_decorator,
    ACTIONS(4297), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [116606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3079), 1,
      sym_decorator,
    ACTIONS(4130), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3080), 1,
      sym_decorator,
    ACTIONS(4996), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116640] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4998), 1,
      anon_sym_LPAREN,
    STATE(3081), 1,
      sym_decorator,
    STATE(3403), 1,
      sym_decorator_arguments,
  [116659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3082), 1,
      sym_decorator,
    ACTIONS(5000), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116676] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    ACTIONS(5004), 1,
      sym__newline,
    STATE(3083), 1,
      sym_decorator,
  [116695] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5006), 1,
      anon_sym_RPAREN,
    ACTIONS(5008), 1,
      sym__newline,
    STATE(3084), 1,
      sym_decorator,
  [116714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3085), 1,
      sym_decorator,
    ACTIONS(5010), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3086), 1,
      sym_decorator,
    ACTIONS(5012), 2,
      sym__newline,
      anon_sym_and,
  [116748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3087), 1,
      sym_decorator,
    ACTIONS(4834), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116765] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3088), 1,
      sym_decorator,
    ACTIONS(4816), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3089), 1,
      sym_decorator,
    ACTIONS(5014), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    STATE(3090), 1,
      sym_decorator,
    STATE(3131), 1,
      sym_type_annotation,
  [116818] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3091), 1,
      sym_decorator,
    ACTIONS(5016), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116835] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3092), 1,
      sym_decorator,
    ACTIONS(4823), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3093), 1,
      sym_decorator,
    ACTIONS(5018), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [116869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    STATE(3094), 1,
      sym_decorator,
    STATE(3128), 1,
      sym_type_annotation,
  [116888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3095), 1,
      sym_decorator,
    ACTIONS(4614), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [116905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3096), 1,
      sym_decorator,
    ACTIONS(5020), 2,
      anon_sym_COMMA,
      anon_sym_GT,
  [116922] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(549), 1,
      anon_sym_COLON,
    STATE(3097), 1,
      sym_decorator,
    STATE(3299), 1,
      sym_type_annotation,
  [116941] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2782), 1,
      anon_sym_LT,
    STATE(1759), 1,
      sym_type_arguments,
    STATE(3098), 1,
      sym_decorator,
  [116960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3099), 1,
      sym_decorator,
    ACTIONS(5022), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [116977] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    STATE(1095), 1,
      sym_string,
    STATE(3100), 1,
      sym_decorator,
  [116996] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5024), 1,
      anon_sym_RPAREN,
    ACTIONS(5026), 1,
      sym__newline,
    STATE(3101), 1,
      sym_decorator,
  [117015] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3102), 1,
      sym_decorator,
    ACTIONS(5028), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [117032] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5030), 1,
      anon_sym_RPAREN,
    ACTIONS(5032), 1,
      anon_sym_COMMA,
    STATE(3103), 1,
      sym_decorator,
  [117051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3104), 1,
      sym_decorator,
    ACTIONS(5034), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [117068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3105), 1,
      sym_decorator,
    ACTIONS(5036), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [117085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1842), 1,
      aux_sym_variant_identifier_token1,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(3106), 1,
      sym_decorator,
  [117104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(73), 1,
      anon_sym_DQUOTE,
    STATE(2467), 1,
      sym_string,
    STATE(3107), 1,
      sym_decorator,
  [117123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3108), 1,
      sym_decorator,
    ACTIONS(4153), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3109), 1,
      sym_decorator,
    ACTIONS(3536), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [117157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3110), 1,
      sym_decorator,
    ACTIONS(4687), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117174] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3111), 1,
      sym_decorator,
    ACTIONS(5038), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [117191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(5040), 1,
      anon_sym_EQ,
    STATE(3112), 1,
      sym_decorator,
  [117210] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3113), 1,
      sym_decorator,
    ACTIONS(3549), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [117227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3114), 1,
      sym_decorator,
    ACTIONS(5042), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [117244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3273), 1,
      anon_sym_as,
    ACTIONS(5044), 1,
      anon_sym_EQ,
    STATE(3115), 1,
      sym_decorator,
  [117263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3116), 1,
      sym_decorator,
    ACTIONS(5046), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [117280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2746), 1,
      aux_sym_variant_identifier_token1,
    STATE(2199), 1,
      sym_module_identifier,
    STATE(3117), 1,
      sym_decorator,
  [117299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(1047), 1,
      anon_sym_DQUOTE,
    STATE(1928), 1,
      sym_string,
    STATE(3118), 1,
      sym_decorator,
  [117318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(419), 1,
      anon_sym_DQUOTE,
    STATE(1361), 1,
      sym_string,
    STATE(3119), 1,
      sym_decorator,
  [117337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3120), 1,
      sym_decorator,
    ACTIONS(5048), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [117354] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3121), 1,
      sym_decorator,
    ACTIONS(4809), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3122), 1,
      sym_decorator,
    ACTIONS(2576), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [117388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3123), 1,
      sym_decorator,
    ACTIONS(5050), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117405] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5052), 1,
      anon_sym_RBRACE,
    ACTIONS(5054), 1,
      anon_sym_COMMA,
    STATE(3124), 1,
      sym_decorator,
  [117424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3125), 1,
      sym_decorator,
    ACTIONS(5057), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [117441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5059), 1,
      anon_sym_RPAREN,
    ACTIONS(5061), 1,
      sym__newline,
    STATE(3126), 1,
      sym_decorator,
  [117460] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3127), 1,
      sym_decorator,
    ACTIONS(5063), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [117477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3128), 1,
      sym_decorator,
    ACTIONS(5065), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [117494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3129), 1,
      sym_decorator,
    ACTIONS(4735), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3130), 1,
      sym_decorator,
    ACTIONS(5067), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3131), 1,
      sym_decorator,
    ACTIONS(5069), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [117545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3132), 1,
      sym_decorator,
    ACTIONS(5071), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2768), 1,
      aux_sym_variant_identifier_token1,
    STATE(2105), 1,
      sym_module_identifier,
    STATE(3133), 1,
      sym_decorator,
  [117581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3134), 1,
      sym_decorator,
    ACTIONS(4749), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [117598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3135), 1,
      sym_decorator,
    ACTIONS(5073), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3136), 1,
      sym_decorator,
    ACTIONS(5075), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [117632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3137), 1,
      sym_decorator,
    ACTIONS(5077), 2,
      anon_sym_RBRACE,
      anon_sym_PIPE,
  [117649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3138), 1,
      sym_decorator,
    ACTIONS(5079), 2,
      anon_sym_COLON,
      anon_sym_EQ_GT,
  [117666] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3139), 1,
      sym_decorator,
    ACTIONS(5081), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [117683] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3140), 1,
      sym_decorator,
    ACTIONS(5032), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [117700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    STATE(3141), 1,
      sym_decorator,
    ACTIONS(5083), 2,
      anon_sym_PIPE,
      anon_sym_RBRACK,
  [117717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5085), 1,
      anon_sym_RPAREN,
    ACTIONS(5088), 1,
      anon_sym_COMMA,
    STATE(3142), 1,
      sym_decorator,
  [117736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    STATE(3143), 1,
      sym_decorator,
  [117752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5093), 1,
      anon_sym_RBRACE,
    STATE(3144), 1,
      sym_decorator,
  [117768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5095), 1,
      anon_sym_GT,
    STATE(3145), 1,
      sym_decorator,
  [117784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5097), 1,
      anon_sym_EQ_GT,
    STATE(3146), 1,
      sym_decorator,
  [117800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5099), 1,
      anon_sym_RPAREN,
    STATE(3147), 1,
      sym_decorator,
  [117816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5101), 1,
      anon_sym_EQ_GT,
    STATE(3148), 1,
      sym_decorator,
  [117832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5103), 1,
      anon_sym_EQ_GT,
    STATE(3149), 1,
      sym_decorator,
  [117848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5105), 1,
      anon_sym_COMMA,
    STATE(3150), 1,
      sym_decorator,
  [117864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5107), 1,
      anon_sym_EQ_GT,
    STATE(3151), 1,
      sym_decorator,
  [117880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4017), 1,
      anon_sym_DOT,
    STATE(3152), 1,
      sym_decorator,
  [117896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5109), 1,
      anon_sym_EQ_GT,
    STATE(3153), 1,
      sym_decorator,
  [117912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5111), 1,
      anon_sym_EQ_GT,
    STATE(3154), 1,
      sym_decorator,
  [117928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5113), 1,
      anon_sym_EQ_GT,
    STATE(3155), 1,
      sym_decorator,
  [117944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5115), 1,
      anon_sym_RBRACE,
    STATE(3156), 1,
      sym_decorator,
  [117960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5117), 1,
      anon_sym_EQ_GT,
    STATE(3157), 1,
      sym_decorator,
  [117976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5119), 1,
      anon_sym_EQ_GT,
    STATE(3158), 1,
      sym_decorator,
  [117992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(475), 1,
      anon_sym_RPAREN,
    STATE(3159), 1,
      sym_decorator,
  [118008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5121), 1,
      anon_sym_EQ_GT,
    STATE(3160), 1,
      sym_decorator,
  [118024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5123), 1,
      anon_sym_RPAREN,
    STATE(3161), 1,
      sym_decorator,
  [118040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5125), 1,
      anon_sym_EQ_GT,
    STATE(3162), 1,
      sym_decorator,
  [118056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5127), 1,
      anon_sym_EQ_GT,
    STATE(3163), 1,
      sym_decorator,
  [118072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5129), 1,
      anon_sym_EQ_GT,
    STATE(3164), 1,
      sym_decorator,
  [118088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(443), 1,
      anon_sym_RPAREN,
    STATE(3165), 1,
      sym_decorator,
  [118104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5131), 1,
      anon_sym_EQ_GT,
    STATE(3166), 1,
      sym_decorator,
  [118120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(445), 1,
      anon_sym_RPAREN,
    STATE(3167), 1,
      sym_decorator,
  [118136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5133), 1,
      anon_sym_EQ_GT,
    STATE(3168), 1,
      sym_decorator,
  [118152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(437), 1,
      anon_sym_RPAREN,
    STATE(3169), 1,
      sym_decorator,
  [118168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5135), 1,
      anon_sym_EQ_GT,
    STATE(3170), 1,
      sym_decorator,
  [118184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5137), 1,
      anon_sym_EQ_GT,
    STATE(3171), 1,
      sym_decorator,
  [118200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5139), 1,
      anon_sym_GT,
    STATE(3172), 1,
      sym_decorator,
  [118216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5141), 1,
      anon_sym_of,
    STATE(3173), 1,
      sym_decorator,
  [118232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5143), 1,
      anon_sym_RPAREN,
    STATE(3174), 1,
      sym_decorator,
  [118248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5145), 1,
      anon_sym_RPAREN,
    STATE(3175), 1,
      sym_decorator,
  [118264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5147), 1,
      anon_sym_COMMA,
    STATE(3176), 1,
      sym_decorator,
  [118280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    STATE(3177), 1,
      sym_decorator,
  [118296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3219), 1,
      anon_sym_LPAREN,
    STATE(3178), 1,
      sym_decorator,
  [118312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4988), 1,
      anon_sym_LPAREN,
    STATE(3179), 1,
      sym_decorator,
  [118328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5149), 1,
      anon_sym_EQ_GT,
    STATE(3180), 1,
      sym_decorator,
  [118344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5151), 1,
      anon_sym_GT,
    STATE(3181), 1,
      sym_decorator,
  [118360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5153), 1,
      anon_sym_EQ_GT,
    STATE(3182), 1,
      sym_decorator,
  [118376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5155), 1,
      anon_sym_RBRACE,
    STATE(3183), 1,
      sym_decorator,
  [118392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5157), 1,
      anon_sym_RPAREN,
    STATE(3184), 1,
      sym_decorator,
  [118408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5160), 1,
      anon_sym_EQ_GT,
    STATE(3185), 1,
      sym_decorator,
  [118424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4417), 1,
      anon_sym_if,
    STATE(3186), 1,
      sym_decorator,
  [118440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5162), 1,
      anon_sym_RBRACE,
    STATE(3187), 1,
      sym_decorator,
  [118456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5164), 1,
      anon_sym_COLON,
    STATE(3188), 1,
      sym_decorator,
  [118472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5166), 1,
      anon_sym_RBRACE,
    STATE(3189), 1,
      sym_decorator,
  [118488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5168), 1,
      anon_sym_EQ_GT,
    STATE(3190), 1,
      sym_decorator,
  [118504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5170), 1,
      anon_sym_BQUOTE,
    STATE(3191), 1,
      sym_decorator,
  [118520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5172), 1,
      anon_sym_EQ_GT,
    STATE(3192), 1,
      sym_decorator,
  [118536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    STATE(3193), 1,
      sym_decorator,
  [118552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5176), 1,
      anon_sym_RPAREN,
    STATE(3194), 1,
      sym_decorator,
  [118568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(2494), 1,
      anon_sym_RPAREN,
    STATE(3195), 1,
      sym_decorator,
  [118584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5178), 1,
      anon_sym_EQ_GT,
    STATE(3196), 1,
      sym_decorator,
  [118600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5180), 1,
      anon_sym_EQ_GT,
    STATE(3197), 1,
      sym_decorator,
  [118616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5182), 1,
      anon_sym_EQ_GT,
    STATE(3198), 1,
      sym_decorator,
  [118632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5184), 1,
      anon_sym_EQ_GT,
    STATE(3199), 1,
      sym_decorator,
  [118648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5186), 1,
      anon_sym_EQ_GT,
    STATE(3200), 1,
      sym_decorator,
  [118664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5188), 1,
      anon_sym_RPAREN,
    STATE(3201), 1,
      sym_decorator,
  [118680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5190), 1,
      anon_sym_GT,
    STATE(3202), 1,
      sym_decorator,
  [118696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5192), 1,
      anon_sym_BQUOTE,
    STATE(3203), 1,
      sym_decorator,
  [118712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5194), 1,
      anon_sym_RBRACE,
    STATE(3204), 1,
      sym_decorator,
  [118728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5196), 1,
      anon_sym_RPAREN,
    STATE(3205), 1,
      sym_decorator,
  [118744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5198), 1,
      anon_sym_GT,
    STATE(3206), 1,
      sym_decorator,
  [118760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5200), 1,
      anon_sym_EQ_GT,
    STATE(3207), 1,
      sym_decorator,
  [118776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(459), 1,
      anon_sym_RPAREN,
    STATE(3208), 1,
      sym_decorator,
  [118792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5202), 1,
      anon_sym_EQ_GT,
    STATE(3209), 1,
      sym_decorator,
  [118808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5204), 1,
      anon_sym_EQ_GT,
    STATE(3210), 1,
      sym_decorator,
  [118824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5206), 1,
      anon_sym_RPAREN,
    STATE(3211), 1,
      sym_decorator,
  [118840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    STATE(3212), 1,
      sym_decorator,
  [118856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5210), 1,
      anon_sym_RPAREN,
    STATE(3213), 1,
      sym_decorator,
  [118872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5212), 1,
      anon_sym_EQ_GT,
    STATE(3214), 1,
      sym_decorator,
  [118888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5214), 1,
      anon_sym_EQ_GT,
    STATE(3215), 1,
      sym_decorator,
  [118904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5216), 1,
      anon_sym_EQ_GT,
    STATE(3216), 1,
      sym_decorator,
  [118920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5218), 1,
      anon_sym_RPAREN,
    STATE(3217), 1,
      sym_decorator,
  [118936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5220), 1,
      anon_sym_GT,
    STATE(3218), 1,
      sym_decorator,
  [118952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4124), 1,
      anon_sym_DOT,
    STATE(3219), 1,
      sym_decorator,
  [118968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5222), 1,
      anon_sym_EQ_GT,
    STATE(3220), 1,
      sym_decorator,
  [118984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5224), 1,
      anon_sym_LBRACE,
    STATE(3221), 1,
      sym_decorator,
  [119000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4105), 1,
      anon_sym_DOT,
    STATE(3222), 1,
      sym_decorator,
  [119016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(3223), 1,
      sym_decorator,
  [119032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(481), 1,
      anon_sym_RPAREN,
    STATE(3224), 1,
      sym_decorator,
  [119048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4655), 1,
      anon_sym_if,
    STATE(3225), 1,
      sym_decorator,
  [119064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5228), 1,
      anon_sym_RPAREN,
    STATE(3226), 1,
      sym_decorator,
  [119080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5230), 1,
      anon_sym_LBRACE,
    STATE(3227), 1,
      sym_decorator,
  [119096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(483), 1,
      anon_sym_RPAREN,
    STATE(3228), 1,
      sym_decorator,
  [119112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    STATE(3229), 1,
      sym_decorator,
  [119128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5232), 1,
      anon_sym_BQUOTE,
    STATE(3230), 1,
      sym_decorator,
  [119144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5234), 1,
      anon_sym_GT,
    STATE(3231), 1,
      sym_decorator,
  [119160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5236), 1,
      anon_sym_RPAREN,
    STATE(3232), 1,
      sym_decorator,
  [119176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5238), 1,
      anon_sym_DOT,
    STATE(3233), 1,
      sym_decorator,
  [119192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5240), 1,
      anon_sym_EQ_GT,
    STATE(3234), 1,
      sym_decorator,
  [119208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5242), 1,
      anon_sym_RPAREN,
    STATE(3235), 1,
      sym_decorator,
  [119224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5244), 1,
      anon_sym_GT,
    STATE(3236), 1,
      sym_decorator,
  [119240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4933), 1,
      anon_sym_RBRACE,
    STATE(3237), 1,
      sym_decorator,
  [119256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5246), 1,
      anon_sym_GT,
    STATE(3238), 1,
      sym_decorator,
  [119272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4027), 1,
      anon_sym_DOT,
    STATE(3239), 1,
      sym_decorator,
  [119288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5248), 1,
      anon_sym_GT,
    STATE(3240), 1,
      sym_decorator,
  [119304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5250), 1,
      anon_sym_GT,
    STATE(3241), 1,
      sym_decorator,
  [119320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(449), 1,
      anon_sym_RPAREN,
    STATE(3242), 1,
      sym_decorator,
  [119336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5252), 1,
      anon_sym_in,
    STATE(3243), 1,
      sym_decorator,
  [119352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5254), 1,
      anon_sym_RPAREN,
    STATE(3244), 1,
      sym_decorator,
  [119368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4653), 1,
      anon_sym_if,
    STATE(3245), 1,
      sym_decorator,
  [119384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4049), 1,
      anon_sym_DOT,
    STATE(3246), 1,
      sym_decorator,
  [119400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5256), 1,
      anon_sym_GT,
    STATE(3247), 1,
      sym_decorator,
  [119416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4051), 1,
      anon_sym_DOT,
    STATE(3248), 1,
      sym_decorator,
  [119432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5258), 1,
      anon_sym_GT,
    STATE(3249), 1,
      sym_decorator,
  [119448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5260), 1,
      anon_sym_EQ_GT,
    STATE(3250), 1,
      sym_decorator,
  [119464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5262), 1,
      anon_sym_EQ_GT,
    STATE(3251), 1,
      sym_decorator,
  [119480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5264), 1,
      anon_sym_COMMA,
    STATE(3252), 1,
      sym_decorator,
  [119496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5266), 1,
      anon_sym_LPAREN,
    STATE(3253), 1,
      sym_decorator,
  [119512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(461), 1,
      anon_sym_RPAREN,
    STATE(3254), 1,
      sym_decorator,
  [119528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(465), 1,
      anon_sym_RPAREN,
    STATE(3255), 1,
      sym_decorator,
  [119544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5268), 1,
      anon_sym_GT,
    STATE(3256), 1,
      sym_decorator,
  [119560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4990), 1,
      anon_sym_type,
    STATE(3257), 1,
      sym_decorator,
  [119576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5270), 1,
      anon_sym_EQ_GT,
    STATE(3258), 1,
      sym_decorator,
  [119592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5272), 1,
      anon_sym_LBRACE,
    STATE(3259), 1,
      sym_decorator,
  [119608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5274), 1,
      anon_sym_EQ_GT,
    STATE(3260), 1,
      sym_decorator,
  [119624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5276), 1,
      anon_sym_LBRACE,
    STATE(3261), 1,
      sym_decorator,
  [119640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5278), 1,
      anon_sym_RPAREN,
    STATE(3262), 1,
      sym_decorator,
  [119656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4075), 1,
      anon_sym_DOT,
    STATE(3263), 1,
      sym_decorator,
  [119672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5280), 1,
      anon_sym_GT,
    STATE(3264), 1,
      sym_decorator,
  [119688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4087), 1,
      anon_sym_DOT,
    STATE(3265), 1,
      sym_decorator,
  [119704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5282), 1,
      anon_sym_DOT,
    STATE(3266), 1,
      sym_decorator,
  [119720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5284), 1,
      anon_sym_LBRACE,
    STATE(3267), 1,
      sym_decorator,
  [119736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(469), 1,
      anon_sym_RPAREN,
    STATE(3268), 1,
      sym_decorator,
  [119752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(447), 1,
      anon_sym_RPAREN,
    STATE(3269), 1,
      sym_decorator,
  [119768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4085), 1,
      anon_sym_DOT,
    STATE(3270), 1,
      sym_decorator,
  [119784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5286), 1,
      anon_sym_LBRACE,
    STATE(3271), 1,
      sym_decorator,
  [119800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5288), 1,
      anon_sym_GT,
    STATE(3272), 1,
      sym_decorator,
  [119816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(457), 1,
      anon_sym_RPAREN,
    STATE(3273), 1,
      sym_decorator,
  [119832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5290), 1,
      anon_sym_GT,
    STATE(3274), 1,
      sym_decorator,
  [119848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5292), 1,
      anon_sym_RPAREN,
    STATE(3275), 1,
      sym_decorator,
  [119864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5294), 1,
      anon_sym_GT,
    STATE(3276), 1,
      sym_decorator,
  [119880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5296), 1,
      anon_sym_RBRACE,
    STATE(3277), 1,
      sym_decorator,
  [119896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5298), 1,
      anon_sym_COLON,
    STATE(3278), 1,
      sym_decorator,
  [119912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5300), 1,
      anon_sym_COMMA,
    STATE(3279), 1,
      sym_decorator,
  [119928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5302), 1,
      anon_sym_LPAREN,
    STATE(3280), 1,
      sym_decorator,
  [119944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5304), 1,
      anon_sym_RPAREN,
    STATE(3281), 1,
      sym_decorator,
  [119960] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5306), 1,
      anon_sym_RPAREN,
    STATE(3282), 1,
      sym_decorator,
  [119976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(439), 1,
      anon_sym_RPAREN,
    STATE(3283), 1,
      sym_decorator,
  [119992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5308), 1,
      anon_sym_LBRACE,
    STATE(3284), 1,
      sym_decorator,
  [120008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5310), 1,
      anon_sym_GT,
    STATE(3285), 1,
      sym_decorator,
  [120024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5312), 1,
      anon_sym_RBRACE,
    STATE(3286), 1,
      sym_decorator,
  [120040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3170), 1,
      anon_sym_EQ_GT,
    STATE(3287), 1,
      sym_decorator,
  [120056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4089), 1,
      anon_sym_DOT,
    STATE(3288), 1,
      sym_decorator,
  [120072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5314), 1,
      anon_sym_LBRACE,
    STATE(3289), 1,
      sym_decorator,
  [120088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(455), 1,
      anon_sym_RPAREN,
    STATE(3290), 1,
      sym_decorator,
  [120104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5316), 1,
      anon_sym_LBRACE,
    STATE(3291), 1,
      sym_decorator,
  [120120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5318), 1,
      anon_sym_EQ_GT,
    STATE(3292), 1,
      sym_decorator,
  [120136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5320), 1,
      anon_sym_BQUOTE,
    STATE(3293), 1,
      sym_decorator,
  [120152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5322), 1,
      anon_sym_EQ_GT,
    STATE(3294), 1,
      sym_decorator,
  [120168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5324), 1,
      anon_sym_EQ_GT,
    STATE(3295), 1,
      sym_decorator,
  [120184] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5326), 1,
      anon_sym_EQ_GT,
    STATE(3296), 1,
      sym_decorator,
  [120200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5328), 1,
      anon_sym_EQ_GT,
    STATE(3297), 1,
      sym_decorator,
  [120216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(3574), 1,
      anon_sym_LPAREN,
    STATE(3298), 1,
      sym_decorator,
  [120232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5330), 1,
      anon_sym_EQ,
    STATE(3299), 1,
      sym_decorator,
  [120248] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5332), 1,
      anon_sym_RPAREN,
    STATE(3300), 1,
      sym_decorator,
  [120264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5334), 1,
      anon_sym_LBRACE,
    STATE(3301), 1,
      sym_decorator,
  [120280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5336), 1,
      anon_sym_COMMA,
    STATE(3302), 1,
      sym_decorator,
  [120296] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5338), 1,
      anon_sym_LPAREN,
    STATE(3303), 1,
      sym_decorator,
  [120312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5340), 1,
      anon_sym_LPAREN,
    STATE(3304), 1,
      sym_decorator,
  [120328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5342), 1,
      anon_sym_type,
    STATE(3305), 1,
      sym_decorator,
  [120344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4063), 1,
      anon_sym_DOT,
    STATE(3306), 1,
      sym_decorator,
  [120360] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5344), 1,
      anon_sym_EQ_GT,
    STATE(3307), 1,
      sym_decorator,
  [120376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5346), 1,
      anon_sym_GT,
    STATE(3308), 1,
      sym_decorator,
  [120392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5348), 1,
      anon_sym_RBRACE,
    STATE(3309), 1,
      sym_decorator,
  [120408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5350), 1,
      anon_sym_LBRACE,
    STATE(3310), 1,
      sym_decorator,
  [120424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5352), 1,
      anon_sym_GT,
    STATE(3311), 1,
      sym_decorator,
  [120440] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5354), 1,
      anon_sym_EQ_GT,
    STATE(3312), 1,
      sym_decorator,
  [120456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5356), 1,
      anon_sym_COMMA,
    STATE(3313), 1,
      sym_decorator,
  [120472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5358), 1,
      anon_sym_EQ_GT,
    STATE(3314), 1,
      sym_decorator,
  [120488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5360), 1,
      anon_sym_RPAREN,
    STATE(3315), 1,
      sym_decorator,
  [120504] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5362), 1,
      anon_sym_RBRACE,
    STATE(3316), 1,
      sym_decorator,
  [120520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4659), 1,
      anon_sym_if,
    STATE(3317), 1,
      sym_decorator,
  [120536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5364), 1,
      anon_sym_RBRACE,
    STATE(3318), 1,
      sym_decorator,
  [120552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5366), 1,
      anon_sym_EQ_GT,
    STATE(3319), 1,
      sym_decorator,
  [120568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5368), 1,
      anon_sym_RBRACE,
    STATE(3320), 1,
      sym_decorator,
  [120584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5370), 1,
      anon_sym_COMMA,
    STATE(3321), 1,
      sym_decorator,
  [120600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5372), 1,
      anon_sym_LPAREN,
    STATE(3322), 1,
      sym_decorator,
  [120616] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(451), 1,
      anon_sym_RPAREN,
    STATE(3323), 1,
      sym_decorator,
  [120632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5374), 1,
      anon_sym_RBRACE,
    STATE(3324), 1,
      sym_decorator,
  [120648] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5376), 1,
      anon_sym_EQ_GT,
    STATE(3325), 1,
      sym_decorator,
  [120664] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    STATE(3326), 1,
      sym_decorator,
  [120680] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5380), 1,
      anon_sym_EQ_GT,
    STATE(3327), 1,
      sym_decorator,
  [120696] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5382), 1,
      anon_sym_GT,
    STATE(3328), 1,
      sym_decorator,
  [120712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5384), 1,
      anon_sym_DOT,
    STATE(3329), 1,
      sym_decorator,
  [120728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5386), 1,
      anon_sym_EQ_GT,
    STATE(3330), 1,
      sym_decorator,
  [120744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(467), 1,
      anon_sym_RPAREN,
    STATE(3331), 1,
      sym_decorator,
  [120760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5388), 1,
      anon_sym_GT,
    STATE(3332), 1,
      sym_decorator,
  [120776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5390), 1,
      anon_sym_EQ_GT,
    STATE(3333), 1,
      sym_decorator,
  [120792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5392), 1,
      anon_sym_BQUOTE,
    STATE(3334), 1,
      sym_decorator,
  [120808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5394), 1,
      anon_sym_LPAREN,
    STATE(3335), 1,
      sym_decorator,
  [120824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5396), 1,
      anon_sym_DOT,
    STATE(3336), 1,
      sym_decorator,
  [120840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5398), 1,
      anon_sym_EQ_GT,
    STATE(3337), 1,
      sym_decorator,
  [120856] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5400), 1,
      anon_sym_EQ_GT,
    STATE(3338), 1,
      sym_decorator,
  [120872] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5402), 1,
      anon_sym_of,
    STATE(3339), 1,
      sym_decorator,
  [120888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5404), 1,
      anon_sym_EQ_GT,
    STATE(3340), 1,
      sym_decorator,
  [120904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5406), 1,
      anon_sym_RBRACE,
    STATE(3341), 1,
      sym_decorator,
  [120920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5408), 1,
      anon_sym_EQ_GT,
    STATE(3342), 1,
      sym_decorator,
  [120936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5410), 1,
      anon_sym_RPAREN,
    STATE(3343), 1,
      sym_decorator,
  [120952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5412), 1,
      anon_sym_RPAREN,
    STATE(3344), 1,
      sym_decorator,
  [120968] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5414), 1,
      anon_sym_in,
    STATE(3345), 1,
      sym_decorator,
  [120984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5416), 1,
      anon_sym_RPAREN,
    STATE(3346), 1,
      sym_decorator,
  [121000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5418), 1,
      anon_sym_DOT,
    STATE(3347), 1,
      sym_decorator,
  [121016] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5420), 1,
      anon_sym_EQ_GT,
    STATE(3348), 1,
      sym_decorator,
  [121032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5422), 1,
      anon_sym_RBRACE,
    STATE(3349), 1,
      sym_decorator,
  [121048] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4144), 1,
      anon_sym_DOT,
    STATE(3350), 1,
      sym_decorator,
  [121064] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5424), 1,
      anon_sym_GT,
    STATE(3351), 1,
      sym_decorator,
  [121080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5426), 1,
      anon_sym_EQ_GT,
    STATE(3352), 1,
      sym_decorator,
  [121096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(463), 1,
      anon_sym_RPAREN,
    STATE(3353), 1,
      sym_decorator,
  [121112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5428), 1,
      anon_sym_DOT,
    STATE(3354), 1,
      sym_decorator,
  [121128] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4140), 1,
      anon_sym_DOT,
    STATE(3355), 1,
      sym_decorator,
  [121144] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(477), 1,
      anon_sym_RPAREN,
    STATE(3356), 1,
      sym_decorator,
  [121160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5430), 1,
      anon_sym_EQ_GT,
    STATE(3357), 1,
      sym_decorator,
  [121176] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5432), 1,
      anon_sym_EQ_GT,
    STATE(3358), 1,
      sym_decorator,
  [121192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5434), 1,
      anon_sym_EQ_GT,
    STATE(3359), 1,
      sym_decorator,
  [121208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5436), 1,
      anon_sym_EQ_GT,
    STATE(3360), 1,
      sym_decorator,
  [121224] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5438), 1,
      anon_sym_EQ_GT,
    STATE(3361), 1,
      sym_decorator,
  [121240] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5440), 1,
      anon_sym_RPAREN,
    STATE(3362), 1,
      sym_decorator,
  [121256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5442), 1,
      anon_sym_GT,
    STATE(3363), 1,
      sym_decorator,
  [121272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5444), 1,
      anon_sym_GT,
    STATE(3364), 1,
      sym_decorator,
  [121288] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(479), 1,
      anon_sym_RPAREN,
    STATE(3365), 1,
      sym_decorator,
  [121304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(441), 1,
      anon_sym_RPAREN,
    STATE(3366), 1,
      sym_decorator,
  [121320] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5446), 1,
      anon_sym_in,
    STATE(3367), 1,
      sym_decorator,
  [121336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5448), 1,
      anon_sym_EQ_GT,
    STATE(3368), 1,
      sym_decorator,
  [121352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5450), 1,
      anon_sym_EQ_GT,
    STATE(3369), 1,
      sym_decorator,
  [121368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5452), 1,
      anon_sym_in,
    STATE(3370), 1,
      sym_decorator,
  [121384] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5454), 1,
      anon_sym_GT,
    STATE(3371), 1,
      sym_decorator,
  [121400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5456), 1,
      anon_sym_in,
    STATE(3372), 1,
      sym_decorator,
  [121416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5458), 1,
      ts_builtin_sym_end,
    STATE(3373), 1,
      sym_decorator,
  [121432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4618), 1,
      anon_sym_if,
    STATE(3374), 1,
      sym_decorator,
  [121448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5460), 1,
      anon_sym_EQ_GT,
    STATE(3375), 1,
      sym_decorator,
  [121464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4002), 1,
      anon_sym_DOT,
    STATE(3376), 1,
      sym_decorator,
  [121480] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5462), 1,
      anon_sym_LBRACE,
    STATE(3377), 1,
      sym_decorator,
  [121496] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5464), 1,
      anon_sym_EQ_GT,
    STATE(3378), 1,
      sym_decorator,
  [121512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5466), 1,
      anon_sym_LBRACE,
    STATE(3379), 1,
      sym_decorator,
  [121528] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5468), 1,
      anon_sym_EQ_GT,
    STATE(3380), 1,
      sym_decorator,
  [121544] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5470), 1,
      anon_sym_EQ_GT,
    STATE(3381), 1,
      sym_decorator,
  [121560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5472), 1,
      anon_sym_BQUOTE,
    STATE(3382), 1,
      sym_decorator,
  [121576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5474), 1,
      anon_sym_RPAREN,
    STATE(3383), 1,
      sym_decorator,
  [121592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5476), 1,
      anon_sym_BQUOTE,
    STATE(3384), 1,
      sym_decorator,
  [121608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5478), 1,
      anon_sym_GT,
    STATE(3385), 1,
      sym_decorator,
  [121624] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(453), 1,
      anon_sym_RPAREN,
    STATE(3386), 1,
      sym_decorator,
  [121640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5480), 1,
      anon_sym_EQ_GT,
    STATE(3387), 1,
      sym_decorator,
  [121656] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5482), 1,
      anon_sym_EQ_GT,
    STATE(3388), 1,
      sym_decorator,
  [121672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5484), 1,
      anon_sym_RBRACE,
    STATE(3389), 1,
      sym_decorator,
  [121688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5486), 1,
      anon_sym_LBRACE,
    STATE(3390), 1,
      sym_decorator,
  [121704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5488), 1,
      anon_sym_EQ_GT,
    STATE(3391), 1,
      sym_decorator,
  [121720] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5490), 1,
      anon_sym_RBRACE,
    STATE(3392), 1,
      sym_decorator,
  [121736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5492), 1,
      anon_sym_EQ_GT,
    STATE(3393), 1,
      sym_decorator,
  [121752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5494), 1,
      anon_sym_EQ_GT,
    STATE(3394), 1,
      sym_decorator,
  [121768] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(3395), 1,
      sym_decorator,
  [121784] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5498), 1,
      anon_sym_RBRACE,
    STATE(3396), 1,
      sym_decorator,
  [121800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5500), 1,
      anon_sym_RPAREN,
    STATE(3397), 1,
      sym_decorator,
  [121816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5502), 1,
      anon_sym_EQ_GT,
    STATE(3398), 1,
      sym_decorator,
  [121832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(4663), 1,
      anon_sym_if,
    STATE(3399), 1,
      sym_decorator,
  [121848] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(473), 1,
      anon_sym_RPAREN,
    STATE(3400), 1,
      sym_decorator,
  [121864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym__decorator,
    ACTIONS(7), 1,
      sym__decorator_inline,
    ACTIONS(5504), 1,
      anon_sym_EQ_GT,
    STATE(3401), 1,
      sym_decorator,
  [121880] = 1,
    ACTIONS(5506), 1,
      ts_builtin_sym_end,
  [121884] = 1,
    ACTIONS(5508), 1,
      ts_builtin_sym_end,
  [121888] = 1,
    ACTIONS(5510), 1,
      ts_builtin_sym_end,
  [121892] = 1,
    ACTIONS(5512), 1,
      ts_builtin_sym_end,
  [121896] = 1,
    ACTIONS(5514), 1,
      ts_builtin_sym_end,
  [121900] = 1,
    ACTIONS(5516), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(576)] = 0,
  [SMALL_STATE(577)] = 146,
  [SMALL_STATE(578)] = 292,
  [SMALL_STATE(579)] = 438,
  [SMALL_STATE(580)] = 581,
  [SMALL_STATE(581)] = 716,
  [SMALL_STATE(582)] = 851,
  [SMALL_STATE(583)] = 985,
  [SMALL_STATE(584)] = 1119,
  [SMALL_STATE(585)] = 1253,
  [SMALL_STATE(586)] = 1387,
  [SMALL_STATE(587)] = 1521,
  [SMALL_STATE(588)] = 1655,
  [SMALL_STATE(589)] = 1789,
  [SMALL_STATE(590)] = 1875,
  [SMALL_STATE(591)] = 2006,
  [SMALL_STATE(592)] = 2137,
  [SMALL_STATE(593)] = 2268,
  [SMALL_STATE(594)] = 2410,
  [SMALL_STATE(595)] = 2538,
  [SMALL_STATE(596)] = 2666,
  [SMALL_STATE(597)] = 2794,
  [SMALL_STATE(598)] = 2936,
  [SMALL_STATE(599)] = 3064,
  [SMALL_STATE(600)] = 3192,
  [SMALL_STATE(601)] = 3334,
  [SMALL_STATE(602)] = 3462,
  [SMALL_STATE(603)] = 3590,
  [SMALL_STATE(604)] = 3715,
  [SMALL_STATE(605)] = 3840,
  [SMALL_STATE(606)] = 3965,
  [SMALL_STATE(607)] = 4090,
  [SMALL_STATE(608)] = 4215,
  [SMALL_STATE(609)] = 4340,
  [SMALL_STATE(610)] = 4417,
  [SMALL_STATE(611)] = 4542,
  [SMALL_STATE(612)] = 4619,
  [SMALL_STATE(613)] = 4744,
  [SMALL_STATE(614)] = 4869,
  [SMALL_STATE(615)] = 4991,
  [SMALL_STATE(616)] = 5113,
  [SMALL_STATE(617)] = 5235,
  [SMALL_STATE(618)] = 5357,
  [SMALL_STATE(619)] = 5479,
  [SMALL_STATE(620)] = 5547,
  [SMALL_STATE(621)] = 5669,
  [SMALL_STATE(622)] = 5791,
  [SMALL_STATE(623)] = 5865,
  [SMALL_STATE(624)] = 5987,
  [SMALL_STATE(625)] = 6109,
  [SMALL_STATE(626)] = 6231,
  [SMALL_STATE(627)] = 6353,
  [SMALL_STATE(628)] = 6475,
  [SMALL_STATE(629)] = 6597,
  [SMALL_STATE(630)] = 6719,
  [SMALL_STATE(631)] = 6787,
  [SMALL_STATE(632)] = 6909,
  [SMALL_STATE(633)] = 7031,
  [SMALL_STATE(634)] = 7153,
  [SMALL_STATE(635)] = 7275,
  [SMALL_STATE(636)] = 7397,
  [SMALL_STATE(637)] = 7519,
  [SMALL_STATE(638)] = 7641,
  [SMALL_STATE(639)] = 7763,
  [SMALL_STATE(640)] = 7835,
  [SMALL_STATE(641)] = 7902,
  [SMALL_STATE(642)] = 8037,
  [SMALL_STATE(643)] = 8108,
  [SMALL_STATE(644)] = 8175,
  [SMALL_STATE(645)] = 8246,
  [SMALL_STATE(646)] = 8381,
  [SMALL_STATE(647)] = 8448,
  [SMALL_STATE(648)] = 8515,
  [SMALL_STATE(649)] = 8581,
  [SMALL_STATE(650)] = 8649,
  [SMALL_STATE(651)] = 8715,
  [SMALL_STATE(652)] = 8781,
  [SMALL_STATE(653)] = 8855,
  [SMALL_STATE(654)] = 8987,
  [SMALL_STATE(655)] = 9057,
  [SMALL_STATE(656)] = 9123,
  [SMALL_STATE(657)] = 9199,
  [SMALL_STATE(658)] = 9269,
  [SMALL_STATE(659)] = 9339,
  [SMALL_STATE(660)] = 9424,
  [SMALL_STATE(661)] = 9489,
  [SMALL_STATE(662)] = 9554,
  [SMALL_STATE(663)] = 9619,
  [SMALL_STATE(664)] = 9684,
  [SMALL_STATE(665)] = 9749,
  [SMALL_STATE(666)] = 9814,
  [SMALL_STATE(667)] = 9879,
  [SMALL_STATE(668)] = 9948,
  [SMALL_STATE(669)] = 10013,
  [SMALL_STATE(670)] = 10078,
  [SMALL_STATE(671)] = 10143,
  [SMALL_STATE(672)] = 10208,
  [SMALL_STATE(673)] = 10273,
  [SMALL_STATE(674)] = 10338,
  [SMALL_STATE(675)] = 10403,
  [SMALL_STATE(676)] = 10488,
  [SMALL_STATE(677)] = 10553,
  [SMALL_STATE(678)] = 10618,
  [SMALL_STATE(679)] = 10683,
  [SMALL_STATE(680)] = 10748,
  [SMALL_STATE(681)] = 10813,
  [SMALL_STATE(682)] = 10878,
  [SMALL_STATE(683)] = 10943,
  [SMALL_STATE(684)] = 11008,
  [SMALL_STATE(685)] = 11073,
  [SMALL_STATE(686)] = 11138,
  [SMALL_STATE(687)] = 11207,
  [SMALL_STATE(688)] = 11272,
  [SMALL_STATE(689)] = 11355,
  [SMALL_STATE(690)] = 11420,
  [SMALL_STATE(691)] = 11549,
  [SMALL_STATE(692)] = 11614,
  [SMALL_STATE(693)] = 11679,
  [SMALL_STATE(694)] = 11744,
  [SMALL_STATE(695)] = 11809,
  [SMALL_STATE(696)] = 11874,
  [SMALL_STATE(697)] = 11939,
  [SMALL_STATE(698)] = 12004,
  [SMALL_STATE(699)] = 12069,
  [SMALL_STATE(700)] = 12134,
  [SMALL_STATE(701)] = 12199,
  [SMALL_STATE(702)] = 12284,
  [SMALL_STATE(703)] = 12369,
  [SMALL_STATE(704)] = 12434,
  [SMALL_STATE(705)] = 12499,
  [SMALL_STATE(706)] = 12564,
  [SMALL_STATE(707)] = 12629,
  [SMALL_STATE(708)] = 12694,
  [SMALL_STATE(709)] = 12759,
  [SMALL_STATE(710)] = 12824,
  [SMALL_STATE(711)] = 12889,
  [SMALL_STATE(712)] = 12954,
  [SMALL_STATE(713)] = 13019,
  [SMALL_STATE(714)] = 13084,
  [SMALL_STATE(715)] = 13169,
  [SMALL_STATE(716)] = 13234,
  [SMALL_STATE(717)] = 13299,
  [SMALL_STATE(718)] = 13364,
  [SMALL_STATE(719)] = 13429,
  [SMALL_STATE(720)] = 13494,
  [SMALL_STATE(721)] = 13559,
  [SMALL_STATE(722)] = 13624,
  [SMALL_STATE(723)] = 13689,
  [SMALL_STATE(724)] = 13756,
  [SMALL_STATE(725)] = 13821,
  [SMALL_STATE(726)] = 13886,
  [SMALL_STATE(727)] = 13951,
  [SMALL_STATE(728)] = 14016,
  [SMALL_STATE(729)] = 14081,
  [SMALL_STATE(730)] = 14146,
  [SMALL_STATE(731)] = 14211,
  [SMALL_STATE(732)] = 14276,
  [SMALL_STATE(733)] = 14341,
  [SMALL_STATE(734)] = 14406,
  [SMALL_STATE(735)] = 14471,
  [SMALL_STATE(736)] = 14536,
  [SMALL_STATE(737)] = 14601,
  [SMALL_STATE(738)] = 14666,
  [SMALL_STATE(739)] = 14731,
  [SMALL_STATE(740)] = 14800,
  [SMALL_STATE(741)] = 14865,
  [SMALL_STATE(742)] = 14938,
  [SMALL_STATE(743)] = 15003,
  [SMALL_STATE(744)] = 15068,
  [SMALL_STATE(745)] = 15133,
  [SMALL_STATE(746)] = 15198,
  [SMALL_STATE(747)] = 15269,
  [SMALL_STATE(748)] = 15334,
  [SMALL_STATE(749)] = 15399,
  [SMALL_STATE(750)] = 15464,
  [SMALL_STATE(751)] = 15543,
  [SMALL_STATE(752)] = 15608,
  [SMALL_STATE(753)] = 15673,
  [SMALL_STATE(754)] = 15738,
  [SMALL_STATE(755)] = 15815,
  [SMALL_STATE(756)] = 15942,
  [SMALL_STATE(757)] = 16007,
  [SMALL_STATE(758)] = 16086,
  [SMALL_STATE(759)] = 16149,
  [SMALL_STATE(760)] = 16269,
  [SMALL_STATE(761)] = 16389,
  [SMALL_STATE(762)] = 16509,
  [SMALL_STATE(763)] = 16629,
  [SMALL_STATE(764)] = 16749,
  [SMALL_STATE(765)] = 16827,
  [SMALL_STATE(766)] = 16889,
  [SMALL_STATE(767)] = 17009,
  [SMALL_STATE(768)] = 17091,
  [SMALL_STATE(769)] = 17211,
  [SMALL_STATE(770)] = 17331,
  [SMALL_STATE(771)] = 17451,
  [SMALL_STATE(772)] = 17531,
  [SMALL_STATE(773)] = 17651,
  [SMALL_STATE(774)] = 17771,
  [SMALL_STATE(775)] = 17891,
  [SMALL_STATE(776)] = 18011,
  [SMALL_STATE(777)] = 18079,
  [SMALL_STATE(778)] = 18199,
  [SMALL_STATE(779)] = 18319,
  [SMALL_STATE(780)] = 18439,
  [SMALL_STATE(781)] = 18559,
  [SMALL_STATE(782)] = 18621,
  [SMALL_STATE(783)] = 18683,
  [SMALL_STATE(784)] = 18749,
  [SMALL_STATE(785)] = 18869,
  [SMALL_STATE(786)] = 18951,
  [SMALL_STATE(787)] = 19071,
  [SMALL_STATE(788)] = 19137,
  [SMALL_STATE(789)] = 19257,
  [SMALL_STATE(790)] = 19333,
  [SMALL_STATE(791)] = 19453,
  [SMALL_STATE(792)] = 19573,
  [SMALL_STATE(793)] = 19647,
  [SMALL_STATE(794)] = 19767,
  [SMALL_STATE(795)] = 19887,
  [SMALL_STATE(796)] = 20007,
  [SMALL_STATE(797)] = 20075,
  [SMALL_STATE(798)] = 20195,
  [SMALL_STATE(799)] = 20265,
  [SMALL_STATE(800)] = 20382,
  [SMALL_STATE(801)] = 20499,
  [SMALL_STATE(802)] = 20616,
  [SMALL_STATE(803)] = 20733,
  [SMALL_STATE(804)] = 20850,
  [SMALL_STATE(805)] = 20967,
  [SMALL_STATE(806)] = 21084,
  [SMALL_STATE(807)] = 21201,
  [SMALL_STATE(808)] = 21318,
  [SMALL_STATE(809)] = 21435,
  [SMALL_STATE(810)] = 21552,
  [SMALL_STATE(811)] = 21669,
  [SMALL_STATE(812)] = 21786,
  [SMALL_STATE(813)] = 21903,
  [SMALL_STATE(814)] = 22020,
  [SMALL_STATE(815)] = 22137,
  [SMALL_STATE(816)] = 22254,
  [SMALL_STATE(817)] = 22371,
  [SMALL_STATE(818)] = 22488,
  [SMALL_STATE(819)] = 22605,
  [SMALL_STATE(820)] = 22722,
  [SMALL_STATE(821)] = 22839,
  [SMALL_STATE(822)] = 22956,
  [SMALL_STATE(823)] = 23073,
  [SMALL_STATE(824)] = 23190,
  [SMALL_STATE(825)] = 23307,
  [SMALL_STATE(826)] = 23424,
  [SMALL_STATE(827)] = 23485,
  [SMALL_STATE(828)] = 23602,
  [SMALL_STATE(829)] = 23665,
  [SMALL_STATE(830)] = 23782,
  [SMALL_STATE(831)] = 23899,
  [SMALL_STATE(832)] = 24016,
  [SMALL_STATE(833)] = 24133,
  [SMALL_STATE(834)] = 24250,
  [SMALL_STATE(835)] = 24367,
  [SMALL_STATE(836)] = 24484,
  [SMALL_STATE(837)] = 24561,
  [SMALL_STATE(838)] = 24678,
  [SMALL_STATE(839)] = 24795,
  [SMALL_STATE(840)] = 24912,
  [SMALL_STATE(841)] = 25029,
  [SMALL_STATE(842)] = 25146,
  [SMALL_STATE(843)] = 25207,
  [SMALL_STATE(844)] = 25324,
  [SMALL_STATE(845)] = 25441,
  [SMALL_STATE(846)] = 25558,
  [SMALL_STATE(847)] = 25675,
  [SMALL_STATE(848)] = 25792,
  [SMALL_STATE(849)] = 25909,
  [SMALL_STATE(850)] = 26026,
  [SMALL_STATE(851)] = 26143,
  [SMALL_STATE(852)] = 26260,
  [SMALL_STATE(853)] = 26377,
  [SMALL_STATE(854)] = 26494,
  [SMALL_STATE(855)] = 26611,
  [SMALL_STATE(856)] = 26728,
  [SMALL_STATE(857)] = 26845,
  [SMALL_STATE(858)] = 26962,
  [SMALL_STATE(859)] = 27079,
  [SMALL_STATE(860)] = 27142,
  [SMALL_STATE(861)] = 27259,
  [SMALL_STATE(862)] = 27376,
  [SMALL_STATE(863)] = 27437,
  [SMALL_STATE(864)] = 27554,
  [SMALL_STATE(865)] = 27671,
  [SMALL_STATE(866)] = 27788,
  [SMALL_STATE(867)] = 27905,
  [SMALL_STATE(868)] = 28022,
  [SMALL_STATE(869)] = 28139,
  [SMALL_STATE(870)] = 28203,
  [SMALL_STATE(871)] = 28267,
  [SMALL_STATE(872)] = 28343,
  [SMALL_STATE(873)] = 28403,
  [SMALL_STATE(874)] = 28479,
  [SMALL_STATE(875)] = 28538,
  [SMALL_STATE(876)] = 28597,
  [SMALL_STATE(877)] = 28656,
  [SMALL_STATE(878)] = 28715,
  [SMALL_STATE(879)] = 28790,
  [SMALL_STATE(880)] = 28848,
  [SMALL_STATE(881)] = 28914,
  [SMALL_STATE(882)] = 28980,
  [SMALL_STATE(883)] = 29054,
  [SMALL_STATE(884)] = 29112,
  [SMALL_STATE(885)] = 29226,
  [SMALL_STATE(886)] = 29340,
  [SMALL_STATE(887)] = 29403,
  [SMALL_STATE(888)] = 29514,
  [SMALL_STATE(889)] = 29625,
  [SMALL_STATE(890)] = 29736,
  [SMALL_STATE(891)] = 29793,
  [SMALL_STATE(892)] = 29850,
  [SMALL_STATE(893)] = 29911,
  [SMALL_STATE(894)] = 29968,
  [SMALL_STATE(895)] = 30025,
  [SMALL_STATE(896)] = 30098,
  [SMALL_STATE(897)] = 30171,
  [SMALL_STATE(898)] = 30227,
  [SMALL_STATE(899)] = 30283,
  [SMALL_STATE(900)] = 30339,
  [SMALL_STATE(901)] = 30395,
  [SMALL_STATE(902)] = 30467,
  [SMALL_STATE(903)] = 30523,
  [SMALL_STATE(904)] = 30579,
  [SMALL_STATE(905)] = 30635,
  [SMALL_STATE(906)] = 30691,
  [SMALL_STATE(907)] = 30747,
  [SMALL_STATE(908)] = 30803,
  [SMALL_STATE(909)] = 30859,
  [SMALL_STATE(910)] = 30919,
  [SMALL_STATE(911)] = 30975,
  [SMALL_STATE(912)] = 31035,
  [SMALL_STATE(913)] = 31091,
  [SMALL_STATE(914)] = 31163,
  [SMALL_STATE(915)] = 31219,
  [SMALL_STATE(916)] = 31275,
  [SMALL_STATE(917)] = 31338,
  [SMALL_STATE(918)] = 31393,
  [SMALL_STATE(919)] = 31456,
  [SMALL_STATE(920)] = 31519,
  [SMALL_STATE(921)] = 31574,
  [SMALL_STATE(922)] = 31633,
  [SMALL_STATE(923)] = 31692,
  [SMALL_STATE(924)] = 31751,
  [SMALL_STATE(925)] = 31806,
  [SMALL_STATE(926)] = 31877,
  [SMALL_STATE(927)] = 31931,
  [SMALL_STATE(928)] = 32033,
  [SMALL_STATE(929)] = 32087,
  [SMALL_STATE(930)] = 32189,
  [SMALL_STATE(931)] = 32291,
  [SMALL_STATE(932)] = 32393,
  [SMALL_STATE(933)] = 32447,
  [SMALL_STATE(934)] = 32549,
  [SMALL_STATE(935)] = 32651,
  [SMALL_STATE(936)] = 32753,
  [SMALL_STATE(937)] = 32807,
  [SMALL_STATE(938)] = 32861,
  [SMALL_STATE(939)] = 32963,
  [SMALL_STATE(940)] = 33017,
  [SMALL_STATE(941)] = 33119,
  [SMALL_STATE(942)] = 33173,
  [SMALL_STATE(943)] = 33227,
  [SMALL_STATE(944)] = 33281,
  [SMALL_STATE(945)] = 33383,
  [SMALL_STATE(946)] = 33485,
  [SMALL_STATE(947)] = 33539,
  [SMALL_STATE(948)] = 33593,
  [SMALL_STATE(949)] = 33647,
  [SMALL_STATE(950)] = 33701,
  [SMALL_STATE(951)] = 33755,
  [SMALL_STATE(952)] = 33809,
  [SMALL_STATE(953)] = 33863,
  [SMALL_STATE(954)] = 33917,
  [SMALL_STATE(955)] = 33971,
  [SMALL_STATE(956)] = 34025,
  [SMALL_STATE(957)] = 34127,
  [SMALL_STATE(958)] = 34181,
  [SMALL_STATE(959)] = 34235,
  [SMALL_STATE(960)] = 34337,
  [SMALL_STATE(961)] = 34391,
  [SMALL_STATE(962)] = 34445,
  [SMALL_STATE(963)] = 34499,
  [SMALL_STATE(964)] = 34601,
  [SMALL_STATE(965)] = 34703,
  [SMALL_STATE(966)] = 34757,
  [SMALL_STATE(967)] = 34811,
  [SMALL_STATE(968)] = 34865,
  [SMALL_STATE(969)] = 34919,
  [SMALL_STATE(970)] = 34973,
  [SMALL_STATE(971)] = 35027,
  [SMALL_STATE(972)] = 35081,
  [SMALL_STATE(973)] = 35183,
  [SMALL_STATE(974)] = 35237,
  [SMALL_STATE(975)] = 35291,
  [SMALL_STATE(976)] = 35345,
  [SMALL_STATE(977)] = 35403,
  [SMALL_STATE(978)] = 35505,
  [SMALL_STATE(979)] = 35559,
  [SMALL_STATE(980)] = 35661,
  [SMALL_STATE(981)] = 35763,
  [SMALL_STATE(982)] = 35817,
  [SMALL_STATE(983)] = 35871,
  [SMALL_STATE(984)] = 35925,
  [SMALL_STATE(985)] = 35979,
  [SMALL_STATE(986)] = 36033,
  [SMALL_STATE(987)] = 36087,
  [SMALL_STATE(988)] = 36141,
  [SMALL_STATE(989)] = 36243,
  [SMALL_STATE(990)] = 36297,
  [SMALL_STATE(991)] = 36351,
  [SMALL_STATE(992)] = 36405,
  [SMALL_STATE(993)] = 36507,
  [SMALL_STATE(994)] = 36609,
  [SMALL_STATE(995)] = 36663,
  [SMALL_STATE(996)] = 36765,
  [SMALL_STATE(997)] = 36867,
  [SMALL_STATE(998)] = 36927,
  [SMALL_STATE(999)] = 36981,
  [SMALL_STATE(1000)] = 37035,
  [SMALL_STATE(1001)] = 37089,
  [SMALL_STATE(1002)] = 37143,
  [SMALL_STATE(1003)] = 37197,
  [SMALL_STATE(1004)] = 37251,
  [SMALL_STATE(1005)] = 37307,
  [SMALL_STATE(1006)] = 37361,
  [SMALL_STATE(1007)] = 37463,
  [SMALL_STATE(1008)] = 37565,
  [SMALL_STATE(1009)] = 37667,
  [SMALL_STATE(1010)] = 37769,
  [SMALL_STATE(1011)] = 37823,
  [SMALL_STATE(1012)] = 37925,
  [SMALL_STATE(1013)] = 37979,
  [SMALL_STATE(1014)] = 38047,
  [SMALL_STATE(1015)] = 38101,
  [SMALL_STATE(1016)] = 38203,
  [SMALL_STATE(1017)] = 38257,
  [SMALL_STATE(1018)] = 38311,
  [SMALL_STATE(1019)] = 38365,
  [SMALL_STATE(1020)] = 38467,
  [SMALL_STATE(1021)] = 38521,
  [SMALL_STATE(1022)] = 38623,
  [SMALL_STATE(1023)] = 38677,
  [SMALL_STATE(1024)] = 38779,
  [SMALL_STATE(1025)] = 38833,
  [SMALL_STATE(1026)] = 38887,
  [SMALL_STATE(1027)] = 38989,
  [SMALL_STATE(1028)] = 39091,
  [SMALL_STATE(1029)] = 39145,
  [SMALL_STATE(1030)] = 39199,
  [SMALL_STATE(1031)] = 39253,
  [SMALL_STATE(1032)] = 39307,
  [SMALL_STATE(1033)] = 39361,
  [SMALL_STATE(1034)] = 39415,
  [SMALL_STATE(1035)] = 39469,
  [SMALL_STATE(1036)] = 39523,
  [SMALL_STATE(1037)] = 39577,
  [SMALL_STATE(1038)] = 39679,
  [SMALL_STATE(1039)] = 39732,
  [SMALL_STATE(1040)] = 39789,
  [SMALL_STATE(1041)] = 39858,
  [SMALL_STATE(1042)] = 39915,
  [SMALL_STATE(1043)] = 39968,
  [SMALL_STATE(1044)] = 40035,
  [SMALL_STATE(1045)] = 40096,
  [SMALL_STATE(1046)] = 40149,
  [SMALL_STATE(1047)] = 40216,
  [SMALL_STATE(1048)] = 40275,
  [SMALL_STATE(1049)] = 40328,
  [SMALL_STATE(1050)] = 40395,
  [SMALL_STATE(1051)] = 40456,
  [SMALL_STATE(1052)] = 40525,
  [SMALL_STATE(1053)] = 40588,
  [SMALL_STATE(1054)] = 40641,
  [SMALL_STATE(1055)] = 40698,
  [SMALL_STATE(1056)] = 40751,
  [SMALL_STATE(1057)] = 40811,
  [SMALL_STATE(1058)] = 40871,
  [SMALL_STATE(1059)] = 40923,
  [SMALL_STATE(1060)] = 40975,
  [SMALL_STATE(1061)] = 41035,
  [SMALL_STATE(1062)] = 41091,
  [SMALL_STATE(1063)] = 41143,
  [SMALL_STATE(1064)] = 41195,
  [SMALL_STATE(1065)] = 41247,
  [SMALL_STATE(1066)] = 41309,
  [SMALL_STATE(1067)] = 41361,
  [SMALL_STATE(1068)] = 41417,
  [SMALL_STATE(1069)] = 41477,
  [SMALL_STATE(1070)] = 41535,
  [SMALL_STATE(1071)] = 41587,
  [SMALL_STATE(1072)] = 41639,
  [SMALL_STATE(1073)] = 41691,
  [SMALL_STATE(1074)] = 41743,
  [SMALL_STATE(1075)] = 41799,
  [SMALL_STATE(1076)] = 41853,
  [SMALL_STATE(1077)] = 41904,
  [SMALL_STATE(1078)] = 41955,
  [SMALL_STATE(1079)] = 42006,
  [SMALL_STATE(1080)] = 42077,
  [SMALL_STATE(1081)] = 42128,
  [SMALL_STATE(1082)] = 42187,
  [SMALL_STATE(1083)] = 42242,
  [SMALL_STATE(1084)] = 42293,
  [SMALL_STATE(1085)] = 42344,
  [SMALL_STATE(1086)] = 42397,
  [SMALL_STATE(1087)] = 42452,
  [SMALL_STATE(1088)] = 42503,
  [SMALL_STATE(1089)] = 42554,
  [SMALL_STATE(1090)] = 42605,
  [SMALL_STATE(1091)] = 42656,
  [SMALL_STATE(1092)] = 42729,
  [SMALL_STATE(1093)] = 42802,
  [SMALL_STATE(1094)] = 42853,
  [SMALL_STATE(1095)] = 42926,
  [SMALL_STATE(1096)] = 42977,
  [SMALL_STATE(1097)] = 43050,
  [SMALL_STATE(1098)] = 43101,
  [SMALL_STATE(1099)] = 43160,
  [SMALL_STATE(1100)] = 43211,
  [SMALL_STATE(1101)] = 43264,
  [SMALL_STATE(1102)] = 43315,
  [SMALL_STATE(1103)] = 43366,
  [SMALL_STATE(1104)] = 43417,
  [SMALL_STATE(1105)] = 43478,
  [SMALL_STATE(1106)] = 43529,
  [SMALL_STATE(1107)] = 43580,
  [SMALL_STATE(1108)] = 43631,
  [SMALL_STATE(1109)] = 43684,
  [SMALL_STATE(1110)] = 43735,
  [SMALL_STATE(1111)] = 43790,
  [SMALL_STATE(1112)] = 43841,
  [SMALL_STATE(1113)] = 43892,
  [SMALL_STATE(1114)] = 43943,
  [SMALL_STATE(1115)] = 43994,
  [SMALL_STATE(1116)] = 44045,
  [SMALL_STATE(1117)] = 44096,
  [SMALL_STATE(1118)] = 44155,
  [SMALL_STATE(1119)] = 44214,
  [SMALL_STATE(1120)] = 44265,
  [SMALL_STATE(1121)] = 44316,
  [SMALL_STATE(1122)] = 44367,
  [SMALL_STATE(1123)] = 44418,
  [SMALL_STATE(1124)] = 44469,
  [SMALL_STATE(1125)] = 44520,
  [SMALL_STATE(1126)] = 44571,
  [SMALL_STATE(1127)] = 44622,
  [SMALL_STATE(1128)] = 44673,
  [SMALL_STATE(1129)] = 44734,
  [SMALL_STATE(1130)] = 44785,
  [SMALL_STATE(1131)] = 44836,
  [SMALL_STATE(1132)] = 44887,
  [SMALL_STATE(1133)] = 44938,
  [SMALL_STATE(1134)] = 44989,
  [SMALL_STATE(1135)] = 45044,
  [SMALL_STATE(1136)] = 45095,
  [SMALL_STATE(1137)] = 45146,
  [SMALL_STATE(1138)] = 45203,
  [SMALL_STATE(1139)] = 45276,
  [SMALL_STATE(1140)] = 45327,
  [SMALL_STATE(1141)] = 45384,
  [SMALL_STATE(1142)] = 45435,
  [SMALL_STATE(1143)] = 45486,
  [SMALL_STATE(1144)] = 45537,
  [SMALL_STATE(1145)] = 45588,
  [SMALL_STATE(1146)] = 45639,
  [SMALL_STATE(1147)] = 45690,
  [SMALL_STATE(1148)] = 45743,
  [SMALL_STATE(1149)] = 45794,
  [SMALL_STATE(1150)] = 45845,
  [SMALL_STATE(1151)] = 45896,
  [SMALL_STATE(1152)] = 45961,
  [SMALL_STATE(1153)] = 46012,
  [SMALL_STATE(1154)] = 46063,
  [SMALL_STATE(1155)] = 46120,
  [SMALL_STATE(1156)] = 46171,
  [SMALL_STATE(1157)] = 46222,
  [SMALL_STATE(1158)] = 46273,
  [SMALL_STATE(1159)] = 46324,
  [SMALL_STATE(1160)] = 46375,
  [SMALL_STATE(1161)] = 46426,
  [SMALL_STATE(1162)] = 46493,
  [SMALL_STATE(1163)] = 46544,
  [SMALL_STATE(1164)] = 46595,
  [SMALL_STATE(1165)] = 46646,
  [SMALL_STATE(1166)] = 46697,
  [SMALL_STATE(1167)] = 46748,
  [SMALL_STATE(1168)] = 46799,
  [SMALL_STATE(1169)] = 46850,
  [SMALL_STATE(1170)] = 46901,
  [SMALL_STATE(1171)] = 46952,
  [SMALL_STATE(1172)] = 47003,
  [SMALL_STATE(1173)] = 47054,
  [SMALL_STATE(1174)] = 47105,
  [SMALL_STATE(1175)] = 47156,
  [SMALL_STATE(1176)] = 47207,
  [SMALL_STATE(1177)] = 47258,
  [SMALL_STATE(1178)] = 47309,
  [SMALL_STATE(1179)] = 47361,
  [SMALL_STATE(1180)] = 47411,
  [SMALL_STATE(1181)] = 47471,
  [SMALL_STATE(1182)] = 47525,
  [SMALL_STATE(1183)] = 47575,
  [SMALL_STATE(1184)] = 47625,
  [SMALL_STATE(1185)] = 47683,
  [SMALL_STATE(1186)] = 47755,
  [SMALL_STATE(1187)] = 47807,
  [SMALL_STATE(1188)] = 47873,
  [SMALL_STATE(1189)] = 47929,
  [SMALL_STATE(1190)] = 47979,
  [SMALL_STATE(1191)] = 48029,
  [SMALL_STATE(1192)] = 48099,
  [SMALL_STATE(1193)] = 48159,
  [SMALL_STATE(1194)] = 48213,
  [SMALL_STATE(1195)] = 48303,
  [SMALL_STATE(1196)] = 48357,
  [SMALL_STATE(1197)] = 48407,
  [SMALL_STATE(1198)] = 48457,
  [SMALL_STATE(1199)] = 48515,
  [SMALL_STATE(1200)] = 48569,
  [SMALL_STATE(1201)] = 48629,
  [SMALL_STATE(1202)] = 48689,
  [SMALL_STATE(1203)] = 48753,
  [SMALL_STATE(1204)] = 48825,
  [SMALL_STATE(1205)] = 48881,
  [SMALL_STATE(1206)] = 48941,
  [SMALL_STATE(1207)] = 49013,
  [SMALL_STATE(1208)] = 49073,
  [SMALL_STATE(1209)] = 49145,
  [SMALL_STATE(1210)] = 49217,
  [SMALL_STATE(1211)] = 49271,
  [SMALL_STATE(1212)] = 49321,
  [SMALL_STATE(1213)] = 49375,
  [SMALL_STATE(1214)] = 49429,
  [SMALL_STATE(1215)] = 49478,
  [SMALL_STATE(1216)] = 49527,
  [SMALL_STATE(1217)] = 49576,
  [SMALL_STATE(1218)] = 49625,
  [SMALL_STATE(1219)] = 49674,
  [SMALL_STATE(1220)] = 49723,
  [SMALL_STATE(1221)] = 49772,
  [SMALL_STATE(1222)] = 49821,
  [SMALL_STATE(1223)] = 49870,
  [SMALL_STATE(1224)] = 49919,
  [SMALL_STATE(1225)] = 49968,
  [SMALL_STATE(1226)] = 50027,
  [SMALL_STATE(1227)] = 50082,
  [SMALL_STATE(1228)] = 50145,
  [SMALL_STATE(1229)] = 50210,
  [SMALL_STATE(1230)] = 50263,
  [SMALL_STATE(1231)] = 50334,
  [SMALL_STATE(1232)] = 50389,
  [SMALL_STATE(1233)] = 50460,
  [SMALL_STATE(1234)] = 50531,
  [SMALL_STATE(1235)] = 50602,
  [SMALL_STATE(1236)] = 50673,
  [SMALL_STATE(1237)] = 50742,
  [SMALL_STATE(1238)] = 50791,
  [SMALL_STATE(1239)] = 50840,
  [SMALL_STATE(1240)] = 50889,
  [SMALL_STATE(1241)] = 50938,
  [SMALL_STATE(1242)] = 50987,
  [SMALL_STATE(1243)] = 51038,
  [SMALL_STATE(1244)] = 51097,
  [SMALL_STATE(1245)] = 51146,
  [SMALL_STATE(1246)] = 51195,
  [SMALL_STATE(1247)] = 51248,
  [SMALL_STATE(1248)] = 51301,
  [SMALL_STATE(1249)] = 51350,
  [SMALL_STATE(1250)] = 51399,
  [SMALL_STATE(1251)] = 51448,
  [SMALL_STATE(1252)] = 51497,
  [SMALL_STATE(1253)] = 51546,
  [SMALL_STATE(1254)] = 51595,
  [SMALL_STATE(1255)] = 51644,
  [SMALL_STATE(1256)] = 51693,
  [SMALL_STATE(1257)] = 51742,
  [SMALL_STATE(1258)] = 51811,
  [SMALL_STATE(1259)] = 51860,
  [SMALL_STATE(1260)] = 51909,
  [SMALL_STATE(1261)] = 51958,
  [SMALL_STATE(1262)] = 52017,
  [SMALL_STATE(1263)] = 52066,
  [SMALL_STATE(1264)] = 52115,
  [SMALL_STATE(1265)] = 52164,
  [SMALL_STATE(1266)] = 52213,
  [SMALL_STATE(1267)] = 52262,
  [SMALL_STATE(1268)] = 52311,
  [SMALL_STATE(1269)] = 52360,
  [SMALL_STATE(1270)] = 52409,
  [SMALL_STATE(1271)] = 52458,
  [SMALL_STATE(1272)] = 52507,
  [SMALL_STATE(1273)] = 52570,
  [SMALL_STATE(1274)] = 52619,
  [SMALL_STATE(1275)] = 52668,
  [SMALL_STATE(1276)] = 52717,
  [SMALL_STATE(1277)] = 52766,
  [SMALL_STATE(1278)] = 52815,
  [SMALL_STATE(1279)] = 52864,
  [SMALL_STATE(1280)] = 52915,
  [SMALL_STATE(1281)] = 52964,
  [SMALL_STATE(1282)] = 53013,
  [SMALL_STATE(1283)] = 53062,
  [SMALL_STATE(1284)] = 53115,
  [SMALL_STATE(1285)] = 53164,
  [SMALL_STATE(1286)] = 53213,
  [SMALL_STATE(1287)] = 53262,
  [SMALL_STATE(1288)] = 53311,
  [SMALL_STATE(1289)] = 53360,
  [SMALL_STATE(1290)] = 53409,
  [SMALL_STATE(1291)] = 53464,
  [SMALL_STATE(1292)] = 53513,
  [SMALL_STATE(1293)] = 53562,
  [SMALL_STATE(1294)] = 53611,
  [SMALL_STATE(1295)] = 53660,
  [SMALL_STATE(1296)] = 53709,
  [SMALL_STATE(1297)] = 53758,
  [SMALL_STATE(1298)] = 53807,
  [SMALL_STATE(1299)] = 53856,
  [SMALL_STATE(1300)] = 53905,
  [SMALL_STATE(1301)] = 53954,
  [SMALL_STATE(1302)] = 54011,
  [SMALL_STATE(1303)] = 54062,
  [SMALL_STATE(1304)] = 54111,
  [SMALL_STATE(1305)] = 54160,
  [SMALL_STATE(1306)] = 54209,
  [SMALL_STATE(1307)] = 54258,
  [SMALL_STATE(1308)] = 54307,
  [SMALL_STATE(1309)] = 54356,
  [SMALL_STATE(1310)] = 54405,
  [SMALL_STATE(1311)] = 54454,
  [SMALL_STATE(1312)] = 54503,
  [SMALL_STATE(1313)] = 54552,
  [SMALL_STATE(1314)] = 54601,
  [SMALL_STATE(1315)] = 54650,
  [SMALL_STATE(1316)] = 54703,
  [SMALL_STATE(1317)] = 54752,
  [SMALL_STATE(1318)] = 54801,
  [SMALL_STATE(1319)] = 54850,
  [SMALL_STATE(1320)] = 54899,
  [SMALL_STATE(1321)] = 54950,
  [SMALL_STATE(1322)] = 55001,
  [SMALL_STATE(1323)] = 55050,
  [SMALL_STATE(1324)] = 55099,
  [SMALL_STATE(1325)] = 55150,
  [SMALL_STATE(1326)] = 55199,
  [SMALL_STATE(1327)] = 55248,
  [SMALL_STATE(1328)] = 55297,
  [SMALL_STATE(1329)] = 55367,
  [SMALL_STATE(1330)] = 55415,
  [SMALL_STATE(1331)] = 55463,
  [SMALL_STATE(1332)] = 55511,
  [SMALL_STATE(1333)] = 55579,
  [SMALL_STATE(1334)] = 55647,
  [SMALL_STATE(1335)] = 55695,
  [SMALL_STATE(1336)] = 55743,
  [SMALL_STATE(1337)] = 55791,
  [SMALL_STATE(1338)] = 55839,
  [SMALL_STATE(1339)] = 55887,
  [SMALL_STATE(1340)] = 55935,
  [SMALL_STATE(1341)] = 55983,
  [SMALL_STATE(1342)] = 56031,
  [SMALL_STATE(1343)] = 56079,
  [SMALL_STATE(1344)] = 56127,
  [SMALL_STATE(1345)] = 56175,
  [SMALL_STATE(1346)] = 56223,
  [SMALL_STATE(1347)] = 56271,
  [SMALL_STATE(1348)] = 56319,
  [SMALL_STATE(1349)] = 56367,
  [SMALL_STATE(1350)] = 56435,
  [SMALL_STATE(1351)] = 56483,
  [SMALL_STATE(1352)] = 56531,
  [SMALL_STATE(1353)] = 56579,
  [SMALL_STATE(1354)] = 56627,
  [SMALL_STATE(1355)] = 56675,
  [SMALL_STATE(1356)] = 56723,
  [SMALL_STATE(1357)] = 56771,
  [SMALL_STATE(1358)] = 56819,
  [SMALL_STATE(1359)] = 56869,
  [SMALL_STATE(1360)] = 56917,
  [SMALL_STATE(1361)] = 56965,
  [SMALL_STATE(1362)] = 57013,
  [SMALL_STATE(1363)] = 57061,
  [SMALL_STATE(1364)] = 57109,
  [SMALL_STATE(1365)] = 57159,
  [SMALL_STATE(1366)] = 57207,
  [SMALL_STATE(1367)] = 57255,
  [SMALL_STATE(1368)] = 57303,
  [SMALL_STATE(1369)] = 57351,
  [SMALL_STATE(1370)] = 57399,
  [SMALL_STATE(1371)] = 57457,
  [SMALL_STATE(1372)] = 57509,
  [SMALL_STATE(1373)] = 57557,
  [SMALL_STATE(1374)] = 57605,
  [SMALL_STATE(1375)] = 57653,
  [SMALL_STATE(1376)] = 57701,
  [SMALL_STATE(1377)] = 57749,
  [SMALL_STATE(1378)] = 57797,
  [SMALL_STATE(1379)] = 57845,
  [SMALL_STATE(1380)] = 57893,
  [SMALL_STATE(1381)] = 57945,
  [SMALL_STATE(1382)] = 57993,
  [SMALL_STATE(1383)] = 58041,
  [SMALL_STATE(1384)] = 58089,
  [SMALL_STATE(1385)] = 58137,
  [SMALL_STATE(1386)] = 58185,
  [SMALL_STATE(1387)] = 58233,
  [SMALL_STATE(1388)] = 58301,
  [SMALL_STATE(1389)] = 58353,
  [SMALL_STATE(1390)] = 58403,
  [SMALL_STATE(1391)] = 58451,
  [SMALL_STATE(1392)] = 58499,
  [SMALL_STATE(1393)] = 58553,
  [SMALL_STATE(1394)] = 58621,
  [SMALL_STATE(1395)] = 58669,
  [SMALL_STATE(1396)] = 58717,
  [SMALL_STATE(1397)] = 58765,
  [SMALL_STATE(1398)] = 58813,
  [SMALL_STATE(1399)] = 58861,
  [SMALL_STATE(1400)] = 58919,
  [SMALL_STATE(1401)] = 58967,
  [SMALL_STATE(1402)] = 59015,
  [SMALL_STATE(1403)] = 59063,
  [SMALL_STATE(1404)] = 59129,
  [SMALL_STATE(1405)] = 59177,
  [SMALL_STATE(1406)] = 59225,
  [SMALL_STATE(1407)] = 59287,
  [SMALL_STATE(1408)] = 59341,
  [SMALL_STATE(1409)] = 59389,
  [SMALL_STATE(1410)] = 59437,
  [SMALL_STATE(1411)] = 59485,
  [SMALL_STATE(1412)] = 59533,
  [SMALL_STATE(1413)] = 59581,
  [SMALL_STATE(1414)] = 59649,
  [SMALL_STATE(1415)] = 59697,
  [SMALL_STATE(1416)] = 59745,
  [SMALL_STATE(1417)] = 59805,
  [SMALL_STATE(1418)] = 59859,
  [SMALL_STATE(1419)] = 59917,
  [SMALL_STATE(1420)] = 59965,
  [SMALL_STATE(1421)] = 60013,
  [SMALL_STATE(1422)] = 60065,
  [SMALL_STATE(1423)] = 60135,
  [SMALL_STATE(1424)] = 60205,
  [SMALL_STATE(1425)] = 60253,
  [SMALL_STATE(1426)] = 60315,
  [SMALL_STATE(1427)] = 60363,
  [SMALL_STATE(1428)] = 60411,
  [SMALL_STATE(1429)] = 60459,
  [SMALL_STATE(1430)] = 60507,
  [SMALL_STATE(1431)] = 60577,
  [SMALL_STATE(1432)] = 60641,
  [SMALL_STATE(1433)] = 60689,
  [SMALL_STATE(1434)] = 60759,
  [SMALL_STATE(1435)] = 60807,
  [SMALL_STATE(1436)] = 60876,
  [SMALL_STATE(1437)] = 60939,
  [SMALL_STATE(1438)] = 61000,
  [SMALL_STATE(1439)] = 61057,
  [SMALL_STATE(1440)] = 61108,
  [SMALL_STATE(1441)] = 61177,
  [SMALL_STATE(1442)] = 61246,
  [SMALL_STATE(1443)] = 61303,
  [SMALL_STATE(1444)] = 61356,
  [SMALL_STATE(1445)] = 61405,
  [SMALL_STATE(1446)] = 61454,
  [SMALL_STATE(1447)] = 61521,
  [SMALL_STATE(1448)] = 61578,
  [SMALL_STATE(1449)] = 61629,
  [SMALL_STATE(1450)] = 61698,
  [SMALL_STATE(1451)] = 61767,
  [SMALL_STATE(1452)] = 61816,
  [SMALL_STATE(1453)] = 61880,
  [SMALL_STATE(1454)] = 61928,
  [SMALL_STATE(1455)] = 61978,
  [SMALL_STATE(1456)] = 62038,
  [SMALL_STATE(1457)] = 62096,
  [SMALL_STATE(1458)] = 62148,
  [SMALL_STATE(1459)] = 62214,
  [SMALL_STATE(1460)] = 62270,
  [SMALL_STATE(1461)] = 62320,
  [SMALL_STATE(1462)] = 62386,
  [SMALL_STATE(1463)] = 62454,
  [SMALL_STATE(1464)] = 62520,
  [SMALL_STATE(1465)] = 62576,
  [SMALL_STATE(1466)] = 62628,
  [SMALL_STATE(1467)] = 62688,
  [SMALL_STATE(1468)] = 62750,
  [SMALL_STATE(1469)] = 62800,
  [SMALL_STATE(1470)] = 62868,
  [SMALL_STATE(1471)] = 62934,
  [SMALL_STATE(1472)] = 62982,
  [SMALL_STATE(1473)] = 63046,
  [SMALL_STATE(1474)] = 63094,
  [SMALL_STATE(1475)] = 63160,
  [SMALL_STATE(1476)] = 63226,
  [SMALL_STATE(1477)] = 63292,
  [SMALL_STATE(1478)] = 63358,
  [SMALL_STATE(1479)] = 63414,
  [SMALL_STATE(1480)] = 63470,
  [SMALL_STATE(1481)] = 63522,
  [SMALL_STATE(1482)] = 63588,
  [SMALL_STATE(1483)] = 63644,
  [SMALL_STATE(1484)] = 63702,
  [SMALL_STATE(1485)] = 63752,
  [SMALL_STATE(1486)] = 63818,
  [SMALL_STATE(1487)] = 63878,
  [SMALL_STATE(1488)] = 63944,
  [SMALL_STATE(1489)] = 64012,
  [SMALL_STATE(1490)] = 64077,
  [SMALL_STATE(1491)] = 64128,
  [SMALL_STATE(1492)] = 64183,
  [SMALL_STATE(1493)] = 64228,
  [SMALL_STATE(1494)] = 64293,
  [SMALL_STATE(1495)] = 64358,
  [SMALL_STATE(1496)] = 64423,
  [SMALL_STATE(1497)] = 64472,
  [SMALL_STATE(1498)] = 64519,
  [SMALL_STATE(1499)] = 64570,
  [SMALL_STATE(1500)] = 64635,
  [SMALL_STATE(1501)] = 64700,
  [SMALL_STATE(1502)] = 64747,
  [SMALL_STATE(1503)] = 64812,
  [SMALL_STATE(1504)] = 64871,
  [SMALL_STATE(1505)] = 64926,
  [SMALL_STATE(1506)] = 64991,
  [SMALL_STATE(1507)] = 65058,
  [SMALL_STATE(1508)] = 65123,
  [SMALL_STATE(1509)] = 65178,
  [SMALL_STATE(1510)] = 65235,
  [SMALL_STATE(1511)] = 65288,
  [SMALL_STATE(1512)] = 65351,
  [SMALL_STATE(1513)] = 65400,
  [SMALL_STATE(1514)] = 65463,
  [SMALL_STATE(1515)] = 65520,
  [SMALL_STATE(1516)] = 65585,
  [SMALL_STATE(1517)] = 65644,
  [SMALL_STATE(1518)] = 65695,
  [SMALL_STATE(1519)] = 65762,
  [SMALL_STATE(1520)] = 65821,
  [SMALL_STATE(1521)] = 65882,
  [SMALL_STATE(1522)] = 65947,
  [SMALL_STATE(1523)] = 65996,
  [SMALL_STATE(1524)] = 66068,
  [SMALL_STATE(1525)] = 66140,
  [SMALL_STATE(1526)] = 66208,
  [SMALL_STATE(1527)] = 66276,
  [SMALL_STATE(1528)] = 66340,
  [SMALL_STATE(1529)] = 66408,
  [SMALL_STATE(1530)] = 66480,
  [SMALL_STATE(1531)] = 66552,
  [SMALL_STATE(1532)] = 66624,
  [SMALL_STATE(1533)] = 66696,
  [SMALL_STATE(1534)] = 66746,
  [SMALL_STATE(1535)] = 66809,
  [SMALL_STATE(1536)] = 66858,
  [SMALL_STATE(1537)] = 66927,
  [SMALL_STATE(1538)] = 66996,
  [SMALL_STATE(1539)] = 67065,
  [SMALL_STATE(1540)] = 67134,
  [SMALL_STATE(1541)] = 67187,
  [SMALL_STATE(1542)] = 67232,
  [SMALL_STATE(1543)] = 67281,
  [SMALL_STATE(1544)] = 67348,
  [SMALL_STATE(1545)] = 67405,
  [SMALL_STATE(1546)] = 67464,
  [SMALL_STATE(1547)] = 67533,
  [SMALL_STATE(1548)] = 67586,
  [SMALL_STATE(1549)] = 67633,
  [SMALL_STATE(1550)] = 67690,
  [SMALL_STATE(1551)] = 67759,
  [SMALL_STATE(1552)] = 67820,
  [SMALL_STATE(1553)] = 67875,
  [SMALL_STATE(1554)] = 67938,
  [SMALL_STATE(1555)] = 68003,
  [SMALL_STATE(1556)] = 68050,
  [SMALL_STATE(1557)] = 68116,
  [SMALL_STATE(1558)] = 68182,
  [SMALL_STATE(1559)] = 68248,
  [SMALL_STATE(1560)] = 68300,
  [SMALL_STATE(1561)] = 68366,
  [SMALL_STATE(1562)] = 68432,
  [SMALL_STATE(1563)] = 68496,
  [SMALL_STATE(1564)] = 68562,
  [SMALL_STATE(1565)] = 68628,
  [SMALL_STATE(1566)] = 68674,
  [SMALL_STATE(1567)] = 68740,
  [SMALL_STATE(1568)] = 68798,
  [SMALL_STATE(1569)] = 68864,
  [SMALL_STATE(1570)] = 68920,
  [SMALL_STATE(1571)] = 68986,
  [SMALL_STATE(1572)] = 69052,
  [SMALL_STATE(1573)] = 69118,
  [SMALL_STATE(1574)] = 69184,
  [SMALL_STATE(1575)] = 69232,
  [SMALL_STATE(1576)] = 69294,
  [SMALL_STATE(1577)] = 69357,
  [SMALL_STATE(1578)] = 69410,
  [SMALL_STATE(1579)] = 69473,
  [SMALL_STATE(1580)] = 69536,
  [SMALL_STATE(1581)] = 69577,
  [SMALL_STATE(1582)] = 69636,
  [SMALL_STATE(1583)] = 69699,
  [SMALL_STATE(1584)] = 69740,
  [SMALL_STATE(1585)] = 69787,
  [SMALL_STATE(1586)] = 69848,
  [SMALL_STATE(1587)] = 69911,
  [SMALL_STATE(1588)] = 69964,
  [SMALL_STATE(1589)] = 70025,
  [SMALL_STATE(1590)] = 70088,
  [SMALL_STATE(1591)] = 70149,
  [SMALL_STATE(1592)] = 70200,
  [SMALL_STATE(1593)] = 70263,
  [SMALL_STATE(1594)] = 70326,
  [SMALL_STATE(1595)] = 70389,
  [SMALL_STATE(1596)] = 70452,
  [SMALL_STATE(1597)] = 70513,
  [SMALL_STATE(1598)] = 70560,
  [SMALL_STATE(1599)] = 70623,
  [SMALL_STATE(1600)] = 70684,
  [SMALL_STATE(1601)] = 70747,
  [SMALL_STATE(1602)] = 70810,
  [SMALL_STATE(1603)] = 70871,
  [SMALL_STATE(1604)] = 70922,
  [SMALL_STATE(1605)] = 70977,
  [SMALL_STATE(1606)] = 71032,
  [SMALL_STATE(1607)] = 71077,
  [SMALL_STATE(1608)] = 71118,
  [SMALL_STATE(1609)] = 71181,
  [SMALL_STATE(1610)] = 71242,
  [SMALL_STATE(1611)] = 71283,
  [SMALL_STATE(1612)] = 71344,
  [SMALL_STATE(1613)] = 71407,
  [SMALL_STATE(1614)] = 71470,
  [SMALL_STATE(1615)] = 71533,
  [SMALL_STATE(1616)] = 71594,
  [SMALL_STATE(1617)] = 71657,
  [SMALL_STATE(1618)] = 71718,
  [SMALL_STATE(1619)] = 71779,
  [SMALL_STATE(1620)] = 71842,
  [SMALL_STATE(1621)] = 71887,
  [SMALL_STATE(1622)] = 71950,
  [SMALL_STATE(1623)] = 72011,
  [SMALL_STATE(1624)] = 72072,
  [SMALL_STATE(1625)] = 72133,
  [SMALL_STATE(1626)] = 72194,
  [SMALL_STATE(1627)] = 72253,
  [SMALL_STATE(1628)] = 72316,
  [SMALL_STATE(1629)] = 72379,
  [SMALL_STATE(1630)] = 72439,
  [SMALL_STATE(1631)] = 72483,
  [SMALL_STATE(1632)] = 72543,
  [SMALL_STATE(1633)] = 72593,
  [SMALL_STATE(1634)] = 72653,
  [SMALL_STATE(1635)] = 72699,
  [SMALL_STATE(1636)] = 72759,
  [SMALL_STATE(1637)] = 72829,
  [SMALL_STATE(1638)] = 72889,
  [SMALL_STATE(1639)] = 72949,
  [SMALL_STATE(1640)] = 73009,
  [SMALL_STATE(1641)] = 73079,
  [SMALL_STATE(1642)] = 73139,
  [SMALL_STATE(1643)] = 73209,
  [SMALL_STATE(1644)] = 73261,
  [SMALL_STATE(1645)] = 73321,
  [SMALL_STATE(1646)] = 73381,
  [SMALL_STATE(1647)] = 73451,
  [SMALL_STATE(1648)] = 73521,
  [SMALL_STATE(1649)] = 73581,
  [SMALL_STATE(1650)] = 73641,
  [SMALL_STATE(1651)] = 73711,
  [SMALL_STATE(1652)] = 73771,
  [SMALL_STATE(1653)] = 73825,
  [SMALL_STATE(1654)] = 73885,
  [SMALL_STATE(1655)] = 73943,
  [SMALL_STATE(1656)] = 74013,
  [SMALL_STATE(1657)] = 74057,
  [SMALL_STATE(1658)] = 74117,
  [SMALL_STATE(1659)] = 74177,
  [SMALL_STATE(1660)] = 74247,
  [SMALL_STATE(1661)] = 74307,
  [SMALL_STATE(1662)] = 74367,
  [SMALL_STATE(1663)] = 74427,
  [SMALL_STATE(1664)] = 74487,
  [SMALL_STATE(1665)] = 74547,
  [SMALL_STATE(1666)] = 74607,
  [SMALL_STATE(1667)] = 74667,
  [SMALL_STATE(1668)] = 74727,
  [SMALL_STATE(1669)] = 74787,
  [SMALL_STATE(1670)] = 74839,
  [SMALL_STATE(1671)] = 74899,
  [SMALL_STATE(1672)] = 74957,
  [SMALL_STATE(1673)] = 75011,
  [SMALL_STATE(1674)] = 75071,
  [SMALL_STATE(1675)] = 75141,
  [SMALL_STATE(1676)] = 75211,
  [SMALL_STATE(1677)] = 75271,
  [SMALL_STATE(1678)] = 75331,
  [SMALL_STATE(1679)] = 75391,
  [SMALL_STATE(1680)] = 75461,
  [SMALL_STATE(1681)] = 75521,
  [SMALL_STATE(1682)] = 75581,
  [SMALL_STATE(1683)] = 75641,
  [SMALL_STATE(1684)] = 75701,
  [SMALL_STATE(1685)] = 75747,
  [SMALL_STATE(1686)] = 75797,
  [SMALL_STATE(1687)] = 75857,
  [SMALL_STATE(1688)] = 75917,
  [SMALL_STATE(1689)] = 75977,
  [SMALL_STATE(1690)] = 76047,
  [SMALL_STATE(1691)] = 76107,
  [SMALL_STATE(1692)] = 76167,
  [SMALL_STATE(1693)] = 76227,
  [SMALL_STATE(1694)] = 76297,
  [SMALL_STATE(1695)] = 76357,
  [SMALL_STATE(1696)] = 76417,
  [SMALL_STATE(1697)] = 76477,
  [SMALL_STATE(1698)] = 76542,
  [SMALL_STATE(1699)] = 76609,
  [SMALL_STATE(1700)] = 76674,
  [SMALL_STATE(1701)] = 76739,
  [SMALL_STATE(1702)] = 76778,
  [SMALL_STATE(1703)] = 76845,
  [SMALL_STATE(1704)] = 76912,
  [SMALL_STATE(1705)] = 76977,
  [SMALL_STATE(1706)] = 77044,
  [SMALL_STATE(1707)] = 77109,
  [SMALL_STATE(1708)] = 77176,
  [SMALL_STATE(1709)] = 77243,
  [SMALL_STATE(1710)] = 77310,
  [SMALL_STATE(1711)] = 77375,
  [SMALL_STATE(1712)] = 77440,
  [SMALL_STATE(1713)] = 77504,
  [SMALL_STATE(1714)] = 77568,
  [SMALL_STATE(1715)] = 77632,
  [SMALL_STATE(1716)] = 77696,
  [SMALL_STATE(1717)] = 77757,
  [SMALL_STATE(1718)] = 77818,
  [SMALL_STATE(1719)] = 77879,
  [SMALL_STATE(1720)] = 77940,
  [SMALL_STATE(1721)] = 78001,
  [SMALL_STATE(1722)] = 78062,
  [SMALL_STATE(1723)] = 78123,
  [SMALL_STATE(1724)] = 78184,
  [SMALL_STATE(1725)] = 78245,
  [SMALL_STATE(1726)] = 78306,
  [SMALL_STATE(1727)] = 78367,
  [SMALL_STATE(1728)] = 78428,
  [SMALL_STATE(1729)] = 78477,
  [SMALL_STATE(1730)] = 78516,
  [SMALL_STATE(1731)] = 78579,
  [SMALL_STATE(1732)] = 78642,
  [SMALL_STATE(1733)] = 78698,
  [SMALL_STATE(1734)] = 78754,
  [SMALL_STATE(1735)] = 78810,
  [SMALL_STATE(1736)] = 78864,
  [SMALL_STATE(1737)] = 78902,
  [SMALL_STATE(1738)] = 78936,
  [SMALL_STATE(1739)] = 78992,
  [SMALL_STATE(1740)] = 79046,
  [SMALL_STATE(1741)] = 79102,
  [SMALL_STATE(1742)] = 79158,
  [SMALL_STATE(1743)] = 79200,
  [SMALL_STATE(1744)] = 79256,
  [SMALL_STATE(1745)] = 79312,
  [SMALL_STATE(1746)] = 79354,
  [SMALL_STATE(1747)] = 79410,
  [SMALL_STATE(1748)] = 79466,
  [SMALL_STATE(1749)] = 79522,
  [SMALL_STATE(1750)] = 79555,
  [SMALL_STATE(1751)] = 79588,
  [SMALL_STATE(1752)] = 79621,
  [SMALL_STATE(1753)] = 79654,
  [SMALL_STATE(1754)] = 79691,
  [SMALL_STATE(1755)] = 79724,
  [SMALL_STATE(1756)] = 79757,
  [SMALL_STATE(1757)] = 79790,
  [SMALL_STATE(1758)] = 79823,
  [SMALL_STATE(1759)] = 79856,
  [SMALL_STATE(1760)] = 79889,
  [SMALL_STATE(1761)] = 79942,
  [SMALL_STATE(1762)] = 79975,
  [SMALL_STATE(1763)] = 80008,
  [SMALL_STATE(1764)] = 80041,
  [SMALL_STATE(1765)] = 80074,
  [SMALL_STATE(1766)] = 80107,
  [SMALL_STATE(1767)] = 80140,
  [SMALL_STATE(1768)] = 80173,
  [SMALL_STATE(1769)] = 80206,
  [SMALL_STATE(1770)] = 80243,
  [SMALL_STATE(1771)] = 80296,
  [SMALL_STATE(1772)] = 80329,
  [SMALL_STATE(1773)] = 80382,
  [SMALL_STATE(1774)] = 80415,
  [SMALL_STATE(1775)] = 80448,
  [SMALL_STATE(1776)] = 80481,
  [SMALL_STATE(1777)] = 80518,
  [SMALL_STATE(1778)] = 80571,
  [SMALL_STATE(1779)] = 80604,
  [SMALL_STATE(1780)] = 80637,
  [SMALL_STATE(1781)] = 80670,
  [SMALL_STATE(1782)] = 80703,
  [SMALL_STATE(1783)] = 80736,
  [SMALL_STATE(1784)] = 80771,
  [SMALL_STATE(1785)] = 80804,
  [SMALL_STATE(1786)] = 80857,
  [SMALL_STATE(1787)] = 80890,
  [SMALL_STATE(1788)] = 80943,
  [SMALL_STATE(1789)] = 80976,
  [SMALL_STATE(1790)] = 81009,
  [SMALL_STATE(1791)] = 81042,
  [SMALL_STATE(1792)] = 81075,
  [SMALL_STATE(1793)] = 81128,
  [SMALL_STATE(1794)] = 81161,
  [SMALL_STATE(1795)] = 81202,
  [SMALL_STATE(1796)] = 81252,
  [SMALL_STATE(1797)] = 81302,
  [SMALL_STATE(1798)] = 81352,
  [SMALL_STATE(1799)] = 81384,
  [SMALL_STATE(1800)] = 81416,
  [SMALL_STATE(1801)] = 81470,
  [SMALL_STATE(1802)] = 81524,
  [SMALL_STATE(1803)] = 81578,
  [SMALL_STATE(1804)] = 81628,
  [SMALL_STATE(1805)] = 81682,
  [SMALL_STATE(1806)] = 81722,
  [SMALL_STATE(1807)] = 81776,
  [SMALL_STATE(1808)] = 81826,
  [SMALL_STATE(1809)] = 81880,
  [SMALL_STATE(1810)] = 81930,
  [SMALL_STATE(1811)] = 81984,
  [SMALL_STATE(1812)] = 82034,
  [SMALL_STATE(1813)] = 82084,
  [SMALL_STATE(1814)] = 82116,
  [SMALL_STATE(1815)] = 82166,
  [SMALL_STATE(1816)] = 82216,
  [SMALL_STATE(1817)] = 82270,
  [SMALL_STATE(1818)] = 82320,
  [SMALL_STATE(1819)] = 82370,
  [SMALL_STATE(1820)] = 82424,
  [SMALL_STATE(1821)] = 82478,
  [SMALL_STATE(1822)] = 82528,
  [SMALL_STATE(1823)] = 82564,
  [SMALL_STATE(1824)] = 82618,
  [SMALL_STATE(1825)] = 82650,
  [SMALL_STATE(1826)] = 82686,
  [SMALL_STATE(1827)] = 82736,
  [SMALL_STATE(1828)] = 82786,
  [SMALL_STATE(1829)] = 82836,
  [SMALL_STATE(1830)] = 82886,
  [SMALL_STATE(1831)] = 82922,
  [SMALL_STATE(1832)] = 82972,
  [SMALL_STATE(1833)] = 83022,
  [SMALL_STATE(1834)] = 83072,
  [SMALL_STATE(1835)] = 83106,
  [SMALL_STATE(1836)] = 83138,
  [SMALL_STATE(1837)] = 83192,
  [SMALL_STATE(1838)] = 83231,
  [SMALL_STATE(1839)] = 83262,
  [SMALL_STATE(1840)] = 83293,
  [SMALL_STATE(1841)] = 83324,
  [SMALL_STATE(1842)] = 83363,
  [SMALL_STATE(1843)] = 83398,
  [SMALL_STATE(1844)] = 83445,
  [SMALL_STATE(1845)] = 83492,
  [SMALL_STATE(1846)] = 83529,
  [SMALL_STATE(1847)] = 83560,
  [SMALL_STATE(1848)] = 83607,
  [SMALL_STATE(1849)] = 83640,
  [SMALL_STATE(1850)] = 83687,
  [SMALL_STATE(1851)] = 83734,
  [SMALL_STATE(1852)] = 83765,
  [SMALL_STATE(1853)] = 83812,
  [SMALL_STATE(1854)] = 83847,
  [SMALL_STATE(1855)] = 83878,
  [SMALL_STATE(1856)] = 83919,
  [SMALL_STATE(1857)] = 83966,
  [SMALL_STATE(1858)] = 83997,
  [SMALL_STATE(1859)] = 84044,
  [SMALL_STATE(1860)] = 84075,
  [SMALL_STATE(1861)] = 84110,
  [SMALL_STATE(1862)] = 84145,
  [SMALL_STATE(1863)] = 84176,
  [SMALL_STATE(1864)] = 84211,
  [SMALL_STATE(1865)] = 84246,
  [SMALL_STATE(1866)] = 84293,
  [SMALL_STATE(1867)] = 84340,
  [SMALL_STATE(1868)] = 84371,
  [SMALL_STATE(1869)] = 84407,
  [SMALL_STATE(1870)] = 84437,
  [SMALL_STATE(1871)] = 84483,
  [SMALL_STATE(1872)] = 84513,
  [SMALL_STATE(1873)] = 84543,
  [SMALL_STATE(1874)] = 84573,
  [SMALL_STATE(1875)] = 84603,
  [SMALL_STATE(1876)] = 84633,
  [SMALL_STATE(1877)] = 84663,
  [SMALL_STATE(1878)] = 84693,
  [SMALL_STATE(1879)] = 84723,
  [SMALL_STATE(1880)] = 84753,
  [SMALL_STATE(1881)] = 84783,
  [SMALL_STATE(1882)] = 84813,
  [SMALL_STATE(1883)] = 84843,
  [SMALL_STATE(1884)] = 84873,
  [SMALL_STATE(1885)] = 84903,
  [SMALL_STATE(1886)] = 84933,
  [SMALL_STATE(1887)] = 84963,
  [SMALL_STATE(1888)] = 84993,
  [SMALL_STATE(1889)] = 85023,
  [SMALL_STATE(1890)] = 85053,
  [SMALL_STATE(1891)] = 85083,
  [SMALL_STATE(1892)] = 85113,
  [SMALL_STATE(1893)] = 85145,
  [SMALL_STATE(1894)] = 85191,
  [SMALL_STATE(1895)] = 85221,
  [SMALL_STATE(1896)] = 85251,
  [SMALL_STATE(1897)] = 85281,
  [SMALL_STATE(1898)] = 85311,
  [SMALL_STATE(1899)] = 85341,
  [SMALL_STATE(1900)] = 85371,
  [SMALL_STATE(1901)] = 85401,
  [SMALL_STATE(1902)] = 85431,
  [SMALL_STATE(1903)] = 85461,
  [SMALL_STATE(1904)] = 85491,
  [SMALL_STATE(1905)] = 85521,
  [SMALL_STATE(1906)] = 85551,
  [SMALL_STATE(1907)] = 85581,
  [SMALL_STATE(1908)] = 85611,
  [SMALL_STATE(1909)] = 85641,
  [SMALL_STATE(1910)] = 85671,
  [SMALL_STATE(1911)] = 85701,
  [SMALL_STATE(1912)] = 85731,
  [SMALL_STATE(1913)] = 85761,
  [SMALL_STATE(1914)] = 85791,
  [SMALL_STATE(1915)] = 85821,
  [SMALL_STATE(1916)] = 85851,
  [SMALL_STATE(1917)] = 85881,
  [SMALL_STATE(1918)] = 85911,
  [SMALL_STATE(1919)] = 85941,
  [SMALL_STATE(1920)] = 85971,
  [SMALL_STATE(1921)] = 86001,
  [SMALL_STATE(1922)] = 86031,
  [SMALL_STATE(1923)] = 86061,
  [SMALL_STATE(1924)] = 86091,
  [SMALL_STATE(1925)] = 86121,
  [SMALL_STATE(1926)] = 86151,
  [SMALL_STATE(1927)] = 86181,
  [SMALL_STATE(1928)] = 86211,
  [SMALL_STATE(1929)] = 86241,
  [SMALL_STATE(1930)] = 86271,
  [SMALL_STATE(1931)] = 86301,
  [SMALL_STATE(1932)] = 86331,
  [SMALL_STATE(1933)] = 86361,
  [SMALL_STATE(1934)] = 86405,
  [SMALL_STATE(1935)] = 86435,
  [SMALL_STATE(1936)] = 86465,
  [SMALL_STATE(1937)] = 86495,
  [SMALL_STATE(1938)] = 86525,
  [SMALL_STATE(1939)] = 86555,
  [SMALL_STATE(1940)] = 86585,
  [SMALL_STATE(1941)] = 86615,
  [SMALL_STATE(1942)] = 86645,
  [SMALL_STATE(1943)] = 86679,
  [SMALL_STATE(1944)] = 86709,
  [SMALL_STATE(1945)] = 86753,
  [SMALL_STATE(1946)] = 86797,
  [SMALL_STATE(1947)] = 86827,
  [SMALL_STATE(1948)] = 86857,
  [SMALL_STATE(1949)] = 86887,
  [SMALL_STATE(1950)] = 86917,
  [SMALL_STATE(1951)] = 86947,
  [SMALL_STATE(1952)] = 86977,
  [SMALL_STATE(1953)] = 87011,
  [SMALL_STATE(1954)] = 87041,
  [SMALL_STATE(1955)] = 87071,
  [SMALL_STATE(1956)] = 87101,
  [SMALL_STATE(1957)] = 87131,
  [SMALL_STATE(1958)] = 87161,
  [SMALL_STATE(1959)] = 87195,
  [SMALL_STATE(1960)] = 87225,
  [SMALL_STATE(1961)] = 87255,
  [SMALL_STATE(1962)] = 87285,
  [SMALL_STATE(1963)] = 87315,
  [SMALL_STATE(1964)] = 87345,
  [SMALL_STATE(1965)] = 87391,
  [SMALL_STATE(1966)] = 87423,
  [SMALL_STATE(1967)] = 87459,
  [SMALL_STATE(1968)] = 87489,
  [SMALL_STATE(1969)] = 87533,
  [SMALL_STATE(1970)] = 87577,
  [SMALL_STATE(1971)] = 87619,
  [SMALL_STATE(1972)] = 87649,
  [SMALL_STATE(1973)] = 87695,
  [SMALL_STATE(1974)] = 87725,
  [SMALL_STATE(1975)] = 87759,
  [SMALL_STATE(1976)] = 87793,
  [SMALL_STATE(1977)] = 87823,
  [SMALL_STATE(1978)] = 87855,
  [SMALL_STATE(1979)] = 87887,
  [SMALL_STATE(1980)] = 87923,
  [SMALL_STATE(1981)] = 87969,
  [SMALL_STATE(1982)] = 88015,
  [SMALL_STATE(1983)] = 88049,
  [SMALL_STATE(1984)] = 88083,
  [SMALL_STATE(1985)] = 88129,
  [SMALL_STATE(1986)] = 88159,
  [SMALL_STATE(1987)] = 88205,
  [SMALL_STATE(1988)] = 88243,
  [SMALL_STATE(1989)] = 88289,
  [SMALL_STATE(1990)] = 88319,
  [SMALL_STATE(1991)] = 88351,
  [SMALL_STATE(1992)] = 88385,
  [SMALL_STATE(1993)] = 88419,
  [SMALL_STATE(1994)] = 88465,
  [SMALL_STATE(1995)] = 88511,
  [SMALL_STATE(1996)] = 88541,
  [SMALL_STATE(1997)] = 88571,
  [SMALL_STATE(1998)] = 88601,
  [SMALL_STATE(1999)] = 88647,
  [SMALL_STATE(2000)] = 88677,
  [SMALL_STATE(2001)] = 88723,
  [SMALL_STATE(2002)] = 88755,
  [SMALL_STATE(2003)] = 88787,
  [SMALL_STATE(2004)] = 88817,
  [SMALL_STATE(2005)] = 88859,
  [SMALL_STATE(2006)] = 88905,
  [SMALL_STATE(2007)] = 88947,
  [SMALL_STATE(2008)] = 88983,
  [SMALL_STATE(2009)] = 89013,
  [SMALL_STATE(2010)] = 89043,
  [SMALL_STATE(2011)] = 89085,
  [SMALL_STATE(2012)] = 89131,
  [SMALL_STATE(2013)] = 89173,
  [SMALL_STATE(2014)] = 89215,
  [SMALL_STATE(2015)] = 89259,
  [SMALL_STATE(2016)] = 89305,
  [SMALL_STATE(2017)] = 89350,
  [SMALL_STATE(2018)] = 89383,
  [SMALL_STATE(2019)] = 89428,
  [SMALL_STATE(2020)] = 89459,
  [SMALL_STATE(2021)] = 89504,
  [SMALL_STATE(2022)] = 89547,
  [SMALL_STATE(2023)] = 89578,
  [SMALL_STATE(2024)] = 89609,
  [SMALL_STATE(2025)] = 89642,
  [SMALL_STATE(2026)] = 89675,
  [SMALL_STATE(2027)] = 89708,
  [SMALL_STATE(2028)] = 89737,
  [SMALL_STATE(2029)] = 89768,
  [SMALL_STATE(2030)] = 89795,
  [SMALL_STATE(2031)] = 89838,
  [SMALL_STATE(2032)] = 89871,
  [SMALL_STATE(2033)] = 89902,
  [SMALL_STATE(2034)] = 89933,
  [SMALL_STATE(2035)] = 89966,
  [SMALL_STATE(2036)] = 90009,
  [SMALL_STATE(2037)] = 90044,
  [SMALL_STATE(2038)] = 90077,
  [SMALL_STATE(2039)] = 90106,
  [SMALL_STATE(2040)] = 90149,
  [SMALL_STATE(2041)] = 90182,
  [SMALL_STATE(2042)] = 90215,
  [SMALL_STATE(2043)] = 90258,
  [SMALL_STATE(2044)] = 90289,
  [SMALL_STATE(2045)] = 90322,
  [SMALL_STATE(2046)] = 90367,
  [SMALL_STATE(2047)] = 90400,
  [SMALL_STATE(2048)] = 90433,
  [SMALL_STATE(2049)] = 90464,
  [SMALL_STATE(2050)] = 90496,
  [SMALL_STATE(2051)] = 90524,
  [SMALL_STATE(2052)] = 90552,
  [SMALL_STATE(2053)] = 90580,
  [SMALL_STATE(2054)] = 90608,
  [SMALL_STATE(2055)] = 90648,
  [SMALL_STATE(2056)] = 90688,
  [SMALL_STATE(2057)] = 90718,
  [SMALL_STATE(2058)] = 90748,
  [SMALL_STATE(2059)] = 90778,
  [SMALL_STATE(2060)] = 90808,
  [SMALL_STATE(2061)] = 90848,
  [SMALL_STATE(2062)] = 90876,
  [SMALL_STATE(2063)] = 90904,
  [SMALL_STATE(2064)] = 90932,
  [SMALL_STATE(2065)] = 90960,
  [SMALL_STATE(2066)] = 90988,
  [SMALL_STATE(2067)] = 91020,
  [SMALL_STATE(2068)] = 91052,
  [SMALL_STATE(2069)] = 91080,
  [SMALL_STATE(2070)] = 91112,
  [SMALL_STATE(2071)] = 91142,
  [SMALL_STATE(2072)] = 91170,
  [SMALL_STATE(2073)] = 91208,
  [SMALL_STATE(2074)] = 91236,
  [SMALL_STATE(2075)] = 91276,
  [SMALL_STATE(2076)] = 91316,
  [SMALL_STATE(2077)] = 91352,
  [SMALL_STATE(2078)] = 91394,
  [SMALL_STATE(2079)] = 91426,
  [SMALL_STATE(2080)] = 91458,
  [SMALL_STATE(2081)] = 91488,
  [SMALL_STATE(2082)] = 91520,
  [SMALL_STATE(2083)] = 91554,
  [SMALL_STATE(2084)] = 91582,
  [SMALL_STATE(2085)] = 91610,
  [SMALL_STATE(2086)] = 91650,
  [SMALL_STATE(2087)] = 91678,
  [SMALL_STATE(2088)] = 91706,
  [SMALL_STATE(2089)] = 91734,
  [SMALL_STATE(2090)] = 91762,
  [SMALL_STATE(2091)] = 91788,
  [SMALL_STATE(2092)] = 91818,
  [SMALL_STATE(2093)] = 91846,
  [SMALL_STATE(2094)] = 91874,
  [SMALL_STATE(2095)] = 91904,
  [SMALL_STATE(2096)] = 91932,
  [SMALL_STATE(2097)] = 91958,
  [SMALL_STATE(2098)] = 91998,
  [SMALL_STATE(2099)] = 92028,
  [SMALL_STATE(2100)] = 92056,
  [SMALL_STATE(2101)] = 92082,
  [SMALL_STATE(2102)] = 92110,
  [SMALL_STATE(2103)] = 92138,
  [SMALL_STATE(2104)] = 92166,
  [SMALL_STATE(2105)] = 92192,
  [SMALL_STATE(2106)] = 92218,
  [SMALL_STATE(2107)] = 92246,
  [SMALL_STATE(2108)] = 92274,
  [SMALL_STATE(2109)] = 92314,
  [SMALL_STATE(2110)] = 92340,
  [SMALL_STATE(2111)] = 92370,
  [SMALL_STATE(2112)] = 92400,
  [SMALL_STATE(2113)] = 92426,
  [SMALL_STATE(2114)] = 92456,
  [SMALL_STATE(2115)] = 92486,
  [SMALL_STATE(2116)] = 92514,
  [SMALL_STATE(2117)] = 92542,
  [SMALL_STATE(2118)] = 92568,
  [SMALL_STATE(2119)] = 92596,
  [SMALL_STATE(2120)] = 92622,
  [SMALL_STATE(2121)] = 92662,
  [SMALL_STATE(2122)] = 92700,
  [SMALL_STATE(2123)] = 92726,
  [SMALL_STATE(2124)] = 92752,
  [SMALL_STATE(2125)] = 92780,
  [SMALL_STATE(2126)] = 92808,
  [SMALL_STATE(2127)] = 92836,
  [SMALL_STATE(2128)] = 92866,
  [SMALL_STATE(2129)] = 92896,
  [SMALL_STATE(2130)] = 92924,
  [SMALL_STATE(2131)] = 92964,
  [SMALL_STATE(2132)] = 92992,
  [SMALL_STATE(2133)] = 93018,
  [SMALL_STATE(2134)] = 93056,
  [SMALL_STATE(2135)] = 93096,
  [SMALL_STATE(2136)] = 93128,
  [SMALL_STATE(2137)] = 93160,
  [SMALL_STATE(2138)] = 93190,
  [SMALL_STATE(2139)] = 93220,
  [SMALL_STATE(2140)] = 93248,
  [SMALL_STATE(2141)] = 93288,
  [SMALL_STATE(2142)] = 93324,
  [SMALL_STATE(2143)] = 93352,
  [SMALL_STATE(2144)] = 93380,
  [SMALL_STATE(2145)] = 93410,
  [SMALL_STATE(2146)] = 93438,
  [SMALL_STATE(2147)] = 93463,
  [SMALL_STATE(2148)] = 93490,
  [SMALL_STATE(2149)] = 93523,
  [SMALL_STATE(2150)] = 93552,
  [SMALL_STATE(2151)] = 93579,
  [SMALL_STATE(2152)] = 93616,
  [SMALL_STATE(2153)] = 93653,
  [SMALL_STATE(2154)] = 93678,
  [SMALL_STATE(2155)] = 93705,
  [SMALL_STATE(2156)] = 93738,
  [SMALL_STATE(2157)] = 93767,
  [SMALL_STATE(2158)] = 93792,
  [SMALL_STATE(2159)] = 93821,
  [SMALL_STATE(2160)] = 93854,
  [SMALL_STATE(2161)] = 93879,
  [SMALL_STATE(2162)] = 93912,
  [SMALL_STATE(2163)] = 93951,
  [SMALL_STATE(2164)] = 93982,
  [SMALL_STATE(2165)] = 94015,
  [SMALL_STATE(2166)] = 94044,
  [SMALL_STATE(2167)] = 94071,
  [SMALL_STATE(2168)] = 94098,
  [SMALL_STATE(2169)] = 94129,
  [SMALL_STATE(2170)] = 94158,
  [SMALL_STATE(2171)] = 94187,
  [SMALL_STATE(2172)] = 94218,
  [SMALL_STATE(2173)] = 94247,
  [SMALL_STATE(2174)] = 94286,
  [SMALL_STATE(2175)] = 94317,
  [SMALL_STATE(2176)] = 94350,
  [SMALL_STATE(2177)] = 94377,
  [SMALL_STATE(2178)] = 94406,
  [SMALL_STATE(2179)] = 94435,
  [SMALL_STATE(2180)] = 94464,
  [SMALL_STATE(2181)] = 94493,
  [SMALL_STATE(2182)] = 94526,
  [SMALL_STATE(2183)] = 94565,
  [SMALL_STATE(2184)] = 94596,
  [SMALL_STATE(2185)] = 94623,
  [SMALL_STATE(2186)] = 94650,
  [SMALL_STATE(2187)] = 94689,
  [SMALL_STATE(2188)] = 94716,
  [SMALL_STATE(2189)] = 94743,
  [SMALL_STATE(2190)] = 94770,
  [SMALL_STATE(2191)] = 94797,
  [SMALL_STATE(2192)] = 94830,
  [SMALL_STATE(2193)] = 94861,
  [SMALL_STATE(2194)] = 94890,
  [SMALL_STATE(2195)] = 94917,
  [SMALL_STATE(2196)] = 94944,
  [SMALL_STATE(2197)] = 94971,
  [SMALL_STATE(2198)] = 95010,
  [SMALL_STATE(2199)] = 95037,
  [SMALL_STATE(2200)] = 95064,
  [SMALL_STATE(2201)] = 95091,
  [SMALL_STATE(2202)] = 95118,
  [SMALL_STATE(2203)] = 95151,
  [SMALL_STATE(2204)] = 95184,
  [SMALL_STATE(2205)] = 95211,
  [SMALL_STATE(2206)] = 95240,
  [SMALL_STATE(2207)] = 95267,
  [SMALL_STATE(2208)] = 95306,
  [SMALL_STATE(2209)] = 95333,
  [SMALL_STATE(2210)] = 95360,
  [SMALL_STATE(2211)] = 95399,
  [SMALL_STATE(2212)] = 95426,
  [SMALL_STATE(2213)] = 95459,
  [SMALL_STATE(2214)] = 95488,
  [SMALL_STATE(2215)] = 95515,
  [SMALL_STATE(2216)] = 95548,
  [SMALL_STATE(2217)] = 95577,
  [SMALL_STATE(2218)] = 95606,
  [SMALL_STATE(2219)] = 95640,
  [SMALL_STATE(2220)] = 95668,
  [SMALL_STATE(2221)] = 95696,
  [SMALL_STATE(2222)] = 95724,
  [SMALL_STATE(2223)] = 95758,
  [SMALL_STATE(2224)] = 95786,
  [SMALL_STATE(2225)] = 95814,
  [SMALL_STATE(2226)] = 95844,
  [SMALL_STATE(2227)] = 95876,
  [SMALL_STATE(2228)] = 95906,
  [SMALL_STATE(2229)] = 95934,
  [SMALL_STATE(2230)] = 95960,
  [SMALL_STATE(2231)] = 95990,
  [SMALL_STATE(2232)] = 96020,
  [SMALL_STATE(2233)] = 96048,
  [SMALL_STATE(2234)] = 96076,
  [SMALL_STATE(2235)] = 96100,
  [SMALL_STATE(2236)] = 96130,
  [SMALL_STATE(2237)] = 96158,
  [SMALL_STATE(2238)] = 96190,
  [SMALL_STATE(2239)] = 96228,
  [SMALL_STATE(2240)] = 96260,
  [SMALL_STATE(2241)] = 96290,
  [SMALL_STATE(2242)] = 96328,
  [SMALL_STATE(2243)] = 96358,
  [SMALL_STATE(2244)] = 96386,
  [SMALL_STATE(2245)] = 96416,
  [SMALL_STATE(2246)] = 96444,
  [SMALL_STATE(2247)] = 96482,
  [SMALL_STATE(2248)] = 96510,
  [SMALL_STATE(2249)] = 96536,
  [SMALL_STATE(2250)] = 96566,
  [SMALL_STATE(2251)] = 96596,
  [SMALL_STATE(2252)] = 96622,
  [SMALL_STATE(2253)] = 96652,
  [SMALL_STATE(2254)] = 96682,
  [SMALL_STATE(2255)] = 96708,
  [SMALL_STATE(2256)] = 96734,
  [SMALL_STATE(2257)] = 96760,
  [SMALL_STATE(2258)] = 96790,
  [SMALL_STATE(2259)] = 96822,
  [SMALL_STATE(2260)] = 96850,
  [SMALL_STATE(2261)] = 96874,
  [SMALL_STATE(2262)] = 96898,
  [SMALL_STATE(2263)] = 96932,
  [SMALL_STATE(2264)] = 96962,
  [SMALL_STATE(2265)] = 96986,
  [SMALL_STATE(2266)] = 97012,
  [SMALL_STATE(2267)] = 97050,
  [SMALL_STATE(2268)] = 97078,
  [SMALL_STATE(2269)] = 97116,
  [SMALL_STATE(2270)] = 97144,
  [SMALL_STATE(2271)] = 97178,
  [SMALL_STATE(2272)] = 97208,
  [SMALL_STATE(2273)] = 97236,
  [SMALL_STATE(2274)] = 97274,
  [SMALL_STATE(2275)] = 97298,
  [SMALL_STATE(2276)] = 97334,
  [SMALL_STATE(2277)] = 97372,
  [SMALL_STATE(2278)] = 97402,
  [SMALL_STATE(2279)] = 97432,
  [SMALL_STATE(2280)] = 97458,
  [SMALL_STATE(2281)] = 97488,
  [SMALL_STATE(2282)] = 97518,
  [SMALL_STATE(2283)] = 97546,
  [SMALL_STATE(2284)] = 97572,
  [SMALL_STATE(2285)] = 97610,
  [SMALL_STATE(2286)] = 97648,
  [SMALL_STATE(2287)] = 97686,
  [SMALL_STATE(2288)] = 97720,
  [SMALL_STATE(2289)] = 97750,
  [SMALL_STATE(2290)] = 97778,
  [SMALL_STATE(2291)] = 97804,
  [SMALL_STATE(2292)] = 97834,
  [SMALL_STATE(2293)] = 97860,
  [SMALL_STATE(2294)] = 97890,
  [SMALL_STATE(2295)] = 97926,
  [SMALL_STATE(2296)] = 97952,
  [SMALL_STATE(2297)] = 97984,
  [SMALL_STATE(2298)] = 98012,
  [SMALL_STATE(2299)] = 98047,
  [SMALL_STATE(2300)] = 98082,
  [SMALL_STATE(2301)] = 98107,
  [SMALL_STATE(2302)] = 98134,
  [SMALL_STATE(2303)] = 98161,
  [SMALL_STATE(2304)] = 98192,
  [SMALL_STATE(2305)] = 98223,
  [SMALL_STATE(2306)] = 98250,
  [SMALL_STATE(2307)] = 98281,
  [SMALL_STATE(2308)] = 98316,
  [SMALL_STATE(2309)] = 98347,
  [SMALL_STATE(2310)] = 98378,
  [SMALL_STATE(2311)] = 98409,
  [SMALL_STATE(2312)] = 98436,
  [SMALL_STATE(2313)] = 98467,
  [SMALL_STATE(2314)] = 98500,
  [SMALL_STATE(2315)] = 98529,
  [SMALL_STATE(2316)] = 98558,
  [SMALL_STATE(2317)] = 98585,
  [SMALL_STATE(2318)] = 98610,
  [SMALL_STATE(2319)] = 98637,
  [SMALL_STATE(2320)] = 98662,
  [SMALL_STATE(2321)] = 98687,
  [SMALL_STATE(2322)] = 98710,
  [SMALL_STATE(2323)] = 98737,
  [SMALL_STATE(2324)] = 98764,
  [SMALL_STATE(2325)] = 98789,
  [SMALL_STATE(2326)] = 98818,
  [SMALL_STATE(2327)] = 98843,
  [SMALL_STATE(2328)] = 98874,
  [SMALL_STATE(2329)] = 98899,
  [SMALL_STATE(2330)] = 98924,
  [SMALL_STATE(2331)] = 98955,
  [SMALL_STATE(2332)] = 98980,
  [SMALL_STATE(2333)] = 99003,
  [SMALL_STATE(2334)] = 99026,
  [SMALL_STATE(2335)] = 99051,
  [SMALL_STATE(2336)] = 99080,
  [SMALL_STATE(2337)] = 99111,
  [SMALL_STATE(2338)] = 99146,
  [SMALL_STATE(2339)] = 99179,
  [SMALL_STATE(2340)] = 99214,
  [SMALL_STATE(2341)] = 99243,
  [SMALL_STATE(2342)] = 99270,
  [SMALL_STATE(2343)] = 99305,
  [SMALL_STATE(2344)] = 99336,
  [SMALL_STATE(2345)] = 99371,
  [SMALL_STATE(2346)] = 99402,
  [SMALL_STATE(2347)] = 99433,
  [SMALL_STATE(2348)] = 99464,
  [SMALL_STATE(2349)] = 99491,
  [SMALL_STATE(2350)] = 99516,
  [SMALL_STATE(2351)] = 99543,
  [SMALL_STATE(2352)] = 99570,
  [SMALL_STATE(2353)] = 99595,
  [SMALL_STATE(2354)] = 99622,
  [SMALL_STATE(2355)] = 99647,
  [SMALL_STATE(2356)] = 99672,
  [SMALL_STATE(2357)] = 99703,
  [SMALL_STATE(2358)] = 99732,
  [SMALL_STATE(2359)] = 99757,
  [SMALL_STATE(2360)] = 99784,
  [SMALL_STATE(2361)] = 99815,
  [SMALL_STATE(2362)] = 99846,
  [SMALL_STATE(2363)] = 99877,
  [SMALL_STATE(2364)] = 99908,
  [SMALL_STATE(2365)] = 99935,
  [SMALL_STATE(2366)] = 99962,
  [SMALL_STATE(2367)] = 99997,
  [SMALL_STATE(2368)] = 100020,
  [SMALL_STATE(2369)] = 100043,
  [SMALL_STATE(2370)] = 100074,
  [SMALL_STATE(2371)] = 100101,
  [SMALL_STATE(2372)] = 100124,
  [SMALL_STATE(2373)] = 100155,
  [SMALL_STATE(2374)] = 100178,
  [SMALL_STATE(2375)] = 100207,
  [SMALL_STATE(2376)] = 100233,
  [SMALL_STATE(2377)] = 100265,
  [SMALL_STATE(2378)] = 100289,
  [SMALL_STATE(2379)] = 100315,
  [SMALL_STATE(2380)] = 100341,
  [SMALL_STATE(2381)] = 100363,
  [SMALL_STATE(2382)] = 100387,
  [SMALL_STATE(2383)] = 100411,
  [SMALL_STATE(2384)] = 100435,
  [SMALL_STATE(2385)] = 100459,
  [SMALL_STATE(2386)] = 100481,
  [SMALL_STATE(2387)] = 100509,
  [SMALL_STATE(2388)] = 100541,
  [SMALL_STATE(2389)] = 100569,
  [SMALL_STATE(2390)] = 100595,
  [SMALL_STATE(2391)] = 100619,
  [SMALL_STATE(2392)] = 100643,
  [SMALL_STATE(2393)] = 100667,
  [SMALL_STATE(2394)] = 100693,
  [SMALL_STATE(2395)] = 100719,
  [SMALL_STATE(2396)] = 100745,
  [SMALL_STATE(2397)] = 100767,
  [SMALL_STATE(2398)] = 100789,
  [SMALL_STATE(2399)] = 100815,
  [SMALL_STATE(2400)] = 100841,
  [SMALL_STATE(2401)] = 100865,
  [SMALL_STATE(2402)] = 100889,
  [SMALL_STATE(2403)] = 100921,
  [SMALL_STATE(2404)] = 100953,
  [SMALL_STATE(2405)] = 100975,
  [SMALL_STATE(2406)] = 100997,
  [SMALL_STATE(2407)] = 101021,
  [SMALL_STATE(2408)] = 101053,
  [SMALL_STATE(2409)] = 101079,
  [SMALL_STATE(2410)] = 101103,
  [SMALL_STATE(2411)] = 101125,
  [SMALL_STATE(2412)] = 101147,
  [SMALL_STATE(2413)] = 101171,
  [SMALL_STATE(2414)] = 101197,
  [SMALL_STATE(2415)] = 101223,
  [SMALL_STATE(2416)] = 101249,
  [SMALL_STATE(2417)] = 101281,
  [SMALL_STATE(2418)] = 101313,
  [SMALL_STATE(2419)] = 101337,
  [SMALL_STATE(2420)] = 101363,
  [SMALL_STATE(2421)] = 101395,
  [SMALL_STATE(2422)] = 101421,
  [SMALL_STATE(2423)] = 101445,
  [SMALL_STATE(2424)] = 101469,
  [SMALL_STATE(2425)] = 101501,
  [SMALL_STATE(2426)] = 101533,
  [SMALL_STATE(2427)] = 101561,
  [SMALL_STATE(2428)] = 101587,
  [SMALL_STATE(2429)] = 101613,
  [SMALL_STATE(2430)] = 101639,
  [SMALL_STATE(2431)] = 101665,
  [SMALL_STATE(2432)] = 101691,
  [SMALL_STATE(2433)] = 101715,
  [SMALL_STATE(2434)] = 101743,
  [SMALL_STATE(2435)] = 101767,
  [SMALL_STATE(2436)] = 101793,
  [SMALL_STATE(2437)] = 101817,
  [SMALL_STATE(2438)] = 101843,
  [SMALL_STATE(2439)] = 101869,
  [SMALL_STATE(2440)] = 101899,
  [SMALL_STATE(2441)] = 101925,
  [SMALL_STATE(2442)] = 101953,
  [SMALL_STATE(2443)] = 101979,
  [SMALL_STATE(2444)] = 102001,
  [SMALL_STATE(2445)] = 102025,
  [SMALL_STATE(2446)] = 102051,
  [SMALL_STATE(2447)] = 102077,
  [SMALL_STATE(2448)] = 102103,
  [SMALL_STATE(2449)] = 102135,
  [SMALL_STATE(2450)] = 102163,
  [SMALL_STATE(2451)] = 102187,
  [SMALL_STATE(2452)] = 102213,
  [SMALL_STATE(2453)] = 102239,
  [SMALL_STATE(2454)] = 102264,
  [SMALL_STATE(2455)] = 102289,
  [SMALL_STATE(2456)] = 102316,
  [SMALL_STATE(2457)] = 102345,
  [SMALL_STATE(2458)] = 102372,
  [SMALL_STATE(2459)] = 102401,
  [SMALL_STATE(2460)] = 102430,
  [SMALL_STATE(2461)] = 102455,
  [SMALL_STATE(2462)] = 102480,
  [SMALL_STATE(2463)] = 102507,
  [SMALL_STATE(2464)] = 102534,
  [SMALL_STATE(2465)] = 102563,
  [SMALL_STATE(2466)] = 102592,
  [SMALL_STATE(2467)] = 102621,
  [SMALL_STATE(2468)] = 102642,
  [SMALL_STATE(2469)] = 102663,
  [SMALL_STATE(2470)] = 102692,
  [SMALL_STATE(2471)] = 102721,
  [SMALL_STATE(2472)] = 102750,
  [SMALL_STATE(2473)] = 102779,
  [SMALL_STATE(2474)] = 102804,
  [SMALL_STATE(2475)] = 102827,
  [SMALL_STATE(2476)] = 102852,
  [SMALL_STATE(2477)] = 102877,
  [SMALL_STATE(2478)] = 102904,
  [SMALL_STATE(2479)] = 102933,
  [SMALL_STATE(2480)] = 102954,
  [SMALL_STATE(2481)] = 102975,
  [SMALL_STATE(2482)] = 103002,
  [SMALL_STATE(2483)] = 103023,
  [SMALL_STATE(2484)] = 103046,
  [SMALL_STATE(2485)] = 103075,
  [SMALL_STATE(2486)] = 103102,
  [SMALL_STATE(2487)] = 103131,
  [SMALL_STATE(2488)] = 103156,
  [SMALL_STATE(2489)] = 103183,
  [SMALL_STATE(2490)] = 103206,
  [SMALL_STATE(2491)] = 103233,
  [SMALL_STATE(2492)] = 103256,
  [SMALL_STATE(2493)] = 103283,
  [SMALL_STATE(2494)] = 103312,
  [SMALL_STATE(2495)] = 103335,
  [SMALL_STATE(2496)] = 103358,
  [SMALL_STATE(2497)] = 103383,
  [SMALL_STATE(2498)] = 103410,
  [SMALL_STATE(2499)] = 103431,
  [SMALL_STATE(2500)] = 103458,
  [SMALL_STATE(2501)] = 103487,
  [SMALL_STATE(2502)] = 103510,
  [SMALL_STATE(2503)] = 103533,
  [SMALL_STATE(2504)] = 103554,
  [SMALL_STATE(2505)] = 103583,
  [SMALL_STATE(2506)] = 103606,
  [SMALL_STATE(2507)] = 103635,
  [SMALL_STATE(2508)] = 103664,
  [SMALL_STATE(2509)] = 103687,
  [SMALL_STATE(2510)] = 103710,
  [SMALL_STATE(2511)] = 103737,
  [SMALL_STATE(2512)] = 103762,
  [SMALL_STATE(2513)] = 103787,
  [SMALL_STATE(2514)] = 103810,
  [SMALL_STATE(2515)] = 103837,
  [SMALL_STATE(2516)] = 103862,
  [SMALL_STATE(2517)] = 103891,
  [SMALL_STATE(2518)] = 103920,
  [SMALL_STATE(2519)] = 103941,
  [SMALL_STATE(2520)] = 103968,
  [SMALL_STATE(2521)] = 103997,
  [SMALL_STATE(2522)] = 104024,
  [SMALL_STATE(2523)] = 104047,
  [SMALL_STATE(2524)] = 104072,
  [SMALL_STATE(2525)] = 104095,
  [SMALL_STATE(2526)] = 104122,
  [SMALL_STATE(2527)] = 104149,
  [SMALL_STATE(2528)] = 104178,
  [SMALL_STATE(2529)] = 104203,
  [SMALL_STATE(2530)] = 104228,
  [SMALL_STATE(2531)] = 104253,
  [SMALL_STATE(2532)] = 104281,
  [SMALL_STATE(2533)] = 104309,
  [SMALL_STATE(2534)] = 104329,
  [SMALL_STATE(2535)] = 104351,
  [SMALL_STATE(2536)] = 104375,
  [SMALL_STATE(2537)] = 104403,
  [SMALL_STATE(2538)] = 104429,
  [SMALL_STATE(2539)] = 104457,
  [SMALL_STATE(2540)] = 104485,
  [SMALL_STATE(2541)] = 104511,
  [SMALL_STATE(2542)] = 104537,
  [SMALL_STATE(2543)] = 104563,
  [SMALL_STATE(2544)] = 104591,
  [SMALL_STATE(2545)] = 104619,
  [SMALL_STATE(2546)] = 104647,
  [SMALL_STATE(2547)] = 104667,
  [SMALL_STATE(2548)] = 104693,
  [SMALL_STATE(2549)] = 104719,
  [SMALL_STATE(2550)] = 104747,
  [SMALL_STATE(2551)] = 104767,
  [SMALL_STATE(2552)] = 104795,
  [SMALL_STATE(2553)] = 104823,
  [SMALL_STATE(2554)] = 104843,
  [SMALL_STATE(2555)] = 104871,
  [SMALL_STATE(2556)] = 104897,
  [SMALL_STATE(2557)] = 104925,
  [SMALL_STATE(2558)] = 104953,
  [SMALL_STATE(2559)] = 104981,
  [SMALL_STATE(2560)] = 105009,
  [SMALL_STATE(2561)] = 105035,
  [SMALL_STATE(2562)] = 105063,
  [SMALL_STATE(2563)] = 105091,
  [SMALL_STATE(2564)] = 105113,
  [SMALL_STATE(2565)] = 105139,
  [SMALL_STATE(2566)] = 105165,
  [SMALL_STATE(2567)] = 105193,
  [SMALL_STATE(2568)] = 105215,
  [SMALL_STATE(2569)] = 105243,
  [SMALL_STATE(2570)] = 105271,
  [SMALL_STATE(2571)] = 105297,
  [SMALL_STATE(2572)] = 105323,
  [SMALL_STATE(2573)] = 105349,
  [SMALL_STATE(2574)] = 105375,
  [SMALL_STATE(2575)] = 105403,
  [SMALL_STATE(2576)] = 105431,
  [SMALL_STATE(2577)] = 105459,
  [SMALL_STATE(2578)] = 105487,
  [SMALL_STATE(2579)] = 105513,
  [SMALL_STATE(2580)] = 105541,
  [SMALL_STATE(2581)] = 105569,
  [SMALL_STATE(2582)] = 105597,
  [SMALL_STATE(2583)] = 105621,
  [SMALL_STATE(2584)] = 105647,
  [SMALL_STATE(2585)] = 105675,
  [SMALL_STATE(2586)] = 105703,
  [SMALL_STATE(2587)] = 105731,
  [SMALL_STATE(2588)] = 105759,
  [SMALL_STATE(2589)] = 105787,
  [SMALL_STATE(2590)] = 105815,
  [SMALL_STATE(2591)] = 105841,
  [SMALL_STATE(2592)] = 105867,
  [SMALL_STATE(2593)] = 105893,
  [SMALL_STATE(2594)] = 105915,
  [SMALL_STATE(2595)] = 105943,
  [SMALL_STATE(2596)] = 105965,
  [SMALL_STATE(2597)] = 105993,
  [SMALL_STATE(2598)] = 106021,
  [SMALL_STATE(2599)] = 106047,
  [SMALL_STATE(2600)] = 106073,
  [SMALL_STATE(2601)] = 106101,
  [SMALL_STATE(2602)] = 106129,
  [SMALL_STATE(2603)] = 106153,
  [SMALL_STATE(2604)] = 106179,
  [SMALL_STATE(2605)] = 106207,
  [SMALL_STATE(2606)] = 106235,
  [SMALL_STATE(2607)] = 106263,
  [SMALL_STATE(2608)] = 106287,
  [SMALL_STATE(2609)] = 106307,
  [SMALL_STATE(2610)] = 106331,
  [SMALL_STATE(2611)] = 106359,
  [SMALL_STATE(2612)] = 106387,
  [SMALL_STATE(2613)] = 106409,
  [SMALL_STATE(2614)] = 106433,
  [SMALL_STATE(2615)] = 106461,
  [SMALL_STATE(2616)] = 106485,
  [SMALL_STATE(2617)] = 106513,
  [SMALL_STATE(2618)] = 106541,
  [SMALL_STATE(2619)] = 106569,
  [SMALL_STATE(2620)] = 106593,
  [SMALL_STATE(2621)] = 106613,
  [SMALL_STATE(2622)] = 106637,
  [SMALL_STATE(2623)] = 106663,
  [SMALL_STATE(2624)] = 106689,
  [SMALL_STATE(2625)] = 106715,
  [SMALL_STATE(2626)] = 106739,
  [SMALL_STATE(2627)] = 106765,
  [SMALL_STATE(2628)] = 106793,
  [SMALL_STATE(2629)] = 106819,
  [SMALL_STATE(2630)] = 106843,
  [SMALL_STATE(2631)] = 106871,
  [SMALL_STATE(2632)] = 106899,
  [SMALL_STATE(2633)] = 106927,
  [SMALL_STATE(2634)] = 106953,
  [SMALL_STATE(2635)] = 106981,
  [SMALL_STATE(2636)] = 107007,
  [SMALL_STATE(2637)] = 107029,
  [SMALL_STATE(2638)] = 107057,
  [SMALL_STATE(2639)] = 107085,
  [SMALL_STATE(2640)] = 107113,
  [SMALL_STATE(2641)] = 107139,
  [SMALL_STATE(2642)] = 107165,
  [SMALL_STATE(2643)] = 107193,
  [SMALL_STATE(2644)] = 107221,
  [SMALL_STATE(2645)] = 107244,
  [SMALL_STATE(2646)] = 107269,
  [SMALL_STATE(2647)] = 107292,
  [SMALL_STATE(2648)] = 107317,
  [SMALL_STATE(2649)] = 107340,
  [SMALL_STATE(2650)] = 107365,
  [SMALL_STATE(2651)] = 107388,
  [SMALL_STATE(2652)] = 107411,
  [SMALL_STATE(2653)] = 107434,
  [SMALL_STATE(2654)] = 107457,
  [SMALL_STATE(2655)] = 107482,
  [SMALL_STATE(2656)] = 107505,
  [SMALL_STATE(2657)] = 107528,
  [SMALL_STATE(2658)] = 107551,
  [SMALL_STATE(2659)] = 107574,
  [SMALL_STATE(2660)] = 107599,
  [SMALL_STATE(2661)] = 107622,
  [SMALL_STATE(2662)] = 107647,
  [SMALL_STATE(2663)] = 107670,
  [SMALL_STATE(2664)] = 107693,
  [SMALL_STATE(2665)] = 107716,
  [SMALL_STATE(2666)] = 107741,
  [SMALL_STATE(2667)] = 107766,
  [SMALL_STATE(2668)] = 107791,
  [SMALL_STATE(2669)] = 107814,
  [SMALL_STATE(2670)] = 107837,
  [SMALL_STATE(2671)] = 107862,
  [SMALL_STATE(2672)] = 107887,
  [SMALL_STATE(2673)] = 107908,
  [SMALL_STATE(2674)] = 107927,
  [SMALL_STATE(2675)] = 107952,
  [SMALL_STATE(2676)] = 107977,
  [SMALL_STATE(2677)] = 108000,
  [SMALL_STATE(2678)] = 108023,
  [SMALL_STATE(2679)] = 108048,
  [SMALL_STATE(2680)] = 108073,
  [SMALL_STATE(2681)] = 108096,
  [SMALL_STATE(2682)] = 108121,
  [SMALL_STATE(2683)] = 108146,
  [SMALL_STATE(2684)] = 108171,
  [SMALL_STATE(2685)] = 108196,
  [SMALL_STATE(2686)] = 108221,
  [SMALL_STATE(2687)] = 108244,
  [SMALL_STATE(2688)] = 108269,
  [SMALL_STATE(2689)] = 108292,
  [SMALL_STATE(2690)] = 108317,
  [SMALL_STATE(2691)] = 108342,
  [SMALL_STATE(2692)] = 108365,
  [SMALL_STATE(2693)] = 108390,
  [SMALL_STATE(2694)] = 108415,
  [SMALL_STATE(2695)] = 108440,
  [SMALL_STATE(2696)] = 108461,
  [SMALL_STATE(2697)] = 108486,
  [SMALL_STATE(2698)] = 108509,
  [SMALL_STATE(2699)] = 108530,
  [SMALL_STATE(2700)] = 108553,
  [SMALL_STATE(2701)] = 108578,
  [SMALL_STATE(2702)] = 108601,
  [SMALL_STATE(2703)] = 108624,
  [SMALL_STATE(2704)] = 108649,
  [SMALL_STATE(2705)] = 108674,
  [SMALL_STATE(2706)] = 108699,
  [SMALL_STATE(2707)] = 108724,
  [SMALL_STATE(2708)] = 108749,
  [SMALL_STATE(2709)] = 108774,
  [SMALL_STATE(2710)] = 108797,
  [SMALL_STATE(2711)] = 108820,
  [SMALL_STATE(2712)] = 108845,
  [SMALL_STATE(2713)] = 108868,
  [SMALL_STATE(2714)] = 108893,
  [SMALL_STATE(2715)] = 108916,
  [SMALL_STATE(2716)] = 108941,
  [SMALL_STATE(2717)] = 108964,
  [SMALL_STATE(2718)] = 108989,
  [SMALL_STATE(2719)] = 109012,
  [SMALL_STATE(2720)] = 109035,
  [SMALL_STATE(2721)] = 109056,
  [SMALL_STATE(2722)] = 109079,
  [SMALL_STATE(2723)] = 109102,
  [SMALL_STATE(2724)] = 109125,
  [SMALL_STATE(2725)] = 109146,
  [SMALL_STATE(2726)] = 109169,
  [SMALL_STATE(2727)] = 109194,
  [SMALL_STATE(2728)] = 109217,
  [SMALL_STATE(2729)] = 109242,
  [SMALL_STATE(2730)] = 109267,
  [SMALL_STATE(2731)] = 109290,
  [SMALL_STATE(2732)] = 109315,
  [SMALL_STATE(2733)] = 109340,
  [SMALL_STATE(2734)] = 109361,
  [SMALL_STATE(2735)] = 109384,
  [SMALL_STATE(2736)] = 109409,
  [SMALL_STATE(2737)] = 109432,
  [SMALL_STATE(2738)] = 109455,
  [SMALL_STATE(2739)] = 109478,
  [SMALL_STATE(2740)] = 109501,
  [SMALL_STATE(2741)] = 109524,
  [SMALL_STATE(2742)] = 109549,
  [SMALL_STATE(2743)] = 109572,
  [SMALL_STATE(2744)] = 109597,
  [SMALL_STATE(2745)] = 109622,
  [SMALL_STATE(2746)] = 109645,
  [SMALL_STATE(2747)] = 109670,
  [SMALL_STATE(2748)] = 109695,
  [SMALL_STATE(2749)] = 109717,
  [SMALL_STATE(2750)] = 109739,
  [SMALL_STATE(2751)] = 109761,
  [SMALL_STATE(2752)] = 109783,
  [SMALL_STATE(2753)] = 109805,
  [SMALL_STATE(2754)] = 109827,
  [SMALL_STATE(2755)] = 109847,
  [SMALL_STATE(2756)] = 109869,
  [SMALL_STATE(2757)] = 109891,
  [SMALL_STATE(2758)] = 109913,
  [SMALL_STATE(2759)] = 109935,
  [SMALL_STATE(2760)] = 109957,
  [SMALL_STATE(2761)] = 109979,
  [SMALL_STATE(2762)] = 110001,
  [SMALL_STATE(2763)] = 110023,
  [SMALL_STATE(2764)] = 110045,
  [SMALL_STATE(2765)] = 110067,
  [SMALL_STATE(2766)] = 110089,
  [SMALL_STATE(2767)] = 110111,
  [SMALL_STATE(2768)] = 110133,
  [SMALL_STATE(2769)] = 110155,
  [SMALL_STATE(2770)] = 110177,
  [SMALL_STATE(2771)] = 110199,
  [SMALL_STATE(2772)] = 110221,
  [SMALL_STATE(2773)] = 110243,
  [SMALL_STATE(2774)] = 110263,
  [SMALL_STATE(2775)] = 110285,
  [SMALL_STATE(2776)] = 110307,
  [SMALL_STATE(2777)] = 110329,
  [SMALL_STATE(2778)] = 110351,
  [SMALL_STATE(2779)] = 110373,
  [SMALL_STATE(2780)] = 110395,
  [SMALL_STATE(2781)] = 110415,
  [SMALL_STATE(2782)] = 110437,
  [SMALL_STATE(2783)] = 110459,
  [SMALL_STATE(2784)] = 110481,
  [SMALL_STATE(2785)] = 110503,
  [SMALL_STATE(2786)] = 110525,
  [SMALL_STATE(2787)] = 110547,
  [SMALL_STATE(2788)] = 110565,
  [SMALL_STATE(2789)] = 110587,
  [SMALL_STATE(2790)] = 110609,
  [SMALL_STATE(2791)] = 110629,
  [SMALL_STATE(2792)] = 110651,
  [SMALL_STATE(2793)] = 110671,
  [SMALL_STATE(2794)] = 110693,
  [SMALL_STATE(2795)] = 110715,
  [SMALL_STATE(2796)] = 110737,
  [SMALL_STATE(2797)] = 110759,
  [SMALL_STATE(2798)] = 110781,
  [SMALL_STATE(2799)] = 110803,
  [SMALL_STATE(2800)] = 110823,
  [SMALL_STATE(2801)] = 110845,
  [SMALL_STATE(2802)] = 110867,
  [SMALL_STATE(2803)] = 110889,
  [SMALL_STATE(2804)] = 110911,
  [SMALL_STATE(2805)] = 110933,
  [SMALL_STATE(2806)] = 110955,
  [SMALL_STATE(2807)] = 110977,
  [SMALL_STATE(2808)] = 110999,
  [SMALL_STATE(2809)] = 111021,
  [SMALL_STATE(2810)] = 111041,
  [SMALL_STATE(2811)] = 111063,
  [SMALL_STATE(2812)] = 111085,
  [SMALL_STATE(2813)] = 111107,
  [SMALL_STATE(2814)] = 111129,
  [SMALL_STATE(2815)] = 111151,
  [SMALL_STATE(2816)] = 111173,
  [SMALL_STATE(2817)] = 111193,
  [SMALL_STATE(2818)] = 111215,
  [SMALL_STATE(2819)] = 111237,
  [SMALL_STATE(2820)] = 111259,
  [SMALL_STATE(2821)] = 111279,
  [SMALL_STATE(2822)] = 111301,
  [SMALL_STATE(2823)] = 111323,
  [SMALL_STATE(2824)] = 111345,
  [SMALL_STATE(2825)] = 111367,
  [SMALL_STATE(2826)] = 111389,
  [SMALL_STATE(2827)] = 111407,
  [SMALL_STATE(2828)] = 111429,
  [SMALL_STATE(2829)] = 111451,
  [SMALL_STATE(2830)] = 111473,
  [SMALL_STATE(2831)] = 111495,
  [SMALL_STATE(2832)] = 111517,
  [SMALL_STATE(2833)] = 111539,
  [SMALL_STATE(2834)] = 111561,
  [SMALL_STATE(2835)] = 111583,
  [SMALL_STATE(2836)] = 111603,
  [SMALL_STATE(2837)] = 111625,
  [SMALL_STATE(2838)] = 111643,
  [SMALL_STATE(2839)] = 111665,
  [SMALL_STATE(2840)] = 111685,
  [SMALL_STATE(2841)] = 111707,
  [SMALL_STATE(2842)] = 111729,
  [SMALL_STATE(2843)] = 111751,
  [SMALL_STATE(2844)] = 111773,
  [SMALL_STATE(2845)] = 111795,
  [SMALL_STATE(2846)] = 111817,
  [SMALL_STATE(2847)] = 111839,
  [SMALL_STATE(2848)] = 111861,
  [SMALL_STATE(2849)] = 111883,
  [SMALL_STATE(2850)] = 111905,
  [SMALL_STATE(2851)] = 111927,
  [SMALL_STATE(2852)] = 111945,
  [SMALL_STATE(2853)] = 111967,
  [SMALL_STATE(2854)] = 111989,
  [SMALL_STATE(2855)] = 112011,
  [SMALL_STATE(2856)] = 112033,
  [SMALL_STATE(2857)] = 112055,
  [SMALL_STATE(2858)] = 112077,
  [SMALL_STATE(2859)] = 112099,
  [SMALL_STATE(2860)] = 112121,
  [SMALL_STATE(2861)] = 112143,
  [SMALL_STATE(2862)] = 112163,
  [SMALL_STATE(2863)] = 112185,
  [SMALL_STATE(2864)] = 112207,
  [SMALL_STATE(2865)] = 112227,
  [SMALL_STATE(2866)] = 112249,
  [SMALL_STATE(2867)] = 112269,
  [SMALL_STATE(2868)] = 112291,
  [SMALL_STATE(2869)] = 112313,
  [SMALL_STATE(2870)] = 112335,
  [SMALL_STATE(2871)] = 112357,
  [SMALL_STATE(2872)] = 112379,
  [SMALL_STATE(2873)] = 112401,
  [SMALL_STATE(2874)] = 112423,
  [SMALL_STATE(2875)] = 112443,
  [SMALL_STATE(2876)] = 112465,
  [SMALL_STATE(2877)] = 112487,
  [SMALL_STATE(2878)] = 112509,
  [SMALL_STATE(2879)] = 112531,
  [SMALL_STATE(2880)] = 112551,
  [SMALL_STATE(2881)] = 112573,
  [SMALL_STATE(2882)] = 112595,
  [SMALL_STATE(2883)] = 112617,
  [SMALL_STATE(2884)] = 112639,
  [SMALL_STATE(2885)] = 112661,
  [SMALL_STATE(2886)] = 112681,
  [SMALL_STATE(2887)] = 112703,
  [SMALL_STATE(2888)] = 112723,
  [SMALL_STATE(2889)] = 112745,
  [SMALL_STATE(2890)] = 112767,
  [SMALL_STATE(2891)] = 112789,
  [SMALL_STATE(2892)] = 112811,
  [SMALL_STATE(2893)] = 112833,
  [SMALL_STATE(2894)] = 112855,
  [SMALL_STATE(2895)] = 112875,
  [SMALL_STATE(2896)] = 112897,
  [SMALL_STATE(2897)] = 112919,
  [SMALL_STATE(2898)] = 112941,
  [SMALL_STATE(2899)] = 112963,
  [SMALL_STATE(2900)] = 112983,
  [SMALL_STATE(2901)] = 113003,
  [SMALL_STATE(2902)] = 113023,
  [SMALL_STATE(2903)] = 113045,
  [SMALL_STATE(2904)] = 113067,
  [SMALL_STATE(2905)] = 113087,
  [SMALL_STATE(2906)] = 113109,
  [SMALL_STATE(2907)] = 113131,
  [SMALL_STATE(2908)] = 113151,
  [SMALL_STATE(2909)] = 113171,
  [SMALL_STATE(2910)] = 113193,
  [SMALL_STATE(2911)] = 113215,
  [SMALL_STATE(2912)] = 113237,
  [SMALL_STATE(2913)] = 113259,
  [SMALL_STATE(2914)] = 113279,
  [SMALL_STATE(2915)] = 113299,
  [SMALL_STATE(2916)] = 113321,
  [SMALL_STATE(2917)] = 113339,
  [SMALL_STATE(2918)] = 113361,
  [SMALL_STATE(2919)] = 113383,
  [SMALL_STATE(2920)] = 113405,
  [SMALL_STATE(2921)] = 113427,
  [SMALL_STATE(2922)] = 113449,
  [SMALL_STATE(2923)] = 113469,
  [SMALL_STATE(2924)] = 113491,
  [SMALL_STATE(2925)] = 113513,
  [SMALL_STATE(2926)] = 113535,
  [SMALL_STATE(2927)] = 113557,
  [SMALL_STATE(2928)] = 113579,
  [SMALL_STATE(2929)] = 113601,
  [SMALL_STATE(2930)] = 113623,
  [SMALL_STATE(2931)] = 113643,
  [SMALL_STATE(2932)] = 113663,
  [SMALL_STATE(2933)] = 113681,
  [SMALL_STATE(2934)] = 113703,
  [SMALL_STATE(2935)] = 113725,
  [SMALL_STATE(2936)] = 113747,
  [SMALL_STATE(2937)] = 113769,
  [SMALL_STATE(2938)] = 113791,
  [SMALL_STATE(2939)] = 113809,
  [SMALL_STATE(2940)] = 113831,
  [SMALL_STATE(2941)] = 113853,
  [SMALL_STATE(2942)] = 113875,
  [SMALL_STATE(2943)] = 113895,
  [SMALL_STATE(2944)] = 113917,
  [SMALL_STATE(2945)] = 113939,
  [SMALL_STATE(2946)] = 113961,
  [SMALL_STATE(2947)] = 113983,
  [SMALL_STATE(2948)] = 114005,
  [SMALL_STATE(2949)] = 114027,
  [SMALL_STATE(2950)] = 114049,
  [SMALL_STATE(2951)] = 114071,
  [SMALL_STATE(2952)] = 114089,
  [SMALL_STATE(2953)] = 114111,
  [SMALL_STATE(2954)] = 114133,
  [SMALL_STATE(2955)] = 114155,
  [SMALL_STATE(2956)] = 114175,
  [SMALL_STATE(2957)] = 114197,
  [SMALL_STATE(2958)] = 114219,
  [SMALL_STATE(2959)] = 114241,
  [SMALL_STATE(2960)] = 114263,
  [SMALL_STATE(2961)] = 114285,
  [SMALL_STATE(2962)] = 114307,
  [SMALL_STATE(2963)] = 114329,
  [SMALL_STATE(2964)] = 114351,
  [SMALL_STATE(2965)] = 114369,
  [SMALL_STATE(2966)] = 114391,
  [SMALL_STATE(2967)] = 114409,
  [SMALL_STATE(2968)] = 114431,
  [SMALL_STATE(2969)] = 114451,
  [SMALL_STATE(2970)] = 114473,
  [SMALL_STATE(2971)] = 114495,
  [SMALL_STATE(2972)] = 114515,
  [SMALL_STATE(2973)] = 114537,
  [SMALL_STATE(2974)] = 114559,
  [SMALL_STATE(2975)] = 114579,
  [SMALL_STATE(2976)] = 114601,
  [SMALL_STATE(2977)] = 114623,
  [SMALL_STATE(2978)] = 114645,
  [SMALL_STATE(2979)] = 114667,
  [SMALL_STATE(2980)] = 114689,
  [SMALL_STATE(2981)] = 114709,
  [SMALL_STATE(2982)] = 114731,
  [SMALL_STATE(2983)] = 114753,
  [SMALL_STATE(2984)] = 114775,
  [SMALL_STATE(2985)] = 114797,
  [SMALL_STATE(2986)] = 114817,
  [SMALL_STATE(2987)] = 114839,
  [SMALL_STATE(2988)] = 114861,
  [SMALL_STATE(2989)] = 114883,
  [SMALL_STATE(2990)] = 114903,
  [SMALL_STATE(2991)] = 114923,
  [SMALL_STATE(2992)] = 114945,
  [SMALL_STATE(2993)] = 114967,
  [SMALL_STATE(2994)] = 114989,
  [SMALL_STATE(2995)] = 115011,
  [SMALL_STATE(2996)] = 115031,
  [SMALL_STATE(2997)] = 115051,
  [SMALL_STATE(2998)] = 115073,
  [SMALL_STATE(2999)] = 115093,
  [SMALL_STATE(3000)] = 115113,
  [SMALL_STATE(3001)] = 115135,
  [SMALL_STATE(3002)] = 115157,
  [SMALL_STATE(3003)] = 115179,
  [SMALL_STATE(3004)] = 115201,
  [SMALL_STATE(3005)] = 115223,
  [SMALL_STATE(3006)] = 115245,
  [SMALL_STATE(3007)] = 115267,
  [SMALL_STATE(3008)] = 115289,
  [SMALL_STATE(3009)] = 115311,
  [SMALL_STATE(3010)] = 115333,
  [SMALL_STATE(3011)] = 115355,
  [SMALL_STATE(3012)] = 115377,
  [SMALL_STATE(3013)] = 115399,
  [SMALL_STATE(3014)] = 115419,
  [SMALL_STATE(3015)] = 115441,
  [SMALL_STATE(3016)] = 115463,
  [SMALL_STATE(3017)] = 115485,
  [SMALL_STATE(3018)] = 115505,
  [SMALL_STATE(3019)] = 115523,
  [SMALL_STATE(3020)] = 115545,
  [SMALL_STATE(3021)] = 115567,
  [SMALL_STATE(3022)] = 115589,
  [SMALL_STATE(3023)] = 115609,
  [SMALL_STATE(3024)] = 115631,
  [SMALL_STATE(3025)] = 115653,
  [SMALL_STATE(3026)] = 115675,
  [SMALL_STATE(3027)] = 115695,
  [SMALL_STATE(3028)] = 115717,
  [SMALL_STATE(3029)] = 115734,
  [SMALL_STATE(3030)] = 115751,
  [SMALL_STATE(3031)] = 115768,
  [SMALL_STATE(3032)] = 115785,
  [SMALL_STATE(3033)] = 115802,
  [SMALL_STATE(3034)] = 115819,
  [SMALL_STATE(3035)] = 115838,
  [SMALL_STATE(3036)] = 115857,
  [SMALL_STATE(3037)] = 115874,
  [SMALL_STATE(3038)] = 115893,
  [SMALL_STATE(3039)] = 115910,
  [SMALL_STATE(3040)] = 115927,
  [SMALL_STATE(3041)] = 115946,
  [SMALL_STATE(3042)] = 115965,
  [SMALL_STATE(3043)] = 115982,
  [SMALL_STATE(3044)] = 115999,
  [SMALL_STATE(3045)] = 116016,
  [SMALL_STATE(3046)] = 116033,
  [SMALL_STATE(3047)] = 116050,
  [SMALL_STATE(3048)] = 116067,
  [SMALL_STATE(3049)] = 116084,
  [SMALL_STATE(3050)] = 116101,
  [SMALL_STATE(3051)] = 116118,
  [SMALL_STATE(3052)] = 116135,
  [SMALL_STATE(3053)] = 116152,
  [SMALL_STATE(3054)] = 116171,
  [SMALL_STATE(3055)] = 116188,
  [SMALL_STATE(3056)] = 116205,
  [SMALL_STATE(3057)] = 116222,
  [SMALL_STATE(3058)] = 116241,
  [SMALL_STATE(3059)] = 116258,
  [SMALL_STATE(3060)] = 116275,
  [SMALL_STATE(3061)] = 116292,
  [SMALL_STATE(3062)] = 116311,
  [SMALL_STATE(3063)] = 116328,
  [SMALL_STATE(3064)] = 116345,
  [SMALL_STATE(3065)] = 116362,
  [SMALL_STATE(3066)] = 116379,
  [SMALL_STATE(3067)] = 116396,
  [SMALL_STATE(3068)] = 116413,
  [SMALL_STATE(3069)] = 116430,
  [SMALL_STATE(3070)] = 116447,
  [SMALL_STATE(3071)] = 116466,
  [SMALL_STATE(3072)] = 116483,
  [SMALL_STATE(3073)] = 116500,
  [SMALL_STATE(3074)] = 116519,
  [SMALL_STATE(3075)] = 116536,
  [SMALL_STATE(3076)] = 116555,
  [SMALL_STATE(3077)] = 116572,
  [SMALL_STATE(3078)] = 116589,
  [SMALL_STATE(3079)] = 116606,
  [SMALL_STATE(3080)] = 116623,
  [SMALL_STATE(3081)] = 116640,
  [SMALL_STATE(3082)] = 116659,
  [SMALL_STATE(3083)] = 116676,
  [SMALL_STATE(3084)] = 116695,
  [SMALL_STATE(3085)] = 116714,
  [SMALL_STATE(3086)] = 116731,
  [SMALL_STATE(3087)] = 116748,
  [SMALL_STATE(3088)] = 116765,
  [SMALL_STATE(3089)] = 116782,
  [SMALL_STATE(3090)] = 116799,
  [SMALL_STATE(3091)] = 116818,
  [SMALL_STATE(3092)] = 116835,
  [SMALL_STATE(3093)] = 116852,
  [SMALL_STATE(3094)] = 116869,
  [SMALL_STATE(3095)] = 116888,
  [SMALL_STATE(3096)] = 116905,
  [SMALL_STATE(3097)] = 116922,
  [SMALL_STATE(3098)] = 116941,
  [SMALL_STATE(3099)] = 116960,
  [SMALL_STATE(3100)] = 116977,
  [SMALL_STATE(3101)] = 116996,
  [SMALL_STATE(3102)] = 117015,
  [SMALL_STATE(3103)] = 117032,
  [SMALL_STATE(3104)] = 117051,
  [SMALL_STATE(3105)] = 117068,
  [SMALL_STATE(3106)] = 117085,
  [SMALL_STATE(3107)] = 117104,
  [SMALL_STATE(3108)] = 117123,
  [SMALL_STATE(3109)] = 117140,
  [SMALL_STATE(3110)] = 117157,
  [SMALL_STATE(3111)] = 117174,
  [SMALL_STATE(3112)] = 117191,
  [SMALL_STATE(3113)] = 117210,
  [SMALL_STATE(3114)] = 117227,
  [SMALL_STATE(3115)] = 117244,
  [SMALL_STATE(3116)] = 117263,
  [SMALL_STATE(3117)] = 117280,
  [SMALL_STATE(3118)] = 117299,
  [SMALL_STATE(3119)] = 117318,
  [SMALL_STATE(3120)] = 117337,
  [SMALL_STATE(3121)] = 117354,
  [SMALL_STATE(3122)] = 117371,
  [SMALL_STATE(3123)] = 117388,
  [SMALL_STATE(3124)] = 117405,
  [SMALL_STATE(3125)] = 117424,
  [SMALL_STATE(3126)] = 117441,
  [SMALL_STATE(3127)] = 117460,
  [SMALL_STATE(3128)] = 117477,
  [SMALL_STATE(3129)] = 117494,
  [SMALL_STATE(3130)] = 117511,
  [SMALL_STATE(3131)] = 117528,
  [SMALL_STATE(3132)] = 117545,
  [SMALL_STATE(3133)] = 117562,
  [SMALL_STATE(3134)] = 117581,
  [SMALL_STATE(3135)] = 117598,
  [SMALL_STATE(3136)] = 117615,
  [SMALL_STATE(3137)] = 117632,
  [SMALL_STATE(3138)] = 117649,
  [SMALL_STATE(3139)] = 117666,
  [SMALL_STATE(3140)] = 117683,
  [SMALL_STATE(3141)] = 117700,
  [SMALL_STATE(3142)] = 117717,
  [SMALL_STATE(3143)] = 117736,
  [SMALL_STATE(3144)] = 117752,
  [SMALL_STATE(3145)] = 117768,
  [SMALL_STATE(3146)] = 117784,
  [SMALL_STATE(3147)] = 117800,
  [SMALL_STATE(3148)] = 117816,
  [SMALL_STATE(3149)] = 117832,
  [SMALL_STATE(3150)] = 117848,
  [SMALL_STATE(3151)] = 117864,
  [SMALL_STATE(3152)] = 117880,
  [SMALL_STATE(3153)] = 117896,
  [SMALL_STATE(3154)] = 117912,
  [SMALL_STATE(3155)] = 117928,
  [SMALL_STATE(3156)] = 117944,
  [SMALL_STATE(3157)] = 117960,
  [SMALL_STATE(3158)] = 117976,
  [SMALL_STATE(3159)] = 117992,
  [SMALL_STATE(3160)] = 118008,
  [SMALL_STATE(3161)] = 118024,
  [SMALL_STATE(3162)] = 118040,
  [SMALL_STATE(3163)] = 118056,
  [SMALL_STATE(3164)] = 118072,
  [SMALL_STATE(3165)] = 118088,
  [SMALL_STATE(3166)] = 118104,
  [SMALL_STATE(3167)] = 118120,
  [SMALL_STATE(3168)] = 118136,
  [SMALL_STATE(3169)] = 118152,
  [SMALL_STATE(3170)] = 118168,
  [SMALL_STATE(3171)] = 118184,
  [SMALL_STATE(3172)] = 118200,
  [SMALL_STATE(3173)] = 118216,
  [SMALL_STATE(3174)] = 118232,
  [SMALL_STATE(3175)] = 118248,
  [SMALL_STATE(3176)] = 118264,
  [SMALL_STATE(3177)] = 118280,
  [SMALL_STATE(3178)] = 118296,
  [SMALL_STATE(3179)] = 118312,
  [SMALL_STATE(3180)] = 118328,
  [SMALL_STATE(3181)] = 118344,
  [SMALL_STATE(3182)] = 118360,
  [SMALL_STATE(3183)] = 118376,
  [SMALL_STATE(3184)] = 118392,
  [SMALL_STATE(3185)] = 118408,
  [SMALL_STATE(3186)] = 118424,
  [SMALL_STATE(3187)] = 118440,
  [SMALL_STATE(3188)] = 118456,
  [SMALL_STATE(3189)] = 118472,
  [SMALL_STATE(3190)] = 118488,
  [SMALL_STATE(3191)] = 118504,
  [SMALL_STATE(3192)] = 118520,
  [SMALL_STATE(3193)] = 118536,
  [SMALL_STATE(3194)] = 118552,
  [SMALL_STATE(3195)] = 118568,
  [SMALL_STATE(3196)] = 118584,
  [SMALL_STATE(3197)] = 118600,
  [SMALL_STATE(3198)] = 118616,
  [SMALL_STATE(3199)] = 118632,
  [SMALL_STATE(3200)] = 118648,
  [SMALL_STATE(3201)] = 118664,
  [SMALL_STATE(3202)] = 118680,
  [SMALL_STATE(3203)] = 118696,
  [SMALL_STATE(3204)] = 118712,
  [SMALL_STATE(3205)] = 118728,
  [SMALL_STATE(3206)] = 118744,
  [SMALL_STATE(3207)] = 118760,
  [SMALL_STATE(3208)] = 118776,
  [SMALL_STATE(3209)] = 118792,
  [SMALL_STATE(3210)] = 118808,
  [SMALL_STATE(3211)] = 118824,
  [SMALL_STATE(3212)] = 118840,
  [SMALL_STATE(3213)] = 118856,
  [SMALL_STATE(3214)] = 118872,
  [SMALL_STATE(3215)] = 118888,
  [SMALL_STATE(3216)] = 118904,
  [SMALL_STATE(3217)] = 118920,
  [SMALL_STATE(3218)] = 118936,
  [SMALL_STATE(3219)] = 118952,
  [SMALL_STATE(3220)] = 118968,
  [SMALL_STATE(3221)] = 118984,
  [SMALL_STATE(3222)] = 119000,
  [SMALL_STATE(3223)] = 119016,
  [SMALL_STATE(3224)] = 119032,
  [SMALL_STATE(3225)] = 119048,
  [SMALL_STATE(3226)] = 119064,
  [SMALL_STATE(3227)] = 119080,
  [SMALL_STATE(3228)] = 119096,
  [SMALL_STATE(3229)] = 119112,
  [SMALL_STATE(3230)] = 119128,
  [SMALL_STATE(3231)] = 119144,
  [SMALL_STATE(3232)] = 119160,
  [SMALL_STATE(3233)] = 119176,
  [SMALL_STATE(3234)] = 119192,
  [SMALL_STATE(3235)] = 119208,
  [SMALL_STATE(3236)] = 119224,
  [SMALL_STATE(3237)] = 119240,
  [SMALL_STATE(3238)] = 119256,
  [SMALL_STATE(3239)] = 119272,
  [SMALL_STATE(3240)] = 119288,
  [SMALL_STATE(3241)] = 119304,
  [SMALL_STATE(3242)] = 119320,
  [SMALL_STATE(3243)] = 119336,
  [SMALL_STATE(3244)] = 119352,
  [SMALL_STATE(3245)] = 119368,
  [SMALL_STATE(3246)] = 119384,
  [SMALL_STATE(3247)] = 119400,
  [SMALL_STATE(3248)] = 119416,
  [SMALL_STATE(3249)] = 119432,
  [SMALL_STATE(3250)] = 119448,
  [SMALL_STATE(3251)] = 119464,
  [SMALL_STATE(3252)] = 119480,
  [SMALL_STATE(3253)] = 119496,
  [SMALL_STATE(3254)] = 119512,
  [SMALL_STATE(3255)] = 119528,
  [SMALL_STATE(3256)] = 119544,
  [SMALL_STATE(3257)] = 119560,
  [SMALL_STATE(3258)] = 119576,
  [SMALL_STATE(3259)] = 119592,
  [SMALL_STATE(3260)] = 119608,
  [SMALL_STATE(3261)] = 119624,
  [SMALL_STATE(3262)] = 119640,
  [SMALL_STATE(3263)] = 119656,
  [SMALL_STATE(3264)] = 119672,
  [SMALL_STATE(3265)] = 119688,
  [SMALL_STATE(3266)] = 119704,
  [SMALL_STATE(3267)] = 119720,
  [SMALL_STATE(3268)] = 119736,
  [SMALL_STATE(3269)] = 119752,
  [SMALL_STATE(3270)] = 119768,
  [SMALL_STATE(3271)] = 119784,
  [SMALL_STATE(3272)] = 119800,
  [SMALL_STATE(3273)] = 119816,
  [SMALL_STATE(3274)] = 119832,
  [SMALL_STATE(3275)] = 119848,
  [SMALL_STATE(3276)] = 119864,
  [SMALL_STATE(3277)] = 119880,
  [SMALL_STATE(3278)] = 119896,
  [SMALL_STATE(3279)] = 119912,
  [SMALL_STATE(3280)] = 119928,
  [SMALL_STATE(3281)] = 119944,
  [SMALL_STATE(3282)] = 119960,
  [SMALL_STATE(3283)] = 119976,
  [SMALL_STATE(3284)] = 119992,
  [SMALL_STATE(3285)] = 120008,
  [SMALL_STATE(3286)] = 120024,
  [SMALL_STATE(3287)] = 120040,
  [SMALL_STATE(3288)] = 120056,
  [SMALL_STATE(3289)] = 120072,
  [SMALL_STATE(3290)] = 120088,
  [SMALL_STATE(3291)] = 120104,
  [SMALL_STATE(3292)] = 120120,
  [SMALL_STATE(3293)] = 120136,
  [SMALL_STATE(3294)] = 120152,
  [SMALL_STATE(3295)] = 120168,
  [SMALL_STATE(3296)] = 120184,
  [SMALL_STATE(3297)] = 120200,
  [SMALL_STATE(3298)] = 120216,
  [SMALL_STATE(3299)] = 120232,
  [SMALL_STATE(3300)] = 120248,
  [SMALL_STATE(3301)] = 120264,
  [SMALL_STATE(3302)] = 120280,
  [SMALL_STATE(3303)] = 120296,
  [SMALL_STATE(3304)] = 120312,
  [SMALL_STATE(3305)] = 120328,
  [SMALL_STATE(3306)] = 120344,
  [SMALL_STATE(3307)] = 120360,
  [SMALL_STATE(3308)] = 120376,
  [SMALL_STATE(3309)] = 120392,
  [SMALL_STATE(3310)] = 120408,
  [SMALL_STATE(3311)] = 120424,
  [SMALL_STATE(3312)] = 120440,
  [SMALL_STATE(3313)] = 120456,
  [SMALL_STATE(3314)] = 120472,
  [SMALL_STATE(3315)] = 120488,
  [SMALL_STATE(3316)] = 120504,
  [SMALL_STATE(3317)] = 120520,
  [SMALL_STATE(3318)] = 120536,
  [SMALL_STATE(3319)] = 120552,
  [SMALL_STATE(3320)] = 120568,
  [SMALL_STATE(3321)] = 120584,
  [SMALL_STATE(3322)] = 120600,
  [SMALL_STATE(3323)] = 120616,
  [SMALL_STATE(3324)] = 120632,
  [SMALL_STATE(3325)] = 120648,
  [SMALL_STATE(3326)] = 120664,
  [SMALL_STATE(3327)] = 120680,
  [SMALL_STATE(3328)] = 120696,
  [SMALL_STATE(3329)] = 120712,
  [SMALL_STATE(3330)] = 120728,
  [SMALL_STATE(3331)] = 120744,
  [SMALL_STATE(3332)] = 120760,
  [SMALL_STATE(3333)] = 120776,
  [SMALL_STATE(3334)] = 120792,
  [SMALL_STATE(3335)] = 120808,
  [SMALL_STATE(3336)] = 120824,
  [SMALL_STATE(3337)] = 120840,
  [SMALL_STATE(3338)] = 120856,
  [SMALL_STATE(3339)] = 120872,
  [SMALL_STATE(3340)] = 120888,
  [SMALL_STATE(3341)] = 120904,
  [SMALL_STATE(3342)] = 120920,
  [SMALL_STATE(3343)] = 120936,
  [SMALL_STATE(3344)] = 120952,
  [SMALL_STATE(3345)] = 120968,
  [SMALL_STATE(3346)] = 120984,
  [SMALL_STATE(3347)] = 121000,
  [SMALL_STATE(3348)] = 121016,
  [SMALL_STATE(3349)] = 121032,
  [SMALL_STATE(3350)] = 121048,
  [SMALL_STATE(3351)] = 121064,
  [SMALL_STATE(3352)] = 121080,
  [SMALL_STATE(3353)] = 121096,
  [SMALL_STATE(3354)] = 121112,
  [SMALL_STATE(3355)] = 121128,
  [SMALL_STATE(3356)] = 121144,
  [SMALL_STATE(3357)] = 121160,
  [SMALL_STATE(3358)] = 121176,
  [SMALL_STATE(3359)] = 121192,
  [SMALL_STATE(3360)] = 121208,
  [SMALL_STATE(3361)] = 121224,
  [SMALL_STATE(3362)] = 121240,
  [SMALL_STATE(3363)] = 121256,
  [SMALL_STATE(3364)] = 121272,
  [SMALL_STATE(3365)] = 121288,
  [SMALL_STATE(3366)] = 121304,
  [SMALL_STATE(3367)] = 121320,
  [SMALL_STATE(3368)] = 121336,
  [SMALL_STATE(3369)] = 121352,
  [SMALL_STATE(3370)] = 121368,
  [SMALL_STATE(3371)] = 121384,
  [SMALL_STATE(3372)] = 121400,
  [SMALL_STATE(3373)] = 121416,
  [SMALL_STATE(3374)] = 121432,
  [SMALL_STATE(3375)] = 121448,
  [SMALL_STATE(3376)] = 121464,
  [SMALL_STATE(3377)] = 121480,
  [SMALL_STATE(3378)] = 121496,
  [SMALL_STATE(3379)] = 121512,
  [SMALL_STATE(3380)] = 121528,
  [SMALL_STATE(3381)] = 121544,
  [SMALL_STATE(3382)] = 121560,
  [SMALL_STATE(3383)] = 121576,
  [SMALL_STATE(3384)] = 121592,
  [SMALL_STATE(3385)] = 121608,
  [SMALL_STATE(3386)] = 121624,
  [SMALL_STATE(3387)] = 121640,
  [SMALL_STATE(3388)] = 121656,
  [SMALL_STATE(3389)] = 121672,
  [SMALL_STATE(3390)] = 121688,
  [SMALL_STATE(3391)] = 121704,
  [SMALL_STATE(3392)] = 121720,
  [SMALL_STATE(3393)] = 121736,
  [SMALL_STATE(3394)] = 121752,
  [SMALL_STATE(3395)] = 121768,
  [SMALL_STATE(3396)] = 121784,
  [SMALL_STATE(3397)] = 121800,
  [SMALL_STATE(3398)] = 121816,
  [SMALL_STATE(3399)] = 121832,
  [SMALL_STATE(3400)] = 121848,
  [SMALL_STATE(3401)] = 121864,
  [SMALL_STATE(3402)] = 121880,
  [SMALL_STATE(3403)] = 121884,
  [SMALL_STATE(3404)] = 121888,
  [SMALL_STATE(3405)] = 121892,
  [SMALL_STATE(3406)] = 121896,
  [SMALL_STATE(3407)] = 121900,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [9] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2266),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2478),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0),
  [241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(6),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1858),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(325),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1725),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(14),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(365),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2266),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1821),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(906),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2470),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(3034),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(592),
  [277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2021),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(325),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(123),
  [286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(595),
  [289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(757),
  [292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(492),
  [295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(500),
  [298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2715),
  [301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(507),
  [304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(525),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(381),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2471),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(499),
  [316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(3036),
  [319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1085),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(897),
  [325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1090),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(1090),
  [331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2712),
  [334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2186),
  [337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(2702),
  [340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 2, 0, 0), SHIFT_REPEAT(3390),
  [343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(8),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(20),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(3179),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(630),
  [957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(2035),
  [960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(122),
  [963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1272),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(474),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(2711),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(455),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(619),
  [993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(1533),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(999),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(2663),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(2162),
  [1005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(2662),
  [1008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 2, 0, 0), SHIFT_REPEAT(3267),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3303),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(578),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(826),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(842),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [1144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [1146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [1150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [1160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 0),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 0),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 0),
  [1182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(618),
  [1186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [1188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_identifier, 1, 0, 0),
  [1190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_identifier, 1, 0, 0),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__mutation_lvalue, 1, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mutation_lvalue, 1, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3245),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, 0, 30),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, 0, 30),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 5, 0, 37),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 5, 0, 37),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 15),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 15),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 4, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_if_clause, 4, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_expression_repeat1, 1, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_expression_repeat1, 1, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pipe_expression, 3, 0, 0),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pipe_expression, 3, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 2, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant, 1, 0, 0),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant, 1, 0, 0),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar, 1, 0, 0),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar, 1, 0, 0),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 18),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, 0, 18),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_identifier_path, 3, 0, 0),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_identifier_path, 3, 0, 0),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 6, 0, 0),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 6, 0, 0),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 3),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 3),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2, 0, 0),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 14),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 14),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, 0, 9),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, 0, 9),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_identifier, 1, 0, 0),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_identifier, 1, 0, 0),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_identifier, 1, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_identifier, 1, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mutation_expression, 3, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mutation_expression, 3, 0, 0),
  [1355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 3, 0, 14),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 3, 0, 14),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, 0, 17),
  [1361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, 0, 17),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_identifier_path, 3, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_identifier_path, 3, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 11),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, 0, 11),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5, 0, 0),
  [1377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5, 0, 0),
  [1379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, 0, 25),
  [1381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, 0, 25),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, 0, 38),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, 0, 38),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6, 0, 0),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6, 0, 0),
  [1391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 0),
  [1393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_identifier, 1, 0, 0),
  [1397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variant_identifier, 1, 0, 0), REDUCE(sym_module_identifier, 1, 0, 0),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_identifier, 1, 0, 0),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_variant_identifier, 1, 0, 0), REDUCE(sym_module_identifier, 1, 0, 0),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 36),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 36),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2, 0, 0),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2, 0, 0),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_identifier, 2, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_identifier, 2, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_identifier, 2, 0, 6),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_identifier, 2, 0, 6),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2, 0, 0),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2, 0, 0),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_identifier, 3, 0, 13),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_identifier, 3, 0, 13),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 7),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 7),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant, 2, 0, 0),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant, 2, 0, 0),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar, 2, 0, 0),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar, 2, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, 0, 0),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, 0, 0),
  [1453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 28),
  [1455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, 0, 28),
  [1457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, 0, 27),
  [1459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, 0, 27),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 7, 0, 0),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 7, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 3, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record, 3, 0, 0),
  [1469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 2, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 2, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_element, 1, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_element, 1, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_expression_payload, 4, 0, 0),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extension_expression_payload, 4, 0, 0),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 2, 0, 0),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 2, 0, 0),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, 0, 16),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, 0, 16),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_arguments, 2, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_arguments, 2, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_variant_identifier, 3, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_variant_identifier, 3, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension_expression, 3, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension_expression, 3, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 0),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 0),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, 0, 0),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, 0, 0),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_pack, 4, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_pack, 4, 0, 0),
  [1529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [1531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [1533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 4, 0, 0),
  [1535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 4, 0, 0),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 3, 0, 0),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 3, 0, 0),
  [1541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_arguments, 3, 0, 0),
  [1543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_arguments, 3, 0, 0),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 5, 0, 0),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 5, 0, 0),
  [1549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 5, 0, 0),
  [1551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 5, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 5, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record, 5, 0, 0),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 5, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 5, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [1563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 0),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 0),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 5, 0, 0),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 5, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 4, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 4, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_arguments, 4, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_arguments, 4, 0, 0),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__extension_expression_payload, 3, 0, 0),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__extension_expression_payload, 3, 0, 0),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 6, 0, 0),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 6, 0, 0),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 6, 0, 0),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 6, 0, 0),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 6, 0, 0),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record, 6, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 6, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 6, 0, 0),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 6, 0, 0),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 6, 0, 0),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_arguments, 5, 0, 0),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_arguments, 5, 0, 0),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_arguments, 5, 0, 0),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_arguments, 5, 0, 0),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3, 0, 0),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3, 0, 0),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record, 7, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record, 7, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 7, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 7, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_arguments, 6, 0, 0),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_arguments, 6, 0, 0),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_delimeter, 1, 0, 0),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_delimeter, 1, 0, 0),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_spread_element, 2, 0, 0),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [1707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [1715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 2, 0, 0),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 2, 0, 0),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [1727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [1729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(758),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [1736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [1738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [1744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2979),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [1754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [1760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [1766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [1776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [1784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [1786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [1796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__one_or_more_statements, 3, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__one_or_more_statements, 2, 0, 0),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0), REDUCE(sym__one_or_more_statements, 2, 0, 0),
  [1831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0), REDUCE(sym__one_or_more_statements, 3, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_identifier, 1, 0, 0),
  [1848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3399),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat2, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat2, 1, 0, 0),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 0), SHIFT(842),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [1872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3374),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(2092),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__record_field_name, 1, 0, 2), SHIFT(615),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__record_field_name, 1, 0, 2), SHIFT(1733),
  [1888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__pattern, 1, -1, 0),
  [1891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__pattern, 1, -1, 0),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, -1, 0),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__pattern, 1, -1, 0), SHIFT(627),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [1909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_polyvar_pattern, 1, 0, 0), REDUCE(sym_polyvar, 1, 0, 0),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_polyvar_pattern, 1, 0, 0), REDUCE(sym_polyvar, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_pattern, 1, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_pattern, 1, 0, 0),
  [1921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_variant_pattern, 1, 0, 0), REDUCE(sym_variant, 1, 0, 0),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_variant_pattern, 1, 0, 0), REDUCE(sym_variant, 1, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_pattern, 1, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_pattern, 1, 0, 0),
  [1931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__pattern, 1, -1, 0), SHIFT(625),
  [1934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__record_field_name, 1, 0, 2),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_field_name, 1, 0, 2),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__literal_pattern, 1, 0, 0),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__literal_pattern, 1, 0, 0),
  [1950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_pattern, 1, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_pattern, 1, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uncurry, 1, 0, 0),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uncurry, 1, 0, 0),
  [1966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3317),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3225),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list, 3, 0, 0), REDUCE(sym_list_pattern, 3, 0, 0),
  [1997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_list, 3, 0, 0), REDUCE(sym_list_pattern, 3, 0, 0),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__variant_pattern_parameters, 2, 0, 0), REDUCE(sym_variant_arguments, 2, 0, 0),
  [2009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__variant_pattern_parameters, 2, 0, 0), REDUCE(sym_variant_arguments, 2, 0, 0),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variant_pattern_parameters, 2, 0, 0),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_pattern_parameters, 2, 0, 0),
  [2016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [2019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2, 0, 0), REDUCE(sym_array_pattern, 2, 0, 0),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [2024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_spread_pattern, 2, 0, 0),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_pattern, 2, 0, 0),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_formal_parameters, 2, 0, 0), REDUCE(sym_unit, 2, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [2068] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_parameter, 1, 0, 0), REDUCE(sym__pattern, 1, -1, 0),
  [2072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [2156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [2166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0), REDUCE(sym_unit, 2, 0, 0),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 35),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 35),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 24),
  [2263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 24),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_child, 1, 0, 0),
  [2327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__jsx_child, 1, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_child, 1, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_argument, 1, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 42),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 47),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_arguments_repeat1, 2, 0, 0),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [2466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [2530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 4, -1, 25),
  [2538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, -1, 25),
  [2540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2, 0, 0),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 4, 0, 0),
  [2576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_element, 1, 0, 0),
  [2578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_element_repeat1, 1, 0, 0),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 1, 0, 0),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 3, 0, 0),
  [2586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_opening_element, 3, -1, 11),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, -1, 11),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_parameter_default_value, 2, 0, 0),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_field, 3, 0, 2),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [2692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [2764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [2770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [2772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [2778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_function_inline_type, 1, 0, 0),
  [2780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_function_inline_type, 1, 0, 0),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [2786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2448),
  [2788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2456),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [2824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [2826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [2828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [2830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_type, 1, 0, 0),
  [2834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_type, 1, 0, 0),
  [2836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3186),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type, 2, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type, 2, 0, 0),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_parameters, 3, 0, 0),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_parameters, 3, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_annotation, 2, 0, 0),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, -1, 0),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, -1, 0),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 0),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type, 5, 0, 0),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type, 5, 0, 0),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_type, 4, 0, 0),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_type, 4, 0, 0),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, -1, 0),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, -1, 0),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_parameters, 5, 0, 0),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_parameters, 5, 0, 0),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type, 4, 0, 0),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type, 4, 0, 0),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [2907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [2911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [2915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [2917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_type_repeat1, 1, 0, 0),
  [2919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_polymorphic_type_repeat1, 1, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_type, 5, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_type, 5, 0, 0),
  [2925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_type, 3, 0, 0),
  [2927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_type, 3, 0, 0),
  [2929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [2931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_aliasing_non_function_inline_type, 3, 0, 0),
  [2935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__as_aliasing_non_function_inline_type, 3, 0, 0),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [2939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [2941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_type_parameter_list, 2, 0, 0), REDUCE(sym_unit, 2, 0, 0),
  [2944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, -1, 0),
  [2946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, -1, 0),
  [2948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type, 3, 0, 0),
  [2950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_type, 3, 0, 0),
  [2952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_parameters, 4, 0, 0),
  [2954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_parameters, 4, 0, 0),
  [2956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0),
  [2958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0),
  [2960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_aliasing_type, 3, 0, 0),
  [2962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_aliasing_type, 3, 0, 0),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1849),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [2982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [3010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [3034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_identifier, 1, 0, 0),
  [3036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [3038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 26), SHIFT_REPEAT(24),
  [3041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 26), SHIFT_REPEAT(1857),
  [3044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 26),
  [3046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 26), SHIFT_REPEAT(2425),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 26), SHIFT_REPEAT(1813),
  [3052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, 0, 26), SHIFT_REPEAT(1813),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_attribute_value, 1, 0, 0),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_attribute_value, 1, 0, 0),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [3083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_type, 1, 0, 0), REDUCE(sym_function_type_parameters, 1, 0, 0),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_type, 2, 0, 0),
  [3104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_type, 2, 0, 0),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_type, 1, 0, 0),
  [3110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_type, 1, 0, 0),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, -1, 0),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 4),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_pattern, 2, 0, 0),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_pattern, 2, 0, 0),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3014),
  [3153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_type, 3, 0, 0),
  [3155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_type, 3, 0, 0),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [3165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_type, 1, 0, 0), REDUCE(sym_type_binding, 3, 0, 4),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameters, 1, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_type, 1, 0, 0), SHIFT(817),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [3179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_type, 1, 0, 0), REDUCE(sym_type_binding, 4, 0, 4),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_type, 1, 0, 0), SHIFT(857),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_expression, 1, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2962),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [3242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_aliasing, 2, 0, 0),
  [3244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_aliasing, 2, 0, 0),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [3248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_pattern, 3, 0, 0),
  [3250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_pattern, 3, 0, 0),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [3260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_pattern_parameters, 4, 0, 0),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variant_pattern_parameters, 4, 0, 0),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [3266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [3270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0), SHIFT(616),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 6, 0, 0),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 6, 0, 0),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [3281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 6, 0, 0),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 6, 0, 0),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_pattern_parameters, 5, 0, 0),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variant_pattern_parameters, 5, 0, 0),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [3295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3003),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 7, 0, 0),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 7, 0, 0),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 4),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [3312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2984),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_pattern, 2, 0, 0),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_pattern, 2, 0, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 2, -1, 0),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 2, -1, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 8, 0, 0),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 8, 0, 0),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_primary_expression, 1, 0, 0),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_type_pattern, 3, 0, 0),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polyvar_type_pattern, 3, 0, 0),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_arguments, 2, 0, 0),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_identifier_path, 3, 0, 0),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 4, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_unpack, 4, 0, 0),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [3378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__destructuring_pattern, 1, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__destructuring_pattern, 1, 0, 0),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_arguments, 3, 0, 0),
  [3386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [3388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_use, 2, 0, 0),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_arguments, 4, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_arguments, 5, 0, 0),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [3398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_pattern_parameters, 3, 0, 0),
  [3402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variant_pattern_parameters, 3, 0, 0),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_aliasing, 3, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_aliasing, 3, 0, 0),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_unpack, 5, 0, 0),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 4, 0, 0),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 4, 0, 0),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [3424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_primary_expression, 1, 0, 0),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [3430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [3432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 6, 0, 0),
  [3434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_use, 2, 0, 0),
  [3436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 23),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [3444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 49),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 45),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [3456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 34),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [3466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_arguments, 5, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [3470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3, 0, 0),
  [3472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2884),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 41),
  [3479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_unpack, 5, 0, 0),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1402),
  [3483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [3487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_arguments, 3, 0, 0),
  [3489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [3491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2, 0, 0),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_arguments, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_identifier_path, 3, 0, 0),
  [3499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2753),
  [3502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2905),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_unpack, 4, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_arguments, 4, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 4, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_element_name, 1, 0, 0),
  [3519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_element_name, 1, 0, 0),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [3525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [3527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(817),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 23),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 49),
  [3536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 31),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [3540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2978),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 21),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 4),
  [3549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 3, 0, 19),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type_constraint_with, 2, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 2, 0, 0),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 45),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 41),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [3578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type_constraint_with, 3, 0, 0),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 4),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [3588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__module_type_constraint_with_repeat1, 2, 0, 0),
  [3590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__module_type_constraint_with_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [3593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 34),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 5, 0, 0),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__module_type_constraint_with_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [3610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [3612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 4),
  [3620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, 0, 0),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_identifier, 1, 0, 5),
  [3632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_identifier, 1, 0, 5),
  [3634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_template_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_template_string_content_repeat1, 2, 0, 0),
  [3643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2434),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_template_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(2520),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_template_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [3654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_jsx_identifier, 3, 0, 0),
  [3656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_jsx_identifier, 3, 0, 0),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_declaration, 2, 0, 0),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [3662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string_content, 1, 0, 0),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_attribute_name, 1, 0, 2),
  [3666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_attribute_name, 1, 0, 2),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 2, 0, 0),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 2, 0, 0),
  [3676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 5, 0, 0),
  [3678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 5, 0, 0),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 43),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 40),
  [3684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 4, 0, 0),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_let_declaration, 4, 0, 0), SHIFT(3086),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [3695] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_declaration, 4, 0, 0), SHIFT(3086),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 33),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [3702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 2, 0, 0),
  [3704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_declaration, 2, 0, 0), SHIFT(3086),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 2, 0, 0),
  [3711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_let_declaration, 2, 0, 0), SHIFT(3086),
  [3714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 22),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 3, 0, 0),
  [3718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_declaration, 3, 0, 0), SHIFT(3086),
  [3721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat2, 2, 0, 0),
  [3723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1843),
  [3726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(3086),
  [3729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 2, 0, 0),
  [3731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [3734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 4),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [3745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 4, 0, 0),
  [3747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 4, 0, 0),
  [3749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 3, 0, 0),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3753] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_let_declaration, 3, 0, 0), SHIFT(3086),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 12),
  [3758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, 0, 12),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__jsx_attribute, 1, 0, 0),
  [3762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__jsx_attribute, 1, 0, 0),
  [3764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(1852),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_declaration, 5, 0, 0),
  [3769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_type_declaration, 5, 0, 0), SHIFT(3086),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_parameter, 2, 0, 0),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [3778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, 0, 0),
  [3785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(613),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 10),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [3806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_declaration_repeat1, 2, 0, 0),
  [3808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2499),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__one_or_more_statements, 1, 0, 0),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 2, 0, 0),
  [3817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2462),
  [3820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_declaration, 3, 0, 0),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [3824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, 0, 0),
  [3826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_type_repeat1, 2, 0, 0),
  [3828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1042),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, 0, 0),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [3839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_declaration_repeat1, 3, 0, 0),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2463),
  [3843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat2, 3, 0, 0),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 2, 0, 0),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3, 0, 0),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [3857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_statement, 3, 0, 0),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 2, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_substitution, 2, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 2, 0, 0),
  [3871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_type, 2, 0, 0),
  [3873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_template_string_content_repeat1, 1, 0, 0),
  [3875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_content_repeat1, 1, 0, 0),
  [3877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2958),
  [3880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_functor_parameter, 1, 0, 0), REDUCE(sym_module_primary_expression, 1, 0, 0),
  [3883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_module_primary_expression, 1, 0, 0), SHIFT(1809),
  [3886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_parameter, 1, 0, 0),
  [3888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__pattern, 1, -1, 0), SHIFT(621),
  [3891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2933),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3025),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__one_or_more_statements, 2, 0, 0), SHIFT(758),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [3911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__one_or_more_statements, 1, 0, 0), SHIFT(758),
  [3914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external_declaration, 5, 0, 0),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_declaration, 5, 0, 0),
  [3918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2947),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [3927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_element_pattern, 1, 0, 0),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_declaration, 4, 0, 0),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [3937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__pattern, 1, -1, 0), REDUCE(sym_parameter, 2, 0, 0),
  [3940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [3944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [3948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_parameter, 3, 0, 0),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_statement, 4, 0, 0),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [3964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__module_type_constraint_with_repeat1, 2, 0, 0), SHIFT_REPEAT(2709),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(3025),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [3972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0), REDUCE(sym__pattern, 1, -1, 0),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2750),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_item_pattern, 1, 0, 0),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [4006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__module_structure, 1, 0, 0), SHIFT(2100),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0), SHIFT(2093),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0), REDUCE(sym_tuple_item_pattern, 1, 0, 0),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [4069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 29),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [4115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0), SHIFT(637),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_pattern_parameter, 1, 0, 0),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0), SHIFT(629),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [4151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_structure, 1, 0, 0),
  [4153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_annotation, 2, 0, 0),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__module_type_constraint_with_repeat1, 2, 0, 0), SHIFT_REPEAT(2718),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__record_field_name, 1, 0, 2), SHIFT(2088),
  [4243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__record_field_name, 1, 0, 2), SHIFT(1732),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type_parameter, 1, 0, 0), SHIFT(1962),
  [4255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type_parameter, 1, 0, 0), SHIFT(784),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [4282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__functor_argument, 1, 0, 0),
  [4284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 0),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_declaration, 1, 0, 0),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type_parameter, 1, 0, 0), SHIFT(1765),
  [4306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type_parameter, 1, 0, 0), SHIFT(772),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0),
  [4321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(636),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [4342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_character_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [4345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_character_repeat1, 2, 0, 0),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [4349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [4351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2866),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3029),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0),
  [4372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(590),
  [4375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_parameter, 4, 0, 0),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [4427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [4495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1777),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_functor_parameters_repeat1, 2, 0, 0),
  [4514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_functor_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2939),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_signature, 1, 0, 1),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_pun_field, 1, 0, 0),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [4551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0),
  [4553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 3, 0, 29),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__call_argument, 2, 0, 0),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_spread, 2, 0, 0),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(407),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [4625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 1, 0, 0),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [4649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_character_repeat1, 1, 0, 0),
  [4651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_character_repeat1, 1, 0, 0),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(451),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_repeat1, 2, 0, 0), SHIFT_REPEAT(404),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_functor_arguments_repeat1, 2, 0, 0),
  [4689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_functor_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1792),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_extension_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3036),
  [4699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_expression_repeat1, 2, 0, 0),
  [4701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0),
  [4703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(3086),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [4718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameter, 2, 0, 0),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [4749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_repeat1, 2, 0, 0),
  [4751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_repeat1, 2, 0, 0), SHIFT_REPEAT(1705),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [4756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(579),
  [4759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 6, 0, 51),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_element_pattern, 2, 0, 0),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 3, 0, 0),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [4789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 5, 0, 0),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [4803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 48),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variant_pattern_parameters_repeat1, 2, 0, 0),
  [4811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variant_pattern_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0),
  [4818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, 0, 0), SHIFT_REPEAT(2746),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_type_repeat1, 2, 0, 0),
  [4825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2077),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [4834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(610),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 4, 0, 0),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameter, 3, 0, 0),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_type_parameter_list_repeat1, 2, 0, 0),
  [4855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_type_parameter_list_repeat1, 2, 0, 0), SHIFT_REPEAT(653),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_parameter, 1, 0, 0),
  [4866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polyvar_type_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polyvar_type_repeat1, 2, 0, 0),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type_field, 3, 0, 2),
  [4875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [4877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2484),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [4884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2629),
  [4907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [4919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(820),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_parameters, 5, 0, 0),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [4926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__record_type_member, 1, 0, 0), REDUCE(sym__object_type_member, 1, 0, 0),
  [4929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_type_member, 1, 0, 0),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [4935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_element, 1, 0, 0),
  [4937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_extension_expression_repeat1, 1, 0, 0),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variant_pattern_parameter, 2, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_parameter, 4, 0, 32),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_parameters, 4, 0, 0),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__return_type_annotation, 2, 0, 0),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_single_field, 1, 0, 0),
  [4971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__record_element, 1, 0, 0), SHIFT(3183),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_pun_field, 2, 0, 0),
  [4978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_field, 1, 0, 0),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_arguments_repeat1, 3, 0, 0),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__object_type_member, 1, 0, 0),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_declaration_repeat1, 1, 0, 0),
  [5014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_field, 2, 0, 2),
  [5016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_field, 3, 0, 44),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 3, 0, 0),
  [5022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expression_repeat1, 1, 0, 0),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [5028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_match, 4, -1, 46),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [5032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_item_pattern, 2, 0, 0),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [5036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_declaration, 2, 0, 0),
  [5038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [5048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_parameters, 3, 0, 0),
  [5050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_parameter, 5, 0, 39),
  [5052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_single_pun_field, 2, 0, 0),
  [5054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__record_pun_field, 2, 0, 0), SHIFT(3144),
  [5057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_parameters, 3, 0, 0),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [5065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_field, 3, 0, 2),
  [5067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_parameter, 2, 0, 0),
  [5069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_type_field, 4, 0, 44),
  [5071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [5073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_parameter, 3, 0, 20),
  [5075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [5077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_match, 5, -1, 50),
  [5079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_parameters, 2, 0, 0),
  [5081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_parameters, 5, 0, 0),
  [5083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polyvar_parameters, 4, 0, 0),
  [5085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0), SHIFT(2145),
  [5088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0), REDUCE(sym_tuple_item_pattern, 2, 0, 0),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_structure, 2, 0, 0),
  [5093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_single_pun_field, 3, 0, 0),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [5103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [5155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__record_single_field, 2, 0, 0),
  [5157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__module_structure, 2, 0, 0), SHIFT(2109),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [5168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_parameter_list, 5, 0, 0),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_parameter_list, 3, 0, 0),
  [5174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [5186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [5202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__definition_signature, 2, 0, 8),
  [5204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [5240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [5246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [5298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [5316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_type_parameter_list, 4, 0, 0),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [5334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [5352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [5358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [5394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [5406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [5412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [5418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [5424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5458] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [5496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partial_application_spread, 1, 0, 0),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 1, 0, 0),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2, 0, 0),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_arguments, 4, 0, 0),
  [5512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_arguments, 3, 0, 0),
  [5514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_arguments, 2, 0, 0),
  [5516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_arguments, 5, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token_comment = 1,
  ts_external_token__newline_and_comment = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_BQUOTE = 4,
  ts_external_token__template_chars = 5,
  ts_external_token__lparen = 6,
  ts_external_token__rparen = 7,
  ts_external_token__list_constructor = 8,
  ts_external_token__decorator = 9,
  ts_external_token__decorator_inline = 10,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__newline_and_comment] = sym__newline_and_comment,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_BQUOTE] = anon_sym_BQUOTE,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__lparen] = sym__lparen,
  [ts_external_token__rparen] = sym__rparen,
  [ts_external_token__list_constructor] = sym__list_constructor,
  [ts_external_token__decorator] = sym__decorator,
  [ts_external_token__decorator_inline] = sym__decorator_inline,
};

static const bool ts_external_scanner_states[11][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__newline_and_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_BQUOTE] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__lparen] = true,
    [ts_external_token__rparen] = true,
    [ts_external_token__list_constructor] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [2] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__newline_and_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token__list_constructor] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token__list_constructor] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__newline_and_comment] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__list_constructor] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token_BQUOTE] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
    [ts_external_token_BQUOTE] = true,
    [ts_external_token__decorator] = true,
    [ts_external_token__decorator_inline] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_rescript_external_scanner_create(void);
void tree_sitter_rescript_external_scanner_destroy(void *);
bool tree_sitter_rescript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_rescript_external_scanner_serialize(void *, char *);
void tree_sitter_rescript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_rescript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_rescript_external_scanner_create,
      tree_sitter_rescript_external_scanner_destroy,
      tree_sitter_rescript_external_scanner_scan,
      tree_sitter_rescript_external_scanner_serialize,
      tree_sitter_rescript_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
